#!/usr/bin/env node
/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "./cli/config/npm-config.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

// defaults, types, and shorthands.
// from npm

/* eslint-disable */
var path = __webpack_require__("path");

var url = __webpack_require__("url");

var Stream = __webpack_require__("stream").Stream;

var semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

var stableFamily = semver.parse(process.version);

var nopt = __webpack_require__("./node_modules/.f/_/nopt/5.0.0/nopt/lib/nopt.js");

var os = __webpack_require__("os");

var osenv = __webpack_require__("./node_modules/.f/_/osenv/0.1.5/osenv/osenv.js");

var hasUnicode = __webpack_require__("./node_modules/.f/_/has-unicode/2.0.1/has-unicode/index.js");

var umask = __webpack_require__("./node_modules/.f/_/umask/1.1.0/umask/index.js");

var npmlog = __webpack_require__("./node_modules/.f/_/npmlog/4.1.2/npmlog/log.js");

var _fromString = umask.fromString; // fromString with logging callback

umask.fromString = function (val) {
  _fromString(val, function (err, result) {
    if (err) {
      npmlog.warn("invalid umask", err.message);
    }

    val = result;
  });

  return val;
};

var log;

try {
  log = __webpack_require__("./node_modules/.f/_/npmlog/4.1.2/npmlog/log.js");
} catch (er) {
  var util = __webpack_require__("util");

  log = {
    warn: function (m) {
      console.warn(m + " " + util.format.apply(util, [].slice.call(arguments, 1)));
    }
  };
}

exports.Umask = Umask;

function Umask() {}

function validateUmask(data, k, val) {
  return umask.validate(data, k, val);
}

function validateSemver(data, k, val) {
  if (!semver.valid(val)) return false;
  data[k] = semver.valid(val);
}

function validateStream(data, k, val) {
  if (!(val instanceof Stream)) return false;
  data[k] = val;
}

nopt.typeDefs.semver = {
  type: semver,
  validate: validateSemver
};
nopt.typeDefs.Stream = {
  type: Stream,
  validate: validateStream
};
nopt.typeDefs.Umask = {
  type: Umask,
  validate: validateUmask
};

nopt.invalidHandler = function (k, val, type) {
  log.warn("invalid config", k + "=" + JSON.stringify(val));

  if (Array.isArray(type)) {
    if (type.indexOf(url) !== -1) type = url;else if (type.indexOf(path) !== -1) type = path;
  }

  switch (type) {
    case Umask:
      log.warn("invalid config", "Must be umask, octal number in range 0000..0777");
      break;

    case url:
      log.warn("invalid config", "Must be a full url with 'http://'");
      break;

    case path:
      log.warn("invalid config", "Must be a valid filesystem path");
      break;

    case Number:
      log.warn("invalid config", "Must be a numeric value");
      break;

    case Stream:
      log.warn("invalid config", "Must be an instance of the Stream class");
      break;
  }
};

if (!stableFamily || +stableFamily.minor % 2) stableFamily = null;else stableFamily = stableFamily.major + "." + stableFamily.minor;
var defaults;
var temp = osenv.tmpdir();
var home = osenv.home();
var uidOrPid = process.getuid ? process.getuid() : process.pid;
if (home) process.env.HOME = home;else home = path.resolve(temp, "npm-" + uidOrPid);
var cacheExtra = process.platform === "win32" ? "npm-cache" : ".npm";
var cacheRoot = process.platform === "win32" && process.env.APPDATA || home;
var cache = path.resolve(cacheRoot, cacheExtra);
var globalPrefix;
Object.defineProperty(exports, "defaults", ({
  get: function () {
    if (defaults) return defaults;

    if (process.env.PREFIX) {
      globalPrefix = process.env.PREFIX;
    } else if (process.platform === "win32") {
      // c:\node\node.exe --> prefix=c:\node\
      globalPrefix = path.dirname(process.execPath);
    } else {
      // /usr/local/bin/node --> prefix=/usr/local
      globalPrefix = path.dirname(path.dirname(process.execPath)); // destdir only is respected on Unix

      if (process.env.DESTDIR) {
        globalPrefix = path.join(process.env.DESTDIR, globalPrefix);
      }
    }

    defaults = {
      access: null,
      "allow-same-version": false,
      "always-auth": false,
      also: null,
      audit: true,
      "audit-level": "low",
      "auth-type": "legacy",
      "bin-links": true,
      browser: null,
      ca: null,
      cafile: null,
      cache: cache,
      "cache-lock-stale": 60000,
      "cache-lock-retries": 10,
      "cache-lock-wait": 10000,
      "cache-max": Infinity,
      "cache-min": 10,
      cert: null,
      cidr: null,
      color: process.env.NO_COLOR == null,
      depth: Infinity,
      description: true,
      dev: false,
      "dry-run": false,
      editor: osenv.editor(),
      "engine-strict": false,
      force: false,
      "fetch-retries": 2,
      "fetch-retry-factor": 10,
      "fetch-retry-mintimeout": 10000,
      "fetch-retry-maxtimeout": 60000,
      git: "git",
      "git-tag-version": true,
      "commit-hooks": true,
      global: false,
      globalconfig: path.resolve(globalPrefix, "etc", "npmrc"),
      "global-style": false,
      group: process.platform === "win32" ? 0 : process.env.SUDO_GID || process.getgid && process.getgid(),
      "ham-it-up": false,
      heading: "npm",
      "if-present": false,
      "ignore-prepublish": false,
      "ignore-scripts": false,
      "init-module": path.resolve(home, ".npm-init.js"),
      "init-author-name": "",
      "init-author-email": "",
      "init-author-url": "",
      "init-version": "1.0.0",
      "init-license": "ISC",
      json: false,
      key: null,
      "legacy-bundling": false,
      link: false,
      "local-address": undefined,
      loglevel: "notice",
      // logstream: process.stderr,
      "logs-max": 10,
      long: false,
      maxsockets: 50,
      message: "%s",
      "metrics-registry": null,
      "node-options": null,
      "node-version": process.version,
      offline: false,
      "onload-script": false,
      only: null,
      optional: true,
      otp: null,
      "package-lock": true,
      "package-lock-only": false,
      parseable: false,
      "prefer-offline": false,
      "prefer-online": false,
      prefix: globalPrefix,
      preid: "",
      // production: process.env.NODE_ENV === "production",
      // progress: !process.env.TRAVIS && !process.env.CI,
      proxy: null,
      "https-proxy": null,
      noproxy: null,
      "user-agent": "npm/{npm-version} " + "node/{node-version} " + "{platform} " + "{arch}",
      "read-only": false,
      "rebuild-bundle": true,
      registry: "https://registry.npmjs.org/",
      rollback: true,
      save: true,
      "save-bundle": false,
      "save-dev": false,
      "save-exact": false,
      "save-optional": false,
      "save-prefix": "^",
      "save-prod": false,
      scope: "",
      "script-shell": null,
      "scripts-prepend-node-path": "warn-only",
      searchopts: "",
      searchexclude: null,
      searchlimit: 20,
      searchstaleness: 15 * 60,
      "send-metrics": false,
      shell: osenv.shell(),
      shrinkwrap: true,
      "sign-git-commit": false,
      "sign-git-tag": false,
      "sso-poll-frequency": 500,
      "sso-type": "oauth",
      "strict-ssl": true,
      tag: "latest",
      "tag-version-prefix": "v",
      timing: false,
      tmp: temp,
      unicode: hasUnicode(),
      "unsafe-perm": process.platform === "win32" || process.platform === "cygwin" || !(process.getuid && process.setuid && process.getgid && process.setgid) || process.getuid() !== 0,
      "update-notifier": true,
      usage: false,
      user: process.platform === "win32" ? 0 : "nobody",
      userconfig: path.resolve(home, ".npmrc"),
      umask: process.umask ? process.umask() : umask.fromString("022"),
      version: false,
      versions: false,
      viewer: process.platform === "win32" ? "browser" : "man",
      _exit: true
    };
    return defaults;
  }
}));
exports.types = {
  access: [null, "restricted", "public"],
  "allow-same-version": Boolean,
  "always-auth": Boolean,
  also: [null, "dev", "development"],
  audit: Boolean,
  "audit-level": ["low", "moderate", "high", "critical"],
  "auth-type": ["legacy", "sso", "saml", "oauth"],
  "bin-links": Boolean,
  browser: [null, String],
  ca: [null, String, Array],
  cafile: path,
  cache: path,
  "cache-lock-stale": Number,
  "cache-lock-retries": Number,
  "cache-lock-wait": Number,
  "cache-max": Number,
  "cache-min": Number,
  cert: [null, String],
  cidr: [null, String, Array],
  color: ["always", Boolean],
  depth: Number,
  description: Boolean,
  dev: Boolean,
  "dry-run": Boolean,
  editor: String,
  "engine-strict": Boolean,
  force: Boolean,
  "fetch-retries": Number,
  "fetch-retry-factor": Number,
  "fetch-retry-mintimeout": Number,
  "fetch-retry-maxtimeout": Number,
  git: String,
  "git-tag-version": Boolean,
  "commit-hooks": Boolean,
  global: Boolean,
  globalconfig: path,
  "global-style": Boolean,
  group: [Number, String],
  "https-proxy": [null, url],
  "user-agent": String,
  "ham-it-up": Boolean,
  heading: String,
  "if-present": Boolean,
  "ignore-prepublish": Boolean,
  "ignore-scripts": Boolean,
  "init-module": path,
  "init-author-name": String,
  "init-author-email": String,
  "init-author-url": ["", url],
  "init-license": String,
  "init-version": semver,
  json: Boolean,
  key: [null, String],
  "legacy-bundling": Boolean,
  link: Boolean,
  "local-address": getLocalAddresses(),
  loglevel: ["silent", "error", "warn", "notice", "http", "timing", "info", "verbose", "silly"],
  // logstream: Stream,
  "logs-max": Number,
  long: Boolean,
  maxsockets: Number,
  message: String,
  "metrics-registry": [null, String],
  "node-options": [null, String],
  "node-version": [null, semver],
  noproxy: [null, String, Array],
  offline: Boolean,
  "onload-script": [null, String],
  only: [null, "dev", "development", "prod", "production"],
  optional: Boolean,
  "package-lock": Boolean,
  otp: [null, String],
  "package-lock-only": Boolean,
  parseable: Boolean,
  "prefer-offline": Boolean,
  "prefer-online": Boolean,
  prefix: path,
  preid: String,
  // production: Boolean,
  progress: Boolean,
  proxy: [null, false, url],
  // allow proxy to be disabled explicitly
  "read-only": Boolean,
  "rebuild-bundle": Boolean,
  registry: [null, url],
  rollback: Boolean,
  save: Boolean,
  "save-bundle": Boolean,
  "save-dev": Boolean,
  "save-exact": Boolean,
  "save-optional": Boolean,
  "save-prefix": String,
  "save-prod": Boolean,
  scope: String,
  "script-shell": [null, String],
  "scripts-prepend-node-path": [false, true, "auto", "warn-only"],
  searchopts: String,
  searchexclude: [null, String],
  searchlimit: Number,
  searchstaleness: Number,
  "send-metrics": Boolean,
  shell: String,
  shrinkwrap: Boolean,
  "sign-git-commit": Boolean,
  "sign-git-tag": Boolean,
  "sso-poll-frequency": Number,
  "sso-type": [null, "oauth", "saml"],
  "strict-ssl": Boolean,
  tag: String,
  timing: Boolean,
  tmp: path,
  unicode: Boolean,
  "unsafe-perm": Boolean,
  "update-notifier": Boolean,
  usage: Boolean,
  user: [Number, String],
  userconfig: path,
  umask: Umask,
  version: Boolean,
  "tag-version-prefix": String,
  versions: Boolean,
  viewer: String,
  _exit: Boolean
};

function getLocalAddresses() {
  var interfaces; // #8094: some environments require elevated permissions to enumerate
  // interfaces, and synchronously throw EPERM when run without
  // elevated privileges

  try {
    interfaces = os.networkInterfaces();
  } catch (e) {
    interfaces = {};
  }

  return Object.keys(interfaces).map(nic => interfaces[nic].map(({
    address
  }) => address)).reduce((curr, next) => curr.concat(next), []).concat(undefined);
}

exports.shorthands = {
  s: ["--loglevel", "silent"],
  d: ["--loglevel", "info"],
  dd: ["--loglevel", "verbose"],
  ddd: ["--loglevel", "silly"],
  noreg: ["--no-registry"],
  N: ["--no-registry"],
  reg: ["--registry"],
  "no-reg": ["--no-registry"],
  silent: ["--loglevel", "silent"],
  verbose: ["--loglevel", "verbose"],
  quiet: ["--loglevel", "warn"],
  q: ["--loglevel", "warn"],
  h: ["--usage"],
  H: ["--usage"],
  "?": ["--usage"],
  help: ["--usage"],
  v: ["--version"],
  f: ["--force"],
  desc: ["--description"],
  "no-desc": ["--no-description"],
  local: ["--no-global"],
  l: ["--long"],
  m: ["--message"],
  p: ["--parseable"],
  porcelain: ["--parseable"],
  readonly: ["--read-only"],
  g: ["--global"],
  S: ["--save"],
  D: ["--save-dev"],
  E: ["--save-exact"],
  O: ["--save-optional"],
  P: ["--save-prod"],
  y: ["--yes"],
  n: ["--no-yes"],
  B: ["--save-bundle"],
  C: ["--prefix"]
};

/***/ }),

/***/ "./cli/default-rc.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ci = __webpack_require__("./node_modules/.f/_/ci-info/2.0.0/ci-info/index.js");

module.exports = {
  registry: "https://registry.npmjs.org",
  targetDir: "node_modules",
  progress: ci.isCI ? "none" : "normal"
};

/***/ }),

/***/ "./cli/fyn-cli.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // const Module = require("module");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const Os = __webpack_require__("os");

const Path = __webpack_require__("path");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const Fyn = __webpack_require__("./lib/fyn.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const PkgInstaller = __webpack_require__("./lib/pkg-installer.js"); // const DepData = require("../lib/dep-data");


const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const logger = __webpack_require__("./lib/logger.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const sortObjKeys = __webpack_require__("./lib/util/sort-obj-keys.js");

const fyntil = __webpack_require__("./lib/util/fyntil.js");

const showStat = __webpack_require__("./cli/show-stat.js"); // const showSetupInfo = require("./show-setup-info");
// const logFormat = require("../lib/util/log-format");


const {
  runNpmScript,
  addNpmLifecycle
} = __webpack_require__("./lib/util/run-npm-script.js");

const npmLifecycle = __webpack_require__("./node_modules/.f/_/npm-lifecycle/3.1.5/npm-lifecycle/index.js");

const npmlog = __webpack_require__("./node_modules/.f/_/npmlog/4.1.2/npmlog/log.js");

const xaa = __webpack_require__("./lib/util/xaa.js");

const {
  scanFileStats
} = __webpack_require__("./lib/util/stat-dir.js");

const {
  checkPkgNewVersionEngine
} = __webpack_require__("./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/index.js");

const myPkg = __webpack_require__("./cli/mypkg.js");

const {
  cleanErrorStack
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const {
  setupNodeGypEnv
} = __webpack_require__("./lib/util/setup-node-gyp.js");

const hardLinkDir = __webpack_require__("./lib/util/hard-link-dir.js");

const xsh = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js");

function checkNewVersion(npmConfig) {
  checkPkgNewVersionEngine({
    pkg: _.pick(myPkg, ["name", "version"]),
    npmConfig,
    checkIsNewer: (pkg, distTags, tag) => {
      const isNewer = semver.gt(distTags[tag], pkg.version);
      return {
        isNewer,
        version: distTags[tag]
      };
    },
    fetchJSON: async (url, options) => {
      const res = await fetch(url, options);
      return await res.json();
    }
  });
}

const {
  FETCH_META,
  FETCH_PACKAGE,
  LOAD_PACKAGE,
  INSTALL_PACKAGE,
  spinner
} = __webpack_require__("./lib/log-items.js");

const myDir = Path.join(__dirname, "..");

class FynCli {
  constructor(config) {
    this._config = config;
    this._opts = config.opts;
    if (config.noStartupInfo !== true) this.showStartupInfo();
    this._fyn = undefined;
  }

  get fyn() {
    if (!this._fyn) {
      this._fyn = new Fyn(this._config);
    }

    return this._fyn;
  }

  showStartupInfo() {
    logger.verbose(chalk.green("fyn"), "version", myPkg.version, "at", chalk.magenta(myDir));
    logger.verbose(chalk.green("NodeJS"), "version", process.version, "at", chalk.magenta(process.execPath));
    logger.verbose("env NODE_OPTIONS is", chalk.magenta(process.env.NODE_OPTIONS));
    logger.verbose("working dir is", chalk.magenta(this._opts.cwd));
    logger.verbose("Max network concurrency is", this._opts.concurrency);
  }

  async saveLogs(dbgLog) {
    return Fs.writeFile(Path.resolve(this._opts.cwd, dbgLog), logger.logData.join("\n") + "\n");
  }

  async fail(msg, err) {
    const dbgLog = this._opts.saveLogs || Path.join(Os.tmpdir(), `fyn-debug-${process.pid}-${Date.now()}.log`);
    logger.freezeItems(true);
    logger.error(msg, `CWD ${this.fyn.cwd}`);
    logger.error("process.argv", process.argv);
    logger.error(msg, "Please check for any errors that occur above.");
    const lessCmd = chalk.magenta(`less -R ${dbgLog}`);
    logger.error(msg, `Also check ${chalk.magenta(dbgLog)} for more details. ${lessCmd} if you are on Un*x.`);

    if (err.stack) {
      logger.error(msg, cleanErrorStack(err));
    } else if (err.message) {
      logger.error(msg, err.message);
    }

    await this.saveLogs(dbgLog);
    fyntil.exit(err);
  }

  add(argv) {
    return this.fyn._initialize().then(() => this._add(argv));
  }

  async _add(argv) {
    const addSec = async (section, packages) => {
      if (_.isEmpty(packages)) return [];
      const items = await xaa.map(packages, async pkgSemver => {
        const xfp = Path.resolve(pkgSemver);
        const stat = await xaa.try(() => Fs.stat(xfp));

        if (stat && stat.isDirectory()) {
          pkgSemver = Path.relative(process.cwd(), xfp);

          if (!pkgSemver.startsWith(`..${Path.sep}`)) {
            pkgSemver = `.${Path.sep}${pkgSemver}`;
          }
        }

        const posixPath = pkgSemver.replace(/\\/g, "/");
        const semverPath = this.fyn.pkgSrcMgr.getSemverAsFilepath(posixPath);
        logger.info("found semverPath", semverPath);

        if (semverPath) {
          return {
            $: posixPath,
            name: "",
            semver: posixPath,
            semverPath,
            localType: "hard",
            section,
            parent: {}
          };
        }

        const atX = posixPath.lastIndexOf("@");
        return {
          $: posixPath,
          name: atX > 0 ? posixPath.substr(0, atX) : posixPath,
          semver: atX > 0 ? posixPath.substr(atX + 1) : "latest",
          section,
          parent: {}
        };
      });

      if (!_.isEmpty(items)) {
        logger.info(`Adding packages to ${section}:`, packages.join(", "));
      }

      return items;
    };

    const sections = {
      dependencies: "packages",
      devDependencies: "dev",
      optionalDependencies: "optional",
      peerDependencies: "peer"
    };
    let items = [];

    for (const section in sections) {
      const argKey = sections[section];
      items = items.concat(await addSec(section, argv[argKey]));
    }

    if (_.isEmpty(items)) {
      logger.error("No packages to add");
      fyntil.exit(1);
    }

    logger.addItem({
      name: FETCH_META,
      color: "green",
      spinner
    });
    logger.updateItem(FETCH_META, "loading meta...");
    const results = [];
    return new PromiseQueue({
      concurrency: 10,
      stopOnError: true,
      processItem: item => {
        let found;
        return Promise.try(() => this._fyn._pkgSrcMgr.fetchLocalItem(item)).then(meta => meta || this.fyn.pkgSrcMgr.fetchMeta(item)).then(meta => {
          if (!meta) {
            logger.error("Unable to retrieve meta for package", item.name);
            return;
          } // logger.info("adding", x.name, x.semver, meta);
          // look at dist tags


          const tags = meta["dist-tags"];

          if (meta.local) {
            logger.info("adding local package at", item.fullPath);
            item.name = meta.name;
            item.version = _.get(meta, "json.version");
            found = Path.relative(this.fyn.cwd, item.fullPath).replace(/\\/g, "/");

            if (found !== item.fullPath && !found.startsWith(".")) {
              found = `./${found}`;
            }
          } else if (tags && tags[item.semver]) {
            logger.debug("adding with dist tag for", item.name, item.semver, tags[item.semver]);
            found = `^${tags[item.semver]}`;
            if (!semver.validRange(found)) found = tags[item.semver];
          } else {
            // search
            const versions = Object.keys(meta.versions).filter(v => semver.satisfies(v, item.semver));

            if (versions.length > 0) {
              found = item.semver;
            } else {
              logger.error(chalk.red(`no matching version found for ${item.$}`));
            }
          }

          if (found) {
            logger.info(`found ${found} for ${item.$}`);
            item.found = found;
            results.push(item);
          }
        });
      },
      watchTime: 5000
    }).addItems(items).resume().wait().then(async () => {
      logger.removeItem(FETCH_META);

      if (results.length === 0) {
        logger.info("No packages found for add");
        return false;
      }

      const added = _.mapValues(sections, () => []);

      const pkg = this.fyn._pkg;
      const pkgFyn = argv.pkgFyn ? (await this.fyn.loadPkgFyn()) || {} : pkg;
      results.forEach(item => {
        if (item.semverPath) {
          // set in package-fyn
          if (!this._fyn.isFynpo || !this._fyn._fynpo.graph.getPackageByName(item.name)) {
            _.set(pkgFyn, ["fyn", item.section, item.name], item.found);
          } // set in package if it's not there


          if (!_.get(pkg, [item.section, item.name])) {
            _.set(pkg, [item.section, item.name], item.version ? `^${item.version}` : item.found);
          }
        } else {
          _.set(pkg, [item.section, item.name], item.found);
        }

        added[item.section].push(item.name);
      });
      Object.keys(sections).forEach(sec => {
        if (added[sec].length > 0 && pkg[sec]) {
          pkg[sec] = sortObjKeys(pkg[sec]);

          if (_.get(pkgFyn, ["fyn", sec])) {
            pkgFyn.fyn[sec] = sortObjKeys(pkgFyn.fyn[sec]);
          }

          logger.info(`Packages added to ${sec}:`, added[sec].join(", "));
        }
      });
      await this.fyn.savePkg();

      if (argv.pkgFyn) {
        await this.fyn.savePkgFyn(pkgFyn);
      }

      return true;
    });
  }

  async remove(argv) {
    await this.fyn._initialize();
    return this._remove(argv);
  }

  _remove(argv) {
    if (_.isEmpty(argv.packages)) {
      logger.error("No packages to remove");
      fyntil.exit(1);
    }

    const sections = ["dependencies", "devDependencies", "optionalDependencies", "peerDependencies"];
    const packages = argv.packages.slice();
    const removed = [];

    const removeFromSection = sec => {
      const section = _.get(this.fyn._pkg, sec);

      const fynSection = _.get(this.fyn._pkg, ["fyn", sec], {});

      if (_.isEmpty(section) && _.isEmpty(fynSection)) return;

      for (let i = 0; i < packages.length; i++) {
        const pkgName = packages[i];
        let found = false;

        if (fynSection.hasOwnProperty(pkgName)) {
          delete fynSection[pkgName];
          found = true;
        }

        if (section.hasOwnProperty(pkgName)) {
          delete section[pkgName];
          found = true;
        }

        if (found) {
          removed.push(pkgName);
          packages[i] = undefined;
        }
      }

      if (_.isEmpty(section)) {
        _.unset(this.fyn._pkg, sec);
      }

      if (_.isEmpty(fynSection)) {
        _.unset(this.fyn._pkg, ["fyn", sec]);
      }
    };

    sections.forEach(removeFromSection);
    const remaining = packages.filter(x => x);

    if (!_.isEmpty(remaining)) {
      logger.error("These packages don't exist in your package.json:", remaining.join(", "));
    }

    if (_.isEmpty(this.fyn._pkg.fyn)) {
      _.unset(this.fyn._pkg, "fyn");
    }

    if (removed.length > 0) {
      logger.info("removed packages from package.json:", removed.join(", "));
      this.fyn.savePkg();
      return true;
    }

    logger.error("No package was removed");
    return false;
  }

  async syncLocalLinks() {
    await this.fyn._initializePkg();
    const {
      localPkgLinks
    } = this.fyn._installConfig;

    if (!_.isEmpty(localPkgLinks)) {
      for (const vdir in localPkgLinks) {
        const tgtDir = Path.join(this.fyn._cwd, vdir);
        const srcDir = Path.join(this.fyn._cwd, localPkgLinks[vdir].srcDir);
        await hardLinkDir.link(srcDir, tgtDir, {
          sourceMaps: localPkgLinks[vdir].sourceMaps
        });
      }

      logger.info(`refreshed linked files for local packages`);
    } else {
      logger.info(`There are no local packages`);
    }
  }
  /*
   * npm scripts execution order on install
   * 1. preinstall
   * 1b. install node_modules
   * 2. install
   * 3. postinstall
   * 4. prepare
   */


  install() {
    let failure;
    let installLocked;
    const start = Date.now();
    return Promise.try(() => this.fyn._initializePkg()).then(async () => {
      checkNewVersion(this.fyn._options);

      if (!this.fyn._changeProdMode && !this.fyn._options.forceInstall && this.fyn._installConfig.time) {
        const stats = await scanFileStats(this.fyn.cwd);
        const {
          latestMtimeMs
        } = stats;
        logger.debug("time check from install config - last install time", this.fyn._installConfig.time, "latest file time", latestMtimeMs);
        logger.debug("stats", JSON.stringify(stats, null, 2));

        if (latestMtimeMs < this.fyn._installConfig.time && !(await this.fyn.checkLocalPkgFromInstallConfigNeedInstall()) && // if fyn-lock.yaml has been removed, then run install also
        this.fyn.checkFynLockExist()) {
          throw new Error("No Change");
        }
      }

      installLocked = await this.fyn.createInstallLock();
      await this.fyn.readLockFiles();
      await this.fyn._startInstall();
      const pkg = this.fyn._pkg;

      const preinstall = _.get(pkg, "scripts.preinstall");

      if (preinstall) {
        logger.addItem({
          name: INSTALL_PACKAGE,
          color: "green",
          spinner
        });
        return runNpmScript({
          appDir: this.fyn.cwd,
          scripts: ["preinstall"],
          fyn: this.fyn,
          depInfo: {
            name: pkg.name,
            version: pkg.version,
            dir: this.fyn.cwd
          }
        }).then(() => {
          logger.removeItem(INSTALL_PACKAGE);
        });
      }
    }).then(() => {
      logger.addItem({
        name: FETCH_META,
        color: "green",
        spinner
      });
      logger.updateItem(FETCH_META, "resolving dependencies...");
      return this.fyn.resolveDependencies();
    }).then(() => {
      logger.removeItem(FETCH_META);
      logger.addItem({
        name: FETCH_PACKAGE,
        color: "green",
        spinner
      });
      logger.updateItem(FETCH_PACKAGE, "fetching packages...");
      logger.addItem({
        name: LOAD_PACKAGE,
        color: "green",
        spinner
      });
      logger.updateItem(LOAD_PACKAGE, "loading packages...");
      return this.fyn.fetchPackages();
    }).then(() => {
      logger.removeItem(FETCH_PACKAGE);
      logger.removeItem(LOAD_PACKAGE);
      logger.addItem({
        name: INSTALL_PACKAGE,
        color: "green",
        spinner
      });
      logger.updateItem(INSTALL_PACKAGE, "installing packages...");
      const installer = new PkgInstaller({
        fyn: this.fyn
      });
      return installer.install();
    }).then(async () => {
      const pkg = this.fyn._pkg;
      const pkgScripts = pkg.scripts || {};
      const npmInstallScripts = ["install", "postinstall", "prepare"]; // https://docs.npmjs.com/cli/v6/using-npm/scripts#npm-install
      // Intentionally skipping the deprecated prepublish

      const scripts = npmInstallScripts.filter(x => pkgScripts[x] !== undefined);

      if (scripts.length > 0) {
        await runNpmScript({
          appDir: this.fyn.cwd,
          scripts,
          fyn: this.fyn,
          depInfo: {
            name: pkg.name,
            version: pkg.version,
            dir: this.fyn.cwd
          }
        });
      } // run npm scripts from fynpo, with lifecycle scripts added


      const _runNpm = this.fyn._runNpm.map(s => Array.isArray(s) ? s.find(s1 => pkgScripts[s1] !== undefined) : s);

      const fynpoNpmScripts = addNpmLifecycle(_.without(_runNpm, ...npmInstallScripts), pkgScripts);

      if (fynpoNpmScripts.length > 0) {
        await runNpmScript({
          appDir: this.fyn.cwd,
          scripts: fynpoNpmScripts,
          fyn: this.fyn,
          depInfo: {
            name: pkg.name,
            version: pkg.version,
            dir: this.fyn.cwd
          }
        });
      }
    }).then(async () => {
      logger.removeItem(INSTALL_PACKAGE);
      const end = Date.now();
      await this.fyn.saveFynpoIndirects();
      logger.info(chalk.green("complete in total"), chalk.magenta(`${(end - start) / 1000}`) + "secs");
    }).catch(err => {
      if (err.message === "No Change") {
        logger.info(`No changes detected since last fyn install - nothing to be done.
  To force install, run 'fyn install --force-install' or 'fyn install --fi'`);
      } else {
        failure = err;
      }
    }).finally(async () => {
      if (installLocked === true) {
        await this.fyn.removeInstallLock();
      }

      if (failure) {
        await this.fail(chalk.red("install failed:"), failure);
        return failure;
      }

      if (this._opts.saveLogs) {
        await this.saveLogs(this._opts.saveLogs);
      }

      await this.fyn.saveInstallConfig();
      fyntil.exit(0);
    });
  }

  stat(argv) {
    return showStat(this.fyn, argv.args.packages).finally(() => {
      return this._opts.saveLogs && this.saveLogs(this._opts.saveLogs);
    });
  }

  async runScript(pkg, script, env) {
    const config = x => this.fyn.allrc[x];

    const options = {
      config: this.fyn.allrc,
      dir: Path.join(this.fyn.cwd, this.fyn.targetDir),
      failOk: false,
      force: config("force"),
      group: config("group"),
      log: npmlog,
      ignorePrepublish: config("ignore-prepublish"),
      ignoreScripts: config("ignore-scripts"),
      nodeOptions: config("node-options"),
      production: this.fyn.production,
      scriptShell: config("script-shell"),
      scriptsPrependNodePath: config("scripts-prepend-node-path"),
      unsafePerm: config("unsafe-perm"),
      user: config("user"),
      env
    };
    return npmLifecycle(pkg, script, this.fyn.cwd, options);
  }

  async runScripts(scripts, {
    single
  } = {}) {
    if (!this.fyn._pkg) {
      await this.fyn.loadPkg();
    }

    const pkg = Object.assign({}, this.fyn._pkg);
    pkg._id = `${pkg.name}@${pkg.version}`;

    const _scripts = [].concat(...scripts.map(s => {
      if (!single && !s.startsWith("pre") && !s.startsWith("post")) {
        return [`pre${s}`, s, `post${s}`];
      } else {
        return s;
      }
    }));

    const env = npmLifecycle.initEnv(process.env, this.fyn.production); // add fynpo top dir node_modules/.bin to PATH

    if (this._config._fynpo.config) {
      xsh.envPath.addToFront(Path.join(this._config._fynpo.dir, "node_modules/.bin"), env);
    }

    setupNodeGypEnv(env);
    return Promise.each(_scripts, s => _.get(pkg, ["scripts", s]) && this.runScript(pkg, s, Object.assign({}, env)));
  }

  async run(argv, script = "") {
    if (!this._config._fynpo) {
      this._config._fynpo = {};
    }

    script = script || argv.args.script;

    if (argv.opts.list || !script) {
      try {
        await this.fyn.loadPkg();

        if (!argv.opts.list) {
          console.log(`Lifecycle scripts included in ${this.fyn._pkg.name}:\n`);
        }

        console.log(Object.keys(_.get(this.fyn._pkg, "scripts", {})).join("\n"));
      } finally {
        fyntil.exit(0);
      }
    }

    await this.fyn.loadPkg();

    if (!_.get(this.fyn._pkg, ["scripts", script])) {
      logger.error(`Error: missing script: ${JSON.stringify(script)} - not found in package.json scripts`);
      fyntil.exit(1);
    }

    return this.runScripts([script]);
  }

}

module.exports = FynCli;

/***/ }),

/***/ "./cli/load-rc.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const os = __webpack_require__("os");

const Fs = __webpack_require__("fs");

const Path = __webpack_require__("path");

const Yaml = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Yaml.js");

const Ini = __webpack_require__("./node_modules/.f/_/ini/2.0.0/ini/ini.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const logger = __webpack_require__("./lib/logger.js");

const assert = __webpack_require__("assert");

const defaultRc = __webpack_require__("./cli/default-rc.js");

const npmConfig = __webpack_require__("./cli/config/npm-config.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js"); // replace any ${ENV} values with the appropriate environ.
// copied from https://github.com/npm/config/blob/1f47a6c6ae7864b412d45c6a4a74930cf3365395/lib/env-replace.js


const envExpr = /(?<!\\)(\\*)\$\{([^${}]+)\}/g;

function replaceEnv(f, env) {
  return f.replace(envExpr, (orig, esc, name) => {
    const val = env[name] !== undefined ? env[name] : `$\{${name}}`; // consume the escape chars that are relevant.

    if (esc.length % 2) {
      return orig.slice((esc.length + 1) / 2);
    }

    return esc.slice(esc.length / 2) + val;
  });
}

function replaceRcEnv(rc, env) {
  for (const k in rc) {
    if (rc[k] && rc[k].replace) {
      rc[k] = replaceEnv(rc[k], env);
    }
  }
}

function readRc(fname) {
  const rcFname = Path.basename(fname);

  try {
    const rcData = Fs.readFileSync(fname).toString();
    let rc;

    try {
      assert(rcFname === ".fynrc" && rcData.startsWith("---"));
      rc = Yaml.parse(rcData);
      logger.debug(`Loaded ${rcFname} YAML RC`, fname, JSON.stringify(fynTil.removeAuthInfo(rc)));
    } catch (e) {
      rc = Ini.parse(rcData);
      logger.debug(`Loaded ${rcFname} ini RC`, fname, JSON.stringify(fynTil.removeAuthInfo(rc)));
    }

    return rc;
  } catch (e) {
    if (e.code !== "ENOENT") {
      logger.error(`Failed to process ${rcFname} RC file`, fname, e.message);
    }

    return {};
  }
}

function loadRc(cwd, fynpoDir) {
  const npmrcData = [];

  if (cwd === false) {
    return {
      npmrc: {}
    };
  }

  const homeDir = os.homedir();
  const files = [process.env.NPM_CONFIG_GLOBALCONFIG, Path.join(process.env.PREFIX || "", "/etc/npmrc"), process.env.NPM_CONFIG_USERCONFIG, Path.join(homeDir, ".npmrc"), Path.join(homeDir, ".fynrc"), // fynpo dir
  fynpoDir && fynpoDir !== cwd && Path.join(fynpoDir, ".npmrc"), fynpoDir && fynpoDir !== cwd && Path.join(fynpoDir, ".fynrc"), Path.join(cwd, ".npmrc"), Path.join(cwd, ".fynrc")].filter(x => x);
  const data = files.map(fp => {
    const x = readRc(fp);

    if (fp.endsWith("npmrc")) {
      npmrcData.push(x);
    }

    return x;
  });

  const all = _.merge.apply(_, [{}, npmConfig.defaults, defaultRc].concat(data));

  const npmrc = _.merge.apply(_, [{}, npmConfig.defaults].concat(npmrcData));

  replaceRcEnv(all, process.env);
  replaceRcEnv(npmrc, process.env);
  return {
    all,
    npmrc,
    data,
    npmrcData,
    files
  };
}

module.exports = loadRc;

/***/ }),

/***/ "./cli/main.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const FynCli = __webpack_require__("./cli/fyn-cli.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const CliLogger = __webpack_require__("./lib/cli-logger.js");

const logger = __webpack_require__("./lib/logger.js");

const NixClap = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/nix-clap.js");

const myPkg = __webpack_require__("./cli/mypkg.js");

const loadRc = __webpack_require__("./cli/load-rc.js");

const defaultRc = __webpack_require__("./cli/default-rc.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js");

const {
  runInitPackage
} = __webpack_require__("./node_modules/.f/_/init-package/1.0.0-fynlocal_h/init-package/dist/index.js");

function setLogLevel(ll) {
  if (ll) {
    const levels = Object.keys(CliLogger.Levels);

    const real = _.find(levels, l => l.startsWith(ll));

    const x = CliLogger.Levels[real];

    if (x !== undefined) {
      logger._logLevel = x;
    } else {
      logger.error(`Invalid log level "${ll}".  Supported levels are: ${levels.join(", ")}`);
      fynTil.exit(1);
    }
  }
}

const pickEnvOptions = () => {
  const mapping = {
    NODE_ENV: {
      optKey: "production",
      checkValue: "production"
    }
  };
  return Object.keys(mapping).reduce((cfg, envKey) => {
    if (process.env.hasOwnProperty(envKey)) {
      const m = mapping[envKey];
      const ev = process.env[envKey];
      cfg[m.optKey] = ev === m.checkValue;
      logger.info(`setting option ${m.optKey} to ${cfg[m.optKey]} by env ${envKey} value ${ev}`);
    }
  }, {});
};

const pickOptions = async (argv, nixClap, checkFynpo = true) => {
  setLogLevel(argv.opts.logLevel);
  chalk.enabled = argv.opts.colors;
  let cwd = argv.opts.cwd || process.cwd();

  if (!Path.isAbsolute(cwd)) {
    cwd = Path.join(process.cwd(), cwd);
  }

  let fynpo = {};

  if (checkFynpo) {
    try {
      fynpo = await fynTil.loadFynpo(cwd);
    } catch (err) {
      logger.error(err.stack);
      process.exit(1);
    }
  }

  const rcData = loadRc(argv.opts.rcfile && cwd, fynpo.dir);
  const rc = rcData.all || defaultRc;

  _.defaults(argv.opts, rc);

  nixClap.applyConfig(pickEnvOptions(), argv);
  argv.opts.cwd = cwd;
  chalk.enabled = argv.opts.colors;

  if (!argv.source.saveLogs.startsWith("cli")) {
    argv.opts.saveLogs = undefined;
  }

  nixClap.applyConfig(_.get(fynpo, "config.fyn.options", {}), argv);
  logger.debug("Final RC", JSON.stringify(fynTil.removeAuthInfo(argv.opts)));
  setLogLevel(argv.opts.logLevel);
  if (argv.opts.progress) logger.setItemType(argv.opts.progress);
  return {
    opts: argv.opts,
    rcData,
    _cliSource: argv.source,
    _fynpo: fynpo
  };
};

const options = {
  fynlocal: {
    type: "boolean",
    desc: "enable/disable fynlocal mode",
    default: true
  },
  "always-fetch-dist": {
    type: "boolean",
    desc: "fetch package dist tarball during dep resolving",
    default: false
  },
  "central-store": {
    type: "boolean",
    alias: ["central", "cs"],
    desc: "keep single copy of packages in central store",
    default: false
  },
  copy: {
    type: "string array",
    alias: "cp",
    desc: "copy package even in central store mode"
  },
  "log-level": {
    alias: "q",
    type: "string",
    desc: "One of: debug,verbose,info,warn,error,fyi,none",
    default: "info"
  },
  "save-logs": {
    type: "string",
    alias: "sl",
    default: "fyn-debug.log",
    desc: "Save all logs to the specified file"
  },
  colors: {
    type: "boolean",
    default: true,
    desc: "Log with colors (--no-colors turn off)"
  },
  progress: {
    type: "enum",
    alias: "pg",
    requireArg: true,
    default: "normal",
    enum: /^(normal|simple|none)$/,
    desc: "Log progress type: normal,simple,none"
  },
  cwd: {
    type: "string",
    requireArg: true,
    desc: "Change current working dir"
  },
  "fyn-dir": {
    type: "string",
    desc: "Dir for cache etc, default {HOME}/.fyn"
  },
  "force-cache": {
    alias: "f",
    type: "boolean",
    desc: "Don't check registry if cache exists."
  },
  offline: {
    type: "boolean",
    desc: "Only lockfile or local cache. Fail if miss."
  },
  "lock-only": {
    alias: "k",
    type: "boolean",
    desc: "Only resolve with lockfile. Fail if needs changes."
  },
  "prefer-lock": {
    type: "boolean",
    desc: "Prefer resolving with lockfile."
  },
  lockfile: {
    type: "boolean",
    alias: "lf",
    default: true,
    desc: "Support lockfile"
  },
  "lock-time": {
    type: "string",
    desc: "Lock dependencies by time"
  },
  "npm-lock": {
    type: "boolean",
    desc: "force on/off loading npm lock"
  },
  "refresh-optionals": {
    type: "boolean",
    default: false,
    desc: "refresh all optionalDependencies"
  },
  "refresh-meta": {
    type: "boolean",
    default: false,
    desc: "force refresh package meta from registry"
  },
  "ignore-dist": {
    alias: "i",
    type: "boolean",
    desc: "Ignore host in tarball URL from meta dist."
  },
  "show-deprecated": {
    alias: "s",
    type: "boolean",
    desc: "Force show deprecated messages"
  },
  "deep-resolve": {
    alias: "dr",
    type: "boolean",
    desc: "Resolve dependency tree as deep as possible"
  },
  "source-maps": {
    alias: "sm",
    type: "boolean",
    default: false,
    desc: "Generate pseudo source maps for local linked packages"
  },
  production: {
    type: "boolean",
    alias: "prod",
    default: false,
    desc: "Ignore devDependencies" // allowCmd: ["add", "remove", "install"]

  },
  rcfile: {
    type: "boolean",
    default: true,
    desc: "Load .fynrc and .npmrc files"
  },
  registry: {
    type: "string",
    alias: "reg",
    requireArg: true,
    desc: "Override registry url"
  },
  concurrency: {
    type: "number",
    alias: "cc",
    desc: "Max network concurrency",
    default: 15
  },
  "build-local": {
    type: "boolean",
    default: true,
    desc: "auto run fyn to install and build local dependency packages"
  },
  "flatten-top": {
    type: "boolean",
    default: true,
    desc: "flattening hoists pkg to top level node_modules"
  },
  layout: {
    type: "enum",
    default: "normal",
    // node_modules package directory layouts
    // normal - top level and hoist deps are all copied node_modules
    // detail - every packages in their own path with version detail and symlink to node_modules
    // TODO: simple - where top level deps are copied, but promoted packages are hoisted with symlinks
    enum: /^(normal|detail)$/,
    desc: "set node_modules packages layout - normal or detail"
  },
  "meta-memoize": {
    type: "string",
    alias: "meta-mem",
    desc: "a url to a server that helps multiple fyn to share meta cache"
  }
};
const commands = {
  install: {
    alias: "i",
    desc: "Install modules",

    async exec(argv, parsed) {
      const cli = new FynCli(await pickOptions(argv, parsed.nixClap));
      return cli.install();
    },

    default: true,
    options: {
      "run-npm": {
        desc: "additional npm scripts to run after install",
        type: "string array"
      },
      "force-install": {
        alias: "fi",
        desc: "force install even if no files changed since last install",
        type: "boolean"
      }
    }
  },
  add: {
    alias: "a",
    args: "[packages..]",
    usage: "$0 $1 [packages..] [--dev <dev packages>]",
    desc: "add packages to package.json",
    exec: async (argv, parsed) => {
      const config = await pickOptions(argv, parsed.nixClap);
      const lockFile = config.lockfile;
      config.lockfile = false;
      const cli = new FynCli(config);
      const opts = Object.assign({}, argv.opts, argv.args);
      return cli.add(opts).then(added => {
        if (!added || !argv.opts.install) return;
        config.lockfile = lockFile;
        config.noStartupInfo = true;
        logger.info("installing...");
        fynTil.resetFynpo();
        return new FynCli(config).install();
      });
    },
    options: {
      dev: {
        alias: ["d"],
        type: "array",
        desc: "List of packages to add to devDependencies"
      },
      opt: {
        type: "array",
        desc: "List of packages to add to optionalDependencies"
      },
      peer: {
        alias: ["p"],
        type: "array",
        desc: "List of packages to add to peerDependencies"
      },
      install: {
        type: "boolean",
        default: true,
        desc: "Run install after added"
      },
      "pkg-fyn": {
        type: "boolean",
        desc: "save fyn section to package-fyn.json",
        default: false
      }
    }
  },
  remove: {
    alias: "rm",
    args: "<packages..>",
    desc: "Remove packages from package.json and install",
    exec: async (argv, parsed) => {
      const options = await pickOptions(argv, parsed.nixClap);
      const lockFile = options.lockfile;
      options.lockfile = false;
      const cli = new FynCli(options);
      const opts = Object.assign({}, argv.opts, argv.args);
      const removed = await cli.remove(opts);

      if (removed) {
        if (!argv.opts.install) return;
        options.lockfile = lockFile;
        options.noStartupInfo = true;
        fynTil.resetFynpo();
        logger.info("installing...");
        return await new FynCli(options).install();
      }
    },
    options: {
      install: {
        type: "boolean",
        default: true,
        desc: "Run install after removed"
      }
    }
  },
  stat: {
    desc: "Show stats of installed packages",
    usage: "$0 $1 <package-name>[@semver] [...]",
    args: "<string packages..>",
    exec: async (argv, parsed) => {
      return new FynCli(await pickOptions(argv, parsed.nixClap)).stat(argv);
    }
  },
  run: {
    desc: "Run a npm script",
    args: "[script]",
    alias: ["rum", "r"],
    usage: "$0 $1 <command> [-- <args>...]",
    exec: async (argv, parsed) => {
      try {
        const options = await pickOptions(argv, parsed.nixClap, !argv.opts.list);
        return await new FynCli(options).run(argv);
      } catch (err) {
        if (err.errno !== undefined) {
          process.exit(err.errno);
        } else {
          logger.error("fyn run caught error without errno", err);
          process.exit(1);
        }
      }
    },
    options: {
      list: {
        desc: "list scripts",
        alias: "l",
        type: "boolean"
      }
    }
  },
  init: {
    desc: "initialize a package.json file",
    usage: "$0 $1 <command> [--yes]",
    exec: async argv => {
      try {
        await runInitPackage(argv.opts.yes);
      } catch (err) {
        process.exit(1);
      }
    },
    options: {
      yes: {
        alias: ["y"],
        desc: "skip prompt and use default values",
        type: "boolean"
      }
    }
  },
  "sync-local": {
    desc: "Refresh locally linked package files",
    alias: "sl",

    async exec(argv, parsed) {
      try {
        const opts = await pickOptions(argv, parsed.nixClap, true);
        const cli = new FynCli(opts);
        return cli.syncLocalLinks();
      } catch (err) {
        process.exit(1);
      }
    }

  }
};

const createNixClap = handlers => {
  return new NixClap({
    Promise,
    name: myPkg.name,
    version: myPkg.version,
    usage: "$0 [options] <command>",
    handlers
  });
};

const run = async (args, start, tryRun = true) => {
  fynTil.resetFynpo();
  const handlers = {
    "parse-fail": parsed => {
      if (parsed.commands.length < 1 && parsed.error.message.includes("Unknown command")) {
        parsed.nixClap.skipExec();
      } else {
        parsed.nixClap.showHelp(parsed.error);
      }
    },
    "unknown-option": () => {}
  };

  if (start === undefined && args !== undefined) {
    start = 0;
  }

  const parsed = await createNixClap(handlers).init(options, commands).parseAsync(args, start);

  if (!tryRun || !parsed.error) {
    return;
  }

  if (parsed.error && parsed.commands.length < 1) {
    const x = start === undefined ? 2 : start;
    const args2 = (args || process.argv).slice();
    args2.splice(x, 0, "run");
    await createNixClap().init(options, commands).parseAsync(args2, x);
  } else {
    parsed.nixClap.showHelp(parsed.error);
  }
};

const fun = () => {
  const argv = process.argv.slice();
  argv.splice(2, 0, "run");
  return run(argv, 2, false);
};

const nodeGyp = () => {
  __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/bin/node-gyp.js");
};

const hardLinkDir = __webpack_require__("./lib/util/hard-link-dir.js");

module.exports = {
  run,
  fun,
  nodeGyp,
  hardLinkDir
};

/***/ }),

/***/ "./cli/mypkg.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/*
 * Avoid webpack bundling the whole package.json if doing require("../package.json")
 */

const Fs = __webpack_require__("fs");

const Path = __webpack_require__("path");

const myPkg = JSON.parse(Fs.readFileSync(Path.join(__dirname, "../package.json")));
module.exports = myPkg;

/***/ }),

/***/ "./cli/show-stat.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const CliLogger = __webpack_require__("./lib/cli-logger.js");

const logger = __webpack_require__("./lib/logger.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const PkgDepLinker = __webpack_require__("./lib/pkg-dep-linker.js");

const {
  FETCH_META
} = __webpack_require__("./lib/log-items.js");

const {
  SEMVER
} = __webpack_require__("./lib/symbols.js");

const PACKAGE_JSON = "~package.json";

const formatPkgId = pkg => {
  if (pkg.name === PACKAGE_JSON) {
    return chalk.cyan(pkg.name);
  }

  const top = pkg.promoted ? "" : "⬇";
  return `${logFormat.pkgId(pkg)}${top}`;
};

const getPkgId = pkg => {
  if (pkg.name === PACKAGE_JSON) {
    return pkg.name;
  }

  return `${pkg.name}@${pkg.version}`;
};

class ShowStat {
  constructor({
    fyn
  }) {
    this._fyn = fyn;
    this._fyn._options.buildLocal = false;
  } // returns array of packages match id


  findPkgsById(pkgs, id) {
    const ix = id.indexOf("@", 1);
    const sx = ix > 0 ? ix : id.length;
    const name = id.substr(0, sx);
    const semver = id.substr(sx + 1);
    return _(pkgs[name]).map((vpkg, version) => {
      if (!semver || semverUtil.satisfies(version, semver)) {
        return vpkg;
      }
    }).filter(x => x).value();
  }

  findDependents(pkgs, ask) {
    const dependents = [];

    if (!this._fynRes) {
      const depLinker = new PkgDepLinker({
        fyn: this._fyn
      });
      this._fynRes = depLinker.makeAppFynRes(this._fyn._data.res, {});
    }

    const check = (res, vpkg) => {
      const semv = ask.local ? semverUtil.unlocalify(ask.version) : ask.version;

      if (res && semverUtil.satisfies(res.resolved, semv)) {
        dependents.push(vpkg);
      }
    }; // check indirect packages


    for (const name in pkgs) {
      const pkg = pkgs[name];

      for (const version in pkg) {
        const vpkg = pkg[version]; // no dev because those aren't installed anyways

        ["dep", "opt", "per"].forEach(s => {
          const x = vpkg.res[s];
          check(x && x[ask.name], vpkg);
        });
      }
    } // check app itself


    check(this._fynRes[ask.name], {
      name: PACKAGE_JSON,
      promoted: true
    });
    return dependents;
  }

  showPkgDependents(pkgs, ask) {
    const dependents = this.findDependents(pkgs, ask).sort((a, b) => {
      if (a.name === b.name) {
        return semverUtil.simpleCompare(a.version, b.version);
      }

      return a.name > b.name ? 1 : -1;
    });

    if (dependents.length > 0) {
      logger.prefix("").info("=>", logFormat.pkgId(ask), `has ${dependents.length} dependents:`, dependents.map(formatPkgId).join(" "));
    }

    return dependents;
  }

  _show(pkgIds) {
    const data = this._fyn._data;
    this._dependentsCache = {};
    let groups = {};
    return Promise.each(pkgIds, pkgId => {
      const askPkgs = this.findPkgsById(data.pkgs, pkgId).sort((a, b) => semverUtil.simpleCompare(a.version, b.version));

      if (askPkgs.length === 0) {
        logger.prefix("").info(chalk.yellow(pkgId), "is not installed");
      } else {
        logger.prefix("").info(chalk.green.bgRed(pkgId), "matched these installed versions", askPkgs.map(formatPkgId).join(" "));
        return Promise.each(askPkgs, ask => {
          const specificId = getPkgId(ask);
          const deps = this.showPkgDependents(data.pkgs, ask);
          this._allPaths = [];
          return this._findDepPaths(deps.map(getPkgId), [specificId], ask.name).then(() => {
            const newGroups = _.groupBy(this._allPaths, x => x[x.length - 1]);

            groups = _objectSpread(_objectSpread({}, groups), newGroups);
            const paths = groups[specificId];

            if (paths && paths.length > 0) {
              this._displayPaths(specificId, paths);
            }
          });
        });
      }
    }).then(() => {
      logger.info(chalk.green(`stat completed for ${pkgIds.join(" ")}`));
    });
  }

  _findDepPaths(pkgIds, output = [], askName = "") {
    const data = this._fyn._data;
    return Promise.each(pkgIds, pkgId => {
      const askPkgs = this.findPkgsById(data.pkgs, pkgId).sort((a, b) => semverUtil.simpleCompare(a.version, b.version));

      if (askPkgs.length < 1) {
        if (pkgId === PACKAGE_JSON) {
          const newOutput = [].concat(output);
          ["dependencies", "optionalDependencies", "peerDependencies", "devDependencies"].find(s => {
            const semver = _.get(this._fyn, ["_pkg", s, askName]);

            if (semver) {
              newOutput[SEMVER] = semver;
            }

            return semver;
          });

          this._allPaths.push(newOutput);
        } else {
          this._allPaths.push([pkgId]);
        }

        return undefined;
      }

      return Promise.map(askPkgs, pkg => {
        const pkgId = getPkgId(pkg);

        if (output.indexOf(pkgId) >= 0) {
          logger.debug("stat detected circular dependency:", pkgId, output.join(" "));
          return;
        }

        let dependents = this._dependentsCache[pkgId];

        if (!dependents) {
          this._dependentsCache[pkgId] = dependents = this.findDependents(data.pkgs, pkg).sort((a, b) => {
            if (a.name === b.name) {
              return semverUtil.simpleCompare(a.version, b.version);
            }

            return a.name > b.name ? 1 : -1;
          });
        }

        const followIds = dependents.filter(x => x.name !== PACKAGE_JSON).map(x => `${x.name}@${x.version.replace("-fynlocal_h", "")}`);

        if (dependents.length > 0) {
          const newOutput = [pkgId].concat(output);

          if (output.length === 1) {
            ["dep", "opt", "per", "dev"].find(s => {
              const sv = _.get(pkg, ["res", s, askName]);

              if (sv) {
                newOutput[SEMVER] = sv.semver;
              }

              return sv;
            });
          } else {
            newOutput[SEMVER] = output[SEMVER];
          }

          if (followIds.length > 0) {
            return this._findDepPaths(followIds, newOutput, askName);
          } else if (output) {
            this._allPaths.push(newOutput);
          }
        } else {
          logger.prefix("").info("no dependents for", pkgId);
        }
      }, {
        concurrency: 1
      });
    });
  }

  _displayPaths(pkgId, paths) {
    /**
     * A > B > C > x
     * A > B > D > x
     * A > E > B > C > x
     * // we actually don't want to show last path because B > C > x already occurred
     */
    const cmpDepPath = (a, b) => {
      for (let ixA = 0; ixA < a.length; ixA++) {
        if (b.length <= ixA) {
          return 1;
        }

        const aId = a[ixA];
        const bId = b[ixA];

        if (aId !== bId) {
          return aId > bId ? 1 : -1;
        }
      }

      return 0;
    };

    paths = paths.sort((a, b) => a.length - b.length);
    let minDetails = 5;
    let briefPaths = paths;

    while (briefPaths.length > 10 && minDetails > 0) {
      const occurLevels = {};
      briefPaths = paths.filter(dp => {
        const last = dp.length - 1;

        for (let ix = 0; ix < last; ix++) {
          const pkgId = dp[ix];
          const occur = occurLevels[pkgId];

          if (occur && occur.level < ix && occur.leaf === dp[last] && dp.length - ix > minDetails) {
            return false;
          }

          occurLevels[pkgId] = {
            level: ix,
            leaf: dp[last]
          };
        }

        return true;
      });
      minDetails--;
    }

    briefPaths = briefPaths.sort(cmpDepPath);
    const msg = paths.length === briefPaths.length ? `these dependency paths:` : `${paths.length} dependency paths, showing the ${briefPaths.length} most significant ones below:`;
    logger.prefix("").info(`=> ${pkgId} has ${msg}`);
    logger.prefix("").info(briefPaths.map(x => {
      const semver = x[SEMVER];
      return `  > ` + x.join(" > ") + (semver ? ` (${semver})` : "");
    }).join("\n"));
  }

  showStat(pkgIds) {
    const spinner = CliLogger.spinners[1];
    logger.addItem({
      name: FETCH_META,
      color: "green",
      spinner
    });
    logger.updateItem(FETCH_META, "resolving dependencies...");
    return Promise.resolve(this._fyn.resolveDependencies()).then(() => {
      logger.removeItem(FETCH_META);
      return this._show(pkgIds);
    }).catch(err => {
      logger.error(err);
    }).finally(() => {
      logger.removeItem(FETCH_META);
    });
  }

}

module.exports = (fyn, pkgIds) => {
  return new ShowStat({
    fyn
  }).showStat(pkgIds);
};

/***/ }),

/***/ "./lib/cli-logger.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/visual-logger.js");

/***/ }),

/***/ "./lib/constants.js":
/***/ ((module) => {

"use strict";


module.exports = {
  MARK_URL_SPEC: "~url-spec~",
  // FYN_IGNORE_FILE: "__fyn_ignore__",
  // to be deprecated: no longer use the flat module setup
  // /*deprecated*/ FYN_RESOLUTIONS_JSON: "__fyn_resolutions__.json",
  // /*deprecated*/ FYN_LINK_JSON: "__fyn_link__.json",
  PACKAGE_FYN_JSON: "package-fyn.json",
  //
  // Save a config file to output dir (node_modules) to remember the
  // config used to do install.  Mainly added to remember central store
  // dir because if user run install on an exist node_modules that
  // used central store without specifying the flag again, we still
  // need to run install with central store pointing to the original dir.
  //
  FYN_INSTALL_CONFIG_FILE: ".fyn.json",
  FV_DIR: ".f",
  FYN_LOCK_FILE: "fyn-lock.yaml"
};

/***/ }),

/***/ "./lib/dep-data.js":
/***/ ((module) => {

"use strict";

/*
 * Dependencies Data
 *
 * Class to contain the all the packages needed after
 * fetching meta data and resolve each package's
 * dependencies.
 *
 * fields:
 *
 * - pkgs - The dependency tree
 * - res - The dependency resolution for top level
 *
 */

const RESOLVED_PKGS = Symbol("resolved packages");

class DepData {
  constructor(_data) {
    const data = _data || {};
    this.pkgs = data.pkgs || {};
    this.badPkgs = {};
    this.res = data.res || {};
    this[RESOLVED_PKGS] = [];
  }

  get resolvedPackages() {
    return this[RESOLVED_PKGS];
  }

  addResolved(info) {
    this[RESOLVED_PKGS].push(info);
  }

  sortPackagesByKeys() {
    const pkgs = this.pkgs;
    this.pkgs = {};
    Object.keys(pkgs).sort().forEach(x => this.pkgs[x] = pkgs[x]);
  }

  cleanLinked() {
    this.eachVersion(pkg => {
      pkg.linked = 0;
    });
  }

  getPkgsData(bad) {
    return bad ? this.badPkgs : this.pkgs;
  }

  getPkg(item) {
    return this.getPkgsData(item.optFailed)[item.name];
  }

  getPkgById(id) {
    const splits = id.split("@");
    const x = this.getPkgsData()[splits[0]];
    return splits[1] ? x[splits[1]] : x;
  }

  eachVersion(cb) {
    const pkgs = this.pkgs;
    Object.keys(pkgs).forEach(x => {
      const pkg = pkgs[x];
      Object.keys(pkg).forEach(v => {
        cb(pkg[v], v, pkg);
      });
    });
  }

}

module.exports = DepData;

/***/ }),

/***/ "./lib/dep-item.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Fs = __webpack_require__("./lib/util/file-ops.js");

const Path = __webpack_require__("path");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");
/* eslint-disable no-magic-numbers, no-constant-condition, complexity */

/*
 * Dependency Item
 *
 * Contains info of a dependency and its dependencies
 *
 * Use to track fetching packages when resolving versions and dependencies
 *
 */


class DepItem {
  constructor(options, parent) {
    // name of the package
    this.name = options.name; // semver that was used to specify this dep

    this._semver = semverUtil.analyze(options.semver); // original top level package.json dep section (dep, dev, per, opt)
    //    dep - dependencies, dev: dev, opt: optional, per: peer

    this.src = options.src; // dsrc: source from the direct parent package

    this.dsrc = options.dsrc; // The version that was resolved

    this.resolved = options.resolved; // parent dependency item that pulled this

    this.parent = parent;

    this._addShrinkwrap(_.get(parent, ["_shrinkwrap", "dependencies", this.name]));

    this._addShrinkwrap(options.shrinkwrap);

    this._deepRes = options.deepResolve;
    this._nested = {}; // was this item promoted to top level for flattening?

    this.promoted = undefined;
    this.depth = parent && parent.depth + 1 || options.depth || 0;
    this.nameDepPath = this.depth > 1 ? parent.nameDepPath + "/" + this.name : this.name;
    this.priority = options.priority;
  }

  get fullPath() {
    return this._fullPath;
  }

  set fullPath(p) {
    this._fullPath = p;
  }

  get semver() {
    return this._semver.$;
  }

  get semverPath() {
    return this._semver.path;
  }

  set localType(type) {
    this._semver.localType = type;
  }

  get localType() {
    return this._semver.localType;
  }

  get urlType() {
    return this._semver.urlType;
  }

  get deepResolve() {
    return this._deepRes;
  }

  unref() {
    this.parent = undefined;
  }

  resolve(version, meta) {
    this.resolved = version;

    if (meta && meta.versions) {
      const pkg = meta.versions[version];

      this._addShrinkwrap(pkg._shrinkwrap);
    }
  }

  _addShrinkwrap(sw) {
    if (sw) {
      if (this._shrinkwrap) {
        this._shrinkwrap = Object.assign({}, this._shrinkwrap, sw);
      } else {
        this._shrinkwrap = sw;
      }
    }
  }

  async loadShrinkwrap(dir) {
    const str = await Fs.readFile(Path.join(dir, "npm-shrinkwrap.json"), "utf8");

    this._addShrinkwrap(JSON.parse(str));
  }

  get id() {
    return `${this.name}@${this.resolved || this.semver}`;
  }

  _saveNestedRes(name, semver, version) {
    if (!this._nested[name]) {
      this._nested[name] = {
        _: []
      };
    }

    if (!this._nested[name][semver]) {
      this._nested[name][semver] = version;

      if (this._nested[name]._.indexOf(version) < 0) {
        this._nested[name]._.push(version);
      }
    }
  }

  nestedResolve(name, semver) {
    if (this._nested.hasOwnProperty(name) && this._nested[name][semver]) {
      return this._nested[name][semver];
    }

    if (this._shrinkwrap && this._shrinkwrap.dependencies) {
      const x = this._shrinkwrap.dependencies[name];

      if (x && x.version && (semver === "latest" || semverUtil.satisfies(x.version, semver))) {
        this._saveNestedRes(name, semver, x.version);

        return x.version;
      }
    }

    if (this._nested.hasOwnProperty(name)) {
      const found = this._nested[name]._.find(x => semverUtil.satisfies(x, semver));

      if (found) {
        this._saveNestedRes(name, semver, found);

        return found;
      }
    }

    if (this.parent) {
      return this.parent.nestedResolve(name, semver);
    }

    return undefined;
  }

  addResolutionToParent(data, firstKnown) {
    let pkg;

    if (this.parent.depth) {
      const x = this.parent;
      const kpkg = data.getPkg(x);
      pkg = kpkg[x.resolved].res;
    } else {
      pkg = data.res;
    }

    let depSection = pkg[this.dsrc];

    if (!depSection) {
      depSection = pkg[this.dsrc] = {};
    }

    depSection[this.name] = {
      semver: this.semver,
      resolved: this.resolved
    }; // parent is not top

    if (this.parent.depth && !firstKnown) {
      this.parent._saveNestedRes(this.name, this.semver, this.resolved);
    }
  }

  get requestPath() {
    let x = this; // eslint-disable-line

    const reqPath = [`${this.dsrc};${this.semver}`];
    let opt = false;

    while (true) {
      if (x.parent.depth) {
        x = x.parent;
        if (x.dsrc === "opt") opt = true;
        reqPath.push(`${x.dsrc};${x.semver};${x.id}`);
      } else {
        if (x.dsrc === "opt") opt = true;
        reqPath.push(`${x.dsrc}`);
        break;
      }
    }

    return {
      opt,
      path: reqPath.reverse()
    };
  }

  addRequestToPkg(pkgV, firstSeen) {
    if (pkgV[this.src] === undefined) {
      pkgV[this.src] = 0;
    }

    pkgV[this.src]++;
    const reqPath = this.requestPath;
    pkgV.requests.push(reqPath.path);

    if (!pkgV._hasNonOpt) {
      pkgV._hasNonOpt = !reqPath.opt;
    }

    if (firstSeen) pkgV.firstReqIdx = pkgV.requests.length - 1;

    if (pkgV.dsrc.indexOf(this.dsrc) < 0) {
      pkgV.dsrc += `;${this.dsrc}`;
    }

    if (pkgV.src.indexOf(this.src) < 0) {
      pkgV.src += `;${this.src}`;
    }
  }

  isCircular() {
    if (this._circular !== undefined) {
      return this._circular;
    }

    let parent = this.parent;
    if (!parent) return false;

    while (parent.depth) {
      if (parent.id === this.id) {
        return this._circular = true;
      }

      parent = parent.parent;
    }

    return this._circular = false;
  }

  get depPath() {
    const deps = [];
    let cur = this; // eslint-disable-line

    while (cur) {
      deps.push(cur.id || cur.name);
      cur = cur.parent;
    }

    return deps.reverse();
  }

}

module.exports = DepItem;

/***/ }),

/***/ "./lib/fyn-central.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-params, max-statements, no-empty */

const Path = __webpack_require__("path");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const Tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const {
  missPipe
} = __webpack_require__("./lib/util/fyntil.js");

const {
  linkFile,
  copyFile
} = __webpack_require__("./lib/util/hard-link-dir.js");

const logger = __webpack_require__("./lib/logger.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const filterScanDir = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js");

const Crypto = __webpack_require__("crypto");
/**
 * convert a directory tree structure to a flatten one like:
 * ```
 * {
 *  dirs: [
 *    "/dir1"
 *  ],
 *  files: [
 *    "/file1",
 *    "/dir1/file1"
 *  ]
 * }
 * ```
 *
 * @param {*} tree - the dir tree
 * @param {*} output - output object
 * @param {*} baseDir - base dir path
 * @returns flatten dir list
 */


function flattenTree(tree, output, baseDir) {
  const dirs = Object.keys(tree);

  for (const dir of dirs) {
    if (dir === "/") continue;
    const fdir = Path.join(baseDir, dir);
    output.dirs.push(fdir);
    flattenTree(tree[dir], output, fdir);
  }

  const files = Object.keys(tree["/"]);

  for (const file of files) {
    output.files.push(Path.join(baseDir, file));
  }

  return output;
}
/**
 * create and maintain the fyn central storage
 */


class FynCentral {
  constructor({
    centralDir = ".fyn/_central-storage"
  }) {
    this._centralDir = Path.resolve(centralDir);
    this._map = new Map();
  }

  _analyze(integrity) {
    const sri = ssri.parse(integrity, {
      single: true
    });
    const algorithm = sri.algorithm;
    const hex = sri.hexDigest();
    const segLen = 2;
    const contentPath = Path.join(...[this._centralDir, algorithm].concat(hex.substr(0, segLen), hex.substr(segLen, segLen), hex.substr(segLen * 2)));
    return {
      algorithm,
      contentPath,
      hex
    };
  }
  /**
   * load a dir tree for a centrally stored package
   *
   * @param {*} integrity - package integrity checksum
   * @param {*} _info - package info
   * @param {*} _noSet - if true, then do not mark package in map
   * @returns dir tree info
   */


  async _loadTree(integrity, _info, _noSet) {
    let info = _info;
    let noSet = _noSet;

    if (!info) {
      if (this._map.has(integrity)) {
        info = this._map.get(integrity);
        noSet = true;
      } else {
        info = this._analyze(integrity);
        info.tree = false;
      }
    }

    try {
      const stat = await Fs.stat(info.contentPath);
      info.exist = true;

      if (stat.isDirectory()) {
        await this.readInfoTree(info);

        if (!noSet) {
          this._map.set(integrity, info);
        }
      }

      return info;
    } catch (err) {
      return info;
    }
  }
  /**
   * check if central has the package
   *
   * @param {*} integrity - package integrity
   * @returns boolean
   */


  async has(integrity) {
    const info = this._map.has(integrity) ? this._map.get(integrity) : await this._loadTree(integrity);
    return Boolean(info.tree);
  }
  /**
   * check if if a package is allowed to go into central store
   *
   * @param {*} integrity  - package integrity
   * @returns boolean
   */


  async allow(integrity) {
    const info = this._map.has(integrity) ? this._map.get(integrity) : await this._loadTree(integrity);
    return info.mutates ? false : true;
  }

  async get(integrity) {
    return await this.getInfo(integrity).contentPath;
  }

  async getInfo(integrity) {
    if (this._map.has(integrity)) {
      return this._map.get(integrity);
    }

    const info = await this._loadTree(integrity);

    if (!info.tree) {
      throw new Error(`fyn-central can't get package for integrity ${integrity}`);
    }

    return info;
  }
  /**
   * Get the hash of a npm package's extracted content.
   * - only consider the file names and their mtime and size because npm tar files
   *   with a fixed timestamp to publish, so the mtime give us some assurance
   *   to know if file changed.
   *
   * @param {*} integrity - shasum integrity for the package
   * @returns void
   */


  async getContentShasum(integrity) {
    try {
      const info = await this.getInfo(integrity);
      const packageDir = Path.join(info.contentPath, "package");

      const filter = (_file, _path, extras) => {
        const {
          stat,
          dirFile
        } = extras;
        return {
          formatName: `${dirFile}-${stat.mtimeMs}-${stat.size}`
        };
      };

      const files = await filterScanDir({
        cwd: packageDir,
        filter,
        filterDir: filter,
        fullStat: true,
        // need full stat for mtimeMs and size prop
        concurrency: 500,
        sortFiles: false,
        // concurrency breaks sorting, sort files all at once after
        includeDir: true
      });
      const hash = Crypto.createHash("sha512");
      const shaSum = hash.update(JSON.stringify(files.sort())).digest("base64");
      return shaSum;
    } catch (_err) {
      return undefined;
    }
  }

  async getMutation(integrity) {
    const info = this._map.has(integrity) ? this._map.get(integrity) : await this._loadTree(integrity);
    return info.mutates;
  }
  /**
   * Read the content dir tree from file into into
   *
   * @param {*} info - info
   */


  async readInfoTree(info) {
    const treeFile = Path.join(info.contentPath, "tree.json");

    try {
      const data = await Fs.readFile(treeFile);
      const tree = JSON.parse(data);

      if (tree._ >= 1) {
        if (tree.mutates !== undefined) {
          info.mutates = tree.mutates;
        }

        info.tree = tree.$;
      } else {
        info.tree = tree;
      }
    } catch (err) {
      throw new AggregateError([err], `fyn-central: reading tree file ${treeFile}`);
    }
  }
  /**
   * Save the content dir tree from info to file
   *
   * @param {*} info - info
   * @param {*} path - path to save the file
   */


  async saveInfoTree(info, path) {
    await Fs.writeFile(Path.join(path || info.contentPath, "tree.json"), JSON.stringify({
      $: info.tree,
      mutates: info.mutates,
      _: 1
    }));
  }

  async setMutation(integrity, mutates = true) {
    const info = await this._loadTree(integrity);

    if (!info.exist || !info.tree || info.mutates === mutates) {
      return;
    }

    info.mutates = mutates;
    await this.saveInfoTree(info);
  }

  async replicate(integrity, destDir) {
    try {
      const info = await this.getInfo(integrity);
      const list = flattenTree(info.tree, {
        dirs: [],
        files: []
      }, "");

      for (const dir of list.dirs) {
        await Fs.$.mkdirp(Path.join(destDir, dir));
      }

      await Promise.map(list.files, file => {
        const src = Path.join(info.contentPath, "package", file);
        const dest = Path.join(destDir, file); // copy package.json because we modify it
        // TODO: don't modify it?

        if (file === "package.json") {
          return copyFile(src, dest);
        }

        return linkFile(src, dest);
      }, {
        concurrency: 5
      });
    } catch (err) {
      const msg = `fyn-central can't replicate package at ${destDir} for integrity ${integrity}`;
      throw new AggregateError([err], msg);
    }
  }

  _untarStream(tarStream, targetDir) {
    // since we are using objects to store directory tree we have to
    // create objects without the normal prototypes to avoid name conflict
    // with file names
    const newDirObj = () => {
      const n = Object.create(null);
      n["/"] = Object.create(null);
      return n;
    };

    const dirTree = newDirObj();
    const strip = 1;
    const untarStream = Tar.x({
      strip,
      strict: true,
      C: targetDir,
      onentry: entry => {
        const parts = entry.path.split(/\/|\\/);
        const isDir = entry.type === "Directory";
        const dirs = parts.slice(strip, isDir ? parts.length : parts.length - 1);
        const wtree = dirs.reduce((wt, dir) => {
          return wt[dir] || (wt[dir] = newDirObj());
        }, dirTree);
        if (isDir) return;
        const fname = parts[parts.length - 1];

        if (fname) {
          const m = Math.round((entry.mtime ? entry.mtime.getTime() : Date.now()) / 1000);
          wtree["/"][fname] = {
            z: entry.size,
            m,
            $: entry.header.cksumValid && entry.header.cksum
          };
        }
      }
    });
    return missPipe(tarStream, untarStream).then(() => dirTree);
  }

  async _acquireTmpLock(info) {
    const tmpLock = `${info.contentPath}.lock`;

    try {
      await Fs.$.mkdirp(Path.dirname(info.contentPath));
      await Fs.$.acquireLock(tmpLock, {
        wait: 5 * 60 * 1000,
        pollPeriod: 500,
        stale: 5 * 60 * 1000
      });
    } catch (err) {
      logger.error("fyn-central - unable to acquire tmp lock", tmpLock);
      const msg = err.message && err.message.replace(tmpLock, "<lockfile>");
      throw new Error(`Unable to acquire fyn-central tmp lock ${tmpLock} - ${msg}`);
    }

    return tmpLock;
  }

  async _storeTarStream(info, _stream) {
    let stream = _stream;
    const tmp = `${info.contentPath}.tmp`;
    await Fs.$.rimraf(tmp); // in case there was any remnant left from an interrupted install

    const targetDir = Path.join(tmp, "package");
    await Fs.$.mkdirp(targetDir);

    if (typeof stream === "function") {
      stream = stream();
    }

    if (stream.then) {
      stream = await stream;
    } // TODO: user could break during untar and cause corruptted module


    info.tree = await this._untarStream(stream, targetDir, info);
    await this.saveInfoTree(info, tmp);
    await Fs.rename(tmp, info.contentPath);
    info.exist = true;
  }

  async storeTarStream(pkgId, integrity, stream) {
    let tmpLock = false;

    try {
      let info = await this._loadTree(integrity);

      if (info.exist) {
        logger.debug("fyn-central storeTarStream: already exist", info.contentPath);

        if (!info.tree) {
          logger.error(`fyn-central exist package missing tree.json`);
        }
      } else {
        tmpLock = await this._acquireTmpLock(info);
        info = await this._loadTree(integrity, info, true);

        if (info.exist) {
          logger.debug("fyn-central storeTarStream: found after lock acquired", info.contentPath);

          if (!info.tree) {
            const msg = `fyn-central content exist but no tree.json ${info.contentPath}`;
            logger.error(msg);
            throw new Error(msg);
          }
        } else {
          logger.debug("storing tar to central store", pkgId, integrity);
          await this._storeTarStream(info, stream);
          stream = undefined; // eslint-disable-line

          this._map.set(integrity, info);

          logger.debug("fyn-central storeTarStream: stored", pkgId, info.contentPath);
        }
      }
    } finally {
      if (stream && stream.destroy !== undefined) {
        stream.destroy();
      }

      if (tmpLock) {
        await Fs.$.releaseLock(tmpLock);
      }
    }
  }

}

module.exports = FynCentral;

/***/ }),

/***/ "./lib/fyn-config.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Path = __webpack_require__("path");

const xenvConfig = __webpack_require__("./node_modules/.f/_/xenv-config/1.3.1/xenv-config/lib/xenv-config.js");

const spec = {
  registry: {
    env: "FYN_REGISTRY",
    default: "http://localhost:4873"
  },
  pkgFile: {
    env: "FYN_PACKAGE_FILE",
    default: "package.json"
  },
  targetDir: {
    env: "FYN_TARGET_DIR",
    default: "xout"
  },
  fynDir: {
    env: ["FYN_DIR", "USERPROFILE", "HOME"],
    default: process.cwd(),
    post: (v, t) => {
      if (t.src === "env" && t.name !== "FYN_DIR" || t.src === "default") {
        return Path.join(v, ".fyn");
      }

      return v;
    }
  }
};

module.exports = function fynConfig(override) {
  const configKeys = Object.keys(spec);

  const userConfig = _.pick(override, configKeys);

  const config = xenvConfig(spec, userConfig, {
    sources: ["option", "env"]
  });
  config.fynCacheDir = Path.join(config.fynDir, "_cacache");
  config.lockfile = true;
  return Object.assign(config, _.omit(override, configKeys));
};

/***/ }),

/***/ "./lib/fyn.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Path = __webpack_require__("path");

const util = __webpack_require__("util");

const assert = __webpack_require__("assert");

const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const logger = __webpack_require__("./lib/logger.js");

const PkgDepResolver = __webpack_require__("./lib/pkg-dep-resolver.js");

const PkgDistFetcher = __webpack_require__("./lib/pkg-dist-fetcher.js");

const PkgSrcManager = __webpack_require__("./lib/pkg-src-manager.js");

const PkgDepLocker = __webpack_require__("./lib/pkg-dep-locker.js");

const DepData = __webpack_require__("./lib/dep-data.js");

const fynConfig = __webpack_require__("./lib/fyn-config.js");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js");

const FynCentral = __webpack_require__("./lib/fyn-central.js");

const xaa = __webpack_require__("./lib/util/xaa.js");

const {
  checkPkgNeedInstall
} = __webpack_require__("./lib/util/check-pkg-need-install.js");

const lockfile = __webpack_require__("./node_modules/.f/_/lockfile/1.0.4/lockfile/lockfile.js");

const createLock = util.promisify(lockfile.lock);
const unlock = util.promisify(lockfile.unlock);

const ck = __webpack_require__("./node_modules/.f/_/chalker/1.2.0/chalker/lib/index.js");

const {
  PACKAGE_RAW_INFO,
  DEP_ITEM
} = __webpack_require__("./lib/symbols.js");

const {
  FYN_LOCK_FILE,
  FYN_INSTALL_CONFIG_FILE,
  FV_DIR,
  PACKAGE_FYN_JSON
} = __webpack_require__("./lib/constants.js");

const {
  parseYarnLock
} = __webpack_require__("./yarn/index.js");

const mm = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");
/* eslint-disable no-magic-numbers, max-statements, no-empty, complexity, no-eval */


const npmConfigEnv = __webpack_require__("./lib/util/npm-config-env.js");

const PkgOptResolver = __webpack_require__("./lib/pkg-opt-resolver.js");

const {
  LocalPkgBuilder
} = __webpack_require__("./lib/local-pkg-builder.js");

const {
  posixify
} = __webpack_require__("./lib/util/fyntil.js");

class Fyn {
  constructor({
    opts = {},
    _cliSource = {},
    _fynpo = true
  }) {
    this._cliSource = _objectSpread({}, _cliSource);
    const options = this._options = fynConfig(opts);
    this._cwd = options.cwd || process.cwd();
    logger.debug(`fyn options`, JSON.stringify(fynTil.removeAuthInfo(options)));
    this.localPkgWithNestedDep = [];

    if (options.lockTime) {
      this._lockTime = new Date(options.lockTime);
      logger.info("dep lock time set to", this._lockTime.toString());
    }

    this._installConfig = {
      time: 0
    }; // set this env for more learning and research on ensuring
    // package dir name matches package name.

    this._noPkgDirMatchName = Boolean(process.env.FYN_NO_PKG_DIR_MATCH_NAME);

    if (!_fynpo) {
      this._fynpo = {};
    }
  }

  checkLayoutOption() {
    const {
      _options,
      _cliSource
    } = this;

    if (_options.flattenTop === false && _cliSource.flattenTop !== "default") {
      //
      if (_options.layout !== "detail") {
        if (_cliSource.layout === "default") {
          logger.info(`flatten-top option turned off by ${_cliSource.flattenTop}, so switching node_modules layout to detail`);
          _options.layout = "detail";
          _cliSource.layout = _cliSource.flattenTop;
        } else {
          logger.warn(`you try to turn off flatten-top but set node_modules layout to ${_options.layout} and they are not compatible`);
        }
      }
    }
  }

  checkFynLockExist() {
    const fname = Path.join(this._cwd, FYN_LOCK_FILE);
    return Fs.existsSync(fname);
  }

  updateConfigInLockfile(name, newValue) {
    const valueInLock = this._depLocker.getConfig(name);

    if (valueInLock !== undefined && valueInLock !== newValue) {
      if (this._cliSource[name] === "cli") {
        logger.info(`You are changing ${name} in your lockfile from ${valueInLock} to ${newValue}`);

        this._depLocker.setConfig(name, newValue);
      } else {
        logger.info(`Setting ${name} to ${valueInLock} from your lockfile`);
        this._options[name] = valueInLock;
        this._cliSource[name] = "lock";
      }
    } else {
      this._depLocker.setConfig(name, newValue);
    }
  }

  async readLockFiles() {
    if (this._depLocker) {
      return null;
    }

    this._npmLockData = null;
    this._depLocker = new PkgDepLocker(this.lockOnly, this._options.lockfile);
    const foundLock = await this._depLocker.read(Path.join(this._cwd, FYN_LOCK_FILE));
    this.updateConfigInLockfile("layout", this._options.layout);
    this.updateConfigInLockfile("flattenTop", this._options.flattenTop);
    this.checkLayoutOption();

    if (this._options.npmLock === true) {// force load npm lock data
    } else if (foundLock || this._options.npmLock === false) {
      return Boolean(foundLock);
    } // try to read and consume npm's lockfile
    // https://docs.npmjs.com/files/shrinkwrap.json.html


    for (const npmLockFile of ["npm-shrinkwrap.json", "package-lock.json"]) {
      this._npmLockData = await Fs.readFile(Path.join(this._cwd, npmLockFile)).then(JSON.parse).catch(() => null);

      if (this._npmLockData) {
        logger.info(`using lock data from ${npmLockFile}.`);
        return true;
      }
    } // try to read and consume yarn's lockfile


    const yarnLockName = Path.join(this._cwd, "yarn.lock");

    if (Fs.existsSync(yarnLockName)) {
      logger.info("Reading yarn.lock");
      const yarnLockData = await Fs.readFile(yarnLockName, "utf-8");
      this._yarnLock = parseYarnLock(yarnLockData);
    }

    return false;
  }

  get isFynpo() {
    return Boolean(this._fynpo && this._fynpo.config);
  }

  get isNormalLayout() {
    return this._options.layout === "normal";
  }

  async _initCentralStore() {
    const options = this._options;
    let centralDir;

    if (this._installConfig.centralDir) {
      centralDir = this._installConfig.centralDir;
      logger.debug(`Enabling central store using dir from install config ${centralDir}`);
    } else if (centralDir = process.env.FYN_CENTRAL_DIR) {
      // env wins
      if (fynTil.strToBool(centralDir) === false) {
        logger.debug(`Disabling central store by env FYN_CENTRAL_DIR set to ${centralDir}`);
        return this._central = false;
      }

      if (fynTil.isTrueStr(centralDir)) {
        centralDir = Path.join(this.fynDir, "_central-storage");
      }

      logger.debug(`Enabling central store by env FYN_CENTRAL_DIR using dir ${centralDir}`);
    } else if (options.centralStore) {
      centralDir = Path.join(this.fynDir, "_central-storage");
      logger.debug(`Enabling central store by CLI flag using dir ${centralDir}`);
    } else if (!this._fynpo.config) {
      return this._central = false;
    } else {
      centralDir = this._fynpo.config.centralDir;

      if (!centralDir) {
        centralDir = Path.join(this._fynpo.dir, ".fynpo", "_store");
      }

      logger.info(`Enabling central store by fynpo monorepo using dir ${centralDir}`);
    }

    return this._central = new FynCentral({
      centralDir
    });
  }

  async _initialize({
    noLock = false
  } = {}) {
    await this._initializePkg();

    if (!noLock) {
      await this.readLockFiles();
    }

    await this._startInstall();
  }
  /**
   * Check user production mode option against saved install config in node_modules
   * @remarks - this._installConfig must've been initialized
   * @returns nothing
   */


  checkProductionMode() {
    if (this._installConfig.production) {
      if (this.production) {// user still want production mode, do nothing
      } else if (this._cliSource.production === "default") {
        // user didn't specify any thing about production mode, assume no change
        logger.info(ck`<orange>Setting production mode</> because existing node_modules is production mode.
  To force no production mode, pass --no-production flag.`);
        this._options.production = true;
      } else {
        logger.info(`Changing existing node_modules to NO production mode`);
        this._changeProdMode = this._cliSource.production;
      }
    } else if (this.production) {
      if (!this._installConfig.production) {
        logger.info(`Changing existing node_modules to production mode`);
        this._changeProdMode = this._cliSource.production;
      }
    }
  }

  checkNoFynLocal(name) {
    const noFynLocal = ["dependencies", "devDependencies", "optionalDependencies"].find(sec => {
      const semv = _.get(this._pkg, ["fyn", sec, name]);

      return semv === false || semv && semv.includes("no-fyn-local");
    });
    return Boolean(noFynLocal);
  }

  async _initializePkg() {
    if (!this._fynpo) {
      this._fynpo = await fynTil.loadFynpo(this._cwd); // TODO: options from CLI should not be override by fynpo config options

      _.merge(this._options, _.get(this, "_fynpo.fyn.options"));
    }

    this.checkLayoutOption();

    if (!this._pkg) {
      const options = this._options;
      await this.loadPkg(options);
      this._pkgSrcMgr = options.pkgSrcMgr || new PkgSrcManager(Object.assign({
        fyn: this
      }, options)); // this._data = options.data || new DepData();
      // check if there's existing installed node_modules with a fyn config file
      // to get the central store config used.

      const filename = this.getInstallConfigFile();

      try {
        const fynInstallConfig = JSON.parse(await Fs.readFile(filename));
        logger.debug("loaded fynInstallConfig", fynInstallConfig);
        const {
          layout
        } = fynInstallConfig;

        if (layout && layout !== this._layout) {
          if (this._cliSource.layout !== "default") {
            logger.warn(`Forcing layout to ${layout} from ${this._layout} because your existing node_modules uses that. To change it, please remove node_modules first.`);
          }

          this._layout = layout;
        }

        this._installConfig = _objectSpread(_objectSpread(_objectSpread({}, this._installConfig), fynInstallConfig), {}, {
          layout
        });
      } catch (err) {
        logger.debug("failed loaded fynInstallConfig from", filename, err);
      }

      this.checkProductionMode();
      let fynpoNpmRun;

      if (this._fynpo.config) {
        if (this._fynpo.graph.getPackageAtDir(this._cwd)) {
          // the command.bootstrap.npmRunScripts can be
          // - a string
          // - an array of strings
          // - an array of strings and/or array of strings - each sub array indicates a list of
          //   script names and fyn will run only the first one that exist
          fynpoNpmRun = _.get(this, "_fynpo.config.command.bootstrap.npmRunScripts", undefined);

          if (_.isArray(fynpoNpmRun) && !_.isEmpty(fynpoNpmRun)) {
            logger.verbose("fynpo monorepo: npm run scripts", fynpoNpmRun);
          } else if (fynpoNpmRun !== false) {
            fynpoNpmRun = ["build"];
            logger.verbose("fynpo monorepo: default to auto run npm scripts:", fynpoNpmRun);
          }
        } else if (this._cwd !== this._fynpo.dir) {
          logger.info("package at", this._cwd, "is not part of fynpo's packages. fynpo top dir is", this._fynpo.dir);
        }
      }

      this._runNpm = _.uniq([].concat(this._options.runNpm, fynpoNpmRun).filter(x => x));

      const resData = _objectSpread(_objectSpread({}, this._pkg.resolutions), _.get(this._fynpo, ["config", "resolutions"]));

      if (!_.isEmpty(resData)) {
        this._resolutions = resData;
        this._resolutionsMatchers = Object.keys(resData).map(depPath => {
          const unslashedPath = fynTil.unSlashNpmScope(depPath);
          const pts = unslashedPath.split("/"); // spec can only contain ** between slashes

          assert(!pts.find(x => !(!x.includes("*") || x === "**")), `resolution path '${depPath}' can only contain '**' for wildcard matching`);
          const finalPath = pts.length === 1 ? `**/${unslashedPath}` : unslashedPath;
          return {
            mm: new mm.Minimatch(finalPath),
            res: resData[depPath]
          };
        });
      }
    }
  }

  async _startInstall() {
    if (!this._distFetcher) {
      await this._initCentralStore();
      this._distFetcher = new PkgDistFetcher({
        pkgSrcMgr: this._pkgSrcMgr,
        fyn: this
      });
    }
  }

  async saveFynpoIndirects() {
    if (!this.isFynpo || this._fynpo.dir === this.cwd || _.isEmpty(this._fynpo.indirects)) {
      return;
    }

    const lockFile = Path.join(this._fynpo.dir, ".fynpo/fynpo-data.lock");
    const {
      indirects
    } = this._fynpo;

    try {
      const dataFile = Path.join(this._fynpo.dir, ".fynpo-data.json");
      await Fs.$.mkdirp(Path.join(this._fynpo.dir, ".fynpo"));
      await Fs.$.acquireLock(lockFile, {
        wait: 5000,
        pollPeriod: 100,
        stale: 8000,
        retries: 10,
        retryWait: 500
      });
      const path = posixify(Path.relative(this._fynpo.dir, this.cwd));
      const fynpoData = await fynTil.readJson(dataFile, {
        indirects: {
          [path]: []
        }
      });

      if (JSON.stringify(indirects) !== JSON.stringify(fynpoData.indirects[path])) {
        logger.info(`saving indirect dep to .fynpo-data.json. fyn recommends that you commit the file.`);
        fynpoData.indirects[path] = indirects;
        fynpoData.__timestamp = Date.now();
        await Fs.writeFile(dataFile, `${JSON.stringify(fynpoData, null, 2)}\n`);
      }
    } finally {
      await Fs.$.releaseLock(lockFile);
    }
  }

  async getLocalPkgInstall(localFullPath) {
    if (!this._localPkgInstall) {
      this._localPkgInstall = {};
    }

    if (!this._localPkgInstall[localFullPath]) {
      this._localPkgInstall[localFullPath] = await checkPkgNeedInstall(localFullPath, this._installConfig.time);
    }

    return this._localPkgInstall[localFullPath];
  }

  async checkLocalPkgFromInstallConfigNeedInstall() {
    const localsByDepth = _.get(this._installConfig, "localsByDepth", []);

    for (const locals of localsByDepth.reverse()) {
      for (const relPath of locals) {
        const fullPath = Path.join(this._cwd, relPath);

        if ((await this.getLocalPkgInstall(fullPath)).changed) {
          return true;
        }
      }
    }

    return false;
  }

  setLocalDeps(localsByDepth) {
    const pathsOnly = localsByDepth.map(locals => {
      return locals.map(x => Path.relative(this._cwd, x.fullPath));
    });
    this._installConfig.localsByDepth = pathsOnly;
  }

  getInstallConfigFile() {
    return Path.join(this.getFvDir(FYN_INSTALL_CONFIG_FILE));
  }

  setLocalPkgLinks(localLinks) {
    this._installConfig.localPkgLinks = localLinks;
  } // save the config to outputDir


  async saveInstallConfig() {
    const outputDir = this.getOutputDir();

    const centralDir = _.get(this, "_central._centralDir", false);

    const filename = this.getInstallConfigFile();

    if (!(await Fs.exists(outputDir))) {
      return;
    }

    try {
      const outputConfig = _objectSpread(_objectSpread({}, this._installConfig), {}, {
        // add 5ms to ensure it's newer than fyn-lock.yaml, which was just saved
        // immediately before this
        time: Date.now() + 5,
        centralDir,
        production: this.production,
        layout: this._layout // not a good idea to save --run-npm options to install config because
        // future fyn install will automatically run them and would be unexpected.
        // if fynpo bootstrap should run certain npm scripts, user should set those
        // in fynpo config.  and fyn should look into those when detected a fynpo.
        // runNpm: this._runNpm

      });

      await Fs.writeFile(filename, `${JSON.stringify(outputConfig, null, 2)}\n`);
    } catch (err) {
      logger.debug(`saving install config file failed`, err);
    }
  }

  async loadPkgFyn() {
    this._pkgFyn = await xaa.try(() => fynTil.readJson(Path.resolve(this._cwd, PACKAGE_FYN_JSON)));
    return this._pkgFyn;
  }

  async savePkgFyn(pkg) {
    pkg = !_.isEmpty(pkg) ? pkg : this._pkgFyn;

    if (!_.isEmpty(pkg)) {
      await xaa.try(() => Fs.writeFile(Path.resolve(this._cwd, PACKAGE_FYN_JSON), `${JSON.stringify(pkg || this._pkgFyn, null, 2)}\n`));
    }
  }

  async loadPkg(_options) {
    const options = _options || this._options;

    if (options.pkgFile) {
      const pkgFile = Path.resolve(this._cwd, options.pkgFile);
      logger.debug("package.json file", pkgFile);
      this._pkgFile = pkgFile;

      try {
        this._pkg = await fynTil.readPkgJson(pkgFile, true);
      } catch (err) {
        logger.error("failed to read package.json file", pkgFile);
        logger.error(err.message);
        fynTil.exit(err);
      }

      const pkgFyn = await this.loadPkgFyn(options);

      if (pkgFyn) {
        logger.debug(`found ${PACKAGE_FYN_JSON}`, pkgFyn);

        _.merge(this._pkg, pkgFyn);
      }
    } else {
      this._pkg = options.pkgData;
    }
  }

  savePkg() {
    Fs.writeFileSync(this._pkgFile, `${JSON.stringify(this._pkg, null, 2)}\n`);
  }

  get npmConfigEnv() {
    if (!this._npmConfigEnv) {
      const options = _objectSpread(_objectSpread({}, this._options), {}, {
        cache: this._options.fynDir
      });

      this._npmConfigEnv = npmConfigEnv(this._pkg, options);
    }

    return this._npmConfigEnv;
  }

  get allrc() {
    return this._options;
  }

  get copy() {
    return this._options.copy || [];
  }

  get central() {
    return this._central;
  }

  get depLocker() {
    return this._depLocker;
  }

  get cwd() {
    return this._cwd;
  }

  get forceCache() {
    return this._options.forceCache && "force-cache";
  }

  get registry() {
    return this._options.registry;
  } // offline will disable all remote retrieving


  get offline() {
    return this._options.offline && "offline";
  }

  get fynlocal() {
    return this._options.fynlocal;
  } // lock-only allows skip meta retrieval but still retrieve tgz


  get lockOnly() {
    return this._options.lockOnly && "lock-only";
  }

  get lockTime() {
    return this._lockTime;
  }

  get showDeprecated() {
    return this._options.showDeprecated && "show-deprecated";
  }

  get refreshOptionals() {
    return this._options.refreshOptionals;
  }

  get ignoreDist() {
    return this._options.ignoreDist;
  }

  get production() {
    return this._options.production;
  }

  get concurrency() {
    return this._options.concurrency;
  }

  get deepResolve() {
    return this._options.deepResolve;
  }

  get preferLock() {
    return this._options.preferLock;
  }

  get remoteMetaDisabled() {
    // force-cache only force use cache when it exists but if it's
    // cache miss then we should retrieve from remote
    return this.lockOnly || this.offline || false;
  }

  get remoteTgzDisabled() {
    // force-cache only force use cache when it exists but if it's
    // cache miss then we should retrieve from remote
    return this.offline || false;
  }

  get pkgSrcMgr() {
    return this._pkgSrcMgr;
  }

  get fynDir() {
    return this._options.fynDir;
  }

  get targetDir() {
    return this._options.targetDir;
  }

  get alwaysFetchDist() {
    return this._options.alwaysFetchDist;
  }

  get fynTmp() {
    return Path.join(this.fynDir, "tmp");
  }

  addLocalPkgWithNestedDep(depInfo) {
    this.localPkgWithNestedDep.push(depInfo);
  }

  deDupeLocks() {
    let deDupe = false;

    _.each(this._data.pkgs, (pkg, pkgName) => {
      const versions = Object.keys(pkg);

      const byMaj = _.groupBy(versions, x => {
        const pts = x.split("."); // when major is 0, minor becomes major, ie: 0.x.y => x major

        if (pts[0] === "0") {
          if (pts[1] === "0") {
            return `${pts[0]}.${pts[1]}.${pts[2]}`;
          }

          return `${pts[0]}.${pts[1]}`;
        } else {
          return pts[0];
        }
      });

      const majVersions = Object.keys(byMaj); // if all major versions different, then no need to de-dupe anything

      if (majVersions.length === versions.length) {
        return;
      }

      majVersions.forEach(maj => {
        if (byMaj[maj].length > 1) {
          const removed = byMaj[maj].filter(ver => {
            const item = pkg[ver][DEP_ITEM];

            if (item._resolveByLock || this._npmLockData) {
              deDupe = true;

              this._depLocker.remove(item, true);

              return true;
            }

            return false;
          });

          if (removed.length > 0) {
            logger.debug("de-dupe locks by removing versions of", pkgName, removed);
          } // TODO: by removing all versions, it will update to the latest, which may be newer
          // than the newest version in lock data, so we should keep newest locked and update
          // all removed ones to it

        }
      });
    });

    return deDupe;
  }

  createLocalPkgBuilder(localsByDepth) {
    if (!this._localPkgBuilder) {
      this._localPkgBuilder = new LocalPkgBuilder({
        fyn: this,
        localsByDepth
      });
      this.setLocalDeps(localsByDepth);
    }

    return this._localPkgBuilder;
  }

  async resolveDependencies() {
    await this._initialize();
    this._optResolver = new PkgOptResolver({
      fyn: this
    });

    const doResolve = async ({
      shrinkwrap,
      yarnLock,
      buildLocal = true,
      deDuping = false
    }) => {
      this._data = this._options.data || new DepData();
      this._depResolver = new PkgDepResolver(this._pkg, {
        fyn: this,
        data: this._data,
        shrinkwrap,
        yarnLock,
        optResolver: this._optResolver,
        buildLocal,
        deDuping
      });

      this._depResolver.start();

      await this._depResolver.wait();
    };

    await doResolve({
      shrinkwrap: this._npmLockData,
      yarnLock: this._yarnLock,
      buildLocal: this._options.buildLocal
    });

    if (this._npmLockData) {
      this.depLocker.generate(this._data);
    }

    if ((this._yarnLock || this._npmLockData || this.depLocker.pkgDepChanged) && this.deDupeLocks()) {
      logger.info("changed dependencies and duplicate versions detected => de-duping");
      await doResolve({
        buildLocal: false,
        deDuping: true
      });
    }
  }

  async fetchPackages(data) {
    await this._initialize();

    this._distFetcher.start(data || this._data || this._depResolver._data);

    return await this._distFetcher.wait();
  }
  /**
   * Create a lock in FV dir during install, to prevent multiple install
   * being run at the same time.
   *
   * This would just cause second installs to fail instead of causing random
   * weird issues.
   *
   * - Rare but could occur if fyn is used for monorepo and user has script
   *   that run concurrent installs
   *
   * @returns {Promise<boolean>} if lock was acquired
   */


  async createInstallLock() {
    await this.createDir(this.getFvDir());
    const fname = this.getFvDir(".installing.lock");
    await createLock(fname, {
      wait: 3000,
      // consider 30 minutes lockfile stale
      stale: 30 * 60 * 1000
    });
    return true;
  }
  /**
   * Remove lock during install
   *
   * @returns {*} none
   */


  async removeInstallLock() {
    const fname = this.getFvDir(".installing.lock");
    return await unlock(fname);
  }
  /**
   * Get the directory where a package should be installed/extracted into
   *
   * @param {*} name - name of the package
   * @param {*} version - version of the package
   * @param {*} pkg - pkg data
   *
   * @returns {string} dir for package
   */


  getInstalledPkgDir(name = "", version = "", pkg) {
    // in normal layout, promoted package should go to top node_modules dir directly
    if (this.isNormalLayout && pkg && pkg.promoted) {
      return Path.join(this.getOutputDir(), name);
    } // it's important that each package is directly extracted to a directory
    // that has name exactly the same as the package because there are code
    // and tools that depend on that.
    // for example: webpack module de-duping seems to depend on that, otherwise
    // the bundle bloats.


    if (version) {
      if (this._noPkgDirMatchName) {
        return Path.join(this.getOutputDir(), FV_DIR, "_", name, version);
      } else {
        return Path.join(this.getOutputDir(), FV_DIR, "_", name, version, name);
      }
    }

    return Path.join(this.getOutputDir(), FV_DIR, "_", name);
  }

  getFvDir(x) {
    return Path.join(this._cwd, this._options.targetDir, FV_DIR, x || "");
  }

  getOutputDir(x) {
    return Path.join(this._cwd, this._options.targetDir, x || "");
  }

  getExtraDir(x) {
    return Path.join(this._cwd, this._options.targetDir, ".extra", x || "");
  }

  clearPkgOutDir(dir) {
    return Fs.readdir(dir).each(f => Fs.$.rimraf(Path.join(dir, f)));
  }
  /**
   * Scan FV_DIR for modules saved in the ${name}/${version} format
   * @returns {*} pkgs under fv dir with their versions
   */


  async loadFvVersions() {
    const fvVersions = {}; // get dir where all packages are extracted to

    const pkgStoreDir = this.getFvDir("_");

    try {
      for (const pkgName of await Fs.readdir(pkgStoreDir)) {
        if (pkgName === "node_modules" || pkgName.startsWith(".")) {
          continue; //
        }

        const readVersionsOfPkg = async name => {
          if (!fvVersions[name]) {
            fvVersions[name] = [];
          }

          for (const version of await Fs.readdir(Path.join(pkgStoreDir, name))) {
            fvVersions[name].push(version);
          }
        };

        if (pkgName.startsWith("@")) {
          // handle scoped package names
          for (const name2 of await Fs.readdir(Path.join(pkgStoreDir, pkgName))) {
            const pkgName2 = `${pkgName}/${name2}`;
            await readVersionsOfPkg(pkgName2);
          }
        } else {
          await readVersionsOfPkg(pkgName);
        }
      }
    } catch (err) {
      if (err.code !== "ENOENT") {
        logger.error("loadFvVersions failed", err);
      }
    }

    return fvVersions;
  }

  async createPkgOutDir(dir, keep) {
    try {
      const r = await Fs.$.mkdirp(dir); // mkdirp returns null if directory already exist
      // clear directory to prepare it for installing package

      if (r === null && !keep && dir !== this.getOutputDir()) {
        await this.clearPkgOutDir(dir);
      }
    } catch (err) {
      // mkdirp fails with EEXIST if file exist and is not a directory
      if (err.code === "EEXIST") {
        // remove it and create as a directory
        await Fs.$.rimraf(dir);
        await Fs.$.mkdirp(dir);
      } else {
        throw err;
      }
    }
  }

  async createDir(dir) {
    try {
      await Fs.$.mkdirp(dir);
    } catch (err) {
      // mkdirp fails with EEXIST if file exist and is not a directory
      if (err.code === "EEXIST") {
        // remove it and create as a directory
        await Fs.$.rimraf(dir);
        await Fs.$.mkdirp(dir);
      } else {
        throw err;
      }
    }
  } // fyn's directory to store all local package linking file


  get linkDir() {
    return Path.join(this._options.fynDir, "links");
  }

  async readJson(file, fallback) {
    try {
      return JSON.parse(await Fs.readFile(file));
    } catch (e) {
      return fallback !== undefined ? fallback : {};
    }
  }

  async moveToFv(dir, pkg, pkgJson) {
    const toDir = this.getInstalledPkgDir(pkgJson.name, pkgJson.version, {});

    try {
      await Fs.access(toDir); // a copy already exist in FV dir, so remove it

      logger.warn(`Removing ${dir} because its version ${pkgJson.version} is different from ${pkg.version}`);
      await Fs.$.rimraf(dir);
    } catch (err) {
      logger.debug(`Moving ${dir} to ${toDir} to replace with version ${pkg.version}`);
      await Fs.$.mkdirp(Path.dirname(toDir));
      await Fs.rename(dir, toDir);
    }
  }

  async unlinkLocalPackage(dir, reason) {
    logger.warn(`Removing ${dir} because it's ${reason}`);
    return await Fs.$.rimraf(dir);
  } //
  // A pkg that's to be extracted must:
  //
  // - not have its target dir exist
  // - if exist then must be a dir and have a package.json
  //   with the right name and version
  //
  // If dir exist with proper package.json, then returns it,
  // else returns undefined.
  //


  async ensureProperPkgDir(pkg, dir) {
    const fullOutDir = dir || this.getInstalledPkgDir(pkg.name, pkg.version, pkg);
    let ostat;

    try {
      ostat = await Fs.lstat(fullOutDir);
    } catch (err) {
      if (err.code !== "ENOENT") throw err;
      return null;
    }

    if (ostat.isSymbolicLink()) {
      await this.unlinkLocalPackage(fullOutDir, "a symlink");
    } else if (!ostat.isDirectory()) {
      await this.unlinkLocalPackage(fullOutDir, "not a directory");
    } else {
      try {
        const pkgJson = await this.loadJsonForPkg(pkg, fullOutDir);

        if (!pkgJson._invalid) {
          return pkgJson;
        }

        await this.moveToFv(fullOutDir, pkg, pkgJson);
      } catch (err) {
        logger.warn(`ensureProperPkgdir:`, err);
      }
    }

    return null;
  }

  async loadJsonForPkg(pkg, dir) {
    const fullOutDir = dir || this.getInstalledPkgDir(pkg.name, pkg.version, pkg);
    const json = await fynTil.readPkgJson(fullOutDir, true);
    const pkgId = `${pkg.name}@${pkg.version}`;
    const id = `${json.name}@${json.version}`;

    if (json.version !== pkg.version) {
      const cleanVersion = semver.valid(json.version) || semverUtil.clean(json.version);

      if (cleanVersion !== json.version) {
        assert(semver.valid(cleanVersion), `Pkg ${id} version is not valid semver and fyn was unable to fix it.`);
        json._origVersion = json.version;
        json.version = cleanVersion;
      }
    }

    if (pkg._hasShrinkwrap) json._hasShrinkwrap = true; // if _id exist then it should match

    if (json._id && json._id !== pkgId) {
      logger.debug(`readPkgJson - json._id ${json._id} not matched pkg ${pkgId}`);
      json._invalid = true;
      return json;
    } // TODO: check npm:pkg-alias in semver
    // assert(
    //   json && json.name === pkg.name && semverUtil.equal(json.version, pkg.version),
    //   `Pkg in ${fullOutDir} ${id} doesn't match ${pkg.name}@${pkg.version}`
    // );


    pkg.dir = json[PACKAGE_RAW_INFO].dir;
    pkg.str = json[PACKAGE_RAW_INFO].str;

    try {
      const gypFile = Path.join(fullOutDir, "binding.gyp");
      await Fs.lstat(gypFile);
      json.gypfile = true;
      const scr = json.scripts;

      if (_.isEmpty(scr) || !scr.install && !scr.postinstall && !scr.postInstall) {
        _.set(json, "scripts.install", "node-gyp rebuild");
      }
    } catch (err) {}

    pkg.json = json;
    return json;
  }

  async createSubNodeModulesDir(dir) {
    const nmDir = Path.join(dir, "node_modules"); // const fynIgnoreFile = Path.join(nmDir, FYN_IGNORE_FILE);
    // let ignoreExist = false;

    if (!(await Fs.exists(nmDir))) {
      await Fs.$.mkdirp(nmDir);
    } else {// ignoreExist = await Fs.exists(fynIgnoreFile);
    } // if (ignoreExist && !this.flatMeta) {
    //   await Fs.unlink(fynIgnoreFile);
    // } else if (!ignoreExist && this.flatMeta) {
    //   await Fs.writeFile(fynIgnoreFile, "");
    // }


    return nmDir;
  }

}

module.exports = Fyn;

/***/ }),

/***/ "./lib/lifecycle-scripts.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-statements, no-eval, camelcase, no-param-reassign */
//
// execute npm scripts
//

const Path = __webpack_require__("path");

const optionalRequire = __webpack_require__("./node_modules/.f/_/optional-require/1.1.8/optional-require/index.js")(eval("require"));

const assert = __webpack_require__("assert");

const xsh = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const logger = __webpack_require__("./lib/logger.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const VisualExec = __webpack_require__("./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/visual-exec.js");

const fyntil = __webpack_require__("./lib/util/fyntil.js");

const requireAt = __webpack_require__("./node_modules/.f/_/require-at/1.0.6/require-at/require-at.js");

const {
  setupNodeGypEnv
} = __webpack_require__("./lib/util/setup-node-gyp.js");

const npmConfigEnv = __webpack_require__("./lib/util/npm-config-env.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const readPkgJson = dir => {
  return fyntil.readPkgJson(dir).catch(() => {
    return {};
  });
};

xsh.Promise = Promise; // When released, all code are bundled into dist/fyn.js
// When running from original source, this is under lib/lifecycle-scripts.js
// It's important to maintain same level so "../package.json" works.

const fynInstalledDir = Path.dirname(optionalRequire.resolve("../package.json"));
const fynCli = requireAt(fynInstalledDir).resolve("./bin/fyn.js");
/*
 * ref: https://github.com/npm/npm/blob/75b462c19ea16ef0d7f943f94ff4d255695a5c0d/lib/utils/lifecycle.js
 * docs: https://docs.npmjs.com/misc/scripts
 *
 */

const ONE_MB = 1024 * 1024;

class LifecycleScripts {
  constructor(options) {
    if (typeof options === "string") {
      options = {
        dir: options
      };
    }

    this._fyn = options._fyn || {};
    this._pkgDir = options.dir;
    this._options = Object.assign({}, options);
  }

  makeEnv(override) {
    // let env = Object.assign({}, process.env, override);
    // this._addNpmPackageConfig(this._appPkg.config, env);
    // this._addNpmPackageConfig(this._pkg.config, env);
    const env = Object.assign({}, npmConfigEnv(this._pkg, this._fyn.allrc || {}), override);
    setupNodeGypEnv(env); // add fynpo node_modules/.bin to PATH

    if (this._fyn.isFynpo) {
      xsh.envPath.addToFront(Path.join(this._fyn._fynpo.dir, "node_modules/.bin"), env);
    }

    if (this._appDir) {
      xsh.envPath.addToFront(Path.join(this._appDir, "node_modules/.bin"), env);
    }

    xsh.envPath.addToFront(Path.join(this._pkgDir, "node_modules/.bin"), env); // env.npm_lifecycle_event = stage;  // TODO

    env.npm_node_execpath = env.NODE = env.NODE || process.execPath;
    env.npm_execpath = fynCli;
    env.INIT_CWD = this._fyn.cwd;
    return env;
  }

  execute(aliases, silent) {
    return Promise.try(() => this._execute(aliases, silent));
  }

  async _initialize() {
    const options = this._options;

    if (options.appDir && options.appDir !== options.dir) {
      this._appDir = options.appDir;
      this._appPkg = await readPkgJson(this._appDir);
    } else {
      this._appPkg = {};
    }

    this._pkg = options.json || (await readPkgJson(this._pkgDir));
    assert(this._pkg, `Unable to load package.json from ${this._pkgDir}`);

    if (!this._pkg.scripts) {
      this._pkg.scripts = {};
    }
  }

  async _execute(aliases, silent) {
    if (!this._pkg) {
      await this._initialize();
    }

    if (typeof aliases === "string") aliases = [aliases];

    const name = _.keys(this._pkg.scripts).find(x => aliases.indexOf(x) >= 0);

    if (!name || !this._pkg.scripts.hasOwnProperty(name)) {
      return false;
    }

    assert(this._pkg.scripts[name], `No npm script ${name} found in package.json in ${this._pkgDir}.`);
    const pkgName = logFormat.pkgId(this._pkg);
    const dimPkgName = chalk.dim(pkgName);
    const scriptName = chalk.magenta(name);
    const script = `"${chalk.cyan(this._pkg.scripts[name])}"`;
    const pkgDir = logFormat.pkgPath(this._pkg.name, this._pkgDir.replace(this._fyn.cwd, "."));
    const env = this.makeEnv({
      PWD: this._pkgDir
    });
    logger.verbose(`running npm script '${scriptName}' of ${dimPkgName}: ${script} - at dir ${pkgDir}`);
    const child = xsh.exec({
      silent,
      cwd: this._pkgDir,
      env,
      maxBuffer: 20 * ONE_MB
    }, this._pkg.scripts[name]); // exec not silent so it's dumping to stdout
    // and it's not a good idea to try to show visual progress of the execution

    if (!silent) {
      return child.promise;
    }

    const ve = new VisualExec({
      command: this._pkg.scripts[name],
      cwd: this._pkgDir,
      visualLogger: logger,
      displayTitle: `Running ${scriptName} of ${pkgName}`,
      logLabel: `${pkgName} npm script ${scriptName}`,
      outputLabel: `${dimPkgName} npm script ${scriptName}`
    });

    try {
      return await ve.show(child);
    } catch (err) {
      throw new AggregateError([err], `Failed running npm script '${name}' for package ${pkgName} at ${pkgDir}`);
    }
  }

}

module.exports = LifecycleScripts;

/***/ }),

/***/ "./lib/local-pkg-builder.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-statements */

/**
 * Before linking a local dep, go into its dir and run fyn install
 *
 * - TODO: impl timestamp check so if no files updated then don't run
 */

const assert = __webpack_require__("assert");

const Path = __webpack_require__("path");

const logger = __webpack_require__("./lib/logger.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const VisualExec = __webpack_require__("./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/visual-exec.js");

const xaa = __webpack_require__("./node_modules/.f/_/xaa/1.7.0/xaa/dist/xaa.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const {
  runNpmScript
} = __webpack_require__("./lib/util/run-npm-script.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

class LocalPkgBuilder {
  constructor(options) {
    this._options = options;
    this._fyn = options.fyn;
    this._waitItems = {};
    this._failedItems = {};
  }

  async start() {
    this._started = xaa.makeDefer();
    this._promiseQ = new PromiseQueue({
      concurrency: 1,
      stopOnError: false,
      processItem: x => this.processItem(x)
    });
    const cliFynJs = Path.join(__dirname, "../cli/fyn.js");

    if (await Fs.exists(cliFynJs)) {
      this._fynJs = cliFynJs;
    } else {
      this._fynJs = Path.join(__dirname, "../bin/fyn.js");
    }

    const {
      localsByDepth
    } = this._options;

    this._promiseQ.on("doneItem", data => {
      this._waitItems[data.item.fullPath].resolve({});
    });

    this._promiseQ.on("failItem", data => {
      const itemRes = {
        error: new AggregateError([data.error], `failed build local package at ${data.item.fullPath}`)
      };

      this._waitItems[data.item.fullPath].resolve(itemRes);

      this._failedItems[data.item.fullPath] = itemRes;
    });

    this._defer = xaa.makeDefer();

    this._promiseQ.on("done", () => {
      if (!this._promiseQ.isPending) {
        this._defer.resolve();
      }
    });

    this._promiseQ.on("fail", data => {
      this._defer.reject(new AggregateError([data.error], `failed to build local packages`));
    }); //
    // localsByDepth is array of array: level 1 depths, level 2 packages
    //


    const flatLocals = [].concat(...localsByDepth);
    const allPaths = flatLocals.map(x => x.fullPath); //
    // convert items into array of paths and then use _.uniq to only keep
    // the first occurrence of duplicate paths, and reverse them so the
    // ones that has no dependence on the ones before them are build first.
    //

    const uniqPaths = _.uniq(allPaths).reverse();

    const byPathLookup = flatLocals.reduce((a, x) => {
      a[x.fullPath] = x;
      return a;
    }, {});
    logger.debug("local pkgs for build all paths", allPaths, "uniq paths", uniqPaths);

    for (const path of uniqPaths) {
      await this.addItem(byPathLookup[path]);
    }

    logger.debug("resolving build local _started promise");

    this._started.resolve();
  }

  async addItem(item) {
    if (this._waitItems[item.fullPath] !== undefined) {
      logger.debug(`local pkg at ${item.fullPath} already being built`);
      return;
    }

    const checkPkg = await this._fyn.getLocalPkgInstall(item.fullPath);
    this._waitItems[item.fullPath] = false; // TODO: if one of its deps is a local and needed install, then it'd
    // need to be installed also, even if its own files didn't change.
    // Generally this is unnecessary, except if its build process may
    // depend on that downstream local package.

    if (!checkPkg.localBuild) {
      logger.debug(`local pkg at ${item.fullPath} doesn't need build`, checkPkg);
      return;
    }

    if (checkPkg.pkgJson.name === this._fyn._pkg.name) {
      logger.debug(`local pkg at ${item.fullPath} is self, skipping build`);
      return;
    }

    logger.debug(`building local pkg at ${item.fullPath}`, "ctime:", checkPkg.ctime, "checkCtime", checkPkg.checkCtime, "stats", JSON.stringify(checkPkg.stats, null, 2), // eslint-disable-line
    this._fyn._installConfig);

    this._promiseQ.addItem(item);

    this._waitItems[item.fullPath] = xaa.makeDefer();
  }

  async waitForItem(fullPath) {
    if (this._waitItems[fullPath] === undefined) {
      logger.debug("waiting for local build item start, fullPath:", fullPath);
      await this._started.promise;
    }

    const x = this._waitItems[fullPath];
    assert(x !== undefined, `No local pkg build job started for pkg at ${fullPath}`);

    if (x && x.promise) {
      logger.debug("waiting for build local item", fullPath, x);
      const localBuildResult = await x.promise;
      logger.debug("build local item awaited", fullPath);
      return localBuildResult;
    } else {
      logger.debug("status is false => no build local job for pkg at", fullPath, x);
    }

    return {};
  }

  waitForDone() {
    return this._defer && this._defer.promise;
  }

  async processItem(item) {
    if (!_.isEmpty(this._failedItems)) {
      return {};
    }

    const dispPath = Path.relative(this._options.fyn._cwd, item.fullPath);
    const command = [process.argv[0], this._fynJs, this._fyn._options.registry && `--reg=${this._fyn._options.registry}`, "-q=d --pg=simple --no-build-local", !this._fyn._options.sourceMaps && "--no-source-maps"].filter(x => x).join(" ");
    const displayTitle = `building local pkg at ${dispPath}`;
    logger.verbose(displayTitle);
    const ve = new VisualExec({
      displayTitle,
      cwd: item.fullPath,
      command,
      visualLogger: logger
    });
    ve.logFinalOutput = _.noop;
    await ve.execute();
    const pkgJsonFile = Path.join(item.fullPath, "package.json");
    let pkgJson;
    const prePkgJson = pkgJson = JSON.parse(await Fs.readFile(pkgJsonFile));

    if (_.get(prePkgJson, "scripts.prepublish") !== undefined) {
      if (_.get(prePkgJson, "scripts.prepare") !== undefined) {
        logger.warn(`
  Local package has 'prepare' and 'prepublish', skipping 'prepublish'.  dir at ${dispPath} 
        `);
      } else {
        logger.warn(`
  Build local dep package - running npm script 'prepublish' at ${dispPath}

  ==NOTE== While fyn will run 'prepublish' as part of installing this local package as a dependency,
  ==NOTE== Please note that npm deprecated this script and recommend other npm lifecycle script
  ==NOTE== such as 'prepare'.  See docs here https://docs.npmjs.com/cli/v7/using-npm/scripts#prepare-and-prepublish
  ==NOTE== If you want to use 'prepublishOnly', please note that fyn won't execute it as part of
  ==NOTE== installing local packages.
`);
        await runNpmScript({
          scripts: ["prepublish"],
          appDir: item.fullPath,
          dir: item.fullPath,
          fyn: this._fyn,
          depInfo: item,
          pkgJson: prePkgJson
        });
        pkgJson = JSON.parse(await Fs.readFile(pkgJsonFile));
      }
    }

    if (_.get(prePkgJson, "scripts.prepack") !== undefined) {
      logger.debug(`Build local dep package - running npm script 'prepack' at ${dispPath}`);
      await runNpmScript({
        scripts: ["prepack"],
        appDir: item.fullPath,
        dir: item.fullPath,
        fyn: this._fyn,
        depInfo: item,
        pkgJson: prePkgJson
      });
      pkgJson = JSON.parse(await Fs.readFile(pkgJsonFile));
    }

    if (_.get(pkgJson, "scripts.postpack") !== undefined) {
      logger.debug(`Build local dep package - running npm script 'postpack' at ${dispPath}`);
      await runNpmScript({
        scripts: ["postpack"],
        appDir: item.fullPath,
        dir: item.fullPath,
        fyn: this._fyn,
        depInfo: item,
        pkgJson
      });
    }

    return {
      pkgJson
    };
  }

}

exports.LocalPkgBuilder = LocalPkgBuilder;

/***/ }),

/***/ "./lib/log-items.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const VisualLogger = __webpack_require__("./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/visual-logger.js");

const FETCH_META = "fetch meta";
const FETCH_PACKAGE = "fetch package";
const LONG_WAIT_META = "meta still pending";
const LOAD_PACKAGE = "load package";
const LONG_WAIT_PACKAGE = "package pending fetch";
const INSTALL_PACKAGE = "install package";
const NETWORK_ERROR = "network error";
const OPTIONAL_RESOLVER = "optional resolver";
const spinner = VisualLogger.spinners[1];
module.exports = {
  FETCH_META,
  FETCH_PACKAGE,
  LONG_WAIT_META,
  LOAD_PACKAGE,
  LONG_WAIT_PACKAGE,
  INSTALL_PACKAGE,
  NETWORK_ERROR,
  OPTIONAL_RESOLVER,
  spinner
};

/***/ }),

/***/ "./lib/logger.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const CliLogger = __webpack_require__("./lib/cli-logger.js");

module.exports = new CliLogger();

/***/ }),

/***/ "./lib/long-pending.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-statements, no-param-reassign */

const MAX_PENDING_SHOW = 10;

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const logger = __webpack_require__("./lib/logger.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const {
  LONG_WAIT_PACKAGE
} = __webpack_require__("./lib/log-items.js");

module.exports = {
  onWatch: (items, options) => {
    options = options || {};
    const logItemName = options.name || LONG_WAIT_PACKAGE;

    if (items.total === 0) {
      logger.removeItem(logItemName);
      return;
    }

    let all = items.watched.concat(items.still);
    if (options.filter) all = all.filter(options.filter);

    if (all.length === 0) {
      logger.removeItem(logItemName);
      return;
    }

    if (!logger.hasItem(logItemName)) {
      logger.addItem({
        name: logItemName,
        display: options.display,
        color: "yellow"
      });
    }

    let msg = "";

    if (all.length > MAX_PENDING_SHOW) {
      msg = chalk.cyan(`Total: ${all.length}, first ${MAX_PENDING_SHOW}: `);
    }

    const pendings = _(all.slice(0, MAX_PENDING_SHOW)) // show max 10 pendings
    .map(x => {
      return {
        id: typeof x.item === "string" ? x.item : options.makeId(x.item),
        time: x.time
      };
    }).sortBy("id").value();

    const str = pendings.map(x => `${chalk.magenta(x.id)} (${logFormat.timeWarn(x.time)})`);
    msg += str.join(chalk.blue(", "));
    logger.updateItem(logItemName, {
      msg,
      _save: options._save !== undefined ? options._save : false
    });
  }
};

/***/ }),

/***/ "./lib/pkg-bin-linker-base.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable global-require, max-statements, no-param-reassign */

const Fs = __webpack_require__("./lib/util/file-ops.js");

const Path = __webpack_require__("path");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const logger = __webpack_require__("./lib/logger.js"); //
// Look at each promoted package and link their bin to node_modules/.bin
// TODO: only do this for packages in package.json [*]dependencies
//


class PkgBinLinkerBase {
  constructor(options) {
    this._binDir = Path.join(options.outputDir, ".bin");
    this._fyn = options.fyn;
    this._linked = {};
  }

  async clearExtras() {
    try {
      const bins = await this._readBinLinks();

      for (const sym of bins) {
        if (!this._linked[sym] && !(await this._cleanLink(sym))) {
          logger.verbose(`bin-linker: ${sym} is not linked by fyn but it's valid, ignoring.`);
        }
      }
    } catch (e) {
      logger.verbose("bin-linker: error clearing extras in .bin", e.message);
    }
  } //
  // For a package's dependencies that has bin but conflicts with what's in
  // top-level .bin already, need to link them privately.
  //


  async linkDepBin(depInfo) {
    const pkgDir = this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo);

    let binDir;
    const privatelyLinked = {};

    const pkgData = this._fyn._data.getPkgsData();

    const link = async (target, sym) => {
      if (!binDir) {
        binDir = Path.join(pkgDir, "node_modules", ".bin");
        await Fs.$.mkdirp(binDir);
      }

      const relTarget = Path.relative(binDir, target); // get rid of scope

      sym = _.last(sym.split("/"));
      const symlink = Path.join(binDir, sym);

      if (!(await this._ensureGoodLink(symlink, relTarget))) {
        try {
          await this._generateBinLink(relTarget, symlink);
        } catch (err) {
          logger.error(`bin-linker: symlink failed ${symlink} => ${relTarget}`, err.message);
        }
      }
    };

    const linkPrivateDep = async (depName, resolved) => {
      if (!pkgData[depName]) {
        return;
      }

      const depPkg = pkgData[depName][resolved];
      let depPkgDir;
      const json = depPkg.json;

      if (_.isEmpty(json.bin)) {
        return;
      }

      const handle = async (bin, file) => {
        if (privatelyLinked[bin]) return;
        const linked = this._linked[bin];

        if (!linked || linked.name !== depPkg.name || linked.version !== depPkg.version) {
          // it's not linked at top or something diff already linked
          // so need to privately link it for the pkg of depInfo
          privatelyLinked[bin] = true;

          if (!depPkgDir) {
            depPkgDir = this._fyn.getInstalledPkgDir(depPkg.name, depPkg.version, depPkg);
          }

          const targetFile = Path.join(depPkgDir, file);
          await link(targetFile, bin);
        }
      };

      if (_.isObject(json.bin)) {
        for (const name in json.bin) {
          await handle(name, json.bin[name]);
        }
      } else {
        await handle(json.name, json.bin);
      }
    };

    const linkDepOfSection = async depSection => {
      if (!_.isEmpty(depSection)) {
        for (const depName in depSection) {
          await linkPrivateDep(depName, depSection[depName].resolved);
        }
      }
    };

    await linkDepOfSection(depInfo.res.dep);
    await linkDepOfSection(depInfo.res.opt);
  }

  async linkBin(depInfo, binList) {
    const isPrivate = Boolean(binList);
    const conflicts = {};

    const pkgDir = this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo);

    const link = async (file, sym) => {
      const target = Path.join(pkgDir, file);
      const relTarget = Path.relative(this._binDir, target); // get rid of scope

      sym = _.last(sym.split("/"));

      if (this._linked[sym]) {
        const same = relTarget === this._linked[sym].relTarget;
        logger.debug(`bin-linker: bin already linked ${sym} => ${this._linked[sym].relTarget}`, depInfo.top ? "(top)" : "(__fv)", same ? "(same)" : `(diff ${relTarget})`);
        if (!isPrivate && !same) conflicts[sym] = file;
        return;
      }

      await this._mkBinDir();
      const symlink = Path.join(this._binDir, sym);

      if (!(await this._ensureGoodLink(symlink, relTarget))) {
        logger.debug(`bin-linker: symlinking ${symlink} => ${relTarget} for ${pkgDir}`);

        try {
          await this._generateBinLink(relTarget, symlink);
        } catch (err) {
          logger.error(`bin-linker: symlink failed ${symlink} => ${relTarget}`, err.message);
        }
      }

      await this._chmod(target);
      logger.debug(`bin-linker: setting linked for ${sym} => ${relTarget}`);
      this._linked[sym] = {
        relTarget,
        name: depInfo.name,
        version: depInfo.version
      };
    };

    if (!binList) {
      binList = depInfo.json.bin;
    }

    if (binList) {
      if (_.isObject(binList)) {
        for (const sym in binList) {
          await link(binList[sym], sym);
        }
      } else {
        await link(binList, Path.basename(depInfo.json.name));
      }
    }

    if (!_.isEmpty(conflicts)) {
      depInfo.privateBin = conflicts;
      logger.debug(`bin-linker: symlinking private bin for ${pkgDir}`);
      const nmDir = await this._fyn.createSubNodeModulesDir(pkgDir);
      await this._linkPrivateBin(nmDir, depInfo, conflicts);
      logger.debug(`bin-linker: done symlinking private bin`);
    }

    return true;
  }

  async _linkPrivateBin(outputDir, depInfo, binList) {
    const binLinker = new this.constructor({
      fyn: this._fyn,
      outputDir
    });
    await binLinker.linkBin(depInfo, binList);
  }

  async _unlinkFile(symlink) {
    try {
      await Fs.unlink(symlink);
    } catch (e) {//
    }
  }

  async _cleanLink(sym) {
    const symlink = Path.join(this._binDir, sym);

    try {
      await Fs.access(symlink);
      return false;
    } catch (e) {//
    }

    await this._rmBinLink(symlink);
    return true;
  }

  async _mkBinDir() {
    if (!(await Fs.exists(this._binDir))) {
      await Fs.$.mkdirp(this._binDir);
    }
  }

  async _chmod() {}

}

module.exports = PkgBinLinkerBase;

/***/ }),

/***/ "./lib/pkg-bin-linker-unix.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable global-require */

const Fs = __webpack_require__("./lib/util/file-ops.js");

const logger = __webpack_require__("./lib/logger.js");

const PkgBinLinkerBase = __webpack_require__("./lib/pkg-bin-linker-base.js"); //
// Look at each promoted package and link their bin to node_modules/.bin
// TODO: only do this for packages in package.json [*]dependencies
//


class PkgBinLinker extends PkgBinLinkerBase {
  constructor(options) {
    super(options);
  } //
  // Platform specific
  //


  async _ensureGoodLink(symlink, target) {
    try {
      const existTarget = await Fs.readlink(symlink);

      if (existTarget === target) {
        return true;
      }
    } catch (err) {//
    }

    await this._rmBinLink(symlink);
    return false;
  }

  async _chmod(target) {
    try {
      await Fs.access(target, Fs.constants.X_OK);
      return;
    } catch (e) {//
    }

    try {
      await Fs.chmod(target, "0755");
    } catch (err) {
      logger.error(`bin-linker: chmod on ${target} failed`, err.message);
    }
  }

  async _generateBinLink(relTarget, symlink) {
    return Fs.symlink(relTarget, symlink);
  }

  async _rmBinLink(symlink) {
    await this._unlinkFile(symlink);
  }

  async _readBinLinks() {
    return Fs.readdir(this._binDir);
  }

}

module.exports = PkgBinLinker;

/***/ }),

/***/ "./lib/pkg-bin-linker-win32.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable global-require, prefer-template */

const Fs = __webpack_require__("./lib/util/file-ops.js");

const PkgBinLinkerBase = __webpack_require__("./lib/pkg-bin-linker-base.js"); //
// Look at each promoted package and link their bin to node_modules/.bin
// TODO: only do this for packages in package.json [*]dependencies
//


const CYGWIN_LINK = `#!/bin/sh
basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")

case \`uname\` in
    *CYGWIN*) basedir=\`cygpath -w "$basedir"\`;;
esac

if [ -x "$basedir/node" ]; then
  "$basedir\\node"  "$basedir\\{{TARGET}}" "$@"
  ret=$?
else
  node  "$basedir\\{{TARGET}}" "$@"
  ret=$?
fi
exit $ret
`;
const CMD_BATCH = `@IF EXIST "%~dp0\\node.exe" (
  "%~dp0\\node.exe"  "%~dp0\\{{TARGET}}" %*
) ELSE (
  @SETLOCAL
  @SET PATHEXT=%PATHEXT:;.JS;=;%
  node  "%~dp0\\{{TARGET}}" %*
)
`;

class PkgBinLinkerWin32 extends PkgBinLinkerBase {
  constructor(options) {
    super(options);
  } //
  // Platform specific
  //


  async _ensureGoodLink(symlink, target) {
    try {
      const existTarget = (await Fs.readFile(symlink)).toString();

      if (existTarget.indexOf(target) >= 0) {
        return true;
      }
    } catch (err) {//
    }

    await this._rmBinLink(symlink);
    return false;
  }

  async _generateBinLink(relTarget, symlink) {
    await this._saveCmd(symlink, CYGWIN_LINK, relTarget);
    await this._saveCmd(symlink + ".cmd", CMD_BATCH, relTarget);
  }

  async _rmBinLink(symlink) {
    await this._unlinkFile(symlink);
    await this._unlinkFile(symlink + ".cmd");
  }

  async _readBinLinks() {
    return (await Fs.readdir(this._binDir)).filter(x => !x.endsWith(".cmd"));
  }

  async _saveCmd(name, data, target) {
    return Fs.writeFile(name, data.replace(/{{TARGET}}/g, target));
  }

}

module.exports = PkgBinLinkerWin32;

/***/ }),

/***/ "./lib/pkg-bin-linker.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable global-require */

/* istanbul ignore next */

if (process.platform === "win32") {
  /* istanbul ignore next */
  module.exports = __webpack_require__("./lib/pkg-bin-linker-win32.js");
} else {
  module.exports = __webpack_require__("./lib/pkg-bin-linker-unix.js");
}

/***/ }),

/***/ "./lib/pkg-dep-linker.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers,max-statements,prefer-template */

const Crypto = __webpack_require__("crypto");

const Path = __webpack_require__("path");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const logger = __webpack_require__("./lib/logger.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js");
/*
 * generate data to link all packages' resolution
 * information.
 */


class PkgDepLinker {
  constructor({
    fyn
  }) {
    this._fyn = fyn;
  }

  makeAppFynRes(resData, fynFo) {
    const depRes = {};

    _.each(["dep", "dev", "opt", "devopt"], section => {
      _.each(resData[section], (resInfo, depName) => {
        depRes[depName] = Object.assign({}, resInfo);
      });
    });

    depRes._fynFo = fynFo;
    return depRes;
  } // link top level package

  /*deprecated*/


  async linkAppFynRes() {
    throw new Error("fyn resolutions deprecated."); // const fynResFile = Path.join(outputDir, FYN_RESOLUTIONS_JSON);
    // if (!this._fyn.flatMeta) {
    //   if (await Fs.exists(fynResFile)) {
    //     await xaa.try(() => Fs.unlink(fynResFile));
    //   }
    //   return;
    // }
    // const depRes = this.makeAppFynRes(resData, fynFo);
    // await Fs.writeFile(fynResFile, `${JSON.stringify(depRes, null, 2)}\n`);
  }
  /*deprecated*/


  async readAppFynRes() {
    throw new Error("fyn resolutions deprecated."); // const emptyRes = { _fynFo: {} };
    // if (this._fyn.flatMeta) {
    //   return await xaa.try(
    //     async () => JSON.parse(await Fs.readFile(Path.join(outputDir, FYN_RESOLUTIONS_JSON))),
    //     emptyRes
    //   );
    // }
    // return emptyRes;
  }

  async addSubNodeModules(depInfo, fvDeps) {
    if (fvDeps.length <= 0) return;

    if (depInfo.local && depInfo.local === "sym1") {
      this._fyn.addLocalPkgWithNestedDep(depInfo);

      return;
    }

    const subjectNmDir = await this._fyn.createSubNodeModulesDir(this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo));

    const getDirForScope = name => {
      if (name.startsWith("@") && name.indexOf("/") > 0) {
        const splits = name.split("/");
        return {
          dir: Path.join(subjectNmDir, splits[0]),
          name: splits[1]
        };
      }

      return {
        dir: subjectNmDir,
        name
      };
    };

    for (const di of fvDeps) {
      const diDir = this._fyn.getInstalledPkgDir(di.name, di.version, di);

      const scope = getDirForScope(di.name);
      const relLinkPath = Path.relative(scope.dir, diDir);
      logger.debug("pkg", logFormat.pkgId(depInfo), "need sub node_modules for", logFormat.pkgId(di), "to", relLinkPath);

      try {
        const symlinkName = Path.join(scope.dir, scope.name);

        if (!(await Fs.exists(scope.dir))) {
          await Fs.mkdir(scope.dir);
        }

        const existTarget = await fynTil.validateExistSymlink(symlinkName, relLinkPath);

        if (!existTarget) {
          await fynTil.symlinkDir(symlinkName, relLinkPath);
        }
      } catch (e) {
        logger.warn("symlink sub node_modules failed", e.message);
      }
    }
  }

  async addPackageRes(depInfo) {
    const depRes = {}; //  (pkgJson._depResolutions = {});

    const resData = depInfo.res; // TODO: check existing node_modules and do clean-up as necessary

    if (_.isEmpty(resData)) return true;

    const pkgs = this._fyn._data.getPkgsData();

    const fvDeps = [];

    _.each(["dep", "per", "opt"], section => {
      const dep = resData[section] || {};
      Object.keys(dep).sort().forEach(depName => {
        const depPkg = dep[depName]; // depends on a package that's not promoted to flatten top level.
        // need to create a node_modules dir within and add a symlink
        // there to the depPkg.

        const pkgInfo = pkgs[depName][depPkg.resolved]; // TODO: outdated lock data could cause pkgInfo to be undefined

        if (!pkgInfo) return;

        if (!pkgInfo.promoted) {
          fvDeps.push(pkgInfo);
        }

        if (depRes[depName]) {
          depRes[depName].type += `;${section}`;
        } else {
          depRes[depName] = {
            resolved: depPkg.resolved,
            type: section
          };
        }
      });
    });

    await this.addSubNodeModules(depInfo, fvDeps);
    return true;
  }

  async linkPackage(depInfo) {
    depInfo.linkDep = await this.addPackageRes(depInfo);
    return depInfo.linkDep;
  } //
  // Use symlink to connect fynlocal packages.
  // First creates the package's directory under node_modules/${FV_DIR/<version>
  // and then make a symlink from there to the actual directory of the local package.
  //

  /*deprecated*/


  async symlinkLocalPackage() {
    throw new Error("symlinking local package deprecated, only hard linking.");
  }

  _createLinkName(targetNmDir, name) {
    const sha1 = Crypto.createHash("sha1").update(targetNmDir).update(name).digest("base64").replace(/\//g, "_").replace(/=/g, "");
    return `${name.replace(/[@\/]/g, "_")}-${sha1}`;
  } //
  // Save fynlink data of a local package for the package and the app.
  // - For the local package, it's saved in <fyndir>/links with filename as
  // <package_name>-<sha1 of targetNmDir & name>.json
  // and then make a symlink in its node_modules directory to the file
  // - For the app, it's saved with info setup in loadLocalPackageAppFynLink
  //

  /*deprecated*/


  async saveLocalPackageFynLink() {
    throw new Error("symlink local package is deprecated, only hard linking.");
  } //
  // Load the fynlink to a local package for the app in node_modules/${FV_DIR}
  //

  /*deprecated*/


  async loadLocalPackageAppFynLink() {
    throw new Error("symlink local package is deprecated, only hard linking.");
  } //
  // Take a pkg dep info and load previously saved dep data into it
  // Used by fyn stat command
  //


  async loadPkgDepData(depInfo) {
    // a normal installed package's dep data are saved to its package.json
    // so loading that is usually enough
    const installedDir = this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo);

    if (!depInfo.json) {
      const fname = Path.join(installedDir, "package.json");
      depInfo.json = JSON.parse(await Fs.readFile(fname));
    } // for a locally linked package, the dep data is in the __fyn_link__ JSON file


    if (depInfo.local === "sym") {
      throw new Error("sym linking local package deprecated. only hard linking."); // await this.loadLocalPackageAppFynLink(depInfo, installedDir);
      // const targetFynlinkFile = Path.join(
      //   depInfo.fynLinkData.targetPath,
      //   "node_modules",
      //   FYN_LINK_JSON
      // );
      // const depRes = JSON.parse(await Fs.readFile(targetFynlinkFile));
      // depInfo.json._depResolutions = depRes[this._fyn.cwd]._depResolutions;
    }
  }

}

module.exports = PkgDepLinker;

/***/ }),

/***/ "./lib/pkg-dep-locker.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, no-param-reassign */

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Path = __webpack_require__("path");

const crypto = __webpack_require__("crypto");

const assert = __webpack_require__("assert");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const simpleSemverCompare = __webpack_require__("./lib/util/semver.js").simpleCompare;

const Yaml = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Yaml.js");

const sortObjKeys = __webpack_require__("./lib/util/sort-obj-keys.js");

const {
  LOCK_RSEMVERS,
  RSEMVERS,
  SORTED_VERSIONS,
  LOCK_SORTED_VERSIONS,
  LATEST_TAG_VERSION,
  LATEST_SORTED_VERSIONS,
  LATEST_VERSION_TIME,
  LOCAL_VERSION_MAPS
} = __webpack_require__("./lib/symbols.js");

const logger = __webpack_require__("./lib/logger.js");

const fyntil = __webpack_require__("./lib/util/fyntil.js");

class PkgDepLocker {
  constructor(lockOnly, enableLockfile) {
    this._enable = enableLockfile;
    this._lockOnly = lockOnly;
    this._lockData = {};
    this._isFynFormat = true;
    this._config = {};
  }

  get data() {
    return this._lockData;
  } //
  // generate lock data from dep data
  //


  generate(depData) {
    if (!this._enable) return; //
    // expect package names already sorted in depData
    //

    this._isFynFormat = true;
    const lockData = this._lockData = {
      $pkg: this._$pkg
    };

    const genFrom = pkgsData => {
      _.each(pkgsData, (pkg, name) => {
        if (_.isEmpty(pkg)) return;
        const versions = Object.keys(pkg).sort(simpleSemverCompare); // collect all semvers that resolved to the same version
        // due to shrinkwrapping, sometimes the same semver could resolve to
        // multiple versions, causing resolved to be an array.

        let _semvers = _.transform(pkg[RSEMVERS], (a, resolved, semv) => {
          const x = resolved.toString();
          if (a[x]) a[x].push(semv);else a[x] = [semv];
          return a;
        }, {}); // join the collected semvers by , into a single string and use it as key
        // for the resolved version, and make sure multiple resolved versions
        // are converted back to an array.


        _semvers = _.transform(_semvers, (a, semv, resolved) => {
          const x = resolved.indexOf(",") > 0 ? resolved.split(",") : resolved.toString();
          a[semv.sort().join(",")] = x;
          return a;
        }, {});
        const pkgLock = lockData[name] || (lockData[name] = {});

        if (pkg[LATEST_TAG_VERSION]) {
          pkgLock._latest = pkg[LATEST_TAG_VERSION];
        }

        pkgLock._ = sortObjKeys(_objectSpread(_objectSpread({}, pkgLock._), _semvers));
        /* eslint-disable complexity, max-statements */

        _.each(versions, version => {
          const vpkg = pkg[version];
          if (!vpkg) return;
          const json = vpkg.json || {};
          const meta = {};
          const dist = vpkg.dist || {};
          if (vpkg.top) meta.top = 1;
          const scripts = json.scripts || {};

          if (vpkg.optFailed) {
            meta.optFailed = vpkg.optFailed; // no need to remember whether there's preinstall or not if
            // it's already marked as failed.
          } else if (scripts.preinstall || vpkg.hasPI) {
            meta.hasPI = 1;
          }

          if (scripts.install || scripts.postinstall || scripts.postInstall) {
            meta.hasI = 1;
          }

          if (vpkg.local) {
            meta.$ = "local";
            meta._ = dist.fullPath;
          } else {
            meta.$ = fyntil.distIntegrity(dist) || 0;
            meta._ = dist.tarball;
          }

          if (!meta.optFailed) {
            if (_.isEmpty(json)) {
              meta._missingJson = true;
            } else {
              // save dependencies from package.json to meta in lockfile
              if (!_.isEmpty(json.dependencies)) {
                meta.dependencies = json.dependencies;
              }

              if (!_.isEmpty(json.optionalDependencies)) {
                meta.optionalDependencies = json.optionalDependencies;
              }

              if (!_.isEmpty(json.peerDependencies)) {
                meta.peerDependencies = json.peerDependencies;
              }

              const bd = json.bundleDependencies || json.bundledDependencies;

              if (!_.isEmpty(bd)) {
                meta.bundleDependencies = bd;
              }
            }
          }

          if (vpkg.deprecated) meta.deprecated = vpkg.deprecated;
          if (json.os) meta.os = json.os;
          if (json.cpu) meta.cpu = json.cpu;

          if (json._hasShrinkwrap) {
            meta._hasShrinkwrap = 1;
          }

          pkgLock[version] = meta;
        });
      });
    }; // add lock info for installed packages


    genFrom(depData.getPkgsData()); // now add lock info for packages that didn't install due to failures (optionalDependencies)

    genFrom(depData.getPkgsData(true));
  } //
  // Take dep-item <item> with its real <meta> and update lock data
  //


  update(item, meta) {
    if (!this._enable || meta.local) return meta;
    let locked = this._lockData[item.name];

    if (!locked) {
      return meta;
    } //
    // Add versions from <meta>
    //


    this._isFynFormat = false;

    if (!locked.hasOwnProperty(LOCK_SORTED_VERSIONS)) {
      locked = this.convert(item) || this._lockData[item.name];
    }

    Object.assign(locked.versions, meta.versions); // const versions = Object.keys(locked.versions);
    // locked[SORTED_VERSIONS] = versions.sort(simpleSemverCompare);

    locked[SORTED_VERSIONS] = undefined;
    locked[LATEST_TAG_VERSION] = undefined;
    locked[LATEST_VERSION_TIME] = undefined;
    locked[LATEST_SORTED_VERSIONS] = undefined;

    if (meta.hasOwnProperty(LOCAL_VERSION_MAPS)) {
      locked[LOCAL_VERSION_MAPS] = meta[LOCAL_VERSION_MAPS];
    }

    locked["dist-tags"] = meta["dist-tags"];
    locked.time = meta.time;

    if (meta.urlVersions) {
      locked.urlVersions = meta.urlVersions;
    }

    return locked;
  }

  hasLock(item) {
    return Boolean(this._enable && this._lockData[item.name]);
  } //
  // convert from fyn lock format to npm meta format
  //


  convert(item) {
    if (!this._enable) return undefined;
    let locked = this._lockData[item.name];
    if (!locked) return false;
    let valid = true;

    if (!locked.hasOwnProperty(LOCK_SORTED_VERSIONS)) {
      this._isFynFormat = false;
      const sorted = Object.keys(locked).filter(x => !x.startsWith("_")).sort(simpleSemverCompare);
      const versions = {};

      _.each(sorted, version => {
        const vpkg = locked[version];

        if (!_.isEmpty(vpkg) && vpkg._valid !== false) {
          if (vpkg.$ === "local") {
            vpkg.local = true;
            vpkg.dist = {
              integrity: "local",
              fullPath: vpkg._
            };
          } else {
            vpkg.dist = {
              integrity: fyntil.shaToIntegrity(vpkg.$),
              tarball: vpkg._
            };
          }

          vpkg.$ = vpkg._ = null;
          vpkg.fromLocked = true;
          vpkg.name = item.name;
          vpkg.version = version;

          if (vpkg._hasShrinkwrap) {
            vpkg._hasShrinkwrap = true;
          }

          versions[version] = vpkg;
        } else {
          valid = false;
        }
      }); // separated the semvers joined by , back into individual ones
      // and use them as keys to point to the resolved version.


      const _semvers = _.transform(locked._, (a, v, k) => {
        k.split(",").forEach(sv => a[sv] = v);
        return a;
      }, {});

      locked = this._lockData[item.name] = {
        [LATEST_TAG_VERSION]: locked._latest,
        [LOCK_RSEMVERS]: _semvers,
        // [SORTED_VERSIONS]: sorted,
        [LOCK_SORTED_VERSIONS]: sorted,
        versions
      };
    }

    return valid && locked;
  }
  /**
   * Set the package.json's dependencies items and check if they changed from
   * lock data.
   *
   * - dependencies
   * - optionalDependencies
   * - devDependencies
   * @param {*} pkgDepItems - dep items generated by makePkgDepItems in pkg-dep-resolver.js
   *
   * @returns {*} none
   */


  setPkgDepItems(pkgDepItems, reset = false) {
    if (this._$pkg && !reset) {
      return;
    }

    const {
      dep,
      dev,
      opt
    } = pkgDepItems;
    const items = {};

    const makeDep = (acc, di) => {
      acc[di.name] = di._semver.$;
      return acc;
    }; // check if pkg deps changed from lock


    const diffDep = (lock, update) => {
      const diff = {}; // items that are new or changed

      for (const name in update) {
        if (!lock[name] || lock[name] !== update[name]) {
          diff[name] = update[name];
        }
      } // items that are removed in new deps


      for (const name in lock) {
        if (!update[name]) {
          diff[name] = "-";
        }
      }

      return diff;
    };

    const $lockPkg = this._lockData.$pkg || {};
    const $pkgDiff = {};

    if (dep) {
      items.dep = dep.reduce(makeDep, {});
    }

    $pkgDiff.dep = diffDep($lockPkg.dep || {}, items.dep || {});

    if (dev) {
      items.dev = dev.reduce(makeDep, {});
    }

    $pkgDiff.dev = diffDep($lockPkg.dev || {}, items.dev || {});

    if (opt) {
      items.opt = opt.reduce(makeDep, {});
    }

    $pkgDiff.opt = diffDep($lockPkg.opt || {}, items.opt || {});
    this._$pkg = items;
    this._$pkgDiff = $pkgDiff; // set diff only if existing lock data has the $pkg info

    if (this._lockData.$pkg) {
      this._$allPkgDiff = _objectSpread(_objectSpread(_objectSpread({}, $pkgDiff.dep), $pkgDiff.opt), $pkgDiff.dev);
    } else {
      this._$allPkgDiff = {};
    }

    if (!_.isEmpty(this._$allPkgDiff)) {
      logger.info("your dependencies changed for these packages:", this._$allPkgDiff);
    }
  }

  get pkgDepChanged() {
    return !_.isEmpty(this._$allPkgDiff);
  }
  /**
   * Remove the lock data for a specific dep item
   *
   * @param {*} item item to remove
   *
   * @returns {*} none
   */


  remove(item, force = false) {
    if (!this._enable) return;
    const locked = this._lockData[item.name];

    if (!locked || !this._$allPkgDiff[item.name] && !force) {
      return;
    }

    if (locked._) {
      // in serialized format
      Object.keys(locked._).forEach(k => {
        const lockedVers = [].concat(locked._[k]);

        if (lockedVers.includes(item.resolved)) {
          logger.debug("removing version lock info for", item.name, item.resolved, item.semver, k);
          const newLocked = lockedVers.filter(x => x !== item.resolved);

          if (newLocked.length > 0) {
            locked._[k] = newLocked;
          } else {
            delete locked._[k];
          }
        }
      });
    }

    if (locked[LOCK_RSEMVERS]) {
      // in run time format
      const lockRsv = locked[LOCK_RSEMVERS];

      for (const sv in lockRsv) {
        if (lockRsv[sv] === item.resolved) {
          delete lockRsv[sv];
        }
      }

      const sorted = locked[LOCK_SORTED_VERSIONS];

      _.remove(sorted, x => x === item.resolved);
    }
  }

  shasum(data) {
    return crypto.createHash("sha1").update(data).digest("hex");
  } // convert all local packages paths relative to from


  _relativeLocalPath(from, lockData) {
    _.each(lockData, (pkg, pkgName) => {
      let copied = false;
      Object.keys(pkg).forEach(version => {
        if (version.startsWith("_")) return;
        const vpkg = pkg[version];

        if (vpkg.$ === "local" && Path.isAbsolute(vpkg._)) {
          if (!copied) lockData[pkgName] = pkg = Object.assign({}, pkg);
          copied = true;
          let relPath = Path.relative(from, vpkg._);

          if (!relPath.startsWith(".")) {
            relPath = `.${Path.sep}${relPath}`;
          }

          pkg[version] = Object.assign({}, vpkg, {
            _: relPath.replace(/\\/g, "/")
          });
        }
      });
    });
  } // convert all local packages paths to under base


  _fullLocalPath(base, lockData) {
    _.each(lockData || this._lockData, pkg => {
      _.each(pkg, (vpkg, key) => {
        if (key === "_") return;

        if (vpkg.$ === "local" && !Path.isAbsolute(vpkg._)) {
          vpkg._ = Path.join(base, vpkg._);
        }
      });
    });
  } //
  // save
  //


  save(filename) {
    if (!this._enable) {
      return;
    }

    if (!Path.isAbsolute(filename)) {
      filename = Path.resolve(filename);
    }

    if (!this._lockOnly) {
      assert(this._isFynFormat, "can't save lock data that's no longer in fyn format");
      const basedir = Path.dirname(filename); // sort by package names

      this._lockData.$fyn = this._config;
      const sortData = sortObjKeys(this._lockData);

      this._relativeLocalPath(basedir, sortData);

      const data = Yaml.stringify(sortData, 4, 1);
      const shaSum = this.shasum(data);

      if (shaSum !== this._shaSum) {
        logger.info("saving lock file", filename);
        Fs.writeFileSync(filename, data);
      } else {
        logger.verbose("lock data didn't change");
      }
    }
  }

  async read(filename) {
    if (!this._enable) {
      return false;
    }

    try {
      if (!Path.isAbsolute(filename)) filename = Path.resolve(filename);
      const data = (await Fs.readFile(filename)).toString();
      this._shaSum = this.shasum(data);
      this._lockData = Yaml.parse(data);
      const basedir = Path.dirname(filename);

      this._fullLocalPath(basedir);

      Object.assign(this._config, this._lockData.$fyn);
      logger.verbose(chalk.green(`loaded lockfile ${basedir}`));
      return true;
    } catch (err) {
      if (this._lockOnly) {
        logger.error(`failed to load lockfile ${filename} -`, err.message);
        logger.error("Can't proceed without lockfile in lock-only mode");
        fyntil.exit(err);
      } else {
        logger.debug(`failed to load lockfile ${filename} -`, err.message);
      }

      this._shaSum = Date.now();
      this._lockData = {};
    }

    return false;
  }

  setConfig(key, value) {
    if (value === undefined) {
      delete this._config[key];
    } else {
      this._config[key] = value;
    }
  }

  getConfig(key) {
    return this._config[key];
  }

}

module.exports = PkgDepLocker;

/***/ }),

/***/ "./lib/pkg-dep-resolver.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-params, max-statements, complexity, no-param-reassign */

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const Path = __webpack_require__("path");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const Semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const logger = __webpack_require__("./lib/logger.js");

const DepItem = __webpack_require__("./lib/dep-item.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const createDefer = __webpack_require__("./lib/util/defer.js");

const simpleSemverCompare = semverUtil.simpleCompare;

const logFormat = __webpack_require__("./lib/util/log-format.js");

const {
  LONG_WAIT_META
} = __webpack_require__("./lib/log-items.js");

const {
  checkPkgOsCpu,
  relativePath,
  unSlashNpmScope
} = __webpack_require__("./lib/util/fyntil.js");

const {
  getDepSection,
  makeDepStep
} = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/index.js");

const xaa = __webpack_require__("./lib/util/xaa.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const {
  SEMVER,
  RSEMVERS,
  LOCK_RSEMVERS,
  SORTED_VERSIONS,
  LATEST_SORTED_VERSIONS,
  LATEST_VERSION_TIME,
  LOCK_SORTED_VERSIONS,
  LATEST_TAG_VERSION,
  LOCAL_VERSION_MAPS,
  RESOLVE_ORDER,
  PACKAGE_RAW_INFO,
  DEP_ITEM
} = __webpack_require__("./lib/symbols.js");

const failMetaMsg = name => `Unable to retrieve meta for package ${name} - If you've updated its version recently, try to run fyn with '--refresh-meta' again`;
/*
 * Package dependencies resolver
 *
 * - 1. From top level package.json, add all dependencies to list
 * - 2. Take each package, retrieve their meta data
 * - 3. Match semver to the best version
 * - 4. Fetch package.json for the matched version
 * - 5. Add dependencies and optionalDependencies to list
 * - 6. Back to step 2 until all packages are processed in list
 *
 * Basically doing level order traversal on the dependency tree using an
 * async queue.
 */


class PkgDepResolver {
  constructor(pkg, options) {
    this._options = Object.assign({}, options); // The master object

    this._fyn = this._options.fyn; // Package source data manager

    this._pkgSrcMgr = this._fyn._pkgSrcMgr; // Dependencies data

    this._data = options.data; // Promise Queue to process all dependencies in list

    this._promiseQ = new PromiseQueue({
      concurrency: Math.max(this._fyn.concurrency * 2, 15),
      stopOnError: true,
      processItem: x => this.processItem(x)
    });
    this._defer = createDefer();

    this._promiseQ.on("done", x => {
      return this.done(x);
    });

    this._promiseQ.on("pause", x => this.onPause(x));

    this._promiseQ.on("fail", data => {
      return this._defer.reject(data.error);
    }); // this._optResolver = new PkgOptResolver({ fyn: this._fyn, depResolver: this });


    this._optResolver = options.optResolver;
    this._optResolver._depResolver = this;

    this._promiseQ.on("empty", () => this.checkOptResolver());

    this._lockOnly = this._fyn.lockOnly; //
    // We have to resolve each package in the order they were seen
    // through the dep tree because in case an earlier resolved version
    // satisfies a later semver.
    //
    // We also need to make sure each depth has to resolve completely before
    // dependencies in the next depth level can be resolved.
    //
    // In the _depthResolving object, each depth level # is used as a key to an
    // object with info about the status of resolving that level.
    //
    // - contains package name to array of DepItem seen in order.
    // - When ready to resolve a depth, all names are queued for processing.
    //

    this._depthResolving = {
      0: {}
    };
    const topDepItems = this.makePkgDepItems(pkg, new DepItem({
      name: "~package.json",
      semver: "-",
      src: "",
      dsrc: "pkg",
      resolved: "~",
      shrinkwrap: options.shrinkwrap,
      // set to zero to que children to take their priorities from their position
      priority: 0
    }), !this._fyn.production);
    this.addPkgDepItems(topDepItems);

    this._fyn._depLocker.setPkgDepItems(topDepItems);

    this.queueDepth(0);
  }

  start() {
    this._promiseQ.resume();
  }

  wait() {
    return this._defer.promise;
  }

  checkOptResolver() {
    if (!this._optResolver.isEmpty()) {
      this._optResolver.resolve();

      return true;
    }

    return false;
  } //
  // any package that only has a single version is promoted to top level for flattening
  // promote priority by src: dep, opt, dev
  //
  // TODO: support options:
  // - Promote the latest version
  // - Promote the version with the most requests
  // - Promote the earliest version
  // - Allow explicit config to specify what version/semver to promote
  //


  promotePackages() {
    let version;

    const pkgsData = this._data.getPkgsData();

    const names = Object.keys(pkgsData);
    names.forEach(name => {
      const pkg = pkgsData[name];
      const versions = Object.keys(pkg); // there's only one version, auto promote

      if (versions.length === 1) {
        version = versions[0];
      } else if (!(version = _.find(versions, v => pkg[v].top))) {
        // default to promote first seen version
        version = pkg[RESOLVE_ORDER][0]; // but promote the version with the highest priority

        versions.forEach(x => {
          if (pkg[x].priority > pkg[version].priority) {
            version = x;
          }
        });
      }

      const pkgV = pkg[version];
      pkgV.promoted = true;

      const extracted = this._optResolver.isExtracted(name, version);

      if (extracted) {
        pkgV.extracted = extracted;
      }
    });
  }

  onPause() {
    // logger.info("onPause");
    // if optional resolver kicked off, then it will resume dep resolver
    // when it's done.
    if (!this.checkOptResolver()) {
      this._promiseQ.resume();
    }
  }

  done(data) {
    if (!this.checkOptResolver() && this._promiseQ.isPause) {
      this._promiseQ.resume();
    } else if (!this._optResolver.isPending()) {
      logger.removeItem(LONG_WAIT_META);
      const time = logFormat.time(data.totalTime);
      logger.info(`${chalk.green("done resolving dependencies")} ${time}`);

      this._data.sortPackagesByKeys();

      this.promotePackages();
      this._depthResolving = undefined;

      this._defer.resolve();
    }
  }

  resolvePkgPeerDep(json, pkgId, depInfo) {
    _.each(json.peerDependencies || json.peerDepenencies, (semver, name) => {
      const peerId = chalk.cyan(`${name}@${semver}`);
      const resolved = this.resolvePackage({
        item: {
          name,
          semver
        },
        meta: {}
      });

      if (!resolved) {
        logger.warn(chalk.yellow("Warning:"), `peer dependencies ${peerId} of ${pkgId} ${chalk.red("is missing")}`);
      } else {
        logger.debug(`peer dependencies ${peerId} of ${pkgId}`, `${chalk.green("resolved to")} ${resolved}`);

        _.set(depInfo, ["res", "per", name], {
          resolved
        });
      }
    });
  }

  resolvePeerDep(depInfo) {
    const json = depInfo.json;
    if (!json) return undefined;
    const pkgId = logFormat.pkgId(depInfo);
    return this.resolvePkgPeerDep(json, pkgId, depInfo);
  }

  queueDepth(depth) {
    if (depth > 1) {
      const parentDepth = this._depthResolving[depth - 1]; // add all packages' dependencies according to their appearing order
      // that's in the parent's dependency lists, therefore guaranteeing
      // a consistent resolving order

      Object.keys(parentDepth).forEach(x => {
        const depthInfo = parentDepth[x];

        if (depthInfo.versions) {
          depthInfo.versions.forEach(version => this._data.addResolved({
            name: x,
            version
          }));
        }

        if (depthInfo.depItems) {
          depthInfo.depItems.forEach(x2 => this.addPkgDepItems(x2));
          depthInfo.depItems = undefined;
        }
      });
    }

    const depthInfo = this._depthResolving[depth];

    if (!depthInfo) {
      // all dependencies resolved, start local package build if there are any
      if (!this._buildLocal && this._options.buildLocal && !_.isEmpty(this._localsByDepth)) {
        this._buildLocal = this._fyn.createLocalPkgBuilder(this._localsByDepth);

        this._buildLocal.start();
      }

      return;
    }

    this._depthResolving.current = depth;
    const depthPkgs = Object.keys(depthInfo); // TODO: create test scenario for build-local

    if (this._options.buildLocal) {
      const locals = depthPkgs.map(x => depthInfo[x].items.find(it => it.localType)).filter(x => x); // logger.info("adding depth pkgs", depthPkgs.join(", "), locals);

      if (locals.length > 0) {
        if (!this._localsByDepth) {
          this._localsByDepth = [];
        }

        this._localsByDepth.push(locals);
      }
    }

    depthPkgs.forEach(x => this._promiseQ.addItem(x, true)); // depth 1 is the dependencies from app's package.json

    if (depth === 1) {
      // check if any dep item changed from lock and remove them in lock data
      // TODO: should this be done for every depth?
      for (const name in depthInfo) {
        depthInfo[name].items.forEach(di => this._fyn._depLocker.remove(di));
      }
    }

    this._promiseQ.addItem(PromiseQueue.pauseItem, true);

    this._promiseQ.addItem({
      queueDepth: true,
      depth: depth + 1
    }, true); // depthInfo.names = {};

  }

  prefetchMeta(item) {
    // fire-and-forget to retrieve meta
    // if it's not local, doesn't have meta yet, and doesn't have lock data
    if (!item.semverPath && !this._pkgSrcMgr.hasMeta(item) && !this._fyn.depLocker.hasLock(item)) {
      this._pkgSrcMgr.fetchMeta(item).catch(err => {
        logger.warn(`failed prefetch meta for ${item.name}@${item.semver}`, err.message);
      });
    }
  }

  addDepResolving(deps) {
    deps.forEach(depItem => {
      const name = depItem.name;
      const depthData = this._depthResolving[depItem.depth];

      if (!depthData) {
        this._depthResolving[depItem.depth] = {
          [name]: {
            items: [depItem]
          }
        };
      } else if (!depthData[name]) {
        depthData[name] = {
          items: [depItem]
        };
      } else {
        //
        // ??? When can a dep pkg can have more than one resolving data item?
        //
        depthData[name].items.push(depItem);
      }
    });
  }

  addPkgDepItems(data) {
    if (data.dep) {
      this.addDepResolving(data.dep);
    }

    if (data.dev) {
      this.addDepResolving(data.dev);
    }

    let opt = false;

    if (data.opt) {
      this.addDepResolving(data.opt);
      opt = true;
    }

    if (data.devOpt) {
      this.addDepResolving(data.devOpt);
      opt = true;
    }

    if (opt) {
      this._promiseQ.addItem(PromiseQueue.pauseItem, true);
    }
  }

  getAutoSemver(semver) {
    const autoSemver = _.get(this._fyn._fynpo, "config.localDepAutoSemver");

    if (autoSemver) {
      const parsedSv = Semver.coerce(semver);

      if (parsedSv && parsedSv.raw) {
        switch (autoSemver) {
          case "patch":
            semver = `~${parsedSv.raw}`;
            break;

          case "minor":
            semver = `^${parsedSv.raw}`;
            break;

          case "major":
            semver = "*";
            break;
        }
      }
    }

    return semver;
  }
  /**
   * create the dep relation items for a package
   *
   * @param {*} pkg - the package
   * @param {*} depItem - the dep relation item for the package, this serves as the parent
   *                      of all the new dep items created
   * @param {*} dev
   * @param {*} noPrefetch
   * @param {*} deepResolve
   * @returns
   */


  makePkgDepItems(pkg, depItem, dev, noPrefetch, deepResolve) {
    const bundled = pkg.bundleDependencies;
    const depPriorities = {
      devopt: 100000000,
      dev: 200000000,
      opt: 800000000,
      dep: 900000000
    };

    const makeDepItems = (deps, dsrc) => {
      const items = [];
      const src = depItem.src || dsrc;
      const depNames = Object.keys(deps);

      for (let idx = 0; idx < depNames.length; idx++) {
        const name = depNames[idx];

        if (!_.includes(bundled, name)) {
          const opt = {
            name,
            priority: depItem.priority || depPriorities[dsrc] - idx,
            semver: deps[name],
            src,
            dsrc,
            deepResolve
          };
          const newItem = new DepItem(opt, depItem);
          if (noPrefetch !== true) this.prefetchMeta(newItem);
          items.push(newItem); // this._promiseQ.addItem(name, true);
        }
      }

      return items;
    }; //
    // remove optional dependencies from dependencies
    //


    const filterOptional = (deps, optDep) => {
      if (_.isEmpty(optDep)) return deps;

      _.each(optDep, (v, n) => {
        if (deps[n]) {
          optDep[n] = deps[n]; // take semver from deps

          delete deps[n]; // and keep it as optional
        }
      });

      return deps;
    };

    const findFynpoPkgOfDep = (di, steps) => {
      const fynpoPath = di.fullPath ? Path.relative(this._fyn._fynpo.dir, di.fullPath) : Path.relative(this._fyn._fynpo.dir, this._fyn.cwd);
      const fynpoPkg = this._fyn._fynpo.graph.packages.byPath[fynpoPath];

      if (fynpoPkg) {
        steps.push(makeDepStep(fynpoPkg.name, fynpoPkg.version, di.dsrc));
        return fynpoPkg;
      }

      if (di.parent) {
        steps.push(makeDepStep(di.name, di.version, di.dsrc));
        return findFynpoPkgOfDep(di.parent, steps);
      }

      return false;
    };

    const joinFynDep = depSec => {
      if (!this._fyn.fynlocal) return pkg[depSec];
      const deps = Object.assign({}, pkg[depSec]);

      const fynDeps = _.get(pkg, ["fyn", depSec], {});

      let fromDir = pkg[PACKAGE_RAW_INFO] && pkg[PACKAGE_RAW_INFO].dir; // if in fynpo mode, gather deps that are actually local packages in the monorepo

      if (this._fyn.isFynpo) {
        const locals = [];
        const fynpo = this._fyn._fynpo;

        if (!fromDir) {
          // this case means a downstream pkg has a dep on a monorepo package
          fromDir = this._fyn.cwd;
        }

        for (const name in deps) {
          if (this._fyn.checkNoFynLocal(name) || !fynpo.graph.getPackageByName(name) || semverUtil.checkUrl(deps[name])) {
            continue;
          } //
          // Check if there is a fynpo package that match 'name@semver'?
          //


          const semver = this.getAutoSemver(deps[name]);
          const fynpoPkg = fynpo.graph.resolvePackage(name, semver, false);

          if (fynpoPkg) {
            locals.push(fynpoPkg);
            const fullPkgDir = Path.join(fynpo.dir, fynpoPkg.path);
            fynDeps[name] = relativePath(fromDir, fullPkgDir, true);
          } else {
            const dispName = logFormat.pkgId(name);
            const versions = fynpo.graph.packages.byName[name].map(x => x.version).join(", ");
            logger.info(`No match version in your monorepo found for dependency ${dispName}@${semver}. Versions available: ${versions}`);
          }
        }

        if (locals.length > 0 && !this._options.deDuping) {
          const revSteps = [];
          const fynpoPkg = findFynpoPkgOfDep(depItem, revSteps);

          if (fynpoPkg) {
            const steps = revSteps.reverse();
            locals.forEach(x => {
              const sec = getDepSection(depSec);

              if (fynpo.graph.addDep(fynpoPkg, x, sec, steps)) {
                fynpo.indirects.push({
                  fromPkg: _.pick(fynpoPkg, ["name", "version", "path"]),
                  onPkg: _.pick(x, ["name", "version", "path"]),
                  depSection: sec,
                  indirectSteps: steps
                });
              }
            });
          }

          const names = locals.map(x => x.name).join(", ");
          logger.info(`Using local copies from your monorepo for these packages in ${pkg.name}'s ${depSec}: ${names}`);
        }
      }

      for (const name in fynDeps) {
        if (!fromDir) continue;
        const ownerName = chalk.magenta(depItem.name);
        const dispName = chalk.green(name);

        if (this._fyn.checkNoFynLocal(name)) {
          logger.info(`fyn local disabled for ${dispName} of ${ownerName}`);
          continue;
        }

        if (!deps[name]) {
          logger.warn(`You ONLY defined ${name} in fyn.${depSec}!`);
        }

        const dispSec = chalk.cyan(`fyn.${depSec}`);
        const dispSemver = chalk.blue(fynDeps[name]);

        try {
          Fs.statSync(Path.join(fromDir, fynDeps[name]));
          deps[name] = fynDeps[name];

          if (!this._options.deDuping) {
            logger.verbose(`${dispSec} ${dispName} of ${ownerName} will use`, dispSemver);
          }
        } catch (err) {
          logger.warn(`${dispSec} ${dispName} of ${ownerName} not found`, chalk.red(err.message), "pkg local dir", chalk.blue(fromDir), "dep name", dispSemver);

          if (err.code !== "ENOENT") {
            logger.error("checking local package failed", err.stack);
          }
        }
      }

      return !_.isEmpty(deps) && deps;
    };

    const dependencies = joinFynDep("dependencies");
    const devDep = dev && joinFynDep("devDependencies");
    const optDep = joinFynDep("optionalDependencies");
    const devOptDep = dev && joinFynDep("devOptDependencies");
    return {
      name: pkg.name,
      dep: dependencies && makeDepItems(filterOptional(dependencies, optDep), "dep"),
      dev: devDep && makeDepItems(devDep, "dev"),
      opt: optDep && makeDepItems(optDep, "opt"),
      devOpt: devOptDep && makeDepItems(devOptDep, "devopt")
    };
  }

  findVersionFromDistTag(meta, semver) {
    if (Semver.validRange(semver) === null) {
      const lockRsv = meta[LOCK_RSEMVERS];

      if (lockRsv && lockRsv[semver]) {
        return lockRsv[semver];
      }

      const dtags = meta["dist-tags"];

      if (dtags && dtags.hasOwnProperty(semver)) {
        return dtags[semver];
      }
    }

    return undefined;
  }

  _shouldDeepResolve(pkgDepInfo) {
    // even if an item has a resolved pkg, we need to make sure the pkg is resolved
    // by more than optionals, since optionals could potentially be removed later.
    return Boolean(this._fyn.deepResolve || !pkgDepInfo._hasNonOpt);
  }
  /* eslint-disable max-statements, complexity */


  async addPackageResolution(item, meta, resolved) {
    let firstKnown = true;
    item.resolve(resolved, meta);

    const pkgsData = this._data.getPkgsData(item.optFailed);

    let pkgV; // specific version of the known package

    let kpkg = pkgsData[item.name]; // known package

    if (kpkg) {
      kpkg[RESOLVE_ORDER].push(resolved);
      pkgV = kpkg[resolved];
      firstKnown = this.addKnownRSemver(kpkg, item, resolved);
      const dr = this._fyn.deepResolve || item.deepResolve; // If doing deep resolve and package is already seen, then check parents
      // to make sure it's not one of them because that would be a circular dependencies

      if (dr && pkgV && !item.optChecked && item.isCircular()) {
        // logger.log("circular dep detected", item.name, item.resolved);
        item.unref();
        item = undefined;
        return null;
      }
    }

    const metaJson = meta.versions[resolved];

    const platformCheck = () => {
      const sysCheck = checkPkgOsCpu(metaJson);

      if (sysCheck !== true) {
        return `package ${logFormat.pkgId(item)} platform check failed: ${sysCheck}`;
      }

      return true;
    }; //
    // specified as optionalDependencies
    // add to opt resolver to resolve later
    //
    // Adding an optional package that failed:
    //
    // If a package from optional dependencies failed, then it won't be
    // installed, but we should remember it in lock file so we won't try
    // to download its tarball again to test.
    //
    // Optional checks may involve running a package's npm script.
    // - that should occur without blocking the dep resolution process
    // - but need to queue them up so when dep resolve queue is drained, need to
    //   wait for them to complete, and then resolve the next dep tree level
    //


    if (item.dsrc && item.dsrc.includes("opt") && !item.optChecked) {
      const sysCheck = platformCheck();

      if (sysCheck !== true) {
        logger.info(`optional dependencies ${sysCheck}`);
      } else {
        logger.verbose("adding package", item.name, item.semver, item.resolved, "to opt check");

        this._optResolver.add({
          item,
          meta
        });
      }

      return null;
    }

    const sysCheck = platformCheck();

    if (sysCheck !== true) {
      logger.error(sysCheck);
      throw new Error(sysCheck);
    }

    if (!kpkg) {
      kpkg = pkgsData[item.name] = {
        [LATEST_TAG_VERSION]: meta && meta[LATEST_TAG_VERSION] || _.get(meta, ["dist-tags", "latest"]),
        [RSEMVERS]: {},
        [RESOLVE_ORDER]: [resolved]
      };
      if (meta[LOCK_RSEMVERS]) kpkg[LOCK_RSEMVERS] = meta[LOCK_RSEMVERS];
      firstKnown = this.addKnownRSemver(kpkg, item, resolved);
    }

    let firstSeenVersion = false;

    if (!pkgV) {
      firstSeenVersion = true;
      pkgV = kpkg[resolved] = {
        [item.src]: 0,
        requests: [],
        src: item.src,
        dsrc: item.dsrc,
        dist: metaJson.dist,
        name: item.name,
        version: resolved,
        [SEMVER]: item.semver,
        [DEP_ITEM]: item,
        res: {},
        priority: item.priority
      };
      if (meta[LOCK_RSEMVERS]) pkgV.fromLock = true;
      const scripts = metaJson.scripts || {};

      if (metaJson.hasPI || scripts.preinstall || scripts.preInstall) {
        pkgV.hasPI = 1;
      }

      if (metaJson.hasI || scripts.install || scripts.postinstall || scripts.postInstall) {
        pkgV.hasI = 1;
      }
    }

    const localFromMeta = meta.local || metaJson.local;

    if (localFromMeta) {
      if (!item.localType) {
        item.localType = localFromMeta;
      }

      pkgV.local = item.localType;
      item.fullPath = pkgV.dir = pkgV.dist.fullPath;
      pkgV.str = meta.jsonStr;
      pkgV.json = metaJson;
    }

    if (!item.parent.depth) {
      pkgV.top = true;
    }

    if (item.dsrc && item.dsrc.includes("opt")) {
      pkgV.preInstalled = true;
      if (item.optFailed) pkgV.optFailed = item.optFailed;
    } // TODO: remove support for local sym linked packages


    if (!pkgV.extracted && pkgV.local !== "sym" && (this._fyn.alwaysFetchDist || metaJson._hasShrinkwrap && !metaJson._shrinkwrap || metaJson.bundleDependencies || metaJson.bundledDependencies)) {
      if (metaJson._hasShrinkwrap) pkgV._hasShrinkwrap = metaJson._hasShrinkwrap;
      await this._fyn._distFetcher.putPkgInNodeModules(pkgV, true);
      if (metaJson._hasShrinkwrap) await item.loadShrinkwrap(pkgV.extracted);

      if (metaJson.bundleDependencies || metaJson.bundledDependencies) {
        const found = await xaa.try(async () => {
          const stat = await Fs.stat(Path.join(pkgV.extracted, "node_modules"));
          return stat.isDirectory();
        });

        if (!found) {
          delete metaJson.bundleDependencies;
          delete metaJson.bundledDependencies;
        }
      }
    }

    if (!item.optFailed) {
      if (metaJson.deprecated) pkgV.deprecated = metaJson.deprecated;
      let deepRes = false;

      if (firstSeenVersion || (deepRes = this._shouldDeepResolve(pkgV))) {
        const pkgDepth = this._depthResolving[item.depth][item.name];

        if (firstSeenVersion) {
          if (!pkgDepth.versions) pkgDepth.versions = [resolved];else pkgDepth.versions.push(resolved);
        }

        if (!pkgDepth.depItems) pkgDepth.depItems = [];

        if (deepRes) {
          logger.debug("Auto deep resolving", logFormat.pkgId(item));
        } // Alice, do not go down the rabbit hole, it will never end.


        if (!item.isCircular()) {
          pkgDepth.depItems.push(this.makePkgDepItems(meta.versions[resolved], item, false, deepRes));
        }
      }

      item.addRequestToPkg(pkgV, firstSeenVersion);
      item.addResolutionToParent(this._data, firstKnown);
    }

    return null;
  }

  addKnownRSemver(kpkg, item, resolved) {
    const lockRsv = kpkg[LOCK_RSEMVERS];
    const rsv = kpkg[RSEMVERS];

    const missingVersion = (res, version) => {
      if (res) {
        return Array.isArray(res) ? res.indexOf(version) < 0 : res !== version;
      }

      return true;
    };

    const firstKnown = _.isEmpty(rsv);

    const semver = item.semver;

    if (missingVersion(rsv[semver], resolved)) {
      // are we updating locked info? => log info
      if (lockRsv && lockRsv[semver] && missingVersion(lockRsv[semver], resolved)) {
        logger.info(`locked version ${lockRsv[semver]} for ${logFormat.pkgId(item)}` + ` doesn't match resolved version ${resolved} - updating.`);
      }

      if (rsv[semver]) {
        if (Array.isArray(rsv[semver])) {
          rsv[semver].push(resolved);
        } else {
          rsv[semver] = [rsv[semver], resolved];
        }
      } else {
        rsv[semver] = resolved;
      }
    }

    return firstKnown;
  }

  resolvePackage({
    item,
    meta,
    noLocal,
    lockOnly
  }) {
    const latest = meta[LATEST_TAG_VERSION] || _.get(meta, ["dist-tags", "latest"]);

    let latestSatisfied;

    const satisfies = (v, sv) => {
      if (noLocal && semverUtil.isLocal(v)) return false;
      return semverUtil.satisfies(v, sv);
    };

    const checkLatestSatisfy = () => {
      if (latestSatisfied === undefined) {
        // since satisfy means resolve must limit to versions to before latest,
        // if latest is not defined, then consider not satisfy to allow resolving
        // with all available versions
        latestSatisfied = latest ? satisfies(latest, item.semver) : false;
      }

      return latestSatisfied;
    };

    const kpkg = this._data.getPkg(item); // known package


    let foundInKnown;

    const tryYarnLock = () => {
      // is there yarn lock data that we should use?
      if (this._options.yarnLock) {
        const key = `${item.name}@${item.semver}`;
        const fromYarn = this._options.yarnLock[key];

        if (fromYarn) {
          logger.debug(`Resolved ${key} to ${fromYarn.version} from yarn.lock`);
          return fromYarn.version;
        }
      }

      return undefined;
    }; // check if the same semver has been resolved before


    const getKnownSemver = () => {
      const find = rsv => {
        let x = rsv && rsv[item.semver];
        if (!x) return x;
        if (Array.isArray(x)) x = x[0];
        if (noLocal && semverUtil.isLocal(x)) return false;
        return x;
      };

      const resolved = kpkg && (find(kpkg[LOCK_RSEMVERS]) || find(kpkg[RSEMVERS])) || find(meta[LOCK_RSEMVERS]);
      foundInKnown = Boolean(resolved);
      return resolved;
    };

    const searchKnown = () => {
      //
      // Search already known versions from top dep
      //
      if (!kpkg) return false;
      const rversions = kpkg[RESOLVE_ORDER];
      let resolved;

      if (rversions.length > 0) {
        resolved = _.find(rversions, v => satisfies(v, item.semver));
      }

      if (resolved) {
        logger.debug("found known version", resolved, "that satisfied", item.name, item.semver);
      }

      foundInKnown = Boolean(resolved);
      return resolved;
    };

    const searchMeta = () => {
      //
      // This sorting and semver searching is the most expensive part of the
      // resolve process, so caching them is very important for performance.
      //
      if (!meta[SORTED_VERSIONS]) {
        if (!meta.versions) {
          const msg = `Meta for package ${item.name} doesn't have versions`;
          logger.error(msg);
          throw new Error(msg);
        } // sort versions in descending order


        const sorted = Object.keys(meta.versions).sort(simpleSemverCompare); // make sure all versions newer than the tagged latest version are not considered

        if (latest && sorted[0] !== latest) {
          if (meta.time && meta.time[latest]) {
            // just need to lock to latest time
            meta[LATEST_VERSION_TIME] = new Date(meta.time[latest]);
          } else {
            // unfortunately, must filter out all versions newer than latest
            meta[LATEST_SORTED_VERSIONS] = sorted.filter(v => !semverUtil.isVersionNewer(v, latest));
          }
        }

        meta[SORTED_VERSIONS] = sorted;
      }

      let lockTime = this._fyn.lockTime;
      let sortedVersions = meta[SORTED_VERSIONS]; // can't consider any versions newer or later than latest if it satisfies the semver

      if (checkLatestSatisfy()) {
        if (meta[LATEST_VERSION_TIME] && (!lockTime || lockTime > meta[LATEST_VERSION_TIME])) {
          // lockTime can't be greater than latest time
          lockTime = meta[LATEST_VERSION_TIME];
        } else if (meta[LATEST_SORTED_VERSIONS]) {
          sortedVersions = meta[LATEST_SORTED_VERSIONS];
        }
      }

      const find = (versions, times, mustUseRealMeta) => {
        if (!versions) return null;
        const countVer = Object.keys(versions).length;
        return _.find(versions, v => {
          if (!satisfies(v, item.semver)) {
            return false;
          }

          if ((!lockTime || !times[v] || countVer < 2) && !mustUseRealMeta) {
            return true;
          }

          if (!times[v]) {
            return false;
          }

          const time = new Date(times[v]);

          if (time > lockTime) {
            // logger.debug("times", times);
            logger.verbose(item.name, v, "time", time.toString(), "is newer than lock/latest time", lockTime.toString());
            return false;
          }

          return true;
        });
      }; // simply use latest if it satisfies, before searching through all versions


      let resolved = checkLatestSatisfy() && latest || find(meta[LOCK_SORTED_VERSIONS], {}); // if not able to resolve from locked data or it's newer than latest which
      // satisfies the semver, then must resolve again with latest info.
      // must resolve with original real meta

      const mustUseRealMeta = checkLatestSatisfy() && resolved && semverUtil.isVersionNewer(resolved, latest);

      if (!resolved || mustUseRealMeta) {
        resolved = find(sortedVersions, meta.time || {}, mustUseRealMeta);
      } // logger.log("found meta version", resolved, "that satisfied", item.name, item.semver);


      return resolved;
    };

    const getLocalVersion = () => {
      if (meta.hasOwnProperty(LOCAL_VERSION_MAPS)) {
        logger.debug(`meta LOCAL_VERSION_MAPS for ${item.semver} - ${JSON.stringify(meta[LOCAL_VERSION_MAPS])}`);
        return meta[LOCAL_VERSION_MAPS][item.semver];
      }

      return false;
    };

    const getUrlVersion = () => {
      return Boolean(meta.urlVersions && item.urlType) && meta.urlVersions[item.semver].version;
    };

    let resolved = !noLocal && getLocalVersion() || getUrlVersion() || getKnownSemver() || searchKnown() || tryYarnLock();

    if (!resolved) {
      resolved = this.findVersionFromDistTag(meta, item.semver);
    } else if (!foundInKnown && checkLatestSatisfy() && semverUtil.isVersionNewer(resolved, latest)) {
      // version was not resolved by a higher level dep (known)
      // and resolution from local or URL is newer than latest, so can't use it
      resolved = false;
    }

    if (!resolved && meta.versions && !lockOnly) {
      resolved = searchMeta();
    } // logger.debug("resolved to", resolved, "for", item.name, item.semver);
    // if resolving according to a meta, then make sure it contains the resolved version


    return meta.versions ? meta.versions[resolved] && resolved : resolved;
  }

  _failUnsatisfySemver(item) {
    throw new Error(`Unable to find a version from lock data that satisfied semver ${item.name}@${item.semver}
${item.depPath.join(" > ")}`);
  }

  _resolveWithMeta({
    item,
    meta,
    force,
    noLocal,
    lockOnly
  }) {
    let resolved = item.nestedResolve(item.name, item.semver);

    if (resolved) {
      if (!meta.versions.hasOwnProperty(resolved)) {
        resolved = false;
      }
    } else {
      resolved = this.resolvePackage({
        item,
        meta,
        noLocal,
        lockOnly
      });
    }

    if (!resolved) {
      if (!force) return false;

      this._failUnsatisfySemver(item);
    }

    if (semverUtil.isLocal(resolved)) {
      if (noLocal) {
        // logger.debug("noLocal:", item.name, item.semver, "resolved to local", resolved);
        return false;
      } //
      // The item was ealier resolved to a local package, which also satifies
      // the semver currently being searched, so switch to use meta generated
      // for the local package
      //


      if (!meta.local) {
        const x = this._pkgSrcMgr.getLocalPackageMeta(item, resolved);

        if (x) meta = x;
      }
    } // this.addPackageResolution(item, meta, resolved);


    return {
      meta,
      resolved
    };
  }
  /**
   * Match a nested dep to user's resolutions data, or nested and direct dep for packages
   * inside a fynpo monorepo.
   *
   * spec: https://github.com/yarnpkg/rfcs/blob/master/implemented/0000-selective-versions-resolutions.md
   *
   * @param {*} item
   * @returns
   */


  _replaceWithResolutionsData(item) {
    if (!this._fyn._resolutions || item._semver.$$) {
      return undefined;
    } //
    // this item represent a direct dependency
    //


    if (item.depth < 2) {
      //
      // if we have a package within a fynpo monorepo, then we replace its direct
      // dependencies with resolutions data, vs only its nested dependencies
      // according to yarn's resolutions spec, because if local package A pull in
      // another local package B, then B's dependencies would end up being
      // subjected to resolutions data, so for consistency, we check resolutions
      // for all fynpo's local packages' direct dependencies.
      //
      if (!this._fyn.isFynpo) {
        // not a fynpo, avoid checking resolutions for direct dependencies
        return undefined;
      }
    }

    let nameDepPath;

    if (this._fyn.isFynpo) {
      nameDepPath = `${this._fyn._pkg.name}/${item.nameDepPath}`;
    } else {
      nameDepPath = item.nameDepPath;
    }

    const unslashed = unSlashNpmScope(nameDepPath);

    const found = this._fyn._resolutionsMatchers.find(r => r.mm.match(unslashed));

    if (found && found.res && found.res !== "--no-change" && found.res !== item.semver) {
      const {
        res
      } = found;
      const msg = `${nameDepPath} changed to ${res} from ${item.semver} by resolutions data`;

      if (item.depth < 2) {
        logger.info(`fynpo: ${msg}`);
      } else {
        logger.debug(msg);
      }

      semverUtil.replace(item._semver, res);
    }

    return undefined;
  }

  _resolveWithLockData(item) {
    //
    // Force resolve from lock data in regen mode if item was not a direct
    // optional dependency.
    //
    const isOpt = item.dsrc && item.dsrc.includes("opt"); // if refresh optionals then can't use lock data for optionalDependencies

    if (isOpt && this._fyn.refreshOptionals) {
      return false;
    }

    const force = this._lockOnly && !isOpt; // check if an already resolved local package satisfies item
    // before trying to resolve with lock data

    if (!this._fyn.preferLock) {
      const localMeta = this._pkgSrcMgr.getAllLocalMetaOfPackage(item.name);

      if (localMeta) {
        for (const v in localMeta) {
          const localResolve = this._resolveWithMeta({
            item,
            meta: localMeta[v]
          });

          if (localResolve) {
            return localResolve;
          }
        }
      }
    }

    const locked = this._fyn.depLocker.convert(item);

    if (locked) {
      const resolved = this._resolveWithMeta({
        item,
        meta: locked,
        force,
        noLocal: !this._fyn.preferLock,
        lockOnly: true
      }); // if (!item.semverPath ) {
      //   logger.warn(
      //     item.name,
      //     item.semver,
      //     "is locked to a locally linked version at",
      //     item.fullPath
      //   );
      // }
      // logger.debug(item.name, item.semver, "resolved from lock data", resolved);


      return resolved;
    }

    if (force) {
      this._failUnsatisfySemver(item);
    } // unable to resolve with lock data


    return false;
  }

  processItem(name) {
    if (name && name.promise) {
      const p = name.promise;
      name.promise = null;
      return p;
    }

    if (name && name.queueDepth) {
      return this.queueDepth(name.depth);
    }

    const depthData = this._depthResolving[this._depthResolving.current]; // logger.info("resolving item", name, this._depthResolving.current, di);

    const items = depthData[name].items;

    if (items && items.length > 0) {
      return this.resolveItem(items.shift());
    }

    return undefined;
  }

  resolveItem(item) {
    const tryLocal = () => {
      return Promise.try(() => this._pkgSrcMgr.fetchLocalItem(item)).then(meta => {
        if (meta) {
          const updated = this._fyn.depLocker.update(item, meta);

          return this._resolveWithMeta({
            item,
            meta: updated,
            force: true
          });
        }

        return false;
      });
    };

    const tryLock = () => {
      return Promise.try(() => {
        const r = this._resolveWithLockData(item);

        if (r) {
          item._resolveByLock = true;
        }

        return r;
      });
    };

    this._replaceWithResolutionsData(item);

    const promise = !item.semverPath || this._fyn.preferLock ? tryLock().then(r => r || item.semverPath && tryLocal()) : tryLocal().then(r => r || tryLock());
    return promise.then(r => {
      if (r && !_.get(r, ["meta", "versions", r.resolved, "_missingJson"])) {
        return r;
      }

      if (this._lockOnly || item.localType) {
        return undefined;
      } // neither local nor lock was able to resolve for item
      // so try to fetch from registry for real meta to resolve
      // always fetch the item and let pkg src manager deal with caching


      return this._pkgSrcMgr.fetchMeta(item).then(meta => {
        if (!meta) {
          throw new Error(failMetaMsg(item.name));
        }

        const updated = this._fyn.depLocker.update(item, meta);

        return this._resolveWithMeta({
          item,
          meta: updated,
          force: true,
          noLocal: true
        });
      }).catch(err => {
        // item is not optional => fail
        if (item.dsrc !== "opt") {
          if (err.message.includes("Unable to retrieve meta")) {
            throw err;
          } else {
            throw new AggregateError([err], failMetaMsg(item.name));
          }
        } else {
          item.resolved = `metaFail_${item.semver}`; // add to opt resolver directly as failed package with a dummy meta

          this._optResolver.add({
            item,
            err,
            meta: {
              versions: {
                [item.resolved]: {}
              }
            }
          });
        }
      });
    }).then(async r => {
      if (!r) return;
      const {
        meta,
        resolved
      } = r;

      if (item._semver.$$ && !Semver.satisfies(resolved, item._semver.$$)) {
        logger.warn(`${item.nameDepPath}@${resolved} resolved by resolutions data doesn't satisfy original semver ${item._semver.$$}`);
      }

      await this.addPackageResolution(item, meta, resolved);
    }).then(() => {
      const depthData = this._depthResolving[item.depth];
      const items = depthData[item.name].items;
      depthData[item.name].items = [];
      return Promise.each(items, x => this.resolveItem(x));
    });
  }

}

module.exports = PkgDepResolver;

/***/ }),

/***/ "./lib/pkg-dist-extractor.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-statements */

const Tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js");

const logger = __webpack_require__("./lib/logger.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const {
  LOAD_PACKAGE
} = __webpack_require__("./lib/log-items.js");

const {
  retry,
  missPipe
} = __webpack_require__("./lib/util/fyntil.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Path = __webpack_require__("path");

const xaa = __webpack_require__("./lib/util/xaa.js");

class PkgDistExtractor {
  constructor(options) {
    this._promiseQ = new PromiseQueue({
      concurrency: 4,
      // don't want to untar too many files at the same time
      stopOnError: true,
      processItem: (x, id) => this.processItem(x, id)
    });
    this._fyn = options.fyn;

    this._promiseQ.on("done", x => this.done(x));

    this._promiseQ.on("failItem", x => logger.error("dist extractor failed item", x.error));
  }

  addPkgDist(data) {
    this._promiseQ.addItem(data);
  }

  once(evt, cb) {
    this._promiseQ.once(evt, cb);
  }

  wait() {
    return this._promiseQ.wait();
  }

  done(data) {
    logger.debug("done dist extracting", data.totalTime / 1000);
  }

  isPending() {
    return this._promiseQ.isPending;
  }
  /**
   * Process normal layout for node_modules.
   *
   * Move promoted packages to top output dir
   *
   * @param {*} pkg - package to move
   * @param {*} fullOutDir - top output dir
   */


  async movePromotedPkgFromFV(pkg, fullOutDir) {
    logger.debug("moving promoted extracted package", pkg.name, pkg.version, "to top level", fullOutDir); //
    // first make sure top dir is clear of any other files
    // then rename node_modules/${FV_DIR}/<version>/<pkg-name>/ to node_modules/<pkg-name>
    //

    if (await xaa.try(() => Fs.lstat(fullOutDir))) {
      await Fs.$.mkdirp(this._fyn.getExtraDir());
      await Fs.rename(fullOutDir, this._fyn.getExtraDir(`${pkg.name}-${pkg.version}`));
    }

    const hostingDir = Path.dirname(fullOutDir);

    if (!(await xaa.try(() => Fs.stat(hostingDir)))) {
      await Fs.$.mkdirp(hostingDir);
    }

    await Fs.rename(pkg.extracted, fullOutDir); // clean empty node_modules/${FV_DIR}/<version> directory

    await xaa.try(() => Fs.rmdir(this._fyn.getFvDir(pkg.version)));
  }

  async processItem(data, _id, promoted) {
    const {
      pkg
    } = data;

    const promotedOpt = _.defaults({
      promoted
    }, _.pick(pkg, "promoted"));

    const fullOutDir = this._fyn.getInstalledPkgDir(pkg.name, pkg.version, promotedOpt); // do we have a copy of it in FV_DIR already?


    if (pkg.extracted && pkg.extracted === fullOutDir) {
      logger.debug(`package ${pkg.name} ${pkg.version} has already been extracted to ${pkg.extracted}`); // if in normal layout and it's extracted to FV_DIR, but promoted, then move it to top dir

      if (this._fyn.isNormalLayout && pkg.promoted && !promotedOpt.promoted) {
        await this.movePromotedPkgFromFV(pkg, fullOutDir);
      }
    } else {
      const json = await this._fyn.ensureProperPkgDir(pkg, fullOutDir);

      if (json) {
        return json;
      }

      await this._fyn.createPkgOutDir(fullOutDir);
      const result = data.result;
      let act;
      let retrieve;

      if (typeof result === "string") {
        act = "hardlink";

        retrieve = () => {
          return this._fyn.central.replicate(result, fullOutDir);
        };
      } else {
        act = "extract";

        retrieve = () => {
          const untarStream = Tar.x({
            strip: 1,
            strict: true,
            C: fullOutDir
          });
          return missPipe(result, untarStream);
        };
      }

      logger.debug(`${act}ing ${pkg.name} ${pkg.version}`, "to", fullOutDir);
      await retrieve();
      pkg.extracted = fullOutDir;
      const msg = logFormat.pkgPath(pkg.name, fullOutDir);
      logger.updateItem(LOAD_PACKAGE, `${act}ed ${msg}`);
    } // when there're numerous fyn with central store enabled install happening,
    // somehow read pkg json of the newly linked package fails, but then the
    // file is there when inspect after. Basically wtf!  anyways, throw in some
    // retry, and it does occur and then succeeds.  Tested on Macbook pro High Sierra.


    let retries = 0;
    return retry(() => this._fyn.loadJsonForPkg(pkg, fullOutDir), () => {
      retries++;
      logger.warn(`retrying ${retries} reading package.json`, fullOutDir);
      return true;
    }, 5, 10).tap(pkgJson => {
      if (data.listener) {
        const listener = data.listener;
        setTimeout(() => listener.emit("done", pkgJson), 0);
      }
    });
  }

}

module.exports = PkgDistExtractor;

/***/ }),

/***/ "./lib/pkg-dist-fetcher.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers */

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const logger = __webpack_require__("./lib/logger.js");

const PkgDistExtractor = __webpack_require__("./lib/pkg-dist-extractor.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const longPending = __webpack_require__("./lib/long-pending.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const {
  FETCH_PACKAGE,
  spinner
} = __webpack_require__("./lib/log-items.js");

const hardLinkDir = __webpack_require__("./lib/util/hard-link-dir.js");

const DepItem = __webpack_require__("./lib/dep-item.js");

const {
  MARK_URL_SPEC
} = __webpack_require__("./lib/constants.js");

const EventEmitter = __webpack_require__("events");

const WATCH_TIME = 2000;

class PkgDistFetcher {
  constructor(options) {
    this._packages = {};
    this._pkgSrcMgr = options.pkgSrcMgr;
    this._grouping = {
      need: [],
      optional: [],
      byOptionalParent: []
    };
    this._startTime = null;
    this._fyn = options.fyn;
    this._promiseQ = new PromiseQueue({
      concurrency: this._fyn.concurrency,
      stopOnError: true,
      watchTime: WATCH_TIME,
      processItem: x => this.fetchItem(x)
    });

    this._promiseQ.on("watch", items => longPending.onWatch(items));

    this._promiseQ.on("done", x => this.done(x));

    this._promiseQ.on("doneItem", x => this.handleItemDone(x));

    this._promiseQ.on("failItem", x => this.handleItemFail(x)); // down stream extractor


    this._distExtractor = new PkgDistExtractor({
      fyn: options.fyn
    }); // immediately stop if down stream extractor failed

    this._distExtractor.once("fail", () => this._promiseQ.setItemQ([]));
  }

  async wait() {
    try {
      await this._promiseQ.wait();
      await this._distExtractor.wait();

      if (this._startTime) {
        const time = logFormat.time(Date.now() - this._startTime);
        logger.info(`${chalk.green("done loading packages")} ${time}`);
      }
    } catch (err) {
      // TODO: should interrupt and stop dist exractor
      throw err;
    }
  }

  addSinglePkg(data) {
    this._addLogItem();

    const id = logFormat.pkgId(data.pkg);
    this._packages[id] = data;
    const stopOnError = !data.optional;

    this._promiseQ.addItem(id, undefined, stopOnError);
  }

  _addLogItem() {
    logger.addItem({
      name: FETCH_PACKAGE,
      color: "green",
      spinner
    });
  }

  start(data) {
    this._addLogItem();

    this._startTime = Date.now();

    _.each(data.getPkgsData(), (pkg, name) => {
      _.each(pkg, (vpkg, version) => {
        const id = logFormat.pkgId(name, version);
        this._packages[id] = {
          pkg: vpkg
        };

        if (vpkg.dsrc && vpkg.dsrc.includes("opt")) {
          // only needed optionally
          return this._grouping.optional.push(id);
        } else if (vpkg.src && vpkg.src.includes("opt")) {
          // only needed by a parent that's needed optionally
          return this._grouping.byOptionalParent.push(id);
        } else {
          const byOptionalParent = !vpkg.requests.find(r => !_.last(r).startsWith("opt;"));

          if (byOptionalParent) {
            return this._grouping.byOptionalParent.push(id);
          }
        }

        return this._grouping.need.push(id);
      });
    });

    const itemQ = this._grouping.need // first fetch all the needed deps (dep/dev)
    .concat(this._grouping.optional) // then the optional deps
    .concat(this._grouping.byOptionalParent); // then deps pulled by an opt dep


    this._promiseQ.addItems(itemQ);
  }

  done() {
    logger.removeItem(FETCH_PACKAGE);

    if (this._startTime) {
      const time = logFormat.time(Date.now() - this._startTime);
      logger.info(`${chalk.green("packages fetched")} (part of loading) ${time}`);
    }
  }

  isPending() {
    return this._promiseQ.isPending || this._distExtractor.isPending();
  }

  handleItemDone(data) {
    const result = _.get(data, "res.result");

    const {
      item
    } = data;

    const itemData = _.pick(this._packages[item], "listener");

    if (!result) {
      if (itemData.listener) {
        itemData.listener.emit("done");
      }
    } else {
      const pkg = _.get(data, "res.pkg");

      this._distExtractor.addPkgDist(Object.assign({
        pkg,
        result
      }, itemData));
    }
  }

  handleItemFail(data) {
    const {
      item
    } = data;
    const itemData = this._packages[item];

    if (itemData.listener) {
      itemData.listener.emit("fail");
    }
  }

  async _hardlinkPackage(pkg, dir) {
    const dist = pkg.dist || {};
    const tarball = dist.tarball || "";
    if (dist.integrity || !tarball.startsWith(MARK_URL_SPEC)) return false; // extract info from tarball string

    const info = JSON.parse(tarball.substr(MARK_URL_SPEC.length));
    if (!info.urlType.startsWith("git")) return false;
    let srcDir = dist.fullPath;

    if (!srcDir) {
      // no temp dir with the remote package retrieve, probably loaded from lockfile?
      // fetch manifest with spec info extracted
      const depItem = new DepItem({
        name: pkg.name,
        semver: info.semver
      });
      const meta = await this._pkgSrcMgr.fetchUrlSemverMeta(depItem);
      srcDir = meta.urlVersions[info.semver].dist.fullPath;
    }

    const destDir = dir || this._fyn.getInstalledPkgDir(pkg.name, pkg.version, pkg);

    await hardLinkDir.link(srcDir, destDir, {
      sourceMaps: this._fyn._options.sourceMaps
    });
    await Fs.$.rimraf(srcDir);
    return true;
  }

  async fetchItem(item) {
    const {
      pkg
    } = this._packages[item];
    if (pkg.local) return undefined;
    const json = await this._fyn.ensureProperPkgDir(pkg); // valid json read from pkg dir, assume previous installed node_modules, do nothing

    if (json) return {}; // fetch package tarball

    try {
      if (await this._hardlinkPackage(pkg)) {
        return {};
      } else {
        const result = await this._pkgSrcMgr.fetchTarball(pkg);
        return {
          result,
          pkg
        };
      }
    } catch (err) {
      const pkgName = logFormat.pkgId(pkg);
      logger.debug(`dist-fetcher fetch ${pkgName} tarball failed`, chalk.red(err.message));
      logger.debug("STACK", err.stack);
      throw err;
    }
  }
  /**
   * Check if pkg already has a copy extracted to node_modules
   * @param {*} pkg - package info
   * @returns {*} pkg in FV_DIR and its package.json
   */


  async findPkgInNodeModules(pkg) {
    const {
      name,
      version
    } = pkg;
    const result = {
      foundAtTop: false,
      search: []
    };

    const find = async promoted => {
      const existDir = this._fyn.getInstalledPkgDir(name, version, {
        promoted
      });

      const x = {
        dir: existDir
      };
      result.search.push(x);

      try {
        const pkgJson = await this._fyn.loadJsonForPkg(pkg, existDir, true);
        x.pkgJson = pkgJson;

        if (!pkgJson._invalid) {
          result.existDir = existDir;
          result.pkgJson = pkgJson;
          return true;
        } else if (pkgJson.name && promoted && pkg.promoted) {
          // actually found a package.json file at top, so need to force
          // extracting it to __fv_, and get it to the right place later after
          // all resolve are done.
          result.foundAtTop = true;
        }
      } catch (err) {//
      }

      return false;
    };

    if (this._fyn.isNormalLayout) {
      // check if a copy already exist at top
      if (await find(true)) {
        return result;
      }
    }

    await find(false);
    return result;
  } //
  // Handles putting pkg into node_modules/${FV_DIR}/${version}/${pkgName}
  //


  async putPkgInNodeModules(pkg, check, optional) {
    const find = check ? await this.findPkgInNodeModules(pkg) : {};

    if (find && find.pkgJson) {
      pkg.extracted = find.existDir;
      return find.pkgJson;
    } // TODO: check if version is a symlink and create a symlink
    // hardlink to local package


    if (pkg.local === "hard" && (await this._hardlinkPackage(pkg, find.existDir))) {
      return find.pkgJson;
    } // finally fetch tarball and extract


    const listener = new EventEmitter();
    return await new Promise((resolve, reject) => {
      listener.once("done", resolve);
      listener.once("fail", reject);
      this.addSinglePkg({
        pkg,
        listener,
        foundAtTop: find.foundAtTop,
        optional
      });
    });
  }

}

module.exports = PkgDistFetcher;

/***/ }),

/***/ "./lib/pkg-installer.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const PkgDepLinker = __webpack_require__("./lib/pkg-dep-linker.js");

const PkgBinLinker = __webpack_require__("./lib/pkg-bin-linker.js");

const PkgDepLocker = __webpack_require__("./lib/pkg-dep-locker.js");

const logger = __webpack_require__("./lib/logger.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js");

const hardLinkDir = __webpack_require__("./lib/util/hard-link-dir.js");

const {
  INSTALL_PACKAGE
} = __webpack_require__("./lib/log-items.js");

const {
  runNpmScript
} = __webpack_require__("./lib/util/run-npm-script.js");

const xaa = __webpack_require__("./lib/util/xaa.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const {
  RESOLVE_ORDER,
  RSEMVERS,
  LOCK_RSEMVERS,
  SEMVER
} = __webpack_require__("./lib/symbols.js");
/* eslint-disable max-statements,no-magic-numbers,no-empty,complexity,prefer-template,max-len, max-depth, no-param-reassign */


class PkgInstaller {
  constructor(options) {
    this._fyn = options.fyn;
    this._data = this._fyn._data;
    this._depLinker = new PkgDepLinker({
      fyn: this._fyn
    });
    this._localLinks = {};
  }

  async install() {
    this._stepTime = Date.now();
    this.timeCheck("beginning");

    const outputDir = this._fyn.getOutputDir();

    this._binLinker = new PkgBinLinker({
      outputDir,
      fyn: this._fyn
    }); // /*deprecated*/ const fynRes = await this._depLinker.readAppFynRes(outputDir);

    this.preInstall = [];
    this.postInstall = [];
    this.toLink = [];

    this._data.cleanLinked();

    this._fyn._depResolver.resolvePkgPeerDep(this._fyn._pkg, "your app", this._data); // go through each package and insert
    // _depResolutions into its package.json


    const pkgsData = this._data.getPkgsData();

    this.timeCheck("queueing packages");

    for (const info of this._data.resolvedPackages) {
      const depInfo = pkgsData[info.name][info.version];
      logger.debug("queuing", depInfo.name, depInfo.version, "for install");
      await this._gatherPkg(depInfo);
    } // /*deprecated*/ await this._depLinker.linkAppFynRes(this._data.res, fynRes._fynFo, this._fyn.getOutputDir());


    return this._doInstall().finally(() => {
      this.preInstall = undefined;
      this.postInstall = undefined;
      this.toLink = undefined;

      this._fyn.setLocalPkgLinks(this._localLinks);
    });
  }

  async _linkLocalPkg(depInfo) {
    // avoid linking multiple times
    if (depInfo.linkLocal) {
      return;
    }

    depInfo.linkLocal = true;

    const vdir = this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo);

    if (depInfo.local === "hard") {
      const {
        sourceMaps
      } = this._fyn._options;
      this._localLinks[Path.relative(this._fyn._cwd, vdir)] = {
        srcDir: Path.relative(this._fyn._cwd, depInfo.dir),
        sourceMaps
      };
      await hardLinkDir.link(depInfo.dir, vdir, {
        sourceMaps
      });
    } else {
      // await this._depLinker.symlinkLocalPackage(vdir, depInfo.dir);
      // await this._depLinker.loadLocalPackageAppFynLink(depInfo, vdir);
      throw new Error("only hard linking local mode supported now.  symlinking local deprecated");
    }
  }

  async _savePkgJson(log) {
    //
    // TODO: skip modifying package.json in node_modules
    // this was done to follow npm behavior of adding some extra fields
    // like _id and _from to installed package.json, but modifying package.json
    // is not compatible with central or local mode.
    //
    //
    for (const depInfo of this.toLink) {
      // can't touch package.json if package is a symlink to the real
      // local package.
      if (depInfo.local === "sym" || depInfo._removed) {
        continue;
      }

      depInfo.json._from = `${depInfo.name}@${depInfo[SEMVER]}`;
      depInfo.json._id = `${depInfo.name}@${depInfo.version}`;
      const outputStr = JSON.stringify(depInfo.json, null, 2);

      if (log && depInfo.linkDep) {
        const pkgJson = depInfo.json;
        logger.debug("linked dependencies for", pkgJson.name, pkgJson.version);
      }

      if (depInfo.str.trim() === outputStr.trim()) {
        continue;
      }

      let pkgJsonFp;

      if (depInfo.local === "hard") {
        // do not override hard linked package.json, instead remove it and
        // write a new physical file.
        const vdir = this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo);

        pkgJsonFp = Path.join(vdir, "package.json");
        await xaa.try(() => Fs.unlink(pkgJsonFp));
      } else {
        pkgJsonFp = Path.join(depInfo.dir, "package.json");
      }

      depInfo.str = outputStr;

      try {
        await Fs.writeFile(pkgJsonFp, `${outputStr}\n`);
      } catch (err) {
        //
        // some package publish files with readonly set
        //
        if (err.code === "EPERM") {
          const st = await Fs.stat(pkgJsonFp); // ensure allow read/write on the package.json file

          await Fs.chmod(pkgJsonFp, st.mode + 0o600);
          await Fs.writeFile(pkgJsonFp, `${outputStr}\n`);
        }
      }
    }
  }

  _isDepSrcOptionalOnly(depInfo) {
    if ((!depInfo.src || depInfo.src === "opt") && (!depInfo.dsrc || depInfo.dsrc === "opt")) {
      return true;
    }
    /*
     * Scenarios
     *
     * 1. dep of an opt A, so A can't be installed
     *   opt: A
     *      dep: failed
     * 2. opt dep of A, so can't install failed
     *   dep or opt: A
     *      opt: failed
     *
     * So as long as there's an opt along the dep path, can ignore failed.
     */
    // walk all requests
    // if all eventually came from an opt, then it's ok


    const optRequests = depInfo.requests.filter(req => req.find(r => r.startsWith("opt")));
    return optRequests.length === depInfo.requests.length; // all of them trace from opt
  }

  async _removeDepsOf(depInfo, originId) {
    if (depInfo._removingDeps || !originId) return;
    depInfo._removingDeps = true;

    const dataPackages = this._fyn._data.getPkgsData();

    const doRemove = async section => {
      if (!section) return;

      for (const name in section) {
        const pkgData = dataPackages[name];
        if (!pkgData) continue;
        const resolved = section[name].resolved;
        const pkgDepInfo = pkgData[resolved];
        if (!pkgDepInfo) continue;
        await this._removeDepsOf(pkgDepInfo, originId); // a simple quick check to validate if the dep can be removed
        // won't cover all scenarios so still leave some unneeded pkgs around

        const rmSemVs = pkgDepInfo.requests.reduce((a, req) => {
          // extract original semv
          const sv = _.last(req).split(";")[1];

          const tgt = req.find(r => r.startsWith("opt;") && r.endsWith(originId)) ? a.opt : a.dep;
          tgt[sv] = true;
          return a;
        }, {
          opt: {},
          dep: {}
        });

        if (!pkgDepInfo.optFailed) {
          for (const semv in rmSemVs.opt) {
            if (rmSemVs.dep[semv]) continue;
            if (pkgData[RSEMVERS]) delete pkgData[RSEMVERS][semv];
            if (pkgData[LOCK_RSEMVERS]) delete pkgData[LOCK_RSEMVERS][semv];
          }
        }

        if (!_.isEmpty(rmSemVs.dep)) continue;

        const dir = this._fyn.getInstalledPkgDir(pkgDepInfo.name, pkgDepInfo.version);

        logger.debug("removing pkg", logFormat.pkgId(pkgDepInfo), "due to optional parent install failures, at", chalk.cyan(dir));
        await Fs.$.rimraf(dir); // if a pkg's marked optFailed, then it should be kept

        if (!pkgDepInfo.optFailed) {
          delete pkgData[resolved]; // remove resolve order

          const roIdx = pkgData[RESOLVE_ORDER].indexOf(resolved);
          if (roIdx >= 0) pkgData[RESOLVE_ORDER].splice(roIdx, 1); // remove rsemvers

          _.each(pkgData[RSEMVERS], (v, k) => {
            if (v === resolved) delete pkgData[RSEMVERS][k];
          }); // remove LOCK_RSEMVERS


          _.each(pkgData[LOCK_RSEMVERS], (v, k) => {
            if (v === resolved) delete pkgData[LOCK_RSEMVERS][k];
          });
        }
      }
    };

    await doRemove(depInfo.res.dep);
    await doRemove(depInfo.res.opt);
  }

  async _removeFailedOptional(depInfo, causeId) {
    if (depInfo._removing) return;
    depInfo._removing = true; // - reverse search each request path to the first opt pkg
    // - if opt pkg is diff from depInfo, then need to ensure it's opt only, else fail.

    const optReqs = depInfo.requests.map(req => {
      return req.reverse().find(r => r.startsWith("opt"));
    });
    const failedId = `${depInfo.name}@${depInfo.version}`;

    for (const r of optReqs) {
      // from top level package.json, skip
      if (r === "opt") continue;
      const id = r.split(";")[2]; // a top level opt dep would not have any parent in the request path
      // and can't remove top level package. ;-)

      if (!id && depInfo.top) continue; // same pkg as depInfo, skip

      if (id === failedId) continue;

      if (id) {
        // lookup new dep info, make sure it's optional only, and remove it
        const upDepInfo = this._fyn._data.getPkgById(id);

        if (!this._isDepSrcOptionalOnly(upDepInfo)) {
          throw new Error("failure chained from pkg that's more than optional");
        }

        await this._removeFailedOptional(upDepInfo, causeId || failedId);
      } else {
        break; // no more up level packages that're optionals
      }
    }

    depInfo.optFailed = 2; // remove files

    const causeMsg = causeId ? ` because its dep ${logFormat.pkgId(causeId)} failed to install` : "";
    logger.info(`${logFormat.pkgId(depInfo)}: package failed to install${causeMsg} - but will continue because it's optional`);
    await this._removeDepsOf(depInfo, failedId);
    await Fs.$.rimraf(this._fyn.getInstalledPkgDir(depInfo.name, depInfo.version, depInfo));
  }

  timeCheck(x) {
    const tmp = Date.now();
    logger.debug(`${chalk.green("install time check", x)} ${logFormat.time(tmp - this._stepTime)}`, new Date());
    this._stepTime = tmp;
  }

  async _runPreInstallScripts(depInfo) {
    return runNpmScript({
      appDir: this._fyn.cwd,
      fyn: this._fyn,
      scripts: ["preinstall"],
      depInfo
    }).then(() => {
      depInfo.json._fyn.preinstall = true;

      if (depInfo.fynLinkData) {
        depInfo.fynLinkData.preinstall = true;
      }
    });
  }

  async _runPostInstallScripts(depInfo) {
    const integrity = fynTil.distIntegrity(depInfo.dist);
    const centralBeforeSha = this._fyn.central && integrity && (await this._fyn.central.allow(integrity)) && (await this._fyn.central.getMutation(integrity)) === undefined && (await this._fyn.central.getContentShasum(integrity));
    let runningScript;
    return Promise.each(depInfo.install, installScript => {
      runningScript = installScript;
      return runNpmScript({
        appDir: this._fyn.cwd,
        fyn: this._fyn,
        scripts: [installScript],
        depInfo
      }).then(() => {
        depInfo.json._fyn[installScript] = true;

        if (depInfo.fynLinkData) {
          depInfo.fynLinkData[installScript] = true;
        }
      });
    }).then(async () => {
      if (centralBeforeSha) {
        const afterSha = await this._fyn.central.getContentShasum(integrity);
        const id = logFormat.pkgId(depInfo);

        if (afterSha !== centralBeforeSha) {
          logger.info(`package ${id} can't use central store because its post install scripts ${depInfo.install} mutated content, before: ${centralBeforeSha} after: ${afterSha}`);
          await this._fyn.central.setMutation(integrity, true);
        } else {
          await this._fyn.central.setMutation(integrity, false);
        }
      }
    }).catch(err => {
      if (this._isDepSrcOptionalOnly(depInfo)) {
        logger.info("running package", logFormat.pkgId(depInfo), "script", chalk.magenta(runningScript), `failed, but it's${depInfo.dsrc !== "opt" ? " indirect" : ""}`, "optional, so ignoring and removing.");
        return this._removeFailedOptional(depInfo);
      } else {
        throw err;
      }
    });
  }

  _checkDeprecated(depInfo) {
    if (depInfo.deprecated && (depInfo.showDepr || this._fyn.showDeprecated)) {
      const id = logFormat.pkgId(depInfo);
      logger.warn(`${chalk.black.bgYellow("WARN")} ${chalk.magenta("deprecated")} ${id}`, chalk.yellow(depInfo.deprecated));
      const req = depInfo.requests[depInfo.firstReqIdx];
      logger.verbose(chalk.blue("  First seen through:"), chalk.cyan((req.length > 1 ? req.slice(1) : req).reverse().join(chalk.magenta(" < "))));

      if (depInfo.requests.length > 1) {
        logger.verbose(chalk.blue(`  Number of other dep paths:`), depInfo.requests.length - 1);
      }

      return true;
    }

    return false;
  }

  _doInstall() {
    const start = Date.now();
    this.timeCheck("starting preinstall");
    return Promise.map(this.preInstall, di => this._runPreInstallScripts(di), {
      concurrency: 3
    }).tap(() => this.timeCheck("preInstall")).tap(() => {
      logger.updateItem(INSTALL_PACKAGE, `linking packages...`);
    }).then(() => this._linkTopPackages()).return(this.toLink).each(depInfo => this._linkNestedPackages(depInfo)).tap(() => this.timeCheck("linking packages")).tap(() => logger.debug("linking bin for non-top but promoted packages")).return(this.toLink) // Link bin for all none top but promoted pkg first
    .each(x => !x.top && x.promoted && this._binLinker.linkBin(x)).tap(() => this.timeCheck("linking bin promoted non-top")).tap(() => logger.debug("linking bin for FV_DIR packages")).return(this.toLink) // Link bin for all pkg under FV_DIR
    .each(x => !x.top && !x.promoted && this._binLinker.linkBin(x)).tap(() => this.timeCheck("linking bin FV_DIR")).return(this.toLink) // link bin for package's dep that conflicts
    .each(x => this._binLinker.linkDepBin(x)).tap(() => this.timeCheck("linking dep bin")) // we are about to run install/postInstall scripts
    // save pkg JSON to disk in case any updates were done
    .then(() => this._savePkgJson()).tap(() => this.timeCheck("first _savePkgJson")).then(() => this._initFvVersions()).tap(() => this.timeCheck("_initFvVersions")).then(() => this._cleanUp()).tap(() => this.timeCheck("_cleanUp")).then(() => this._cleanOrphanedFv()).tap(() => this.timeCheck("_cleanOrphanedFv")).then(() => this._cleanBin()).tap(() => this.timeCheck("_cleanBin")).return(this.postInstall).map(depInfo => this._runPostInstallScripts(depInfo), {
      concurrency: 3
    }).tap(() => this.timeCheck("postInstall")) // Go through save package.json again in case any changed
    .then(() => this._savePkgJson(true)).tap(() => this.timeCheck("second _savePkgJson")).return(this.toLink).filter(depInfo => this._checkDeprecated(depInfo)).tap(() => this.timeCheck("show deprecated")).then(warned => {
      if (this._fyn.showDeprecated && _.isEmpty(warned)) {
        logger.info(chalk.green("HOORAY!!! None of your dependencies are marked deprecated."));
      }
    }).then(() => this._saveLockData()).then(() => {
      logger.info(`${chalk.green("done install")} ${logFormat.time(Date.now() - start)}`);
    }).finally(() => {
      logger.removeItem(INSTALL_PACKAGE);
    });
  }

  async _buildLocalPkg(depInfo) {
    if (this._fyn._options.buildLocal && this._fyn._localPkgBuilder) {
      const itemRes = await this._fyn._localPkgBuilder.waitForItem(depInfo.dir);

      if (itemRes && itemRes.error) {
        throw new AggregateError([itemRes.error], `install fail because local package build failed`);
      }
    }
  }

  async _gatherPkg(depInfo) {
    const {
      name,
      version
    } = depInfo;

    if (depInfo.local) {
      this.timeCheck("buildLocal");
      await this._buildLocalPkg(depInfo);
      this.timeCheck("linkLocal");
      await this._linkLocalPkg(depInfo);
      this.timeCheck("done link Local");
    }

    const json = depInfo.json || {};

    if (_.isEmpty(json) || json.fromLocked) {
      const dir = this._fyn.getInstalledPkgDir(name, version, depInfo);

      const file = Path.join(dir, "package.json");
      const str = (await Fs.readFile(file)).toString();
      Object.assign(json, JSON.parse(str));
      Object.assign(depInfo, {
        str,
        json
      });
      if (!depInfo.dir) depInfo.dir = dir;
    }

    if (!json._fyn) json._fyn = {};
    const scripts = json.scripts || {};
    const hasPI = json.hasPI || Boolean(scripts.preinstall);
    const piExed = json._fyn.preinstall || Boolean(depInfo.preinstall);

    if (!piExed && hasPI) {
      if (depInfo.preInstalled) {
        json._fyn.preinstall = true;
      } else {
        logger.debug("adding preinstall step for", depInfo.dir);
        this.preInstall.push(depInfo);
      }
    }

    this.toLink.push(depInfo);
    const install = ["install", "postinstall"].filter(x => {
      return Boolean(scripts[x]) && !json._fyn[x];
    });

    if (install.length > 0) {
      logger.debug("adding install step for", depInfo.dir, install);
      depInfo.install = install;
      this.postInstall.push(depInfo);
    }
  }

  _cleanBin() {
    logger.updateItem(INSTALL_PACKAGE, "cleaning node_modules/.bin");
    return this._binLinker.clearExtras();
  }

  async _initFvVersions() {
    if (!this._fvVersions) {
      this._fvVersions = await this._fyn.loadFvVersions();
    }
  }

  async _cleanOrphanedFv() {
    for (const pkgName in this._fvVersions) {
      const versions = this._fvVersions[pkgName];

      if (versions !== null) {
        await this._cleanUpVersions(pkgName);
      }
    }
  }

  async _cleanUp(scope) {
    const outDir = this._fyn.getOutputDir();

    const pkgsData = this._data.getPkgsData();

    scope = scope || "";
    logger.updateItem(INSTALL_PACKAGE, `cleaning extraneous packages... ${scope}`);
    const installedPkgs = await xaa.try(() => Fs.readdir(Path.join(outDir, scope)), []);

    for (const dirName of installedPkgs) {
      if (dirName.startsWith(".") || dirName.startsWith("_")) continue;

      if (!scope && dirName.startsWith("@")) {
        await this._cleanUp(dirName);
        continue;
      }

      const pkgName = Path.posix.join(scope, dirName);
      const pkgVersions = pkgsData[pkgName];

      const topPkg = _.find(pkgVersions, x => x.promoted);

      if (!topPkg) {
        this._removedCount++;
        await this._removeDir(Path.join(outDir, pkgName));
      }

      await this._cleanUpVersions(pkgName);
    } // get rid of potentially empty scope dir


    if (scope) await xaa.try(() => Fs.rmdir(Path.join(outDir, scope))); // get rid of potentially empty FV_DIR dir

    await xaa.try(() => Fs.rmdir(this._fyn.getFvDir("_")));
  }
  /**
   * Process detail layout for node_modules.
   *
   * Real copies of packages are store under FV_DIR.
   *
   * 1. For top level packages that exist in app's package.json, make symlinks under node_modules.
   * 2. For packages that could be promoted to the top level:
   * - If flattenTop enabled, make symlinks under node_modules
   * - flattenTop disabled, make symlinks under FV_Dir/node_modules
   *
   * @returns {*} none
   */


  async _linkTopPackages() {
    // only for detail layout
    if (this._fyn.isNormalLayout) {
      return;
    }

    const {
      flattenTop
    } = this._fyn._options;

    const pkgsData = this._data.getPkgsData();

    let createFvNmDir;

    for (const pkgName in pkgsData) {
      const pkg = pkgsData[pkgName];

      for (const version in pkg) {
        const verPkg = pkg[version];
        let symLinkLocation;
        logger.debug("linkTop", pkgName, "top", verPkg.top, "promoted", verPkg.promoted);

        if (verPkg.top) {
          // top level dep from package.json, put or link it under node_modules
          symLinkLocation = this._fyn.getOutputDir();
        } else if (verPkg.promoted) {
          if (flattenTop) {
            // put all packages that are promoted under node_modules
            symLinkLocation = this._fyn.getOutputDir();
          } else {
            // promoted flattened dep, link to node_modules/${FV_DIR}/node_modules
            symLinkLocation = this._fyn.getFvDir("node_modules");

            if (!createFvNmDir) {
              createFvNmDir = true;
              await Fs.$.mkdirp(symLinkLocation);
            }
          }
        } else {
          continue; // no need to link
        }

        const linkName = Path.join(symLinkLocation, pkgName);

        const pkgInstalledPath = this._fyn.getInstalledPkgDir(pkgName, version);

        logger.debug("linkTop", linkName, "=>", pkgInstalledPath);

        if (pkgName.startsWith("@")) {
          // package has scope, create a scope dir for it
          await Fs.$.mkdirp(Path.dirname(linkName));
        }

        const symLinkExist = await fynTil.validateExistSymlink(linkName, pkgInstalledPath, true);

        if (!symLinkExist) {
          await fynTil.symlinkDir(linkName, pkgInstalledPath, true);
        }
      }
    }
  }

  async _linkNestedPackages(depInfo) {
    this._fyn._depResolver.resolvePeerDep(depInfo);

    await this._depLinker.linkPackage(depInfo); //

    if (depInfo.deprecated && !depInfo.json._deprecated) {
      depInfo.json._deprecated = depInfo.deprecated;
      depInfo.showDepr = true;
    }

    if (depInfo.top) {
      return this._binLinker.linkBin(depInfo);
    }

    return undefined;
  }

  async _cleanUpVersions(pkgName) {
    const pkg = this._data.getPkgsData()[pkgName];

    const versions = this._fvVersions[pkgName];
    if (!versions || versions.length < 1) return;
    const removed = [];

    for (const ver of versions) {
      if (!pkg || !pkg[ver] || this._fyn.isNormalLayout && pkg[ver].promoted) {
        const pkgInstalledPath = this._fyn.getInstalledPkgDir(pkgName, ver);

        logger.verbose("removing extraneous version", ver, "of", pkgName, pkgInstalledPath);
        await Fs.$.rimraf(pkgInstalledPath);
        removed.push(pkgInstalledPath);
      }
    }

    for (const pkgDir of removed) {
      let dir = pkgDir;

      try {
        // first remove the scope dir
        if (pkgName.startsWith("@")) {
          dir = Path.dirname(dir);
          await Fs.rmdir(dir);
        } // next remove the version dir


        dir = Path.dirname(dir);
        await Fs.rmdir(dir);
      } catch (err) {
        if (err.code !== "ENOTEMPTY") {
          logger.error(`fail to remove dir for package ${pkgName}`, err, dir);
        }
      }
    } // in case the package container directory has no versions left, it'd be an empty dir => remove it.


    if (versions.length === removed.length) {
      let dir = this._fyn.getInstalledPkgDir(pkgName);

      try {
        await Fs.rmdir(dir);

        if (pkgName.startsWith("@")) {
          dir = Path.dirname(dir);
          await Fs.rmdir(dir);
        }
      } catch (err) {
        if (err.code !== "ENOTEMPTY") {
          logger.error(`fail to remove container dir for package ${pkgName}`, err, dir);
        }
      }
    } // cleanup applied, no longer need the data for this package


    this._fvVersions[pkgName] = null;
  }

  async _removeDir(dir) {
    try {
      const stat = await Fs.stat(dir);

      if (stat.isDirectory()) {
        return Fs.$.rimraf(dir);
      } else {
        return Fs.unlink(dir);
      }
    } catch (err) {
      return null;
    }
  }

  _saveLockData() {
    if (!this._fyn.lockOnly) {
      const locker = this._fyn._depLocker || new PkgDepLocker(false, true);
      locker.generate(this._fyn._data);
      locker.save(Path.join(this._fyn.cwd, "fyn-lock.yaml"));
    }
  }

}

module.exports = PkgInstaller;

/***/ }),

/***/ "./lib/pkg-opt-resolver.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-nested-callbacks, no-param-reassign */

const assert = __webpack_require__("assert");

const xsh = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const logger = __webpack_require__("./lib/logger.js");

const Inflight = __webpack_require__("./lib/util/inflight.js");

const LifecycleScripts = __webpack_require__("./lib/lifecycle-scripts.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const hardLinkDir = __webpack_require__("./lib/util/hard-link-dir.js");

const longPending = __webpack_require__("./lib/long-pending.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const PkgDepLinker = __webpack_require__("./lib/pkg-dep-linker.js");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const {
  readPkgJson
} = __webpack_require__("./lib/util/fyntil.js");

const {
  OPTIONAL_RESOLVER
} = __webpack_require__("./lib/log-items.js");

xsh.Promise = Promise; //
// resolve optional dependencies
//
// If a package is in optional dep, then it should be:
//
// - the package itself resolved to a version with its meta.
// - queue up for deferred processing until regular dep are all resolved
// - optional packages are fetched and extracted to FV_DIR
// - execute its preinstall script
// - package that failed is ignore
// - package that passed is added back to the regular resolving pipeline
// - all results saved for logging at the end
// - expect final clean-up to remove any ignored packages
//

class PkgOptResolver {
  constructor(options) {
    this._optPkgCount = 0;
    this._passedPkgs = [];
    this._checkedPkgs = {}; //
    // for remembering that we've extrated a package by name@version ID
    // to FV_DIR so we can avoid extrating it later
    //

    this._resolving = false;
    this._extractedPkgs = {};
    this._failedChecks = [];
    this._failedPkgs = [];
    this._depResolver = options.depResolver;
    this._inflights = new Inflight();
    this._fyn = options.fyn;
    this._depLinker = new PkgDepLinker({
      fyn: this._fyn
    });
    this.setupQ();
  }

  setupQ() {
    this._promiseQ = new PromiseQueue({
      concurrency: 2,
      stopOnError: false,
      watchTime: 2000,
      processItem: x => this.optCheck(x)
    });

    this._promiseQ.on("watch", items => {
      items.watched = items.watched.filter(x => !x.item.runningScript);
      items.still = items.still.filter(x => !x.item.runningScript);
      items.total = items.watched.length + items.still.length;
      longPending.onWatch(items, {
        makeId: item => {
          item = item.item;
          return chalk.magenta(`${item.name}@${item.resolved}`);
        }
      });
    });

    this._promiseQ.on("done", () => logger.removeItem(OPTIONAL_RESOLVER));

    this._promiseQ.on("fail", x => logger.error("opt-check fail", x));

    this._promiseQ.on("failItem", x => logger.error("opt-check failItem", x.error));
  } //
  // optDep should contain:
  // - the item for the optional dep
  // - the meta info for the whole package
  //


  add(optDep) {
    this._optPkgCount++;

    this._promiseQ.addItem(optDep, true);
  }

  start() {
    this._promiseQ._process();
  }

  isExtracted(name, version) {
    return this._extractedPkgs[`${name}@${version}`];
  } //
  // - check if installed under node_modules
  // - check if installed under FV_DIR
  // - if none, then fetch tarball and extract to FV_DIR
  // - run preinstall npm script
  // - check if exit 0 or not
  // - 0: add item back to resolve
  // - not: add item to queue for logging at end
  //

  /* eslint-disable max-statements */


  optCheck(data) {
    const name = data.item.name;
    const version = data.item.resolved;
    const pkgId = `${name}@${version}`;
    const displayId = logFormat.pkgId(data.item);

    const processCheckResult = promise => {
      return promise.then(res => {
        if (res.passed) {
          // exec exit status 0, add to defer resolve queue
          this._passedPkgs.push(data);
        } else {
          // exec failed, add to queue for logging at end
          this._failedPkgs.push(data);

          this._failedChecks.push({
            err: res.err,
            data
          });
        }
      });
    };

    const addChecked = res => {
      if (!this._checkedPkgs[pkgId]) {
        this._checkedPkgs[pkgId] = res;
      }
    };

    const logFail = msg => {
      logger.warn(chalk.yellow(`optional dep check failed`), displayId, chalk.yellow(`- ${msg}`));
      logger.info(chalk.green(`  you may ignore this since it is optional but some features may be missing`));
    };

    const logPass = (msg, level) => {
      level = level || "verbose";
      logger[level](chalk.green(`optional dep check passed`), displayId, chalk.green(`- ${msg}`));
    }; // already check completed, just use existing result


    const checkedPkgRes = this._checkedPkgs[pkgId];

    if (checkedPkgRes) {
      return processCheckResult(Promise.resolve(checkedPkgRes));
    } // already check in progress


    const inflight = this._inflights.get(pkgId);

    if (inflight) {
      logger.debug("opt check reusing existing inflight for", pkgId);
      return processCheckResult(inflight);
    }

    if (!this._fyn.refreshOptionals && _.get(data, ["meta", "versions", version, "optFailed"])) {
      logFail("by flag optFailed in lockfile");
      const rx = {
        passed: false,
        err: new Error("optional dep fail by flag optFailed in lockfile")
      };
      addChecked(rx);
      return processCheckResult(Promise.resolve(rx));
    }

    const checkPkg = path => {
      return readPkgJson(path, true).then(pkg => {
        return semverUtil.equal(pkg.version, version) && {
          path,
          pkg
        };
      });
    };

    const fvInstalledPath = this._fyn.getInstalledPkgDir(name, version);

    const linkLocalPackage = async () => {
      const meta = data.meta;

      const local = meta.local || _.get(meta, ["versions", version, "local"]);

      logger.debug("opt resolver", name, version, "local", local);
      if (!local) return false;
      const dist = meta.versions[version].dist;
      logger.debug("opt resolver linking local package", name, version, dist);

      if (local === "sym") {
        // await this._depLinker.symlinkLocalPackage(fvInstalledPath, dist.fullPath);
        throw new Error("only hard linking local mode supported now. symlinking local deprecated");
      } else {
        await hardLinkDir.link(dist.fullPath, fvInstalledPath, {
          sourceMaps: this._fyn._options.sourceMaps
        });
      }

      return checkPkg(fvInstalledPath);
    }; // is it under node_modules/<name> and has the right version?


    const promise = Promise.try(() => {
      if (data.err) {
        return "metaFail";
      }

      const pkgFromMeta = data.meta.versions[version];
      const scripts = pkgFromMeta.scripts;

      if (pkgFromMeta.fromLocked) {
        // it's locked meta and hasPI is not 1
        if (!this._fyn.refreshOptionals && pkgFromMeta.hasPI !== 1) {
          return pkgFromMeta;
        }
      } else if (!scripts || !scripts.preinstall) {
        // full meta and doesn't have scripts or preinstall in scripts
        return pkgFromMeta;
      } // package actually has preinstall script, first check if it's already
      // installed at top level in node_modules


      const pkg = Object.assign({}, pkgFromMeta, {
        name,
        version
      });
      return this._fyn._distFetcher.findPkgInNodeModules(pkg).then(find => {
        if (find.pkgJson) {
          return {
            pkg: find.pkgJson,
            path: find.existDir
          };
        }

        if (this._fyn.lockOnly) {
          // regen only, don't bother fetching anything
          return "lockOnlyFail";
        } // no existing install found, try to link local or fetch tarball into
        // ${FV_DIR}/<version>/<name>.


        return linkLocalPackage().then(linked => {
          if (linked) return linked;
          return this._fyn._distFetcher.putPkgInNodeModules(pkg, false, true).then(() => checkPkg(fvInstalledPath)).catch(() => {
            return "fetchFail";
          });
        });
      });
    }) // .catch(async () => {
    //   return (await linkLocalPackage()) || fetchPkgTarball(fvInstalledPath);
    // })
    .then(res => {
      if (res === "lockOnlyFail") {
        logFail("lock only but no package tarball");
        return {
          passed: false
        };
      }

      if (res === "fetchFail") {
        logFail("fetch tarball failed, your install likely will be bad.");
        return {
          passed: false
        };
      }

      if (res === "metaFail") {
        logFail("fetch meta failed");
        return {
          passed: false
        };
      } // run npm script `preinstall`


      if (!this._fyn.refreshOptionals && _.get(res, "pkg._fyn.preinstall")) {
        // package already installed and its package.json has _fyn.preinstall set
        // so do not run preinstall script again
        logPass(`_fyn.preinstall from package.json is '${res.pkg._fyn.preinstall}' => script already passed`);
        return {
          passed: true
        };
      } else if (_.get(res, "pkg.scripts.preinstall")) {
        data.runningScript = true;
        logger.updateItem(OPTIONAL_RESOLVER, `running preinstall for ${displayId}`);
        const ls = new LifecycleScripts({
          appDir: this._fyn.cwd,
          _fyn: this._fyn,
          dir: res.path,
          json: res.pkg
        });
        return ls.execute(["preinstall"], true).then(() => {
          logPass("preinstall script exit with code 0", "info");
          return {
            passed: true
          };
        }).catch(err => {
          logFail("preinstall script failed");
          return {
            passed: false,
            err
          };
        });
      } else {
        // no preinstall script, always pass
        logPass(`package ${name} has no preinstall script`);
        return {
          passed: true
        };
      }
    }).tap(res => {
      assert(this._checkedPkgs[pkgId] === undefined, `opt-resolver already checked package ${pkgId}`);
      addChecked(res);
    }).finally(() => {
      this._inflights.remove(pkgId);
    });

    this._inflights.add(pkgId, promise);

    return processCheckResult(promise);
  }

  resolve() {
    this._optPkgCount = 0;
    this._resolving = true;
    this.start();
    return this._promiseQ.wait().then(async () => {
      for (const x of this._passedPkgs) {
        x.item.optChecked = true;
        await this._depResolver.addPackageResolution(x.item, x.meta, x.item.resolved);
      }

      for (const x of this._failedPkgs) {
        x.item.optChecked = true;
        x.item.optFailed = _.get(x, ["meta", "versions", x.item.resolved, "optFailed"], 1);
        await this._depResolver.addPackageResolution(x.item, x.meta, x.item.resolved);
      }

      this._passedPkgs = [];
      this._failedPkgs = [];
      this._resolving = false;

      this._depResolver.start();
    });
  }

  isPending() {
    return this._resolving === true;
  }

  isEmpty() {
    return this._optPkgCount === 0;
  }

}

module.exports = PkgOptResolver;

/***/ }),

/***/ "./lib/pkg-src-manager.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 //
// Manages all sources that package data could come from.
// - local cache
// - git repo
// - local dir
// - npm registry
//

/* eslint-disable no-magic-numbers, prefer-template, max-statements, no-param-reassign */

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const createDefer = __webpack_require__("./lib/util/defer.js");

const os = __webpack_require__("os");

const pacote = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/index.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const logger = __webpack_require__("./lib/logger.js");

const mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js");

const Path = __webpack_require__("path");

const PromiseQueue = __webpack_require__("./lib/util/promise-queue.js");

const Inflight = __webpack_require__("./lib/util/inflight.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const semverUtil = __webpack_require__("./lib/util/semver.js");

const longPending = __webpack_require__("./lib/long-pending.js");

const {
  LOCAL_VERSION_MAPS,
  PACKAGE_RAW_INFO,
  DEP_ITEM
} = __webpack_require__("./lib/symbols.js");

const {
  LONG_WAIT_META,
  FETCH_META,
  FETCH_PACKAGE
} = __webpack_require__("./lib/log-items.js");

const PkgPreper = __webpack_require__("./node_modules/.f/_/pkg-preper/0.1.0/pkg-preper/lib/pkg-preper.js");

const VisualExec = __webpack_require__("./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/visual-exec.js");

const {
  readPkgJson,
  missPipe
} = __webpack_require__("./lib/util/fyntil.js");

const {
  MARK_URL_SPEC
} = __webpack_require__("./lib/constants.js");

const nodeFetch = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/index.js");

const {
  AggregateError
} = __webpack_require__("./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js");

const {
  prePackObj
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/index.js");

const {
  PackageRef
} = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/index.js");

const WATCH_TIME = 5000; // consider meta cache stale after this much time (30 minutes)

const META_CACHE_STALE_TIME = 30 * 60 * 1000;

class PkgSrcManager {
  constructor(options) {
    this._options = _.defaults({}, options, {
      registry: "",
      fynCacheDir: ""
    });
    this._meta = {};
    this._cacheDir = this._options.fynCacheDir;
    mkdirp.sync(this._cacheDir);
    this._inflights = {
      meta: new Inflight()
    };
    this._fyn = options.fyn;
    this._localMeta = {};
    this._netQ = new PromiseQueue({
      concurrency: this._fyn.concurrency,
      stopOnError: true,
      processItem: x => this.processItem(x),
      watchTime: WATCH_TIME
    });

    this._netQ.on("fail", data => logger.error(data));

    this._netQ.on("watch", items => {
      longPending.onWatch(items, {
        name: LONG_WAIT_META,
        filter: x => x.item.type === "meta",
        makeId: x => logFormat.pkgId(x.item),
        _save: false
      });
    });

    const registryData = _.pickBy(this._options, (v, key) => key === "registry" || key.endsWith(":registry"));

    const authTokens = _.pickBy(this._options, (v, key) => key.endsWith(":_authToken"));

    logger.debug("pkg src manager registry", JSON.stringify(registryData));
    this._pacoteOpts = Object.assign({
      cache: this._cacheDir,
      email: this._options.email,
      alwaysAuth: this._options["always-auth"],
      username: this._options.username,
      password: this._options.password
    }, authTokens, registryData);
    this._regData = registryData;
    this.normalizeRegUrlSlash();
    this._metaStat = {
      wait: 0,
      inTx: 0,
      done: 0
    };
    this._lastMetaStatus = "waiting...";
  }

  normalizeRegUrlSlash() {
    _.each(this._regData, (v, k) => {
      this._regData[k] = v.endsWith("/") ? v : `${v}/`;
    });
  }

  getRegistryUrl(pkgName) {
    let regUrl = this._regData.registry;

    if (pkgName.startsWith("@")) {
      const scope = pkgName.split("/")[0];
      const k = `${scope}:registry`;

      if (this._regData[k]) {
        regUrl = this._regData[k];
      }
    }

    return regUrl;
  }

  makePackumentUrl(pkgName) {
    const escapedName = pkgName.replace("/", "%2f");
    const regUrl = this.getRegistryUrl(pkgName);
    return `${regUrl}${escapedName}`;
  }

  processItem(x) {
    if (x.type === "meta") {
      return this.netRetrieveMeta(x);
    }

    return undefined;
  }

  makePkgCacheDir(pkgName) {
    const pkgCacheDir = Path.join(this._cacheDir, pkgName);
    mkdirp.sync(pkgCacheDir);
    return pkgCacheDir;
  }

  getSemverAsFilepath(semver) {
    if (semver.startsWith("file:")) {
      return semver.substr(5);
    } else if (semver.startsWith("/") || semver.startsWith("./") || semver.startsWith("../")) {
      return semver;
    } else if (semver.startsWith("~/")) {
      return Path.join(os.homedir(), semver.substr(1));
    }

    return false;
  }

  getLocalPackageMeta(item, resolved) {
    return _.get(this._localMeta, [item.name, "byVersion", resolved]);
  }

  getAllLocalMetaOfPackage(name) {
    return _.get(this._localMeta, [name, "byVersion"]);
  }

  getPacoteOpts(extra) {
    return Object.assign({}, extra, this._pacoteOpts);
  }

  getPublishUtil(json, fullPath) {
    let config;
    let pkgInfo;
    let configFromFynpo;

    if (this._fyn.isFynpo && (pkgInfo = this._fyn._fynpo.graph.getPackageAtDir(fullPath))) {
      const fynpoPublishUtil = _.get(this._fyn, "_fynpo.config.publishUtil", {});

      for (const ref in fynpoPublishUtil) {
        const pkgRef = new PackageRef(ref);

        if (pkgRef.match(pkgInfo)) {
          configFromFynpo = fynpoPublishUtil[ref];
          break;
        }
      }
    }

    if (json.publishUtil || _.get(json, ["dependencies", "publish-util"]) || _.get(json, ["devDependencies", "publish-util"])) {
      config = json.publishUtil;
    }

    return configFromFynpo || config;
  }
  /* eslint-disable max-statements */


  fetchLocalItem(item) {
    const localPath = item.semverPath;

    if (!localPath) {
      return false;
    }

    let fullPath;

    if (!Path.isAbsolute(localPath)) {
      const parent = item.parent;

      if (parent.localType) {
        fullPath = Path.join(parent.fullPath, localPath);
      } else {
        fullPath = Path.resolve(this._fyn.cwd, localPath);
      }
    } else {
      fullPath = localPath;
    }

    item.fullPath = fullPath;
    logger.debug("fetchLocalItem localPath", localPath, "fullPath", fullPath);

    const existLocalMeta = _.get(this._localMeta, [item.name, "byPath", fullPath]);

    if (existLocalMeta) {
      existLocalMeta[LOCAL_VERSION_MAPS][item.semver] = existLocalMeta.localId;
      return Promise.resolve(existLocalMeta);
    }

    return readPkgJson(fullPath, true, true).then(json => {
      const publishUtilConfig = this.getPublishUtil(json, fullPath);

      if (publishUtilConfig) {
        logger.debug(`processing local package.json at ${fullPath} with https://www.npmjs.com/package/publish-util prePackObj`);
        prePackObj(json, _objectSpread(_objectSpread({}, publishUtilConfig), {}, {
          silent: true
        }));
      }

      const version = semverUtil.localify(json.version, item.localType);
      const name = item.name || json.name;
      json.dist = {
        localPath,
        fullPath
      };
      const localMeta = {
        local: item.localType,
        localId: version,
        name,
        json,
        jsonStr: json[PACKAGE_RAW_INFO].str,
        versions: {
          [version]: json
        },
        "dist-tags": {
          latest: version
        },
        [LOCAL_VERSION_MAPS]: {
          [item.semver]: version
        }
      };
      logger.debug("return local meta for", item.name, item.semver, "at", fullPath, "local version", version);

      _.set(this._localMeta, [name, "byPath", fullPath], localMeta);

      _.set(this._localMeta, [name, "byVersion", version], localMeta);

      return localMeta;
    });
  }

  updateFetchMetaStatus(_render) {
    const {
      wait,
      inTx,
      done
    } = this._metaStat;
    const statStr = `(${chalk.red(wait)}⇨ ${chalk.yellow(inTx)}⇨ ${chalk.green(done)})`;
    logger.updateItem(FETCH_META, {
      msg: `${statStr} ${this._lastMetaStatus}`,
      _render,
      _save: _render
    });
  }

  netRetrieveMeta(qItem) {
    const pkgName = qItem.item.name;
    const startTime = Date.now();

    const updateItem = status => {
      if (status !== undefined) {
        status = chalk.cyan(`${status}`);
        const time = logFormat.time(Date.now() - startTime);
        const dispName = chalk.red.bgGreen(pkgName);
        this._lastMetaStatus = `${status} ${time} ${dispName}`;
        this.updateFetchMetaStatus();
      }
    }; //
    // where fetch will ultimately occur and cached
    // make-fetch-happen/index.js:106 (cachingFetch)
    //   - missing cache ==> remoteFetch
    //   - found cache   ==> conditionalFetch
    // make-fetch-happen/index.js:143 (isStale check)
    //
    // make-fetch-happen/index.js:229 (conditionalFetch) ==> remoteFetch
    // make-fetch-happen/index.js:256 (304 Not Modified handling) (just returncachedRes?)
    //
    // make-fetch-happen/index.js:309 (remoteFetch)
    // make-fetch-happen/index.js:352 (caching)
    //


    const pacoteRequest = () => {
      return pacote.packument(pkgName, this.getPacoteOpts({
        "full-metadata": true,
        "fetch-retries": 3,
        "cache-policy": "ignore",
        "cache-key": qItem.cacheKey,
        memoize: false
      })).tap(x => {
        this._metaStat.inTx--;
        if (x.readme) delete x.readme; // don't need this

        updateItem(x._cached ? "cached" : "200");
      }).catch(err => {
        const msg = `pacote failed fetching packument of ${pkgName}`;
        logger.error(chalk.yellow(msg), chalk.red(err.message));
        throw new AggregateError([err], msg);
      });
    };

    this._metaStat.wait--;
    this._metaStat.inTx++;
    this.updateFetchMetaStatus(false);
    const promise = qItem.item.urlType ? this.fetchUrlSemverMeta(qItem.item) : pacoteRequest();
    return promise.then(x => {
      const time = Date.now() - startTime;

      if (time > 20 * 1000) {
        logger.info(chalk.red("Fetch meta of package"), logFormat.pkgId(qItem.item), `took ${logFormat.time(time)}!!!`);
      }

      cacache.refresh(this._cacheDir, qItem.cacheKey);
      qItem.defer.resolve(x);
    }).catch(err => {
      qItem.defer.reject(err);
    });
  }

  hasMeta(item) {
    return Boolean(this._meta[item.name]);
  }

  pkgPreperInstallDep(dir, displayTitle) {
    const node = process.env.NODE || process.execPath;
    const fyn = Path.join(__dirname, "../bin/fyn.js");
    return new VisualExec({
      displayTitle,
      cwd: dir,
      command: `${node} ${fyn} --pg simple -q v install --no-production`,
      visualLogger: logger
    }).execute();
  }

  _getPacoteDirPacker() {
    const pkgPrep = new PkgPreper({
      tmpDir: this._cacheDir,
      installDependencies: this.pkgPreperInstallDep
    });
    return pkgPrep.getDirPackerCb();
  }

  _packDir(manifest, dir) {
    return this._getPacoteDirPacker()(manifest, dir);
  }

  fetchUrlSemverMeta(item) {
    let dirPacker;

    if (item.urlType.startsWith("git")) {
      //
      // pacote's implementation of this is not ideal. It always want to
      // clone and pack the dir for manifest or tarball.
      //
      // So, in the latest npm (as of 6.4.0), it ends up doing twice a full
      // git clone, install dependencies, pack to tgz, and cache the result.
      //
      // Even with package-lock.json, npm still ends up cloning the repo and
      // install dependencies to pack tgz, despite that tgz may be in cache already.
      //
      // To make this more efficient, fyn use pacote only for figuring out
      // git and clone the package.
      // Then it moves the cloned dir away for its own use, and throw an
      // exception to make pacote bail out.
      //
      // To figure out the HEAD commit hash, pacote still ends up having to
      // clone the repo because looks like github doesn't set HEAD ref
      // for default branch.  So ls-remote doesn't have the HEAD symref.
      //
      // Ideally, it'd be nice if pacote has API to return the resolved URL first
      // before doing a git clone, so we can lookup from cache with it.
      // however, sometimes a clone is required to find the default branch from github.
      // maybe use github API to find default branch.
      // also, should check if there's only one branch and use that automatically.
      //
      dirPacker = (manifest, dir) => {
        const err = new Error("interrupt pacote");
        const capDir = `${dir}-fyn`;
        return Fs.rename(dir, capDir).then(() => {
          err.capDir = capDir;
          err.manifest = manifest;
          throw err;
        });
      };
    } else {
      dirPacker = this._getPacoteDirPacker();
    }

    return pacote.manifest(`${item.name}@${item.semver}`, this.getPacoteOpts({
      dirPacker
    })).then(manifest => {
      manifest = Object.assign({}, manifest);
      return {
        name: item.name,
        versions: {
          [manifest.version]: manifest
        },
        urlVersions: {
          [item.semver]: manifest
        }
      };
    }).catch(err => {
      if (!err.capDir) throw err;
      return this._prepPkgDirForManifest(item, err.manifest, err.capDir);
    });
  }

  async _prepPkgDirForManifest(item, manifest, dir) {
    //
    // The full git url with commit hash should be available in manifest._resolved
    // use that as cache key to lookup cached manifest
    //
    const tgzCacheKey = `fyn-tarball-for-${manifest._resolved}`;
    const tgzCacheInfo = await cacache.get.info(this._cacheDir, tgzCacheKey);
    let pkg;
    let integrity;

    if (tgzCacheInfo) {
      // found cache
      pkg = tgzCacheInfo.metadata;
      integrity = tgzCacheInfo.integrity;
      logger.debug("gitdep package", pkg.name, "found cache for", manifest._resolved);
    } else {
      //
      // prepare and pack dir into tgz
      //
      const packStream = this._packDir(manifest, dir);

      await new Promise((resolve, reject) => {
        packStream.on("prepared", resolve);
        packStream.on("error", reject);
      });
      pkg = await readPkgJson(dir);
      logger.debug("gitdep package", pkg.name, "prepared", manifest._resolved); //
      // cache tgz
      //

      const cacheStream = cacache.put.stream(this._cacheDir, tgzCacheKey, {
        metadata: pkg
      });
      cacheStream.on("integrity", i => integrity = i.sha512[0].source);
      await missPipe(packStream, cacheStream);
      logger.debug("gitdep package", pkg.name, "cached with integrity", integrity);
    } // embed info into tarball URL as a JSON string


    const tarball = JSON.stringify(Object.assign(_.pick(item, ["urlType", "semver"]), _.pick(manifest, ["_resolved", "_id"])));
    manifest = Object.assign({}, pkg, _.pick(manifest, ["_resolved", "_integrity", "_shasum", "_id"]), {
      dist: {
        integrity,
        tarball: `${MARK_URL_SPEC}${tarball}`
      }
    });
    await Fs.$.rimraf(dir);
    return {
      name: item.name,
      versions: {
        [manifest.version]: manifest
      },
      urlVersions: {
        [item.semver]: manifest
      }
    };
  }

  fetchMeta(item) {
    const pkgName = item.name;
    const pkgKey = `${pkgName}@${item.urlType ? item.urlType : "semver"}`;

    if (this._meta[pkgKey]) {
      return Promise.resolve(this._meta[pkgKey]);
    }

    const inflight = this._inflights.meta.get(pkgKey);

    if (inflight) {
      return inflight;
    }

    const packumentUrl = this.makePackumentUrl(pkgName);
    const cacheKey = `make-fetch-happen:request-cache:full:${packumentUrl}`;

    const queueMetaFetchRequest = cached => {
      const offline = this._fyn.remoteMetaDisabled;

      if (cached && this._fyn.forceCache) {
        this._metaStat.wait--;
        return cached;
      }

      if (offline) {
        this._metaStat.wait--;
        if (cached) return cached;
        const msg = `option ${offline} has disabled retrieving meta from remote`;
        logger.error(`fetch meta for ${chalk.magenta(pkgName)} error:`, chalk.red(msg));
        throw new Error(`${msg} for ${pkgName}`);
      }

      this.updateFetchMetaStatus(false);
      const netQItem = {
        type: "meta",
        cacheKey,
        item,
        defer: createDefer()
      };

      this._netQ.addItem(netQItem);

      return netQItem.defer.promise;
    };

    this._metaStat.wait++; //
    // First check if cache has packument for the package
    //
    // TODO: Maybe pass in offline/prefer-offline/prefer-online flags to pacote so it can
    // handle these directly.
    //
    // Sample cache key created by make-fetch-happen
    // See https://github.com/zkat/make-fetch-happen/blob/508c0af20e02f86445fc9b278382abac811f0393/cache.js#L16
    //
    // "make-fetch-happen:request-cache:https://registry.npmjs.org/electrode-static-paths"
    // "make-fetch-happen:request-cache:https://registry.npmjs.org/@octokit%2frest"
    //
    //
    // Much slower way to get cache with pacote
    //
    // const promise = pacote
    //   .packument(
    //     pkgName,
    //     this.getPacoteOpts({
    //       offline: true,
    //       "full-metadata": true,
    //       "fetch-retries": 3
    //     })
    //   )

    let foundCache;
    let cacheMemoized = false;
    const metaMemoizeUrl = this._fyn._options.metaMemoize;
    const promise = (item.urlType ? // when the semver is a url then the meta is not from npm registry and
    // we can't use the cache for registry
    Promise.resolve() : cacache.get(this._cacheDir, cacheKey, {
      memoize: true
    })).then(cached => {
      const packument = cached && cached.data && JSON.parse(cached.data);
      foundCache = cached;
      const stale = Date.now() - cached.refreshTime;
      const since = (stale / 1000).toFixed(2);
      logger.debug(`found packument cache for '${pkgName}' - refreshed ${since}secs ago at ${cached.refreshTime}`);

      if (this._fyn._options.refreshMeta !== true && cached && cached.refreshTime && stale < META_CACHE_STALE_TIME) {
        cacheMemoized = true;
        this._metaStat.wait--;
        return packument;
      } else if (cached && metaMemoizeUrl) {
        const encKey = encodeURIComponent(cacheKey);
        return nodeFetch(`${metaMemoizeUrl}?key=${encKey}`).then(res => {
          if (res.status === 200) {
            logger.debug(`using memoized packument cache for '${pkgName}'`);
            cacheMemoized = true;
            this._metaStat.wait--;
            return packument;
          }

          return queueMetaFetchRequest(packument);
        }, () => queueMetaFetchRequest(packument));
      } else {
        return queueMetaFetchRequest(packument);
      }
    }).catch(err => {
      if (foundCache) {
        const data = foundCache.data && foundCache.data.toString();
        logger.debug(`fail to process packument cache - ${err.message}; data ${data}`);
        throw err;
      }

      return queueMetaFetchRequest();
    }).then(meta => {
      this._metaStat.done++;
      this._meta[pkgKey] = meta;

      if (!cacheMemoized && metaMemoizeUrl) {
        const encKey = encodeURIComponent(cacheKey);
        nodeFetch(`${metaMemoizeUrl}?key=${encKey}`, {
          method: "POST",
          body: ""
        }).then(_.noop, _.noop);
      }

      return meta;
    }).finally(() => {
      this._inflights.meta.remove(pkgKey);
    });
    return this._inflights.meta.add(pkgKey, promise);
  }

  pacotePrefetch(pkgId, pkgInfo, integrity) {
    const stream = this.pacoteTarballStream(pkgId, pkgInfo, integrity);
    const defer = createDefer();
    stream.once("end", () => {
      if (stream.destroy) stream.destroy();
      defer.resolve();
    });
    stream.once("error", defer.reject);
    stream.on("data", _.noop);
    return defer.promise;
  }

  cacacheTarballStream(integrity) {
    return cacache.get.stream.byDigest(this._cacheDir, integrity);
  }

  pacoteTarballStream(pkgId, pkgInfo, integrity) {
    const opts = this.getPacoteOpts({
      // pacote please reuse manifest
      fullMeta: true,
      integrity,
      // pacote please don't try to get manifest
      // https://github.com/zkat/pacote/blob/3d0354ab990ce7adb6f5b4899e7ed9ffef4fca61/lib/fetchers/registry/tarball.js#L23
      resolved: _.get(pkgInfo, "dist.tarball")
    });
    return pacote.tarball.stream(pkgId, opts);
  }

  getIntegrity(item) {
    const integrity = _.get(item, "dist.integrity");

    if (integrity) return integrity;

    const shasum = _.get(item, "dist.shasum");

    if (shasum) {
      const b64 = Buffer.from(shasum, "hex").toString("base64");
      return `sha1-${b64}`;
    }

    return undefined;
  }

  tarballFetchId(pkgInfo) {
    const di = pkgInfo[DEP_ITEM];
    if (di && di.urlType) return `${di.name}@${di.semver}`;
    return `${pkgInfo.name}@${pkgInfo.version}`;
  }

  async getCentralPackage(integrity, pkgInfo) {
    const {
      central,
      copy
    } = this._fyn;
    const tarId = this.tarballFetchId(pkgInfo);

    const tarStream = async () => {
      return integrity && (await cacache.get.hasContent(this._cacheDir, integrity)) ? this.cacacheTarballStream(integrity) : this.pacoteTarballStream(tarId, pkgInfo, integrity);
    }; // TODO: probably don't want to do central for github/url/file tarballs
    // If a dep is pointing to a tgz file directly, then there is no integrity
    // and best to avoid doing central storage for it.


    if (integrity && central) {
      const verId = `${pkgInfo.name}@${pkgInfo.version}`;
      const dispId = logFormat.pkgId(verId);

      if (copy.indexOf(pkgInfo.name) >= 0 || copy.indexOf(verId) >= 0) {
        logger.info(`copying pkg ${dispId} in central store mode due to copy option`);
      } else if (!(await central.allow(integrity))) {
        logger.info(`copying pkg ${dispId} in central store mode because it mutates in postinstall step.`);
      } else {
        const hasCentral = await central.has(integrity);

        if (!hasCentral) {
          await central.storeTarStream(tarId, integrity, tarStream);
        }

        return integrity;
      }
    }

    return tarStream();
  }

  fetchTarball(pkgInfo) {
    const startTime = Date.now();
    const pkgId = this.tarballFetchId(pkgInfo);
    const integrity = this.getIntegrity(pkgInfo);

    const doFetch = () => {
      const fetchStartTime = Date.now();

      if (!this._fetching) {
        this._fetching = [];
        this._fetchingMsg = "waiting...";
      }

      this._fetching.push(pkgId);

      logger.updateItem(FETCH_PACKAGE, `${this._fetching.length} ${this._fetchingMsg}`);
      return this.pacotePrefetch(pkgId, pkgInfo, integrity).then(() => {
        const status = chalk.cyan(`200`);
        const time = logFormat.time(Date.now() - fetchStartTime);

        const ix = this._fetching.indexOf(pkgId);

        this._fetching.splice(ix, 1);

        this._fetchingMsg = `${status} ${time} ${chalk.red.bgGreen(pkgInfo.name)}`;
        logger.updateItem(FETCH_PACKAGE, `${this._fetching.length} ${this._fetchingMsg}`);
        return this.getCentralPackage(integrity, pkgInfo);
      });
    }; // - check cached tarball with manifest._integrity
    // - use stream from cached tarball if exist
    // - else fetch from network


    const promise = cacache.get.hasContent(this._cacheDir, integrity).catch(() => false).then(content => {
      if (content) {
        return this.getCentralPackage(integrity, pkgInfo);
      }

      const rd = this._fyn.remoteTgzDisabled;

      if (rd) {
        throw new Error(`option ${rd} has disabled retrieving tarball from remote`);
      }

      return doFetch();
    });
    return {
      then: (r, e) => promise.then(r, e),
      catch: e => promise.catch(e),
      tap: f => promise.tap(f),
      promise,
      startTime
    };
  }

}

module.exports = PkgSrcManager;

/***/ }),

/***/ "./lib/symbols.js":
/***/ ((module) => {

"use strict";


const LOCK_RSEMVERS = Symbol("lock rsemvers"); // resolved semvers from lock

const SEMVER = Symbol("semver"); // depInfo semver

const RSEMVERS = Symbol("rsemvers"); // resolved semvers

const LOCK_SORTED_VERSIONS = Symbol("lock sorted versions");
const LATEST_TAG_VERSION = Symbol("latest tag version");
const LATEST_VERSION_TIME = Symbol("latest version time");
const SORTED_VERSIONS = Symbol("sorted versions");
const LATEST_SORTED_VERSIONS = Symbol("latest sorted versions");
const LOCAL_VERSION_MAPS = Symbol("local version maps");
const RESOLVE_ORDER = Symbol("resolve order");
const PACKAGE_RAW_INFO = Symbol("package.json raw info");
const DEP_ITEM = Symbol("dep item");
module.exports = {
  SEMVER,
  RSEMVERS,
  LOCK_RSEMVERS,
  SORTED_VERSIONS,
  LATEST_VERSION_TIME,
  LATEST_SORTED_VERSIONS,
  LOCK_SORTED_VERSIONS,
  LATEST_TAG_VERSION,
  LOCAL_VERSION_MAPS,
  RESOLVE_ORDER,
  PACKAGE_RAW_INFO,
  DEP_ITEM
};

/***/ }),

/***/ "./lib/util/base-util.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-params, no-param-reassign */

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

exports.isWin32 = process.platform === "win32";

exports.retry = function retry(func, checks, tries, wait) {
  let p = Promise.try(func);

  if (!_.isEmpty(checks) && tries > 0 && wait > 0) {
    p = p.catch(err => {
      if (tries <= 0) throw err;
      tries--;
      return Promise.try(() => Array.isArray(checks) ? checks.indexOf(err.code) >= 0 : checks(err)).then(canRetry => {
        if (!canRetry) throw err;
        return Promise.delay(wait).then(() => retry(func, checks, tries, wait));
      });
    });
  }

  return p;
};

/***/ }),

/***/ "./lib/util/check-pkg-need-install.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const {
  scanFileStats
} = __webpack_require__("./lib/util/stat-dir.js");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const Path = __webpack_require__("path");

const logger = __webpack_require__("./lib/logger.js");
/**
 * Go into a local dep pkg's dir and see if it has one of these npm scripts:
 *
 * - preinstall
 * - postinstall
 *
 * **npm install run scripts**:
 *
 * - https://docs.npmjs.com/cli/v6/using-npm/scripts#npm-install
 * 1. preinstall
 * 2. install
 * 3. postinstall
 * 4. prepublish
 * 5. prepare
 *
 * If it does, then need to check if it has node_modules.
 *
 * - yes
 *     - is it fyn installed?
 *       - yes, then check fyn timestamp compare to files, is it outdated
 *         - yes, run fyn install and update timestamp
 *         - no, then all good
 *       - TODO: no, skip and log warning
 * - no, then run fyn install and set timestamp
 *
 */


const installScripts = ["preinstall", "install", "postinstall", "prepare", "build"];

async function checkPkgNeedInstall(dir, checkCtime = 0) {
  try {
    const pkgJson = JSON.parse(await Fs.readFile(Path.join(dir, "package.json")));
    const scripts = Object.keys(pkgJson.scripts || {});
    const hasScript = scripts.find(s => installScripts.includes(s)); //
    // if there's no check time, then there's no installation yet and fyn must execute
    // install, so a local dep's time would make no difference to fyn making that decision.
    // however, since there's no build script, fyn definitely doesn't need to run
    // install on a local dep, and we can immediately return false and skip a dir scan.
    //

    if (!hasScript && !checkCtime) {
      logger.debug(`package at ${dir} doesn't need local build because it doesn't have build scripts`);
      return {
        install: false,
        hasScript,
        scripts,
        pkgJson
      };
    } // fyn is running on existing install, must check a local dep's file times
    // to see if it changed and would affect fyn's decision to run install or not.


    const stats = await scanFileStats(dir);
    const ctime = stats.latestMtimeMs;
    const changed = ctime > checkCtime;
    return {
      changed,
      localBuild: changed && hasScript,
      checkCtime,
      pkgJson,
      stats,
      scripts,
      hasScript
    };
  } catch (error) {
    return {
      install: false,
      error
    };
  }
}

exports.checkPkgNeedInstall = checkPkgNeedInstall;

/***/ }),

/***/ "./lib/util/defer.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/xaa/1.7.0/xaa/dist/xaa.js").makeDefer;

/***/ }),

/***/ "./lib/util/file-ops-win32.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  isWin32,
  retry
} = __webpack_require__("./lib/util/base-util.js"); //
// This rather puzzling retry clutch here is very mysterious to me as well.
// For some reason, on Windows (mainly windows 10, many releases), either
// on a real machine or a VM, fs operations would fail with EACCESS or EPERM
// randomly, even on files that were just created two lines before or a few
// seconds before.  100 % of the time retrying a few times would work.
//
// This behavior affects npm (many versions) as well.
//
// Unfortunately, this also affects any external package or module that use fs,
// such as lockfile, and we need to retry calling their APIs.
//


const FS_RETRIES = isWin32 ? 10 : 0;
const FS_RETRY_ERRORS = isWin32 ? ["EACCESS", "EPERM"] : [];
const FS_RETRY_WAIT = 100;

const _retry = func => retry(func, FS_RETRY_ERRORS, FS_RETRIES, FS_RETRY_WAIT);

module.exports = function (opfs) {
  if (isWin32) {
    return _objectSpread(_objectSpread({}, opfs), {}, {
      $: _objectSpread(_objectSpread({}, opfs.$), {}, {
        mkdirp: (...args) => _retry(() => opfs.$.mkdirp(...args)),
        acquireLock: (...args) => _retry(() => opfs.$.acquireLock(...args)),
        releaseLock: (...args) => _retry(() => opfs.$.releaseLock(...args))
      }),
      stat: (...args) => _retry(() => opfs.stat(...args)),
      readFile: (...args) => _retry(() => opfs.readFile(...args)),
      writeFile: (...args) => _retry(() => opfs.writeFile(...args)),
      rename: (...args) => _retry(() => opfs.rename(...args)),
      rmdir: (...args) => _retry(() => opfs.rmdir(...args)),
      unlink: (...args) => _retry(() => opfs.unlink(...args)),
      readdir: (...args) => _retry(() => opfs.readdir(...args))
    });
  } else {
    return opfs;
  }
};

/***/ }),

/***/ "./lib/util/file-ops.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const opfs = __webpack_require__("./node_modules/.f/_/opfs/1.1.1/opfs/lib/index.js");

const lockfile = __webpack_require__("./node_modules/.f/_/lockfile/1.0.4/lockfile/lockfile.js");

const win32Opfs = __webpack_require__("./lib/util/file-ops-win32.js");

opfs._opfsSetPromise(Promise);

opfs.$.acquireLock = Promise.promisify(lockfile.lock, {
  context: lockfile
});
opfs.$.releaseLock = Promise.promisify(lockfile.unlock, {
  context: lockfile
});
module.exports = win32Opfs(opfs);

/***/ }),

/***/ "./lib/util/fyntil.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-process-exit, max-params */

/* eslint-disable no-magic-numbers,max-statements,prefer-template */

const Fs = __webpack_require__("./lib/util/file-ops.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const Path = __webpack_require__("path");

const logger = __webpack_require__("./lib/logger.js");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const mississippi = __webpack_require__("./node_modules/.f/_/mississippi/4.0.0/mississippi/index.js");

const missPipe = Promise.promisify(mississippi.pipe, {
  context: mississippi
});

const {
  PACKAGE_RAW_INFO
} = __webpack_require__("./lib/symbols.js");

const {
  PACKAGE_FYN_JSON
} = __webpack_require__("./lib/constants.js");

const {
  FynpoConfigManager,
  FynpoDepGraph
} = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/index.js");
/* eslint-disable no-magic-numbers, max-statements, no-empty, complexity, no-eval */


const {
  isWin32,
  retry
} = __webpack_require__("./lib/util/base-util.js");

const DIR_SYMLINK_TYPE = isWin32 ? "junction" : "dir";
/**
 * Check if a value satisfy a list of rules.
 *
 * Mainly to check package.json os and cpu per https://docs.npmjs.com/cli/v6/configuring-npm/package-json#os
 *
 * @param {*} rules the rules
 * @param {*} userValue value to check
 *
 * @returns true|false
 */

const checkValueSatisfyRules = (inRules, userValue) => {
  const rules = [].concat(inRules).filter(x => x); // no rules means satisfied

  if (!rules || rules.length === 0) {
    return true;
  } // any rule starts with ! means deny the value


  const denies = rules.filter(x => x[0] === "!"); // any value that's denied would fail immediately

  if (denies.indexOf(`!${userValue}`) >= 0) {
    return false;
  } // rules that accepts a value


  const accepts = rules.filter(x => x[0] !== "!"); // if no explicitly spelled out values to accept then anything not denied
  // is accepted.

  if (accepts.length === 0) {
    return true;
  } // explicitly accept value immediately satisfies


  if (rules.indexOf(userValue) >= 0) {
    return true;
  } // finally not satisfies


  return false;
};
/**
 * If system path sep is not /, then convert a path to use /.
 */


const posixify = Path.sep === "/" ? x => x : x => x.replace(/\\/g, "/");
const fyntil = {
  isWin32,
  missPipe,
  retry,
  fynpoConfig: undefined,

  resetFynpo() {
    fyntil.fynpoConfig = undefined;
  },

  async loadFynpo(cwd = process.cwd()) {
    if (fyntil.fynpoConfig) {
      return fyntil.fynpoConfig;
    }

    const fcm = new FynpoConfigManager({
      cwd
    });
    const config = await fcm.load();

    if (config) {
      logger.info(`Detected a ${fcm.repoType} at ${fcm.topDir}`);
      const graph = new FynpoDepGraph({
        cwd: fcm.topDir,
        patterns: config.packages
      });
      await graph.resolve();
      return fyntil.fynpoConfig = {
        config,
        dir: fcm.topDir,
        graph,
        indirects: []
      };
    } else {
      return fyntil.fynpoConfig = {};
    }
  },

  removeAuthInfo(rcObj) {
    const rmObj = {};

    for (const key in rcObj) {
      const lower = key.toLowerCase();

      if (!lower.includes("auth") && !lower.includes("password") && !lower.includes("otp")) {
        rmObj[key] = rcObj[key];
      }
    }

    return rmObj;
  },

  exit(err) {
    process.exit(err ? 1 : 0);
  },

  async readJson(file, defaultData) {
    try {
      const data = await Fs.readFile(file, "utf8");
      return JSON.parse(data);
    } catch (err) {
      if (err.code !== "ENOENT") {
        const msg = `Failed to read JSON file ${file} - ${err.message}`;
        logger.error(msg);
        throw new Error(msg);
      }

      if (defaultData !== undefined) {
        return defaultData;
      }

      throw err;
    }
  },

  relativePath(from, to, shouldPosixify = false) {
    const rel = Path.relative(from, to);

    if (!Path.isAbsolute(rel) && !rel.startsWith(".")) {
      return `.${Path.sep}${rel}`;
    }

    return shouldPosixify ? posixify(rel) : rel;
  },

  async readPkgJson(dirOrFile, keepRaw, packageFyn = false) {
    const isDir = !dirOrFile.endsWith(".json");
    const dir = isDir ? dirOrFile : Path.dirname(dirOrFile);
    const files = ["package.json", packageFyn && PACKAGE_FYN_JSON].filter(x => x);
    const finalJson = {};

    for (const fname of files) {
      const file = Path.join(dir, fname);

      try {
        const str = await Fs.readFile(file, "utf8");
        const json = JSON.parse(str.trim());

        _.merge(finalJson, json);

        if (keepRaw && fname !== PACKAGE_FYN_JSON) {
          finalJson[PACKAGE_RAW_INFO] = {
            dir,
            str
          };
        }
      } catch (err) {
        if (fname !== PACKAGE_FYN_JSON || err.code !== "ENOENT") {
          throw new Error(`Failed Reading ${file}: ${err.message}`);
        }
      }
    }

    return finalJson;
  },

  symlinkDir: async (linkName, targetName, relative = false) => {
    await Fs.symlink(relative && Path.isAbsolute(targetName) ? Path.relative(Path.dirname(linkName), targetName) : targetName, linkName, DIR_SYMLINK_TYPE);
  },
  symlinkFile: async (linkName, targetName) => {
    if (isWin32) {
      // Windows symlink require admin permission
      // And Junction is only for directories
      // Too bad, just make a hard link.
      await Fs.link(targetName, linkName);
    } else {
      await Fs.symlink(targetName, linkName);
    }
  },
  //
  // - check if symlink exist, if not, return false
  // - make sure a existing symlink points to targetPath
  // - if not, remove it, return false
  // - finally return true
  //
  validateExistSymlink: async (linkName, targetPath, relative = false) => {
    let actualTarget;
    let existTarget; //
    // Check if the dir already exist and try to read it as a symlink
    //

    try {
      existTarget = await Fs.readlink(linkName);
      const absoluteTarget = Path.isAbsolute(targetPath);

      if (DIR_SYMLINK_TYPE === "junction" && !absoluteTarget) {
        actualTarget = targetPath = Path.join(linkName, "..", targetPath) + "\\";
      } else {
        actualTarget = relative && absoluteTarget ? Path.relative(Path.dirname(linkName), targetPath) : targetPath;
      }
    } catch (e) {
      existTarget = e.code !== "ENOENT";
    } // If it exist but doesn't match targetDir


    if (existTarget && existTarget !== actualTarget) {
      logger.debug("local link exist", existTarget, "not match new one", actualTarget); // remove exist target so a new one can be created

      existTarget = false;

      try {
        // try to unlink it as a symlink/file first
        await Fs.unlink(linkName);
      } catch (e) {
        // else remove the directory
        await Fs.$.rimraf(linkName);
      }
    } else {
      logger.debug("local link existTarget", existTarget, "match new target", actualTarget);
    }

    return existTarget;
  },
  checkValueSatisfyRules,

  shaToIntegrity(ss) {
    if (!ss) {
      return undefined;
    }

    if (ss.startsWith("sha")) {
      return ss;
    }

    return `sha1-${Buffer.from(ss, "hex").toString("base64")}`;
  },

  distIntegrity(dist) {
    if (dist.integrity) {
      return dist.integrity;
    }

    return fyntil.shaToIntegrity(dist.shasum);
  },

  checkPkgOsCpu: pkg => {
    if (pkg.hasOwnProperty("os") && !checkValueSatisfyRules(pkg.os, process.platform)) {
      return `your platform ${process.platform} doesn't satisfy required os ${pkg.os}`;
    }

    if (pkg.hasOwnProperty("cpu") && !checkValueSatisfyRules(pkg.cpu, process.arch)) {
      return `your cpu/arch ${process.arch} doesn't satisfy required cpu ${pkg.cpu}`;
    }

    return true;
  },

  /**
   * Convert a string to a bool value.  Considering 0, off, false, no to be `false`, else true.
   *
   * @param {*} v
   * @returns true or false
   */
  strToBool: v => {
    if (!v) {
      return false;
    }

    const lv = v.toLowerCase();

    if (lv === "0" || lv === "off" || lv === "false" || lv === "no") {
      return false;
    }

    return true;
  },

  /**
   * Check if a string looks like a true bool value, considering 1, on, true, yes to be `true`, else `false`
   *
   * @param {*} v
   * @returns true or false
   */
  isTrueStr: v => {
    if (!v) {
      return false;
    }

    const lv = v.toLowerCase();

    if (lv === "1" || lv === "on" || lv === "true" || lv === "yes") {
      return true;
    }

    return false;
  },
  posixify,

  /**
   * Take a npm dependency path separated by / and replace the / that's meant for a npm scope with '+'
   *
   * @param {*} npmDepPath
   * @param {string} replacer string to replace the slash with
   * @returns dep path where npm scope's / replaced with '+'
   */
  unSlashNpmScope(npmDepPath, replacer = "+") {
    return npmDepPath.replace(/(\@[^\/]+)\//g, (_a, b) => `${b}${replacer}`);
  },

  getGlobalNodeModules() {
    const nodeDir = Path.dirname(process.execPath);

    if (process.platform === "win32") {
      // windows put node binary under <installed_dir>/node.exe
      // and node_modules under <installed_dir>/node_modules
      return Path.join(nodeDir, "node_modules");
    } else {
      // node install on unix put node binary under <installed_dir>/bin/node
      // and node_modules under <installed_dir>/lib/node_modules
      return Path.join(Path.dirname(nodeDir), "lib/node_modules");
    }
  },

  fynDir: Path.basename(__dirname) === "util" ? Path.join(__dirname, "../..") : Path.join(__dirname, "..")
};
module.exports = fyntil;

/***/ }),

/***/ "./lib/util/hard-link-dir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-params, max-statements, complexity */

/*
 * clone another directory by:
 * - Creating the same directories
 * - Hard link physical files
 * - Transfer symlinks (ensure the same symlink name exist but with target adjusted)
 */

const Path = __webpack_require__("path");

const Fs = __webpack_require__("./lib/util/file-ops.js");

const xaa = __webpack_require__("./lib/util/xaa.js");

const npmPacklist = __webpack_require__("./node_modules/.f/_/npm-packlist/1.4.8/npm-packlist/index.js");

const fynTil = __webpack_require__("./lib/util/fyntil.js");

const logger = __webpack_require__("./lib/logger.js");

const {
  SourceMapGenerator
} = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/source-map.js");

const ci = __webpack_require__("./node_modules/.f/_/ci-info/2.0.0/ci-info/index.js");
/**
 * Hard link a file
 *
 * - if the link exist and is link to a different file, then remove it
 *   and create a new link that points to the new file.
 *
 * @param {*} srcFp
 * @param {*} destFp
 * @param {*} srcStat
 * @returns
 */


async function linkFile(srcFp, destFp, srcStat) {
  try {
    return await Fs.link(srcFp, destFp);
  } catch (e) {
    if (e.code !== "EEXIST") throw e;

    if (srcStat === undefined) {
      srcStat = await xaa.try(() => Fs.stat(srcFp));
    }

    if (!srcStat) throw e;
    const destStat = await Fs.stat(destFp);

    if (srcStat.ino !== destStat.ino) {
      await Fs.unlink(destFp);
      return await linkFile(srcFp, destFp, null);
    }
  }

  return undefined;
}
/**
 * Copy a file
 * @param {*} srcFp
 * @param {*} destFp
 * @returns
 */


async function copyFile(srcFp, destFp) {
  if (Fs.copyFile) {
    return Fs.copyFile(srcFp, destFp);
  } else {
    const srcData = await Fs.readFile(srcFp);
    return Fs.writeFile(destFp, srcData);
  }
}

async function prepDestDir(dest) {
  const statDest = await xaa.try(() => Fs.lstat(dest));
  const destFiles = {};

  if (!statDest) {
    try {
      await Fs.mkdir(dest);
    } catch (e) {
      await Fs.$.mkdirp(dest);
    }
  } else if (!statDest.isDirectory()) {
    await Fs.unlink(dest);
    return prepDestDir(dest);
  } else {
    (await Fs.readdir(dest)).forEach(x => destFiles[x] = false);
  }

  return destFiles;
}

async function cleanExtraDest(dest, destFiles) {
  for (const k in destFiles) {
    if (destFiles[k] === false) {
      logger.debug(`removing extra local link file ${k}`);
      await Fs.$.rimraf(Path.join(dest, k));
    }
  }
}

const SYM_FILES = Symbol("files");
/**
 * Generate a tree of files using npm-pack that a package would publish with.
 *
 * @param {*} path
 * @returns
 */

async function generatePackTree(path, _logger = logger) {
  const files = await npmPacklist({
    path,
    includeSymlinks: fynTil.strToBool(process.env.FYN_LOCAL_PACK_SYMLINKS)
  });

  _logger.debug(`local package linking - pack tree returned ${files.length} files to link`, JSON.stringify(files, null, 2));

  if (files.length > 1000) {
    _logger.warn(`Local linking package at ${path} has more than ${files.length} files.
  >>> This is unusual, please check package .npmignore or 'files' in package.json <<<`);
  } // since we are using objects to store directory tree we have to
  // create objects without the normal prototypes to avoid name conflict
  // with file names


  const newDirObj = () => {
    const n = Object.create(null);
    n[SYM_FILES] = [];
    return n;
  };

  const fmap = newDirObj();
  files.sort().forEach(filePath => {
    const dir = Path.dirname(filePath);

    if (dir === ".") {
      fmap[SYM_FILES].push(filePath);
      return;
    }

    let dmap = fmap; // npm pack list always generate file path with /

    dir.split("/").forEach(d => {
      if (!dmap[d]) {
        dmap[d] = newDirObj();
      }

      dmap = dmap[d];
    });
    dmap[SYM_FILES].push(Path.basename(filePath));
  });
  return fmap;
}

const FYN_SOURCE_MAP_SIG = "fynSourceMap=";
const SOURCE_MAP_URL_SIG = "sourceMappingURL=";
/**
 * search for the last sourceMappingURL from a source content
 *
 * @param {*} content
 * @returns
 */

function getSourceMapConfig(content, sig = SOURCE_MAP_URL_SIG) {
  const regex = new RegExp( // from /(?:\/\/[@#][\s]*${sig}([^\s'"]+)[\s]*$)|(?:\/\*[@#][\s]*${sig}([^\s*'"]+)[\s]*(?:\*\/)[\s]*$)/
  `(?:\\/\\/[@#][\\s]*${sig}([^\\s'"]+)[\\s]*$)|(?:\\/\\*[@#][\\s]*${sig}([^\\s*'"]+)[\\s]*(?:\\*\\/)[\\s]*$)`, "gm");
  let match;
  let lastMatch; // search for the last occurrence of sourceMappingURL

  while (match = regex.exec(content)) {
    lastMatch = match;
  }

  return lastMatch && lastMatch[1];
}
/**
 * process or generate source map back to original file.
 *
 * - Do nothing if in CI mode
 *
 * @param {*} param0
 */


async function handleSourceMap({
  file,
  destFiles,
  src,
  dest,
  srcFp,
  destFp,
  sourceMaps
}) {
  const ext = !ci.isCI && Path.extname(file); // native plain js or mjs files should map back to the original local files
  // and it may or may not have source map file

  if (ext !== ".js" && ext !== ".mjs") {
    return;
  }

  const checkFynMapped = x => {
    return !(x === "false" || x === "no" || x === "off" || x === "0");
  };

  const content = await Fs.readFile(srcFp, "utf-8");
  const fynMapFlag = getSourceMapConfig(content, FYN_SOURCE_MAP_SIG);
  const hasFynMapFlag = typeof fynMapFlag === "string";
  const sourceMapFile = getSourceMapConfig(content);
  const isFynMapped = checkFynMapped(fynMapFlag); // file contains source map URL that's not marked for fyn, try copy it and rewrite sources

  if (!hasFynMapFlag && sourceMapFile) {
    if (Path.isAbsolute(sourceMapFile)) {
      logger.info(`File ${srcFp} sourcemap ${sourceMapFile} is full path - can't rewrite it`);
      return;
    }

    const srcMapFp = Path.join(src, sourceMapFile);
    const mapContent = await xaa.try(() => Fs.readFile(srcMapFp, "utf-8"));

    if (!mapContent) {
      logger.debug(`Sourcemap of file not found: ${srcFp} - ${sourceMapFile}`);
      return;
    } // file has source map, need to update map file to point back to original location for source


    const mapData = JSON.parse(mapContent);
    const {
      sourceRoot = ""
    } = mapData;
    delete mapData.sourceRoot;
    mapData.sources = mapData.sources.map(s => {
      const source1 = sourceRoot + s;
      const source2 = Path.isAbsolute(source1) ? source1 : Path.join(src, source1);
      const relPath = Path.relative(dest, source2);
      logger.debug(`Rewriting map file source to ${relPath} from ${dest} to ${source2}`);
      return relPath;
    });
    const destMapFp = Path.join(dest, sourceMapFile);
    await xaa.try(() => Fs.writeFile(destMapFp, JSON.stringify(mapData)), () => {
      logger.info(`Failed to save rewritten source map file ${destMapFp}`);
    }); // TODO: what if sourceMapFile is not next to the source file?

    destFiles[sourceMapFile] = true;
    return;
  }

  if (!sourceMaps) {
    return;
  } // file is marked for fynMapped or it doesn't have source map so fyn needs to generate one for it


  if (isFynMapped || !sourceMapFile && !hasFynMapFlag) {
    const fileMap = `${file}.fyn.map`;
    const destMapFp = Path.join(dest, fileMap);
    logger.debug(`Generating map file for ${srcFp} to ${destFp}`);
    const allLines = content.split("\n");
    const count = allLines.length;
    const sourceMap = new SourceMapGenerator({
      file
    });
    const source = Path.relative(dest, srcFp);

    for (let line = 1; line <= count; line++) {
      const length = allLines[line - 1].length; // source map format doesn't have a way to say just 1-1 map back to source
      // so we are mapping every line and every column directly, it's a waste, but
      // the only way to achieve this.

      for (let column = 0; column < length; column++) {
        sourceMap.addMapping({
          generated: {
            line,
            column
          },
          source,
          original: {
            line,
            column
          }
        });
      }
    }

    await Fs.writeFile(destMapFp, sourceMap.toString());
    destFiles[fileMap] = true; // sourcemap url didn't exist, save it to source file

    if (!sourceMapFile) {
      const sep = content.endsWith("\n") ? "" : "\n";
      const fynMapStr = hasFynMapFlag ? "" : `//# ${FYN_SOURCE_MAP_SIG}${fynMapFlag || "true"}\n`;
      await Fs.writeFile(destFp, `${content}${sep}${fynMapStr}//# ${SOURCE_MAP_URL_SIG}${fileMap}\n`);
    }
  }
}
/**
 * Link tree of files generated from npm pack
 *
 * - if env `FYN_LOCAL_COPY_MODE` is defined, then copy file instead  of linking
 *
 * @param {*} tree
 * @param {*} src
 * @param {*} dest
 * @param {*} sym1
 */


async function linkPackTree({
  tree,
  src,
  dest,
  sym1,
  sourceMaps
}) {
  const files = tree[SYM_FILES];
  const destFiles = await prepDestDir(dest); //
  // create hardlinks to files
  //

  for (const file of files) {
    // In non-CI mode, skip linking source map file by matching for extensions like .js.map
    // because we rewrite their sources and copy them already
    if (!ci.isCI && file.match(/.+\..+\.map$/)) {
      continue;
    }

    destFiles[file] = true;
    const srcFp = Path.join(src, file);
    const destFp = Path.join(dest, file);

    if (fynTil.strToBool(process.env.FYN_LOCAL_COPY_MODE)) {
      await copyFile(srcFp, destFp);
    } else {
      await linkFile(srcFp, destFp);
    }

    await handleSourceMap({
      file,
      destFiles,
      src,
      dest,
      srcFp,
      destFp,
      sourceMaps
    });
  } //
  // handle sub directories
  //


  const dirs = Object.keys(tree).sort();

  for (const dir of dirs) {
    // in case the tree is generated without top level dir by itself
    // tree is generated to always use / for path separator
    destFiles[dir.split("/")[0]] = true;
    const srcFp = Path.join(src, dir);
    const destFp = Path.join(dest, dir);

    if (!sym1) {
      // recursively duplicate sub dirs with hardlinks
      await linkPackTree({
        tree: tree[dir],
        src: srcFp,
        dest: destFp,
        sourceMaps
      });
    } else {
      // make symlink to directories in the top level
      await fynTil.symlinkDir(destFp, srcFp);
    }
  }

  logger.debug(`linkPackTree src: ${src} dest: ${dest} - destFiles ${JSON.stringify(destFiles)}`); // any file exist in dest but not in src are removed

  await cleanExtraDest(dest, destFiles);
}

async function link(src, dest, {
  sourceMaps = true
} = {}) {
  const tree = await generatePackTree(src);
  return await linkPackTree({
    tree,
    src,
    dest,
    sourceMaps
  });
}

async function linkSym1(src, dest) {
  const tree = await generatePackTree(src);
  return await linkPackTree({
    tree,
    src,
    dest,
    sym1: true
  });
}

module.exports = {
  link,
  linkFile,
  copyFile,
  linkSym1,
  generatePackTree,
  SYM_FILES
};

/***/ }),

/***/ "./lib/util/inflight.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/lib/inflight.js");

/***/ }),

/***/ "./lib/util/log-format.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, no-param-reassign */

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const {
  posixify
} = __webpack_require__("./lib/util/fyntil.js");

module.exports = {
  /**
   * hightlight a path with node_modules and a package name.
   *
   * given a path with a package name, process it as follows:
   *
   * If `node_modules` exist before the name then only keep that part.
   * Then highlight it:
   *  - the part before package name blue
   *  - the package name part magenta
   *  - remaining as is
   * @param {*} name - package name
   * @param {*} path - path to highlight
   * @returns
   */
  pkgPath: (name, path) => {
    const nm = "node_modules";
    const posixPath = posixify(path);
    const ixName = posixPath.indexOf(name);

    if (ixName > 0) {
      const ixNm = posixPath.lastIndexOf(nm, ixName);
      const dirName = posixPath.substring(ixNm >= 0 ? ixNm : 0, ixName);
      return chalk.blue(`${dirName}`) + chalk.magenta(name) + posixPath.substr(ixName + name.length);
    } else {
      return chalk.blue(posixPath);
    }
  },
  pkgId: (name, version) => {
    if (typeof name !== "string") {
      if (name.version) {
        version = name.version;
      } else if (name.resolved) {
        version = name.resolved;
      } else if (name.semver) {
        version = name.semver;
      }

      name = name.name;
    }

    if (version !== undefined) {
      const dimAt = chalk.cyan.dim("@");
      return chalk.magenta(`${name}${dimAt}${version}`);
    }

    return chalk.magenta(name);
  },
  time: x => {
    x /= 1000;
    const m = chalk.magenta(`${x.toFixed(3)}`);
    return `${m}secs`;
  },
  timeWarn: x => {
    x /= 1000;
    const m = chalk.yellow(`${x.toFixed(3)}`);
    return `${m}secs`;
  }
};

/***/ }),

/***/ "./lib/util/npm-config-env.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  makeEnv
} = __webpack_require__("./node_modules/.f/_/npm-lifecycle/3.1.5/npm-lifecycle/index.js");
/*
 * set all npmrc options into env with npm_config_ prefix
 */


function npmConfigEnv(data, config, env) {
  return makeEnv(data, {
    config: config
  }, undefined, env);
}

module.exports = npmConfigEnv;

/***/ }),

/***/ "./lib/util/promise-queue.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ItemQueue = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/index.js");

ItemQueue.Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");
module.exports = ItemQueue;

/***/ }),

/***/ "./lib/util/run-npm-script.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-param-reassign */

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const LifecycleScripts = __webpack_require__("./lib/lifecycle-scripts.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const logFormat = __webpack_require__("./lib/util/log-format.js");

const logger = __webpack_require__("./lib/logger.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

const {
  INSTALL_PACKAGE
} = __webpack_require__("./lib/log-items.js");

const running = [];

const updateRunning = s => {
  logger.updateItem(INSTALL_PACKAGE, `running ${s}: ${running.join(", ")}`);
};

const removeRunning = (step, pkgId) => {
  const x = running.indexOf(pkgId);
  running.splice(x, 1);
  updateRunning(step);
};
/**
 * Add npm lifecycle pre and post scripts to an array of scripts
 *
 * @param {*} scripts - array of scripts
 * @param {*} pkgScripts - scripts from package.json
 * @returns
 */


function addNpmLifecycle(scripts, pkgScripts) {
  return [].concat(scripts).filter(x => x).reduce((added, script) => {
    if (pkgScripts[script] !== undefined && !script.startsWith("pre") && !script.startsWith("post")) {
      added.push(`pre${script}`);
      added.push(script);
      added.push(`post${script}`);
    } else {
      added.push(script);
    }

    return added;
  }, []).filter(x => x && pkgScripts[x] !== undefined);
}
/**
 * Run a npm script with visual terminal display
 *
 * @param {*} param0
 * @returns
 */


const runNpmScript = ({
  appDir,
  fyn,
  scripts,
  dir,
  pkgJson,
  depInfo,
  ignoreFailure,
  withLifecycle = false
}) => {
  const pkgId = logFormat.pkgId(depInfo);
  const options = Object.assign({
    appDir,
    _fyn: fyn,
    dir,
    json: pkgJson
  }, depInfo);

  if (withLifecycle && options.json) {
    scripts = addNpmLifecycle(scripts, _.get(options.json, "scripts", {}));
  }

  return Promise.each(scripts, script => {
    running.push(pkgId);
    updateRunning(script);
    const ls = new LifecycleScripts(options);
    return ls.execute(script, true).then(() => undefined).catch(e => {
      if (!ignoreFailure) throw e;
      logger.warn(chalk.yellow(`ignoring failure of npm script ${script} of ${pkgId}`, chalk.red(e.message)));
      return e;
    }).finally(() => {
      removeRunning(script, pkgId);
    });
  });
};

module.exports = {
  addNpmLifecycle,
  runNpmScript
};

/***/ }),

/***/ "./lib/util/semver.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const Path = __webpack_require__("path");

const os = __webpack_require__("os"); //
// Simplified compare two numeric versions in semver format for sorting
// in descending order.
//
// - Assume versions are not expressions that could match multiple versions
// - Assume versions are properly formed
//

/* eslint-disable max-statements, no-magic-numbers, complexity */


function split(v, sep, index = 0) {
  const x = v.indexOf(sep, index);

  if (x >= index) {
    return [v.substr(0, x), v.substr(x + 1)];
  }

  return [v];
}

function simpleCompare(a, b) {
  if (a === b) {
    return 0;
  }

  const partsA = split(a, "-");
  const partsB = split(b, "-");
  const splitsA = partsA[0].split(".");
  const splitsB = partsB[0].split(".");
  let i; // do numerical compare on each part [major.minor.patch]

  for (i = 0; i < splitsA.length; i++) {
    const aN = parseInt(splitsA[i], 10);
    const bN = parseInt(splitsB[i], 10);

    if (aN > bN) {
      return -1;
    }

    if (aN < bN) {
      return 1;
    }
  }

  if (partsA[1]) {
    // both has parts after -
    if (partsB[1]) {
      return partsA[1] > partsB[1] ? -1 : 1;
    } // only A has parts after -


    return -1;
  } else if (partsB[1]) {
    // only B has parts after -
    return 1;
  } else {
    return 0; // numerical compare was the same
  }
}

function isVersionNewer(a, b) {
  return simpleCompare(a, b) < 0;
} //
// Try to fix any semver that's not valid.
//
// Some package has version that's not a valid semver but was published
// with it fixed in the meta but not in its package.json or tarball.
// ie: 3001.0001.0000-dev-harmony-fb to 3001.1.0-dev-harmony-fb
// and: 2.1.17+deprecated to 2.1.17
//


function clean(v) {
  const f = v.split("-");
  const vpart = f[0].split("+")[0];
  const mmp = vpart.split(".").map(x => x && parseInt(x, 10) || 0);
  f[0] = mmp.join(".");
  return f.join("-");
}

const FYN_LOCAL_TAG = "-fynlocal";
const FYN_LOCAL_HARD_TAG = "-fynlocal_h";

function isLocal(v) {
  return v.indexOf(FYN_LOCAL_TAG) > 0;
}

function isLocalHard(v) {
  return v.indexOf(FYN_LOCAL_HARD_TAG) > 0;
}

function localify(v, localType, hash = "") {
  return `${v}${localType === "hard" ? FYN_LOCAL_HARD_TAG : FYN_LOCAL_TAG}${hash}`;
}

function localifyHard(v, hash = "") {
  return localify(v, "hard", hash);
}

function unlocalify(v) {
  const x = v.indexOf(FYN_LOCAL_TAG);
  return x > 0 ? v.substr(0, x) : v;
}

function localSplit(v) {
  const x = v.indexOf(FYN_LOCAL_TAG);

  if (x > 0) {
    return [v.substr(0, x), v.substr(x)];
  }

  return [v];
} // https://docs.npmjs.com/files/package.json#dependencies


function getAsFilepath(semver) {
  if (semver.startsWith("file:") || semver.startsWith("link:")) {
    return semver.substr(5);
  }

  const a = semver[0];
  const b = semver[1];

  if (b === ":") {
    // no semver can have : in second char, so assume windows <drive>:\
    return semver;
  } else if (a === ".") {
    // ./, ../, .\, ..\\
    if (b === "/" || b === "\\" || b === "." && (semver[2] === "\\" || semver[2] === "/")) {
      return semver;
    }
  } else if (a === "\\" || a === "/") {
    return semver;
  } else if (semver.startsWith("~/")) {
    return Path.join(os.homedir(), semver.substr(1));
  }

  return false;
}
/*
 * From docs at https://docs.npmjs.com/files/package.json#dependencies
 *
 * 1. http://.../foo.tgz or https://.../foo.tgz
 * 2. Git URLs:
 *    - git://me:pass@...
 *    - git+ssh://me:pass@...
 *    - git+http://me:pass@...
 *    - git+https://me@pass@...
 *    - git+file://me@pass...
 * 3. GitHub:
 *    - org/repo
 *    - github:org/repo
 *
 */


function checkUrl(semver) {
  // check for anything that's <protocol>:
  // semver.startsWith("http:") ||
  // semver.startsWith("https:") ||
  // semver.startsWith("git:") ||
  // semver.startswith("git+") ||
  // semver.startsWith("github:")
  const ix = semver.indexOf(":");

  if (ix > 0) {
    return semver.substr(0, ix);
  } // check for github simple form
  // - it should not start with:
  //   - @ (scope npm package)
  //   - . relative path
  //   - / absolute path
  //   - ~ user home dir path


  const c = semver[0];

  if (c !== "@" && c !== "." && c !== "~" && semver.indexOf("/") > 0) {
    return "github";
  }

  return false;
}
/**
 * fix some bad semver
 *
 * @param {*} semver semver to fix
 * @returns {string} semver fixed
 */


function fixBadSv(semver) {
  const parts = semver.split(".");

  const removeLeadingZero = x => {
    if (x && x.length > 1) {
      return x.replace(/^0+/, "");
    }

    return x;
  };

  for (let ix = 0; ix < parts.length && ix < 3; ix++) {
    parts[ix] = removeLeadingZero(parts[ix]);
  }

  return parts.join(".");
}
/**
 * analyze a semver to detect its type
 *
 * @param {*} semver
 * @returns
 */


function analyze(semver) {
  const sv = {
    $: semver
  };
  const urlType = checkUrl(semver);

  const setHardLocal = fp => {
    if (fp) {
      sv.path = fp;
      sv.localType = "hard";
    }
  };

  if (urlType) {
    if (urlType === "sym") {
      sv.path = semver.substr(4);
      sv.localType = "sym";
    } else if (urlType === "sym1") {
      sv.path = semver.substr(5);
      sv.localType = "sym1";
    } else if (urlType === "file" || urlType === "link") {
      setHardLocal(semver.substr(5));
    } else {
      sv.urlType = urlType;
    }
  } else {
    const fpSv = getAsFilepath(semver);

    if (fpSv) {
      setHardLocal(fpSv);
    } else if (!Semver.coerce(semver)) {
      sv.$ = fixBadSv(semver);
    }
  }

  return sv;
}

function replace(sv, replaced) {
  sv.$$ = sv.$;
  sv.$ = replaced;
}
/**
 * semver utilities lib
 */


const semverLib = {
  satisfies: (v, semver) => {
    return Semver.satisfies(unlocalify(v), semver);
  },
  split,
  analyze,
  replace,
  localify,
  localifyHard,
  unlocalify,
  isLocal,
  isLocalHard,
  clean,
  equal: (v1, v2) => {
    v1 = localSplit(v1);
    v2 = localSplit(v2);
    return v1[0] === v2[0] && (v1[1] && v2[1] ? v1[1] === v2[1] : true);
  },
  simpleCompare,
  isVersionNewer,
  getAsFilepath,
  checkUrl
};
module.exports = semverLib;

/***/ }),

/***/ "./lib/util/setup-node-gyp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Fs = __webpack_require__("fs");

const Path = __webpack_require__("path");

const requireAt = __webpack_require__("./node_modules/.f/_/require-at/1.0.6/require-at/require-at.js");

const logger = __webpack_require__("./lib/logger.js");

const {
  getGlobalNodeModules
} = __webpack_require__("./lib/util/fyntil.js");

const xsh = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js");

const fyntil = __webpack_require__("./lib/util/fyntil.js");

let nodeGypBinPath;

function _searchNodeGypBin({
  npmDir,
  searchPath
}) {
  if (!nodeGypBinPath) {
    nodeGypBinPath = [searchPath, // npm 7 and above pull node-gyp directly and provides node-gyp-bin under its bin dir
    Path.join(npmDir, "bin/node-gyp-bin"), // npm 6 and lower uses npm-lifecycle package, which has its own node-gyp-bin
    Path.join(npmDir, "node_modules/npm-lifecycle/node-gyp-bin")].find(path => path && Fs.existsSync(path));
  }

  return nodeGypBinPath;
}

function _getNpm6NodeGyp({
  version,
  npmDir,
  xrequire
}) {
  try {
    const npmLifecycleDir = Path.dirname(xrequire.resolve("npm-lifecycle/package.json"));
    return {
      envFile: xrequire.resolve("node-gyp/bin/node-gyp"),
      envPath: _searchNodeGypBin({
        npmDir,
        // search in npm-lifecycle's dir that's found through require
        searchPath: Path.join(npmLifecycleDir, "node-gyp-bin")
      })
    };
  } catch (err) {
    logger.debug(`failed to resolve node-gyp dir from npm ${version}`, err);
    return {};
  }
}

function _getNpm7NodeGyp({
  version,
  npmDir,
  xrequire
}) {
  try {
    return {
      // npm 7, 8 have node-gyp as dep directly
      envFile: xrequire.resolve("node-gyp/bin/node-gyp"),
      envPath: _searchNodeGypBin({
        npmDir
      })
    };
  } catch (err) {
    logger.debug(`failed to resolve node-gyp dir from npm ${version}`, err);
    return {};
  }
}
/**
 *
 * @param {*} env
 * @returns
 */


function setupNodeGypFromNpm(env) {
  try {
    const npmDir = Path.join(getGlobalNodeModules(), "npm");
    const xrequire = requireAt(npmDir);
    const npmPkg = xrequire("./package.json");
    const version = parseInt(npmPkg.version.split(".")[0]);

    if (version <= 8) {
      const {
        envFile,
        envPath
      } = version <= 6 ? _getNpm6NodeGyp({
        version: npmPkg.version,
        npmDir,
        xrequire
      }) : _getNpm7NodeGyp({
        version: npmPkg.version,
        npmDir,
        xrequire
      });

      if (envFile && envPath) {
        env.npm_config_node_gyp = envFile; // eslint-disable-line

        xsh.envPath.addToFront(envPath, env);
        logger.debug(`using node-gyp from npm ${version}: env npm_config_node_gyp set to ${env.npm_config_node_gyp}, path ${envPath} added`);
        return true;
      }
    }
  } catch (err) {//
  }

  return false;
}
/**
 *
 * @param {*} env
 * @returns
 */


function setupNodeGypEnv(env) {
  if (process.env.FYN_NPM_NODE_GYP !== "false" && setupNodeGypFromNpm(env)) {
    return;
  }

  env.npm_config_node_gyp = Path.join(fyntil.fynDir, "bin/node-gyp.js"); // eslint-disable-line

  const envPath = Path.join(fyntil.fynDir, "node-gyp-bin");
  xsh.envPath.addToFront(envPath, env);
  logger.debug(`using fyn's node-gyp: env npm_config_node_gyp set to ${env.npm_config_node_gyp}, path ${envPath} added`);
}

module.exports = {
  setupNodeGypFromNpm,
  setupNodeGypEnv
};

/***/ }),

/***/ "./lib/util/sort-obj-keys.js":
/***/ ((module) => {

"use strict";


module.exports = function _sortObjKeys(obj) {
  const sorted = {};
  Object.keys(obj).sort().forEach(k => sorted[k] = obj[k]);
  return sorted;
};

/***/ }),

/***/ "./lib/util/stat-dir.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-params, max-statements */

const Fs = __webpack_require__("./lib/util/file-ops.js");

const Path = __webpack_require__("path");

const mm = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");

const filterScanDir = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js");

async function _scanFileStats(dir, ignores, baseDir = "") {
  const ignore = fullPath => ignores.find(pattern => mm(fullPath, pattern, {
    dot: true
  }));

  let latestMtimeMs = 0;
  let latestFile = "";

  const updateLatest = (mtimeMs, file) => {
    if (mtimeMs > latestMtimeMs) {
      latestMtimeMs = mtimeMs;
      latestFile = file;
    }
  };

  const filter = (file, path, extras) => {
    if (ignore(extras.fullFile)) {
      return false;
    }

    updateLatest(extras.stat.mtimeMs, extras.fullFile);
    return true;
  };

  const fullDir = Path.join(baseDir, dir);
  const topDirStat = await Fs.stat(fullDir);
  updateLatest(topDirStat.mtimeMs, fullDir);
  await filterScanDir({
    dir: fullDir,
    includeRoot: false,
    filter,
    filterDir: filter,
    concurrency: 500,
    fullStat: true // we need full stat to get the mtimeMs prop

  });
  return {
    latestMtimeMs,
    latestFile
  };
}

function scanFileStats(dir, options = {}) {
  // TODO: make this more flexible and configurable
  const ignores = [`**/?(node_modules|.vscode|.DS_Store|coverage|.nyc_output|.fynpo|.git|.github|.gitignore)`, "**/*.?(log|md)"].concat(options.ignores || `**/?(docs|docusaurus|packages|tmp|.etmp|samples|dist)`).concat(options.moreIgnores).filter(x => x);
  return _scanFileStats(dir, ignores, "");
}

exports.scanFileStats = scanFileStats; // async function test() {
//   console.log(await scanFileStats("."));
// }
// test();

/***/ }),

/***/ "./lib/util/xaa.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/xaa/1.7.0/xaa/dist/xaa.js");

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/caching.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.processOutput = exports.processLifecycleInput = exports.processInput = exports.readHashDigest = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const filter_scan_dir_1 = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js");

const minimatch_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));
const fs_1 = (0, tslib_1.__importDefault)(__webpack_require__("fs"));
const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));
const crypto_1 = (0, tslib_1.__importDefault)(__webpack_require__("crypto"));

const minimatch_group_1 = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/minimatch-group.js");
/**
 * create a sha256 hash for some data
 *
 * @param data
 * @returns
 */


function hashData1(data, encoding = "base64url") {
  return crypto_1.default.createHash("sha256").update(data).digest(encoding);
}

function makeBase64Url(hash) {
  return hash.replace(/\+/g, "-").replace(/\//g, "_").replace(/=/g, "");
}

function hashData2(data, encoding = "base64url") {
  if (encoding === "base64url") {
    return makeBase64Url(hashData1(data, "base64"));
  }

  return hashData1(data, encoding);
}

const hasBase64Url = typeof crypto_1.default.createHash("sha256").digest("base64url") === "string";
const hashData = hasBase64Url ? hashData1 : hashData2;
exports.readHashDigest = hasBase64Url ? (hash, encoding = "base64url") => {
  hash.setEncoding(encoding);
  hash.end();
  return hash.read();
} : (hash, encoding = "base64url") => {
  if (encoding === "base64url") {
    hash.setEncoding("base64");
    hash.end();
    return makeBase64Url(hash.read());
  }

  hash.setEncoding(encoding);
  hash.end();
  return hash.read();
};
/**
 * generate sha256 has of a file
 *
 * @param filename
 * @returns
 */

async function hashFile(filename, encoding = "base64url") {
  const data = await fs_1.default.promises.readFile(filename);
  const hash = hashData(data, encoding);
  return hash;
}
/**
 * generate hash for an array of files
 *
 * @param files
 * @returns object with each file point to its hash
 */


async function hashFiles(cwd, files, encoding = "base64url") {
  const hashes = {};
  const promises = [];

  for (const file of files) {
    promises.push(hashFile(path_1.default.join(cwd, file), encoding).then(h => hashes[file] = h));
  }

  await Promise.all(promises);
  const result = {};

  for (const file of files) {
    result[file] = hashes[file];
  }

  return result;
}
/**
 *
 * @param cwd
 * @returns
 */


async function readPackageJson(cwd) {
  return JSON.parse(await fs_1.default.promises.readFile(path_1.default.join(cwd, "package.json"), "utf-8"));
}
/**
 * Convert minimatch string patterns to Minimatch instances
 *
 * @param patterns
 * @returns
 */


function makeMmPatterns(patterns, options = {
  dot: true
}) {
  return [].concat(patterns).map(x => x && new minimatch_1.default.Minimatch(x, options)).filter(x => x);
}
/**
 * Scan for files using include and exclude patterns
 *
 * @param cwd
 * @param input
 * @returns
 */


async function scanFiles(cwd, includes, excludes) {
  const filter = (_file, _path, extras) => {
    if (!(0, minimatch_group_1.checkMmMatch)(extras.dirFile, includes) || (0, minimatch_group_1.checkMmMatch)(extras.dirFile, excludes)) {
      return false;
    }

    return true;
  };

  const dirIncludes = includes.map(mx => (0, minimatch_group_1.deconstructMM)(mx));

  const filterDir = (_file, _path, extras) => {
    const dir = `${extras.dirFile}/`; // add extra / to force matching directory

    const inc = dirIncludes.find(di => (0, minimatch_group_1.checkMmMatch)(dir, di.mms));

    if (inc) {
      const exc = (0, minimatch_group_1.checkMmMatch)(dir, excludes);

      if (!exc) {
        return true;
      }
    }

    return false;
  };

  return (await (0, filter_scan_dir_1.filterScanDir)({
    cwd,
    filter,
    filterDir,
    fullStat: false,
    concurrency: 500
  })).sort();
}
/**
 * process caching input rules and return result from it
 *
 * @param param0
 * @returns result from processing input rules
 */


async function processInput({
  cwd,
  input,
  packageJson,
  extra
} = {
  input: {}
}) {
  const files = await scanFiles(cwd, makeMmPatterns(input.include, input.minimatchOptions), makeMmPatterns(input.exclude, input.minimatchOptions));
  const fileHashes = await hashFiles(cwd, files);
  const data = {
    env: lodash_1.default.pick(process.env, input.includeEnv),
    versions: lodash_1.default.pick(process.versions, input.includeVersions),
    npmScripts: lodash_1.default.pick(lodash_1.default.get(packageJson || (await readPackageJson(cwd)), "scripts"), input.npmScripts),
    fileHashes,
    extra: extra || {} // additional data

  };
  const hash = hashData(JSON.stringify(data));
  return {
    files,
    data,
    hash
  };
}

exports.processInput = processInput;
/**
 * process lifecycle caching input rules
 *
 * @param param0
 * @returns
 */

async function processLifecycleInput({
  cwd,
  input,
  packageJson
} = {
  input: {}
}) {
  packageJson = packageJson || (await readPackageJson(cwd));
  const npmScripts = lodash_1.default.pick(lodash_1.default.get(packageJson, "scripts"), input.npmScripts);

  if (lodash_1.default.isEmpty(npmScripts)) {
    return {};
  }

  return await processInput({
    cwd,
    input,
    packageJson
  });
}

exports.processLifecycleInput = processLifecycleInput;
/**
 * Process build cache output rules.
 *
 * @param param0
 * @returns
 */

async function processOutput({
  cwd,
  inputHash,
  calcHash,
  output,
  preFiles
} = {
  output: {}
}) {
  const mmIncludes = makeMmPatterns(output.include, output.minimatchOptions);
  const mmExcludes = makeMmPatterns(output.exclude, output.minimatchOptions);
  const files = await scanFiles(cwd, mmIncludes, mmExcludes);
  preFiles = [].concat(preFiles).filter(x => {
    if (!x || (0, minimatch_group_1.unrollMmMatch)(x, mmExcludes)) {
      return false;
    }

    return true;
  }).map(x => x.replace(`${cwd}${path_1.default.sep}`, ""));
  let hash = "";
  let fileHashes = {};
  const allFiles = lodash_1.default.uniq(files.concat(preFiles)).sort();
  let data = {
    inputHash,
    fileHashes
  }; //

  if (calcHash) {
    fileHashes = await hashFiles(cwd, allFiles);
    data = {
      inputHash,
      fileHashes
    };
    hash = hashData(JSON.stringify(data));
  } //


  const now = Date.now();
  return {
    files: allFiles,
    data,
    hash,
    access: now,
    create: now
  };
}

exports.processOutput = processOutput;

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/fynpo-config.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.FynpoConfigManager = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const fs_1 = (0, tslib_1.__importDefault)(__webpack_require__("fs"));
const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));

const optional_require_1 = __webpack_require__("./node_modules/.f/_/optional-require/1.1.8/optional-require/index.js");
/**
 * manage fynpo config
 */


class FynpoConfigManager {
  constructor(opts = {}) {
    this.options = _objectSpread({
      cwd: process.cwd()
    }, opts);
    this._topDir = undefined;
    this._config = undefined;
  }

  async load() {
    if (!this._config) {
      await this.search();
    }

    return this._config;
  }
  /**
   * config loaded
   */


  get config() {
    return this._config;
  }
  /**
   * Get the description of the monorepo detected
   * - "fynpo monorepo"
   * - "lerna monorepo with fynpo"
   */


  get repoType() {
    return this._type;
  }
  /**
   * current working directory
   * - this may be different than topDir.
   */


  get cwd() {
    return this.options.cwd;
  }
  /**
   * top dir of the fynpo monorepo
   */


  get topDir() {
    return this._topDir;
  }

  async readJson(file) {
    try {
      const data = await fs_1.default.promises.readFile(file, "utf8");
      return JSON.parse(data);
    } catch (err) {
      if (err.code !== "ENOENT") {
        const msg = `Failed to read JSON file ${file} - ${err.message}`;
        throw new Error(msg);
      }

      throw err;
    }
  }

  async search() {
    let dir = this.options.cwd;
    let prevDir = dir;
    let count = 0;

    do {
      // allow manually disable fynpo with a file
      if (fs_1.default.existsSync(path_1.default.join(dir, ".no-fynpo"))) {
        break;
      }

      [".js", ".json"].find(ext => {
        return this._config = (0, optional_require_1.optionalRequire)(path_1.default.join(dir, `fynpo.config${ext}`));
      });

      if (this._config) {
        this._type = "fynpo monorepo";
        break;
      }

      try {
        this._config = await this.readJson(path_1.default.join(dir, "fynpo.json"));
        this._type = "fynpo monorepo";
        break;
      } catch (_e) {//
      }

      try {
        const lerna = await this.readJson(path_1.default.join(dir, "lerna.json"));

        if (lerna.fynpo) {
          this._type = "lerna monorepo with fynpo";
          this._config = lerna;
          break;
        }
      } catch (_e) {//
      }

      prevDir = dir;
      dir = path_1.default.dirname(dir);
    } while (++count < 50 && dir !== prevDir); // add alias patterns for packages config


    if (this._config && this._config.hasOwnProperty("packages")) {
      this._config.patterns = this._config.packages;
    }

    this._topDir = dir;
  }

}

exports.FynpoConfigManager = FynpoConfigManager;

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/fynpo-dep-graph.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.FynpoDepGraph = exports.pkgInfoId = exports.pkgId = exports.PackageRef = exports.makeDepStep = exports.getDepSection = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const assert_1 = (0, tslib_1.__importDefault)(__webpack_require__("assert"));
const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));

const fs_1 = __webpack_require__("fs");

const filter_scan_dir_1 = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js");

const minimatch_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));
const semver_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js"));

const minimatch_group_1 = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/minimatch-group.js");

const util_1 = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/util.js");

const is_path_inside_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/is-path-inside/3.0.3/is-path-inside/index.js"));
const DepSectionMap = {
  dependencies: "dep",
  devDependencies: "dev",
  optionalDependencies: "opt",
  peerDependencies: "peer",
  dep: "dep",
  dev: "dev",
  opt: "opt",
  peer: "peer"
};
/**
 * get the dep section from package.json dep sections
 *
 * @param fullName - full name from package.json dep section
 * @returns dep section
 */

function getDepSection(fullName) {
  return DepSectionMap[fullName] || "dep";
}

exports.getDepSection = getDepSection;
/**
 * make a indirect dep step string
 *
 * @param name package name
 * @param version package version
 * @param sec section it's specified as a dep package
 * @returns step string
 */

function makeDepStep(name, version, sec) {
  return `${pkgId(name, version)}(${sec})`;
}

exports.makeDepStep = makeDepStep;
/**
 * Reference to a package by id, path, or name.
 *
 * Supports RegExp or minimatch (for path)
 */

class PackageRef {
  constructor(ref) {
    this.parseRef(ref);
  }
  /**
   * Parse a package ref in string form
   *
   * The reference type can be a package id, name, or path.
   *
   * - user can specify type with `id:`, `name:` or `path:`
   * - if no type but there's a `@` in the middle then it's `id`
   *   else default to `name`
   *
   * @param ref package string reference
   */


  parseRef(ref) {
    const parts = ref.split(":");

    if (parts.length > 1) {
      const tmp = parts[0].trim();

      if (tmp === "id" || tmp === "path" || tmp === "name") {
        this.type = tmp;
      } else {
        throw new Error(`package ref '${ref}' has unknown type '${tmp}' - must be 'id', 'path', or 'name'`);
      }

      this.value = parts[1].trim();
    } else {
      this.value = parts[0].trim();

      if (this.value.lastIndexOf("@") > 0) {
        this.type = "id";
      } else {
        this.type = "name";
      }
    }

    if (this.value[0] === "/") {
      const endIx = this.value.lastIndexOf("/");

      if (endIx > 1) {
        const regExpStr = this.value.substring(1, endIx);
        const flagStr = this.value.substring(endIx + 1);
        this.regex = new RegExp(regExpStr, flagStr);
      }
    } else if (this.type === "path") {
      this.mm = new minimatch_1.default.Minimatch(this.value);
    }
  }

  match(pkgInfo) {
    if (this.type === "path") {
      return this.regex ? this.regex.exec(pkgInfo.path) !== null : this.mm.match(pkgInfo.path);
    } else if (this.type === "id") {
      return this.regex ? this.regex.exec(pkgInfoId(pkgInfo)) !== null : this.value === pkgInfoId(pkgInfo);
    } else {
      return this.regex ? this.regex.exec(pkgInfo.name) !== null : this.value === pkgInfo.name;
    }
  }

}

exports.PackageRef = PackageRef;
/**
 * Create a package ID by joining name and version into a single string with `@`
 *
 * @param name package name
 * @param version package version
 * @returns
 */

function pkgId(name, version) {
  /* istanbul ignore next */
  const ver = version ? `@${version}` : "";
  return `${name}${ver}`;
}

exports.pkgId = pkgId;
/**
 * Resolve a package from multiple versions by a semver
 *
 * If there's only one version or no version satisfies the semver, then returns the
 * first version in the array.
 *
 * @param semver semver string
 * @param packages array of package info
 * @returns package info
 */

function resolvePackage(semver, packages, fallbackToFirst = true) {
  const found = packages.find(pkg => semver_1.default.satisfies(pkg.version, semver));

  if (found) {
    return found;
  }

  if (fallbackToFirst) {
    return packages[0];
  }

  return undefined;
}
/**
 * Make a package ID from basic info by joining name and version into a single string.
 *
 * @param info package basic info
 * @returns
 */


function pkgInfoId(info) {
  return pkgId(info.name, info.version);
}

exports.pkgInfoId = pkgInfoId;
/**
 * fynpo dep graph manager
 */

class FynpoDepGraph {
  constructor(options = {}) {
    this._options = _objectSpread({
      cwd: process.cwd()
    }, options);
    this.depMapByPath = Object.create(null);
    this.resolvedCache = Object.create(null);
    this.packages = {
      byId: Object.create(null),
      byName: Object.create(null),
      byPath: Object.create(null)
    };
  }
  /**
   * resolve packages from fynpo
   */


  async resolve() {
    if (lodash_1.default.isEmpty(this.packages.byName)) {
      await this.readPackages();
    }

    this.resolveDirectDeps(); // we don't need indirect deps
    // topo sort works with only direct deps
    // this.resolveIndirectDeps();
  }
  /**
   * update package depdencies map
   *
   * - re-entrant safe
   */


  updateDepMap() {
    this.resolveDirectDeps();
    this.resolveIndirectDeps();
  }
  /**
   * Return array of dep data sorted by dependency topological order
   *
   * @returns array of paths of package dep data
   */


  getTopoSortPackagePaths() {
    const depRecords = {};
    const changed = []; //
    // first start with packages that has zero local dependencies
    //

    for (const path in this.depMapByPath) {
      const depData = this.depMapByPath[path];
      const count = Object.keys(depData.localDepsByPath).length;
      depRecords[path] = {
        depData,
        count
      }; // There must be at least 1 package without any dependency, else there's a circular

      if (count === 0) {
        changed.push(path);
      }
    }

    const sorted = [];

    while (changed.length > 0) {
      // remove the zero local dependencies packages from queue
      const record = depRecords[changed.pop()];
      /* istanbul ignore else */

      if (record.count === 0) {
        // add package to result
        record.count = -1;
        sorted.push(record.depData.pkgInfo.path); // subtract depdendencies count for all packages depending on the removed package

        for (const path in record.depData.dependentsByPath) {
          const record2 = depRecords[path];
          /* istanbul ignore else */

          if (record2.count > 0) {
            record2.count--;

            if (record2.count === 0) {
              changed.push(path);
            }
          }
        }
      }
    }

    return {
      sorted,
      circulars: Object.keys(depRecords).filter(path => depRecords[path].count > 0)
    };
  }
  /**
   * Return array of dep data sorted by dependency topological order
   *
   * @returns array of sorted package dep data
   */


  getTopoSortPackages() {
    const topo = this.getTopoSortPackagePaths();
    return {
      sorted: topo.sorted.map(p => this.depMapByPath[p]),
      circulars: topo.circulars.map(p => this.depMapByPath[p])
    };
  }
  /**
   * Read the packages of a fynpo monorepo.
   *
   * - if `patterns` is empty, then look for all `package.json` files, except the top level one.
   *
   * @returns - packages from the fynpo mono-repo
   */


  async readPackages() {
    const {
      patterns,
      cwd
    } = this._options;
    let groups; // no patterns => setup to search for all package.json

    const autoSearch = lodash_1.default.isEmpty(patterns);
    const autoSearchFound = [];

    if (autoSearch) {
      groups = {
        ".": null
      };
    } else {
      const mms = patterns.map(p => new minimatch_1.default.Minimatch(p));
      groups = (0, minimatch_group_1.groupMM)(mms, {});
    }

    const foundInAutoSearch = path => {
      if (!autoSearch) {
        return false;
      }

      for (const e of autoSearchFound) {
        if ((0, is_path_inside_1.default)(path, e)) {
          return true;
        }
      }

      return false;
    };

    const files = [];

    for (const prefix in groups) {
      const scanned = await (0, filter_scan_dir_1.filterScanDir)({
        cwd,
        prefix,
        concurrency: 500,
        filter: (file, path) => {
          if (path && path !== "." && file === "package.json") {
            if (foundInAutoSearch(path)) {
              //
              // In auto search, if we've found a package.json in a dir, we don't want to
              // search any other package.json further under that dir
              //
              return false;
            }

            autoSearchFound.push(path);
            return true;
          }

          return false;
        },
        filterDir: (dir, path, extras) => {
          if (dir !== "node_modules") {
            if (foundInAutoSearch(path)) {
              return false;
            }

            return prefix === "." && groups[prefix] === null ? !dir.startsWith(".") : Boolean(groups[prefix].find(save => save.mm.match(extras.dirFile)));
          }

          return false;
        }
      });
      files.push(scanned);
    }

    const allFiles = [].concat(...files).sort(); // Read each package.json and generate PackageInfo for it

    for (const pkgFile of allFiles) {
      await this.addPackageByFile(pkgFile);
    }

    this.updateAuxPackageData();
    return this.packages;
  }
  /**
   * Add a package to the graph by the path to its package.json file
   *
   * @param pkgFile - path to the package.json file
   */


  async addPackageByFile(pkgFile) {
    const pkgStr = await fs_1.promises.readFile(path_1.default.join(this._options.cwd, pkgFile), "utf-8");
    const pkgJson = JSON.parse(pkgStr);
    this.addPackage(pkgJson, path_1.default.dirname(pkgFile), pkgStr);
  }
  /**
   * Add a package to the graph using the data from its package.json
   *
   * @param pkgJson - data from package.json
   * @param pkgPath - relative path from the top dir of fynpo to the package.  **It must use `/` only.**
   * @param pkgStr - string form of package.json
   * @returns
   */


  addPackage(pkgJson, pkgPath, pkgStr) {
    if (pkgJson.fynpo === false) {
      return;
    }

    (0, assert_1.default)(pkgJson.name, `package at ${pkgPath} doesn't have name`); // check for npm scope

    const pkgDir = pkgJson.name[0] === "@" && (pkgPath.endsWith(`/${pkgJson.name}`) || pkgPath === pkgJson.name) ? pkgJson.name : path_1.default.basename(pkgPath);

    const pkgInfo = _objectSpread(_objectSpread({
      name: pkgJson.name,
      version: pkgJson.version,
      path: pkgPath,
      pkgDir
    }, lodash_1.default.pick(pkgJson, ["private", "dependencies", "devDependencies", "optionalDependencies", "peerDependencies"])), {}, {
      pkgStr,
      pkgJson
    }); // hide the original raw data


    Object.defineProperties(pkgInfo, {
      pkgStr: {
        enumerable: false
      },
      pkgJson: {
        enumerable: false
      }
    });
    const {
      byName
    } = this.packages;

    if (byName[pkgJson.name]) {
      byName[pkgJson.name].push(pkgInfo);
    } else {
      byName[pkgJson.name] = [pkgInfo];
    }
  }
  /**
   * update auxiliary package data
   *
   * - (re)generate `byId` map
   * - (re)generate `byPath` map
   * - sort multiple versions from latest to oldest in `byName`
   */


  updateAuxPackageData() {
    this.packages.byId = {};
    this.packages.byPath = {};
    const {
      byName,
      byPath,
      byId
    } = this.packages; // create package map byPath and byId

    for (const name in byName) {
      byName[name].forEach(pkg => {
        byPath[pkg.path] = pkg;
        byId[`${pkg.name}@${pkg.version}`] = pkg;
      }); // sort package with multiple versions from latest to oldest

      if (byName[name].length > 1) {
        byName[name].sort((a, b) => semver_1.default.compare(b.version, a.version));
      }
    }
  }
  /**
   * Resolve a package by its name and semver against the fynpo packages
   *
   * @param name - package name
   * @param semver - semver
   * @param fallbackToFirst - should use the first entry if semver didn't match any version
   * @returns fynpo package info
   */


  resolvePackage(name, semver, fallbackToFirst = true) {
    if (this.packages.byName[name]) {
      return resolvePackage(semver, this.packages.byName[name], fallbackToFirst);
    }

    return undefined;
  }
  /**
   * Figure out all the packages' direct dependencies on other local packages
   *
   */


  resolveDirectDeps() {
    const {
      byId,
      byName,
      byPath
    } = this.packages;
    const depMapByPath = this.depMapByPath;

    const doResolve = (depData, deps, section) => {
      const {
        pkgInfo
      } = depData;
      lodash_1.default.each(deps, (semver, name) => {
        // dep is not a local package in the monorepo, nothing to do

        /* istanbul ignore if */
        if (!byName[name]) {
          return;
        }

        const semId = pkgId(name, semver);
        const resolveId = this.resolvedCache[semId];
        const depPkg = resolveId && byId[resolveId] || resolvePackage(semver, byName[name]);

        if (!resolveId) {
          this.resolvedCache[semId] = pkgInfoId(depPkg);
        }

        this.addDep(pkgInfo, depPkg, section);
      });
    };

    for (const path in byPath) {
      if (!depMapByPath[path]) {
        depMapByPath[path] = {
          pkgInfo: byPath[path],
          localDepsByPath: Object.create(null),
          dependentsByPath: Object.create(null)
        };
      }
    }

    for (const id in byId) {
      const pkgInfo = byId[id];
      const depData = depMapByPath[pkgInfo.path];
      doResolve(depData, pkgInfo.dependencies, "dep");
      doResolve(depData, pkgInfo.devDependencies, "dev");
      doResolve(depData, pkgInfo.optionalDependencies, "opt");
    }
  }
  /**
   * Add a dependency relation by package paths
   *
   * @param from - path of package depend from
   * @param to - path of package to depend on
   * @param depSection - section in package.json
   * @param indirectSteps - intermediate dep steps
   */


  addDepByPath(from, to, depSection, indirectSteps) {
    const fromPkg = this.packages.byPath[from];
    const toPkg = this.packages.byPath[to];

    if (fromPkg && toPkg) {
      this.addDep(fromPkg, toPkg, depSection, indirectSteps);
    }
  }
  /**
   * Add a dependency relation by package IDs
   *
   * @param from - id of package depend from
   * @param to - id of package to depend on
   * @param depSection - section in package.json
   * @param indirectSteps - intermediate dep steps
   */


  addDepById(from, to, depSection, indirectSteps) {
    const fromPkg = this.packages.byId[from];
    const depPkg = this.packages.byId[to];

    if (fromPkg && depPkg) {
      this.addDep(fromPkg, depPkg, depSection, indirectSteps);
    }
  }
  /**
   * check and update any circular dependency between packages
   *
   * @param pkgInfo package that depends on
   * @param depPkg package to depend on
   * @returns true if circular else false
   */


  checkCircular(pkgInfo, depPkg) {
    const dataPkg = this.depMapByPath[pkgInfo.path];
    const dataDep = this.depMapByPath[depPkg.path]; // check circular

    if (dataDep.localDepsByPath[pkgInfo.path]) {
      // remember circular package's path
      if (!dataPkg.pathOfCirculars) {
        dataPkg.pathOfCirculars = [];
      }

      if (!dataPkg.pathOfCirculars.includes(depPkg.path)) {
        dataPkg.pathOfCirculars.push(depPkg.path);
      }

      return true;
    }

    return !lodash_1.default.isEmpty(dataDep.pathOfCirculars);
  }
  /**
   * Add depdencies from a list of dep relations
   *
   * @param relations - relations
   */


  addDepRelations(relations) {
    relations.forEach(rel => {
      this.addDepByPath(rel.fromPkg.path, rel.onPkg.path, rel.depSection, rel.indirectSteps);
    });
  }
  /**
   * Add a dependency relation
   *
   * @param pkgInfo package that depends on another
   * @param depPkg package to depend on
   * @param depSection section in package.json
   * @param indirectSteps intermediate dep steps
   *
   * @returns boolean - whether dep is added (it's not if it already exist)
   */


  addDep(pkgInfo, depPkg, depSection, indirectSteps) {
    const dataPkg = this.depMapByPath[pkgInfo.path];
    const dataDep = this.depMapByPath[depPkg.path];

    if (dataPkg.localDepsByPath[depPkg.path]) {
      // dep relation already exist
      return false;
    }

    dataPkg.localDepsByPath[depPkg.path] = {
      name: depPkg.name,
      version: depPkg.version,
      path: depPkg.path,
      depSection
    };
    dataDep.dependentsByPath[pkgInfo.path] = {
      name: pkgInfo.name,
      version: pkgInfo.version,
      path: pkgInfo.path,
      depSection
    };

    if (indirectSteps) {
      dataPkg.localDepsByPath[depPkg.path].indirectSteps = indirectSteps;
      dataDep.dependentsByPath[pkgInfo.path].indirectSteps = indirectSteps;
    }

    this.checkCircular(pkgInfo, depPkg);
    return true;
  }
  /**
   * Get a package at a directory
   *
   * @param dir - directory of package to get
   */


  getPackageAtDir(dir) {
    const path = (0, util_1.posixify)(path_1.default.isAbsolute(dir) ? path_1.default.relative(this._options.cwd, dir) : dir);
    return this.packages.byPath[path];
  }
  /**
   * Get a package by its name
   * @param name - name of package
   * @returns
   */


  getPackageByName(name) {
    return lodash_1.default.first(this.packages.byName[name]);
  }
  /**
   * Figure out all the packages' indirect dependencies on other local packages
   *
   * TODO: very inefficient. optimize this.
   */


  resolveIndirectDeps(nestedLevel = 0) {
    const {
      byPath
    } = this.packages;
    const depMapByPath = this.depMapByPath;
    let change = 0;

    const doResolve = (dataPkg, localDeps, steps, section) => {
      const {
        pkgInfo
      } = dataPkg; // go through all found deps

      lodash_1.default.each(localDeps, depRef => {
        const sec = section || depRef.depSection;
        const depInfo = byPath[depRef.path];
        const dataDep = depMapByPath[depRef.path]; // check circular

        if (this.checkCircular(pkgInfo, depInfo)) {
          return;
        }

        const stepsCopy = [].concat(steps);

        if (stepsCopy.length === 1) {
          stepsCopy[0] = `${stepsCopy[0]}(${depRef.depSection})`;
        } // check if pkg is already part of localDeps


        if (!dataPkg.localDepsByPath[depInfo.path]) {
          change++;
          this.addDep(pkgInfo, depInfo, sec, stepsCopy);
        } // resolve further with deps of depPkg


        doResolve(dataPkg, dataDep.localDepsByPath, stepsCopy.concat(makeDepStep(depRef.name, depRef.version, depRef.depSection)), sec);
      });
    };

    for (const path in depMapByPath) {
      const depData = depMapByPath[path];
      doResolve(depData, depData.localDepsByPath, [pkgInfoId(depData.pkgInfo)]);
    }

    if (change > 0) {
      (0, assert_1.default)(nestedLevel < 50, "FynpoDepGraph.resolveIndirectDeps nested too deep - there may be circular deps that's not detected");
      this.resolveIndirectDeps(nestedLevel + 1);
    }
  }

}

exports.FynpoDepGraph = FynpoDepGraph;

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.makePkgDeps = exports.readFynpoPackages = exports.caching = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));

const fs_1 = __webpack_require__("fs");

const filter_scan_dir_1 = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js");

const minimatch_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));

const minimatch_group_1 = __webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/minimatch-group.js");

(0, tslib_1.__exportStar)(__webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/fynpo-dep-graph.js"), exports);
(0, tslib_1.__exportStar)(__webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/fynpo-config.js"), exports);
(0, tslib_1.__exportStar)(__webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/util.js"), exports);
exports.caching = (0, tslib_1.__importStar)(__webpack_require__("./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/caching.js"));
/**
 * Take an array of packages and figure out their dependencies on each other
 *
 * @param packages - array of packages
 */

function processDirectDeps(packages) {
  const add = (name, deps, type) => {
    const depPkg = packages[name];
    lodash_1.default.each(deps, (semver, depName) => {
      if (!packages.hasOwnProperty(depName)) {
        return;
      }

      depPkg.localDeps.push(depName);
      packages[depName].dependents.push(name);
      depPkg.localDepsByType[type].push(depName);
    });
  };

  lodash_1.default.each(packages, (pkg, name) => {
    add(name, pkg.dependencies, "dep");
    add(name, pkg.devDependencies, "dev");
    add(name, pkg.optionalDependencies, "opt");
  });
}
/**
 * Take an array of packages and figure out their indirect dependencies through each other
 *
 * @param packages - array of packages
 * @param circulars - array of package pairs that depend on each other
 */


function processIndirectDeps(packages, circulars) {
  let change = 0;

  const add = (info, deps) => {
    lodash_1.default.each(deps, dep => {
      const depPkg = packages[dep];

      if (info.localDeps.indexOf(dep) < 0 && info.indirectDeps.indexOf(dep) < 0) {
        change++;
        info.indirectDeps.push(dep);
        depPkg.dependents.push(info.name);
      }

      if (depPkg.localDeps.indexOf(info.name) >= 0) {
        const x = [info.name, depPkg.name].sort().join(",");

        if (circulars.indexOf(x) < 0) {
          circulars.push(x);
        }

        return;
      }

      add(info, depPkg.localDeps.concat(depPkg.indirectDeps));
    });
  };

  lodash_1.default.each(packages, pkg => {
    add(pkg, pkg.localDeps.concat(pkg.indirectDeps));
  });

  if (change > 0) {
    processIndirectDeps(packages, circulars);
  }
}
/**
 *
 * @param packages
 * @param level
 */


function includeDeps(packages, level) {
  const localDeps = lodash_1.default.uniq(Object.keys(packages).reduce((acc, p) => {
    if (packages[p] && !packages[p].ignore) {
      return acc.concat(packages[p].localDeps.filter(x => packages[x] && packages[x].ignore));
    }

    return acc;
  }, []));

  if (localDeps.length > 0) {
    localDeps.forEach(p => {
      if (packages[p]) {
        packages[p].ignore = false;
      }
    });
    level--;

    if (level > 0) {
      includeDeps(packages, level);
    }
  }
}
/**
 * Read the packages of a fynpo mono-repo
 *
 * @param patterns - array of minimatch patterns.  default: `["packages/*"]`
 * @returns - packages from the fynpo mono-repo
 */


async function readFynpoPackages({
  patterns = ["packages/*"],
  cwd = process.cwd()
} = {}) {
  const mms = patterns.map(p => new minimatch_1.default.Minimatch(p));
  const groups = (0, minimatch_group_1.groupMM)(mms, {});
  const files = [];

  for (const prefix in groups) {
    files.push(await (0, filter_scan_dir_1.filterScanDir)({
      cwd,
      prefix,
      concurrency: 500,
      filter: f => f === "package.json",
      filterDir: (dir, _p, extras) => {
        if (dir !== "node_modules") {
          return Boolean(groups[prefix].find(save => save.mm.match(extras.dirFile)));
        }

        return false;
      }
    }));
  }

  const allFiles = [].concat(...files).sort();
  const allPkgs = {};

  for (const pkgFile of allFiles) {
    const pkgStr = await fs_1.promises.readFile(path_1.default.join(cwd, pkgFile), "utf-8");
    const pkgJson = JSON.parse(pkgStr);
    const path = path_1.default.dirname(pkgFile);
    const pkgDir = pkgJson.name[0] === "@" && path.endsWith(pkgJson.name) ? pkgJson.name : path_1.default.basename(path);
    allPkgs[pkgJson.name] = Object.assign(lodash_1.default.pick(pkgJson, ["name", "version", "dependencies", "devDependencies", "optionalDependencies", "peerDependencies"]), {
      localDepsByType: {
        dep: [],
        dev: [],
        opt: []
      },
      localDeps: [],
      dependents: [],
      indirectDeps: [],
      path,
      pkgDir,
      pkgFile,
      pkgStr,
      pkgJson,
      installed: false
    });
    Object.defineProperties(allPkgs[pkgJson.name], {
      pkgStr: {
        enumerable: false
      },
      pkgJson: {
        enumerable: false
      }
    });
  }

  return allPkgs;
}

exports.readFynpoPackages = readFynpoPackages;
/**
 * calculate dep graphs for packages under the mono-repo
 *
 * @param packages - packages from `readFynpoPackages`
 * @param opts - options
 * @returns
 */

function makePkgDeps(packages, opts) {
  const cwd = opts.cwd || process.cwd();
  let circulars = [];
  let ignores = opts.ignore || [];
  const warnings = [];
  processDirectDeps(packages);
  processIndirectDeps(packages, circulars);
  let focusPkgPath; // If CWD is in a package, then mark the applying scope to that package only

  for (const p in packages) {
    const pkg = packages[p];

    if (cwd === pkg.path) {
      focusPkgPath = pkg.path;
      opts.only = [p];
      break;
    }
  } // If options.scope is defined, then ignore packages not in it


  if (opts.scope && opts.scope.length > 0) {
    Object.keys(packages).forEach(p => {
      const scope = p[0] === "@" ? p.slice(0, p.indexOf("/")) : undefined;

      if ((!scope || !opts.scope.includes(scope)) && !ignores[p]) {
        ignores.push(p);
      }
    });
  }

  if (opts.only && opts.only.length > 0) {
    opts.only.forEach(x => {
      if (!packages[x]) {
        warnings.push(`package ${x} of your '--only' option does not exist`);
      }
    });
    Object.keys(packages).forEach(p => {
      if (!opts.only.includes(p) && !ignores[p]) {
        ignores.push(p);
      }
    });
  }

  const depMap = lodash_1.default.mapValues(packages, pkg => {
    return lodash_1.default.pick(pkg, ["name", "localDeps", "indirectDeps", "dependents"]);
  });
  circulars = lodash_1.default.uniq(circulars).map(x => x.split(","));
  ignores = ignores.concat(lodash_1.default.map(circulars, pair => {
    const depA = packages[pair[0]].dependents.length;
    const depB = packages[pair[1]].dependents.length;
    if (depA === depB) return undefined;
    return depA > depB ? pair[1] : pair[0];
  }).filter(x => x));
  ignores.forEach(x => {
    if (packages[x]) {
      packages[x].ignore = true;
    } else {
      warnings.push(`Ignore package ${x} does not exist`);
    }
  });

  if (opts.deps > 0) {
    includeDeps(packages, opts.deps);
  }

  return {
    packages,
    depMap,
    circulars,
    warnings,
    only: opts.only,
    focusPkgPath
  };
}

exports.makePkgDeps = makePkgDeps;

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/minimatch-group.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.unrollMmMatch = exports.checkMmMatch = exports.deconstructMM = exports.groupMM = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const minimatch_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));
/**
 * process a list of minimatch objects and group them by the string prefix of their patterns
 *
 * @param mms - array of minimatch
 * @param groups - object to group the minimatch objects
 * @returns object of grouped minimatch objects
 */

function groupMM(mms, groups) {
  mms.forEach(mm => {
    mm.set.forEach((set, setIx) => {
      const ix = set.findIndex(s => typeof s !== "string");
      const prefix = set.slice(0, ix).join("/");
      const save = {
        mm,
        set,
        setIx,
        ix,
        remain: set.length - ix
      };
      /* istanbul ignore if */

      if (groups[prefix]) {
        groups[prefix].push(save);
      } else {
        groups[prefix] = [save];
      }
    });
  });
  return groups;
}

exports.groupMM = groupMM;
/**
 * process a minimatch pattern to group them for matching directories
 *
 * - needs to create a new pattern at every non-string part
 * @param m0 minimatch pattern
 */

function deconstructMM(m0) {
  const mms = [];
  const patterns = {
    m0,
    mms
  };
  const set = m0.set[0];
  const globParts = m0.globParts[0];
  const iParts = [];
  const {
    GLOBSTAR
  } = minimatch_1.default;

  for (let ix = 0; ix < set.length; ix++) {
    const s = set[ix];
    const g = globParts[ix]; // if we hit something that's not string, then we need a mm with just the strings
    // because a dir like "src" will not match "src/*"

    if (typeof s !== "string" && iParts.length > 0) {
      mms.push(new minimatch_1.default.Minimatch(iParts.join("/"), m0.options));
    }

    if (ix === set.length - 1) {
      mms.push(m0);
      break;
    } else {
      iParts.push(g);

      if (typeof s !== "string") {
        mms.push(new minimatch_1.default.Minimatch(iParts.join("/"), m0.options));
      }
    }

    if (s === GLOBSTAR) {
      // a pattern ending in GLOBSTAR will match anything
      break;
    }
  }

  return patterns;
}

exports.deconstructMM = deconstructMM;
/**
 * check that a path matches against a list of minimatch patterns
 *
 * @param fullPath
 * @param patterns
 * @returns the first pattern that match or false
 */

function checkMmMatch(fullPath, patterns) {
  return !lodash_1.default.isEmpty(patterns) && patterns.find(patternMm => patternMm.match(fullPath));
}

exports.checkMmMatch = checkMmMatch;
/**
 * Take a full path and match each level of it to a list of minimatch patterns
 *
 * @param path
 * @param mms
 * @returns
 */

function unrollMmMatch(path, mms) {
  const parts = path.split("/");
  let rp;

  for (let i = 0; i < parts.length - 1; i++) {
    rp = rp !== undefined ? rp + "/" + parts[i] : parts[i];
    const m1 = checkMmMatch(`${rp}/`, mms);

    if (m1) {
      return m1;
    }
  }

  return checkMmMatch(path, mms);
}

exports.unrollMmMatch = unrollMmMatch;

/***/ }),

/***/ "./node_modules/.f/_/@fynpo/base/1.1.15-fynlocal_h/@fynpo/base/dist/util.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.posixify = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));
/**
 * ensure a path uses `/` for separator
 */

exports.posixify = path_1.default.sep === "/" ? x => x : path => path.replace(/\\/g, "/");

/***/ }),

/***/ "./node_modules/.f/_/@gar/promisify/1.1.2/@gar/promisify/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  promisify
} = __webpack_require__("util");

const handler = {
  get: function (target, prop, receiver) {
    if (typeof target[prop] !== 'function') {
      return target[prop];
    }

    if (target[prop][promisify.custom]) {
      return function () {
        return Reflect.get(target, prop, receiver)[promisify.custom].apply(target, arguments);
      };
    }

    return function () {
      return new Promise((resolve, reject) => {
        Reflect.get(target, prop, receiver).apply(target, [...arguments, function (err, result) {
          if (err) {
            return reject(err);
          }

          resolve(result);
        }]);
      });
    };
  }
};

module.exports = function (thingToPromisify) {
  if (typeof thingToPromisify === 'function') {
    return promisify(thingToPromisify);
  }

  if (typeof thingToPromisify === 'object') {
    return new Proxy(thingToPromisify, handler);
  }

  throw new TypeError('Can only promisify functions or objects');
};

/***/ }),

/***/ "./node_modules/.f/_/@jchip/error/1.0.3/@jchip/error/dist/index.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.AggregateError = exports.aggregateErrorStack = exports.aggregateStack = exports.cleanErrorStack = void 0;

const path_1 = __importDefault(__webpack_require__("path"));
/* eslint-disable @typescript-eslint/ban-ts-comment */


const defaultPathFilter = [new RegExp(`/node_modules.*/(pirates/|isomorphic-loader/lib/extend-require)`)];
/**
 * Return the stack text of an error with internal modules removed
 *
 * @param error - error
 * @param options - clean error stack options
 * @returns cleaned up stack trace
 */

function cleanErrorStack(error, {
  replacePath = `${process.cwd()}/`,
  ignorePathFilter = []
} = {}) {
  const stack = error && (error.stack || error.message);

  if (!stack) {
    return String(stack);
  }

  const result = stack.split("\n").map(line => {
    // keep all non stack tracing lines
    if (!line.match(/ {4,}at/)) {
      return line;
    }

    const match = line.match(/( {4,}at)([^\(]+\()([^\)]+\))(.*)/); // skip any stack tracing line not in these formats:
    // - "    at Blah (/foo/bar:##:##)" format
    // - "scheme://path" (ie: webpack://path)

    if (!match || !match[3].match(/[^:]+:\/\//) && !path_1.default.isAbsolute(match[3])) {
      return false;
    }

    const path = match[3].replace(/\\/g, "/");

    if (defaultPathFilter.concat(ignorePathFilter).find(s => s && (s instanceof RegExp ? path.match(s) : path.includes(s)))) {
      return false;
    }

    const path2 = replacePath && replacePath.length > 1 ? path.replace(replacePath, "") : path;
    return `${match[1]}${match[2]}${path2}${match[4]}`;
  }).filter(x => x).join("\n");
  return result;
}

exports.cleanErrorStack = cleanErrorStack;
/**
 * Build stack of aggregate errors
 *
 * @param stack - top error
 * @param errors - aggregated errors
 * @returns aggregate stack
 */

function aggregateStack(stack, errors) {
  return [stack].concat(errors && errors.map && errors.map(e => {
    const s = e && (e.stack || e.message);
    return (s || String(e)).replace(/^/gm, "  ");
  })).join("\n");
}

exports.aggregateStack = aggregateStack;
/**
 * build the aggregate stack of an AggregateError
 *
 * @param error aggregate error
 * @returns aggregate stack
 */

/* eslint-disable-next-line no-use-before-define */

function aggregateErrorStack(error) {
  return aggregateStack(error.__stack || error.message || String(error), error.errors);
}

exports.aggregateErrorStack = aggregateErrorStack;
/**
 * AggregateError
 * - https://tc39.es/ecma262/multipage/fundamental-objects.html#sec-aggregate-error-objects
 */

class AggregateError extends Error {
  constructor(errors, msg) {
    if (!errors || !(errors[Symbol.iterator] instanceof Function)) {
      throw new TypeError(`input errors must be iterable but it's ${typeof errors}`);
    }

    super(msg); // Using defineProperty to replicate behavior of Object.keys(new Error()) returns []

    Object.defineProperty(this, "name", {
      value: "AggregateError"
    });
    let aggStack;
    Object.defineProperties(this, {
      // specify errors according to spec
      errors: {
        configurable: true,
        enumerable: false,
        writable: true,
        value: [].concat(errors)
      },
      // save original stack
      __stack: {
        enumerable: false,
        value: this.stack
      },
      // make aggregate stack
      stack: {
        get() {
          return aggStack || (aggStack = aggregateErrorStack(this));
        }

      }
    });
  }

}

exports.AggregateError = AggregateError;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/file-url-to-path/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const url = __webpack_require__("url");

const node = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/node.js");

const polyfill = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/file-url-to-path/polyfill.js");

const useNative = node.satisfies('>=10.12.0');

const fileURLToPath = path => {
  // the polyfill is tested separately from this module, no need to hack
  // process.version to try to trigger it just for coverage
  // istanbul ignore next
  return useNative ? url.fileURLToPath(path) : polyfill(path);
};

module.exports = fileURLToPath;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/file-url-to-path/polyfill.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  URL,
  domainToUnicode
} = __webpack_require__("url");

const CHAR_LOWERCASE_A = 97;
const CHAR_LOWERCASE_Z = 122;
const isWindows = process.platform === 'win32';

class ERR_INVALID_FILE_URL_HOST extends TypeError {
  constructor(platform) {
    super(`File URL host must be "localhost" or empty on ${platform}`);
    this.code = 'ERR_INVALID_FILE_URL_HOST';
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

}

class ERR_INVALID_FILE_URL_PATH extends TypeError {
  constructor(msg) {
    super(`File URL path ${msg}`);
    this.code = 'ERR_INVALID_FILE_URL_PATH';
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

}

class ERR_INVALID_ARG_TYPE extends TypeError {
  constructor(name, actual) {
    super(`The "${name}" argument must be one of type string or an instance ` + `of URL. Received type ${typeof actual} ${actual}`);
    this.code = 'ERR_INVALID_ARG_TYPE';
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

}

class ERR_INVALID_URL_SCHEME extends TypeError {
  constructor(expected) {
    super(`The URL must be of scheme ${expected}`);
    this.code = 'ERR_INVALID_URL_SCHEME';
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

}

const isURLInstance = input => {
  return input != null && input.href && input.origin;
};

const getPathFromURLWin32 = url => {
  const hostname = url.hostname;
  let pathname = url.pathname;

  for (let n = 0; n < pathname.length; n++) {
    if (pathname[n] === '%') {
      const third = pathname.codePointAt(n + 2) | 0x20;

      if (pathname[n + 1] === '2' && third === 102 || pathname[n + 1] === '5' && third === 99) {
        throw new ERR_INVALID_FILE_URL_PATH('must not include encoded \\ or / characters');
      }
    }
  }

  pathname = pathname.replace(/\//g, '\\');
  pathname = decodeURIComponent(pathname);

  if (hostname !== '') {
    return `\\\\${domainToUnicode(hostname)}${pathname}`;
  }

  const letter = pathname.codePointAt(1) | 0x20;
  const sep = pathname[2];

  if (letter < CHAR_LOWERCASE_A || letter > CHAR_LOWERCASE_Z || sep !== ':') {
    throw new ERR_INVALID_FILE_URL_PATH('must be absolute');
  }

  return pathname.slice(1);
};

const getPathFromURLPosix = url => {
  if (url.hostname !== '') {
    throw new ERR_INVALID_FILE_URL_HOST(process.platform);
  }

  const pathname = url.pathname;

  for (let n = 0; n < pathname.length; n++) {
    if (pathname[n] === '%') {
      const third = pathname.codePointAt(n + 2) | 0x20;

      if (pathname[n + 1] === '2' && third === 102) {
        throw new ERR_INVALID_FILE_URL_PATH('must not include encoded / characters');
      }
    }
  }

  return decodeURIComponent(pathname);
};

const fileURLToPath = path => {
  if (typeof path === 'string') {
    path = new URL(path);
  } else if (!isURLInstance(path)) {
    throw new ERR_INVALID_ARG_TYPE('path', ['string', 'URL'], path);
  }

  if (path.protocol !== 'file:') {
    throw new ERR_INVALID_URL_SCHEME('file');
  }

  return isWindows ? getPathFromURLWin32(path) : getPathFromURLPosix(path);
};

module.exports = fileURLToPath;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js":
/***/ ((module) => {

// given an input that may or may not be an object, return an object that has
// a copy of every defined property listed in 'copy'. if the input is not an
// object, assign it to the property named by 'wrap'
const getOptions = (input, {
  copy,
  wrap
}) => {
  const result = {};

  if (input && typeof input === 'object') {
    for (const prop of copy) {
      if (input[prop] !== undefined) {
        result[prop] = input[prop];
      }
    }
  } else {
    result[wrap] = input;
  }

  return result;
};

module.exports = getOptions;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/node.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const satisfies = range => {
  return semver.satisfies(process.version, range, {
    includePrerelease: true
  });
};

module.exports = {
  satisfies
};

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/owner.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  dirname,
  resolve
} = __webpack_require__("path");

const fileURLToPath = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/file-url-to-path/index.js");

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js"); // given a path, find the owner of the nearest parent


const find = async path => {
  // if we have no getuid, permissions are irrelevant on this platform
  if (!process.getuid) {
    return {};
  } // fs methods accept URL objects with a scheme of file: so we need to unwrap
  // those into an actual path string before we can resolve it


  const resolved = path != null && path.href && path.origin ? resolve(fileURLToPath(path)) : resolve(path);
  let stat;

  try {
    stat = await fs.lstat(resolved);
  } finally {
    // if we got a stat, return its contents
    if (stat) {
      return {
        uid: stat.uid,
        gid: stat.gid
      };
    } // try the parent directory


    if (resolved !== dirname(resolved)) {
      return find(dirname(resolved));
    } // no more parents, never got a stat, just return an empty object


    return {};
  }
}; // given a path, uid, and gid update the ownership of the path if necessary


const update = async (path, uid, gid) => {
  // nothing to update, just exit
  if (uid === undefined && gid === undefined) {
    return;
  }

  try {
    // see if the permissions are already the same, if they are we don't
    // need to do anything, so return early
    const stat = await fs.stat(path);

    if (uid === stat.uid && gid === stat.gid) {
      return;
    }
  } catch (err) {}

  try {
    await fs.chown(path, uid, gid);
  } catch (err) {}
}; // accepts a `path` and the `owner` property of an options object and normalizes
// it into an object with numerical `uid` and `gid`


const validate = async (path, input) => {
  let uid;
  let gid;

  if (typeof input === 'string' || typeof input === 'number') {
    uid = input;
    gid = input;
  } else if (input && typeof input === 'object') {
    uid = input.uid;
    gid = input.gid;
  }

  if (uid === 'inherit' || gid === 'inherit') {
    const owner = await find(path);

    if (uid === 'inherit') {
      uid = owner.uid;
    }

    if (gid === 'inherit') {
      gid = owner.gid;
    }
  }

  return {
    uid,
    gid
  };
};

module.exports = {
  find,
  update,
  validate
};

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/copy-file.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const owner = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/owner.js");

const copyFile = async (src, dest, opts) => {
  const options = getOptions(opts, {
    copy: ['mode', 'owner'],
    wrap: 'mode'
  });
  const {
    uid,
    gid
  } = await owner.validate(dest, options.owner); // the node core method as of 16.5.0 does not support the mode being in an
  // object, so we have to pass the mode value directly

  const result = await fs.copyFile(src, dest, options.mode);
  await owner.update(dest, uid, gid);
  return result;
};

module.exports = copyFile;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/cp/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const node = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/node.js");

const polyfill = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/cp/polyfill.js"); // node 16.7.0 added fs.cp


const useNative = node.satisfies('>=16.7.0');

const cp = async (src, dest, opts) => {
  const options = getOptions(opts, {
    copy: ['dereference', 'errorOnExist', 'filter', 'force', 'preserveTimestamps', 'recursive']
  }); // the polyfill is tested separately from this module, no need to hack
  // process.version to try to trigger it just for coverage
  // istanbul ignore next

  return useNative ? fs.cp(src, dest, options) : polyfill(src, dest, options);
};

module.exports = cp;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/cp/polyfill.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// this file is a modified version of the code in node 17.2.0
// which is, in turn, a modified version of the fs-extra module on npm
// node core changes:
// - Use of the assert module has been replaced with core's error system.
// - All code related to the glob dependency has been removed.
// - Bring your own custom fs module is not currently supported.
// - Some basic code cleanup.
// changes here:
// - remove all callback related code
// - drop sync support
// - change assertions back to non-internal methods (see options.js)
// - throws ENOTDIR when rmdir gets an ENOENT for a path that exists in Windows


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  ERR_FS_CP_DIR_TO_NON_DIR,
  ERR_FS_CP_EEXIST,
  ERR_FS_CP_EINVAL,
  ERR_FS_CP_FIFO_PIPE,
  ERR_FS_CP_NON_DIR_TO_DIR,
  ERR_FS_CP_SOCKET,
  ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY,
  ERR_FS_CP_UNKNOWN,
  ERR_FS_EISDIR,
  ERR_INVALID_ARG_TYPE
} = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/errors.js");

const {
  constants: {
    errno: {
      EEXIST,
      EISDIR,
      EINVAL,
      ENOTDIR
    }
  }
} = __webpack_require__("os");

const {
  chmod,
  copyFile,
  lstat,
  mkdir,
  readdir,
  readlink,
  stat,
  symlink,
  unlink,
  utimes
} = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const {
  dirname,
  isAbsolute,
  join,
  parse,
  resolve,
  sep,
  toNamespacedPath
} = __webpack_require__("path");

const {
  fileURLToPath
} = __webpack_require__("url");

const defaultOptions = {
  dereference: false,
  errorOnExist: false,
  filter: undefined,
  force: true,
  preserveTimestamps: false,
  recursive: false
};

async function cp(src, dest, opts) {
  if (opts != null && typeof opts !== 'object') {
    throw new ERR_INVALID_ARG_TYPE('options', ['Object'], opts);
  }

  return cpFn(toNamespacedPath(getValidatedPath(src)), toNamespacedPath(getValidatedPath(dest)), _objectSpread(_objectSpread({}, defaultOptions), opts));
}

function getValidatedPath(fileURLOrPath) {
  const path = fileURLOrPath != null && fileURLOrPath.href && fileURLOrPath.origin ? fileURLToPath(fileURLOrPath) : fileURLOrPath;
  return path;
}

async function cpFn(src, dest, opts) {
  // Warn about using preserveTimestamps on 32-bit node
  // istanbul ignore next
  if (opts.preserveTimestamps && process.arch === 'ia32') {
    const warning = 'Using the preserveTimestamps option in 32-bit ' + 'node is not recommended';
    process.emitWarning(warning, 'TimestampPrecisionWarning');
  }

  const stats = await checkPaths(src, dest, opts);
  const {
    srcStat,
    destStat
  } = stats;
  await checkParentPaths(src, srcStat, dest);

  if (opts.filter) {
    return handleFilter(checkParentDir, destStat, src, dest, opts);
  }

  return checkParentDir(destStat, src, dest, opts);
}

async function checkPaths(src, dest, opts) {
  const {
    0: srcStat,
    1: destStat
  } = await getStats(src, dest, opts);

  if (destStat) {
    if (areIdentical(srcStat, destStat)) {
      throw new ERR_FS_CP_EINVAL({
        message: 'src and dest cannot be the same',
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      });
    }

    if (srcStat.isDirectory() && !destStat.isDirectory()) {
      throw new ERR_FS_CP_DIR_TO_NON_DIR({
        message: `cannot overwrite directory ${src} ` + `with non-directory ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: EISDIR
      });
    }

    if (!srcStat.isDirectory() && destStat.isDirectory()) {
      throw new ERR_FS_CP_NON_DIR_TO_DIR({
        message: `cannot overwrite non-directory ${src} ` + `with directory ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: ENOTDIR
      });
    }
  }

  if (srcStat.isDirectory() && isSrcSubdir(src, dest)) {
    throw new ERR_FS_CP_EINVAL({
      message: `cannot copy ${src} to a subdirectory of self ${dest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  }

  return {
    srcStat,
    destStat
  };
}

function areIdentical(srcStat, destStat) {
  return destStat.ino && destStat.dev && destStat.ino === srcStat.ino && destStat.dev === srcStat.dev;
}

function getStats(src, dest, opts) {
  const statFunc = opts.dereference ? file => stat(file, {
    bigint: true
  }) : file => lstat(file, {
    bigint: true
  });
  return Promise.all([statFunc(src), statFunc(dest).catch(err => {
    // istanbul ignore next: unsure how to cover.
    if (err.code === 'ENOENT') {
      return null;
    } // istanbul ignore next: unsure how to cover.


    throw err;
  })]);
}

async function checkParentDir(destStat, src, dest, opts) {
  const destParent = dirname(dest);
  const dirExists = await pathExists(destParent);

  if (dirExists) {
    return getStatsForCopy(destStat, src, dest, opts);
  }

  await mkdir(destParent, {
    recursive: true
  });
  return getStatsForCopy(destStat, src, dest, opts);
}

function pathExists(dest) {
  return stat(dest).then(() => true, // istanbul ignore next: not sure when this would occur
  err => err.code === 'ENOENT' ? false : Promise.reject(err));
} // Recursively check if dest parent is a subdirectory of src.
// It works for all file types including symlinks since it
// checks the src and dest inodes. It starts from the deepest
// parent and stops once it reaches the src parent or the root path.


async function checkParentPaths(src, srcStat, dest) {
  const srcParent = resolve(dirname(src));
  const destParent = resolve(dirname(dest));

  if (destParent === srcParent || destParent === parse(destParent).root) {
    return;
  }

  let destStat;

  try {
    destStat = await stat(destParent, {
      bigint: true
    });
  } catch (err) {
    // istanbul ignore else: not sure when this would occur
    if (err.code === 'ENOENT') {
      return;
    } // istanbul ignore next: not sure when this would occur


    throw err;
  }

  if (areIdentical(srcStat, destStat)) {
    throw new ERR_FS_CP_EINVAL({
      message: `cannot copy ${src} to a subdirectory of self ${dest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  }

  return checkParentPaths(src, srcStat, destParent);
}

const normalizePathToArray = path => resolve(path).split(sep).filter(Boolean); // Return true if dest is a subdir of src, otherwise false.
// It only checks the path strings.


function isSrcSubdir(src, dest) {
  const srcArr = normalizePathToArray(src);
  const destArr = normalizePathToArray(dest);
  return srcArr.every((cur, i) => destArr[i] === cur);
}

async function handleFilter(onInclude, destStat, src, dest, opts, cb) {
  const include = await opts.filter(src, dest);

  if (include) {
    return onInclude(destStat, src, dest, opts, cb);
  }
}

function startCopy(destStat, src, dest, opts) {
  if (opts.filter) {
    return handleFilter(getStatsForCopy, destStat, src, dest, opts);
  }

  return getStatsForCopy(destStat, src, dest, opts);
}

async function getStatsForCopy(destStat, src, dest, opts) {
  const statFn = opts.dereference ? stat : lstat;
  const srcStat = await statFn(src); // istanbul ignore else: can't portably test FIFO

  if (srcStat.isDirectory() && opts.recursive) {
    return onDir(srcStat, destStat, src, dest, opts);
  } else if (srcStat.isDirectory()) {
    throw new ERR_FS_EISDIR({
      message: `${src} is a directory (not copied)`,
      path: src,
      syscall: 'cp',
      errno: EINVAL
    });
  } else if (srcStat.isFile() || srcStat.isCharacterDevice() || srcStat.isBlockDevice()) {
    return onFile(srcStat, destStat, src, dest, opts);
  } else if (srcStat.isSymbolicLink()) {
    return onLink(destStat, src, dest);
  } else if (srcStat.isSocket()) {
    throw new ERR_FS_CP_SOCKET({
      message: `cannot copy a socket file: ${dest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  } else if (srcStat.isFIFO()) {
    throw new ERR_FS_CP_FIFO_PIPE({
      message: `cannot copy a FIFO pipe: ${dest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  } // istanbul ignore next: should be unreachable


  throw new ERR_FS_CP_UNKNOWN({
    message: `cannot copy an unknown file type: ${dest}`,
    path: dest,
    syscall: 'cp',
    errno: EINVAL
  });
}

function onFile(srcStat, destStat, src, dest, opts) {
  if (!destStat) {
    return _copyFile(srcStat, src, dest, opts);
  }

  return mayCopyFile(srcStat, src, dest, opts);
}

async function mayCopyFile(srcStat, src, dest, opts) {
  if (opts.force) {
    await unlink(dest);
    return _copyFile(srcStat, src, dest, opts);
  } else if (opts.errorOnExist) {
    throw new ERR_FS_CP_EEXIST({
      message: `${dest} already exists`,
      path: dest,
      syscall: 'cp',
      errno: EEXIST
    });
  }
}

async function _copyFile(srcStat, src, dest, opts) {
  await copyFile(src, dest);

  if (opts.preserveTimestamps) {
    return handleTimestampsAndMode(srcStat.mode, src, dest);
  }

  return setDestMode(dest, srcStat.mode);
}

async function handleTimestampsAndMode(srcMode, src, dest) {
  // Make sure the file is writable before setting the timestamp
  // otherwise open fails with EPERM when invoked with 'r+'
  // (through utimes call)
  if (fileIsNotWritable(srcMode)) {
    await makeFileWritable(dest, srcMode);
    return setDestTimestampsAndMode(srcMode, src, dest);
  }

  return setDestTimestampsAndMode(srcMode, src, dest);
}

function fileIsNotWritable(srcMode) {
  return (srcMode & 0o200) === 0;
}

function makeFileWritable(dest, srcMode) {
  return setDestMode(dest, srcMode | 0o200);
}

async function setDestTimestampsAndMode(srcMode, src, dest) {
  await setDestTimestamps(src, dest);
  return setDestMode(dest, srcMode);
}

function setDestMode(dest, srcMode) {
  return chmod(dest, srcMode);
}

async function setDestTimestamps(src, dest) {
  // The initial srcStat.atime cannot be trusted
  // because it is modified by the read(2) system call
  // (See https://nodejs.org/api/fs.html#fs_stat_time_values)
  const updatedSrcStat = await stat(src);
  return utimes(dest, updatedSrcStat.atime, updatedSrcStat.mtime);
}

function onDir(srcStat, destStat, src, dest, opts) {
  if (!destStat) {
    return mkDirAndCopy(srcStat.mode, src, dest, opts);
  }

  return copyDir(src, dest, opts);
}

async function mkDirAndCopy(srcMode, src, dest, opts) {
  await mkdir(dest);
  await copyDir(src, dest, opts);
  return setDestMode(dest, srcMode);
}

async function copyDir(src, dest, opts) {
  const dir = await readdir(src);

  for (let i = 0; i < dir.length; i++) {
    const item = dir[i];
    const srcItem = join(src, item);
    const destItem = join(dest, item);
    const {
      destStat
    } = await checkPaths(srcItem, destItem, opts);
    await startCopy(destStat, srcItem, destItem, opts);
  }
}

async function onLink(destStat, src, dest) {
  let resolvedSrc = await readlink(src);

  if (!isAbsolute(resolvedSrc)) {
    resolvedSrc = resolve(dirname(src), resolvedSrc);
  }

  if (!destStat) {
    return symlink(resolvedSrc, dest);
  }

  let resolvedDest;

  try {
    resolvedDest = await readlink(dest);
  } catch (err) {
    // Dest exists and is a regular file or directory,
    // Windows may throw UNKNOWN error. If dest already exists,
    // fs throws error anyway, so no need to guard against it here.
    // istanbul ignore next: can only test on windows
    if (err.code === 'EINVAL' || err.code === 'UNKNOWN') {
      return symlink(resolvedSrc, dest);
    } // istanbul ignore next: should not be possible


    throw err;
  }

  if (!isAbsolute(resolvedDest)) {
    resolvedDest = resolve(dirname(dest), resolvedDest);
  }

  if (isSrcSubdir(resolvedSrc, resolvedDest)) {
    throw new ERR_FS_CP_EINVAL({
      message: `cannot copy ${resolvedSrc} to a subdirectory of self ` + `${resolvedDest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  } // Do not copy if src is a subdir of dest since unlinking
  // dest in this case would result in removing src contents
  // and therefore a broken symlink would be created.


  const srcStat = await stat(src);

  if (srcStat.isDirectory() && isSrcSubdir(resolvedDest, resolvedSrc)) {
    throw new ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY({
      message: `cannot overwrite ${resolvedDest} with ${resolvedSrc}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    });
  }

  return copyLink(resolvedSrc, dest);
}

async function copyLink(resolvedSrc, dest) {
  await unlink(dest);
  return symlink(resolvedSrc, dest);
}

module.exports = cp;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/errors.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  inspect
} = __webpack_require__("util"); // adapted from node's internal/errors
// https://github.com/nodejs/node/blob/c8a04049/lib/internal/errors.js
// close copy of node's internal SystemError class.


class SystemError {
  constructor(code, prefix, context) {
    // XXX context.code is undefined in all constructors used in cp/polyfill
    // that may be a bug copied from node, maybe the constructor should use
    // `code` not `errno`?  nodejs/node#41104
    let message = `${prefix}: ${context.syscall} returned ` + `${context.code} (${context.message})`;

    if (context.path !== undefined) {
      message += ` ${context.path}`;
    }

    if (context.dest !== undefined) {
      message += ` => ${context.dest}`;
    }

    this.code = code;
    Object.defineProperties(this, {
      name: {
        value: 'SystemError',
        enumerable: false,
        writable: true,
        configurable: true
      },
      message: {
        value: message,
        enumerable: false,
        writable: true,
        configurable: true
      },
      info: {
        value: context,
        enumerable: true,
        configurable: true,
        writable: false
      },
      errno: {
        get() {
          return context.errno;
        },

        set(value) {
          context.errno = value;
        },

        enumerable: true,
        configurable: true
      },
      syscall: {
        get() {
          return context.syscall;
        },

        set(value) {
          context.syscall = value;
        },

        enumerable: true,
        configurable: true
      }
    });

    if (context.path !== undefined) {
      Object.defineProperty(this, 'path', {
        get() {
          return context.path;
        },

        set(value) {
          context.path = value;
        },

        enumerable: true,
        configurable: true
      });
    }

    if (context.dest !== undefined) {
      Object.defineProperty(this, 'dest', {
        get() {
          return context.dest;
        },

        set(value) {
          context.dest = value;
        },

        enumerable: true,
        configurable: true
      });
    }
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

  [Symbol.for('nodejs.util.inspect.custom')](_recurseTimes, ctx) {
    return inspect(this, _objectSpread(_objectSpread({}, ctx), {}, {
      getters: true,
      customInspect: false
    }));
  }

}

function E(code, message) {
  module.exports[code] = class NodeError extends SystemError {
    constructor(ctx) {
      super(code, message, ctx);
    }

  };
}

E('ERR_FS_CP_DIR_TO_NON_DIR', 'Cannot overwrite directory with non-directory');
E('ERR_FS_CP_EEXIST', 'Target already exists');
E('ERR_FS_CP_EINVAL', 'Invalid src or dest');
E('ERR_FS_CP_FIFO_PIPE', 'Cannot copy a FIFO pipe');
E('ERR_FS_CP_NON_DIR_TO_DIR', 'Cannot overwrite non-directory with directory');
E('ERR_FS_CP_SOCKET', 'Cannot copy a socket file');
E('ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY', 'Cannot overwrite symlink in subdirectory of self');
E('ERR_FS_CP_UNKNOWN', 'Cannot copy an unknown file type');
E('ERR_FS_EISDIR', 'Path is a directory');
module.exports.ERR_INVALID_ARG_TYPE = class ERR_INVALID_ARG_TYPE extends Error {
  constructor(name, expected, actual) {
    super();
    this.code = 'ERR_INVALID_ARG_TYPE';
    this.message = `The ${name} argument must be ${expected}. Received ${typeof actual}`;
  }

};

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("fs");

const promisify = __webpack_require__("./node_modules/.f/_/@gar/promisify/1.1.2/@gar/promisify/index.js"); // this module returns the core fs module wrapped in a proxy that promisifies
// method calls within the getter. we keep it in a separate module so that the
// overridden methods have a consistent way to get to promisified fs methods
// without creating a circular dependency


module.exports = promisify(fs);

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = _objectSpread(_objectSpread({}, __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js")), {}, {
  copyFile: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/copy-file.js"),
  cp: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/cp/index.js"),
  mkdir: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdir/index.js"),
  mkdtemp: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdtemp.js"),
  rm: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/rm/index.js"),
  withTempDir: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/with-temp-dir.js"),
  writeFile: __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/write-file.js")
});

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdir/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const node = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/node.js");

const owner = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/owner.js");

const polyfill = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdir/polyfill.js"); // node 10.12.0 added the options parameter, which allows recursive and mode
// properties to be passed


const useNative = node.satisfies('>=10.12.0'); // extends mkdir with the ability to specify an owner of the new dir

const mkdir = async (path, opts) => {
  const options = getOptions(opts, {
    copy: ['mode', 'recursive', 'owner'],
    wrap: 'mode'
  });
  const {
    uid,
    gid
  } = await owner.validate(path, options.owner); // the polyfill is tested separately from this module, no need to hack
  // process.version to try to trigger it just for coverage
  // istanbul ignore next

  const result = useNative ? await fs.mkdir(path, options) : await polyfill(path, options);
  await owner.update(path, uid, gid);
  return result;
};

module.exports = mkdir;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdir/polyfill.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  dirname
} = __webpack_require__("path");

const fileURLToPath = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/file-url-to-path/index.js");

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const defaultOptions = {
  mode: 0o777,
  recursive: false
};

const mkdir = async (path, opts) => {
  const options = _objectSpread(_objectSpread({}, defaultOptions), opts); // if we're not in recursive mode, just call the real mkdir with the path and
  // the mode option only


  if (!options.recursive) {
    return fs.mkdir(path, options.mode);
  }

  const makeDirectory = async (dir, mode) => {
    // we can't use dirname directly since these functions support URL
    // objects with the file: protocol as the path input, so first we get a
    // string path, then we can call dirname on that
    const parent = dir != null && dir.href && dir.origin ? dirname(fileURLToPath(dir)) : dirname(dir); // if the parent is the dir itself, try to create it. anything but EISDIR
    // should be rethrown

    if (parent === dir) {
      try {
        await fs.mkdir(dir, opts);
      } catch (err) {
        if (err.code !== 'EISDIR') {
          throw err;
        }
      }

      return undefined;
    }

    try {
      await fs.mkdir(dir, mode);
      return dir;
    } catch (err) {
      // ENOENT means the parent wasn't there, so create that
      if (err.code === 'ENOENT') {
        const made = await makeDirectory(parent, mode);
        await makeDirectory(dir, mode); // return the shallowest path we created, i.e. the result of creating
        // the parent

        return made;
      } // an EEXIST means there's already something there
      // an EROFS means we have a read-only filesystem and can't create a dir
      // any other error is fatal and we should give up now


      if (err.code !== 'EEXIST' && err.code !== 'EROFS') {
        throw err;
      } // stat the directory, if the result is a directory, then we successfully
      // created this one so return its path. otherwise, we reject with the
      // original error by ignoring the error in the catch


      try {
        const stat = await fs.stat(dir);

        if (stat.isDirectory()) {
          // if it already existed, we didn't create anything so return
          // undefined
          return undefined;
        }
      } catch (_) {} // if the thing that's there isn't a directory, then just re-throw


      throw err;
    }
  };

  return makeDirectory(path, options.mode);
};

module.exports = mkdir;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdtemp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  dirname,
  sep
} = __webpack_require__("path");

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const owner = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/owner.js");

const mkdtemp = async (prefix, opts) => {
  const options = getOptions(opts, {
    copy: ['encoding', 'owner'],
    wrap: 'encoding'
  }); // mkdtemp relies on the trailing path separator to indicate if it should
  // create a directory inside of the prefix. if that's the case then the root
  // we infer ownership from is the prefix itself, otherwise it's the dirname
  // /tmp -> /tmpABCDEF, infers from /
  // /tmp/ -> /tmp/ABCDEF, infers from /tmp

  const root = prefix.endsWith(sep) ? prefix : dirname(prefix);
  const {
    uid,
    gid
  } = await owner.validate(root, options.owner);
  const result = await fs.mkdtemp(prefix, options);
  await owner.update(result, uid, gid);
  return result;
};

module.exports = mkdtemp;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/rm/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const node = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/node.js");

const polyfill = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/rm/polyfill.js"); // node 14.14.0 added fs.rm, which allows both the force and recursive options


const useNative = node.satisfies('>=14.14.0');

const rm = async (path, opts) => {
  const options = getOptions(opts, {
    copy: ['retryDelay', 'maxRetries', 'recursive', 'force']
  }); // the polyfill is tested separately from this module, no need to hack
  // process.version to try to trigger it just for coverage
  // istanbul ignore next

  return useNative ? fs.rm(path, options) : polyfill(path, options);
};

module.exports = rm;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/rm/polyfill.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// this file is a modified version of the code in node core >=14.14.0
// which is, in turn, a modified version of the rimraf module on npm
// node core changes:
// - Use of the assert module has been replaced with core's error system.
// - All code related to the glob dependency has been removed.
// - Bring your own custom fs module is not currently supported.
// - Some basic code cleanup.
// changes here:
// - remove all callback related code
// - drop sync support
// - change assertions back to non-internal methods (see options.js)
// - throws ENOTDIR when rmdir gets an ENOENT for a path that exists in Windows
const errnos = __webpack_require__("os").constants.errno;

const {
  join
} = __webpack_require__("path");

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js"); // error codes that mean we need to remove contents


const notEmptyCodes = new Set(['ENOTEMPTY', 'EEXIST', 'EPERM']); // error codes we can retry later

const retryCodes = new Set(['EBUSY', 'EMFILE', 'ENFILE', 'ENOTEMPTY', 'EPERM']);
const isWindows = process.platform === 'win32';
const defaultOptions = {
  retryDelay: 100,
  maxRetries: 0,
  recursive: false,
  force: false
}; // this is drastically simplified, but should be roughly equivalent to what
// node core throws

class ERR_FS_EISDIR extends Error {
  constructor(path) {
    super();
    this.info = {
      code: 'EISDIR',
      message: 'is a directory',
      path,
      syscall: 'rm',
      errno: errnos.EISDIR
    };
    this.name = 'SystemError';
    this.code = 'ERR_FS_EISDIR';
    this.errno = errnos.EISDIR;
    this.syscall = 'rm';
    this.path = path;
    this.message = `Path is a directory: ${this.syscall} returned ` + `${this.info.code} (is a directory) ${path}`;
  }

  toString() {
    return `${this.name} [${this.code}]: ${this.message}`;
  }

}

class ENOTDIR extends Error {
  constructor(path) {
    super();
    this.name = 'Error';
    this.code = 'ENOTDIR';
    this.errno = errnos.ENOTDIR;
    this.syscall = 'rmdir';
    this.path = path;
    this.message = `not a directory, ${this.syscall} '${this.path}'`;
  }

  toString() {
    return `${this.name}: ${this.code}: ${this.message}`;
  }

} // force is passed separately here because we respect it for the first entry
// into rimraf only, any further calls that are spawned as a result (i.e. to
// delete content within the target) will ignore ENOENT errors


const rimraf = async (path, options, isTop = false) => {
  const force = isTop ? options.force : true;
  const stat = await fs.lstat(path).catch(err => {
    // we only ignore ENOENT if we're forcing this call
    if (err.code === 'ENOENT' && force) {
      return;
    }

    if (isWindows && err.code === 'EPERM') {
      return fixEPERM(path, options, err, isTop);
    }

    throw err;
  }); // no stat object here means either lstat threw an ENOENT, or lstat threw
  // an EPERM and the fixPERM function took care of things. either way, we're
  // already done, so return early

  if (!stat) {
    return;
  }

  if (stat.isDirectory()) {
    return rmdir(path, options, null, isTop);
  }

  return fs.unlink(path).catch(err => {
    if (err.code === 'ENOENT' && force) {
      return;
    }

    if (err.code === 'EISDIR') {
      return rmdir(path, options, err, isTop);
    }

    if (err.code === 'EPERM') {
      // in windows, we handle this through fixEPERM which will also try to
      // delete things again. everywhere else since deleting the target as a
      // file didn't work we go ahead and try to delete it as a directory
      return isWindows ? fixEPERM(path, options, err, isTop) : rmdir(path, options, err, isTop);
    }

    throw err;
  });
};

const fixEPERM = async (path, options, originalErr, isTop) => {
  const force = isTop ? options.force : true;
  const targetMissing = await fs.chmod(path, 0o666).catch(err => {
    if (err.code === 'ENOENT' && force) {
      return true;
    }

    throw originalErr;
  }); // got an ENOENT above, return now. no file = no problem

  if (targetMissing) {
    return;
  } // this function does its own lstat rather than calling rimraf again to avoid
  // infinite recursion for a repeating EPERM


  const stat = await fs.lstat(path).catch(err => {
    if (err.code === 'ENOENT' && force) {
      return;
    }

    throw originalErr;
  });

  if (!stat) {
    return;
  }

  if (stat.isDirectory()) {
    return rmdir(path, options, originalErr, isTop);
  }

  return fs.unlink(path);
};

const rmdir = async (path, options, originalErr, isTop) => {
  if (!options.recursive && isTop) {
    throw originalErr || new ERR_FS_EISDIR(path);
  }

  const force = isTop ? options.force : true;
  return fs.rmdir(path).catch(async err => {
    // in Windows, calling rmdir on a file path will fail with ENOENT rather
    // than ENOTDIR. to determine if that's what happened, we have to do
    // another lstat on the path. if the path isn't actually gone, we throw
    // away the ENOENT and replace it with our own ENOTDIR
    if (isWindows && err.code === 'ENOENT') {
      const stillExists = await fs.lstat(path).then(() => true, () => false);

      if (stillExists) {
        err = new ENOTDIR(path);
      }
    } // not there, not a problem


    if (err.code === 'ENOENT' && force) {
      return;
    } // we may not have originalErr if lstat tells us our target is a
    // directory but that changes before we actually remove it, so
    // only throw it here if it's set


    if (originalErr && err.code === 'ENOTDIR') {
      throw originalErr;
    } // the directory isn't empty, remove the contents and try again


    if (notEmptyCodes.has(err.code)) {
      const files = await fs.readdir(path);
      await Promise.all(files.map(file => {
        const target = join(path, file);
        return rimraf(target, options);
      }));
      return fs.rmdir(path);
    }

    throw err;
  });
};

const rm = async (path, opts) => {
  const options = _objectSpread(_objectSpread({}, defaultOptions), opts);

  let retries = 0;

  const errHandler = async err => {
    if (retryCodes.has(err.code) && ++retries < options.maxRetries) {
      const delay = retries * options.retryDelay;
      await promiseTimeout(delay);
      return rimraf(path, options, true).catch(errHandler);
    }

    throw err;
  };

  return rimraf(path, options, true).catch(errHandler);
};

const promiseTimeout = ms => new Promise(r => setTimeout(r, ms));

module.exports = rm;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/with-temp-dir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  join,
  sep
} = __webpack_require__("path");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const mkdir = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdir/index.js");

const mkdtemp = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/mkdtemp.js");

const rm = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/rm/index.js"); // create a temp directory, ensure its permissions match its parent, then call
// the supplied function passing it the path to the directory. clean up after
// the function finishes, whether it throws or not


const withTempDir = async (root, fn, opts) => {
  const options = getOptions(opts, {
    copy: ['tmpPrefix']
  }); // create the directory, and fix its ownership

  await mkdir(root, {
    recursive: true,
    owner: 'inherit'
  });
  const target = await mkdtemp(join(`${root}${sep}`, options.tmpPrefix || ''), {
    owner: 'inherit'
  });
  let err;
  let result;

  try {
    result = await fn(target);
  } catch (_err) {
    err = _err;
  }

  try {
    await rm(target, {
      force: true,
      recursive: true
    });
  } catch (err) {}

  if (err) {
    throw err;
  }

  return result;
};

module.exports = withTempDir;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/write-file.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/fs.js");

const getOptions = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/get-options.js");

const owner = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/common/owner.js");

const writeFile = async (file, data, opts) => {
  const options = getOptions(opts, {
    copy: ['encoding', 'mode', 'flag', 'signal', 'owner'],
    wrap: 'encoding'
  });
  const {
    uid,
    gid
  } = await owner.validate(file, options.owner);
  const result = await fs.writeFile(file, data, options);
  await owner.update(file, uid, gid);
  return result;
};

module.exports = writeFile;

/***/ }),

/***/ "./node_modules/.f/_/@npmcli/move-file/1.1.2/@npmcli/move-file/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  dirname,
  join,
  resolve,
  relative,
  isAbsolute
} = __webpack_require__("path");

const rimraf_ = __webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js");

const {
  promisify
} = __webpack_require__("util");

const {
  access: access_,
  accessSync,
  copyFile: copyFile_,
  copyFileSync,
  unlink: unlink_,
  unlinkSync,
  readdir: readdir_,
  readdirSync,
  rename: rename_,
  renameSync,
  stat: stat_,
  statSync,
  lstat: lstat_,
  lstatSync,
  symlink: symlink_,
  symlinkSync,
  readlink: readlink_,
  readlinkSync
} = __webpack_require__("fs");

const access = promisify(access_);
const copyFile = promisify(copyFile_);
const unlink = promisify(unlink_);
const readdir = promisify(readdir_);
const rename = promisify(rename_);
const stat = promisify(stat_);
const lstat = promisify(lstat_);
const symlink = promisify(symlink_);
const readlink = promisify(readlink_);
const rimraf = promisify(rimraf_);
const rimrafSync = rimraf_.sync;

const mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/index.js");

const pathExists = async path => {
  try {
    await access(path);
    return true;
  } catch (er) {
    return er.code !== 'ENOENT';
  }
};

const pathExistsSync = path => {
  try {
    accessSync(path);
    return true;
  } catch (er) {
    return er.code !== 'ENOENT';
  }
};

const moveFile = async (source, destination, options = {}, root = true, symlinks = []) => {
  if (!source || !destination) {
    throw new TypeError('`source` and `destination` file required');
  }

  options = _objectSpread({
    overwrite: true
  }, options);

  if (!options.overwrite && (await pathExists(destination))) {
    throw new Error(`The destination file exists: ${destination}`);
  }

  await mkdirp(dirname(destination));

  try {
    await rename(source, destination);
  } catch (error) {
    if (error.code === 'EXDEV' || error.code === 'EPERM') {
      const sourceStat = await lstat(source);

      if (sourceStat.isDirectory()) {
        const files = await readdir(source);
        await Promise.all(files.map(file => moveFile(join(source, file), join(destination, file), options, false, symlinks)));
      } else if (sourceStat.isSymbolicLink()) {
        symlinks.push({
          source,
          destination
        });
      } else {
        await copyFile(source, destination);
      }
    } else {
      throw error;
    }
  }

  if (root) {
    await Promise.all(symlinks.map(async ({
      source,
      destination
    }) => {
      let target = await readlink(source); // junction symlinks in windows will be absolute paths, so we need to make sure they point to the destination

      if (isAbsolute(target)) target = resolve(destination, relative(source, target)); // try to determine what the actual file is so we can create the correct type of symlink in windows

      let targetStat;

      try {
        targetStat = await stat(resolve(dirname(source), target));
      } catch (err) {}

      await symlink(target, destination, targetStat && targetStat.isDirectory() ? 'junction' : 'file');
    }));
    await rimraf(source);
  }
};

const moveFileSync = (source, destination, options = {}, root = true, symlinks = []) => {
  if (!source || !destination) {
    throw new TypeError('`source` and `destination` file required');
  }

  options = _objectSpread({
    overwrite: true
  }, options);

  if (!options.overwrite && pathExistsSync(destination)) {
    throw new Error(`The destination file exists: ${destination}`);
  }

  mkdirp.sync(dirname(destination));

  try {
    renameSync(source, destination);
  } catch (error) {
    if (error.code === 'EXDEV' || error.code === 'EPERM') {
      const sourceStat = lstatSync(source);

      if (sourceStat.isDirectory()) {
        const files = readdirSync(source);

        for (const file of files) {
          moveFileSync(join(source, file), join(destination, file), options, false, symlinks);
        }
      } else if (sourceStat.isSymbolicLink()) {
        symlinks.push({
          source,
          destination
        });
      } else {
        copyFileSync(source, destination);
      }
    } else {
      throw error;
    }
  }

  if (root) {
    for (const {
      source,
      destination
    } of symlinks) {
      let target = readlinkSync(source); // junction symlinks in windows will be absolute paths, so we need to make sure they point to the destination

      if (isAbsolute(target)) target = resolve(destination, relative(source, target)); // try to determine what the actual file is so we can create the correct type of symlink in windows

      let targetStat;

      try {
        targetStat = statSync(resolve(dirname(source), target));
      } catch (err) {}

      symlinkSync(target, destination, targetStat && targetStat.isDirectory() ? 'junction' : 'file');
    }

    rimrafSync(source);
  }
};

module.exports = moveFile;
module.exports.sync = moveFileSync;

/***/ }),

/***/ "./node_modules/.f/_/@tootallnate/once/1.1.2/@tootallnate/once/dist/index.js":
/***/ ((module) => {

"use strict";


function noop() {}

function once(emitter, name) {
  const o = once.spread(emitter, name);
  const r = o.then(args => args[0]);
  r.cancel = o.cancel;
  return r;
}

(function (once) {
  function spread(emitter, name) {
    let c = null;
    const p = new Promise((resolve, reject) => {
      function cancel() {
        emitter.removeListener(name, onEvent);
        emitter.removeListener('error', onError);
        p.cancel = noop;
      }

      function onEvent(...args) {
        cancel();
        resolve(args);
      }

      function onError(err) {
        cancel();
        reject(err);
      }

      c = cancel;
      emitter.on(name, onEvent);
      emitter.on('error', onError);
    });

    if (!c) {
      throw new TypeError('Could not get `cancel()` function');
    }

    p.cancel = c;
    return p;
  }

  once.spread = spread;
})(once || (once = {}));

module.exports = once;

/***/ }),

/***/ "./node_modules/.f/_/JSONStream/1.3.5/JSONStream/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var Parser = __webpack_require__("./node_modules/.f/_/jsonparse/1.3.1/jsonparse/jsonparse.js"),
    through = __webpack_require__("./node_modules/.f/_/through/2.3.8/through/index.js");

var bufferFrom = Buffer.from && Buffer.from !== Uint8Array.from;
/*

  the value of this.stack that creationix's jsonparse has is weird.

  it makes this code ugly, but his problem is way harder that mine,
  so i'll forgive him.

*/

exports.parse = function (path, map) {
  var header, footer;
  var parser = new Parser();
  var stream = through(function (chunk) {
    if ('string' === typeof chunk) chunk = bufferFrom ? Buffer.from(chunk) : new Buffer(chunk);
    parser.write(chunk);
  }, function (data) {
    if (data) stream.write(data);
    if (header) stream.emit('header', header);
    if (footer) stream.emit('footer', footer);
    stream.queue(null);
  });
  if ('string' === typeof path) path = path.split('.').map(function (e) {
    if (e === '$*') return {
      emitKey: true
    };else if (e === '*') return true;else if (e === '') // '..'.split('.') returns an empty string
      return {
        recurse: true
      };else return e;
  });

  var count = 0,
      _key;

  if (!path || !path.length) path = null;

  parser.onValue = function (value) {
    if (!this.root) stream.root = value;
    if (!path) return;
    var i = 0; // iterates on path

    var j = 0; // iterates on stack

    var emitKey = false;
    var emitPath = false;

    while (i < path.length) {
      var key = path[i];
      var c;
      j++;

      if (key && !key.recurse) {
        c = j === this.stack.length ? this : this.stack[j];
        if (!c) return;

        if (!check(key, c.key)) {
          setHeaderFooter(c.key, value);
          return;
        }

        emitKey = !!key.emitKey;
        emitPath = !!key.emitPath;
        i++;
      } else {
        i++;
        var nextKey = path[i];
        if (!nextKey) return;

        while (true) {
          c = j === this.stack.length ? this : this.stack[j];
          if (!c) return;

          if (check(nextKey, c.key)) {
            i++;
            if (!Object.isFrozen(this.stack[j])) this.stack[j].value = null;
            break;
          } else {
            setHeaderFooter(c.key, value);
          }

          j++;
        }
      }
    } // emit header


    if (header) {
      stream.emit('header', header);
      header = false;
    }

    if (j !== this.stack.length) return;
    count++;
    var actualPath = this.stack.slice(1).map(function (element) {
      return element.key;
    }).concat([this.key]);
    var data = value;
    if (null != data) if (null != (data = map ? map(data, actualPath) : data)) {
      if (emitKey || emitPath) {
        data = {
          value: data
        };
        if (emitKey) data["key"] = this.key;
        if (emitPath) data["path"] = actualPath;
      }

      stream.queue(data);
    }
    if (this.value) delete this.value[this.key];

    for (var k in this.stack) if (!Object.isFrozen(this.stack[k])) this.stack[k].value = null;
  };

  parser._onToken = parser.onToken;

  parser.onToken = function (token, value) {
    parser._onToken(token, value);

    if (this.stack.length === 0) {
      if (stream.root) {
        if (!path) stream.queue(stream.root);
        count = 0;
        stream.root = null;
      }
    }
  };

  parser.onError = function (err) {
    if (err.message.indexOf("at position") > -1) err.message = "Invalid JSON (" + err.message + ")";
    stream.emit('error', err);
  };

  return stream;

  function setHeaderFooter(key, value) {
    // header has not been emitted yet
    if (header !== false) {
      header = header || {};
      header[key] = value;
    } // footer has not been emitted yet but header has


    if (footer !== false && header === false) {
      footer = footer || {};
      footer[key] = value;
    }
  }
};

function check(x, y) {
  if ('string' === typeof x) return y == x;else if (x && 'function' === typeof x.exec) return x.exec(y);else if ('boolean' === typeof x || 'object' === typeof x) return x;else if ('function' === typeof x) return x(y);
  return false;
}

exports.stringify = function (op, sep, cl, indent) {
  indent = indent || 0;

  if (op === false) {
    op = '';
    sep = '\n';
    cl = '';
  } else if (op == null) {
    op = '[\n';
    sep = '\n,\n';
    cl = '\n]\n';
  } //else, what ever you like


  var stream,
      first = true,
      anyData = false;
  stream = through(function (data) {
    anyData = true;

    try {
      var json = JSON.stringify(data, null, indent);
    } catch (err) {
      return stream.emit('error', err);
    }

    if (first) {
      first = false;
      stream.queue(op + json);
    } else stream.queue(sep + json);
  }, function (data) {
    if (!anyData) stream.queue(op);
    stream.queue(cl);
    stream.queue(null);
  });
  return stream;
};

exports.stringifyObject = function (op, sep, cl, indent) {
  indent = indent || 0;

  if (op === false) {
    op = '';
    sep = '\n';
    cl = '';
  } else if (op == null) {
    op = '{\n';
    sep = '\n,\n';
    cl = '\n}\n';
  } //else, what ever you like


  var first = true;
  var anyData = false;
  var stream = through(function (data) {
    anyData = true;
    var json = JSON.stringify(data[0]) + ':' + JSON.stringify(data[1], null, indent);

    if (first) {
      first = false;
      this.queue(op + json);
    } else this.queue(sep + json);
  }, function (data) {
    if (!anyData) this.queue(op);
    this.queue(cl);
    this.queue(null);
  });
  return stream;
};

/***/ }),

/***/ "./node_modules/.f/_/abbrev/1.1.1/abbrev/abbrev.js":
/***/ ((module, exports) => {

module.exports = exports = abbrev.abbrev = abbrev;
abbrev.monkeyPatch = monkeyPatch;

function monkeyPatch() {
  Object.defineProperty(Array.prototype, 'abbrev', {
    value: function () {
      return abbrev(this);
    },
    enumerable: false,
    configurable: true,
    writable: true
  });
  Object.defineProperty(Object.prototype, 'abbrev', {
    value: function () {
      return abbrev(Object.keys(this));
    },
    enumerable: false,
    configurable: true,
    writable: true
  });
}

function abbrev(list) {
  if (arguments.length !== 1 || !Array.isArray(list)) {
    list = Array.prototype.slice.call(arguments, 0);
  }

  for (var i = 0, l = list.length, args = []; i < l; i++) {
    args[i] = typeof list[i] === "string" ? list[i] : String(list[i]);
  } // sort them lexicographically, so that they're next to their nearest kin


  args = args.sort(lexSort); // walk through each, seeing how much it has in common with the next and previous

  var abbrevs = {},
      prev = "";

  for (var i = 0, l = args.length; i < l; i++) {
    var current = args[i],
        next = args[i + 1] || "",
        nextMatches = true,
        prevMatches = true;
    if (current === next) continue;

    for (var j = 0, cl = current.length; j < cl; j++) {
      var curChar = current.charAt(j);
      nextMatches = nextMatches && curChar === next.charAt(j);
      prevMatches = prevMatches && curChar === prev.charAt(j);

      if (!nextMatches && !prevMatches) {
        j++;
        break;
      }
    }

    prev = current;

    if (j === cl) {
      abbrevs[current] = current;
      continue;
    }

    for (var a = current.substr(0, j); j <= cl; j++) {
      abbrevs[a] = current;
      a += current.charAt(j);
    }
  }

  return abbrevs;
}

function lexSort(a, b) {
  return a === b ? 0 : a > b ? 1 : -1;
}

/***/ }),

/***/ "./node_modules/.f/_/agent-base/4.2.1/agent-base/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


__webpack_require__("./node_modules/.f/_/agent-base/4.2.1/agent-base/patch-core.js");

const inherits = __webpack_require__("util").inherits;

const promisify = __webpack_require__("./node_modules/.f/_/es6-promisify/5.0.0-fynlocal_h/es6-promisify/es6-promisify.js");

const EventEmitter = __webpack_require__("events").EventEmitter;

module.exports = Agent;

function isAgent(v) {
  return v && typeof v.addRequest === 'function';
}
/**
 * Base `http.Agent` implementation.
 * No pooling/keep-alive is implemented by default.
 *
 * @param {Function} callback
 * @api public
 */


function Agent(callback, _opts) {
  if (!(this instanceof Agent)) {
    return new Agent(callback, _opts);
  }

  EventEmitter.call(this); // The callback gets promisified if it has 3 parameters
  // (i.e. it has a callback function) lazily

  this._promisifiedCallback = false;
  let opts = _opts;

  if ('function' === typeof callback) {
    this.callback = callback;
  } else if (callback) {
    opts = callback;
  } // timeout for the socket to be returned from the callback


  this.timeout = opts && opts.timeout || null;
  this.options = opts;
}

inherits(Agent, EventEmitter);
/**
 * Override this function in your subclass!
 */

Agent.prototype.callback = function callback(req, opts) {
  throw new Error('"agent-base" has no default implementation, you must subclass and override `callback()`');
};
/**
 * Called by node-core's "_http_client.js" module when creating
 * a new HTTP request with this Agent instance.
 *
 * @api public
 */


Agent.prototype.addRequest = function addRequest(req, _opts) {
  const ownOpts = Object.assign({}, _opts); // Set default `host` for HTTP to localhost

  if (null == ownOpts.host) {
    ownOpts.host = 'localhost';
  } // Set default `port` for HTTP if none was explicitly specified


  if (null == ownOpts.port) {
    ownOpts.port = ownOpts.secureEndpoint ? 443 : 80;
  }

  const opts = Object.assign({}, this.options, ownOpts);

  if (opts.host && opts.path) {
    // If both a `host` and `path` are specified then it's most likely the
    // result of a `url.parse()` call... we need to remove the `path` portion so
    // that `net.connect()` doesn't attempt to open that as a unix socket file.
    delete opts.path;
  }

  delete opts.agent;
  delete opts.hostname;
  delete opts._defaultAgent;
  delete opts.defaultPort;
  delete opts.createConnection; // Hint to use "Connection: close"
  // XXX: non-documented `http` module API :(

  req._last = true;
  req.shouldKeepAlive = false; // Create the `stream.Duplex` instance

  let timeout;
  let timedOut = false;
  const timeoutMs = this.timeout;
  const freeSocket = this.freeSocket;

  function onerror(err) {
    if (req._hadError) return;
    req.emit('error', err); // For Safety. Some additional errors might fire later on
    // and we need to make sure we don't double-fire the error event.

    req._hadError = true;
  }

  function ontimeout() {
    timeout = null;
    timedOut = true;
    const err = new Error('A "socket" was not created for HTTP request before ' + timeoutMs + 'ms');
    err.code = 'ETIMEOUT';
    onerror(err);
  }

  function callbackError(err) {
    if (timedOut) return;

    if (timeout != null) {
      clearTimeout(timeout);
      timeout = null;
    }

    onerror(err);
  }

  function onsocket(socket) {
    if (timedOut) return;

    if (timeout != null) {
      clearTimeout(timeout);
      timeout = null;
    }

    if (isAgent(socket)) {
      // `socket` is actually an http.Agent instance, so relinquish
      // responsibility for this `req` to the Agent from here on
      socket.addRequest(req, opts);
    } else if (socket) {
      function onfree() {
        freeSocket(socket, opts);
      }

      socket.on('free', onfree);
      req.onSocket(socket);
    } else {
      const err = new Error('no Duplex stream was returned to agent-base for `' + req.method + ' ' + req.path + '`');
      onerror(err);
    }
  }

  if (!this._promisifiedCallback && this.callback.length >= 3) {
    // Legacy callback function - convert to a Promise
    this.callback = promisify(this.callback, this);
    this._promisifiedCallback = true;
  }

  if (timeoutMs > 0) {
    timeout = setTimeout(ontimeout, timeoutMs);
  }

  try {
    Promise.resolve(this.callback(req, opts)).then(onsocket, callbackError);
  } catch (err) {
    Promise.reject(err).catch(callbackError);
  }
};

Agent.prototype.freeSocket = function freeSocket(socket, opts) {
  // TODO reuse sockets
  socket.destroy();
};

/***/ }),

/***/ "./node_modules/.f/_/agent-base/4.2.1/agent-base/patch-core.js":
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const url = __webpack_require__("url");

const https = __webpack_require__("https");
/**
 * This currently needs to be applied to all Node.js versions
 * in order to determine if the `req` is an HTTP or HTTPS request.
 *
 * There is currently no PR attempting to move this property upstream.
 */


https.request = function (request) {
  return function (_options, cb) {
    let options;

    if (typeof _options === 'string') {
      options = url.parse(_options);
    } else {
      options = Object.assign({}, _options);
    }

    if (null == options.port) {
      options.port = 443;
    }

    options.secureEndpoint = true;
    return request.call(https, options, cb);
  };
}(https.request);
/**
 * This is needed for Node.js >= 9.0.0 to make sure `https.get()` uses the
 * patched `https.request()`.
 *
 * Ref: https://github.com/nodejs/node/commit/5118f31
 */


https.get = function (options, cb) {
  const req = https.request(options, cb);
  req.end();
  return req;
};

/***/ }),

/***/ "./node_modules/.f/_/agent-base/4.3.0/agent-base/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


__webpack_require__("./node_modules/.f/_/agent-base/4.3.0/agent-base/patch-core.js");

const inherits = __webpack_require__("util").inherits;

const promisify = __webpack_require__("./node_modules/.f/_/es6-promisify/5.0.0-fynlocal_h/es6-promisify/es6-promisify.js");

const EventEmitter = __webpack_require__("events").EventEmitter;

module.exports = Agent;

function isAgent(v) {
  return v && typeof v.addRequest === 'function';
}
/**
 * Base `http.Agent` implementation.
 * No pooling/keep-alive is implemented by default.
 *
 * @param {Function} callback
 * @api public
 */


function Agent(callback, _opts) {
  if (!(this instanceof Agent)) {
    return new Agent(callback, _opts);
  }

  EventEmitter.call(this); // The callback gets promisified if it has 3 parameters
  // (i.e. it has a callback function) lazily

  this._promisifiedCallback = false;
  let opts = _opts;

  if ('function' === typeof callback) {
    this.callback = callback;
  } else if (callback) {
    opts = callback;
  } // timeout for the socket to be returned from the callback


  this.timeout = opts && opts.timeout || null;
  this.options = opts;
}

inherits(Agent, EventEmitter);
/**
 * Override this function in your subclass!
 */

Agent.prototype.callback = function callback(req, opts) {
  throw new Error('"agent-base" has no default implementation, you must subclass and override `callback()`');
};
/**
 * Called by node-core's "_http_client.js" module when creating
 * a new HTTP request with this Agent instance.
 *
 * @api public
 */


Agent.prototype.addRequest = function addRequest(req, _opts) {
  const ownOpts = Object.assign({}, _opts); // Set default `host` for HTTP to localhost

  if (null == ownOpts.host) {
    ownOpts.host = 'localhost';
  } // Set default `port` for HTTP if none was explicitly specified


  if (null == ownOpts.port) {
    ownOpts.port = ownOpts.secureEndpoint ? 443 : 80;
  }

  const opts = Object.assign({}, this.options, ownOpts);

  if (opts.host && opts.path) {
    // If both a `host` and `path` are specified then it's most likely the
    // result of a `url.parse()` call... we need to remove the `path` portion so
    // that `net.connect()` doesn't attempt to open that as a unix socket file.
    delete opts.path;
  }

  delete opts.agent;
  delete opts.hostname;
  delete opts._defaultAgent;
  delete opts.defaultPort;
  delete opts.createConnection; // Hint to use "Connection: close"
  // XXX: non-documented `http` module API :(

  req._last = true;
  req.shouldKeepAlive = false; // Create the `stream.Duplex` instance

  let timeout;
  let timedOut = false;
  const timeoutMs = this.timeout;
  const freeSocket = this.freeSocket;

  function onerror(err) {
    if (req._hadError) return;
    req.emit('error', err); // For Safety. Some additional errors might fire later on
    // and we need to make sure we don't double-fire the error event.

    req._hadError = true;
  }

  function ontimeout() {
    timeout = null;
    timedOut = true;
    const err = new Error('A "socket" was not created for HTTP request before ' + timeoutMs + 'ms');
    err.code = 'ETIMEOUT';
    onerror(err);
  }

  function callbackError(err) {
    if (timedOut) return;

    if (timeout != null) {
      clearTimeout(timeout);
      timeout = null;
    }

    onerror(err);
  }

  function onsocket(socket) {
    if (timedOut) return;

    if (timeout != null) {
      clearTimeout(timeout);
      timeout = null;
    }

    if (isAgent(socket)) {
      // `socket` is actually an http.Agent instance, so relinquish
      // responsibility for this `req` to the Agent from here on
      socket.addRequest(req, opts);
    } else if (socket) {
      function onfree() {
        freeSocket(socket, opts);
      }

      socket.on('free', onfree);
      req.onSocket(socket);
    } else {
      const err = new Error('no Duplex stream was returned to agent-base for `' + req.method + ' ' + req.path + '`');
      onerror(err);
    }
  }

  if (!this._promisifiedCallback && this.callback.length >= 3) {
    // Legacy callback function - convert to a Promise
    this.callback = promisify(this.callback, this);
    this._promisifiedCallback = true;
  }

  if (timeoutMs > 0) {
    timeout = setTimeout(ontimeout, timeoutMs);
  }

  try {
    Promise.resolve(this.callback(req, opts)).then(onsocket, callbackError);
  } catch (err) {
    Promise.reject(err).catch(callbackError);
  }
};

Agent.prototype.freeSocket = function freeSocket(socket, opts) {
  // TODO reuse sockets
  socket.destroy();
};

/***/ }),

/***/ "./node_modules/.f/_/agent-base/4.3.0/agent-base/patch-core.js":
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const url = __webpack_require__("url");

const https = __webpack_require__("https");
/**
 * This currently needs to be applied to all Node.js versions
 * in order to determine if the `req` is an HTTP or HTTPS request.
 *
 * There is currently no PR attempting to move this property upstream.
 */


const patchMarker = "__agent_base_https_request_patched__";

if (!https.request[patchMarker]) {
  https.request = function (request) {
    return function (_options, cb) {
      let options;

      if (typeof _options === 'string') {
        options = url.parse(_options);
      } else {
        options = Object.assign({}, _options);
      }

      if (null == options.port) {
        options.port = 443;
      }

      options.secureEndpoint = true;
      return request.call(https, options, cb);
    };
  }(https.request);

  https.request[patchMarker] = true;
}
/**
 * This is needed for Node.js >= 9.0.0 to make sure `https.get()` uses the
 * patched `https.request()`.
 *
 * Ref: https://github.com/nodejs/node/commit/5118f31
 */


https.get = function (_url, _options, cb) {
  let options;

  if (typeof _url === 'string' && _options && typeof _options !== 'function') {
    options = Object.assign({}, url.parse(_url), _options);
  } else if (!_options && !cb) {
    options = _url;
  } else if (!cb) {
    options = _url;
    cb = _options;
  }

  const req = https.request(options, cb);
  req.end();
  return req;
};

/***/ }),

/***/ "./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/index.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

const events_1 = __webpack_require__("events");

const debug_1 = __importDefault(__webpack_require__("./stubs/debug.js"));

const promisify_1 = __importDefault(__webpack_require__("./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/promisify.js"));

const debug = debug_1.default('agent-base');

function isAgent(v) {
  return Boolean(v) && typeof v.addRequest === 'function';
}

function isSecureEndpoint() {
  const {
    stack
  } = new Error();
  if (typeof stack !== 'string') return false;
  return stack.split('\n').some(l => l.indexOf('(https.js:') !== -1 || l.indexOf('node:https:') !== -1);
}

function createAgent(callback, opts) {
  return new createAgent.Agent(callback, opts);
}

(function (createAgent) {
  /**
   * Base `http.Agent` implementation.
   * No pooling/keep-alive is implemented by default.
   *
   * @param {Function} callback
   * @api public
   */
  class Agent extends events_1.EventEmitter {
    constructor(callback, _opts) {
      super();
      let opts = _opts;

      if (typeof callback === 'function') {
        this.callback = callback;
      } else if (callback) {
        opts = callback;
      } // Timeout for the socket to be returned from the callback


      this.timeout = null;

      if (opts && typeof opts.timeout === 'number') {
        this.timeout = opts.timeout;
      } // These aren't actually used by `agent-base`, but are required
      // for the TypeScript definition files in `@types/node` :/


      this.maxFreeSockets = 1;
      this.maxSockets = 1;
      this.maxTotalSockets = Infinity;
      this.sockets = {};
      this.freeSockets = {};
      this.requests = {};
      this.options = {};
    }

    get defaultPort() {
      if (typeof this.explicitDefaultPort === 'number') {
        return this.explicitDefaultPort;
      }

      return isSecureEndpoint() ? 443 : 80;
    }

    set defaultPort(v) {
      this.explicitDefaultPort = v;
    }

    get protocol() {
      if (typeof this.explicitProtocol === 'string') {
        return this.explicitProtocol;
      }

      return isSecureEndpoint() ? 'https:' : 'http:';
    }

    set protocol(v) {
      this.explicitProtocol = v;
    }

    callback(req, opts, fn) {
      throw new Error('"agent-base" has no default implementation, you must subclass and override `callback()`');
    }
    /**
     * Called by node-core's "_http_client.js" module when creating
     * a new HTTP request with this Agent instance.
     *
     * @api public
     */


    addRequest(req, _opts) {
      const opts = Object.assign({}, _opts);

      if (typeof opts.secureEndpoint !== 'boolean') {
        opts.secureEndpoint = isSecureEndpoint();
      }

      if (opts.host == null) {
        opts.host = 'localhost';
      }

      if (opts.port == null) {
        opts.port = opts.secureEndpoint ? 443 : 80;
      }

      if (opts.protocol == null) {
        opts.protocol = opts.secureEndpoint ? 'https:' : 'http:';
      }

      if (opts.host && opts.path) {
        // If both a `host` and `path` are specified then it's most
        // likely the result of a `url.parse()` call... we need to
        // remove the `path` portion so that `net.connect()` doesn't
        // attempt to open that as a unix socket file.
        delete opts.path;
      }

      delete opts.agent;
      delete opts.hostname;
      delete opts._defaultAgent;
      delete opts.defaultPort;
      delete opts.createConnection; // Hint to use "Connection: close"
      // XXX: non-documented `http` module API :(

      req._last = true;
      req.shouldKeepAlive = false;
      let timedOut = false;
      let timeoutId = null;
      const timeoutMs = opts.timeout || this.timeout;

      const onerror = err => {
        if (req._hadError) return;
        req.emit('error', err); // For Safety. Some additional errors might fire later on
        // and we need to make sure we don't double-fire the error event.

        req._hadError = true;
      };

      const ontimeout = () => {
        timeoutId = null;
        timedOut = true;
        const err = new Error(`A "socket" was not created for HTTP request before ${timeoutMs}ms`);
        err.code = 'ETIMEOUT';
        onerror(err);
      };

      const callbackError = err => {
        if (timedOut) return;

        if (timeoutId !== null) {
          clearTimeout(timeoutId);
          timeoutId = null;
        }

        onerror(err);
      };

      const onsocket = socket => {
        if (timedOut) return;

        if (timeoutId != null) {
          clearTimeout(timeoutId);
          timeoutId = null;
        }

        if (isAgent(socket)) {
          // `socket` is actually an `http.Agent` instance, so
          // relinquish responsibility for this `req` to the Agent
          // from here on
          debug('Callback returned another Agent instance %o', socket.constructor.name);
          socket.addRequest(req, opts);
          return;
        }

        if (socket) {
          socket.once('free', () => {
            this.freeSocket(socket, opts);
          });
          req.onSocket(socket);
          return;
        }

        const err = new Error(`no Duplex stream was returned to agent-base for \`${req.method} ${req.path}\``);
        onerror(err);
      };

      if (typeof this.callback !== 'function') {
        onerror(new Error('`callback` is not defined'));
        return;
      }

      if (!this.promisifiedCallback) {
        if (this.callback.length >= 3) {
          debug('Converting legacy callback function to promise');
          this.promisifiedCallback = promisify_1.default(this.callback);
        } else {
          this.promisifiedCallback = this.callback;
        }
      }

      if (typeof timeoutMs === 'number' && timeoutMs > 0) {
        timeoutId = setTimeout(ontimeout, timeoutMs);
      }

      if ('port' in opts && typeof opts.port !== 'number') {
        opts.port = Number(opts.port);
      }

      try {
        debug('Resolving socket for %o request: %o', opts.protocol, `${req.method} ${req.path}`);
        Promise.resolve(this.promisifiedCallback(req, opts)).then(onsocket, callbackError);
      } catch (err) {
        Promise.reject(err).catch(callbackError);
      }
    }

    freeSocket(socket, opts) {
      debug('Freeing socket %o %o', socket.constructor.name, opts);
      socket.destroy();
    }

    destroy() {
      debug('Destroying agent %o', this.constructor.name);
    }

  }

  createAgent.Agent = Agent; // So that `instanceof` works correctly

  createAgent.prototype = createAgent.Agent.prototype;
})(createAgent || (createAgent = {}));

module.exports = createAgent;

/***/ }),

/***/ "./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/promisify.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

function promisify(fn) {
  return function (req, opts) {
    return new Promise((resolve, reject) => {
      fn.call(this, req, opts, (err, rtn) => {
        if (err) {
          reject(err);
        } else {
          resolve(rtn);
        }
      });
    });
  };
}

exports["default"] = promisify;

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/agent.js");
module.exports.HttpsAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/https_agent.js");

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/_http_agent.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
var __webpack_unused_export__;
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// patch from https://github.com/nodejs/node/blob/v7.2.1/lib/_http_agent.js


const net = __webpack_require__("net");

const util = __webpack_require__("util");

const EventEmitter = __webpack_require__("events");

const debug = util.debuglog('http'); // New Agent code.
// The largest departure from the previous implementation is that
// an Agent instance holds connections for a variable number of host:ports.
// Surprisingly, this is still API compatible as far as third parties are
// concerned. The only code that really notices the difference is the
// request object.
// Another departure is that all code related to HTTP parsing is in
// ClientRequest.onSocket(). The Agent is now *strictly*
// concerned with managing a connection pool.

function Agent(options) {
  if (!(this instanceof Agent)) return new Agent(options);
  EventEmitter.call(this);
  var self = this;
  self.defaultPort = 80;
  self.protocol = 'http:';
  self.options = util._extend({}, options); // don't confuse net and make it think that we're connecting to a pipe

  self.options.path = null;
  self.requests = {};
  self.sockets = {};
  self.freeSockets = {};
  self.keepAliveMsecs = self.options.keepAliveMsecs || 1000;
  self.keepAlive = self.options.keepAlive || false;
  self.maxSockets = self.options.maxSockets || Agent.defaultMaxSockets;
  self.maxFreeSockets = self.options.maxFreeSockets || 256; // [patch start]
  // free keep-alive socket timeout. By default free socket do not have a timeout.

  self.freeSocketKeepAliveTimeout = self.options.freeSocketKeepAliveTimeout || 0; // working socket timeout. By default working socket do not have a timeout.

  self.timeout = self.options.timeout || 0; // the socket active time to live, even if it's in use

  this.socketActiveTTL = this.options.socketActiveTTL || null; // [patch end]

  self.on('free', function (socket, options) {
    var name = self.getName(options);
    debug('agent.on(free)', name);

    if (socket.writable && self.requests[name] && self.requests[name].length) {
      // [patch start]
      debug('continue handle next request'); // [patch end]

      self.requests[name].shift().onSocket(socket);

      if (self.requests[name].length === 0) {
        // don't leak
        delete self.requests[name];
      }
    } else {
      // If there are no pending requests, then put it in
      // the freeSockets pool, but only if we're allowed to do so.
      var req = socket._httpMessage;

      if (req && req.shouldKeepAlive && socket.writable && self.keepAlive) {
        var freeSockets = self.freeSockets[name];
        var freeLen = freeSockets ? freeSockets.length : 0;
        var count = freeLen;
        if (self.sockets[name]) count += self.sockets[name].length;

        if (count > self.maxSockets || freeLen >= self.maxFreeSockets) {
          socket.destroy();
        } else {
          freeSockets = freeSockets || [];
          self.freeSockets[name] = freeSockets;
          socket.setKeepAlive(true, self.keepAliveMsecs);
          socket.unref();
          socket._httpMessage = null;
          self.removeSocket(socket, options);
          freeSockets.push(socket); // [patch start]
          // Add a default error handler to avoid Unhandled 'error' event throw on idle socket
          // https://github.com/node-modules/agentkeepalive/issues/25
          // https://github.com/nodejs/node/pull/4482 (fixed in >= 4.4.0 and >= 5.4.0)

          if (socket.listeners('error').length === 0) {
            socket.once('error', freeSocketErrorListener);
          } // set free keepalive timer
          // try to use socket custom freeSocketKeepAliveTimeout first


          const freeSocketKeepAliveTimeout = socket.freeSocketKeepAliveTimeout || self.freeSocketKeepAliveTimeout;
          socket.setTimeout(freeSocketKeepAliveTimeout);
          debug(`push to free socket queue and wait for ${freeSocketKeepAliveTimeout}ms`); // [patch end]
        }
      } else {
        socket.destroy();
      }
    }
  });
}

util.inherits(Agent, EventEmitter);
exports.Agent = Agent; // [patch start]

function freeSocketErrorListener(err) {
  var socket = this;
  debug('SOCKET ERROR on FREE socket:', err.message, err.stack);
  socket.destroy();
  socket.emit('agentRemove');
} // [patch end]


Agent.defaultMaxSockets = Infinity;
Agent.prototype.createConnection = net.createConnection; // Get the key for a given set of request options

Agent.prototype.getName = function getName(options) {
  var name = options.host || 'localhost';
  name += ':';
  if (options.port) name += options.port;
  name += ':';
  if (options.localAddress) name += options.localAddress; // Pacify parallel/test-http-agent-getname by only appending
  // the ':' when options.family is set.

  if (options.family === 4 || options.family === 6) name += ':' + options.family;
  return name;
}; // [patch start]


function handleSocketCreation(req) {
  return function (err, newSocket) {
    if (err) {
      process.nextTick(function () {
        req.emit('error', err);
      });
      return;
    }

    req.onSocket(newSocket);
  };
} // [patch end]


Agent.prototype.addRequest = function addRequest(req, options, port
/*legacy*/
, localAddress
/*legacy*/
) {
  // Legacy API: addRequest(req, host, port, localAddress)
  if (typeof options === 'string') {
    options = {
      host: options,
      port,
      localAddress
    };
  }

  options = util._extend({}, options);
  options = util._extend(options, this.options);
  if (!options.servername) options.servername = calculateServerName(options, req);
  var name = this.getName(options);

  if (!this.sockets[name]) {
    this.sockets[name] = [];
  }

  var freeLen = this.freeSockets[name] ? this.freeSockets[name].length : 0;
  var sockLen = freeLen + this.sockets[name].length;

  if (freeLen) {
    // we have a free socket, so use that.
    var socket = this.freeSockets[name].shift();
    debug('have free socket'); // [patch start]
    // remove free socket error event handler

    socket.removeListener('error', freeSocketErrorListener); // restart the default timer

    socket.setTimeout(this.timeout);

    if (this.socketActiveTTL && Date.now() - socket.createdTime > this.socketActiveTTL) {
      debug(`socket ${socket.createdTime} expired`);
      socket.destroy();
      return this.createSocket(req, options, handleSocketCreation(req));
    } // [patch end]
    // don't leak


    if (!this.freeSockets[name].length) delete this.freeSockets[name];
    socket.ref();
    req.onSocket(socket);
    this.sockets[name].push(socket);
  } else if (sockLen < this.maxSockets) {
    debug('call onSocket', sockLen, freeLen); // If we are under maxSockets create a new one.
    // [patch start]

    this.createSocket(req, options, handleSocketCreation(req)); // [patch end]
  } else {
    debug('wait for socket'); // We are over limit so we'll add it to the queue.

    if (!this.requests[name]) {
      this.requests[name] = [];
    }

    this.requests[name].push(req);
  }
};

Agent.prototype.createSocket = function createSocket(req, options, cb) {
  var self = this;
  options = util._extend({}, options);
  options = util._extend(options, self.options);
  if (!options.servername) options.servername = calculateServerName(options, req);
  var name = self.getName(options);
  options._agentKey = name;
  debug('createConnection', name, options);
  options.encoding = null;
  var called = false;
  const newSocket = self.createConnection(options, oncreate); // [patch start]

  if (newSocket) {
    oncreate(null, Object.assign(newSocket, {
      createdTime: Date.now()
    }));
  } // [patch end]


  function oncreate(err, s) {
    if (called) return;
    called = true;
    if (err) return cb(err);

    if (!self.sockets[name]) {
      self.sockets[name] = [];
    }

    self.sockets[name].push(s);
    debug('sockets', name, self.sockets[name].length);

    function onFree() {
      self.emit('free', s, options);
    }

    s.on('free', onFree);

    function onClose(err) {
      debug('CLIENT socket onClose'); // This is the only place where sockets get removed from the Agent.
      // If you want to remove a socket from the pool, just close it.
      // All socket errors end in a close event anyway.

      self.removeSocket(s, options); // [patch start]

      self.emit('close'); // [patch end]
    }

    s.on('close', onClose); // [patch start]
    // start socket timeout handler

    function onTimeout() {
      debug('CLIENT socket onTimeout');
      s.destroy(); // Remove it from freeSockets immediately to prevent new requests from being sent through this socket.

      self.removeSocket(s, options);
      self.emit('timeout');
    }

    s.on('timeout', onTimeout); // set the default timer

    s.setTimeout(self.timeout); // [patch end]

    function onRemove() {
      // We need this function for cases like HTTP 'upgrade'
      // (defined by WebSockets) where we need to remove a socket from the
      // pool because it'll be locked up indefinitely
      debug('CLIENT socket onRemove');
      self.removeSocket(s, options);
      s.removeListener('close', onClose);
      s.removeListener('free', onFree);
      s.removeListener('agentRemove', onRemove); // [patch start]
      // remove socket timeout handler

      s.setTimeout(0, onTimeout); // [patch end]
    }

    s.on('agentRemove', onRemove);
    cb(null, s);
  }
};

function calculateServerName(options, req) {
  let servername = options.host;
  const hostHeader = req.getHeader('host');

  if (hostHeader) {
    // abc => abc
    // abc:123 => abc
    // [::1] => ::1
    // [::1]:123 => ::1
    if (hostHeader.startsWith('[')) {
      const index = hostHeader.indexOf(']');

      if (index === -1) {
        // Leading '[', but no ']'. Need to do something...
        servername = hostHeader;
      } else {
        servername = hostHeader.substr(1, index - 1);
      }
    } else {
      servername = hostHeader.split(':', 1)[0];
    }
  }

  return servername;
}

Agent.prototype.removeSocket = function removeSocket(s, options) {
  var name = this.getName(options);
  debug('removeSocket', name, 'writable:', s.writable);
  var sets = [this.sockets]; // If the socket was destroyed, remove it from the free buffers too.

  if (!s.writable) sets.push(this.freeSockets);

  for (var sk = 0; sk < sets.length; sk++) {
    var sockets = sets[sk];

    if (sockets[name]) {
      var index = sockets[name].indexOf(s);

      if (index !== -1) {
        sockets[name].splice(index, 1); // Don't leak

        if (sockets[name].length === 0) delete sockets[name];
      }
    }
  } // [patch start]


  var freeLen = this.freeSockets[name] ? this.freeSockets[name].length : 0;
  var sockLen = freeLen + (this.sockets[name] ? this.sockets[name].length : 0); // [patch end]

  if (this.requests[name] && this.requests[name].length && sockLen < this.maxSockets) {
    debug('removeSocket, have a request, make a socket');
    var req = this.requests[name][0]; // If we have pending requests and a socket gets closed make a new one

    this.createSocket(req, options, function (err, newSocket) {
      if (err) {
        process.nextTick(function () {
          req.emit('error', err);
        });
        return;
      }

      newSocket.emit('free');
    });
  }
};

Agent.prototype.destroy = function destroy() {
  var sets = [this.freeSockets, this.sockets];

  for (var s = 0; s < sets.length; s++) {
    var set = sets[s];
    var keys = Object.keys(set);

    for (var v = 0; v < keys.length; v++) {
      var setName = set[keys[v]];

      for (var n = 0; n < setName.length; n++) {
        setName[n].destroy();
      }
    }
  }
};

__webpack_unused_export__ = new Agent();

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/**
 * refer:
 *   * @atimb "Real keep-alive HTTP agent": https://gist.github.com/2963672
 *   * https://github.com/joyent/node/blob/master/lib/http.js
 *   * https://github.com/joyent/node/blob/master/lib/https.js
 *   * https://github.com/joyent/node/blob/master/lib/_http_agent.js
 */


const OriginalAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/_http_agent.js").Agent;

const ms = __webpack_require__("./node_modules/.f/_/humanize-ms/1.2.1/humanize-ms/index.js");

class Agent extends OriginalAgent {
  constructor(options) {
    options = options || {};
    options.keepAlive = options.keepAlive !== false; // default is keep-alive and 15s free socket timeout

    if (options.freeSocketKeepAliveTimeout === undefined) {
      options.freeSocketKeepAliveTimeout = 15000;
    } // Legacy API: keepAliveTimeout should be rename to `freeSocketKeepAliveTimeout`


    if (options.keepAliveTimeout) {
      options.freeSocketKeepAliveTimeout = options.keepAliveTimeout;
    }

    options.freeSocketKeepAliveTimeout = ms(options.freeSocketKeepAliveTimeout); // Sets the socket to timeout after timeout milliseconds of inactivity on the socket.
    // By default is double free socket keepalive timeout.

    if (options.timeout === undefined) {
      options.timeout = options.freeSocketKeepAliveTimeout * 2; // make sure socket default inactivity timeout >= 30s

      if (options.timeout < 30000) {
        options.timeout = 30000;
      }
    }

    options.timeout = ms(options.timeout);
    super(options);
    this.createSocketCount = 0;
    this.createSocketCountLastCheck = 0;
    this.createSocketErrorCount = 0;
    this.createSocketErrorCountLastCheck = 0;
    this.closeSocketCount = 0;
    this.closeSocketCountLastCheck = 0; // socket error event count

    this.errorSocketCount = 0;
    this.errorSocketCountLastCheck = 0;
    this.requestCount = 0;
    this.requestCountLastCheck = 0;
    this.timeoutSocketCount = 0;
    this.timeoutSocketCountLastCheck = 0;
    this.on('free', s => {
      this.requestCount++; // last enter free queue timestamp

      s.lastFreeTime = Date.now();
    });
    this.on('timeout', () => {
      this.timeoutSocketCount++;
    });
    this.on('close', () => {
      this.closeSocketCount++;
    });
    this.on('error', () => {
      this.errorSocketCount++;
    });
  }

  createSocket(req, options, cb) {
    super.createSocket(req, options, (err, socket) => {
      if (err) {
        this.createSocketErrorCount++;
        return cb(err);
      }

      if (this.keepAlive) {
        // Disable Nagle's algorithm: http://blog.caustik.com/2012/04/08/scaling-node-js-to-100k-concurrent-connections/
        // https://fengmk2.com/benchmark/nagle-algorithm-delayed-ack-mock.html
        socket.setNoDelay(true);
      }

      this.createSocketCount++;
      cb(null, socket);
    });
  }

  get statusChanged() {
    const changed = this.createSocketCount !== this.createSocketCountLastCheck || this.createSocketErrorCount !== this.createSocketErrorCountLastCheck || this.closeSocketCount !== this.closeSocketCountLastCheck || this.errorSocketCount !== this.errorSocketCountLastCheck || this.timeoutSocketCount !== this.timeoutSocketCountLastCheck || this.requestCount !== this.requestCountLastCheck;

    if (changed) {
      this.createSocketCountLastCheck = this.createSocketCount;
      this.createSocketErrorCountLastCheck = this.createSocketErrorCount;
      this.closeSocketCountLastCheck = this.closeSocketCount;
      this.errorSocketCountLastCheck = this.errorSocketCount;
      this.timeoutSocketCountLastCheck = this.timeoutSocketCount;
      this.requestCountLastCheck = this.requestCount;
    }

    return changed;
  }

  getCurrentStatus() {
    return {
      createSocketCount: this.createSocketCount,
      createSocketErrorCount: this.createSocketErrorCount,
      closeSocketCount: this.closeSocketCount,
      errorSocketCount: this.errorSocketCount,
      timeoutSocketCount: this.timeoutSocketCount,
      requestCount: this.requestCount,
      freeSockets: inspect(this.freeSockets),
      sockets: inspect(this.sockets),
      requests: inspect(this.requests)
    };
  }

}

module.exports = Agent;

function inspect(obj) {
  const res = {};

  for (const key in obj) {
    res[key] = obj[key].length;
  }

  return res;
}

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/https_agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/**
 * Https Agent base on custom http agent
 */


const https = __webpack_require__("https");

const HttpAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/lib/agent.js");

const OriginalHttpsAgent = https.Agent;

class HttpsAgent extends HttpAgent {
  constructor(options) {
    super(options);
    this.defaultPort = 443;
    this.protocol = 'https:';
    this.maxCachedSessions = this.options.maxCachedSessions;

    if (this.maxCachedSessions === undefined) {
      this.maxCachedSessions = 100;
    }

    this._sessionCache = {
      map: {},
      list: []
    };
  }

}

['createConnection', 'getName', '_getSession', '_cacheSession', // https://github.com/nodejs/node/pull/4982
'_evictSession'].forEach(function (method) {
  if (typeof OriginalHttpsAgent.prototype[method] === 'function') {
    HttpsAgent.prototype[method] = OriginalHttpsAgent.prototype[method];
  }
});
module.exports = HttpsAgent;

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/agent.js");
module.exports.HttpsAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/https_agent.js");
module.exports.constants = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/constants.js");

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const OriginalAgent = __webpack_require__("http").Agent;

const ms = __webpack_require__("./node_modules/.f/_/humanize-ms/1.2.1/humanize-ms/index.js");

const debug = __webpack_require__("./stubs/debug.js")('agentkeepalive');

const deprecate = __webpack_require__("./node_modules/.f/_/depd/1.1.2/depd/index.js")('agentkeepalive');

const {
  INIT_SOCKET,
  CURRENT_ID,
  CREATE_ID,
  SOCKET_CREATED_TIME,
  SOCKET_NAME,
  SOCKET_REQUEST_COUNT,
  SOCKET_REQUEST_FINISHED_COUNT
} = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/constants.js"); // OriginalAgent come from
// - https://github.com/nodejs/node/blob/v8.12.0/lib/_http_agent.js
// - https://github.com/nodejs/node/blob/v10.12.0/lib/_http_agent.js
// node <= 10


let defaultTimeoutListenerCount = 1;
const majorVersion = parseInt(process.version.split('.', 1)[0].substring(1));

if (majorVersion >= 11 && majorVersion <= 12) {
  defaultTimeoutListenerCount = 2;
} else if (majorVersion >= 13) {
  defaultTimeoutListenerCount = 3;
}

class Agent extends OriginalAgent {
  constructor(options) {
    options = options || {};
    options.keepAlive = options.keepAlive !== false; // default is keep-alive and 15s free socket timeout

    if (options.freeSocketTimeout === undefined) {
      options.freeSocketTimeout = 15000;
    } // Legacy API: keepAliveTimeout should be rename to `freeSocketTimeout`


    if (options.keepAliveTimeout) {
      deprecate('options.keepAliveTimeout is deprecated, please use options.freeSocketTimeout instead');
      options.freeSocketTimeout = options.keepAliveTimeout;
      delete options.keepAliveTimeout;
    } // Legacy API: freeSocketKeepAliveTimeout should be rename to `freeSocketTimeout`


    if (options.freeSocketKeepAliveTimeout) {
      deprecate('options.freeSocketKeepAliveTimeout is deprecated, please use options.freeSocketTimeout instead');
      options.freeSocketTimeout = options.freeSocketKeepAliveTimeout;
      delete options.freeSocketKeepAliveTimeout;
    } // Sets the socket to timeout after timeout milliseconds of inactivity on the socket.
    // By default is double free socket timeout.


    if (options.timeout === undefined) {
      // make sure socket default inactivity timeout >= 30s
      options.timeout = Math.max(options.freeSocketTimeout * 2, 30000);
    } // support humanize format


    options.timeout = ms(options.timeout);
    options.freeSocketTimeout = ms(options.freeSocketTimeout);
    options.socketActiveTTL = options.socketActiveTTL ? ms(options.socketActiveTTL) : 0;
    super(options);
    this[CURRENT_ID] = 0; // create socket success counter

    this.createSocketCount = 0;
    this.createSocketCountLastCheck = 0;
    this.createSocketErrorCount = 0;
    this.createSocketErrorCountLastCheck = 0;
    this.closeSocketCount = 0;
    this.closeSocketCountLastCheck = 0; // socket error event count

    this.errorSocketCount = 0;
    this.errorSocketCountLastCheck = 0; // request finished counter

    this.requestCount = 0;
    this.requestCountLastCheck = 0; // including free socket timeout counter

    this.timeoutSocketCount = 0;
    this.timeoutSocketCountLastCheck = 0;
    this.on('free', socket => {
      // https://github.com/nodejs/node/pull/32000
      // Node.js native agent will check socket timeout eqs agent.options.timeout.
      // Use the ttl or freeSocketTimeout to overwrite.
      const timeout = this.calcSocketTimeout(socket);

      if (timeout > 0 && socket.timeout !== timeout) {
        socket.setTimeout(timeout);
      }
    });
  }

  get freeSocketKeepAliveTimeout() {
    deprecate('agent.freeSocketKeepAliveTimeout is deprecated, please use agent.options.freeSocketTimeout instead');
    return this.options.freeSocketTimeout;
  }

  get timeout() {
    deprecate('agent.timeout is deprecated, please use agent.options.timeout instead');
    return this.options.timeout;
  }

  get socketActiveTTL() {
    deprecate('agent.socketActiveTTL is deprecated, please use agent.options.socketActiveTTL instead');
    return this.options.socketActiveTTL;
  }

  calcSocketTimeout(socket) {
    /**
     * return <= 0: should free socket
     * return > 0: should update socket timeout
     * return undefined: not find custom timeout
     */
    let freeSocketTimeout = this.options.freeSocketTimeout;
    const socketActiveTTL = this.options.socketActiveTTL;

    if (socketActiveTTL) {
      // check socketActiveTTL
      const aliveTime = Date.now() - socket[SOCKET_CREATED_TIME];
      const diff = socketActiveTTL - aliveTime;

      if (diff <= 0) {
        return diff;
      }

      if (freeSocketTimeout && diff < freeSocketTimeout) {
        freeSocketTimeout = diff;
      }
    } // set freeSocketTimeout


    if (freeSocketTimeout) {
      // set free keepalive timer
      // try to use socket custom freeSocketTimeout first, support headers['keep-alive']
      // https://github.com/node-modules/urllib/blob/b76053020923f4d99a1c93cf2e16e0c5ba10bacf/lib/urllib.js#L498
      const customFreeSocketTimeout = socket.freeSocketTimeout || socket.freeSocketKeepAliveTimeout;
      return customFreeSocketTimeout || freeSocketTimeout;
    }
  }

  keepSocketAlive(socket) {
    const result = super.keepSocketAlive(socket); // should not keepAlive, do nothing

    if (!result) return result;
    const customTimeout = this.calcSocketTimeout(socket);

    if (typeof customTimeout === 'undefined') {
      return true;
    }

    if (customTimeout <= 0) {
      debug('%s(requests: %s, finished: %s) free but need to destroy by TTL, request count %s, diff is %s', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT], customTimeout);
      return false;
    }

    if (socket.timeout !== customTimeout) {
      socket.setTimeout(customTimeout);
    }

    return true;
  } // only call on addRequest


  reuseSocket(...args) {
    // reuseSocket(socket, req)
    super.reuseSocket(...args);
    const socket = args[0];
    const req = args[1];
    req.reusedSocket = true;
    const agentTimeout = this.options.timeout;

    if (getSocketTimeout(socket) !== agentTimeout) {
      // reset timeout before use
      socket.setTimeout(agentTimeout);
      debug('%s reset timeout to %sms', socket[SOCKET_NAME], agentTimeout);
    }

    socket[SOCKET_REQUEST_COUNT]++;
    debug('%s(requests: %s, finished: %s) reuse on addRequest, timeout %sms', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT], getSocketTimeout(socket));
  }

  [CREATE_ID]() {
    const id = this[CURRENT_ID]++;
    if (this[CURRENT_ID] === Number.MAX_SAFE_INTEGER) this[CURRENT_ID] = 0;
    return id;
  }

  [INIT_SOCKET](socket, options) {
    // bugfix here.
    // https on node 8, 10 won't set agent.options.timeout by default
    // TODO: need to fix on node itself
    if (options.timeout) {
      const timeout = getSocketTimeout(socket);

      if (!timeout) {
        socket.setTimeout(options.timeout);
      }
    }

    if (this.options.keepAlive) {
      // Disable Nagle's algorithm: http://blog.caustik.com/2012/04/08/scaling-node-js-to-100k-concurrent-connections/
      // https://fengmk2.com/benchmark/nagle-algorithm-delayed-ack-mock.html
      socket.setNoDelay(true);
    }

    this.createSocketCount++;

    if (this.options.socketActiveTTL) {
      socket[SOCKET_CREATED_TIME] = Date.now();
    } // don't show the hole '-----BEGIN CERTIFICATE----' key string


    socket[SOCKET_NAME] = `sock[${this[CREATE_ID]()}#${options._agentKey}]`.split('-----BEGIN', 1)[0];
    socket[SOCKET_REQUEST_COUNT] = 1;
    socket[SOCKET_REQUEST_FINISHED_COUNT] = 0;
    installListeners(this, socket, options);
  }

  createConnection(options, oncreate) {
    let called = false;

    const onNewCreate = (err, socket) => {
      if (called) return;
      called = true;

      if (err) {
        this.createSocketErrorCount++;
        return oncreate(err);
      }

      this[INIT_SOCKET](socket, options);
      oncreate(err, socket);
    };

    const newSocket = super.createConnection(options, onNewCreate);
    if (newSocket) onNewCreate(null, newSocket);
  }

  get statusChanged() {
    const changed = this.createSocketCount !== this.createSocketCountLastCheck || this.createSocketErrorCount !== this.createSocketErrorCountLastCheck || this.closeSocketCount !== this.closeSocketCountLastCheck || this.errorSocketCount !== this.errorSocketCountLastCheck || this.timeoutSocketCount !== this.timeoutSocketCountLastCheck || this.requestCount !== this.requestCountLastCheck;

    if (changed) {
      this.createSocketCountLastCheck = this.createSocketCount;
      this.createSocketErrorCountLastCheck = this.createSocketErrorCount;
      this.closeSocketCountLastCheck = this.closeSocketCount;
      this.errorSocketCountLastCheck = this.errorSocketCount;
      this.timeoutSocketCountLastCheck = this.timeoutSocketCount;
      this.requestCountLastCheck = this.requestCount;
    }

    return changed;
  }

  getCurrentStatus() {
    return {
      createSocketCount: this.createSocketCount,
      createSocketErrorCount: this.createSocketErrorCount,
      closeSocketCount: this.closeSocketCount,
      errorSocketCount: this.errorSocketCount,
      timeoutSocketCount: this.timeoutSocketCount,
      requestCount: this.requestCount,
      freeSockets: inspect(this.freeSockets),
      sockets: inspect(this.sockets),
      requests: inspect(this.requests)
    };
  }

} // node 8 don't has timeout attribute on socket
// https://github.com/nodejs/node/pull/21204/files#diff-e6ef024c3775d787c38487a6309e491dR408


function getSocketTimeout(socket) {
  return socket.timeout || socket._idleTimeout;
}

function installListeners(agent, socket, options) {
  debug('%s create, timeout %sms', socket[SOCKET_NAME], getSocketTimeout(socket)); // listener socket events: close, timeout, error, free

  function onFree() {
    // create and socket.emit('free') logic
    // https://github.com/nodejs/node/blob/master/lib/_http_agent.js#L311
    // no req on the socket, it should be the new socket
    if (!socket._httpMessage && socket[SOCKET_REQUEST_COUNT] === 1) return;
    socket[SOCKET_REQUEST_FINISHED_COUNT]++;
    agent.requestCount++;
    debug('%s(requests: %s, finished: %s) free', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT]); // should reuse on pedding requests?

    const name = agent.getName(options);

    if (socket.writable && agent.requests[name] && agent.requests[name].length) {
      // will be reuse on agent free listener
      socket[SOCKET_REQUEST_COUNT]++;
      debug('%s(requests: %s, finished: %s) will be reuse on agent free event', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT]);
    }
  }

  socket.on('free', onFree);

  function onClose(isError) {
    debug('%s(requests: %s, finished: %s) close, isError: %s', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT], isError);
    agent.closeSocketCount++;
  }

  socket.on('close', onClose); // start socket timeout handler

  function onTimeout() {
    // onTimeout and emitRequestTimeout(_http_client.js)
    // https://github.com/nodejs/node/blob/v12.x/lib/_http_client.js#L711
    const listenerCount = socket.listeners('timeout').length; // node <= 10, default listenerCount is 1, onTimeout
    // 11 < node <= 12, default listenerCount is 2, onTimeout and emitRequestTimeout
    // node >= 13, default listenerCount is 3, onTimeout,
    //   onTimeout(https://github.com/nodejs/node/pull/32000/files#diff-5f7fb0850412c6be189faeddea6c5359R333)
    //   and emitRequestTimeout

    const timeout = getSocketTimeout(socket);
    const req = socket._httpMessage;
    const reqTimeoutListenerCount = req && req.listeners('timeout').length || 0;
    debug('%s(requests: %s, finished: %s) timeout after %sms, listeners %s, defaultTimeoutListenerCount %s, hasHttpRequest %s, HttpRequest timeoutListenerCount %s', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT], timeout, listenerCount, defaultTimeoutListenerCount, !!req, reqTimeoutListenerCount);

    if (debug.enabled) {
      debug('timeout listeners: %s', socket.listeners('timeout').map(f => f.name).join(', '));
    }

    agent.timeoutSocketCount++;
    const name = agent.getName(options);

    if (agent.freeSockets[name] && agent.freeSockets[name].indexOf(socket) !== -1) {
      // free socket timeout, destroy quietly
      socket.destroy(); // Remove it from freeSockets list immediately to prevent new requests
      // from being sent through this socket.

      agent.removeSocket(socket, options);
      debug('%s is free, destroy quietly', socket[SOCKET_NAME]);
    } else {
      // if there is no any request socket timeout handler,
      // agent need to handle socket timeout itself.
      //
      // custom request socket timeout handle logic must follow these rules:
      //  1. Destroy socket first
      //  2. Must emit socket 'agentRemove' event tell agent remove socket
      //     from freeSockets list immediately.
      //     Otherise you may be get 'socket hang up' error when reuse
      //     free socket and timeout happen in the same time.
      if (reqTimeoutListenerCount === 0) {
        const error = new Error('Socket timeout');
        error.code = 'ERR_SOCKET_TIMEOUT';
        error.timeout = timeout; // must manually call socket.end() or socket.destroy() to end the connection.
        // https://nodejs.org/dist/latest-v10.x/docs/api/net.html#net_socket_settimeout_timeout_callback

        socket.destroy(error);
        agent.removeSocket(socket, options);
        debug('%s destroy with timeout error', socket[SOCKET_NAME]);
      }
    }
  }

  socket.on('timeout', onTimeout);

  function onError(err) {
    const listenerCount = socket.listeners('error').length;
    debug('%s(requests: %s, finished: %s) error: %s, listenerCount: %s', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT], err, listenerCount);
    agent.errorSocketCount++;

    if (listenerCount === 1) {
      // if socket don't contain error event handler, don't catch it, emit it again
      debug('%s emit uncaught error event', socket[SOCKET_NAME]);
      socket.removeListener('error', onError);
      socket.emit('error', err);
    }
  }

  socket.on('error', onError);

  function onRemove() {
    debug('%s(requests: %s, finished: %s) agentRemove', socket[SOCKET_NAME], socket[SOCKET_REQUEST_COUNT], socket[SOCKET_REQUEST_FINISHED_COUNT]); // We need this function for cases like HTTP 'upgrade'
    // (defined by WebSockets) where we need to remove a socket from the
    // pool because it'll be locked up indefinitely

    socket.removeListener('close', onClose);
    socket.removeListener('error', onError);
    socket.removeListener('free', onFree);
    socket.removeListener('timeout', onTimeout);
    socket.removeListener('agentRemove', onRemove);
  }

  socket.on('agentRemove', onRemove);
}

module.exports = Agent;

function inspect(obj) {
  const res = {};

  for (const key in obj) {
    res[key] = obj[key].length;
  }

  return res;
}

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/constants.js":
/***/ ((module) => {

"use strict";


module.exports = {
  // agent
  CURRENT_ID: Symbol('agentkeepalive#currentId'),
  CREATE_ID: Symbol('agentkeepalive#createId'),
  INIT_SOCKET: Symbol('agentkeepalive#initSocket'),
  CREATE_HTTPS_CONNECTION: Symbol('agentkeepalive#createHttpsConnection'),
  // socket
  SOCKET_CREATED_TIME: Symbol('agentkeepalive#socketCreatedTime'),
  SOCKET_NAME: Symbol('agentkeepalive#socketName'),
  SOCKET_REQUEST_COUNT: Symbol('agentkeepalive#socketRequestCount'),
  SOCKET_REQUEST_FINISHED_COUNT: Symbol('agentkeepalive#socketRequestFinishedCount')
};

/***/ }),

/***/ "./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/https_agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const OriginalHttpsAgent = __webpack_require__("https").Agent;

const HttpAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/agent.js");

const {
  INIT_SOCKET,
  CREATE_HTTPS_CONNECTION
} = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/lib/constants.js");

class HttpsAgent extends HttpAgent {
  constructor(options) {
    super(options);
    this.defaultPort = 443;
    this.protocol = 'https:';
    this.maxCachedSessions = this.options.maxCachedSessions;
    /* istanbul ignore next */

    if (this.maxCachedSessions === undefined) {
      this.maxCachedSessions = 100;
    }

    this._sessionCache = {
      map: {},
      list: []
    };
  }

  createConnection(options) {
    const socket = this[CREATE_HTTPS_CONNECTION](options);
    this[INIT_SOCKET](socket, options);
    return socket;
  }

} // https://github.com/nodejs/node/blob/master/lib/https.js#L89


HttpsAgent.prototype[CREATE_HTTPS_CONNECTION] = OriginalHttpsAgent.prototype.createConnection;
['getName', '_getSession', '_cacheSession', // https://github.com/nodejs/node/pull/4982
'_evictSession'].forEach(function (method) {
  /* istanbul ignore next */
  if (typeof OriginalHttpsAgent.prototype[method] === 'function') {
    HttpsAgent.prototype[method] = OriginalHttpsAgent.prototype[method];
  }
});
module.exports = HttpsAgent;

/***/ }),

/***/ "./node_modules/.f/_/aggregate-error/3.1.0/aggregate-error/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const indentString = __webpack_require__("./node_modules/.f/_/indent-string/4.0.0/indent-string/index.js");

const cleanStack = __webpack_require__("./node_modules/.f/_/clean-stack/2.2.0/clean-stack/index.js");

const cleanInternalStack = stack => stack.replace(/\s+at .*aggregate-error\/index.js:\d+:\d+\)?/g, '');

class AggregateError extends Error {
  constructor(errors) {
    if (!Array.isArray(errors)) {
      throw new TypeError(`Expected input to be an Array, got ${typeof errors}`);
    }

    errors = [...errors].map(error => {
      if (error instanceof Error) {
        return error;
      }

      if (error !== null && typeof error === 'object') {
        // Handle plain error objects with message property and/or possibly other metadata
        return Object.assign(new Error(error.message), error);
      }

      return new Error(error);
    });
    let message = errors.map(error => {
      // The `stack` property is not standardized, so we can't assume it exists
      return typeof error.stack === 'string' ? cleanInternalStack(cleanStack(error.stack)) : String(error);
    }).join('\n');
    message = '\n' + indentString(message, 4);
    super(message);
    this.name = 'AggregateError';
    Object.defineProperty(this, '_errors', {
      value: errors
    });
  }

  *[Symbol.iterator]() {
    for (const error of this._errors) {
      yield error;
    }
  }

}

module.exports = AggregateError;

/***/ }),

/***/ "./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const isObject = val => val !== null && typeof val === 'object' && !Array.isArray(val);

const identity = val => val;
/* eslint-disable no-control-regex */
// this is a modified version of https://github.com/chalk/ansi-regex (MIT License)


const ANSI_REGEX = /[\u001b\u009b][[\]#;?()]*(?:(?:(?:[^\W_]*;?[^\W_]*)\u0007)|(?:(?:[0-9]{1,4}(;[0-9]{0,4})*)?[~0-9=<>cf-nqrtyA-PRZ]))/g;

const create = () => {
  const colors = {
    enabled: true,
    visible: true,
    styles: {},
    keys: {}
  };

  if ('FORCE_COLOR' in process.env) {
    colors.enabled = process.env.FORCE_COLOR !== '0';
  }

  const ansi = style => {
    let open = style.open = `\u001b[${style.codes[0]}m`;
    let close = style.close = `\u001b[${style.codes[1]}m`;
    let regex = style.regex = new RegExp(`\\u001b\\[${style.codes[1]}m`, 'g');

    style.wrap = (input, newline) => {
      if (input.includes(close)) input = input.replace(regex, close + open);
      let output = open + input + close; // see https://github.com/chalk/chalk/pull/92, thanks to the
      // chalk contributors for this fix. However, we've confirmed that
      // this issue is also present in Windows terminals

      return newline ? output.replace(/\r*\n/g, `${close}$&${open}`) : output;
    };

    return style;
  };

  const wrap = (style, input, newline) => {
    return typeof style === 'function' ? style(input) : style.wrap(input, newline);
  };

  const style = (input, stack) => {
    if (input === '' || input == null) return '';
    if (colors.enabled === false) return input;
    if (colors.visible === false) return '';
    let str = '' + input;
    let nl = str.includes('\n');
    let n = stack.length;

    if (n > 0 && stack.includes('unstyle')) {
      stack = [...new Set(['unstyle', ...stack])].reverse();
    }

    while (n-- > 0) str = wrap(colors.styles[stack[n]], str, nl);

    return str;
  };

  const define = (name, codes, type) => {
    colors.styles[name] = ansi({
      name,
      codes
    });
    let keys = colors.keys[type] || (colors.keys[type] = []);
    keys.push(name);
    Reflect.defineProperty(colors, name, {
      configurable: true,
      enumerable: true,

      set(value) {
        colors.alias(name, value);
      },

      get() {
        let color = input => style(input, color.stack);

        Reflect.setPrototypeOf(color, colors);
        color.stack = this.stack ? this.stack.concat(name) : [name];
        return color;
      }

    });
  };

  define('reset', [0, 0], 'modifier');
  define('bold', [1, 22], 'modifier');
  define('dim', [2, 22], 'modifier');
  define('italic', [3, 23], 'modifier');
  define('underline', [4, 24], 'modifier');
  define('inverse', [7, 27], 'modifier');
  define('hidden', [8, 28], 'modifier');
  define('strikethrough', [9, 29], 'modifier');
  define('black', [30, 39], 'color');
  define('red', [31, 39], 'color');
  define('green', [32, 39], 'color');
  define('yellow', [33, 39], 'color');
  define('blue', [34, 39], 'color');
  define('magenta', [35, 39], 'color');
  define('cyan', [36, 39], 'color');
  define('white', [37, 39], 'color');
  define('gray', [90, 39], 'color');
  define('grey', [90, 39], 'color');
  define('bgBlack', [40, 49], 'bg');
  define('bgRed', [41, 49], 'bg');
  define('bgGreen', [42, 49], 'bg');
  define('bgYellow', [43, 49], 'bg');
  define('bgBlue', [44, 49], 'bg');
  define('bgMagenta', [45, 49], 'bg');
  define('bgCyan', [46, 49], 'bg');
  define('bgWhite', [47, 49], 'bg');
  define('blackBright', [90, 39], 'bright');
  define('redBright', [91, 39], 'bright');
  define('greenBright', [92, 39], 'bright');
  define('yellowBright', [93, 39], 'bright');
  define('blueBright', [94, 39], 'bright');
  define('magentaBright', [95, 39], 'bright');
  define('cyanBright', [96, 39], 'bright');
  define('whiteBright', [97, 39], 'bright');
  define('bgBlackBright', [100, 49], 'bgBright');
  define('bgRedBright', [101, 49], 'bgBright');
  define('bgGreenBright', [102, 49], 'bgBright');
  define('bgYellowBright', [103, 49], 'bgBright');
  define('bgBlueBright', [104, 49], 'bgBright');
  define('bgMagentaBright', [105, 49], 'bgBright');
  define('bgCyanBright', [106, 49], 'bgBright');
  define('bgWhiteBright', [107, 49], 'bgBright');
  colors.ansiRegex = ANSI_REGEX;

  colors.hasColor = colors.hasAnsi = str => {
    colors.ansiRegex.lastIndex = 0;
    return typeof str === 'string' && str !== '' && colors.ansiRegex.test(str);
  };

  colors.alias = (name, color) => {
    let fn = typeof color === 'string' ? colors[color] : color;

    if (typeof fn !== 'function') {
      throw new TypeError('Expected alias to be the name of an existing color (string) or a function');
    }

    if (!fn.stack) {
      Reflect.defineProperty(fn, 'name', {
        value: name
      });
      colors.styles[name] = fn;
      fn.stack = [name];
    }

    Reflect.defineProperty(colors, name, {
      configurable: true,
      enumerable: true,

      set(value) {
        colors.alias(name, value);
      },

      get() {
        let color = input => style(input, color.stack);

        Reflect.setPrototypeOf(color, colors);
        color.stack = this.stack ? this.stack.concat(fn.stack) : fn.stack;
        return color;
      }

    });
  };

  colors.theme = custom => {
    if (!isObject(custom)) throw new TypeError('Expected theme to be an object');

    for (let name of Object.keys(custom)) {
      colors.alias(name, custom[name]);
    }

    return colors;
  };

  colors.alias('unstyle', str => {
    if (typeof str === 'string' && str !== '') {
      colors.ansiRegex.lastIndex = 0;
      return str.replace(colors.ansiRegex, '');
    }

    return '';
  });
  colors.alias('noop', str => str);
  colors.none = colors.clear = colors.noop;
  colors.stripColor = colors.unstyle;
  colors.symbols = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/symbols.js");
  colors.define = define;
  return colors;
};

module.exports = create();
module.exports.create = create;

/***/ }),

/***/ "./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/symbols.js":
/***/ ((module) => {

"use strict";


const isHyper = process.env.TERM_PROGRAM === 'Hyper';
const isWindows = process.platform === 'win32';
const isLinux = process.platform === 'linux';
const common = {
  ballotDisabled: '☒',
  ballotOff: '☐',
  ballotOn: '☑',
  bullet: '•',
  bulletWhite: '◦',
  fullBlock: '█',
  heart: '❤',
  identicalTo: '≡',
  line: '─',
  mark: '※',
  middot: '·',
  minus: '－',
  multiplication: '×',
  obelus: '÷',
  pencilDownRight: '✎',
  pencilRight: '✏',
  pencilUpRight: '✐',
  percent: '%',
  pilcrow2: '❡',
  pilcrow: '¶',
  plusMinus: '±',
  section: '§',
  starsOff: '☆',
  starsOn: '★',
  upDownArrow: '↕'
};
const windows = Object.assign({}, common, {
  check: '√',
  cross: '×',
  ellipsisLarge: '...',
  ellipsis: '...',
  info: 'i',
  question: '?',
  questionSmall: '?',
  pointer: '>',
  pointerSmall: '»',
  radioOff: '( )',
  radioOn: '(*)',
  warning: '‼'
});
const other = Object.assign({}, common, {
  ballotCross: '✘',
  check: '✔',
  cross: '✖',
  ellipsisLarge: '⋯',
  ellipsis: '…',
  info: 'ℹ',
  question: '?',
  questionFull: '？',
  questionSmall: '﹖',
  pointer: isLinux ? '▸' : '❯',
  pointerSmall: isLinux ? '‣' : '›',
  radioOff: '◯',
  radioOn: '◉',
  warning: '⚠'
});
module.exports = isWindows && !isHyper ? windows : other;
Reflect.defineProperty(module.exports, 'common', {
  enumerable: false,
  value: common
});
Reflect.defineProperty(module.exports, 'windows', {
  enumerable: false,
  value: windows
});
Reflect.defineProperty(module.exports, 'other', {
  enumerable: false,
  value: other
});

/***/ }),

/***/ "./node_modules/.f/_/ansi-escapes/4.3.1/ansi-escapes/index.js":
/***/ ((module) => {

"use strict";


const ansiEscapes = module.exports; // TODO: remove this in the next major version

module.exports["default"] = ansiEscapes;
const ESC = '\u001B[';
const OSC = '\u001B]';
const BEL = '\u0007';
const SEP = ';';
const isTerminalApp = process.env.TERM_PROGRAM === 'Apple_Terminal';

ansiEscapes.cursorTo = (x, y) => {
  if (typeof x !== 'number') {
    throw new TypeError('The `x` argument is required');
  }

  if (typeof y !== 'number') {
    return ESC + (x + 1) + 'G';
  }

  return ESC + (y + 1) + ';' + (x + 1) + 'H';
};

ansiEscapes.cursorMove = (x, y) => {
  if (typeof x !== 'number') {
    throw new TypeError('The `x` argument is required');
  }

  let ret = '';

  if (x < 0) {
    ret += ESC + -x + 'D';
  } else if (x > 0) {
    ret += ESC + x + 'C';
  }

  if (y < 0) {
    ret += ESC + -y + 'A';
  } else if (y > 0) {
    ret += ESC + y + 'B';
  }

  return ret;
};

ansiEscapes.cursorUp = (count = 1) => ESC + count + 'A';

ansiEscapes.cursorDown = (count = 1) => ESC + count + 'B';

ansiEscapes.cursorForward = (count = 1) => ESC + count + 'C';

ansiEscapes.cursorBackward = (count = 1) => ESC + count + 'D';

ansiEscapes.cursorLeft = ESC + 'G';
ansiEscapes.cursorSavePosition = isTerminalApp ? '\u001B7' : ESC + 's';
ansiEscapes.cursorRestorePosition = isTerminalApp ? '\u001B8' : ESC + 'u';
ansiEscapes.cursorGetPosition = ESC + '6n';
ansiEscapes.cursorNextLine = ESC + 'E';
ansiEscapes.cursorPrevLine = ESC + 'F';
ansiEscapes.cursorHide = ESC + '?25l';
ansiEscapes.cursorShow = ESC + '?25h';

ansiEscapes.eraseLines = count => {
  let clear = '';

  for (let i = 0; i < count; i++) {
    clear += ansiEscapes.eraseLine + (i < count - 1 ? ansiEscapes.cursorUp() : '');
  }

  if (count) {
    clear += ansiEscapes.cursorLeft;
  }

  return clear;
};

ansiEscapes.eraseEndLine = ESC + 'K';
ansiEscapes.eraseStartLine = ESC + '1K';
ansiEscapes.eraseLine = ESC + '2K';
ansiEscapes.eraseDown = ESC + 'J';
ansiEscapes.eraseUp = ESC + '1J';
ansiEscapes.eraseScreen = ESC + '2J';
ansiEscapes.scrollUp = ESC + 'S';
ansiEscapes.scrollDown = ESC + 'T';
ansiEscapes.clearScreen = '\u001Bc';
ansiEscapes.clearTerminal = process.platform === 'win32' ? `${ansiEscapes.eraseScreen}${ESC}0f` : // 1. Erases the screen (Only done in case `2` is not supported)
// 2. Erases the whole screen including scrollback buffer
// 3. Moves cursor to the top-left position
// More info: https://www.real-world-systems.com/docs/ANSIcode.html
`${ansiEscapes.eraseScreen}${ESC}3J${ESC}H`;
ansiEscapes.beep = BEL;

ansiEscapes.link = (text, url) => {
  return [OSC, '8', SEP, SEP, url, BEL, text, OSC, '8', SEP, SEP, BEL].join('');
};

ansiEscapes.image = (buffer, options = {}) => {
  let ret = `${OSC}1337;File=inline=1`;

  if (options.width) {
    ret += `;width=${options.width}`;
  }

  if (options.height) {
    ret += `;height=${options.height}`;
  }

  if (options.preserveAspectRatio === false) {
    ret += ';preserveAspectRatio=0';
  }

  return ret + ':' + buffer.toString('base64') + BEL;
};

ansiEscapes.iTerm = {
  setCwd: (cwd = process.cwd()) => `${OSC}50;CurrentDir=${cwd}${BEL}`,
  annotation: (message, options = {}) => {
    let ret = `${OSC}1337;`;
    const hasX = typeof options.x !== 'undefined';
    const hasY = typeof options.y !== 'undefined';

    if ((hasX || hasY) && !(hasX && hasY && typeof options.length !== 'undefined')) {
      throw new Error('`x`, `y` and `length` must be defined when `x` or `y` is defined');
    }

    message = message.replace(/\|/g, '');
    ret += options.isHidden ? 'AddHiddenAnnotation=' : 'AddAnnotation=';

    if (options.length > 0) {
      ret += (hasX ? [message, options.length, options.x, options.y] : [options.length, message]).join('|');
    } else {
      ret += message;
    }

    return ret + BEL;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/ansi-regex/2.1.1/ansi-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = function () {
  return /[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-PRZcf-nqry=><]/g;
};

/***/ }),

/***/ "./node_modules/.f/_/ansi-regex/3.0.0/ansi-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = () => {
  const pattern = ['[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:[a-zA-Z\\d]*(?:;[a-zA-Z\\d]*)*)?\\u0007)', '(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))'].join('|');
  return new RegExp(pattern, 'g');
};

/***/ }),

/***/ "./node_modules/.f/_/ansi-regex/4.1.0/ansi-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = options => {
  options = Object.assign({
    onlyFirst: false
  }, options);
  const pattern = ['[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:[a-zA-Z\\d]*(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)', '(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))'].join('|');
  return new RegExp(pattern, options.onlyFirst ? undefined : 'g');
};

/***/ }),

/***/ "./node_modules/.f/_/ansi-regex/5.0.1/ansi-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = ({
  onlyFirst = false
} = {}) => {
  const pattern = ['[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)', '(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))'].join('|');
  return new RegExp(pattern, onlyFirst ? undefined : 'g');
};

/***/ }),

/***/ "./node_modules/.f/_/ansi-styles/4.3.0/ansi-styles/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/* module decorator */ module = __webpack_require__.nmd(module);


const wrapAnsi16 = (fn, offset) => (...args) => {
  const code = fn(...args);
  return `\u001B[${code + offset}m`;
};

const wrapAnsi256 = (fn, offset) => (...args) => {
  const code = fn(...args);
  return `\u001B[${38 + offset};5;${code}m`;
};

const wrapAnsi16m = (fn, offset) => (...args) => {
  const rgb = fn(...args);
  return `\u001B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
};

const ansi2ansi = n => n;

const rgb2rgb = (r, g, b) => [r, g, b];

const setLazyProperty = (object, property, get) => {
  Object.defineProperty(object, property, {
    get: () => {
      const value = get();
      Object.defineProperty(object, property, {
        value,
        enumerable: true,
        configurable: true
      });
      return value;
    },
    enumerable: true,
    configurable: true
  });
};
/** @type {typeof import('color-convert')} */


let colorConvert;

const makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
  if (colorConvert === undefined) {
    colorConvert = __webpack_require__("./node_modules/.f/_/color-convert/2.0.1/color-convert/index.js");
  }

  const offset = isBackground ? 10 : 0;
  const styles = {};

  for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
    const name = sourceSpace === 'ansi16' ? 'ansi' : sourceSpace;

    if (sourceSpace === targetSpace) {
      styles[name] = wrap(identity, offset);
    } else if (typeof suite === 'object') {
      styles[name] = wrap(suite[targetSpace], offset);
    }
  }

  return styles;
};

function assembleStyles() {
  const codes = new Map();
  const styles = {
    modifier: {
      reset: [0, 0],
      // 21 isn't widely supported and 22 does the same thing
      bold: [1, 22],
      dim: [2, 22],
      italic: [3, 23],
      underline: [4, 24],
      inverse: [7, 27],
      hidden: [8, 28],
      strikethrough: [9, 29]
    },
    color: {
      black: [30, 39],
      red: [31, 39],
      green: [32, 39],
      yellow: [33, 39],
      blue: [34, 39],
      magenta: [35, 39],
      cyan: [36, 39],
      white: [37, 39],
      // Bright color
      blackBright: [90, 39],
      redBright: [91, 39],
      greenBright: [92, 39],
      yellowBright: [93, 39],
      blueBright: [94, 39],
      magentaBright: [95, 39],
      cyanBright: [96, 39],
      whiteBright: [97, 39]
    },
    bgColor: {
      bgBlack: [40, 49],
      bgRed: [41, 49],
      bgGreen: [42, 49],
      bgYellow: [43, 49],
      bgBlue: [44, 49],
      bgMagenta: [45, 49],
      bgCyan: [46, 49],
      bgWhite: [47, 49],
      // Bright color
      bgBlackBright: [100, 49],
      bgRedBright: [101, 49],
      bgGreenBright: [102, 49],
      bgYellowBright: [103, 49],
      bgBlueBright: [104, 49],
      bgMagentaBright: [105, 49],
      bgCyanBright: [106, 49],
      bgWhiteBright: [107, 49]
    }
  }; // Alias bright black as gray (and grey)

  styles.color.gray = styles.color.blackBright;
  styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
  styles.color.grey = styles.color.blackBright;
  styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;

  for (const [groupName, group] of Object.entries(styles)) {
    for (const [styleName, style] of Object.entries(group)) {
      styles[styleName] = {
        open: `\u001B[${style[0]}m`,
        close: `\u001B[${style[1]}m`
      };
      group[styleName] = styles[styleName];
      codes.set(style[0], style[1]);
    }

    Object.defineProperty(styles, groupName, {
      value: group,
      enumerable: false
    });
  }

  Object.defineProperty(styles, 'codes', {
    value: codes,
    enumerable: false
  });
  styles.color.close = '\u001B[39m';
  styles.bgColor.close = '\u001B[49m';
  setLazyProperty(styles.color, 'ansi', () => makeDynamicStyles(wrapAnsi16, 'ansi16', ansi2ansi, false));
  setLazyProperty(styles.color, 'ansi256', () => makeDynamicStyles(wrapAnsi256, 'ansi256', ansi2ansi, false));
  setLazyProperty(styles.color, 'ansi16m', () => makeDynamicStyles(wrapAnsi16m, 'rgb', rgb2rgb, false));
  setLazyProperty(styles.bgColor, 'ansi', () => makeDynamicStyles(wrapAnsi16, 'ansi16', ansi2ansi, true));
  setLazyProperty(styles.bgColor, 'ansi256', () => makeDynamicStyles(wrapAnsi256, 'ansi256', ansi2ansi, true));
  setLazyProperty(styles.bgColor, 'ansi16m', () => makeDynamicStyles(wrapAnsi16m, 'rgb', rgb2rgb, true));
  return styles;
} // Make the export immutable


Object.defineProperty(module, 'exports', {
  enumerable: true,
  get: assembleStyles
});

/***/ }),

/***/ "./node_modules/.f/_/aproba/1.2.0/aproba/index.js":
/***/ ((module) => {

"use strict";


function isArguments(thingy) {
  return thingy != null && typeof thingy === 'object' && thingy.hasOwnProperty('callee');
}

var types = {
  '*': {
    label: 'any',
    check: function () {
      return true;
    }
  },
  A: {
    label: 'array',
    check: function (thingy) {
      return Array.isArray(thingy) || isArguments(thingy);
    }
  },
  S: {
    label: 'string',
    check: function (thingy) {
      return typeof thingy === 'string';
    }
  },
  N: {
    label: 'number',
    check: function (thingy) {
      return typeof thingy === 'number';
    }
  },
  F: {
    label: 'function',
    check: function (thingy) {
      return typeof thingy === 'function';
    }
  },
  O: {
    label: 'object',
    check: function (thingy) {
      return typeof thingy === 'object' && thingy != null && !types.A.check(thingy) && !types.E.check(thingy);
    }
  },
  B: {
    label: 'boolean',
    check: function (thingy) {
      return typeof thingy === 'boolean';
    }
  },
  E: {
    label: 'error',
    check: function (thingy) {
      return thingy instanceof Error;
    }
  },
  Z: {
    label: 'null',
    check: function (thingy) {
      return thingy == null;
    }
  }
};

function addSchema(schema, arity) {
  var group = arity[schema.length] = arity[schema.length] || [];
  if (group.indexOf(schema) === -1) group.push(schema);
}

var validate = module.exports = function (rawSchemas, args) {
  if (arguments.length !== 2) throw wrongNumberOfArgs(['SA'], arguments.length);
  if (!rawSchemas) throw missingRequiredArg(0, 'rawSchemas');
  if (!args) throw missingRequiredArg(1, 'args');
  if (!types.S.check(rawSchemas)) throw invalidType(0, ['string'], rawSchemas);
  if (!types.A.check(args)) throw invalidType(1, ['array'], args);
  var schemas = rawSchemas.split('|');
  var arity = {};
  schemas.forEach(function (schema) {
    for (var ii = 0; ii < schema.length; ++ii) {
      var type = schema[ii];
      if (!types[type]) throw unknownType(ii, type);
    }

    if (/E.*E/.test(schema)) throw moreThanOneError(schema);
    addSchema(schema, arity);

    if (/E/.test(schema)) {
      addSchema(schema.replace(/E.*$/, 'E'), arity);
      addSchema(schema.replace(/E/, 'Z'), arity);
      if (schema.length === 1) addSchema('', arity);
    }
  });
  var matching = arity[args.length];

  if (!matching) {
    throw wrongNumberOfArgs(Object.keys(arity), args.length);
  }

  for (var ii = 0; ii < args.length; ++ii) {
    var newMatching = matching.filter(function (schema) {
      var type = schema[ii];
      var typeCheck = types[type].check;
      return typeCheck(args[ii]);
    });

    if (!newMatching.length) {
      var labels = matching.map(function (schema) {
        return types[schema[ii]].label;
      }).filter(function (schema) {
        return schema != null;
      });
      throw invalidType(ii, labels, args[ii]);
    }

    matching = newMatching;
  }
};

function missingRequiredArg(num) {
  return newException('EMISSINGARG', 'Missing required argument #' + (num + 1));
}

function unknownType(num, type) {
  return newException('EUNKNOWNTYPE', 'Unknown type ' + type + ' in argument #' + (num + 1));
}

function invalidType(num, expectedTypes, value) {
  var valueType;
  Object.keys(types).forEach(function (typeCode) {
    if (types[typeCode].check(value)) valueType = types[typeCode].label;
  });
  return newException('EINVALIDTYPE', 'Argument #' + (num + 1) + ': Expected ' + englishList(expectedTypes) + ' but got ' + valueType);
}

function englishList(list) {
  return list.join(', ').replace(/, ([^,]+)$/, ' or $1');
}

function wrongNumberOfArgs(expected, got) {
  var english = englishList(expected);
  var args = expected.every(function (ex) {
    return ex.length === 1;
  }) ? 'argument' : 'arguments';
  return newException('EWRONGARGCOUNT', 'Expected ' + english + ' ' + args + ' but got ' + got);
}

function moreThanOneError(schema) {
  return newException('ETOOMANYERRORTYPES', 'Only one error type per argument signature is allowed, more than one found in "' + schema + '"');
}

function newException(code, msg) {
  var e = new Error(msg);
  e.code = code;
  if (Error.captureStackTrace) Error.captureStackTrace(e, validate);
  return e;
}

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


exports.TrackerGroup = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-group.js");
exports.Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker.js");
exports.TrackerStream = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-stream.js");

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-base.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var EventEmitter = __webpack_require__("events").EventEmitter;

var util = __webpack_require__("util");

var trackerId = 0;

var TrackerBase = module.exports = function (name) {
  EventEmitter.call(this);
  this.id = ++trackerId;
  this.name = name;
};

util.inherits(TrackerBase, EventEmitter);

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-group.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var TrackerBase = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-base.js");

var Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker.js");

var TrackerStream = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-stream.js");

var TrackerGroup = module.exports = function (name) {
  TrackerBase.call(this, name);
  this.parentGroup = null;
  this.trackers = [];
  this.completion = {};
  this.weight = {};
  this.totalWeight = 0;
  this.finished = false;
  this.bubbleChange = bubbleChange(this);
};

util.inherits(TrackerGroup, TrackerBase);

function bubbleChange(trackerGroup) {
  return function (name, completed, tracker) {
    trackerGroup.completion[tracker.id] = completed;
    if (trackerGroup.finished) return;
    trackerGroup.emit('change', name || trackerGroup.name, trackerGroup.completed(), trackerGroup);
  };
}

TrackerGroup.prototype.nameInTree = function () {
  var names = [];
  var from = this;

  while (from) {
    names.unshift(from.name);
    from = from.parentGroup;
  }

  return names.join('/');
};

TrackerGroup.prototype.addUnit = function (unit, weight) {
  if (unit.addUnit) {
    var toTest = this;

    while (toTest) {
      if (unit === toTest) {
        throw new Error('Attempted to add tracker group ' + unit.name + ' to tree that already includes it ' + this.nameInTree(this));
      }

      toTest = toTest.parentGroup;
    }

    unit.parentGroup = this;
  }

  this.weight[unit.id] = weight || 1;
  this.totalWeight += this.weight[unit.id];
  this.trackers.push(unit);
  this.completion[unit.id] = unit.completed();
  unit.on('change', this.bubbleChange);
  if (!this.finished) this.emit('change', unit.name, this.completion[unit.id], unit);
  return unit;
};

TrackerGroup.prototype.completed = function () {
  if (this.trackers.length === 0) return 0;
  var valPerWeight = 1 / this.totalWeight;
  var completed = 0;

  for (var ii = 0; ii < this.trackers.length; ii++) {
    var trackerId = this.trackers[ii].id;
    completed += valPerWeight * this.weight[trackerId] * this.completion[trackerId];
  }

  return completed;
};

TrackerGroup.prototype.newGroup = function (name, weight) {
  return this.addUnit(new TrackerGroup(name), weight);
};

TrackerGroup.prototype.newItem = function (name, todo, weight) {
  return this.addUnit(new Tracker(name, todo), weight);
};

TrackerGroup.prototype.newStream = function (name, todo, weight) {
  return this.addUnit(new TrackerStream(name, todo), weight);
};

TrackerGroup.prototype.finish = function () {
  this.finished = true;
  if (!this.trackers.length) this.addUnit(new Tracker(), 1, true);

  for (var ii = 0; ii < this.trackers.length; ii++) {
    var tracker = this.trackers[ii];
    tracker.finish();
    tracker.removeListener('change', this.bubbleChange);
  }

  this.emit('change', this.name, 1, this);
};

var buffer = '                                  ';

TrackerGroup.prototype.debug = function (depth) {
  depth = depth || 0;
  var indent = depth ? buffer.substr(0, depth) : '';
  var output = indent + (this.name || 'top') + ': ' + this.completed() + '\n';
  this.trackers.forEach(function (tracker) {
    if (tracker instanceof TrackerGroup) {
      output += tracker.debug(depth + 1);
    } else {
      output += indent + ' ' + tracker.name + ': ' + tracker.completed() + '\n';
    }
  });
  return output;
};

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js");

var delegate = __webpack_require__("./node_modules/.f/_/delegates/1.0.0/delegates/index.js");

var Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker.js");

var TrackerStream = module.exports = function (name, size, options) {
  stream.Transform.call(this, options);
  this.tracker = new Tracker(name, size);
  this.name = name;
  this.id = this.tracker.id;
  this.tracker.on('change', delegateChange(this));
};

util.inherits(TrackerStream, stream.Transform);

function delegateChange(trackerStream) {
  return function (name, completion, tracker) {
    trackerStream.emit('change', name, completion, trackerStream);
  };
}

TrackerStream.prototype._transform = function (data, encoding, cb) {
  this.tracker.completeWork(data.length ? data.length : 1);
  this.push(data);
  cb();
};

TrackerStream.prototype._flush = function (cb) {
  this.tracker.finish();
  cb();
};

delegate(TrackerStream.prototype, 'tracker').method('completed').method('addWork').method('finish');

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var TrackerBase = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/tracker-base.js");

var Tracker = module.exports = function (name, todo) {
  TrackerBase.call(this, name);
  this.workDone = 0;
  this.workTodo = todo || 0;
};

util.inherits(Tracker, TrackerBase);

Tracker.prototype.completed = function () {
  return this.workTodo === 0 ? 0 : this.workDone / this.workTodo;
};

Tracker.prototype.addWork = function (work) {
  this.workTodo += work;
  this.emit('change', this.name, this.completed(), this);
};

Tracker.prototype.completeWork = function (work) {
  this.workDone += work;
  if (this.workDone > this.workTodo) this.workDone = this.workTodo;
  this.emit('change', this.name, this.completed(), this);
};

Tracker.prototype.finish = function () {
  this.workTodo = this.workDone = 1;
  this.emit('change', this.name, 1, this);
};

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


exports.TrackerGroup = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-group.js");
exports.Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker.js");
exports.TrackerStream = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-stream.js");

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-base.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var EventEmitter = __webpack_require__("events").EventEmitter;

var util = __webpack_require__("util");

var trackerId = 0;

var TrackerBase = module.exports = function (name) {
  EventEmitter.call(this);
  this.id = ++trackerId;
  this.name = name;
};

util.inherits(TrackerBase, EventEmitter);

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-group.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var TrackerBase = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-base.js");

var Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker.js");

var TrackerStream = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-stream.js");

var TrackerGroup = module.exports = function (name) {
  TrackerBase.call(this, name);
  this.parentGroup = null;
  this.trackers = [];
  this.completion = {};
  this.weight = {};
  this.totalWeight = 0;
  this.finished = false;
  this.bubbleChange = bubbleChange(this);
};

util.inherits(TrackerGroup, TrackerBase);

function bubbleChange(trackerGroup) {
  return function (name, completed, tracker) {
    trackerGroup.completion[tracker.id] = completed;

    if (trackerGroup.finished) {
      return;
    }

    trackerGroup.emit('change', name || trackerGroup.name, trackerGroup.completed(), trackerGroup);
  };
}

TrackerGroup.prototype.nameInTree = function () {
  var names = [];
  var from = this;

  while (from) {
    names.unshift(from.name);
    from = from.parentGroup;
  }

  return names.join('/');
};

TrackerGroup.prototype.addUnit = function (unit, weight) {
  if (unit.addUnit) {
    var toTest = this;

    while (toTest) {
      if (unit === toTest) {
        throw new Error('Attempted to add tracker group ' + unit.name + ' to tree that already includes it ' + this.nameInTree(this));
      }

      toTest = toTest.parentGroup;
    }

    unit.parentGroup = this;
  }

  this.weight[unit.id] = weight || 1;
  this.totalWeight += this.weight[unit.id];
  this.trackers.push(unit);
  this.completion[unit.id] = unit.completed();
  unit.on('change', this.bubbleChange);

  if (!this.finished) {
    this.emit('change', unit.name, this.completion[unit.id], unit);
  }

  return unit;
};

TrackerGroup.prototype.completed = function () {
  if (this.trackers.length === 0) {
    return 0;
  }

  var valPerWeight = 1 / this.totalWeight;
  var completed = 0;

  for (var ii = 0; ii < this.trackers.length; ii++) {
    var trackerId = this.trackers[ii].id;
    completed += valPerWeight * this.weight[trackerId] * this.completion[trackerId];
  }

  return completed;
};

TrackerGroup.prototype.newGroup = function (name, weight) {
  return this.addUnit(new TrackerGroup(name), weight);
};

TrackerGroup.prototype.newItem = function (name, todo, weight) {
  return this.addUnit(new Tracker(name, todo), weight);
};

TrackerGroup.prototype.newStream = function (name, todo, weight) {
  return this.addUnit(new TrackerStream(name, todo), weight);
};

TrackerGroup.prototype.finish = function () {
  this.finished = true;

  if (!this.trackers.length) {
    this.addUnit(new Tracker(), 1, true);
  }

  for (var ii = 0; ii < this.trackers.length; ii++) {
    var tracker = this.trackers[ii];
    tracker.finish();
    tracker.removeListener('change', this.bubbleChange);
  }

  this.emit('change', this.name, 1, this);
};

var buffer = '                                  ';

TrackerGroup.prototype.debug = function (depth) {
  depth = depth || 0;
  var indent = depth ? buffer.substr(0, depth) : '';
  var output = indent + (this.name || 'top') + ': ' + this.completed() + '\n';
  this.trackers.forEach(function (tracker) {
    if (tracker instanceof TrackerGroup) {
      output += tracker.debug(depth + 1);
    } else {
      output += indent + ' ' + tracker.name + ': ' + tracker.completed() + '\n';
    }
  });
  return output;
};

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js");

var delegate = __webpack_require__("./node_modules/.f/_/delegates/1.0.0/delegates/index.js");

var Tracker = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker.js");

var TrackerStream = module.exports = function (name, size, options) {
  stream.Transform.call(this, options);
  this.tracker = new Tracker(name, size);
  this.name = name;
  this.id = this.tracker.id;
  this.tracker.on('change', delegateChange(this));
};

util.inherits(TrackerStream, stream.Transform);

function delegateChange(trackerStream) {
  return function (name, completion, tracker) {
    trackerStream.emit('change', name, completion, trackerStream);
  };
}

TrackerStream.prototype._transform = function (data, encoding, cb) {
  this.tracker.completeWork(data.length ? data.length : 1);
  this.push(data);
  cb();
};

TrackerStream.prototype._flush = function (cb) {
  this.tracker.finish();
  cb();
};

delegate(TrackerStream.prototype, 'tracker').method('completed').method('addWork').method('finish');

/***/ }),

/***/ "./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var TrackerBase = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/tracker-base.js");

var Tracker = module.exports = function (name, todo) {
  TrackerBase.call(this, name);
  this.workDone = 0;
  this.workTodo = todo || 0;
};

util.inherits(Tracker, TrackerBase);

Tracker.prototype.completed = function () {
  return this.workTodo === 0 ? 0 : this.workDone / this.workTodo;
};

Tracker.prototype.addWork = function (work) {
  this.workTodo += work;
  this.emit('change', this.name, this.completed(), this);
};

Tracker.prototype.completeWork = function (work) {
  this.workDone += work;

  if (this.workDone > this.workTodo) {
    this.workDone = this.workTodo;
  }

  this.emit('change', this.name, this.completed(), this);
};

Tracker.prototype.finish = function () {
  this.workTodo = this.workDone = 1;
  this.emit('change', this.name, 1, this);
};

/***/ }),

/***/ "./node_modules/.f/_/astral-regex/2.0.0/astral-regex/index.js":
/***/ ((module) => {

"use strict";


const regex = '[\uD800-\uDBFF][\uDC00-\uDFFF]';

const astralRegex = options => options && options.exact ? new RegExp(`^${regex}$`) : new RegExp(regex, 'g');

module.exports = astralRegex;

/***/ }),

/***/ "./node_modules/.f/_/balanced-match/1.0.0/balanced-match/index.js":
/***/ ((module) => {

"use strict";


module.exports = balanced;

function balanced(a, b, str) {
  if (a instanceof RegExp) a = maybeMatch(a, str);
  if (b instanceof RegExp) b = maybeMatch(b, str);
  var r = range(a, b, str);
  return r && {
    start: r[0],
    end: r[1],
    pre: str.slice(0, r[0]),
    body: str.slice(r[0] + a.length, r[1]),
    post: str.slice(r[1] + b.length)
  };
}

function maybeMatch(reg, str) {
  var m = str.match(reg);
  return m ? m[0] : null;
}

balanced.range = range;

function range(a, b, str) {
  var begs, beg, left, right, result;
  var ai = str.indexOf(a);
  var bi = str.indexOf(b, ai + 1);
  var i = ai;

  if (ai >= 0 && bi > 0) {
    begs = [];
    left = str.length;

    while (i >= 0 && !result) {
      if (i == ai) {
        begs.push(i);
        ai = str.indexOf(a, i + 1);
      } else if (begs.length == 1) {
        result = [begs.pop(), bi];
      } else {
        beg = begs.pop();

        if (beg < left) {
          left = beg;
          right = bi;
        }

        bi = str.indexOf(b, i + 1);
      }

      i = ai < bi && ai >= 0 ? ai : bi;
    }

    if (begs.length) {
      result = [left, right];
    }
  }

  return result;
}

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/any.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise) {
  var SomePromiseArray = Promise._SomePromiseArray;

  function any(promises) {
    var ret = new SomePromiseArray(promises);
    var promise = ret.promise();
    ret.setHowMany(1);
    ret.setUnwrap();
    ret.init();
    return promise;
  }

  Promise.any = function (promises) {
    return any(promises);
  };

  Promise.prototype.any = function () {
    return any(this);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/async.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var firstLineError;

try {
  throw new Error();
} catch (e) {
  firstLineError = e;
}

var schedule = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/schedule.js");

var Queue = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/queue.js");

function Async() {
  this._customScheduler = false;
  this._isTickUsed = false;
  this._lateQueue = new Queue(16);
  this._normalQueue = new Queue(16);
  this._haveDrainedQueues = false;
  var self = this;

  this.drainQueues = function () {
    self._drainQueues();
  };

  this._schedule = schedule;
}

Async.prototype.setScheduler = function (fn) {
  var prev = this._schedule;
  this._schedule = fn;
  this._customScheduler = true;
  return prev;
};

Async.prototype.hasCustomScheduler = function () {
  return this._customScheduler;
};

Async.prototype.haveItemsQueued = function () {
  return this._isTickUsed || this._haveDrainedQueues;
};

Async.prototype.fatalError = function (e, isNode) {
  if (isNode) {
    process.stderr.write("Fatal " + (e instanceof Error ? e.stack : e) + "\n");
    process.exit(2);
  } else {
    this.throwLater(e);
  }
};

Async.prototype.throwLater = function (fn, arg) {
  if (arguments.length === 1) {
    arg = fn;

    fn = function () {
      throw arg;
    };
  }

  if (typeof setTimeout !== "undefined") {
    setTimeout(function () {
      fn(arg);
    }, 0);
  } else try {
    this._schedule(function () {
      fn(arg);
    });
  } catch (e) {
    throw new Error("No async scheduler available\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
  }
};

function AsyncInvokeLater(fn, receiver, arg) {
  this._lateQueue.push(fn, receiver, arg);

  this._queueTick();
}

function AsyncInvoke(fn, receiver, arg) {
  this._normalQueue.push(fn, receiver, arg);

  this._queueTick();
}

function AsyncSettlePromises(promise) {
  this._normalQueue._pushOne(promise);

  this._queueTick();
}

Async.prototype.invokeLater = AsyncInvokeLater;
Async.prototype.invoke = AsyncInvoke;
Async.prototype.settlePromises = AsyncSettlePromises;

function _drainQueue(queue) {
  while (queue.length() > 0) {
    _drainQueueStep(queue);
  }
}

function _drainQueueStep(queue) {
  var fn = queue.shift();

  if (typeof fn !== "function") {
    fn._settlePromises();
  } else {
    var receiver = queue.shift();
    var arg = queue.shift();
    fn.call(receiver, arg);
  }
}

Async.prototype._drainQueues = function () {
  _drainQueue(this._normalQueue);

  this._reset();

  this._haveDrainedQueues = true;

  _drainQueue(this._lateQueue);
};

Async.prototype._queueTick = function () {
  if (!this._isTickUsed) {
    this._isTickUsed = true;

    this._schedule(this.drainQueues);
  }
};

Async.prototype._reset = function () {
  this._isTickUsed = false;
};

module.exports = Async;
module.exports.firstLineError = firstLineError;

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bind.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise, INTERNAL, tryConvertToPromise, debug) {
  var calledBind = false;

  var rejectThis = function (_, e) {
    this._reject(e);
  };

  var targetRejected = function (e, context) {
    context.promiseRejectionQueued = true;

    context.bindingPromise._then(rejectThis, rejectThis, null, this, e);
  };

  var bindingResolved = function (thisArg, context) {
    if ((this._bitField & 50397184) === 0) {
      this._resolveCallback(context.target);
    }
  };

  var bindingRejected = function (e, context) {
    if (!context.promiseRejectionQueued) this._reject(e);
  };

  Promise.prototype.bind = function (thisArg) {
    if (!calledBind) {
      calledBind = true;
      Promise.prototype._propagateFrom = debug.propagateFromFunction();
      Promise.prototype._boundValue = debug.boundValueFunction();
    }

    var maybePromise = tryConvertToPromise(thisArg);
    var ret = new Promise(INTERNAL);

    ret._propagateFrom(this, 1);

    var target = this._target();

    ret._setBoundTo(maybePromise);

    if (maybePromise instanceof Promise) {
      var context = {
        promiseRejectionQueued: false,
        promise: ret,
        target: target,
        bindingPromise: maybePromise
      };

      target._then(INTERNAL, targetRejected, undefined, ret, context);

      maybePromise._then(bindingResolved, bindingRejected, undefined, ret, context);

      ret._setOnCancel(maybePromise);
    } else {
      ret._resolveCallback(target);
    }

    return ret;
  };

  Promise.prototype._setBoundTo = function (obj) {
    if (obj !== undefined) {
      this._bitField = this._bitField | 2097152;
      this._boundTo = obj;
    } else {
      this._bitField = this._bitField & ~2097152;
    }
  };

  Promise.prototype._isBound = function () {
    return (this._bitField & 2097152) === 2097152;
  };

  Promise.bind = function (thisArg, value) {
    return Promise.resolve(value).bind(thisArg);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var old;
if (typeof Promise !== "undefined") old = Promise;

function noConflict() {
  try {
    if (Promise === bluebird) Promise = old;
  } catch (e) {}

  return bluebird;
}

var bluebird = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promise.js")();

bluebird.noConflict = noConflict;
module.exports = bluebird;

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/call_get.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var cr = Object.create;

if (cr) {
  var callerCache = cr(null);
  var getterCache = cr(null);
  callerCache[" size"] = getterCache[" size"] = 0;
}

module.exports = function (Promise) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var canEvaluate = util.canEvaluate;
  var isIdentifier = util.isIdentifier;
  var getMethodCaller;
  var getGetter;

  if (true) {
    var makeMethodCaller = function (methodName) {
      return new Function("ensureMethod", "                                    \n\
        return function(obj) {                                               \n\
            'use strict'                                                     \n\
            var len = this.length;                                           \n\
            ensureMethod(obj, 'methodName');                                 \n\
            switch(len) {                                                    \n\
                case 1: return obj.methodName(this[0]);                      \n\
                case 2: return obj.methodName(this[0], this[1]);             \n\
                case 3: return obj.methodName(this[0], this[1], this[2]);    \n\
                case 0: return obj.methodName();                             \n\
                default:                                                     \n\
                    return obj.methodName.apply(obj, this);                  \n\
            }                                                                \n\
        };                                                                   \n\
        ".replace(/methodName/g, methodName))(ensureMethod);
    };

    var makeGetter = function (propertyName) {
      return new Function("obj", "                                             \n\
        'use strict';                                                        \n\
        return obj.propertyName;                                             \n\
        ".replace("propertyName", propertyName));
    };

    var getCompiled = function (name, compiler, cache) {
      var ret = cache[name];

      if (typeof ret !== "function") {
        if (!isIdentifier(name)) {
          return null;
        }

        ret = compiler(name);
        cache[name] = ret;
        cache[" size"]++;

        if (cache[" size"] > 512) {
          var keys = Object.keys(cache);

          for (var i = 0; i < 256; ++i) delete cache[keys[i]];

          cache[" size"] = keys.length - 256;
        }
      }

      return ret;
    };

    getMethodCaller = function (name) {
      return getCompiled(name, makeMethodCaller, callerCache);
    };

    getGetter = function (name) {
      return getCompiled(name, makeGetter, getterCache);
    };
  }

  function ensureMethod(obj, methodName) {
    var fn;
    if (obj != null) fn = obj[methodName];

    if (typeof fn !== "function") {
      var message = "Object " + util.classString(obj) + " has no method '" + util.toString(methodName) + "'";
      throw new Promise.TypeError(message);
    }

    return fn;
  }

  function caller(obj) {
    var methodName = this.pop();
    var fn = ensureMethod(obj, methodName);
    return fn.apply(obj, this);
  }

  Promise.prototype.call = function (methodName) {
    var $_len = arguments.length;
    var args = new Array(Math.max($_len - 1, 0));

    for (var $_i = 1; $_i < $_len; ++$_i) {
      args[$_i - 1] = arguments[$_i];
    }

    ;

    if (true) {
      if (canEvaluate) {
        var maybeCaller = getMethodCaller(methodName);

        if (maybeCaller !== null) {
          return this._then(maybeCaller, undefined, undefined, args, undefined);
        }
      }
    }

    args.push(methodName);
    return this._then(caller, undefined, undefined, args, undefined);
  };

  function namedGetter(obj) {
    return obj[this];
  }

  function indexedGetter(obj) {
    var index = +this;
    if (index < 0) index = Math.max(0, index + obj.length);
    return obj[index];
  }

  Promise.prototype.get = function (propertyName) {
    var isIndex = typeof propertyName === "number";
    var getter;

    if (!isIndex) {
      if (canEvaluate) {
        var maybeGetter = getGetter(propertyName);
        getter = maybeGetter !== null ? maybeGetter : namedGetter;
      } else {
        getter = namedGetter;
      }
    } else {
      getter = indexedGetter;
    }

    return this._then(getter, undefined, undefined, propertyName, undefined);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/cancel.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, apiRejection, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var tryCatch = util.tryCatch;
  var errorObj = util.errorObj;
  var async = Promise._async;

  Promise.prototype["break"] = Promise.prototype.cancel = function () {
    if (!debug.cancellation()) return this._warn("cancellation is disabled");
    var promise = this;
    var child = promise;

    while (promise._isCancellable()) {
      if (!promise._cancelBy(child)) {
        if (child._isFollowing()) {
          child._followee().cancel();
        } else {
          child._cancelBranched();
        }

        break;
      }

      var parent = promise._cancellationParent;

      if (parent == null || !parent._isCancellable()) {
        if (promise._isFollowing()) {
          promise._followee().cancel();
        } else {
          promise._cancelBranched();
        }

        break;
      } else {
        if (promise._isFollowing()) promise._followee().cancel();

        promise._setWillBeCancelled();

        child = promise;
        promise = parent;
      }
    }
  };

  Promise.prototype._branchHasCancelled = function () {
    this._branchesRemainingToCancel--;
  };

  Promise.prototype._enoughBranchesHaveCancelled = function () {
    return this._branchesRemainingToCancel === undefined || this._branchesRemainingToCancel <= 0;
  };

  Promise.prototype._cancelBy = function (canceller) {
    if (canceller === this) {
      this._branchesRemainingToCancel = 0;

      this._invokeOnCancel();

      return true;
    } else {
      this._branchHasCancelled();

      if (this._enoughBranchesHaveCancelled()) {
        this._invokeOnCancel();

        return true;
      }
    }

    return false;
  };

  Promise.prototype._cancelBranched = function () {
    if (this._enoughBranchesHaveCancelled()) {
      this._cancel();
    }
  };

  Promise.prototype._cancel = function () {
    if (!this._isCancellable()) return;

    this._setCancelled();

    async.invoke(this._cancelPromises, this, undefined);
  };

  Promise.prototype._cancelPromises = function () {
    if (this._length() > 0) this._settlePromises();
  };

  Promise.prototype._unsetOnCancel = function () {
    this._onCancelField = undefined;
  };

  Promise.prototype._isCancellable = function () {
    return this.isPending() && !this._isCancelled();
  };

  Promise.prototype.isCancellable = function () {
    return this.isPending() && !this.isCancelled();
  };

  Promise.prototype._doInvokeOnCancel = function (onCancelCallback, internalOnly) {
    if (util.isArray(onCancelCallback)) {
      for (var i = 0; i < onCancelCallback.length; ++i) {
        this._doInvokeOnCancel(onCancelCallback[i], internalOnly);
      }
    } else if (onCancelCallback !== undefined) {
      if (typeof onCancelCallback === "function") {
        if (!internalOnly) {
          var e = tryCatch(onCancelCallback).call(this._boundValue());

          if (e === errorObj) {
            this._attachExtraTrace(e.e);

            async.throwLater(e.e);
          }
        }
      } else {
        onCancelCallback._resultCancelled(this);
      }
    }
  };

  Promise.prototype._invokeOnCancel = function () {
    var onCancelCallback = this._onCancel();

    this._unsetOnCancel();

    async.invoke(this._doInvokeOnCancel, this, onCancelCallback);
  };

  Promise.prototype._invokeInternalOnCancel = function () {
    if (this._isCancellable()) {
      this._doInvokeOnCancel(this._onCancel(), true);

      this._unsetOnCancel();
    }
  };

  Promise.prototype._resultCancelled = function () {
    this.cancel();
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/catch_filter.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (NEXT_FILTER) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var getKeys = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js").keys;

  var tryCatch = util.tryCatch;
  var errorObj = util.errorObj;

  function catchFilter(instances, cb, promise) {
    return function (e) {
      var boundTo = promise._boundValue();

      predicateLoop: for (var i = 0; i < instances.length; ++i) {
        var item = instances[i];

        if (item === Error || item != null && item.prototype instanceof Error) {
          if (e instanceof item) {
            return tryCatch(cb).call(boundTo, e);
          }
        } else if (typeof item === "function") {
          var matchesPredicate = tryCatch(item).call(boundTo, e);

          if (matchesPredicate === errorObj) {
            return matchesPredicate;
          } else if (matchesPredicate) {
            return tryCatch(cb).call(boundTo, e);
          }
        } else if (util.isObject(e)) {
          var keys = getKeys(item);

          for (var j = 0; j < keys.length; ++j) {
            var key = keys[j];

            if (item[key] != e[key]) {
              continue predicateLoop;
            }
          }

          return tryCatch(cb).call(boundTo, e);
        }
      }

      return NEXT_FILTER;
    };
  }

  return catchFilter;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/context.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise) {
  var longStackTraces = false;
  var contextStack = [];

  Promise.prototype._promiseCreated = function () {};

  Promise.prototype._pushContext = function () {};

  Promise.prototype._popContext = function () {
    return null;
  };

  Promise._peekContext = Promise.prototype._peekContext = function () {};

  function Context() {
    this._trace = new Context.CapturedTrace(peekContext());
  }

  Context.prototype._pushContext = function () {
    if (this._trace !== undefined) {
      this._trace._promiseCreated = null;
      contextStack.push(this._trace);
    }
  };

  Context.prototype._popContext = function () {
    if (this._trace !== undefined) {
      var trace = contextStack.pop();
      var ret = trace._promiseCreated;
      trace._promiseCreated = null;
      return ret;
    }

    return null;
  };

  function createContext() {
    if (longStackTraces) return new Context();
  }

  function peekContext() {
    var lastIndex = contextStack.length - 1;

    if (lastIndex >= 0) {
      return contextStack[lastIndex];
    }

    return undefined;
  }

  Context.CapturedTrace = null;
  Context.create = createContext;

  Context.deactivateLongStackTraces = function () {};

  Context.activateLongStackTraces = function () {
    var Promise_pushContext = Promise.prototype._pushContext;
    var Promise_popContext = Promise.prototype._popContext;
    var Promise_PeekContext = Promise._peekContext;
    var Promise_peekContext = Promise.prototype._peekContext;
    var Promise_promiseCreated = Promise.prototype._promiseCreated;

    Context.deactivateLongStackTraces = function () {
      Promise.prototype._pushContext = Promise_pushContext;
      Promise.prototype._popContext = Promise_popContext;
      Promise._peekContext = Promise_PeekContext;
      Promise.prototype._peekContext = Promise_peekContext;
      Promise.prototype._promiseCreated = Promise_promiseCreated;
      longStackTraces = false;
    };

    longStackTraces = true;
    Promise.prototype._pushContext = Context.prototype._pushContext;
    Promise.prototype._popContext = Context.prototype._popContext;
    Promise._peekContext = Promise.prototype._peekContext = peekContext;

    Promise.prototype._promiseCreated = function () {
      var ctx = this._peekContext();

      if (ctx && ctx._promiseCreated == null) ctx._promiseCreated = this;
    };
  };

  return Context;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/debuggability.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, Context, enableAsyncHooks, disableAsyncHooks) {
  var async = Promise._async;

  var Warning = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js").Warning;

  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

  var canAttachTrace = util.canAttachTrace;
  var unhandledRejectionHandled;
  var possiblyUnhandledRejection;
  var bluebirdFramePattern = /[\\\/]bluebird[\\\/]js[\\\/](release|debug|instrumented)/;
  var nodeFramePattern = /\((?:timers\.js):\d+:\d+\)/;
  var parseLinePattern = /[\/<\(](.+?):(\d+):(\d+)\)?\s*$/;
  var stackFramePattern = null;
  var formatStack = null;
  var indentStackFrames = false;
  var printWarning;
  var debugging = !!(util.env("BLUEBIRD_DEBUG") != 0 && ( false || util.env("BLUEBIRD_DEBUG") || util.env("NODE_ENV") === "development"));
  var warnings = !!(util.env("BLUEBIRD_WARNINGS") != 0 && (debugging || util.env("BLUEBIRD_WARNINGS")));
  var longStackTraces = !!(util.env("BLUEBIRD_LONG_STACK_TRACES") != 0 && (debugging || util.env("BLUEBIRD_LONG_STACK_TRACES")));
  var wForgottenReturn = util.env("BLUEBIRD_W_FORGOTTEN_RETURN") != 0 && (warnings || !!util.env("BLUEBIRD_W_FORGOTTEN_RETURN"));
  var deferUnhandledRejectionCheck;

  (function () {
    var promises = [];

    function unhandledRejectionCheck() {
      for (var i = 0; i < promises.length; ++i) {
        promises[i]._notifyUnhandledRejection();
      }

      unhandledRejectionClear();
    }

    function unhandledRejectionClear() {
      promises.length = 0;
    }

    deferUnhandledRejectionCheck = function (promise) {
      promises.push(promise);
      setTimeout(unhandledRejectionCheck, 1);
    };

    es5.defineProperty(Promise, "_unhandledRejectionCheck", {
      value: unhandledRejectionCheck
    });
    es5.defineProperty(Promise, "_unhandledRejectionClear", {
      value: unhandledRejectionClear
    });
  })();

  Promise.prototype.suppressUnhandledRejections = function () {
    var target = this._target();

    target._bitField = target._bitField & ~1048576 | 524288;
  };

  Promise.prototype._ensurePossibleRejectionHandled = function () {
    if ((this._bitField & 524288) !== 0) return;

    this._setRejectionIsUnhandled();

    deferUnhandledRejectionCheck(this);
  };

  Promise.prototype._notifyUnhandledRejectionIsHandled = function () {
    fireRejectionEvent("rejectionHandled", unhandledRejectionHandled, undefined, this);
  };

  Promise.prototype._setReturnedNonUndefined = function () {
    this._bitField = this._bitField | 268435456;
  };

  Promise.prototype._returnedNonUndefined = function () {
    return (this._bitField & 268435456) !== 0;
  };

  Promise.prototype._notifyUnhandledRejection = function () {
    if (this._isRejectionUnhandled()) {
      var reason = this._settledValue();

      this._setUnhandledRejectionIsNotified();

      fireRejectionEvent("unhandledRejection", possiblyUnhandledRejection, reason, this);
    }
  };

  Promise.prototype._setUnhandledRejectionIsNotified = function () {
    this._bitField = this._bitField | 262144;
  };

  Promise.prototype._unsetUnhandledRejectionIsNotified = function () {
    this._bitField = this._bitField & ~262144;
  };

  Promise.prototype._isUnhandledRejectionNotified = function () {
    return (this._bitField & 262144) > 0;
  };

  Promise.prototype._setRejectionIsUnhandled = function () {
    this._bitField = this._bitField | 1048576;
  };

  Promise.prototype._unsetRejectionIsUnhandled = function () {
    this._bitField = this._bitField & ~1048576;

    if (this._isUnhandledRejectionNotified()) {
      this._unsetUnhandledRejectionIsNotified();

      this._notifyUnhandledRejectionIsHandled();
    }
  };

  Promise.prototype._isRejectionUnhandled = function () {
    return (this._bitField & 1048576) > 0;
  };

  Promise.prototype._warn = function (message, shouldUseOwnTrace, promise) {
    return warn(message, shouldUseOwnTrace, promise || this);
  };

  Promise.onPossiblyUnhandledRejection = function (fn) {
    var context = Promise._getContext();

    possiblyUnhandledRejection = util.contextBind(context, fn);
  };

  Promise.onUnhandledRejectionHandled = function (fn) {
    var context = Promise._getContext();

    unhandledRejectionHandled = util.contextBind(context, fn);
  };

  var disableLongStackTraces = function () {};

  Promise.longStackTraces = function () {
    if (async.haveItemsQueued() && !config.longStackTraces) {
      throw new Error("cannot enable long stack traces after promises have been created\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    if (!config.longStackTraces && longStackTracesIsSupported()) {
      var Promise_captureStackTrace = Promise.prototype._captureStackTrace;
      var Promise_attachExtraTrace = Promise.prototype._attachExtraTrace;
      var Promise_dereferenceTrace = Promise.prototype._dereferenceTrace;
      config.longStackTraces = true;

      disableLongStackTraces = function () {
        if (async.haveItemsQueued() && !config.longStackTraces) {
          throw new Error("cannot enable long stack traces after promises have been created\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
        }

        Promise.prototype._captureStackTrace = Promise_captureStackTrace;
        Promise.prototype._attachExtraTrace = Promise_attachExtraTrace;
        Promise.prototype._dereferenceTrace = Promise_dereferenceTrace;
        Context.deactivateLongStackTraces();
        config.longStackTraces = false;
      };

      Promise.prototype._captureStackTrace = longStackTracesCaptureStackTrace;
      Promise.prototype._attachExtraTrace = longStackTracesAttachExtraTrace;
      Promise.prototype._dereferenceTrace = longStackTracesDereferenceTrace;
      Context.activateLongStackTraces();
    }
  };

  Promise.hasLongStackTraces = function () {
    return config.longStackTraces && longStackTracesIsSupported();
  };

  var legacyHandlers = {
    unhandledrejection: {
      before: function () {
        var ret = util.global.onunhandledrejection;
        util.global.onunhandledrejection = null;
        return ret;
      },
      after: function (fn) {
        util.global.onunhandledrejection = fn;
      }
    },
    rejectionhandled: {
      before: function () {
        var ret = util.global.onrejectionhandled;
        util.global.onrejectionhandled = null;
        return ret;
      },
      after: function (fn) {
        util.global.onrejectionhandled = fn;
      }
    }
  };

  var fireDomEvent = function () {
    var dispatch = function (legacy, e) {
      if (legacy) {
        var fn;

        try {
          fn = legacy.before();
          return !util.global.dispatchEvent(e);
        } finally {
          legacy.after(fn);
        }
      } else {
        return !util.global.dispatchEvent(e);
      }
    };

    try {
      if (typeof CustomEvent === "function") {
        var event = new CustomEvent("CustomEvent");
        util.global.dispatchEvent(event);
        return function (name, event) {
          name = name.toLowerCase();
          var eventData = {
            detail: event,
            cancelable: true
          };
          var domEvent = new CustomEvent(name, eventData);
          es5.defineProperty(domEvent, "promise", {
            value: event.promise
          });
          es5.defineProperty(domEvent, "reason", {
            value: event.reason
          });
          return dispatch(legacyHandlers[name], domEvent);
        };
      } else if (typeof Event === "function") {
        var event = new Event("CustomEvent");
        util.global.dispatchEvent(event);
        return function (name, event) {
          name = name.toLowerCase();
          var domEvent = new Event(name, {
            cancelable: true
          });
          domEvent.detail = event;
          es5.defineProperty(domEvent, "promise", {
            value: event.promise
          });
          es5.defineProperty(domEvent, "reason", {
            value: event.reason
          });
          return dispatch(legacyHandlers[name], domEvent);
        };
      } else {
        var event = document.createEvent("CustomEvent");
        event.initCustomEvent("testingtheevent", false, true, {});
        util.global.dispatchEvent(event);
        return function (name, event) {
          name = name.toLowerCase();
          var domEvent = document.createEvent("CustomEvent");
          domEvent.initCustomEvent(name, false, true, event);
          return dispatch(legacyHandlers[name], domEvent);
        };
      }
    } catch (e) {}

    return function () {
      return false;
    };
  }();

  var fireGlobalEvent = function () {
    if (util.isNode) {
      return function () {
        return process.emit.apply(process, arguments);
      };
    } else {
      if (!util.global) {
        return function () {
          return false;
        };
      }

      return function (name) {
        var methodName = "on" + name.toLowerCase();
        var method = util.global[methodName];
        if (!method) return false;
        method.apply(util.global, [].slice.call(arguments, 1));
        return true;
      };
    }
  }();

  function generatePromiseLifecycleEventObject(name, promise) {
    return {
      promise: promise
    };
  }

  var eventToObjectGenerator = {
    promiseCreated: generatePromiseLifecycleEventObject,
    promiseFulfilled: generatePromiseLifecycleEventObject,
    promiseRejected: generatePromiseLifecycleEventObject,
    promiseResolved: generatePromiseLifecycleEventObject,
    promiseCancelled: generatePromiseLifecycleEventObject,
    promiseChained: function (name, promise, child) {
      return {
        promise: promise,
        child: child
      };
    },
    warning: function (name, warning) {
      return {
        warning: warning
      };
    },
    unhandledRejection: function (name, reason, promise) {
      return {
        reason: reason,
        promise: promise
      };
    },
    rejectionHandled: generatePromiseLifecycleEventObject
  };

  var activeFireEvent = function (name) {
    var globalEventFired = false;

    try {
      globalEventFired = fireGlobalEvent.apply(null, arguments);
    } catch (e) {
      async.throwLater(e);
      globalEventFired = true;
    }

    var domEventFired = false;

    try {
      domEventFired = fireDomEvent(name, eventToObjectGenerator[name].apply(null, arguments));
    } catch (e) {
      async.throwLater(e);
      domEventFired = true;
    }

    return domEventFired || globalEventFired;
  };

  Promise.config = function (opts) {
    opts = Object(opts);

    if ("longStackTraces" in opts) {
      if (opts.longStackTraces) {
        Promise.longStackTraces();
      } else if (!opts.longStackTraces && Promise.hasLongStackTraces()) {
        disableLongStackTraces();
      }
    }

    if ("warnings" in opts) {
      var warningsOption = opts.warnings;
      config.warnings = !!warningsOption;
      wForgottenReturn = config.warnings;

      if (util.isObject(warningsOption)) {
        if ("wForgottenReturn" in warningsOption) {
          wForgottenReturn = !!warningsOption.wForgottenReturn;
        }
      }
    }

    if ("cancellation" in opts && opts.cancellation && !config.cancellation) {
      if (async.haveItemsQueued()) {
        throw new Error("cannot enable cancellation after promises are in use");
      }

      Promise.prototype._clearCancellationData = cancellationClearCancellationData;
      Promise.prototype._propagateFrom = cancellationPropagateFrom;
      Promise.prototype._onCancel = cancellationOnCancel;
      Promise.prototype._setOnCancel = cancellationSetOnCancel;
      Promise.prototype._attachCancellationCallback = cancellationAttachCancellationCallback;
      Promise.prototype._execute = cancellationExecute;
      propagateFromFunction = cancellationPropagateFrom;
      config.cancellation = true;
    }

    if ("monitoring" in opts) {
      if (opts.monitoring && !config.monitoring) {
        config.monitoring = true;
        Promise.prototype._fireEvent = activeFireEvent;
      } else if (!opts.monitoring && config.monitoring) {
        config.monitoring = false;
        Promise.prototype._fireEvent = defaultFireEvent;
      }
    }

    if ("asyncHooks" in opts && util.nodeSupportsAsyncResource) {
      var prev = config.asyncHooks;
      var cur = !!opts.asyncHooks;

      if (prev !== cur) {
        config.asyncHooks = cur;

        if (cur) {
          enableAsyncHooks();
        } else {
          disableAsyncHooks();
        }
      }
    }

    return Promise;
  };

  function defaultFireEvent() {
    return false;
  }

  Promise.prototype._fireEvent = defaultFireEvent;

  Promise.prototype._execute = function (executor, resolve, reject) {
    try {
      executor(resolve, reject);
    } catch (e) {
      return e;
    }
  };

  Promise.prototype._onCancel = function () {};

  Promise.prototype._setOnCancel = function (handler) {
    ;
  };

  Promise.prototype._attachCancellationCallback = function (onCancel) {
    ;
  };

  Promise.prototype._captureStackTrace = function () {};

  Promise.prototype._attachExtraTrace = function () {};

  Promise.prototype._dereferenceTrace = function () {};

  Promise.prototype._clearCancellationData = function () {};

  Promise.prototype._propagateFrom = function (parent, flags) {
    ;
    ;
  };

  function cancellationExecute(executor, resolve, reject) {
    var promise = this;

    try {
      executor(resolve, reject, function (onCancel) {
        if (typeof onCancel !== "function") {
          throw new TypeError("onCancel must be a function, got: " + util.toString(onCancel));
        }

        promise._attachCancellationCallback(onCancel);
      });
    } catch (e) {
      return e;
    }
  }

  function cancellationAttachCancellationCallback(onCancel) {
    if (!this._isCancellable()) return this;

    var previousOnCancel = this._onCancel();

    if (previousOnCancel !== undefined) {
      if (util.isArray(previousOnCancel)) {
        previousOnCancel.push(onCancel);
      } else {
        this._setOnCancel([previousOnCancel, onCancel]);
      }
    } else {
      this._setOnCancel(onCancel);
    }
  }

  function cancellationOnCancel() {
    return this._onCancelField;
  }

  function cancellationSetOnCancel(onCancel) {
    this._onCancelField = onCancel;
  }

  function cancellationClearCancellationData() {
    this._cancellationParent = undefined;
    this._onCancelField = undefined;
  }

  function cancellationPropagateFrom(parent, flags) {
    if ((flags & 1) !== 0) {
      this._cancellationParent = parent;
      var branchesRemainingToCancel = parent._branchesRemainingToCancel;

      if (branchesRemainingToCancel === undefined) {
        branchesRemainingToCancel = 0;
      }

      parent._branchesRemainingToCancel = branchesRemainingToCancel + 1;
    }

    if ((flags & 2) !== 0 && parent._isBound()) {
      this._setBoundTo(parent._boundTo);
    }
  }

  function bindingPropagateFrom(parent, flags) {
    if ((flags & 2) !== 0 && parent._isBound()) {
      this._setBoundTo(parent._boundTo);
    }
  }

  var propagateFromFunction = bindingPropagateFrom;

  function boundValueFunction() {
    var ret = this._boundTo;

    if (ret !== undefined) {
      if (ret instanceof Promise) {
        if (ret.isFulfilled()) {
          return ret.value();
        } else {
          return undefined;
        }
      }
    }

    return ret;
  }

  function longStackTracesCaptureStackTrace() {
    this._trace = new CapturedTrace(this._peekContext());
  }

  function longStackTracesAttachExtraTrace(error, ignoreSelf) {
    if (canAttachTrace(error)) {
      var trace = this._trace;

      if (trace !== undefined) {
        if (ignoreSelf) trace = trace._parent;
      }

      if (trace !== undefined) {
        trace.attachExtraTrace(error);
      } else if (!error.__stackCleaned__) {
        var parsed = parseStackAndMessage(error);
        util.notEnumerableProp(error, "stack", parsed.message + "\n" + parsed.stack.join("\n"));
        util.notEnumerableProp(error, "__stackCleaned__", true);
      }
    }
  }

  function longStackTracesDereferenceTrace() {
    this._trace = undefined;
  }

  function checkForgottenReturns(returnValue, promiseCreated, name, promise, parent) {
    if (returnValue === undefined && promiseCreated !== null && wForgottenReturn) {
      if (parent !== undefined && parent._returnedNonUndefined()) return;
      if ((promise._bitField & 65535) === 0) return;
      if (name) name = name + " ";
      var handlerLine = "";
      var creatorLine = "";

      if (promiseCreated._trace) {
        var traceLines = promiseCreated._trace.stack.split("\n");

        var stack = cleanStack(traceLines);

        for (var i = stack.length - 1; i >= 0; --i) {
          var line = stack[i];

          if (!nodeFramePattern.test(line)) {
            var lineMatches = line.match(parseLinePattern);

            if (lineMatches) {
              handlerLine = "at " + lineMatches[1] + ":" + lineMatches[2] + ":" + lineMatches[3] + " ";
            }

            break;
          }
        }

        if (stack.length > 0) {
          var firstUserLine = stack[0];

          for (var i = 0; i < traceLines.length; ++i) {
            if (traceLines[i] === firstUserLine) {
              if (i > 0) {
                creatorLine = "\n" + traceLines[i - 1];
              }

              break;
            }
          }
        }
      }

      var msg = "a promise was created in a " + name + "handler " + handlerLine + "but was not returned from it, " + "see http://goo.gl/rRqMUw" + creatorLine;

      promise._warn(msg, true, promiseCreated);
    }
  }

  function deprecated(name, replacement) {
    var message = name + " is deprecated and will be removed in a future version.";
    if (replacement) message += " Use " + replacement + " instead.";
    return warn(message);
  }

  function warn(message, shouldUseOwnTrace, promise) {
    if (!config.warnings) return;
    var warning = new Warning(message);
    var ctx;

    if (shouldUseOwnTrace) {
      promise._attachExtraTrace(warning);
    } else if (config.longStackTraces && (ctx = Promise._peekContext())) {
      ctx.attachExtraTrace(warning);
    } else {
      var parsed = parseStackAndMessage(warning);
      warning.stack = parsed.message + "\n" + parsed.stack.join("\n");
    }

    if (!activeFireEvent("warning", warning)) {
      formatAndLogError(warning, "", true);
    }
  }

  function reconstructStack(message, stacks) {
    for (var i = 0; i < stacks.length - 1; ++i) {
      stacks[i].push("From previous event:");
      stacks[i] = stacks[i].join("\n");
    }

    if (i < stacks.length) {
      stacks[i] = stacks[i].join("\n");
    }

    return message + "\n" + stacks.join("\n");
  }

  function removeDuplicateOrEmptyJumps(stacks) {
    for (var i = 0; i < stacks.length; ++i) {
      if (stacks[i].length === 0 || i + 1 < stacks.length && stacks[i][0] === stacks[i + 1][0]) {
        stacks.splice(i, 1);
        i--;
      }
    }
  }

  function removeCommonRoots(stacks) {
    var current = stacks[0];

    for (var i = 1; i < stacks.length; ++i) {
      var prev = stacks[i];
      var currentLastIndex = current.length - 1;
      var currentLastLine = current[currentLastIndex];
      var commonRootMeetPoint = -1;

      for (var j = prev.length - 1; j >= 0; --j) {
        if (prev[j] === currentLastLine) {
          commonRootMeetPoint = j;
          break;
        }
      }

      for (var j = commonRootMeetPoint; j >= 0; --j) {
        var line = prev[j];

        if (current[currentLastIndex] === line) {
          current.pop();
          currentLastIndex--;
        } else {
          break;
        }
      }

      current = prev;
    }
  }

  function cleanStack(stack) {
    var ret = [];

    for (var i = 0; i < stack.length; ++i) {
      var line = stack[i];
      var isTraceLine = "    (No stack trace)" === line || stackFramePattern.test(line);
      var isInternalFrame = isTraceLine && shouldIgnore(line);

      if (isTraceLine && !isInternalFrame) {
        if (indentStackFrames && line.charAt(0) !== " ") {
          line = "    " + line;
        }

        ret.push(line);
      }
    }

    return ret;
  }

  function stackFramesAsArray(error) {
    var stack = error.stack.replace(/\s+$/g, "").split("\n");

    for (var i = 0; i < stack.length; ++i) {
      var line = stack[i];

      if ("    (No stack trace)" === line || stackFramePattern.test(line)) {
        break;
      }
    }

    if (i > 0 && error.name != "SyntaxError") {
      stack = stack.slice(i);
    }

    return stack;
  }

  function parseStackAndMessage(error) {
    var stack = error.stack;
    var message = error.toString();
    stack = typeof stack === "string" && stack.length > 0 ? stackFramesAsArray(error) : ["    (No stack trace)"];
    return {
      message: message,
      stack: error.name == "SyntaxError" ? stack : cleanStack(stack)
    };
  }

  function formatAndLogError(error, title, isSoft) {
    if (typeof console !== "undefined") {
      var message;

      if (util.isObject(error)) {
        var stack = error.stack;
        message = title + formatStack(stack, error);
      } else {
        message = title + String(error);
      }

      if (typeof printWarning === "function") {
        printWarning(message, isSoft);
      } else if (typeof console.log === "function" || typeof console.log === "object") {
        console.log(message);
      }
    }
  }

  function fireRejectionEvent(name, localHandler, reason, promise) {
    var localEventFired = false;

    try {
      if (typeof localHandler === "function") {
        localEventFired = true;

        if (name === "rejectionHandled") {
          localHandler(promise);
        } else {
          localHandler(reason, promise);
        }
      }
    } catch (e) {
      async.throwLater(e);
    }

    if (name === "unhandledRejection") {
      if (!activeFireEvent(name, reason, promise) && !localEventFired) {
        formatAndLogError(reason, "Unhandled rejection ");
      }
    } else {
      activeFireEvent(name, promise);
    }
  }

  function formatNonError(obj) {
    var str;

    if (typeof obj === "function") {
      str = "[function " + (obj.name || "anonymous") + "]";
    } else {
      str = obj && typeof obj.toString === "function" ? obj.toString() : util.toString(obj);
      var ruselessToString = /\[object [a-zA-Z0-9$_]+\]/;

      if (ruselessToString.test(str)) {
        try {
          var newStr = JSON.stringify(obj);
          str = newStr;
        } catch (e) {}
      }

      if (str.length === 0) {
        str = "(empty array)";
      }
    }

    return "(<" + snip(str) + ">, no stack trace)";
  }

  function snip(str) {
    var maxChars = 41;

    if (str.length < maxChars) {
      return str;
    }

    return str.substr(0, maxChars - 3) + "...";
  }

  function longStackTracesIsSupported() {
    return typeof captureStackTrace === "function";
  }

  var shouldIgnore = function () {
    return false;
  };

  var parseLineInfoRegex = /[\/<\(]([^:\/]+):(\d+):(?:\d+)\)?\s*$/;

  function parseLineInfo(line) {
    var matches = line.match(parseLineInfoRegex);

    if (matches) {
      return {
        fileName: matches[1],
        line: parseInt(matches[2], 10)
      };
    }
  }

  function setBounds(firstLineError, lastLineError) {
    if (!longStackTracesIsSupported()) return;
    var firstStackLines = (firstLineError.stack || "").split("\n");
    var lastStackLines = (lastLineError.stack || "").split("\n");
    var firstIndex = -1;
    var lastIndex = -1;
    var firstFileName;
    var lastFileName;

    for (var i = 0; i < firstStackLines.length; ++i) {
      var result = parseLineInfo(firstStackLines[i]);

      if (result) {
        firstFileName = result.fileName;
        firstIndex = result.line;
        break;
      }
    }

    for (var i = 0; i < lastStackLines.length; ++i) {
      var result = parseLineInfo(lastStackLines[i]);

      if (result) {
        lastFileName = result.fileName;
        lastIndex = result.line;
        break;
      }
    }

    if (firstIndex < 0 || lastIndex < 0 || !firstFileName || !lastFileName || firstFileName !== lastFileName || firstIndex >= lastIndex) {
      return;
    }

    shouldIgnore = function (line) {
      if (bluebirdFramePattern.test(line)) return true;
      var info = parseLineInfo(line);

      if (info) {
        if (info.fileName === firstFileName && firstIndex <= info.line && info.line <= lastIndex) {
          return true;
        }
      }

      return false;
    };
  }

  function CapturedTrace(parent) {
    this._parent = parent;
    this._promisesCreated = 0;
    var length = this._length = 1 + (parent === undefined ? 0 : parent._length);
    captureStackTrace(this, CapturedTrace);
    if (length > 32) this.uncycle();
  }

  util.inherits(CapturedTrace, Error);
  Context.CapturedTrace = CapturedTrace;

  CapturedTrace.prototype.uncycle = function () {
    var length = this._length;
    if (length < 2) return;
    var nodes = [];
    var stackToIndex = {};

    for (var i = 0, node = this; node !== undefined; ++i) {
      nodes.push(node);
      node = node._parent;
    }

    length = this._length = i;

    for (var i = length - 1; i >= 0; --i) {
      var stack = nodes[i].stack;

      if (stackToIndex[stack] === undefined) {
        stackToIndex[stack] = i;
      }
    }

    for (var i = 0; i < length; ++i) {
      var currentStack = nodes[i].stack;
      var index = stackToIndex[currentStack];

      if (index !== undefined && index !== i) {
        if (index > 0) {
          nodes[index - 1]._parent = undefined;
          nodes[index - 1]._length = 1;
        }

        nodes[i]._parent = undefined;
        nodes[i]._length = 1;
        var cycleEdgeNode = i > 0 ? nodes[i - 1] : this;

        if (index < length - 1) {
          cycleEdgeNode._parent = nodes[index + 1];

          cycleEdgeNode._parent.uncycle();

          cycleEdgeNode._length = cycleEdgeNode._parent._length + 1;
        } else {
          cycleEdgeNode._parent = undefined;
          cycleEdgeNode._length = 1;
        }

        var currentChildLength = cycleEdgeNode._length + 1;

        for (var j = i - 2; j >= 0; --j) {
          nodes[j]._length = currentChildLength;
          currentChildLength++;
        }

        return;
      }
    }
  };

  CapturedTrace.prototype.attachExtraTrace = function (error) {
    if (error.__stackCleaned__) return;
    this.uncycle();
    var parsed = parseStackAndMessage(error);
    var message = parsed.message;
    var stacks = [parsed.stack];
    var trace = this;

    while (trace !== undefined) {
      stacks.push(cleanStack(trace.stack.split("\n")));
      trace = trace._parent;
    }

    removeCommonRoots(stacks);
    removeDuplicateOrEmptyJumps(stacks);
    util.notEnumerableProp(error, "stack", reconstructStack(message, stacks));
    util.notEnumerableProp(error, "__stackCleaned__", true);
  };

  var captureStackTrace = function stackDetection() {
    var v8stackFramePattern = /^\s*at\s*/;

    var v8stackFormatter = function (stack, error) {
      if (typeof stack === "string") return stack;

      if (error.name !== undefined && error.message !== undefined) {
        return error.toString();
      }

      return formatNonError(error);
    };

    if (typeof Error.stackTraceLimit === "number" && typeof Error.captureStackTrace === "function") {
      Error.stackTraceLimit += 6;
      stackFramePattern = v8stackFramePattern;
      formatStack = v8stackFormatter;
      var captureStackTrace = Error.captureStackTrace;

      shouldIgnore = function (line) {
        return bluebirdFramePattern.test(line);
      };

      return function (receiver, ignoreUntil) {
        Error.stackTraceLimit += 6;
        captureStackTrace(receiver, ignoreUntil);
        Error.stackTraceLimit -= 6;
      };
    }

    var err = new Error();

    if (typeof err.stack === "string" && err.stack.split("\n")[0].indexOf("stackDetection@") >= 0) {
      stackFramePattern = /@/;
      formatStack = v8stackFormatter;
      indentStackFrames = true;
      return function captureStackTrace(o) {
        o.stack = new Error().stack;
      };
    }

    var hasStackAfterThrow;

    try {
      throw new Error();
    } catch (e) {
      hasStackAfterThrow = "stack" in e;
    }

    if (!("stack" in err) && hasStackAfterThrow && typeof Error.stackTraceLimit === "number") {
      stackFramePattern = v8stackFramePattern;
      formatStack = v8stackFormatter;
      return function captureStackTrace(o) {
        Error.stackTraceLimit += 6;

        try {
          throw new Error();
        } catch (e) {
          o.stack = e.stack;
        }

        Error.stackTraceLimit -= 6;
      };
    }

    formatStack = function (stack, error) {
      if (typeof stack === "string") return stack;

      if ((typeof error === "object" || typeof error === "function") && error.name !== undefined && error.message !== undefined) {
        return error.toString();
      }

      return formatNonError(error);
    };

    return null;
  }([]);

  if (typeof console !== "undefined" && typeof console.warn !== "undefined") {
    printWarning = function (message) {
      console.warn(message);
    };

    if (util.isNode && process.stderr.isTTY) {
      printWarning = function (message, isSoft) {
        var color = isSoft ? "\u001b[33m" : "\u001b[31m";
        console.warn(color + message + "\u001b[0m\n");
      };
    } else if (!util.isNode && typeof new Error().stack === "string") {
      printWarning = function (message, isSoft) {
        console.warn("%c" + message, isSoft ? "color: darkorange" : "color: red");
      };
    }
  }

  var config = {
    warnings: warnings,
    longStackTraces: false,
    cancellation: false,
    monitoring: false,
    asyncHooks: false
  };
  if (longStackTraces) Promise.longStackTraces();
  return {
    asyncHooks: function () {
      return config.asyncHooks;
    },
    longStackTraces: function () {
      return config.longStackTraces;
    },
    warnings: function () {
      return config.warnings;
    },
    cancellation: function () {
      return config.cancellation;
    },
    monitoring: function () {
      return config.monitoring;
    },
    propagateFromFunction: function () {
      return propagateFromFunction;
    },
    boundValueFunction: function () {
      return boundValueFunction;
    },
    checkForgottenReturns: checkForgottenReturns,
    setBounds: setBounds,
    warn: warn,
    deprecated: deprecated,
    CapturedTrace: CapturedTrace,
    fireDomEvent: fireDomEvent,
    fireGlobalEvent: fireGlobalEvent
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/direct_resolve.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise) {
  function returner() {
    return this.value;
  }

  function thrower() {
    throw this.reason;
  }

  Promise.prototype["return"] = Promise.prototype.thenReturn = function (value) {
    if (value instanceof Promise) value.suppressUnhandledRejections();
    return this._then(returner, undefined, undefined, {
      value: value
    }, undefined);
  };

  Promise.prototype["throw"] = Promise.prototype.thenThrow = function (reason) {
    return this._then(thrower, undefined, undefined, {
      reason: reason
    }, undefined);
  };

  Promise.prototype.catchThrow = function (reason) {
    if (arguments.length <= 1) {
      return this._then(undefined, thrower, undefined, {
        reason: reason
      }, undefined);
    } else {
      var _reason = arguments[1];

      var handler = function () {
        throw _reason;
      };

      return this.caught(reason, handler);
    }
  };

  Promise.prototype.catchReturn = function (value) {
    if (arguments.length <= 1) {
      if (value instanceof Promise) value.suppressUnhandledRejections();
      return this._then(undefined, returner, undefined, {
        value: value
      }, undefined);
    } else {
      var _value = arguments[1];
      if (_value instanceof Promise) _value.suppressUnhandledRejections();

      var handler = function () {
        return _value;
      };

      return this.caught(value, handler);
    }
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/each.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise, INTERNAL) {
  var PromiseReduce = Promise.reduce;
  var PromiseAll = Promise.all;

  function promiseAllThis() {
    return PromiseAll(this);
  }

  function PromiseMapSeries(promises, fn) {
    return PromiseReduce(promises, fn, INTERNAL, INTERNAL);
  }

  Promise.prototype.each = function (fn) {
    return PromiseReduce(this, fn, INTERNAL, 0)._then(promiseAllThis, undefined, undefined, this, undefined);
  };

  Promise.prototype.mapSeries = function (fn) {
    return PromiseReduce(this, fn, INTERNAL, INTERNAL);
  };

  Promise.each = function (promises, fn) {
    return PromiseReduce(promises, fn, INTERNAL, 0)._then(promiseAllThis, undefined, undefined, promises, undefined);
  };

  Promise.mapSeries = PromiseMapSeries;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

var Objectfreeze = es5.freeze;

var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

var inherits = util.inherits;
var notEnumerableProp = util.notEnumerableProp;

function subError(nameProperty, defaultMessage) {
  function SubError(message) {
    if (!(this instanceof SubError)) return new SubError(message);
    notEnumerableProp(this, "message", typeof message === "string" ? message : defaultMessage);
    notEnumerableProp(this, "name", nameProperty);

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, this.constructor);
    } else {
      Error.call(this);
    }
  }

  inherits(SubError, Error);
  return SubError;
}

var _TypeError, _RangeError;

var Warning = subError("Warning", "warning");
var CancellationError = subError("CancellationError", "cancellation error");
var TimeoutError = subError("TimeoutError", "timeout error");
var AggregateError = subError("AggregateError", "aggregate error");

try {
  _TypeError = TypeError;
  _RangeError = RangeError;
} catch (e) {
  _TypeError = subError("TypeError", "type error");
  _RangeError = subError("RangeError", "range error");
}

var methods = ("join pop push shift unshift slice filter forEach some " + "every map indexOf lastIndexOf reduce reduceRight sort reverse").split(" ");

for (var i = 0; i < methods.length; ++i) {
  if (typeof Array.prototype[methods[i]] === "function") {
    AggregateError.prototype[methods[i]] = Array.prototype[methods[i]];
  }
}

es5.defineProperty(AggregateError.prototype, "length", {
  value: 0,
  configurable: false,
  writable: true,
  enumerable: true
});
AggregateError.prototype["isOperational"] = true;
var level = 0;

AggregateError.prototype.toString = function () {
  var indent = Array(level * 4 + 1).join(" ");
  var ret = "\n" + indent + "AggregateError of:" + "\n";
  level++;
  indent = Array(level * 4 + 1).join(" ");

  for (var i = 0; i < this.length; ++i) {
    var str = this[i] === this ? "[Circular AggregateError]" : this[i] + "";
    var lines = str.split("\n");

    for (var j = 0; j < lines.length; ++j) {
      lines[j] = indent + lines[j];
    }

    str = lines.join("\n");
    ret += str + "\n";
  }

  level--;
  return ret;
};

function OperationalError(message) {
  if (!(this instanceof OperationalError)) return new OperationalError(message);
  notEnumerableProp(this, "name", "OperationalError");
  notEnumerableProp(this, "message", message);
  this.cause = message;
  this["isOperational"] = true;

  if (message instanceof Error) {
    notEnumerableProp(this, "message", message.message);
    notEnumerableProp(this, "stack", message.stack);
  } else if (Error.captureStackTrace) {
    Error.captureStackTrace(this, this.constructor);
  }
}

inherits(OperationalError, Error);
var errorTypes = Error["__BluebirdErrorTypes__"];

if (!errorTypes) {
  errorTypes = Objectfreeze({
    CancellationError: CancellationError,
    TimeoutError: TimeoutError,
    OperationalError: OperationalError,
    RejectionError: OperationalError,
    AggregateError: AggregateError
  });
  es5.defineProperty(Error, "__BluebirdErrorTypes__", {
    value: errorTypes,
    writable: false,
    enumerable: false,
    configurable: false
  });
}

module.exports = {
  Error: Error,
  TypeError: _TypeError,
  RangeError: _RangeError,
  CancellationError: errorTypes.CancellationError,
  OperationalError: errorTypes.OperationalError,
  TimeoutError: errorTypes.TimeoutError,
  AggregateError: errorTypes.AggregateError,
  Warning: Warning
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js":
/***/ ((module) => {

var isES5 = function () {
  "use strict";

  return this === undefined;
}();

if (isES5) {
  module.exports = {
    freeze: Object.freeze,
    defineProperty: Object.defineProperty,
    getDescriptor: Object.getOwnPropertyDescriptor,
    keys: Object.keys,
    names: Object.getOwnPropertyNames,
    getPrototypeOf: Object.getPrototypeOf,
    isArray: Array.isArray,
    isES5: isES5,
    propertyIsWritable: function (obj, prop) {
      var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
      return !!(!descriptor || descriptor.writable || descriptor.set);
    }
  };
} else {
  var has = {}.hasOwnProperty;
  var str = {}.toString;
  var proto = {}.constructor.prototype;

  var ObjectKeys = function (o) {
    var ret = [];

    for (var key in o) {
      if (has.call(o, key)) {
        ret.push(key);
      }
    }

    return ret;
  };

  var ObjectGetDescriptor = function (o, key) {
    return {
      value: o[key]
    };
  };

  var ObjectDefineProperty = function (o, key, desc) {
    o[key] = desc.value;
    return o;
  };

  var ObjectFreeze = function (obj) {
    return obj;
  };

  var ObjectGetPrototypeOf = function (obj) {
    try {
      return Object(obj).constructor.prototype;
    } catch (e) {
      return proto;
    }
  };

  var ArrayIsArray = function (obj) {
    try {
      return str.call(obj) === "[object Array]";
    } catch (e) {
      return false;
    }
  };

  module.exports = {
    isArray: ArrayIsArray,
    keys: ObjectKeys,
    names: ObjectKeys,
    defineProperty: ObjectDefineProperty,
    getDescriptor: ObjectGetDescriptor,
    freeze: ObjectFreeze,
    getPrototypeOf: ObjectGetPrototypeOf,
    isES5: isES5,
    propertyIsWritable: function () {
      return true;
    }
  };
}

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/filter.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise, INTERNAL) {
  var PromiseMap = Promise.map;

  Promise.prototype.filter = function (fn, options) {
    return PromiseMap(this, fn, options, INTERNAL);
  };

  Promise.filter = function (promises, fn, options) {
    return PromiseMap(promises, fn, options, INTERNAL);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/finally.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, tryConvertToPromise, NEXT_FILTER) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var CancellationError = Promise.CancellationError;
  var errorObj = util.errorObj;

  var catchFilter = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/catch_filter.js")(NEXT_FILTER);

  function PassThroughHandlerContext(promise, type, handler) {
    this.promise = promise;
    this.type = type;
    this.handler = handler;
    this.called = false;
    this.cancelPromise = null;
  }

  PassThroughHandlerContext.prototype.isFinallyHandler = function () {
    return this.type === 0;
  };

  function FinallyHandlerCancelReaction(finallyHandler) {
    this.finallyHandler = finallyHandler;
  }

  FinallyHandlerCancelReaction.prototype._resultCancelled = function () {
    checkCancel(this.finallyHandler);
  };

  function checkCancel(ctx, reason) {
    if (ctx.cancelPromise != null) {
      if (arguments.length > 1) {
        ctx.cancelPromise._reject(reason);
      } else {
        ctx.cancelPromise._cancel();
      }

      ctx.cancelPromise = null;
      return true;
    }

    return false;
  }

  function succeed() {
    return finallyHandler.call(this, this.promise._target()._settledValue());
  }

  function fail(reason) {
    if (checkCancel(this, reason)) return;
    errorObj.e = reason;
    return errorObj;
  }

  function finallyHandler(reasonOrValue) {
    var promise = this.promise;
    var handler = this.handler;

    if (!this.called) {
      this.called = true;
      var ret = this.isFinallyHandler() ? handler.call(promise._boundValue()) : handler.call(promise._boundValue(), reasonOrValue);

      if (ret === NEXT_FILTER) {
        return ret;
      } else if (ret !== undefined) {
        promise._setReturnedNonUndefined();

        var maybePromise = tryConvertToPromise(ret, promise);

        if (maybePromise instanceof Promise) {
          if (this.cancelPromise != null) {
            if (maybePromise._isCancelled()) {
              var reason = new CancellationError("late cancellation observer");

              promise._attachExtraTrace(reason);

              errorObj.e = reason;
              return errorObj;
            } else if (maybePromise.isPending()) {
              maybePromise._attachCancellationCallback(new FinallyHandlerCancelReaction(this));
            }
          }

          return maybePromise._then(succeed, fail, undefined, this, undefined);
        }
      }
    }

    if (promise.isRejected()) {
      checkCancel(this);
      errorObj.e = reasonOrValue;
      return errorObj;
    } else {
      checkCancel(this);
      return reasonOrValue;
    }
  }

  Promise.prototype._passThrough = function (handler, type, success, fail) {
    if (typeof handler !== "function") return this.then();
    return this._then(success, fail, undefined, new PassThroughHandlerContext(this, type, handler), undefined);
  };

  Promise.prototype.lastly = Promise.prototype["finally"] = function (handler) {
    return this._passThrough(handler, 0, finallyHandler, finallyHandler);
  };

  Promise.prototype.tap = function (handler) {
    return this._passThrough(handler, 1, finallyHandler);
  };

  Promise.prototype.tapCatch = function (handlerOrPredicate) {
    var len = arguments.length;

    if (len === 1) {
      return this._passThrough(handlerOrPredicate, 1, undefined, finallyHandler);
    } else {
      var catchInstances = new Array(len - 1),
          j = 0,
          i;

      for (i = 0; i < len - 1; ++i) {
        var item = arguments[i];

        if (util.isObject(item)) {
          catchInstances[j++] = item;
        } else {
          return Promise.reject(new TypeError("tapCatch statement predicate: " + "expecting an object but got " + util.classString(item)));
        }
      }

      catchInstances.length = j;
      var handler = arguments[i];
      return this._passThrough(catchFilter(catchInstances, handler, this), 1, undefined, finallyHandler);
    }
  };

  return PassThroughHandlerContext;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/generators.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, apiRejection, INTERNAL, tryConvertToPromise, Proxyable, debug) {
  var errors = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js");

  var TypeError = errors.TypeError;

  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var errorObj = util.errorObj;
  var tryCatch = util.tryCatch;
  var yieldHandlers = [];

  function promiseFromYieldHandler(value, yieldHandlers, traceParent) {
    for (var i = 0; i < yieldHandlers.length; ++i) {
      traceParent._pushContext();

      var result = tryCatch(yieldHandlers[i])(value);

      traceParent._popContext();

      if (result === errorObj) {
        traceParent._pushContext();

        var ret = Promise.reject(errorObj.e);

        traceParent._popContext();

        return ret;
      }

      var maybePromise = tryConvertToPromise(result, traceParent);
      if (maybePromise instanceof Promise) return maybePromise;
    }

    return null;
  }

  function PromiseSpawn(generatorFunction, receiver, yieldHandler, stack) {
    if (debug.cancellation()) {
      var internal = new Promise(INTERNAL);

      var _finallyPromise = this._finallyPromise = new Promise(INTERNAL);

      this._promise = internal.lastly(function () {
        return _finallyPromise;
      });

      internal._captureStackTrace();

      internal._setOnCancel(this);
    } else {
      var promise = this._promise = new Promise(INTERNAL);

      promise._captureStackTrace();
    }

    this._stack = stack;
    this._generatorFunction = generatorFunction;
    this._receiver = receiver;
    this._generator = undefined;
    this._yieldHandlers = typeof yieldHandler === "function" ? [yieldHandler].concat(yieldHandlers) : yieldHandlers;
    this._yieldedPromise = null;
    this._cancellationPhase = false;
  }

  util.inherits(PromiseSpawn, Proxyable);

  PromiseSpawn.prototype._isResolved = function () {
    return this._promise === null;
  };

  PromiseSpawn.prototype._cleanup = function () {
    this._promise = this._generator = null;

    if (debug.cancellation() && this._finallyPromise !== null) {
      this._finallyPromise._fulfill();

      this._finallyPromise = null;
    }
  };

  PromiseSpawn.prototype._promiseCancelled = function () {
    if (this._isResolved()) return;
    var implementsReturn = typeof this._generator["return"] !== "undefined";
    var result;

    if (!implementsReturn) {
      var reason = new Promise.CancellationError("generator .return() sentinel");
      Promise.coroutine.returnSentinel = reason;

      this._promise._attachExtraTrace(reason);

      this._promise._pushContext();

      result = tryCatch(this._generator["throw"]).call(this._generator, reason);

      this._promise._popContext();
    } else {
      this._promise._pushContext();

      result = tryCatch(this._generator["return"]).call(this._generator, undefined);

      this._promise._popContext();
    }

    this._cancellationPhase = true;
    this._yieldedPromise = null;

    this._continue(result);
  };

  PromiseSpawn.prototype._promiseFulfilled = function (value) {
    this._yieldedPromise = null;

    this._promise._pushContext();

    var result = tryCatch(this._generator.next).call(this._generator, value);

    this._promise._popContext();

    this._continue(result);
  };

  PromiseSpawn.prototype._promiseRejected = function (reason) {
    this._yieldedPromise = null;

    this._promise._attachExtraTrace(reason);

    this._promise._pushContext();

    var result = tryCatch(this._generator["throw"]).call(this._generator, reason);

    this._promise._popContext();

    this._continue(result);
  };

  PromiseSpawn.prototype._resultCancelled = function () {
    if (this._yieldedPromise instanceof Promise) {
      var promise = this._yieldedPromise;
      this._yieldedPromise = null;
      promise.cancel();
    }
  };

  PromiseSpawn.prototype.promise = function () {
    return this._promise;
  };

  PromiseSpawn.prototype._run = function () {
    this._generator = this._generatorFunction.call(this._receiver);
    this._receiver = this._generatorFunction = undefined;

    this._promiseFulfilled(undefined);
  };

  PromiseSpawn.prototype._continue = function (result) {
    var promise = this._promise;

    if (result === errorObj) {
      this._cleanup();

      if (this._cancellationPhase) {
        return promise.cancel();
      } else {
        return promise._rejectCallback(result.e, false);
      }
    }

    var value = result.value;

    if (result.done === true) {
      this._cleanup();

      if (this._cancellationPhase) {
        return promise.cancel();
      } else {
        return promise._resolveCallback(value);
      }
    } else {
      var maybePromise = tryConvertToPromise(value, this._promise);

      if (!(maybePromise instanceof Promise)) {
        maybePromise = promiseFromYieldHandler(maybePromise, this._yieldHandlers, this._promise);

        if (maybePromise === null) {
          this._promiseRejected(new TypeError("A value %s was yielded that could not be treated as a promise\u000a\u000a    See http://goo.gl/MqrFmX\u000a\u000a".replace("%s", String(value)) + "From coroutine:\u000a" + this._stack.split("\n").slice(1, -7).join("\n")));

          return;
        }
      }

      maybePromise = maybePromise._target();
      var bitField = maybePromise._bitField;
      ;

      if ((bitField & 50397184) === 0) {
        this._yieldedPromise = maybePromise;

        maybePromise._proxy(this, null);
      } else if ((bitField & 33554432) !== 0) {
        Promise._async.invoke(this._promiseFulfilled, this, maybePromise._value());
      } else if ((bitField & 16777216) !== 0) {
        Promise._async.invoke(this._promiseRejected, this, maybePromise._reason());
      } else {
        this._promiseCancelled();
      }
    }
  };

  Promise.coroutine = function (generatorFunction, options) {
    if (typeof generatorFunction !== "function") {
      throw new TypeError("generatorFunction must be a function\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    var yieldHandler = Object(options).yieldHandler;
    var PromiseSpawn$ = PromiseSpawn;
    var stack = new Error().stack;
    return function () {
      var generator = generatorFunction.apply(this, arguments);
      var spawn = new PromiseSpawn$(undefined, undefined, yieldHandler, stack);
      var ret = spawn.promise();
      spawn._generator = generator;

      spawn._promiseFulfilled(undefined);

      return ret;
    };
  };

  Promise.coroutine.addYieldHandler = function (fn) {
    if (typeof fn !== "function") {
      throw new TypeError("expecting a function but got " + util.classString(fn));
    }

    yieldHandlers.push(fn);
  };

  Promise.spawn = function (generatorFunction) {
    debug.deprecated("Promise.spawn()", "Promise.coroutine()");

    if (typeof generatorFunction !== "function") {
      return apiRejection("generatorFunction must be a function\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    var spawn = new PromiseSpawn(generatorFunction, this);
    var ret = spawn.promise();

    spawn._run(Promise.spawn);

    return ret;
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/join.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, tryConvertToPromise, INTERNAL, async) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var canEvaluate = util.canEvaluate;
  var tryCatch = util.tryCatch;
  var errorObj = util.errorObj;
  var reject;

  if (true) {
    if (canEvaluate) {
      var thenCallback = function (i) {
        return new Function("value", "holder", "                             \n\
            'use strict';                                                    \n\
            holder.pIndex = value;                                           \n\
            holder.checkFulfillment(this);                                   \n\
            ".replace(/Index/g, i));
      };

      var promiseSetter = function (i) {
        return new Function("promise", "holder", "                           \n\
            'use strict';                                                    \n\
            holder.pIndex = promise;                                         \n\
            ".replace(/Index/g, i));
      };

      var generateHolderClass = function (total) {
        var props = new Array(total);

        for (var i = 0; i < props.length; ++i) {
          props[i] = "this.p" + (i + 1);
        }

        var assignment = props.join(" = ") + " = null;";
        var cancellationCode = "var promise;\n" + props.map(function (prop) {
          return "                                                         \n\
                promise = " + prop + ";                                      \n\
                if (promise instanceof Promise) {                            \n\
                    promise.cancel();                                        \n\
                }                                                            \n\
            ";
        }).join("\n");
        var passedArguments = props.join(", ");
        var name = "Holder$" + total;
        var code = "return function(tryCatch, errorObj, Promise, async) {    \n\
            'use strict';                                                    \n\
            function [TheName](fn) {                                         \n\
                [TheProperties]                                              \n\
                this.fn = fn;                                                \n\
                this.asyncNeeded = true;                                     \n\
                this.now = 0;                                                \n\
            }                                                                \n\
                                                                             \n\
            [TheName].prototype._callFunction = function(promise) {          \n\
                promise._pushContext();                                      \n\
                var ret = tryCatch(this.fn)([ThePassedArguments]);           \n\
                promise._popContext();                                       \n\
                if (ret === errorObj) {                                      \n\
                    promise._rejectCallback(ret.e, false);                   \n\
                } else {                                                     \n\
                    promise._resolveCallback(ret);                           \n\
                }                                                            \n\
            };                                                               \n\
                                                                             \n\
            [TheName].prototype.checkFulfillment = function(promise) {       \n\
                var now = ++this.now;                                        \n\
                if (now === [TheTotal]) {                                    \n\
                    if (this.asyncNeeded) {                                  \n\
                        async.invoke(this._callFunction, this, promise);     \n\
                    } else {                                                 \n\
                        this._callFunction(promise);                         \n\
                    }                                                        \n\
                                                                             \n\
                }                                                            \n\
            };                                                               \n\
                                                                             \n\
            [TheName].prototype._resultCancelled = function() {              \n\
                [CancellationCode]                                           \n\
            };                                                               \n\
                                                                             \n\
            return [TheName];                                                \n\
        }(tryCatch, errorObj, Promise, async);                               \n\
        ";
        code = code.replace(/\[TheName\]/g, name).replace(/\[TheTotal\]/g, total).replace(/\[ThePassedArguments\]/g, passedArguments).replace(/\[TheProperties\]/g, assignment).replace(/\[CancellationCode\]/g, cancellationCode);
        return new Function("tryCatch", "errorObj", "Promise", "async", code)(tryCatch, errorObj, Promise, async);
      };

      var holderClasses = [];
      var thenCallbacks = [];
      var promiseSetters = [];

      for (var i = 0; i < 8; ++i) {
        holderClasses.push(generateHolderClass(i + 1));
        thenCallbacks.push(thenCallback(i + 1));
        promiseSetters.push(promiseSetter(i + 1));
      }

      reject = function (reason) {
        this._reject(reason);
      };
    }
  }

  Promise.join = function () {
    var last = arguments.length - 1;
    var fn;

    if (last > 0 && typeof arguments[last] === "function") {
      fn = arguments[last];

      if (true) {
        if (last <= 8 && canEvaluate) {
          var ret = new Promise(INTERNAL);

          ret._captureStackTrace();

          var HolderClass = holderClasses[last - 1];
          var holder = new HolderClass(fn);
          var callbacks = thenCallbacks;

          for (var i = 0; i < last; ++i) {
            var maybePromise = tryConvertToPromise(arguments[i], ret);

            if (maybePromise instanceof Promise) {
              maybePromise = maybePromise._target();
              var bitField = maybePromise._bitField;
              ;

              if ((bitField & 50397184) === 0) {
                maybePromise._then(callbacks[i], reject, undefined, ret, holder);

                promiseSetters[i](maybePromise, holder);
                holder.asyncNeeded = false;
              } else if ((bitField & 33554432) !== 0) {
                callbacks[i].call(ret, maybePromise._value(), holder);
              } else if ((bitField & 16777216) !== 0) {
                ret._reject(maybePromise._reason());
              } else {
                ret._cancel();
              }
            } else {
              callbacks[i].call(ret, maybePromise, holder);
            }
          }

          if (!ret._isFateSealed()) {
            if (holder.asyncNeeded) {
              var context = Promise._getContext();

              holder.fn = util.contextBind(context, holder.fn);
            }

            ret._setAsyncGuaranteed();

            ret._setOnCancel(holder);
          }

          return ret;
        }
      }
    }

    var $_len = arguments.length;
    var args = new Array($_len);

    for (var $_i = 0; $_i < $_len; ++$_i) {
      args[$_i] = arguments[$_i];
    }

    ;
    if (fn) args.pop();
    var ret = new PromiseArray(args).promise();
    return fn !== undefined ? ret.spread(fn) : ret;
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/map.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, apiRejection, tryConvertToPromise, INTERNAL, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var tryCatch = util.tryCatch;
  var errorObj = util.errorObj;
  var async = Promise._async;

  function MappingPromiseArray(promises, fn, limit, _filter) {
    this.constructor$(promises);

    this._promise._captureStackTrace();

    var context = Promise._getContext();

    this._callback = util.contextBind(context, fn);
    this._preservedValues = _filter === INTERNAL ? new Array(this.length()) : null;
    this._limit = limit;
    this._inFlight = 0;
    this._queue = [];
    async.invoke(this._asyncInit, this, undefined);

    if (util.isArray(promises)) {
      for (var i = 0; i < promises.length; ++i) {
        var maybePromise = promises[i];

        if (maybePromise instanceof Promise) {
          maybePromise.suppressUnhandledRejections();
        }
      }
    }
  }

  util.inherits(MappingPromiseArray, PromiseArray);

  MappingPromiseArray.prototype._asyncInit = function () {
    this._init$(undefined, -2);
  };

  MappingPromiseArray.prototype._init = function () {};

  MappingPromiseArray.prototype._promiseFulfilled = function (value, index) {
    var values = this._values;
    var length = this.length();
    var preservedValues = this._preservedValues;
    var limit = this._limit;

    if (index < 0) {
      index = index * -1 - 1;
      values[index] = value;

      if (limit >= 1) {
        this._inFlight--;

        this._drainQueue();

        if (this._isResolved()) return true;
      }
    } else {
      if (limit >= 1 && this._inFlight >= limit) {
        values[index] = value;

        this._queue.push(index);

        return false;
      }

      if (preservedValues !== null) preservedValues[index] = value;
      var promise = this._promise;
      var callback = this._callback;

      var receiver = promise._boundValue();

      promise._pushContext();

      var ret = tryCatch(callback).call(receiver, value, index, length);

      var promiseCreated = promise._popContext();

      debug.checkForgottenReturns(ret, promiseCreated, preservedValues !== null ? "Promise.filter" : "Promise.map", promise);

      if (ret === errorObj) {
        this._reject(ret.e);

        return true;
      }

      var maybePromise = tryConvertToPromise(ret, this._promise);

      if (maybePromise instanceof Promise) {
        maybePromise = maybePromise._target();
        var bitField = maybePromise._bitField;
        ;

        if ((bitField & 50397184) === 0) {
          if (limit >= 1) this._inFlight++;
          values[index] = maybePromise;

          maybePromise._proxy(this, (index + 1) * -1);

          return false;
        } else if ((bitField & 33554432) !== 0) {
          ret = maybePromise._value();
        } else if ((bitField & 16777216) !== 0) {
          this._reject(maybePromise._reason());

          return true;
        } else {
          this._cancel();

          return true;
        }
      }

      values[index] = ret;
    }

    var totalResolved = ++this._totalResolved;

    if (totalResolved >= length) {
      if (preservedValues !== null) {
        this._filter(values, preservedValues);
      } else {
        this._resolve(values);
      }

      return true;
    }

    return false;
  };

  MappingPromiseArray.prototype._drainQueue = function () {
    var queue = this._queue;
    var limit = this._limit;
    var values = this._values;

    while (queue.length > 0 && this._inFlight < limit) {
      if (this._isResolved()) return;
      var index = queue.pop();

      this._promiseFulfilled(values[index], index);
    }
  };

  MappingPromiseArray.prototype._filter = function (booleans, values) {
    var len = values.length;
    var ret = new Array(len);
    var j = 0;

    for (var i = 0; i < len; ++i) {
      if (booleans[i]) ret[j++] = values[i];
    }

    ret.length = j;

    this._resolve(ret);
  };

  MappingPromiseArray.prototype.preservedValues = function () {
    return this._preservedValues;
  };

  function map(promises, fn, options, _filter) {
    if (typeof fn !== "function") {
      return apiRejection("expecting a function but got " + util.classString(fn));
    }

    var limit = 0;

    if (options !== undefined) {
      if (typeof options === "object" && options !== null) {
        if (typeof options.concurrency !== "number") {
          return Promise.reject(new TypeError("'concurrency' must be a number but it is " + util.classString(options.concurrency)));
        }

        limit = options.concurrency;
      } else {
        return Promise.reject(new TypeError("options argument must be an object but it is " + util.classString(options)));
      }
    }

    limit = typeof limit === "number" && isFinite(limit) && limit >= 1 ? limit : 0;
    return new MappingPromiseArray(promises, fn, limit, _filter).promise();
  }

  Promise.prototype.map = function (fn, options) {
    return map(this, fn, options, null);
  };

  Promise.map = function (promises, fn, options, _filter) {
    return map(promises, fn, options, _filter);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/method.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL, tryConvertToPromise, apiRejection, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var tryCatch = util.tryCatch;

  Promise.method = function (fn) {
    if (typeof fn !== "function") {
      throw new Promise.TypeError("expecting a function but got " + util.classString(fn));
    }

    return function () {
      var ret = new Promise(INTERNAL);

      ret._captureStackTrace();

      ret._pushContext();

      var value = tryCatch(fn).apply(this, arguments);

      var promiseCreated = ret._popContext();

      debug.checkForgottenReturns(value, promiseCreated, "Promise.method", ret);

      ret._resolveFromSyncValue(value);

      return ret;
    };
  };

  Promise.attempt = Promise["try"] = function (fn) {
    if (typeof fn !== "function") {
      return apiRejection("expecting a function but got " + util.classString(fn));
    }

    var ret = new Promise(INTERNAL);

    ret._captureStackTrace();

    ret._pushContext();

    var value;

    if (arguments.length > 1) {
      debug.deprecated("calling Promise.try with more than 1 argument");
      var arg = arguments[1];
      var ctx = arguments[2];
      value = util.isArray(arg) ? tryCatch(fn).apply(ctx, arg) : tryCatch(fn).call(ctx, arg);
    } else {
      value = tryCatch(fn)();
    }

    var promiseCreated = ret._popContext();

    debug.checkForgottenReturns(value, promiseCreated, "Promise.try", ret);

    ret._resolveFromSyncValue(value);

    return ret;
  };

  Promise.prototype._resolveFromSyncValue = function (value) {
    if (value === util.errorObj) {
      this._rejectCallback(value.e, false);
    } else {
      this._resolveCallback(value, true);
    }
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/nodeback.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

var maybeWrapAsError = util.maybeWrapAsError;

var errors = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js");

var OperationalError = errors.OperationalError;

var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

function isUntypedError(obj) {
  return obj instanceof Error && es5.getPrototypeOf(obj) === Error.prototype;
}

var rErrorKey = /^(?:name|message|stack|cause)$/;

function wrapAsOperationalError(obj) {
  var ret;

  if (isUntypedError(obj)) {
    ret = new OperationalError(obj);
    ret.name = obj.name;
    ret.message = obj.message;
    ret.stack = obj.stack;
    var keys = es5.keys(obj);

    for (var i = 0; i < keys.length; ++i) {
      var key = keys[i];

      if (!rErrorKey.test(key)) {
        ret[key] = obj[key];
      }
    }

    return ret;
  }

  util.markAsOriginatingFromRejection(obj);
  return obj;
}

function nodebackForPromise(promise, multiArgs) {
  return function (err, value) {
    if (promise === null) return;

    if (err) {
      var wrapped = wrapAsOperationalError(maybeWrapAsError(err));

      promise._attachExtraTrace(wrapped);

      promise._reject(wrapped);
    } else if (!multiArgs) {
      promise._fulfill(value);
    } else {
      var $_len = arguments.length;
      var args = new Array(Math.max($_len - 1, 0));

      for (var $_i = 1; $_i < $_len; ++$_i) {
        args[$_i - 1] = arguments[$_i];
      }

      ;

      promise._fulfill(args);
    }

    promise = null;
  };
}

module.exports = nodebackForPromise;

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/nodeify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var async = Promise._async;
  var tryCatch = util.tryCatch;
  var errorObj = util.errorObj;

  function spreadAdapter(val, nodeback) {
    var promise = this;
    if (!util.isArray(val)) return successAdapter.call(promise, val, nodeback);
    var ret = tryCatch(nodeback).apply(promise._boundValue(), [null].concat(val));

    if (ret === errorObj) {
      async.throwLater(ret.e);
    }
  }

  function successAdapter(val, nodeback) {
    var promise = this;

    var receiver = promise._boundValue();

    var ret = val === undefined ? tryCatch(nodeback).call(receiver, null) : tryCatch(nodeback).call(receiver, null, val);

    if (ret === errorObj) {
      async.throwLater(ret.e);
    }
  }

  function errorAdapter(reason, nodeback) {
    var promise = this;

    if (!reason) {
      var newReason = new Error(reason + "");
      newReason.cause = reason;
      reason = newReason;
    }

    var ret = tryCatch(nodeback).call(promise._boundValue(), reason);

    if (ret === errorObj) {
      async.throwLater(ret.e);
    }
  }

  Promise.prototype.asCallback = Promise.prototype.nodeify = function (nodeback, options) {
    if (typeof nodeback == "function") {
      var adapter = successAdapter;

      if (options !== undefined && Object(options).spread) {
        adapter = spreadAdapter;
      }

      this._then(adapter, errorAdapter, undefined, this, nodeback);
    }

    return this;
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promise.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function () {
  var makeSelfResolutionError = function () {
    return new TypeError("circular promise resolution chain\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
  };

  var reflectHandler = function () {
    return new Promise.PromiseInspection(this._target());
  };

  var apiRejection = function (msg) {
    return Promise.reject(new TypeError(msg));
  };

  function Proxyable() {}

  var UNDEFINED_BINDING = {};

  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  util.setReflectHandler(reflectHandler);

  var getDomain = function () {
    var domain = process.domain;

    if (domain === undefined) {
      return null;
    }

    return domain;
  };

  var getContextDefault = function () {
    return null;
  };

  var getContextDomain = function () {
    return {
      domain: getDomain(),
      async: null
    };
  };

  var AsyncResource = util.isNode && util.nodeSupportsAsyncResource ? __webpack_require__("async_hooks").AsyncResource : null;

  var getContextAsyncHooks = function () {
    return {
      domain: getDomain(),
      async: new AsyncResource("Bluebird::Promise")
    };
  };

  var getContext = util.isNode ? getContextDomain : getContextDefault;
  util.notEnumerableProp(Promise, "_getContext", getContext);

  var enableAsyncHooks = function () {
    getContext = getContextAsyncHooks;
    util.notEnumerableProp(Promise, "_getContext", getContextAsyncHooks);
  };

  var disableAsyncHooks = function () {
    getContext = getContextDomain;
    util.notEnumerableProp(Promise, "_getContext", getContextDomain);
  };

  var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

  var Async = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/async.js");

  var async = new Async();
  es5.defineProperty(Promise, "_async", {
    value: async
  });

  var errors = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js");

  var TypeError = Promise.TypeError = errors.TypeError;
  Promise.RangeError = errors.RangeError;
  var CancellationError = Promise.CancellationError = errors.CancellationError;
  Promise.TimeoutError = errors.TimeoutError;
  Promise.OperationalError = errors.OperationalError;
  Promise.RejectionError = errors.OperationalError;
  Promise.AggregateError = errors.AggregateError;

  var INTERNAL = function () {};

  var APPLY = {};
  var NEXT_FILTER = {};

  var tryConvertToPromise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/thenables.js")(Promise, INTERNAL);

  var PromiseArray = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promise_array.js")(Promise, INTERNAL, tryConvertToPromise, apiRejection, Proxyable);

  var Context = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/context.js")(Promise);
  /*jshint unused:false*/


  var createContext = Context.create;

  var debug = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/debuggability.js")(Promise, Context, enableAsyncHooks, disableAsyncHooks);

  var CapturedTrace = debug.CapturedTrace;

  var PassThroughHandlerContext = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/finally.js")(Promise, tryConvertToPromise, NEXT_FILTER);

  var catchFilter = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/catch_filter.js")(NEXT_FILTER);

  var nodebackForPromise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/nodeback.js");

  var errorObj = util.errorObj;
  var tryCatch = util.tryCatch;

  function check(self, executor) {
    if (self == null || self.constructor !== Promise) {
      throw new TypeError("the promise constructor cannot be invoked directly\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    if (typeof executor !== "function") {
      throw new TypeError("expecting a function but got " + util.classString(executor));
    }
  }

  function Promise(executor) {
    if (executor !== INTERNAL) {
      check(this, executor);
    }

    this._bitField = 0;
    this._fulfillmentHandler0 = undefined;
    this._rejectionHandler0 = undefined;
    this._promise0 = undefined;
    this._receiver0 = undefined;

    this._resolveFromExecutor(executor);

    this._promiseCreated();

    this._fireEvent("promiseCreated", this);
  }

  Promise.prototype.toString = function () {
    return "[object Promise]";
  };

  Promise.prototype.caught = Promise.prototype["catch"] = function (fn) {
    var len = arguments.length;

    if (len > 1) {
      var catchInstances = new Array(len - 1),
          j = 0,
          i;

      for (i = 0; i < len - 1; ++i) {
        var item = arguments[i];

        if (util.isObject(item)) {
          catchInstances[j++] = item;
        } else {
          return apiRejection("Catch statement predicate: " + "expecting an object but got " + util.classString(item));
        }
      }

      catchInstances.length = j;
      fn = arguments[i];

      if (typeof fn !== "function") {
        throw new TypeError("The last argument to .catch() " + "must be a function, got " + util.toString(fn));
      }

      return this.then(undefined, catchFilter(catchInstances, fn, this));
    }

    return this.then(undefined, fn);
  };

  Promise.prototype.reflect = function () {
    return this._then(reflectHandler, reflectHandler, undefined, this, undefined);
  };

  Promise.prototype.then = function (didFulfill, didReject) {
    if (debug.warnings() && arguments.length > 0 && typeof didFulfill !== "function" && typeof didReject !== "function") {
      var msg = ".then() only accepts functions but was passed: " + util.classString(didFulfill);

      if (arguments.length > 1) {
        msg += ", " + util.classString(didReject);
      }

      this._warn(msg);
    }

    return this._then(didFulfill, didReject, undefined, undefined, undefined);
  };

  Promise.prototype.done = function (didFulfill, didReject) {
    var promise = this._then(didFulfill, didReject, undefined, undefined, undefined);

    promise._setIsFinal();
  };

  Promise.prototype.spread = function (fn) {
    if (typeof fn !== "function") {
      return apiRejection("expecting a function but got " + util.classString(fn));
    }

    return this.all()._then(fn, undefined, undefined, APPLY, undefined);
  };

  Promise.prototype.toJSON = function () {
    var ret = {
      isFulfilled: false,
      isRejected: false,
      fulfillmentValue: undefined,
      rejectionReason: undefined
    };

    if (this.isFulfilled()) {
      ret.fulfillmentValue = this.value();
      ret.isFulfilled = true;
    } else if (this.isRejected()) {
      ret.rejectionReason = this.reason();
      ret.isRejected = true;
    }

    return ret;
  };

  Promise.prototype.all = function () {
    if (arguments.length > 0) {
      this._warn(".all() was passed arguments but it does not take any");
    }

    return new PromiseArray(this).promise();
  };

  Promise.prototype.error = function (fn) {
    return this.caught(util.originatesFromRejection, fn);
  };

  Promise.getNewLibraryCopy = module.exports;

  Promise.is = function (val) {
    return val instanceof Promise;
  };

  Promise.fromNode = Promise.fromCallback = function (fn) {
    var ret = new Promise(INTERNAL);

    ret._captureStackTrace();

    var multiArgs = arguments.length > 1 ? !!Object(arguments[1]).multiArgs : false;
    var result = tryCatch(fn)(nodebackForPromise(ret, multiArgs));

    if (result === errorObj) {
      ret._rejectCallback(result.e, true);
    }

    if (!ret._isFateSealed()) ret._setAsyncGuaranteed();
    return ret;
  };

  Promise.all = function (promises) {
    return new PromiseArray(promises).promise();
  };

  Promise.cast = function (obj) {
    var ret = tryConvertToPromise(obj);

    if (!(ret instanceof Promise)) {
      ret = new Promise(INTERNAL);

      ret._captureStackTrace();

      ret._setFulfilled();

      ret._rejectionHandler0 = obj;
    }

    return ret;
  };

  Promise.resolve = Promise.fulfilled = Promise.cast;

  Promise.reject = Promise.rejected = function (reason) {
    var ret = new Promise(INTERNAL);

    ret._captureStackTrace();

    ret._rejectCallback(reason, true);

    return ret;
  };

  Promise.setScheduler = function (fn) {
    if (typeof fn !== "function") {
      throw new TypeError("expecting a function but got " + util.classString(fn));
    }

    return async.setScheduler(fn);
  };

  Promise.prototype._then = function (didFulfill, didReject, _, receiver, internalData) {
    var haveInternalData = internalData !== undefined;
    var promise = haveInternalData ? internalData : new Promise(INTERNAL);

    var target = this._target();

    var bitField = target._bitField;

    if (!haveInternalData) {
      promise._propagateFrom(this, 3);

      promise._captureStackTrace();

      if (receiver === undefined && (this._bitField & 2097152) !== 0) {
        if (!((bitField & 50397184) === 0)) {
          receiver = this._boundValue();
        } else {
          receiver = target === this ? undefined : this._boundTo;
        }
      }

      this._fireEvent("promiseChained", this, promise);
    }

    var context = getContext();

    if (!((bitField & 50397184) === 0)) {
      var handler,
          value,
          settler = target._settlePromiseCtx;

      if ((bitField & 33554432) !== 0) {
        value = target._rejectionHandler0;
        handler = didFulfill;
      } else if ((bitField & 16777216) !== 0) {
        value = target._fulfillmentHandler0;
        handler = didReject;

        target._unsetRejectionIsUnhandled();
      } else {
        settler = target._settlePromiseLateCancellationObserver;
        value = new CancellationError("late cancellation observer");

        target._attachExtraTrace(value);

        handler = didReject;
      }

      async.invoke(settler, target, {
        handler: util.contextBind(context, handler),
        promise: promise,
        receiver: receiver,
        value: value
      });
    } else {
      target._addCallbacks(didFulfill, didReject, promise, receiver, context);
    }

    return promise;
  };

  Promise.prototype._length = function () {
    return this._bitField & 65535;
  };

  Promise.prototype._isFateSealed = function () {
    return (this._bitField & 117506048) !== 0;
  };

  Promise.prototype._isFollowing = function () {
    return (this._bitField & 67108864) === 67108864;
  };

  Promise.prototype._setLength = function (len) {
    this._bitField = this._bitField & -65536 | len & 65535;
  };

  Promise.prototype._setFulfilled = function () {
    this._bitField = this._bitField | 33554432;

    this._fireEvent("promiseFulfilled", this);
  };

  Promise.prototype._setRejected = function () {
    this._bitField = this._bitField | 16777216;

    this._fireEvent("promiseRejected", this);
  };

  Promise.prototype._setFollowing = function () {
    this._bitField = this._bitField | 67108864;

    this._fireEvent("promiseResolved", this);
  };

  Promise.prototype._setIsFinal = function () {
    this._bitField = this._bitField | 4194304;
  };

  Promise.prototype._isFinal = function () {
    return (this._bitField & 4194304) > 0;
  };

  Promise.prototype._unsetCancelled = function () {
    this._bitField = this._bitField & ~65536;
  };

  Promise.prototype._setCancelled = function () {
    this._bitField = this._bitField | 65536;

    this._fireEvent("promiseCancelled", this);
  };

  Promise.prototype._setWillBeCancelled = function () {
    this._bitField = this._bitField | 8388608;
  };

  Promise.prototype._setAsyncGuaranteed = function () {
    if (async.hasCustomScheduler()) return;
    var bitField = this._bitField;
    this._bitField = bitField | (bitField & 536870912) >> 2 ^ 134217728;
  };

  Promise.prototype._setNoAsyncGuarantee = function () {
    this._bitField = (this._bitField | 536870912) & ~134217728;
  };

  Promise.prototype._receiverAt = function (index) {
    var ret = index === 0 ? this._receiver0 : this[index * 4 - 4 + 3];

    if (ret === UNDEFINED_BINDING) {
      return undefined;
    } else if (ret === undefined && this._isBound()) {
      return this._boundValue();
    }

    return ret;
  };

  Promise.prototype._promiseAt = function (index) {
    return this[index * 4 - 4 + 2];
  };

  Promise.prototype._fulfillmentHandlerAt = function (index) {
    return this[index * 4 - 4 + 0];
  };

  Promise.prototype._rejectionHandlerAt = function (index) {
    return this[index * 4 - 4 + 1];
  };

  Promise.prototype._boundValue = function () {};

  Promise.prototype._migrateCallback0 = function (follower) {
    var bitField = follower._bitField;
    var fulfill = follower._fulfillmentHandler0;
    var reject = follower._rejectionHandler0;
    var promise = follower._promise0;

    var receiver = follower._receiverAt(0);

    if (receiver === undefined) receiver = UNDEFINED_BINDING;

    this._addCallbacks(fulfill, reject, promise, receiver, null);
  };

  Promise.prototype._migrateCallbackAt = function (follower, index) {
    var fulfill = follower._fulfillmentHandlerAt(index);

    var reject = follower._rejectionHandlerAt(index);

    var promise = follower._promiseAt(index);

    var receiver = follower._receiverAt(index);

    if (receiver === undefined) receiver = UNDEFINED_BINDING;

    this._addCallbacks(fulfill, reject, promise, receiver, null);
  };

  Promise.prototype._addCallbacks = function (fulfill, reject, promise, receiver, context) {
    var index = this._length();

    if (index >= 65535 - 4) {
      index = 0;

      this._setLength(0);
    }

    if (index === 0) {
      this._promise0 = promise;
      this._receiver0 = receiver;

      if (typeof fulfill === "function") {
        this._fulfillmentHandler0 = util.contextBind(context, fulfill);
      }

      if (typeof reject === "function") {
        this._rejectionHandler0 = util.contextBind(context, reject);
      }
    } else {
      var base = index * 4 - 4;
      this[base + 2] = promise;
      this[base + 3] = receiver;

      if (typeof fulfill === "function") {
        this[base + 0] = util.contextBind(context, fulfill);
      }

      if (typeof reject === "function") {
        this[base + 1] = util.contextBind(context, reject);
      }
    }

    this._setLength(index + 1);

    return index;
  };

  Promise.prototype._proxy = function (proxyable, arg) {
    this._addCallbacks(undefined, undefined, arg, proxyable, null);
  };

  Promise.prototype._resolveCallback = function (value, shouldBind) {
    if ((this._bitField & 117506048) !== 0) return;
    if (value === this) return this._rejectCallback(makeSelfResolutionError(), false);
    var maybePromise = tryConvertToPromise(value, this);
    if (!(maybePromise instanceof Promise)) return this._fulfill(value);
    if (shouldBind) this._propagateFrom(maybePromise, 2);

    var promise = maybePromise._target();

    if (promise === this) {
      this._reject(makeSelfResolutionError());

      return;
    }

    var bitField = promise._bitField;

    if ((bitField & 50397184) === 0) {
      var len = this._length();

      if (len > 0) promise._migrateCallback0(this);

      for (var i = 1; i < len; ++i) {
        promise._migrateCallbackAt(this, i);
      }

      this._setFollowing();

      this._setLength(0);

      this._setFollowee(maybePromise);
    } else if ((bitField & 33554432) !== 0) {
      this._fulfill(promise._value());
    } else if ((bitField & 16777216) !== 0) {
      this._reject(promise._reason());
    } else {
      var reason = new CancellationError("late cancellation observer");

      promise._attachExtraTrace(reason);

      this._reject(reason);
    }
  };

  Promise.prototype._rejectCallback = function (reason, synchronous, ignoreNonErrorWarnings) {
    var trace = util.ensureErrorObject(reason);
    var hasStack = trace === reason;

    if (!hasStack && !ignoreNonErrorWarnings && debug.warnings()) {
      var message = "a promise was rejected with a non-error: " + util.classString(reason);

      this._warn(message, true);
    }

    this._attachExtraTrace(trace, synchronous ? hasStack : false);

    this._reject(reason);
  };

  Promise.prototype._resolveFromExecutor = function (executor) {
    if (executor === INTERNAL) return;
    var promise = this;

    this._captureStackTrace();

    this._pushContext();

    var synchronous = true;

    var r = this._execute(executor, function (value) {
      promise._resolveCallback(value);
    }, function (reason) {
      promise._rejectCallback(reason, synchronous);
    });

    synchronous = false;

    this._popContext();

    if (r !== undefined) {
      promise._rejectCallback(r, true);
    }
  };

  Promise.prototype._settlePromiseFromHandler = function (handler, receiver, value, promise) {
    var bitField = promise._bitField;
    if ((bitField & 65536) !== 0) return;

    promise._pushContext();

    var x;

    if (receiver === APPLY) {
      if (!value || typeof value.length !== "number") {
        x = errorObj;
        x.e = new TypeError("cannot .spread() a non-array: " + util.classString(value));
      } else {
        x = tryCatch(handler).apply(this._boundValue(), value);
      }
    } else {
      x = tryCatch(handler).call(receiver, value);
    }

    var promiseCreated = promise._popContext();

    bitField = promise._bitField;
    if ((bitField & 65536) !== 0) return;

    if (x === NEXT_FILTER) {
      promise._reject(value);
    } else if (x === errorObj) {
      promise._rejectCallback(x.e, false);
    } else {
      debug.checkForgottenReturns(x, promiseCreated, "", promise, this);

      promise._resolveCallback(x);
    }
  };

  Promise.prototype._target = function () {
    var ret = this;

    while (ret._isFollowing()) ret = ret._followee();

    return ret;
  };

  Promise.prototype._followee = function () {
    return this._rejectionHandler0;
  };

  Promise.prototype._setFollowee = function (promise) {
    this._rejectionHandler0 = promise;
  };

  Promise.prototype._settlePromise = function (promise, handler, receiver, value) {
    var isPromise = promise instanceof Promise;
    var bitField = this._bitField;
    var asyncGuaranteed = (bitField & 134217728) !== 0;

    if ((bitField & 65536) !== 0) {
      if (isPromise) promise._invokeInternalOnCancel();

      if (receiver instanceof PassThroughHandlerContext && receiver.isFinallyHandler()) {
        receiver.cancelPromise = promise;

        if (tryCatch(handler).call(receiver, value) === errorObj) {
          promise._reject(errorObj.e);
        }
      } else if (handler === reflectHandler) {
        promise._fulfill(reflectHandler.call(receiver));
      } else if (receiver instanceof Proxyable) {
        receiver._promiseCancelled(promise);
      } else if (isPromise || promise instanceof PromiseArray) {
        promise._cancel();
      } else {
        receiver.cancel();
      }
    } else if (typeof handler === "function") {
      if (!isPromise) {
        handler.call(receiver, value, promise);
      } else {
        if (asyncGuaranteed) promise._setAsyncGuaranteed();

        this._settlePromiseFromHandler(handler, receiver, value, promise);
      }
    } else if (receiver instanceof Proxyable) {
      if (!receiver._isResolved()) {
        if ((bitField & 33554432) !== 0) {
          receiver._promiseFulfilled(value, promise);
        } else {
          receiver._promiseRejected(value, promise);
        }
      }
    } else if (isPromise) {
      if (asyncGuaranteed) promise._setAsyncGuaranteed();

      if ((bitField & 33554432) !== 0) {
        promise._fulfill(value);
      } else {
        promise._reject(value);
      }
    }
  };

  Promise.prototype._settlePromiseLateCancellationObserver = function (ctx) {
    var handler = ctx.handler;
    var promise = ctx.promise;
    var receiver = ctx.receiver;
    var value = ctx.value;

    if (typeof handler === "function") {
      if (!(promise instanceof Promise)) {
        handler.call(receiver, value, promise);
      } else {
        this._settlePromiseFromHandler(handler, receiver, value, promise);
      }
    } else if (promise instanceof Promise) {
      promise._reject(value);
    }
  };

  Promise.prototype._settlePromiseCtx = function (ctx) {
    this._settlePromise(ctx.promise, ctx.handler, ctx.receiver, ctx.value);
  };

  Promise.prototype._settlePromise0 = function (handler, value, bitField) {
    var promise = this._promise0;

    var receiver = this._receiverAt(0);

    this._promise0 = undefined;
    this._receiver0 = undefined;

    this._settlePromise(promise, handler, receiver, value);
  };

  Promise.prototype._clearCallbackDataAtIndex = function (index) {
    var base = index * 4 - 4;
    this[base + 2] = this[base + 3] = this[base + 0] = this[base + 1] = undefined;
  };

  Promise.prototype._fulfill = function (value) {
    var bitField = this._bitField;
    if ((bitField & 117506048) >>> 16) return;

    if (value === this) {
      var err = makeSelfResolutionError();

      this._attachExtraTrace(err);

      return this._reject(err);
    }

    this._setFulfilled();

    this._rejectionHandler0 = value;

    if ((bitField & 65535) > 0) {
      if ((bitField & 134217728) !== 0) {
        this._settlePromises();
      } else {
        async.settlePromises(this);
      }

      this._dereferenceTrace();
    }
  };

  Promise.prototype._reject = function (reason) {
    var bitField = this._bitField;
    if ((bitField & 117506048) >>> 16) return;

    this._setRejected();

    this._fulfillmentHandler0 = reason;

    if (this._isFinal()) {
      return async.fatalError(reason, util.isNode);
    }

    if ((bitField & 65535) > 0) {
      async.settlePromises(this);
    } else {
      this._ensurePossibleRejectionHandled();
    }
  };

  Promise.prototype._fulfillPromises = function (len, value) {
    for (var i = 1; i < len; i++) {
      var handler = this._fulfillmentHandlerAt(i);

      var promise = this._promiseAt(i);

      var receiver = this._receiverAt(i);

      this._clearCallbackDataAtIndex(i);

      this._settlePromise(promise, handler, receiver, value);
    }
  };

  Promise.prototype._rejectPromises = function (len, reason) {
    for (var i = 1; i < len; i++) {
      var handler = this._rejectionHandlerAt(i);

      var promise = this._promiseAt(i);

      var receiver = this._receiverAt(i);

      this._clearCallbackDataAtIndex(i);

      this._settlePromise(promise, handler, receiver, reason);
    }
  };

  Promise.prototype._settlePromises = function () {
    var bitField = this._bitField;
    var len = bitField & 65535;

    if (len > 0) {
      if ((bitField & 16842752) !== 0) {
        var reason = this._fulfillmentHandler0;

        this._settlePromise0(this._rejectionHandler0, reason, bitField);

        this._rejectPromises(len, reason);
      } else {
        var value = this._rejectionHandler0;

        this._settlePromise0(this._fulfillmentHandler0, value, bitField);

        this._fulfillPromises(len, value);
      }

      this._setLength(0);
    }

    this._clearCancellationData();
  };

  Promise.prototype._settledValue = function () {
    var bitField = this._bitField;

    if ((bitField & 33554432) !== 0) {
      return this._rejectionHandler0;
    } else if ((bitField & 16777216) !== 0) {
      return this._fulfillmentHandler0;
    }
  };

  if (typeof Symbol !== "undefined" && Symbol.toStringTag) {
    es5.defineProperty(Promise.prototype, Symbol.toStringTag, {
      get: function () {
        return "Object";
      }
    });
  }

  function deferResolve(v) {
    this.promise._resolveCallback(v);
  }

  function deferReject(v) {
    this.promise._rejectCallback(v, false);
  }

  Promise.defer = Promise.pending = function () {
    debug.deprecated("Promise.defer", "new Promise");
    var promise = new Promise(INTERNAL);
    return {
      promise: promise,
      resolve: deferResolve,
      reject: deferReject
    };
  };

  util.notEnumerableProp(Promise, "_makeSelfResolutionError", makeSelfResolutionError);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/method.js")(Promise, INTERNAL, tryConvertToPromise, apiRejection, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bind.js")(Promise, INTERNAL, tryConvertToPromise, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/cancel.js")(Promise, PromiseArray, apiRejection, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/direct_resolve.js")(Promise);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/synchronous_inspection.js")(Promise);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/join.js")(Promise, PromiseArray, tryConvertToPromise, INTERNAL, async);

  Promise.Promise = Promise;
  Promise.version = "3.7.2";

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/call_get.js")(Promise);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/generators.js")(Promise, apiRejection, INTERNAL, tryConvertToPromise, Proxyable, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/map.js")(Promise, PromiseArray, apiRejection, tryConvertToPromise, INTERNAL, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/nodeify.js")(Promise);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promisify.js")(Promise, INTERNAL);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/props.js")(Promise, PromiseArray, tryConvertToPromise, apiRejection);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/race.js")(Promise, INTERNAL, tryConvertToPromise, apiRejection);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/reduce.js")(Promise, PromiseArray, apiRejection, tryConvertToPromise, INTERNAL, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/settle.js")(Promise, PromiseArray, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/some.js")(Promise, PromiseArray, apiRejection);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/timers.js")(Promise, INTERNAL, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/using.js")(Promise, apiRejection, tryConvertToPromise, createContext, INTERNAL, debug);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/any.js")(Promise);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/each.js")(Promise, INTERNAL);

  __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/filter.js")(Promise, INTERNAL);

  util.toFastProperties(Promise);
  util.toFastProperties(Promise.prototype);

  function fillTypes(value) {
    var p = new Promise(INTERNAL);
    p._fulfillmentHandler0 = value;
    p._rejectionHandler0 = value;
    p._promise0 = value;
    p._receiver0 = value;
  } // Complete slack tracking, opt out of field-type tracking and           
  // stabilize map                                                         


  fillTypes({
    a: 1
  });
  fillTypes({
    b: 2
  });
  fillTypes({
    c: 3
  });
  fillTypes(1);
  fillTypes(function () {});
  fillTypes(undefined);
  fillTypes(false);
  fillTypes(new Promise(INTERNAL));
  debug.setBounds(Async.firstLineError, util.lastLineError);
  return Promise;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promise_array.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL, tryConvertToPromise, apiRejection, Proxyable) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var isArray = util.isArray;

  function toResolutionValue(val) {
    switch (val) {
      case -2:
        return [];

      case -3:
        return {};

      case -6:
        return new Map();
    }
  }

  function PromiseArray(values) {
    var promise = this._promise = new Promise(INTERNAL);

    if (values instanceof Promise) {
      promise._propagateFrom(values, 3);

      values.suppressUnhandledRejections();
    }

    promise._setOnCancel(this);

    this._values = values;
    this._length = 0;
    this._totalResolved = 0;

    this._init(undefined, -2);
  }

  util.inherits(PromiseArray, Proxyable);

  PromiseArray.prototype.length = function () {
    return this._length;
  };

  PromiseArray.prototype.promise = function () {
    return this._promise;
  };

  PromiseArray.prototype._init = function init(_, resolveValueIfEmpty) {
    var values = tryConvertToPromise(this._values, this._promise);

    if (values instanceof Promise) {
      values = values._target();
      var bitField = values._bitField;
      ;
      this._values = values;

      if ((bitField & 50397184) === 0) {
        this._promise._setAsyncGuaranteed();

        return values._then(init, this._reject, undefined, this, resolveValueIfEmpty);
      } else if ((bitField & 33554432) !== 0) {
        values = values._value();
      } else if ((bitField & 16777216) !== 0) {
        return this._reject(values._reason());
      } else {
        return this._cancel();
      }
    }

    values = util.asArray(values);

    if (values === null) {
      var err = apiRejection("expecting an array or an iterable object but got " + util.classString(values)).reason();

      this._promise._rejectCallback(err, false);

      return;
    }

    if (values.length === 0) {
      if (resolveValueIfEmpty === -5) {
        this._resolveEmptyArray();
      } else {
        this._resolve(toResolutionValue(resolveValueIfEmpty));
      }

      return;
    }

    this._iterate(values);
  };

  PromiseArray.prototype._iterate = function (values) {
    var len = this.getActualLength(values.length);
    this._length = len;
    this._values = this.shouldCopyValues() ? new Array(len) : this._values;
    var result = this._promise;
    var isResolved = false;
    var bitField = null;

    for (var i = 0; i < len; ++i) {
      var maybePromise = tryConvertToPromise(values[i], result);

      if (maybePromise instanceof Promise) {
        maybePromise = maybePromise._target();
        bitField = maybePromise._bitField;
      } else {
        bitField = null;
      }

      if (isResolved) {
        if (bitField !== null) {
          maybePromise.suppressUnhandledRejections();
        }
      } else if (bitField !== null) {
        if ((bitField & 50397184) === 0) {
          maybePromise._proxy(this, i);

          this._values[i] = maybePromise;
        } else if ((bitField & 33554432) !== 0) {
          isResolved = this._promiseFulfilled(maybePromise._value(), i);
        } else if ((bitField & 16777216) !== 0) {
          isResolved = this._promiseRejected(maybePromise._reason(), i);
        } else {
          isResolved = this._promiseCancelled(i);
        }
      } else {
        isResolved = this._promiseFulfilled(maybePromise, i);
      }
    }

    if (!isResolved) result._setAsyncGuaranteed();
  };

  PromiseArray.prototype._isResolved = function () {
    return this._values === null;
  };

  PromiseArray.prototype._resolve = function (value) {
    this._values = null;

    this._promise._fulfill(value);
  };

  PromiseArray.prototype._cancel = function () {
    if (this._isResolved() || !this._promise._isCancellable()) return;
    this._values = null;

    this._promise._cancel();
  };

  PromiseArray.prototype._reject = function (reason) {
    this._values = null;

    this._promise._rejectCallback(reason, false);
  };

  PromiseArray.prototype._promiseFulfilled = function (value, index) {
    this._values[index] = value;
    var totalResolved = ++this._totalResolved;

    if (totalResolved >= this._length) {
      this._resolve(this._values);

      return true;
    }

    return false;
  };

  PromiseArray.prototype._promiseCancelled = function () {
    this._cancel();

    return true;
  };

  PromiseArray.prototype._promiseRejected = function (reason) {
    this._totalResolved++;

    this._reject(reason);

    return true;
  };

  PromiseArray.prototype._resultCancelled = function () {
    if (this._isResolved()) return;
    var values = this._values;

    this._cancel();

    if (values instanceof Promise) {
      values.cancel();
    } else {
      for (var i = 0; i < values.length; ++i) {
        if (values[i] instanceof Promise) {
          values[i].cancel();
        }
      }
    }
  };

  PromiseArray.prototype.shouldCopyValues = function () {
    return true;
  };

  PromiseArray.prototype.getActualLength = function (len) {
    return len;
  };

  return PromiseArray;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/promisify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL) {
  var THIS = {};

  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var nodebackForPromise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/nodeback.js");

  var withAppended = util.withAppended;
  var maybeWrapAsError = util.maybeWrapAsError;
  var canEvaluate = util.canEvaluate;

  var TypeError = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js").TypeError;

  var defaultSuffix = "Async";
  var defaultPromisified = {
    __isPromisified__: true
  };
  var noCopyProps = ["arity", "length", "name", "arguments", "caller", "callee", "prototype", "__isPromisified__"];
  var noCopyPropsPattern = new RegExp("^(?:" + noCopyProps.join("|") + ")$");

  var defaultFilter = function (name) {
    return util.isIdentifier(name) && name.charAt(0) !== "_" && name !== "constructor";
  };

  function propsFilter(key) {
    return !noCopyPropsPattern.test(key);
  }

  function isPromisified(fn) {
    try {
      return fn.__isPromisified__ === true;
    } catch (e) {
      return false;
    }
  }

  function hasPromisified(obj, key, suffix) {
    var val = util.getDataPropertyOrDefault(obj, key + suffix, defaultPromisified);
    return val ? isPromisified(val) : false;
  }

  function checkValid(ret, suffix, suffixRegexp) {
    for (var i = 0; i < ret.length; i += 2) {
      var key = ret[i];

      if (suffixRegexp.test(key)) {
        var keyWithoutAsyncSuffix = key.replace(suffixRegexp, "");

        for (var j = 0; j < ret.length; j += 2) {
          if (ret[j] === keyWithoutAsyncSuffix) {
            throw new TypeError("Cannot promisify an API that has normal methods with '%s'-suffix\u000a\u000a    See http://goo.gl/MqrFmX\u000a".replace("%s", suffix));
          }
        }
      }
    }
  }

  function promisifiableMethods(obj, suffix, suffixRegexp, filter) {
    var keys = util.inheritedDataKeys(obj);
    var ret = [];

    for (var i = 0; i < keys.length; ++i) {
      var key = keys[i];
      var value = obj[key];
      var passesDefaultFilter = filter === defaultFilter ? true : defaultFilter(key, value, obj);

      if (typeof value === "function" && !isPromisified(value) && !hasPromisified(obj, key, suffix) && filter(key, value, obj, passesDefaultFilter)) {
        ret.push(key, value);
      }
    }

    checkValid(ret, suffix, suffixRegexp);
    return ret;
  }

  var escapeIdentRegex = function (str) {
    return str.replace(/([$])/, "\\$");
  };

  var makeNodePromisifiedEval;

  if (true) {
    var switchCaseArgumentOrder = function (likelyArgumentCount) {
      var ret = [likelyArgumentCount];
      var min = Math.max(0, likelyArgumentCount - 1 - 3);

      for (var i = likelyArgumentCount - 1; i >= min; --i) {
        ret.push(i);
      }

      for (var i = likelyArgumentCount + 1; i <= 3; ++i) {
        ret.push(i);
      }

      return ret;
    };

    var argumentSequence = function (argumentCount) {
      return util.filledRange(argumentCount, "_arg", "");
    };

    var parameterDeclaration = function (parameterCount) {
      return util.filledRange(Math.max(parameterCount, 3), "_arg", "");
    };

    var parameterCount = function (fn) {
      if (typeof fn.length === "number") {
        return Math.max(Math.min(fn.length, 1023 + 1), 0);
      }

      return 0;
    };

    makeNodePromisifiedEval = function (callback, receiver, originalName, fn, _, multiArgs) {
      var newParameterCount = Math.max(0, parameterCount(fn) - 1);
      var argumentOrder = switchCaseArgumentOrder(newParameterCount);
      var shouldProxyThis = typeof callback === "string" || receiver === THIS;

      function generateCallForArgumentCount(count) {
        var args = argumentSequence(count).join(", ");
        var comma = count > 0 ? ", " : "";
        var ret;

        if (shouldProxyThis) {
          ret = "ret = callback.call(this, {{args}}, nodeback); break;\n";
        } else {
          ret = receiver === undefined ? "ret = callback({{args}}, nodeback); break;\n" : "ret = callback.call(receiver, {{args}}, nodeback); break;\n";
        }

        return ret.replace("{{args}}", args).replace(", ", comma);
      }

      function generateArgumentSwitchCase() {
        var ret = "";

        for (var i = 0; i < argumentOrder.length; ++i) {
          ret += "case " + argumentOrder[i] + ":" + generateCallForArgumentCount(argumentOrder[i]);
        }

        ret += "                                                             \n\
        default:                                                             \n\
            var args = new Array(len + 1);                                   \n\
            var i = 0;                                                       \n\
            for (var i = 0; i < len; ++i) {                                  \n\
               args[i] = arguments[i];                                       \n\
            }                                                                \n\
            args[i] = nodeback;                                              \n\
            [CodeForCall]                                                    \n\
            break;                                                           \n\
        ".replace("[CodeForCall]", shouldProxyThis ? "ret = callback.apply(this, args);\n" : "ret = callback.apply(receiver, args);\n");
        return ret;
      }

      var getFunctionCode = typeof callback === "string" ? "this != null ? this['" + callback + "'] : fn" : "fn";
      var body = "'use strict';                                                \n\
        var ret = function (Parameters) {                                    \n\
            'use strict';                                                    \n\
            var len = arguments.length;                                      \n\
            var promise = new Promise(INTERNAL);                             \n\
            promise._captureStackTrace();                                    \n\
            var nodeback = nodebackForPromise(promise, " + multiArgs + ");   \n\
            var ret;                                                         \n\
            var callback = tryCatch([GetFunctionCode]);                      \n\
            switch(len) {                                                    \n\
                [CodeForSwitchCase]                                          \n\
            }                                                                \n\
            if (ret === errorObj) {                                          \n\
                promise._rejectCallback(maybeWrapAsError(ret.e), true, true);\n\
            }                                                                \n\
            if (!promise._isFateSealed()) promise._setAsyncGuaranteed();     \n\
            return promise;                                                  \n\
        };                                                                   \n\
        notEnumerableProp(ret, '__isPromisified__', true);                   \n\
        return ret;                                                          \n\
    ".replace("[CodeForSwitchCase]", generateArgumentSwitchCase()).replace("[GetFunctionCode]", getFunctionCode);
      body = body.replace("Parameters", parameterDeclaration(newParameterCount));
      return new Function("Promise", "fn", "receiver", "withAppended", "maybeWrapAsError", "nodebackForPromise", "tryCatch", "errorObj", "notEnumerableProp", "INTERNAL", body)(Promise, fn, receiver, withAppended, maybeWrapAsError, nodebackForPromise, util.tryCatch, util.errorObj, util.notEnumerableProp, INTERNAL);
    };
  }

  function makeNodePromisifiedClosure(callback, receiver, _, fn, __, multiArgs) {
    var defaultThis = function () {
      return this;
    }();

    var method = callback;

    if (typeof method === "string") {
      callback = fn;
    }

    function promisified() {
      var _receiver = receiver;
      if (receiver === THIS) _receiver = this;
      var promise = new Promise(INTERNAL);

      promise._captureStackTrace();

      var cb = typeof method === "string" && this !== defaultThis ? this[method] : callback;
      var fn = nodebackForPromise(promise, multiArgs);

      try {
        cb.apply(_receiver, withAppended(arguments, fn));
      } catch (e) {
        promise._rejectCallback(maybeWrapAsError(e), true, true);
      }

      if (!promise._isFateSealed()) promise._setAsyncGuaranteed();
      return promise;
    }

    util.notEnumerableProp(promisified, "__isPromisified__", true);
    return promisified;
  }

  var makeNodePromisified = canEvaluate ? makeNodePromisifiedEval : makeNodePromisifiedClosure;

  function promisifyAll(obj, suffix, filter, promisifier, multiArgs) {
    var suffixRegexp = new RegExp(escapeIdentRegex(suffix) + "$");
    var methods = promisifiableMethods(obj, suffix, suffixRegexp, filter);

    for (var i = 0, len = methods.length; i < len; i += 2) {
      var key = methods[i];
      var fn = methods[i + 1];
      var promisifiedKey = key + suffix;

      if (promisifier === makeNodePromisified) {
        obj[promisifiedKey] = makeNodePromisified(key, THIS, key, fn, suffix, multiArgs);
      } else {
        var promisified = promisifier(fn, function () {
          return makeNodePromisified(key, THIS, key, fn, suffix, multiArgs);
        });
        util.notEnumerableProp(promisified, "__isPromisified__", true);
        obj[promisifiedKey] = promisified;
      }
    }

    util.toFastProperties(obj);
    return obj;
  }

  function promisify(callback, receiver, multiArgs) {
    return makeNodePromisified(callback, receiver, undefined, callback, null, multiArgs);
  }

  Promise.promisify = function (fn, options) {
    if (typeof fn !== "function") {
      throw new TypeError("expecting a function but got " + util.classString(fn));
    }

    if (isPromisified(fn)) {
      return fn;
    }

    options = Object(options);
    var receiver = options.context === undefined ? THIS : options.context;
    var multiArgs = !!options.multiArgs;
    var ret = promisify(fn, receiver, multiArgs);
    util.copyDescriptors(fn, ret, propsFilter);
    return ret;
  };

  Promise.promisifyAll = function (target, options) {
    if (typeof target !== "function" && typeof target !== "object") {
      throw new TypeError("the target of promisifyAll must be an object or a function\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    options = Object(options);
    var multiArgs = !!options.multiArgs;
    var suffix = options.suffix;
    if (typeof suffix !== "string") suffix = defaultSuffix;
    var filter = options.filter;
    if (typeof filter !== "function") filter = defaultFilter;
    var promisifier = options.promisifier;
    if (typeof promisifier !== "function") promisifier = makeNodePromisified;

    if (!util.isIdentifier(suffix)) {
      throw new RangeError("suffix must be a valid identifier\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    var keys = util.inheritedDataKeys(target);

    for (var i = 0; i < keys.length; ++i) {
      var value = target[keys[i]];

      if (keys[i] !== "constructor" && util.isClass(value)) {
        promisifyAll(value.prototype, suffix, filter, promisifier, multiArgs);
        promisifyAll(value, suffix, filter, promisifier, multiArgs);
      }
    }

    return promisifyAll(target, suffix, filter, promisifier, multiArgs);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/props.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, tryConvertToPromise, apiRejection) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var isObject = util.isObject;

  var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

  var Es6Map;
  if (typeof Map === "function") Es6Map = Map;

  var mapToEntries = function () {
    var index = 0;
    var size = 0;

    function extractEntry(value, key) {
      this[index] = value;
      this[index + size] = key;
      index++;
    }

    return function mapToEntries(map) {
      size = map.size;
      index = 0;
      var ret = new Array(map.size * 2);
      map.forEach(extractEntry, ret);
      return ret;
    };
  }();

  var entriesToMap = function (entries) {
    var ret = new Es6Map();
    var length = entries.length / 2 | 0;

    for (var i = 0; i < length; ++i) {
      var key = entries[length + i];
      var value = entries[i];
      ret.set(key, value);
    }

    return ret;
  };

  function PropertiesPromiseArray(obj) {
    var isMap = false;
    var entries;

    if (Es6Map !== undefined && obj instanceof Es6Map) {
      entries = mapToEntries(obj);
      isMap = true;
    } else {
      var keys = es5.keys(obj);
      var len = keys.length;
      entries = new Array(len * 2);

      for (var i = 0; i < len; ++i) {
        var key = keys[i];
        entries[i] = obj[key];
        entries[i + len] = key;
      }
    }

    this.constructor$(entries);
    this._isMap = isMap;

    this._init$(undefined, isMap ? -6 : -3);
  }

  util.inherits(PropertiesPromiseArray, PromiseArray);

  PropertiesPromiseArray.prototype._init = function () {};

  PropertiesPromiseArray.prototype._promiseFulfilled = function (value, index) {
    this._values[index] = value;
    var totalResolved = ++this._totalResolved;

    if (totalResolved >= this._length) {
      var val;

      if (this._isMap) {
        val = entriesToMap(this._values);
      } else {
        val = {};
        var keyOffset = this.length();

        for (var i = 0, len = this.length(); i < len; ++i) {
          val[this._values[i + keyOffset]] = this._values[i];
        }
      }

      this._resolve(val);

      return true;
    }

    return false;
  };

  PropertiesPromiseArray.prototype.shouldCopyValues = function () {
    return false;
  };

  PropertiesPromiseArray.prototype.getActualLength = function (len) {
    return len >> 1;
  };

  function props(promises) {
    var ret;
    var castValue = tryConvertToPromise(promises);

    if (!isObject(castValue)) {
      return apiRejection("cannot await properties of a non-object\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    } else if (castValue instanceof Promise) {
      ret = castValue._then(Promise.props, undefined, undefined, undefined, undefined);
    } else {
      ret = new PropertiesPromiseArray(castValue).promise();
    }

    if (castValue instanceof Promise) {
      ret._propagateFrom(castValue, 2);
    }

    return ret;
  }

  Promise.prototype.props = function () {
    return props(this);
  };

  Promise.props = function (promises) {
    return props(promises);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/queue.js":
/***/ ((module) => {

"use strict";


function arrayMove(src, srcIndex, dst, dstIndex, len) {
  for (var j = 0; j < len; ++j) {
    dst[j + dstIndex] = src[j + srcIndex];
    src[j + srcIndex] = void 0;
  }
}

function Queue(capacity) {
  this._capacity = capacity;
  this._length = 0;
  this._front = 0;
}

Queue.prototype._willBeOverCapacity = function (size) {
  return this._capacity < size;
};

Queue.prototype._pushOne = function (arg) {
  var length = this.length();

  this._checkCapacity(length + 1);

  var i = this._front + length & this._capacity - 1;
  this[i] = arg;
  this._length = length + 1;
};

Queue.prototype.push = function (fn, receiver, arg) {
  var length = this.length() + 3;

  if (this._willBeOverCapacity(length)) {
    this._pushOne(fn);

    this._pushOne(receiver);

    this._pushOne(arg);

    return;
  }

  var j = this._front + length - 3;

  this._checkCapacity(length);

  var wrapMask = this._capacity - 1;
  this[j + 0 & wrapMask] = fn;
  this[j + 1 & wrapMask] = receiver;
  this[j + 2 & wrapMask] = arg;
  this._length = length;
};

Queue.prototype.shift = function () {
  var front = this._front,
      ret = this[front];
  this[front] = undefined;
  this._front = front + 1 & this._capacity - 1;
  this._length--;
  return ret;
};

Queue.prototype.length = function () {
  return this._length;
};

Queue.prototype._checkCapacity = function (size) {
  if (this._capacity < size) {
    this._resizeTo(this._capacity << 1);
  }
};

Queue.prototype._resizeTo = function (capacity) {
  var oldCapacity = this._capacity;
  this._capacity = capacity;
  var front = this._front;
  var length = this._length;
  var moveItemsCount = front + length & oldCapacity - 1;
  arrayMove(this, 0, this, oldCapacity, moveItemsCount);
};

module.exports = Queue;

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/race.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL, tryConvertToPromise, apiRejection) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var raceLater = function (promise) {
    return promise.then(function (array) {
      return race(array, promise);
    });
  };

  function race(promises, parent) {
    var maybePromise = tryConvertToPromise(promises);

    if (maybePromise instanceof Promise) {
      return raceLater(maybePromise);
    } else {
      promises = util.asArray(promises);
      if (promises === null) return apiRejection("expecting an array or an iterable object but got " + util.classString(promises));
    }

    var ret = new Promise(INTERNAL);

    if (parent !== undefined) {
      ret._propagateFrom(parent, 3);
    }

    var fulfill = ret._fulfill;
    var reject = ret._reject;

    for (var i = 0, len = promises.length; i < len; ++i) {
      var val = promises[i];

      if (val === undefined && !(i in promises)) {
        continue;
      }

      Promise.cast(val)._then(fulfill, reject, undefined, ret, null);
    }

    return ret;
  }

  Promise.race = function (promises) {
    return race(promises, undefined);
  };

  Promise.prototype.race = function () {
    return race(this, undefined);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/reduce.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, apiRejection, tryConvertToPromise, INTERNAL, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var tryCatch = util.tryCatch;

  function ReductionPromiseArray(promises, fn, initialValue, _each) {
    this.constructor$(promises);

    var context = Promise._getContext();

    this._fn = util.contextBind(context, fn);

    if (initialValue !== undefined) {
      initialValue = Promise.resolve(initialValue);

      initialValue._attachCancellationCallback(this);
    }

    this._initialValue = initialValue;
    this._currentCancellable = null;

    if (_each === INTERNAL) {
      this._eachValues = Array(this._length);
    } else if (_each === 0) {
      this._eachValues = null;
    } else {
      this._eachValues = undefined;
    }

    this._promise._captureStackTrace();

    this._init$(undefined, -5);
  }

  util.inherits(ReductionPromiseArray, PromiseArray);

  ReductionPromiseArray.prototype._gotAccum = function (accum) {
    if (this._eachValues !== undefined && this._eachValues !== null && accum !== INTERNAL) {
      this._eachValues.push(accum);
    }
  };

  ReductionPromiseArray.prototype._eachComplete = function (value) {
    if (this._eachValues !== null) {
      this._eachValues.push(value);
    }

    return this._eachValues;
  };

  ReductionPromiseArray.prototype._init = function () {};

  ReductionPromiseArray.prototype._resolveEmptyArray = function () {
    this._resolve(this._eachValues !== undefined ? this._eachValues : this._initialValue);
  };

  ReductionPromiseArray.prototype.shouldCopyValues = function () {
    return false;
  };

  ReductionPromiseArray.prototype._resolve = function (value) {
    this._promise._resolveCallback(value);

    this._values = null;
  };

  ReductionPromiseArray.prototype._resultCancelled = function (sender) {
    if (sender === this._initialValue) return this._cancel();
    if (this._isResolved()) return;

    this._resultCancelled$();

    if (this._currentCancellable instanceof Promise) {
      this._currentCancellable.cancel();
    }

    if (this._initialValue instanceof Promise) {
      this._initialValue.cancel();
    }
  };

  ReductionPromiseArray.prototype._iterate = function (values) {
    this._values = values;
    var value;
    var i;
    var length = values.length;

    if (this._initialValue !== undefined) {
      value = this._initialValue;
      i = 0;
    } else {
      value = Promise.resolve(values[0]);
      i = 1;
    }

    this._currentCancellable = value;

    for (var j = i; j < length; ++j) {
      var maybePromise = values[j];

      if (maybePromise instanceof Promise) {
        maybePromise.suppressUnhandledRejections();
      }
    }

    if (!value.isRejected()) {
      for (; i < length; ++i) {
        var ctx = {
          accum: null,
          value: values[i],
          index: i,
          length: length,
          array: this
        };
        value = value._then(gotAccum, undefined, undefined, ctx, undefined);

        if ((i & 127) === 0) {
          value._setNoAsyncGuarantee();
        }
      }
    }

    if (this._eachValues !== undefined) {
      value = value._then(this._eachComplete, undefined, undefined, this, undefined);
    }

    value._then(completed, completed, undefined, value, this);
  };

  Promise.prototype.reduce = function (fn, initialValue) {
    return reduce(this, fn, initialValue, null);
  };

  Promise.reduce = function (promises, fn, initialValue, _each) {
    return reduce(promises, fn, initialValue, _each);
  };

  function completed(valueOrReason, array) {
    if (this.isFulfilled()) {
      array._resolve(valueOrReason);
    } else {
      array._reject(valueOrReason);
    }
  }

  function reduce(promises, fn, initialValue, _each) {
    if (typeof fn !== "function") {
      return apiRejection("expecting a function but got " + util.classString(fn));
    }

    var array = new ReductionPromiseArray(promises, fn, initialValue, _each);
    return array.promise();
  }

  function gotAccum(accum) {
    this.accum = accum;

    this.array._gotAccum(accum);

    var value = tryConvertToPromise(this.value, this.array._promise);

    if (value instanceof Promise) {
      this.array._currentCancellable = value;
      return value._then(gotValue, undefined, undefined, this, undefined);
    } else {
      return gotValue.call(this, value);
    }
  }

  function gotValue(value) {
    var array = this.array;
    var promise = array._promise;
    var fn = tryCatch(array._fn);

    promise._pushContext();

    var ret;

    if (array._eachValues !== undefined) {
      ret = fn.call(promise._boundValue(), value, this.index, this.length);
    } else {
      ret = fn.call(promise._boundValue(), this.accum, value, this.index, this.length);
    }

    if (ret instanceof Promise) {
      array._currentCancellable = ret;
    }

    var promiseCreated = promise._popContext();

    debug.checkForgottenReturns(ret, promiseCreated, array._eachValues !== undefined ? "Promise.each" : "Promise.reduce", promise);
    return ret;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/schedule.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

var schedule;

var noAsyncScheduler = function () {
  throw new Error("No async scheduler available\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
};

var NativePromise = util.getNativePromise();

if (util.isNode && typeof MutationObserver === "undefined") {
  var GlobalSetImmediate = global.setImmediate;
  var ProcessNextTick = process.nextTick;
  schedule = util.isRecentNode ? function (fn) {
    GlobalSetImmediate.call(global, fn);
  } : function (fn) {
    ProcessNextTick.call(process, fn);
  };
} else if (typeof NativePromise === "function" && typeof NativePromise.resolve === "function") {
  var nativePromise = NativePromise.resolve();

  schedule = function (fn) {
    nativePromise.then(fn);
  };
} else if (typeof MutationObserver !== "undefined" && !(typeof window !== "undefined" && window.navigator && (window.navigator.standalone || window.cordova)) && "classList" in document.documentElement) {
  schedule = function () {
    var div = document.createElement("div");
    var opts = {
      attributes: true
    };
    var toggleScheduled = false;
    var div2 = document.createElement("div");
    var o2 = new MutationObserver(function () {
      div.classList.toggle("foo");
      toggleScheduled = false;
    });
    o2.observe(div2, opts);

    var scheduleToggle = function () {
      if (toggleScheduled) return;
      toggleScheduled = true;
      div2.classList.toggle("foo");
    };

    return function schedule(fn) {
      var o = new MutationObserver(function () {
        o.disconnect();
        fn();
      });
      o.observe(div, opts);
      scheduleToggle();
    };
  }();
} else if (typeof setImmediate !== "undefined") {
  schedule = function (fn) {
    setImmediate(fn);
  };
} else if (typeof setTimeout !== "undefined") {
  schedule = function (fn) {
    setTimeout(fn, 0);
  };
} else {
  schedule = noAsyncScheduler;
}

module.exports = schedule;

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/settle.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, debug) {
  var PromiseInspection = Promise.PromiseInspection;

  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  function SettledPromiseArray(values) {
    this.constructor$(values);
  }

  util.inherits(SettledPromiseArray, PromiseArray);

  SettledPromiseArray.prototype._promiseResolved = function (index, inspection) {
    this._values[index] = inspection;
    var totalResolved = ++this._totalResolved;

    if (totalResolved >= this._length) {
      this._resolve(this._values);

      return true;
    }

    return false;
  };

  SettledPromiseArray.prototype._promiseFulfilled = function (value, index) {
    var ret = new PromiseInspection();
    ret._bitField = 33554432;
    ret._settledValueField = value;
    return this._promiseResolved(index, ret);
  };

  SettledPromiseArray.prototype._promiseRejected = function (reason, index) {
    var ret = new PromiseInspection();
    ret._bitField = 16777216;
    ret._settledValueField = reason;
    return this._promiseResolved(index, ret);
  };

  Promise.settle = function (promises) {
    debug.deprecated(".settle()", ".reflect()");
    return new SettledPromiseArray(promises).promise();
  };

  Promise.allSettled = function (promises) {
    return new SettledPromiseArray(promises).promise();
  };

  Promise.prototype.settle = function () {
    return Promise.settle(this);
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/some.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, PromiseArray, apiRejection) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var RangeError = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js").RangeError;

  var AggregateError = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js").AggregateError;

  var isArray = util.isArray;
  var CANCELLATION = {};

  function SomePromiseArray(values) {
    this.constructor$(values);
    this._howMany = 0;
    this._unwrap = false;
    this._initialized = false;
  }

  util.inherits(SomePromiseArray, PromiseArray);

  SomePromiseArray.prototype._init = function () {
    if (!this._initialized) {
      return;
    }

    if (this._howMany === 0) {
      this._resolve([]);

      return;
    }

    this._init$(undefined, -5);

    var isArrayResolved = isArray(this._values);

    if (!this._isResolved() && isArrayResolved && this._howMany > this._canPossiblyFulfill()) {
      this._reject(this._getRangeError(this.length()));
    }
  };

  SomePromiseArray.prototype.init = function () {
    this._initialized = true;

    this._init();
  };

  SomePromiseArray.prototype.setUnwrap = function () {
    this._unwrap = true;
  };

  SomePromiseArray.prototype.howMany = function () {
    return this._howMany;
  };

  SomePromiseArray.prototype.setHowMany = function (count) {
    this._howMany = count;
  };

  SomePromiseArray.prototype._promiseFulfilled = function (value) {
    this._addFulfilled(value);

    if (this._fulfilled() === this.howMany()) {
      this._values.length = this.howMany();

      if (this.howMany() === 1 && this._unwrap) {
        this._resolve(this._values[0]);
      } else {
        this._resolve(this._values);
      }

      return true;
    }

    return false;
  };

  SomePromiseArray.prototype._promiseRejected = function (reason) {
    this._addRejected(reason);

    return this._checkOutcome();
  };

  SomePromiseArray.prototype._promiseCancelled = function () {
    if (this._values instanceof Promise || this._values == null) {
      return this._cancel();
    }

    this._addRejected(CANCELLATION);

    return this._checkOutcome();
  };

  SomePromiseArray.prototype._checkOutcome = function () {
    if (this.howMany() > this._canPossiblyFulfill()) {
      var e = new AggregateError();

      for (var i = this.length(); i < this._values.length; ++i) {
        if (this._values[i] !== CANCELLATION) {
          e.push(this._values[i]);
        }
      }

      if (e.length > 0) {
        this._reject(e);
      } else {
        this._cancel();
      }

      return true;
    }

    return false;
  };

  SomePromiseArray.prototype._fulfilled = function () {
    return this._totalResolved;
  };

  SomePromiseArray.prototype._rejected = function () {
    return this._values.length - this.length();
  };

  SomePromiseArray.prototype._addRejected = function (reason) {
    this._values.push(reason);
  };

  SomePromiseArray.prototype._addFulfilled = function (value) {
    this._values[this._totalResolved++] = value;
  };

  SomePromiseArray.prototype._canPossiblyFulfill = function () {
    return this.length() - this._rejected();
  };

  SomePromiseArray.prototype._getRangeError = function (count) {
    var message = "Input array must contain at least " + this._howMany + " items but contains only " + count + " items";
    return new RangeError(message);
  };

  SomePromiseArray.prototype._resolveEmptyArray = function () {
    this._reject(this._getRangeError(0));
  };

  function some(promises, howMany) {
    if ((howMany | 0) !== howMany || howMany < 0) {
      return apiRejection("expecting a positive integer\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    var ret = new SomePromiseArray(promises);
    var promise = ret.promise();
    ret.setHowMany(howMany);
    ret.init();
    return promise;
  }

  Promise.some = function (promises, howMany) {
    return some(promises, howMany);
  };

  Promise.prototype.some = function (howMany) {
    return some(this, howMany);
  };

  Promise._SomePromiseArray = SomePromiseArray;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/synchronous_inspection.js":
/***/ ((module) => {

"use strict";


module.exports = function (Promise) {
  function PromiseInspection(promise) {
    if (promise !== undefined) {
      promise = promise._target();
      this._bitField = promise._bitField;
      this._settledValueField = promise._isFateSealed() ? promise._settledValue() : undefined;
    } else {
      this._bitField = 0;
      this._settledValueField = undefined;
    }
  }

  PromiseInspection.prototype._settledValue = function () {
    return this._settledValueField;
  };

  var value = PromiseInspection.prototype.value = function () {
    if (!this.isFulfilled()) {
      throw new TypeError("cannot get fulfillment value of a non-fulfilled promise\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    return this._settledValue();
  };

  var reason = PromiseInspection.prototype.error = PromiseInspection.prototype.reason = function () {
    if (!this.isRejected()) {
      throw new TypeError("cannot get rejection reason of a non-rejected promise\u000a\u000a    See http://goo.gl/MqrFmX\u000a");
    }

    return this._settledValue();
  };

  var isFulfilled = PromiseInspection.prototype.isFulfilled = function () {
    return (this._bitField & 33554432) !== 0;
  };

  var isRejected = PromiseInspection.prototype.isRejected = function () {
    return (this._bitField & 16777216) !== 0;
  };

  var isPending = PromiseInspection.prototype.isPending = function () {
    return (this._bitField & 50397184) === 0;
  };

  var isResolved = PromiseInspection.prototype.isResolved = function () {
    return (this._bitField & 50331648) !== 0;
  };

  PromiseInspection.prototype.isCancelled = function () {
    return (this._bitField & 8454144) !== 0;
  };

  Promise.prototype.__isCancelled = function () {
    return (this._bitField & 65536) === 65536;
  };

  Promise.prototype._isCancelled = function () {
    return this._target().__isCancelled();
  };

  Promise.prototype.isCancelled = function () {
    return (this._target()._bitField & 8454144) !== 0;
  };

  Promise.prototype.isPending = function () {
    return isPending.call(this._target());
  };

  Promise.prototype.isRejected = function () {
    return isRejected.call(this._target());
  };

  Promise.prototype.isFulfilled = function () {
    return isFulfilled.call(this._target());
  };

  Promise.prototype.isResolved = function () {
    return isResolved.call(this._target());
  };

  Promise.prototype.value = function () {
    return value.call(this._target());
  };

  Promise.prototype.reason = function () {
    var target = this._target();

    target._unsetRejectionIsUnhandled();

    return reason.call(target);
  };

  Promise.prototype._value = function () {
    return this._settledValue();
  };

  Promise.prototype._reason = function () {
    this._unsetRejectionIsUnhandled();

    return this._settledValue();
  };

  Promise.PromiseInspection = PromiseInspection;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/thenables.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var errorObj = util.errorObj;
  var isObject = util.isObject;

  function tryConvertToPromise(obj, context) {
    if (isObject(obj)) {
      if (obj instanceof Promise) return obj;
      var then = getThen(obj);

      if (then === errorObj) {
        if (context) context._pushContext();
        var ret = Promise.reject(then.e);
        if (context) context._popContext();
        return ret;
      } else if (typeof then === "function") {
        if (isAnyBluebirdPromise(obj)) {
          var ret = new Promise(INTERNAL);

          obj._then(ret._fulfill, ret._reject, undefined, ret, null);

          return ret;
        }

        return doThenable(obj, then, context);
      }
    }

    return obj;
  }

  function doGetThen(obj) {
    return obj.then;
  }

  function getThen(obj) {
    try {
      return doGetThen(obj);
    } catch (e) {
      errorObj.e = e;
      return errorObj;
    }
  }

  var hasProp = {}.hasOwnProperty;

  function isAnyBluebirdPromise(obj) {
    try {
      return hasProp.call(obj, "_promise0");
    } catch (e) {
      return false;
    }
  }

  function doThenable(x, then, context) {
    var promise = new Promise(INTERNAL);
    var ret = promise;
    if (context) context._pushContext();

    promise._captureStackTrace();

    if (context) context._popContext();
    var synchronous = true;
    var result = util.tryCatch(then).call(x, resolve, reject);
    synchronous = false;

    if (promise && result === errorObj) {
      promise._rejectCallback(result.e, true, true);

      promise = null;
    }

    function resolve(value) {
      if (!promise) return;

      promise._resolveCallback(value);

      promise = null;
    }

    function reject(reason) {
      if (!promise) return;

      promise._rejectCallback(reason, synchronous, true);

      promise = null;
    }

    return ret;
  }

  return tryConvertToPromise;
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/timers.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, INTERNAL, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var TimeoutError = Promise.TimeoutError;

  function HandleWrapper(handle) {
    this.handle = handle;
  }

  HandleWrapper.prototype._resultCancelled = function () {
    clearTimeout(this.handle);
  };

  var afterValue = function (value) {
    return delay(+this).thenReturn(value);
  };

  var delay = Promise.delay = function (ms, value) {
    var ret;
    var handle;

    if (value !== undefined) {
      ret = Promise.resolve(value)._then(afterValue, null, null, ms, undefined);

      if (debug.cancellation() && value instanceof Promise) {
        ret._setOnCancel(value);
      }
    } else {
      ret = new Promise(INTERNAL);
      handle = setTimeout(function () {
        ret._fulfill();
      }, +ms);

      if (debug.cancellation()) {
        ret._setOnCancel(new HandleWrapper(handle));
      }

      ret._captureStackTrace();
    }

    ret._setAsyncGuaranteed();

    return ret;
  };

  Promise.prototype.delay = function (ms) {
    return delay(ms, this);
  };

  var afterTimeout = function (promise, message, parent) {
    var err;

    if (typeof message !== "string") {
      if (message instanceof Error) {
        err = message;
      } else {
        err = new TimeoutError("operation timed out");
      }
    } else {
      err = new TimeoutError(message);
    }

    util.markAsOriginatingFromRejection(err);

    promise._attachExtraTrace(err);

    promise._reject(err);

    if (parent != null) {
      parent.cancel();
    }
  };

  function successClear(value) {
    clearTimeout(this.handle);
    return value;
  }

  function failureClear(reason) {
    clearTimeout(this.handle);
    throw reason;
  }

  Promise.prototype.timeout = function (ms, message) {
    ms = +ms;
    var ret, parent;
    var handleWrapper = new HandleWrapper(setTimeout(function timeoutTimeout() {
      if (ret.isPending()) {
        afterTimeout(ret, message, parent);
      }
    }, ms));

    if (debug.cancellation()) {
      parent = this.then();
      ret = parent._then(successClear, failureClear, undefined, handleWrapper, undefined);

      ret._setOnCancel(handleWrapper);
    } else {
      ret = this._then(successClear, failureClear, undefined, handleWrapper, undefined);
    }

    return ret;
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/using.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function (Promise, apiRejection, tryConvertToPromise, createContext, INTERNAL, debug) {
  var util = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js");

  var TypeError = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/errors.js").TypeError;

  var inherits = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js").inherits;

  var errorObj = util.errorObj;
  var tryCatch = util.tryCatch;
  var NULL = {};

  function thrower(e) {
    setTimeout(function () {
      throw e;
    }, 0);
  }

  function castPreservingDisposable(thenable) {
    var maybePromise = tryConvertToPromise(thenable);

    if (maybePromise !== thenable && typeof thenable._isDisposable === "function" && typeof thenable._getDisposer === "function" && thenable._isDisposable()) {
      maybePromise._setDisposable(thenable._getDisposer());
    }

    return maybePromise;
  }

  function dispose(resources, inspection) {
    var i = 0;
    var len = resources.length;
    var ret = new Promise(INTERNAL);

    function iterator() {
      if (i >= len) return ret._fulfill();
      var maybePromise = castPreservingDisposable(resources[i++]);

      if (maybePromise instanceof Promise && maybePromise._isDisposable()) {
        try {
          maybePromise = tryConvertToPromise(maybePromise._getDisposer().tryDispose(inspection), resources.promise);
        } catch (e) {
          return thrower(e);
        }

        if (maybePromise instanceof Promise) {
          return maybePromise._then(iterator, thrower, null, null, null);
        }
      }

      iterator();
    }

    iterator();
    return ret;
  }

  function Disposer(data, promise, context) {
    this._data = data;
    this._promise = promise;
    this._context = context;
  }

  Disposer.prototype.data = function () {
    return this._data;
  };

  Disposer.prototype.promise = function () {
    return this._promise;
  };

  Disposer.prototype.resource = function () {
    if (this.promise().isFulfilled()) {
      return this.promise().value();
    }

    return NULL;
  };

  Disposer.prototype.tryDispose = function (inspection) {
    var resource = this.resource();
    var context = this._context;
    if (context !== undefined) context._pushContext();
    var ret = resource !== NULL ? this.doDispose(resource, inspection) : null;
    if (context !== undefined) context._popContext();

    this._promise._unsetDisposable();

    this._data = null;
    return ret;
  };

  Disposer.isDisposer = function (d) {
    return d != null && typeof d.resource === "function" && typeof d.tryDispose === "function";
  };

  function FunctionDisposer(fn, promise, context) {
    this.constructor$(fn, promise, context);
  }

  inherits(FunctionDisposer, Disposer);

  FunctionDisposer.prototype.doDispose = function (resource, inspection) {
    var fn = this.data();
    return fn.call(resource, resource, inspection);
  };

  function maybeUnwrapDisposer(value) {
    if (Disposer.isDisposer(value)) {
      this.resources[this.index]._setDisposable(value);

      return value.promise();
    }

    return value;
  }

  function ResourceList(length) {
    this.length = length;
    this.promise = null;
    this[length - 1] = null;
  }

  ResourceList.prototype._resultCancelled = function () {
    var len = this.length;

    for (var i = 0; i < len; ++i) {
      var item = this[i];

      if (item instanceof Promise) {
        item.cancel();
      }
    }
  };

  Promise.using = function () {
    var len = arguments.length;
    if (len < 2) return apiRejection("you must pass at least 2 arguments to Promise.using");
    var fn = arguments[len - 1];

    if (typeof fn !== "function") {
      return apiRejection("expecting a function but got " + util.classString(fn));
    }

    var input;
    var spreadArgs = true;

    if (len === 2 && Array.isArray(arguments[0])) {
      input = arguments[0];
      len = input.length;
      spreadArgs = false;
    } else {
      input = arguments;
      len--;
    }

    var resources = new ResourceList(len);

    for (var i = 0; i < len; ++i) {
      var resource = input[i];

      if (Disposer.isDisposer(resource)) {
        var disposer = resource;
        resource = resource.promise();

        resource._setDisposable(disposer);
      } else {
        var maybePromise = tryConvertToPromise(resource);

        if (maybePromise instanceof Promise) {
          resource = maybePromise._then(maybeUnwrapDisposer, null, null, {
            resources: resources,
            index: i
          }, undefined);
        }
      }

      resources[i] = resource;
    }

    var reflectedResources = new Array(resources.length);

    for (var i = 0; i < reflectedResources.length; ++i) {
      reflectedResources[i] = Promise.resolve(resources[i]).reflect();
    }

    var resultPromise = Promise.all(reflectedResources).then(function (inspections) {
      for (var i = 0; i < inspections.length; ++i) {
        var inspection = inspections[i];

        if (inspection.isRejected()) {
          errorObj.e = inspection.error();
          return errorObj;
        } else if (!inspection.isFulfilled()) {
          resultPromise.cancel();
          return;
        }

        inspections[i] = inspection.value();
      }

      promise._pushContext();

      fn = tryCatch(fn);
      var ret = spreadArgs ? fn.apply(undefined, inspections) : fn(inspections);

      var promiseCreated = promise._popContext();

      debug.checkForgottenReturns(ret, promiseCreated, "Promise.using", promise);
      return ret;
    });
    var promise = resultPromise.lastly(function () {
      var inspection = new Promise.PromiseInspection(resultPromise);
      return dispose(resources, inspection);
    });
    resources.promise = promise;

    promise._setOnCancel(resources);

    return promise;
  };

  Promise.prototype._setDisposable = function (disposer) {
    this._bitField = this._bitField | 131072;
    this._disposer = disposer;
  };

  Promise.prototype._isDisposable = function () {
    return (this._bitField & 131072) > 0;
  };

  Promise.prototype._getDisposer = function () {
    return this._disposer;
  };

  Promise.prototype._unsetDisposable = function () {
    this._bitField = this._bitField & ~131072;
    this._disposer = undefined;
  };

  Promise.prototype.disposer = function (fn) {
    if (typeof fn === "function") {
      return new FunctionDisposer(fn, this, createContext());
    }

    throw new TypeError();
  };
};

/***/ }),

/***/ "./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/util.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

"use strict";


var es5 = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/es5.js");

var canEvaluate = typeof navigator == "undefined";
var errorObj = {
  e: {}
};
var tryCatchTarget;
var globalObject = typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : this !== undefined ? this : null;

function tryCatcher() {
  try {
    var target = tryCatchTarget;
    tryCatchTarget = null;
    return target.apply(this, arguments);
  } catch (e) {
    errorObj.e = e;
    return errorObj;
  }
}

function tryCatch(fn) {
  tryCatchTarget = fn;
  return tryCatcher;
}

var inherits = function (Child, Parent) {
  var hasProp = {}.hasOwnProperty;

  function T() {
    this.constructor = Child;
    this.constructor$ = Parent;

    for (var propertyName in Parent.prototype) {
      if (hasProp.call(Parent.prototype, propertyName) && propertyName.charAt(propertyName.length - 1) !== "$") {
        this[propertyName + "$"] = Parent.prototype[propertyName];
      }
    }
  }

  T.prototype = Parent.prototype;
  Child.prototype = new T();
  return Child.prototype;
};

function isPrimitive(val) {
  return val == null || val === true || val === false || typeof val === "string" || typeof val === "number";
}

function isObject(value) {
  return typeof value === "function" || typeof value === "object" && value !== null;
}

function maybeWrapAsError(maybeError) {
  if (!isPrimitive(maybeError)) return maybeError;
  return new Error(safeToString(maybeError));
}

function withAppended(target, appendee) {
  var len = target.length;
  var ret = new Array(len + 1);
  var i;

  for (i = 0; i < len; ++i) {
    ret[i] = target[i];
  }

  ret[i] = appendee;
  return ret;
}

function getDataPropertyOrDefault(obj, key, defaultValue) {
  if (es5.isES5) {
    var desc = Object.getOwnPropertyDescriptor(obj, key);

    if (desc != null) {
      return desc.get == null && desc.set == null ? desc.value : defaultValue;
    }
  } else {
    return {}.hasOwnProperty.call(obj, key) ? obj[key] : undefined;
  }
}

function notEnumerableProp(obj, name, value) {
  if (isPrimitive(obj)) return obj;
  var descriptor = {
    value: value,
    configurable: true,
    enumerable: false,
    writable: true
  };
  es5.defineProperty(obj, name, descriptor);
  return obj;
}

function thrower(r) {
  throw r;
}

var inheritedDataKeys = function () {
  var excludedPrototypes = [Array.prototype, Object.prototype, Function.prototype];

  var isExcludedProto = function (val) {
    for (var i = 0; i < excludedPrototypes.length; ++i) {
      if (excludedPrototypes[i] === val) {
        return true;
      }
    }

    return false;
  };

  if (es5.isES5) {
    var getKeys = Object.getOwnPropertyNames;
    return function (obj) {
      var ret = [];
      var visitedKeys = Object.create(null);

      while (obj != null && !isExcludedProto(obj)) {
        var keys;

        try {
          keys = getKeys(obj);
        } catch (e) {
          return ret;
        }

        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (visitedKeys[key]) continue;
          visitedKeys[key] = true;
          var desc = Object.getOwnPropertyDescriptor(obj, key);

          if (desc != null && desc.get == null && desc.set == null) {
            ret.push(key);
          }
        }

        obj = es5.getPrototypeOf(obj);
      }

      return ret;
    };
  } else {
    var hasProp = {}.hasOwnProperty;
    return function (obj) {
      if (isExcludedProto(obj)) return [];
      var ret = [];
      /*jshint forin:false */

      enumeration: for (var key in obj) {
        if (hasProp.call(obj, key)) {
          ret.push(key);
        } else {
          for (var i = 0; i < excludedPrototypes.length; ++i) {
            if (hasProp.call(excludedPrototypes[i], key)) {
              continue enumeration;
            }
          }

          ret.push(key);
        }
      }

      return ret;
    };
  }
}();

var thisAssignmentPattern = /this\s*\.\s*\S+\s*=/;

function isClass(fn) {
  try {
    if (typeof fn === "function") {
      var keys = es5.names(fn.prototype);
      var hasMethods = es5.isES5 && keys.length > 1;
      var hasMethodsOtherThanConstructor = keys.length > 0 && !(keys.length === 1 && keys[0] === "constructor");
      var hasThisAssignmentAndStaticMethods = thisAssignmentPattern.test(fn + "") && es5.names(fn).length > 0;

      if (hasMethods || hasMethodsOtherThanConstructor || hasThisAssignmentAndStaticMethods) {
        return true;
      }
    }

    return false;
  } catch (e) {
    return false;
  }
}

function toFastProperties(obj) {
  /*jshint -W027,-W055,-W031*/
  function FakeConstructor() {}

  FakeConstructor.prototype = obj;
  var receiver = new FakeConstructor();

  function ic() {
    return typeof receiver.foo;
  }

  ic();
  ic();
  return obj;
  eval(obj);
}

var rident = /^[a-z$_][a-z$_0-9]*$/i;

function isIdentifier(str) {
  return rident.test(str);
}

function filledRange(count, prefix, suffix) {
  var ret = new Array(count);

  for (var i = 0; i < count; ++i) {
    ret[i] = prefix + i + suffix;
  }

  return ret;
}

function safeToString(obj) {
  try {
    return obj + "";
  } catch (e) {
    return "[no string representation]";
  }
}

function isError(obj) {
  return obj instanceof Error || obj !== null && typeof obj === "object" && typeof obj.message === "string" && typeof obj.name === "string";
}

function markAsOriginatingFromRejection(e) {
  try {
    notEnumerableProp(e, "isOperational", true);
  } catch (ignore) {}
}

function originatesFromRejection(e) {
  if (e == null) return false;
  return e instanceof Error["__BluebirdErrorTypes__"].OperationalError || e["isOperational"] === true;
}

function canAttachTrace(obj) {
  return isError(obj) && es5.propertyIsWritable(obj, "stack");
}

var ensureErrorObject = function () {
  if (!("stack" in new Error())) {
    return function (value) {
      if (canAttachTrace(value)) return value;

      try {
        throw new Error(safeToString(value));
      } catch (err) {
        return err;
      }
    };
  } else {
    return function (value) {
      if (canAttachTrace(value)) return value;
      return new Error(safeToString(value));
    };
  }
}();

function classString(obj) {
  return {}.toString.call(obj);
}

function copyDescriptors(from, to, filter) {
  var keys = es5.names(from);

  for (var i = 0; i < keys.length; ++i) {
    var key = keys[i];

    if (filter(key)) {
      try {
        es5.defineProperty(to, key, es5.getDescriptor(from, key));
      } catch (ignore) {}
    }
  }
}

var asArray = function (v) {
  if (es5.isArray(v)) {
    return v;
  }

  return null;
};

if (typeof Symbol !== "undefined" && Symbol.iterator) {
  var ArrayFrom = typeof Array.from === "function" ? function (v) {
    return Array.from(v);
  } : function (v) {
    var ret = [];
    var it = v[Symbol.iterator]();
    var itResult;

    while (!(itResult = it.next()).done) {
      ret.push(itResult.value);
    }

    return ret;
  };

  asArray = function (v) {
    if (es5.isArray(v)) {
      return v;
    } else if (v != null && typeof v[Symbol.iterator] === "function") {
      return ArrayFrom(v);
    }

    return null;
  };
}

var isNode = typeof process !== "undefined" && classString(process).toLowerCase() === "[object process]";
var hasEnvVariables = typeof process !== "undefined" && typeof process.env !== "undefined";

function env(key) {
  return hasEnvVariables ? process.env[key] : undefined;
}

function getNativePromise() {
  if (typeof Promise === "function") {
    try {
      var promise = new Promise(function () {});

      if (classString(promise) === "[object Promise]") {
        return Promise;
      }
    } catch (e) {}
  }
}

var reflectHandler;

function contextBind(ctx, cb) {
  if (ctx === null || typeof cb !== "function" || cb === reflectHandler) {
    return cb;
  }

  if (ctx.domain !== null) {
    cb = ctx.domain.bind(cb);
  }

  var async = ctx.async;

  if (async !== null) {
    var old = cb;

    cb = function () {
      var $_len = arguments.length + 2;
      var args = new Array($_len);

      for (var $_i = 2; $_i < $_len; ++$_i) {
        args[$_i] = arguments[$_i - 2];
      }

      ;
      args[0] = old;
      args[1] = this;
      return async.runInAsyncScope.apply(async, args);
    };
  }

  return cb;
}

var ret = {
  setReflectHandler: function (fn) {
    reflectHandler = fn;
  },
  isClass: isClass,
  isIdentifier: isIdentifier,
  inheritedDataKeys: inheritedDataKeys,
  getDataPropertyOrDefault: getDataPropertyOrDefault,
  thrower: thrower,
  isArray: es5.isArray,
  asArray: asArray,
  notEnumerableProp: notEnumerableProp,
  isPrimitive: isPrimitive,
  isObject: isObject,
  isError: isError,
  canEvaluate: canEvaluate,
  errorObj: errorObj,
  tryCatch: tryCatch,
  inherits: inherits,
  withAppended: withAppended,
  maybeWrapAsError: maybeWrapAsError,
  toFastProperties: toFastProperties,
  filledRange: filledRange,
  toString: safeToString,
  canAttachTrace: canAttachTrace,
  ensureErrorObject: ensureErrorObject,
  originatesFromRejection: originatesFromRejection,
  markAsOriginatingFromRejection: markAsOriginatingFromRejection,
  classString: classString,
  copyDescriptors: copyDescriptors,
  isNode: isNode,
  hasEnvVariables: hasEnvVariables,
  env: env,
  global: globalObject,
  getNativePromise: getNativePromise,
  contextBind: contextBind
};

ret.isRecentNode = ret.isNode && function () {
  var version;

  if (process.versions && process.versions.node) {
    version = process.versions.node.split(".").map(Number);
  } else if (process.version) {
    version = process.version.split(".").map(Number);
  }

  return version[0] === 0 && version[1] > 10 || version[0] > 0;
}();

ret.nodeSupportsAsyncResource = ret.isNode && function () {
  var supportsAsync = false;

  try {
    var res = __webpack_require__("async_hooks").AsyncResource;

    supportsAsync = typeof res.prototype.runInAsyncScope === "function";
  } catch (e) {
    supportsAsync = false;
  }

  return supportsAsync;
}();

if (ret.isNode) ret.toFastProperties(process);

try {
  throw new Error();
} catch (e) {
  ret.lastLineError = e;
}

module.exports = ret;

/***/ }),

/***/ "./node_modules/.f/_/brace-expansion/1.1.11/brace-expansion/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var concatMap = __webpack_require__("./node_modules/.f/_/concat-map/0.0.1/concat-map/index.js");

var balanced = __webpack_require__("./node_modules/.f/_/balanced-match/1.0.0/balanced-match/index.js");

module.exports = expandTop;
var escSlash = '\0SLASH' + Math.random() + '\0';
var escOpen = '\0OPEN' + Math.random() + '\0';
var escClose = '\0CLOSE' + Math.random() + '\0';
var escComma = '\0COMMA' + Math.random() + '\0';
var escPeriod = '\0PERIOD' + Math.random() + '\0';

function numeric(str) {
  return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0);
}

function escapeBraces(str) {
  return str.split('\\\\').join(escSlash).split('\\{').join(escOpen).split('\\}').join(escClose).split('\\,').join(escComma).split('\\.').join(escPeriod);
}

function unescapeBraces(str) {
  return str.split(escSlash).join('\\').split(escOpen).join('{').split(escClose).join('}').split(escComma).join(',').split(escPeriod).join('.');
} // Basically just str.split(","), but handling cases
// where we have nested braced sections, which should be
// treated as individual members, like {a,{b,c},d}


function parseCommaParts(str) {
  if (!str) return [''];
  var parts = [];
  var m = balanced('{', '}', str);
  if (!m) return str.split(',');
  var pre = m.pre;
  var body = m.body;
  var post = m.post;
  var p = pre.split(',');
  p[p.length - 1] += '{' + body + '}';
  var postParts = parseCommaParts(post);

  if (post.length) {
    p[p.length - 1] += postParts.shift();
    p.push.apply(p, postParts);
  }

  parts.push.apply(parts, p);
  return parts;
}

function expandTop(str) {
  if (!str) return []; // I don't know why Bash 4.3 does this, but it does.
  // Anything starting with {} will have the first two bytes preserved
  // but *only* at the top level, so {},a}b will not expand to anything,
  // but a{},b}c will be expanded to [a}c,abc].
  // One could argue that this is a bug in Bash, but since the goal of
  // this module is to match Bash's rules, we escape a leading {}

  if (str.substr(0, 2) === '{}') {
    str = '\\{\\}' + str.substr(2);
  }

  return expand(escapeBraces(str), true).map(unescapeBraces);
}

function identity(e) {
  return e;
}

function embrace(str) {
  return '{' + str + '}';
}

function isPadded(el) {
  return /^-?0\d/.test(el);
}

function lte(i, y) {
  return i <= y;
}

function gte(i, y) {
  return i >= y;
}

function expand(str, isTop) {
  var expansions = [];
  var m = balanced('{', '}', str);
  if (!m || /\$$/.test(m.pre)) return [str];
  var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
  var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
  var isSequence = isNumericSequence || isAlphaSequence;
  var isOptions = m.body.indexOf(',') >= 0;

  if (!isSequence && !isOptions) {
    // {a},b}
    if (m.post.match(/,.*\}/)) {
      str = m.pre + '{' + m.body + escClose + m.post;
      return expand(str);
    }

    return [str];
  }

  var n;

  if (isSequence) {
    n = m.body.split(/\.\./);
  } else {
    n = parseCommaParts(m.body);

    if (n.length === 1) {
      // x{{a,b}}y ==> x{a}y x{b}y
      n = expand(n[0], false).map(embrace);

      if (n.length === 1) {
        var post = m.post.length ? expand(m.post, false) : [''];
        return post.map(function (p) {
          return m.pre + n[0] + p;
        });
      }
    }
  } // at this point, n is the parts, and we know it's not a comma set
  // with a single entry.
  // no need to expand pre, since it is guaranteed to be free of brace-sets


  var pre = m.pre;
  var post = m.post.length ? expand(m.post, false) : [''];
  var N;

  if (isSequence) {
    var x = numeric(n[0]);
    var y = numeric(n[1]);
    var width = Math.max(n[0].length, n[1].length);
    var incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1;
    var test = lte;
    var reverse = y < x;

    if (reverse) {
      incr *= -1;
      test = gte;
    }

    var pad = n.some(isPadded);
    N = [];

    for (var i = x; test(i, y); i += incr) {
      var c;

      if (isAlphaSequence) {
        c = String.fromCharCode(i);
        if (c === '\\') c = '';
      } else {
        c = String(i);

        if (pad) {
          var need = width - c.length;

          if (need > 0) {
            var z = new Array(need + 1).join('0');
            if (i < 0) c = '-' + z + c.slice(1);else c = z + c;
          }
        }
      }

      N.push(c);
    }
  } else {
    N = concatMap(n, function (el) {
      return expand(el, false);
    });
  }

  for (var j = 0; j < N.length; j++) {
    for (var k = 0; k < post.length; k++) {
      var expansion = pre + N[j] + post[k];
      if (!isTop || isSequence || expansion) expansions.push(expansion);
    }
  }

  return expansions;
}

/***/ }),

/***/ "./node_modules/.f/_/buffer-from/1.1.1/buffer-from/index.js":
/***/ ((module) => {

var toString = Object.prototype.toString;
var isModern = typeof Buffer.alloc === 'function' && typeof Buffer.allocUnsafe === 'function' && typeof Buffer.from === 'function';

function isArrayBuffer(input) {
  return toString.call(input).slice(8, -1) === 'ArrayBuffer';
}

function fromArrayBuffer(obj, byteOffset, length) {
  byteOffset >>>= 0;
  var maxLength = obj.byteLength - byteOffset;

  if (maxLength < 0) {
    throw new RangeError("'offset' is out of bounds");
  }

  if (length === undefined) {
    length = maxLength;
  } else {
    length >>>= 0;

    if (length > maxLength) {
      throw new RangeError("'length' is out of bounds");
    }
  }

  return isModern ? Buffer.from(obj.slice(byteOffset, byteOffset + length)) : new Buffer(new Uint8Array(obj.slice(byteOffset, byteOffset + length)));
}

function fromString(string, encoding) {
  if (typeof encoding !== 'string' || encoding === '') {
    encoding = 'utf8';
  }

  if (!Buffer.isEncoding(encoding)) {
    throw new TypeError('"encoding" must be a valid string encoding');
  }

  return isModern ? Buffer.from(string, encoding) : new Buffer(string, encoding);
}

function bufferFrom(value, encodingOrOffset, length) {
  if (typeof value === 'number') {
    throw new TypeError('"value" argument must not be a number');
  }

  if (isArrayBuffer(value)) {
    return fromArrayBuffer(value, encodingOrOffset, length);
  }

  if (typeof value === 'string') {
    return fromString(value, encodingOrOffset);
  }

  return isModern ? Buffer.from(value) : new Buffer(value);
}

module.exports = bufferFrom;

/***/ }),

/***/ "./node_modules/.f/_/byline/5.0.0/byline/lib/byline.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Copyright (C) 2011-2015 John Hewson
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
var stream = __webpack_require__("stream"),
    util = __webpack_require__("util"),
    timers = __webpack_require__("timers"); // convinience API


module.exports = function (readStream, options) {
  return module.exports.createStream(readStream, options);
}; // basic API


module.exports.createStream = function (readStream, options) {
  if (readStream) {
    return createLineStream(readStream, options);
  } else {
    return new LineStream(options);
  }
}; // deprecated API


module.exports.createLineStream = function (readStream) {
  console.log('WARNING: byline#createLineStream is deprecated and will be removed soon');
  return createLineStream(readStream);
};

function createLineStream(readStream, options) {
  if (!readStream) {
    throw new Error('expected readStream');
  }

  if (!readStream.readable) {
    throw new Error('readStream must be readable');
  }

  var ls = new LineStream(options);
  readStream.pipe(ls);
  return ls;
} //
// using the new node v0.10 "streams2" API
//


module.exports.LineStream = LineStream;

function LineStream(options) {
  stream.Transform.call(this, options);
  options = options || {}; // use objectMode to stop the output from being buffered
  // which re-concatanates the lines, just without newlines.

  this._readableState.objectMode = true;
  this._lineBuffer = [];
  this._keepEmptyLines = options.keepEmptyLines || false;
  this._lastChunkEndedWithCR = false; // take the source's encoding if we don't have one

  var self = this;
  this.on('pipe', function (src) {
    if (!self.encoding) {
      // but we can't do this for old-style streams
      if (src instanceof stream.Readable) {
        self.encoding = src._readableState.encoding;
      }
    }
  });
}

util.inherits(LineStream, stream.Transform);

LineStream.prototype._transform = function (chunk, encoding, done) {
  // decode binary chunks as UTF-8
  encoding = encoding || 'utf8';

  if (Buffer.isBuffer(chunk)) {
    if (encoding == 'buffer') {
      chunk = chunk.toString(); // utf8

      encoding = 'utf8';
    } else {
      chunk = chunk.toString(encoding);
    }
  }

  this._chunkEncoding = encoding; // see: http://www.unicode.org/reports/tr18/#Line_Boundaries

  var lines = chunk.split(/\r\n|[\n\v\f\r\x85\u2028\u2029]/g); // don't split CRLF which spans chunks

  if (this._lastChunkEndedWithCR && chunk[0] == '\n') {
    lines.shift();
  }

  if (this._lineBuffer.length > 0) {
    this._lineBuffer[this._lineBuffer.length - 1] += lines[0];
    lines.shift();
  }

  this._lastChunkEndedWithCR = chunk[chunk.length - 1] == '\r';
  this._lineBuffer = this._lineBuffer.concat(lines);

  this._pushBuffer(encoding, 1, done);
};

LineStream.prototype._pushBuffer = function (encoding, keep, done) {
  // always buffer the last (possibly partial) line
  while (this._lineBuffer.length > keep) {
    var line = this._lineBuffer.shift(); // skip empty lines


    if (this._keepEmptyLines || line.length > 0) {
      if (!this.push(this._reencode(line, encoding))) {
        // when the high-water mark is reached, defer pushes until the next tick
        var self = this;
        timers.setImmediate(function () {
          self._pushBuffer(encoding, keep, done);
        });
        return;
      }
    }
  }

  done();
};

LineStream.prototype._flush = function (done) {
  this._pushBuffer(this._chunkEncoding, 0, done);
}; // see Readable::push


LineStream.prototype._reencode = function (line, chunkEncoding) {
  if (this.encoding && this.encoding != chunkEncoding) {
    return new Buffer(line, chunkEncoding).toString(this.encoding);
  } else if (this.encoding) {
    // this should be the most common case, i.e. we're using an encoded source stream
    return line;
  } else {
    return new Buffer(line, chunkEncoding);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/get.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const fs = __webpack_require__("fs");

const index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/memoization.js");

const pipe = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe;

const pipeline = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipeline;

const read = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/read.js");

const through = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").through;

const GetOpts = figgyPudding({
  integrity: {},
  memoize: {},
  size: {}
});

module.exports = function get(cache, key, opts) {
  return getData(false, cache, key, opts);
};

module.exports.byDigest = function getByDigest(cache, digest, opts) {
  return getData(true, cache, digest, opts);
};

function getData(byDigest, cache, key, opts) {
  opts = GetOpts(opts);
  const memoized = byDigest ? memo.get.byDigest(cache, key, opts) : memo.get(cache, key, opts);

  if (memoized && opts.memoize !== false) {
    return BB.resolve(byDigest ? memoized : {
      metadata: memoized.entry.metadata,
      data: memoized.data,
      integrity: memoized.entry.integrity,
      size: memoized.entry.size
    });
  }

  let promise;

  if (byDigest) {
    promise = BB.resolve(null);
  } else {
    promise = index.find(cache, key, opts);
  }

  return promise.then(entry => {
    if (!entry && !byDigest) {
      throw new index.NotFoundError(cache, key);
    }

    return read(cache, byDigest ? key : entry.integrity, {
      integrity: opts.integrity,
      size: opts.size
    }).then(data => byDigest ? data : {
      metadata: entry.metadata,
      data: data,
      size: entry.size,
      integrity: entry.integrity,
      refreshTime: entry.refreshTime
    }).then(res => {
      if (opts.memoize && byDigest) {
        memo.put.byDigest(cache, key, res, opts);
      } else if (opts.memoize) {
        memo.put(cache, entry, res.data, opts);
      }

      return res;
    });
  });
}

module.exports.sync = function get(cache, key, opts) {
  return getDataSync(false, cache, key, opts);
};

module.exports.sync.byDigest = function getByDigest(cache, digest, opts) {
  return getDataSync(true, cache, digest, opts);
};

function getDataSync(byDigest, cache, key, opts) {
  opts = GetOpts(opts);
  const memoized = byDigest ? memo.get.byDigest(cache, key, opts) : memo.get(cache, key, opts);

  if (memoized && opts.memoize !== false) {
    return byDigest ? memoized : {
      metadata: memoized.entry.metadata,
      data: memoized.data,
      integrity: memoized.entry.integrity,
      size: memoized.entry.size
    };
  }

  const entry = !byDigest && index.find.sync(cache, key, opts);

  if (!entry && !byDigest) {
    throw new index.NotFoundError(cache, key);
  }

  const data = read.sync(cache, byDigest ? key : entry.integrity, {
    integrity: opts.integrity,
    size: opts.size
  });
  const res = byDigest ? data : {
    metadata: entry.metadata,
    data: data,
    size: entry.size,
    integrity: entry.integrity
  };

  if (opts.memoize && byDigest) {
    memo.put.byDigest(cache, key, res, opts);
  } else if (opts.memoize) {
    memo.put(cache, entry, res.data, opts);
  }

  return res;
}

module.exports.stream = getStream;

function getStream(cache, key, opts) {
  opts = GetOpts(opts);
  let stream = through();
  const memoized = memo.get(cache, key, opts);

  if (memoized && opts.memoize !== false) {
    stream.on('newListener', function (ev, cb) {
      ev === 'metadata' && cb(memoized.entry.metadata);
      ev === 'integrity' && cb(memoized.entry.integrity);
      ev === 'size' && cb(memoized.entry.size);
    });
    stream.write(memoized.data, () => stream.end());
    return stream;
  }

  index.find(cache, key).then(entry => {
    if (!entry) {
      return stream.emit('error', new index.NotFoundError(cache, key));
    }

    let memoStream;

    if (opts.memoize) {
      let memoData = [];
      let memoLength = 0;
      memoStream = through((c, en, cb) => {
        memoData && memoData.push(c);
        memoLength += c.length;
        cb(null, c, en);
      }, cb => {
        memoData && memo.put(cache, entry, Buffer.concat(memoData, memoLength), opts);
        cb();
      });
    } else {
      memoStream = through();
    }

    stream.emit('metadata', entry.metadata);
    stream.emit('integrity', entry.integrity);
    stream.emit('size', entry.size);
    stream.on('newListener', function (ev, cb) {
      ev === 'metadata' && cb(entry.metadata);
      ev === 'integrity' && cb(entry.integrity);
      ev === 'size' && cb(entry.size);
    });
    pipe(read.readStream(cache, entry.integrity, opts.concat({
      size: opts.size == null ? entry.size : opts.size
    })), memoStream, stream);
  }).catch(err => stream.emit('error', err));
  return stream;
}

module.exports.stream.byDigest = getStreamDigest;

function getStreamDigest(cache, integrity, opts) {
  opts = GetOpts(opts);
  const memoized = memo.get.byDigest(cache, integrity, opts);

  if (memoized && opts.memoize !== false) {
    const stream = through();
    stream.write(memoized, () => stream.end());
    return stream;
  } else {
    let stream = read.readStream(cache, integrity, opts);

    if (opts.memoize) {
      let memoData = [];
      let memoLength = 0;
      const memoStream = through((c, en, cb) => {
        memoData && memoData.push(c);
        memoLength += c.length;
        cb(null, c, en);
      }, cb => {
        memoData && memo.put.byDigest(cache, integrity, Buffer.concat(memoData, memoLength), opts);
        cb();
      });
      stream = pipeline(stream, memoStream);
    }

    return stream;
  }
}

module.exports.info = info;

function info(cache, key, opts) {
  opts = GetOpts(opts);
  const memoized = memo.get(cache, key, opts);

  if (memoized && opts.memoize !== false) {
    return BB.resolve(memoized.entry);
  } else {
    return index.find(cache, key);
  }
}

module.exports.hasContent = read.hasContent;

module.exports.copy = function cp(cache, key, dest, opts) {
  return copy(false, cache, key, dest, opts);
};

module.exports.copy.byDigest = function cpDigest(cache, digest, dest, opts) {
  return copy(true, cache, digest, dest, opts);
};

function copy(byDigest, cache, key, dest, opts) {
  opts = GetOpts(opts);

  if (read.copy) {
    return (byDigest ? BB.resolve(null) : index.find(cache, key, opts)).then(entry => {
      if (!entry && !byDigest) {
        throw new index.NotFoundError(cache, key);
      }

      return read.copy(cache, byDigest ? key : entry.integrity, dest, opts).then(() => byDigest ? key : {
        metadata: entry.metadata,
        size: entry.size,
        integrity: entry.integrity
      });
    });
  } else {
    return getData(byDigest, cache, key, opts).then(res => {
      return fs.writeFileAsync(dest, byDigest ? res : res.data).then(() => byDigest ? key : {
        metadata: res.metadata,
        size: res.size,
        integrity: res.integrity
      });
    });
  }
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/locales/en.js");

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const contentVer = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/package.json")["cache-version"].content;

const hashToSegments = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/hash-to-segments.js");

const path = __webpack_require__("path");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js"); // Current format of content file path:
//
// sha512-BaSE64Hex= ->
// ~/.my-cache/content-v2/sha512/ba/da/55deadbeefc0ffee
//


module.exports = contentPath;

function contentPath(cache, integrity) {
  const sri = ssri.parse(integrity, {
    single: true
  }); // contentPath is the *strongest* algo given

  return path.join.apply(path, [contentDir(cache), sri.algorithm].concat(hashToSegments(sri.hexDigest())));
}

module.exports._contentDir = contentDir;

function contentDir(cache) {
  return path.join(cache, `content-v${contentVer}`);
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/read.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const Y = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/y.js");

const lstatAsync = BB.promisify(fs.lstat);
const readFileAsync = BB.promisify(fs.readFile);
const ReadOpts = figgyPudding({
  size: {}
});
module.exports = read;

function read(cache, integrity, opts) {
  opts = ReadOpts(opts);
  return withContentSri(cache, integrity, (cpath, sri) => {
    return readFileAsync(cpath, null).then(data => {
      if (typeof opts.size === 'number' && opts.size !== data.length) {
        throw sizeError(opts.size, data.length);
      } else if (ssri.checkData(data, sri)) {
        return data;
      } else {
        throw integrityError(sri, cpath);
      }
    });
  });
}

module.exports.sync = readSync;

function readSync(cache, integrity, opts) {
  opts = ReadOpts(opts);
  return withContentSriSync(cache, integrity, (cpath, sri) => {
    const data = fs.readFileSync(cpath);

    if (typeof opts.size === 'number' && opts.size !== data.length) {
      throw sizeError(opts.size, data.length);
    } else if (ssri.checkData(data, sri)) {
      return data;
    } else {
      throw integrityError(sri, cpath);
    }
  });
}

module.exports.stream = readStream;
module.exports.readStream = readStream;

function readStream(cache, integrity, opts) {
  opts = ReadOpts(opts);
  const stream = new PassThrough();
  withContentSri(cache, integrity, (cpath, sri) => {
    return lstatAsync(cpath).then(stat => ({
      cpath,
      sri,
      stat
    }));
  }).then(({
    cpath,
    sri,
    stat
  }) => {
    return pipe(fs.createReadStream(cpath), ssri.integrityStream({
      integrity: sri,
      size: opts.size
    }), stream);
  }).catch(err => {
    stream.emit('error', err);
  });
  return stream;
}

let copyFileAsync;

if (fs.copyFile) {
  module.exports.copy = copy;
  module.exports.copy.sync = copySync;
  copyFileAsync = BB.promisify(fs.copyFile);
}

function copy(cache, integrity, dest, opts) {
  opts = ReadOpts(opts);
  return withContentSri(cache, integrity, (cpath, sri) => {
    return copyFileAsync(cpath, dest);
  });
}

function copySync(cache, integrity, dest, opts) {
  opts = ReadOpts(opts);
  return withContentSriSync(cache, integrity, (cpath, sri) => {
    return fs.copyFileSync(cpath, dest);
  });
}

module.exports.hasContent = hasContent;

function hasContent(cache, integrity) {
  if (!integrity) {
    return BB.resolve(false);
  }

  return withContentSri(cache, integrity, (cpath, sri) => {
    return lstatAsync(cpath).then(stat => ({
      size: stat.size,
      sri,
      stat
    }));
  }).catch(err => {
    if (err.code === 'ENOENT') {
      return false;
    }

    if (err.code === 'EPERM') {
      if (process.platform !== 'win32') {
        throw err;
      } else {
        return false;
      }
    }
  });
}

module.exports.hasContent.sync = hasContentSync;

function hasContentSync(cache, integrity) {
  if (!integrity) {
    return false;
  }

  return withContentSriSync(cache, integrity, (cpath, sri) => {
    try {
      const stat = fs.lstatSync(cpath);
      return {
        size: stat.size,
        sri,
        stat
      };
    } catch (err) {
      if (err.code === 'ENOENT') {
        return false;
      }

      if (err.code === 'EPERM') {
        if (process.platform !== 'win32') {
          throw err;
        } else {
          return false;
        }
      }
    }
  });
}

function withContentSri(cache, integrity, fn) {
  return BB.try(() => {
    const sri = ssri.parse(integrity); // If `integrity` has multiple entries, pick the first digest
    // with available local data.

    const algo = sri.pickAlgorithm();
    const digests = sri[algo];

    if (digests.length <= 1) {
      const cpath = contentPath(cache, digests[0]);
      return fn(cpath, digests[0]);
    } else {
      return BB.any(sri[sri.pickAlgorithm()].map(meta => {
        return withContentSri(cache, meta, fn);
      }, {
        concurrency: 1
      })).catch(err => {
        if ([].some.call(err, e => e.code === 'ENOENT')) {
          throw Object.assign(new Error('No matching content found for ' + sri.toString()), {
            code: 'ENOENT'
          });
        } else {
          throw err[0];
        }
      });
    }
  });
}

function withContentSriSync(cache, integrity, fn) {
  const sri = ssri.parse(integrity); // If `integrity` has multiple entries, pick the first digest
  // with available local data.

  const algo = sri.pickAlgorithm();
  const digests = sri[algo];

  if (digests.length <= 1) {
    const cpath = contentPath(cache, digests[0]);
    return fn(cpath, digests[0]);
  } else {
    let lastErr = null;

    for (const meta of sri[sri.pickAlgorithm()]) {
      try {
        return withContentSriSync(cache, meta, fn);
      } catch (err) {
        lastErr = err;
      }
    }

    if (lastErr) {
      throw lastErr;
    }
  }
}

function sizeError(expected, found) {
  var err = new Error(Y`Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`);
  err.expected = expected;
  err.found = found;
  err.code = 'EBADSIZE';
  return err;
}

function integrityError(sri, path) {
  var err = new Error(Y`Integrity verification failed for ${sri} (${path})`);
  err.code = 'EINTEGRITY';
  err.sri = sri;
  err.path = path;
  return err;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/rm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js");

const hasContent = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/read.js").hasContent;

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));
module.exports = rm;

function rm(cache, integrity) {
  return hasContent(cache, integrity).then(content => {
    if (content) {
      const sri = content.sri;

      if (sri) {
        return rimraf(contentPath(cache, sri)).then(() => true);
      }
    } else {
      return false;
    }
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/write.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/fix-owner.js");

const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const moveFile = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/move-file.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const path = __webpack_require__("path");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);
const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const to = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").to;

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js");

const Y = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/y.js");

const writeFileAsync = BB.promisify(fs.writeFile);
module.exports = write;

function write(cache, data, opts) {
  opts = opts || {};

  if (opts.algorithms && opts.algorithms.length > 1) {
    throw new Error(Y`opts.algorithms only supports a single algorithm for now`);
  }

  if (typeof opts.size === 'number' && data.length !== opts.size) {
    return BB.reject(sizeError(opts.size, data.length));
  }

  const sri = ssri.fromData(data, {
    algorithms: opts.algorithms
  });

  if (opts.integrity && !ssri.checkData(data, opts.integrity, opts)) {
    return BB.reject(checksumError(opts.integrity, sri));
  }

  return BB.using(makeTmp(cache, opts), tmp => writeFileAsync(tmp.target, data, {
    flag: 'wx'
  }).then(() => moveToDestination(tmp, cache, sri, opts))).then(() => ({
    integrity: sri,
    size: data.length
  }));
}

module.exports.stream = writeStream;

function writeStream(cache, opts) {
  opts = opts || {};
  const inputStream = new PassThrough();
  let inputErr = false;

  function errCheck() {
    if (inputErr) {
      throw inputErr;
    }
  }

  let allDone;
  const ret = to((c, n, cb) => {
    if (!allDone) {
      allDone = handleContent(inputStream, cache, opts, errCheck);
    }

    inputStream.write(c, n, cb);
  }, cb => {
    inputStream.end(() => {
      if (!allDone) {
        const e = new Error(Y`Cache input stream was empty`);
        e.code = 'ENODATA';
        return ret.emit('error', e);
      }

      allDone.then(res => {
        res.integrity && ret.emit('integrity', res.integrity);
        res.size !== null && ret.emit('size', res.size);
        cb();
      }, e => {
        ret.emit('error', e);
      });
    });
  });
  ret.once('error', e => {
    inputErr = e;
  });
  return ret;
}

function handleContent(inputStream, cache, opts, errCheck) {
  return BB.using(makeTmp(cache, opts), tmp => {
    errCheck();
    return pipeToTmp(inputStream, cache, tmp.target, opts, errCheck).then(res => {
      return moveToDestination(tmp, cache, res.integrity, opts, errCheck).then(() => res);
    });
  });
}

function pipeToTmp(inputStream, cache, tmpTarget, opts, errCheck) {
  return BB.resolve().then(() => {
    let integrity;
    let size;
    const hashStream = ssri.integrityStream({
      integrity: opts.integrity,
      algorithms: opts.algorithms,
      size: opts.size
    }).on('integrity', s => {
      integrity = s;
    }).on('size', s => {
      size = s;
    });
    const outStream = fs.createWriteStream(tmpTarget, {
      flags: 'wx'
    });
    errCheck();
    return pipe(inputStream, hashStream, outStream).then(() => {
      return {
        integrity,
        size
      };
    }, err => {
      return rimraf(tmpTarget).then(() => {
        throw err;
      });
    });
  });
}

function makeTmp(cache, opts) {
  const tmpTarget = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix);
  return fixOwner.mkdirfix(path.dirname(tmpTarget), opts.uid, opts.gid).then(() => ({
    target: tmpTarget,
    moved: false
  })).disposer(tmp => !tmp.moved && rimraf(tmp.target));
}

function moveToDestination(tmp, cache, sri, opts, errCheck) {
  errCheck && errCheck();
  const destination = contentPath(cache, sri);
  const destDir = path.dirname(destination);
  return fixOwner.mkdirfix(destDir, opts.uid, opts.gid).then(() => {
    errCheck && errCheck();
    return moveFile(tmp.target, destination);
  }).then(() => {
    errCheck && errCheck();
    tmp.moved = true;
    return fixOwner.chownr(destination, opts.uid, opts.gid);
  });
}

function sizeError(expected, found) {
  var err = new Error(Y`Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`);
  err.expected = expected;
  err.found = found;
  err.code = 'EBADSIZE';
  return err;
}

function checksumError(expected, found) {
  var err = new Error(Y`Integrity check failed:
  Wanted: ${expected}
   Found: ${found}`);
  err.code = 'EINTEGRITY';
  err.expected = expected;
  err.found = found;
  return err;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js");

const crypto = __webpack_require__("crypto");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/fix-owner.js");

const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const hashToSegments = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/hash-to-segments.js");

const ms = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js");

const path = __webpack_require__("path");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const Y = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/y.js");

const indexV = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/package.json")["cache-version"].index;

const appendFileAsync = BB.promisify(fs.appendFile);
const utimesAsync = BB.promisify(fs.utimes);
const statAsync = BB.promisify(fs.stat);
const readFileAsync = BB.promisify(fs.readFile);
const readdirAsync = BB.promisify(fs.readdir);
const concat = ms.concat;
const from = ms.from;
module.exports.NotFoundError = class NotFoundError extends Error {
  constructor(cache, key) {
    super(Y`No cache entry for \`${key}\` found in \`${cache}\``);
    this.code = 'ENOENT';
    this.cache = cache;
    this.key = key;
  }

};
const IndexOpts = figgyPudding({
  metadata: {},
  size: {},
  uid: {},
  gid: {}
});
module.exports.insert = insert;

function insert(cache, key, integrity, opts) {
  opts = IndexOpts(opts);
  const bucket = bucketPath(cache, key);
  const entry = {
    key,
    integrity: integrity && ssri.stringify(integrity),
    time: Date.now(),
    size: opts.size,
    metadata: opts.metadata
  };
  return fixOwner.mkdirfix(path.dirname(bucket), opts.uid, opts.gid).then(() => {
    const stringified = JSON.stringify(entry); // NOTE - Cleverness ahoy!
    //
    // This works because it's tremendously unlikely for an entry to corrupt
    // another while still preserving the string length of the JSON in
    // question. So, we just slap the length in there and verify it on read.
    //
    // Thanks to @isaacs for the whiteboarding session that ended up with this.

    return appendFileAsync(bucket, `\n${hashEntry(stringified)}\t${stringified}`);
  }).then(() => fixOwner.chownr(bucket, opts.uid, opts.gid)).catch({
    code: 'ENOENT'
  }, () => {// There's a class of race conditions that happen when things get deleted
    // during fixOwner, or between the two mkdirfix/chownr calls.
    //
    // It's perfectly fine to just not bother in those cases and lie
    // that the index entry was written. Because it's a cache.
  }).then(() => {
    return formatEntry(cache, entry);
  });
}

module.exports.insert.sync = insertSync;

function insertSync(cache, key, integrity, opts) {
  opts = IndexOpts(opts);
  const bucket = bucketPath(cache, key);
  const entry = {
    key,
    integrity: integrity && ssri.stringify(integrity),
    time: Date.now(),
    size: opts.size,
    metadata: opts.metadata
  };
  fixOwner.mkdirfix.sync(path.dirname(bucket), opts.uid, opts.gid);
  const stringified = JSON.stringify(entry);
  fs.appendFileSync(bucket, `\n${hashEntry(stringified)}\t${stringified}`);

  try {
    fixOwner.chownr.sync(bucket, opts.uid, opts.gid);
  } catch (err) {
    if (err.code !== 'ENOENT') {
      throw err;
    }
  }

  return formatEntry(cache, entry);
}

module.exports.refresh = refresh;

function refresh(cache, key) {
  const bucket = bucketPath(cache, key);
  const time = new Date();
  return utimesAsync(bucket, time, time).catch(nop);
}

module.exports.refresh.sync = refreshSync;

function refreshSync(cache, key) {
  const bucket = bucketPath(cache, key);

  try {
    const time = new Date();
    fs.utimesSync(bucket, time, time);
  } catch (err) {//
  }
}

module.exports.find = find;

function find(cache, key) {
  const bucket = bucketPath(cache, key);
  return statAsync(bucket).then(stat => {
    return bucketEntries(bucket).then(entries => {
      return entries.reduce((latest, next) => {
        if (next && next.key === key) {
          return formatEntry(cache, next, stat);
        } else {
          return latest;
        }
      }, null);
    });
  }).catch(err => {
    if (err.code === 'ENOENT') {
      return null;
    } else {
      throw err;
    }
  });
}

module.exports.find.sync = findSync;

function findSync(cache, key) {
  const bucket = bucketPath(cache, key);

  try {
    const stat = fs.statSync(bucket);
    return bucketEntriesSync(bucket).reduce((latest, next) => {
      if (next && next.key === key) {
        return formatEntry(cache, next, stat);
      } else {
        return latest;
      }
    }, null);
  } catch (err) {
    if (err.code === 'ENOENT') {
      return null;
    } else {
      throw err;
    }
  }
}

module.exports["delete"] = del;

function del(cache, key, opts) {
  return insert(cache, key, null, opts);
}

module.exports["delete"].sync = delSync;

function delSync(cache, key, opts) {
  return insertSync(cache, key, null, opts);
}

module.exports.lsStream = lsStream;

function lsStream(cache) {
  const indexDir = bucketDir(cache);
  const stream = from.obj(); // "/cachename/*"

  readdirOrEmpty(indexDir).map(bucket => {
    const bucketPath = path.join(indexDir, bucket); // "/cachename/<bucket 0xFF>/*"

    return readdirOrEmpty(bucketPath).map(subbucket => {
      const subbucketPath = path.join(bucketPath, subbucket); // "/cachename/<bucket 0xFF>/<bucket 0xFF>/*"

      return readdirOrEmpty(subbucketPath).map(entry => {
        const getKeyToEntry = bucketEntries(path.join(subbucketPath, entry)).reduce((acc, entry) => {
          acc.set(entry.key, entry);
          return acc;
        }, new Map());
        return getKeyToEntry.then(reduced => {
          for (let entry of reduced.values()) {
            const formatted = formatEntry(cache, entry);
            formatted && stream.push(formatted);
          }
        }).catch({
          code: 'ENOENT'
        }, nop);
      });
    });
  }).then(() => {
    stream.push(null);
  }, err => {
    stream.emit('error', err);
  });
  return stream;
}

module.exports.ls = ls;

function ls(cache) {
  return BB.fromNode(cb => {
    lsStream(cache).on('error', cb).pipe(concat(entries => {
      cb(null, entries.reduce((acc, xs) => {
        acc[xs.key] = xs;
        return acc;
      }, {}));
    }));
  });
}

function bucketEntries(bucket, filter) {
  return readFileAsync(bucket, 'utf8').then(data => {
    return _bucketEntries(data, filter);
  });
}

function bucketEntriesSync(bucket, filter) {
  const data = fs.readFileSync(bucket, 'utf8');
  return _bucketEntries(data, filter);
}

function _bucketEntries(data, filter) {
  let entries = [];
  data.split('\n').forEach(entry => {
    if (!entry) {
      return;
    }

    const pieces = entry.split('\t');

    if (!pieces[1] || hashEntry(pieces[1]) !== pieces[0]) {
      // Hash is no good! Corruption or malice? Doesn't matter!
      // EJECT EJECT
      return;
    }

    let obj;

    try {
      obj = JSON.parse(pieces[1]);
    } catch (e) {
      // Entry is corrupted!
      return;
    }

    if (obj) {
      entries.push(obj);
    }
  });
  return entries;
}

module.exports._bucketDir = bucketDir;

function bucketDir(cache) {
  return path.join(cache, `index-v${indexV}`);
}

module.exports._bucketPath = bucketPath;

function bucketPath(cache, key) {
  const hashed = hashKey(key);
  return path.join.apply(path, [bucketDir(cache)].concat(hashToSegments(hashed)));
}

module.exports._hashKey = hashKey;

function hashKey(key) {
  return hash(key, 'sha256');
}

module.exports._hashEntry = hashEntry;

function hashEntry(str) {
  return hash(str, 'sha1');
}

function hash(str, digest) {
  return crypto.createHash(digest).update(str).digest('hex');
}

function formatEntry(cache, entry, stat) {
  // Treat null digests as deletions. They'll shadow any previous entries.
  if (!entry.integrity) {
    return null;
  }

  return {
    key: entry.key,
    integrity: entry.integrity,
    path: contentPath(cache, entry.integrity),
    size: entry.size,
    time: entry.time,
    refreshTime: stat && stat.mtimeMs,
    metadata: entry.metadata
  };
}

function readdirOrEmpty(dir) {
  return readdirAsync(dir).catch({
    code: 'ENOENT'
  }, () => []).catch({
    code: 'ENOTDIR'
  }, () => []);
}

function nop() {}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/memoization.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/5.1.1/lru-cache/index.js");

const MAX_SIZE = 50 * 1024 * 1024; // 50MB

const MAX_AGE = 3 * 60 * 1000;
let MEMOIZED = new LRU({
  max: MAX_SIZE,
  maxAge: MAX_AGE,
  length: (entry, key) => {
    if (key.startsWith('key:')) {
      return entry.data.length;
    } else if (key.startsWith('digest:')) {
      return entry.length;
    }
  }
});
module.exports.clearMemoized = clearMemoized;

function clearMemoized() {
  const old = {};
  MEMOIZED.forEach((v, k) => {
    old[k] = v;
  });
  MEMOIZED.reset();
  return old;
}

module.exports.put = put;

function put(cache, entry, data, opts) {
  pickMem(opts).set(`key:${cache}:${entry.key}`, {
    entry,
    data
  });
  putDigest(cache, entry.integrity, data, opts);
}

module.exports.put.byDigest = putDigest;

function putDigest(cache, integrity, data, opts) {
  pickMem(opts).set(`digest:${cache}:${integrity}`, data);
}

module.exports.get = get;

function get(cache, key, opts) {
  return pickMem(opts).get(`key:${cache}:${key}`);
}

module.exports.get.byDigest = getDigest;

function getDigest(cache, integrity, opts) {
  return pickMem(opts).get(`digest:${cache}:${integrity}`);
}

class ObjProxy {
  constructor(obj) {
    this.obj = obj;
  }

  get(key) {
    return this.obj[key];
  }

  set(key, val) {
    this.obj[key] = val;
  }

}

function pickMem(opts) {
  if (!opts || !opts.memoize) {
    return MEMOIZED;
  } else if (opts.memoize.get && opts.memoize.set) {
    return opts.memoize;
  } else if (typeof opts.memoize === 'object') {
    return new ObjProxy(opts.memoize);
  } else {
    return MEMOIZED;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/fix-owner.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const chownr = BB.promisify(__webpack_require__("./node_modules/.f/_/chownr/1.1.4/chownr/chownr.js"));
const mkdirp = BB.promisify(__webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js"));

const inflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

module.exports.chownr = fixOwner;

function fixOwner(filepath, uid, gid) {
  if (!process.getuid) {
    // This platform doesn't need ownership fixing
    return BB.resolve();
  }

  if (typeof uid !== 'number' && typeof gid !== 'number') {
    // There's no permissions override. Nothing to do here.
    return BB.resolve();
  }

  if (typeof uid === 'number' && process.getuid() === uid && typeof gid === 'number' && process.getgid() === gid) {
    // No need to override if it's already what we used.
    return BB.resolve();
  }

  return inflight('fixOwner: fixing ownership on ' + filepath, () => chownr(filepath, typeof uid === 'number' ? uid : process.getuid(), typeof gid === 'number' ? gid : process.getgid()).catch({
    code: 'ENOENT'
  }, () => null));
}

module.exports.chownr.sync = fixOwnerSync;

function fixOwnerSync(filepath, uid, gid) {
  if (!process.getuid) {
    // This platform doesn't need ownership fixing
    return;
  }

  if (typeof uid !== 'number' && typeof gid !== 'number') {
    // There's no permissions override. Nothing to do here.
    return;
  }

  if (typeof uid === 'number' && process.getuid() === uid && typeof gid === 'number' && process.getgid() === gid) {
    // No need to override if it's already what we used.
    return;
  }

  try {
    chownr.sync(filepath, typeof uid === 'number' ? uid : process.getuid(), typeof gid === 'number' ? gid : process.getgid());
  } catch (err) {
    if (err.code === 'ENOENT') {
      return null;
    }
  }
}

module.exports.mkdirfix = mkdirfix;

function mkdirfix(p, uid, gid, cb) {
  return mkdirp(p).then(made => {
    if (made) {
      return fixOwner(made, uid, gid).then(() => made);
    }
  }).catch({
    code: 'EEXIST'
  }, () => {
    // There's a race in mkdirp!
    return fixOwner(p, uid, gid).then(() => null);
  });
}

module.exports.mkdirfix.sync = mkdirfixSync;

function mkdirfixSync(p, uid, gid) {
  try {
    const made = mkdirp.sync(p);

    if (made) {
      fixOwnerSync(made, uid, gid);
      return made;
    }
  } catch (err) {
    if (err.code === 'EEXIST') {
      fixOwnerSync(p, uid, gid);
      return null;
    } else {
      throw err;
    }
  }
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/hash-to-segments.js":
/***/ ((module) => {

"use strict";


module.exports = hashToSegments;

function hashToSegments(hash) {
  return [hash.slice(0, 2), hash.slice(2, 4), hash.slice(4)];
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/move-file.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const chmod = BB.promisify(fs.chmod);
const unlink = BB.promisify(fs.unlink);
let move;
let pinflight;
module.exports = moveFile;

function moveFile(src, dest) {
  // This isn't quite an fs.rename -- the assumption is that
  // if `dest` already exists, and we get certain errors while
  // trying to move it, we should just not bother.
  //
  // In the case of cache corruption, users will receive an
  // EINTEGRITY error elsewhere, and can remove the offending
  // content their own way.
  //
  // Note that, as the name suggests, this strictly only supports file moves.
  return BB.fromNode(cb => {
    fs.link(src, dest, err => {
      if (err) {
        if (err.code === 'EEXIST' || err.code === 'EBUSY') {// file already exists, so whatever
        } else if (err.code === 'EPERM' && process.platform === 'win32') {// file handle stayed open even past graceful-fs limits
        } else {
          return cb(err);
        }
      }

      return cb();
    });
  }).then(() => {
    // content should never change for any reason, so make it read-only
    return BB.join(unlink(src), process.platform !== 'win32' && chmod(dest, '0444'));
  }).catch(() => {
    if (!pinflight) {
      pinflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");
    }

    return pinflight('cacache-move-file:' + dest, () => {
      return BB.promisify(fs.stat)(dest).catch(err => {
        if (err.code !== 'ENOENT') {
          // Something else is wrong here. Bail bail bail
          throw err;
        } // file doesn't already exist! let's try a rename -> copy fallback


        if (!move) {
          move = __webpack_require__("./node_modules/.f/_/move-concurrently/1.0.1/move-concurrently/move.js");
        }

        return move(src, dest, {
          BB,
          fs
        });
      });
    });
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/tmp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/fix-owner.js");

const path = __webpack_require__("path");

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js");

const TmpOpts = figgyPudding({
  tmpPrefix: {},
  uid: {},
  gid: {}
});
module.exports.mkdir = mktmpdir;

function mktmpdir(cache, opts) {
  opts = TmpOpts(opts);
  const tmpTarget = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix);
  return fixOwner.mkdirfix(tmpTarget, opts.uid, opts.gid).then(() => {
    return tmpTarget;
  });
}

module.exports.withTmp = withTmp;

function withTmp(cache, opts, cb) {
  if (!cb) {
    cb = opts;
    opts = null;
  }

  opts = TmpOpts(opts);
  return BB.using(mktmpdir(cache, opts).disposer(rimraf), cb);
}

module.exports.fix = fixtmpdir;

function fixtmpdir(cache, opts) {
  opts = TmpOpts(opts);
  return fixOwner(path.join(cache, 'tmp'), opts.uid, opts.gid);
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/y.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const y18n = __webpack_require__("./node_modules/.f/_/y18n/4.0.1/y18n/index.js")({
  directory: path.join(__dirname, '../../locales'),
  locale: 'en',
  updateFiles: process.env.CACACHE_UPDATE_LOCALE_FILES === 'true'
});

module.exports = yTag;

function yTag(parts) {
  let str = '';
  parts.forEach((part, i) => {
    const arg = arguments[i + 1];
    str += part;

    if (arg) {
      str += '%s';
    }
  });
  return y18n.__.apply(null, [str].concat([].slice.call(arguments, 1)));
}

module.exports.setLocale = locale => {
  y18n.setLocale(locale);
};

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/lib/verify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/path.js");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const finished = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").finished);

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/fix-owner.js");

const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const glob = BB.promisify(__webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js"));

const index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

const path = __webpack_require__("path");

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

BB.promisifyAll(fs);
const VerifyOpts = figgyPudding({
  concurrency: {
    default: 20
  },
  filter: {},
  log: {
    default: {
      silly() {}

    }
  },
  uid: {},
  gid: {}
});
module.exports = verify;

function verify(cache, opts) {
  opts = VerifyOpts(opts);
  opts.log.silly('verify', 'verifying cache at', cache);
  return BB.reduce([markStartTime, fixPerms, garbageCollect, rebuildIndex, cleanTmp, writeVerifile, markEndTime], (stats, step, i) => {
    const label = step.name || `step #${i}`;
    const start = new Date();
    return BB.resolve(step(cache, opts)).then(s => {
      s && Object.keys(s).forEach(k => {
        stats[k] = s[k];
      });
      const end = new Date();

      if (!stats.runTime) {
        stats.runTime = {};
      }

      stats.runTime[label] = end - start;
      return stats;
    });
  }, {}).tap(stats => {
    stats.runTime.total = stats.endTime - stats.startTime;
    opts.log.silly('verify', 'verification finished for', cache, 'in', `${stats.runTime.total}ms`);
  });
}

function markStartTime(cache, opts) {
  return {
    startTime: new Date()
  };
}

function markEndTime(cache, opts) {
  return {
    endTime: new Date()
  };
}

function fixPerms(cache, opts) {
  opts.log.silly('verify', 'fixing cache permissions');
  return fixOwner.mkdirfix(cache, opts.uid, opts.gid).then(() => {
    // TODO - fix file permissions too
    return fixOwner.chownr(cache, opts.uid, opts.gid);
  }).then(() => null);
} // Implements a naive mark-and-sweep tracing garbage collector.
//
// The algorithm is basically as follows:
// 1. Read (and filter) all index entries ("pointers")
// 2. Mark each integrity value as "live"
// 3. Read entire filesystem tree in `content-vX/` dir
// 4. If content is live, verify its checksum and delete it if it fails
// 5. If content is not marked as live, rimraf it.
//


function garbageCollect(cache, opts) {
  opts.log.silly('verify', 'garbage collecting content');
  const indexStream = index.lsStream(cache);
  const liveContent = new Set();
  indexStream.on('data', entry => {
    if (opts.filter && !opts.filter(entry)) {
      return;
    }

    liveContent.add(entry.integrity.toString());
  });
  return finished(indexStream).then(() => {
    const contentDir = contentPath._contentDir(cache);

    return glob(path.join(contentDir, '**'), {
      follow: false,
      nodir: true,
      nosort: true
    }).then(files => {
      return BB.resolve({
        verifiedContent: 0,
        reclaimedCount: 0,
        reclaimedSize: 0,
        badContentCount: 0,
        keptSize: 0
      }).tap(stats => BB.map(files, f => {
        const split = f.split(/[/\\]/);
        const digest = split.slice(split.length - 3).join('');
        const algo = split[split.length - 4];
        const integrity = ssri.fromHex(digest, algo);

        if (liveContent.has(integrity.toString())) {
          return verifyContent(f, integrity).then(info => {
            if (!info.valid) {
              stats.reclaimedCount++;
              stats.badContentCount++;
              stats.reclaimedSize += info.size;
            } else {
              stats.verifiedContent++;
              stats.keptSize += info.size;
            }

            return stats;
          });
        } else {
          // No entries refer to this content. We can delete.
          stats.reclaimedCount++;
          return fs.statAsync(f).then(s => {
            return rimraf(f).then(() => {
              stats.reclaimedSize += s.size;
              return stats;
            });
          });
        }
      }, {
        concurrency: opts.concurrency
      }));
    });
  });
}

function verifyContent(filepath, sri) {
  return fs.statAsync(filepath).then(stat => {
    const contentInfo = {
      size: stat.size,
      valid: true
    };
    return ssri.checkStream(fs.createReadStream(filepath), sri).catch(err => {
      if (err.code !== 'EINTEGRITY') {
        throw err;
      }

      return rimraf(filepath).then(() => {
        contentInfo.valid = false;
      });
    }).then(() => contentInfo);
  }).catch({
    code: 'ENOENT'
  }, () => ({
    size: 0,
    valid: false
  }));
}

function rebuildIndex(cache, opts) {
  opts.log.silly('verify', 'rebuilding index');
  return index.ls(cache).then(entries => {
    const stats = {
      missingContent: 0,
      rejectedEntries: 0,
      totalEntries: 0
    };
    const buckets = {};

    for (let k in entries) {
      if (entries.hasOwnProperty(k)) {
        const hashed = index._hashKey(k);

        const entry = entries[k];
        const excluded = opts.filter && !opts.filter(entry);
        excluded && stats.rejectedEntries++;

        if (buckets[hashed] && !excluded) {
          buckets[hashed].push(entry);
        } else if (buckets[hashed] && excluded) {// skip
        } else if (excluded) {
          buckets[hashed] = [];
          buckets[hashed]._path = index._bucketPath(cache, k);
        } else {
          buckets[hashed] = [entry];
          buckets[hashed]._path = index._bucketPath(cache, k);
        }
      }
    }

    return BB.map(Object.keys(buckets), key => {
      return rebuildBucket(cache, buckets[key], stats, opts);
    }, {
      concurrency: opts.concurrency
    }).then(() => stats);
  });
}

function rebuildBucket(cache, bucket, stats, opts) {
  return fs.truncateAsync(bucket._path).then(() => {
    // This needs to be serialized because cacache explicitly
    // lets very racy bucket conflicts clobber each other.
    return BB.mapSeries(bucket, entry => {
      const content = contentPath(cache, entry.integrity);
      return fs.statAsync(content).then(() => {
        return index.insert(cache, entry.key, entry.integrity, {
          uid: opts.uid,
          gid: opts.gid,
          metadata: entry.metadata,
          size: entry.size
        }).then(() => {
          stats.totalEntries++;
        });
      }).catch({
        code: 'ENOENT'
      }, () => {
        stats.rejectedEntries++;
        stats.missingContent++;
      });
    });
  });
}

function cleanTmp(cache, opts) {
  opts.log.silly('verify', 'cleaning tmp directory');
  return rimraf(path.join(cache, 'tmp'));
}

function writeVerifile(cache, opts) {
  const verifile = path.join(cache, '_lastverified');
  opts.log.silly('verify', 'writing verifile to ' + verifile);
  return fs.writeFileAsync(verifile, '' + +new Date());
}

module.exports.lastRun = lastRun;

function lastRun(cache) {
  return fs.readFileAsync(path.join(cache, '_lastverified'), 'utf8').then(data => new Date(+data));
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/locales/en.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ls = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/ls.js");

const get = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/get.js");

const put = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/put.js");

const rm = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/rm.js");

const verify = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/verify.js");

const setLocale = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/y.js").setLocale;

const clearMemoized = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/memoization.js").clearMemoized;

const tmp = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/util/tmp.js");

const index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

setLocale('en');
const x = module.exports;

x.ls = cache => ls(cache);

x.ls.stream = cache => ls.stream(cache);

x.get = (cache, key, opts) => get(cache, key, opts);

x.get.byDigest = (cache, hash, opts) => get.byDigest(cache, hash, opts);

x.get.sync = (cache, key, opts) => get.sync(cache, key, opts);

x.get.sync.byDigest = (cache, key, opts) => get.sync.byDigest(cache, key, opts);

x.get.stream = (cache, key, opts) => get.stream(cache, key, opts);

x.get.stream.byDigest = (cache, hash, opts) => get.stream.byDigest(cache, hash, opts);

x.get.copy = (cache, key, dest, opts) => get.copy(cache, key, dest, opts);

x.get.copy.byDigest = (cache, hash, dest, opts) => get.copy.byDigest(cache, hash, dest, opts);

x.get.info = (cache, key) => get.info(cache, key);

x.get.hasContent = (cache, hash) => get.hasContent(cache, hash);

x.get.hasContent.sync = (cache, hash) => get.hasContent.sync(cache, hash);

x.put = (cache, key, data, opts) => put(cache, key, data, opts);

x.put.stream = (cache, key, opts) => put.stream(cache, key, opts);

x.refresh = (cache, key) => index.refresh(cache, key);

x.refresh.sync = (cache, key) => index.refresh.sync(cache, key);

x.rm = (cache, key) => rm.entry(cache, key);

x.rm.all = cache => rm.all(cache);

x.rm.entry = x.rm;

x.rm.content = (cache, hash) => rm.content(cache, hash);

x.setLocale = lang => setLocale(lang);

x.clearMemoized = () => clearMemoized();

x.tmp = {};

x.tmp.mkdir = (cache, opts) => tmp.mkdir(cache, opts);

x.tmp.withTmp = (cache, opts, cb) => tmp.withTmp(cache, opts, cb);

x.verify = (cache, opts) => verify(cache, opts);

x.verify.lastRun = cache => verify.lastRun(cache);

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/ls.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

module.exports = index.ls;
module.exports.stream = index.lsStream;

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/put.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/memoization.js");

const write = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/write.js");

const to = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").to;

const PutOpts = figgyPudding({
  algorithms: {
    default: ['sha512']
  },
  integrity: {},
  existKey: {},
  existIntegrity: {},
  memoize: {},
  metadata: {},
  pickAlgorithm: {},
  size: {},
  tmpPrefix: {},
  uid: {},
  gid: {},
  single: {},
  sep: {},
  strict: {}
});
module.exports = putData;

function putData(cache, key, data, opts) {
  opts = PutOpts(opts);
  return write(cache, data, opts).then(res => {
    return index.insert(cache, key, res.integrity, opts.concat({
      size: res.size
    })).then(entry => {
      if (opts.memoize) {
        memo.put(cache, entry, data, opts);
      }

      return res.integrity;
    });
  });
}

module.exports.stream = putStream;

function putStream(cache, key, opts) {
  opts = PutOpts(opts);
  let integrity;
  let size;
  const contentStream = write.stream(cache, opts).on('integrity', int => {
    integrity = int;
  }).on('size', s => {
    size = s;
  });
  let memoData;
  let memoTotal = 0;
  const stream = to((chunk, enc, cb) => {
    contentStream.write(chunk, enc, () => {
      if (opts.memoize) {
        if (!memoData) {
          memoData = [];
        }

        memoData.push(chunk);
        memoTotal += chunk.length;
      }

      cb();
    });
  }, cb => {
    contentStream.end(() => {
      // avoid growing index arbitrary
      const sameKey = opts.existKey && opts.existKey === key; // not same key or same integrity => must update index entry
      // technically the key can't be different.

      if (!sameKey || !(opts.existIntegrity && opts.existIntegrity === integrity.toString())) {
        index.insert(cache, key, integrity, opts.concat({
          size
        })).then(entry => {
          if (opts.memoize) {
            memo.put(cache, entry, Buffer.concat(memoData, memoTotal), opts);
          }

          stream.emit('integrity', integrity);
          cb();
        });
      } else {
        process.nextTick(() => {
          stream.emit('integrity', integrity);
          cb();
        });
      }
    });
  });
  let erred = false;
  stream.once('error', err => {
    if (erred) {
      return;
    }

    erred = true;
    contentStream.emit('error', err);
  });
  contentStream.once('error', err => {
    if (erred) {
      return;
    }

    erred = true;
    stream.emit('error', err);
  });
  return stream;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/rm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const index = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/memoization.js");

const path = __webpack_require__("path");

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const rmContent = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/content/rm.js");

module.exports = entry;
module.exports.entry = entry;

function entry(cache, key) {
  memo.clearMemoized();
  return index.delete(cache, key);
}

module.exports.content = content;

function content(cache, integrity) {
  memo.clearMemoized();
  return rmContent(cache, integrity);
}

module.exports.all = all;

function all(cache) {
  memo.clearMemoized();
  return rimraf(path.join(cache, '*(content-*|index-*)'));
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/verify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/lib/verify.js");

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/get.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Collect = __webpack_require__("./node_modules/.f/_/minipass-collect/1.0.2/minipass-collect/index.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const Pipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const fs = __webpack_require__("fs");

const util = __webpack_require__("util");

const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/memoization.js");

const read = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/read.js");

const writeFile = util.promisify(fs.writeFile);

function getData(cache, key, opts = {}) {
  const {
    integrity,
    memoize,
    size
  } = opts;
  const memoized = memo.get(cache, key, opts);

  if (memoized && memoize !== false) {
    return Promise.resolve({
      metadata: memoized.entry.metadata,
      data: memoized.data,
      integrity: memoized.entry.integrity,
      size: memoized.entry.size
    });
  }

  return index.find(cache, key, opts).then(entry => {
    if (!entry) throw new index.NotFoundError(cache, key);
    return read(cache, entry.integrity, {
      integrity,
      size
    }).then(data => {
      if (memoize) memo.put(cache, entry, data, opts);
      return {
        data,
        metadata: entry.metadata,
        size: entry.size,
        integrity: entry.integrity
      };
    });
  });
}

module.exports = getData;

function getDataByDigest(cache, key, opts = {}) {
  const {
    integrity,
    memoize,
    size
  } = opts;
  const memoized = memo.get.byDigest(cache, key, opts);
  if (memoized && memoize !== false) return Promise.resolve(memoized);
  return read(cache, key, {
    integrity,
    size
  }).then(res => {
    if (memoize) memo.put.byDigest(cache, key, res, opts);
    return res;
  });
}

module.exports.byDigest = getDataByDigest;

function getDataSync(cache, key, opts = {}) {
  const {
    integrity,
    memoize,
    size
  } = opts;
  const memoized = memo.get(cache, key, opts);

  if (memoized && memoize !== false) {
    return {
      metadata: memoized.entry.metadata,
      data: memoized.data,
      integrity: memoized.entry.integrity,
      size: memoized.entry.size
    };
  }

  const entry = index.find.sync(cache, key, opts);
  if (!entry) throw new index.NotFoundError(cache, key);
  const data = read.sync(cache, entry.integrity, {
    integrity: integrity,
    size: size
  });
  const res = {
    metadata: entry.metadata,
    data: data,
    size: entry.size,
    integrity: entry.integrity
  };
  if (memoize) memo.put(cache, entry, res.data, opts);
  return res;
}

module.exports.sync = getDataSync;

function getDataByDigestSync(cache, digest, opts = {}) {
  const {
    integrity,
    memoize,
    size
  } = opts;
  const memoized = memo.get.byDigest(cache, digest, opts);
  if (memoized && memoize !== false) return memoized;
  const res = read.sync(cache, digest, {
    integrity: integrity,
    size: size
  });
  if (memoize) memo.put.byDigest(cache, digest, res, opts);
  return res;
}

module.exports.sync.byDigest = getDataByDigestSync;

const getMemoizedStream = memoized => {
  const stream = new Minipass();
  stream.on('newListener', function (ev, cb) {
    ev === 'metadata' && cb(memoized.entry.metadata);
    ev === 'integrity' && cb(memoized.entry.integrity);
    ev === 'size' && cb(memoized.entry.size);
  });
  stream.end(memoized.data);
  return stream;
};

function getStream(cache, key, opts = {}) {
  const {
    memoize,
    size
  } = opts;
  const memoized = memo.get(cache, key, opts);
  if (memoized && memoize !== false) return getMemoizedStream(memoized);
  const stream = new Pipeline();
  index.find(cache, key).then(entry => {
    if (!entry) throw new index.NotFoundError(cache, key);
    stream.emit('metadata', entry.metadata);
    stream.emit('integrity', entry.integrity);
    stream.emit('size', entry.size);
    stream.on('newListener', function (ev, cb) {
      ev === 'metadata' && cb(entry.metadata);
      ev === 'integrity' && cb(entry.integrity);
      ev === 'size' && cb(entry.size);
    });
    const src = read.readStream(cache, entry.integrity, _objectSpread(_objectSpread({}, opts), {}, {
      size: typeof size !== 'number' ? entry.size : size
    }));

    if (memoize) {
      const memoStream = new Collect.PassThrough();
      memoStream.on('collect', data => memo.put(cache, entry, data, opts));
      stream.unshift(memoStream);
    }

    stream.unshift(src);
  }).catch(err => stream.emit('error', err));
  return stream;
}

module.exports.stream = getStream;

function getStreamDigest(cache, integrity, opts = {}) {
  const {
    memoize
  } = opts;
  const memoized = memo.get.byDigest(cache, integrity, opts);

  if (memoized && memoize !== false) {
    const stream = new Minipass();
    stream.end(memoized);
    return stream;
  } else {
    const stream = read.readStream(cache, integrity, opts);
    if (!memoize) return stream;
    const memoStream = new Collect.PassThrough();
    memoStream.on('collect', data => memo.put.byDigest(cache, integrity, data, opts));
    return new Pipeline(stream, memoStream);
  }
}

module.exports.stream.byDigest = getStreamDigest;

function info(cache, key, opts = {}) {
  const {
    memoize
  } = opts;
  const memoized = memo.get(cache, key, opts);
  if (memoized && memoize !== false) return Promise.resolve(memoized.entry);else return index.find(cache, key);
}

module.exports.info = info;

function copy(cache, key, dest, opts = {}) {
  if (read.copy) {
    return index.find(cache, key, opts).then(entry => {
      if (!entry) throw new index.NotFoundError(cache, key);
      return read.copy(cache, entry.integrity, dest, opts).then(() => {
        return {
          metadata: entry.metadata,
          size: entry.size,
          integrity: entry.integrity
        };
      });
    });
  }

  return getData(cache, key, opts).then(res => {
    return writeFile(dest, res.data).then(() => {
      return {
        metadata: res.metadata,
        size: res.size,
        integrity: res.integrity
      };
    });
  });
}

module.exports.copy = copy;

function copyByDigest(cache, key, dest, opts = {}) {
  if (read.copy) return read.copy(cache, key, dest, opts).then(() => key);
  return getDataByDigest(cache, key, opts).then(res => {
    return writeFile(dest, res).then(() => key);
  });
}

module.exports.copy.byDigest = copyByDigest;
module.exports.hasContent = read.hasContent;

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ls = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/ls.js");

const get = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/get.js");

const put = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/put.js");

const rm = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/rm.js");

const verify = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/verify.js");

const {
  clearMemoized
} = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/memoization.js");

const tmp = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/tmp.js");

const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

module.exports.index = {};
module.exports.index.compact = index.compact;
module.exports.index.insert = index.insert;
module.exports.ls = ls;
module.exports.ls.stream = ls.stream;
module.exports.get = get;
module.exports.get.byDigest = get.byDigest;
module.exports.get.sync = get.sync;
module.exports.get.sync.byDigest = get.sync.byDigest;
module.exports.get.stream = get.stream;
module.exports.get.stream.byDigest = get.stream.byDigest;
module.exports.get.copy = get.copy;
module.exports.get.copy.byDigest = get.copy.byDigest;
module.exports.get.info = get.info;
module.exports.get.hasContent = get.hasContent;
module.exports.get.hasContent.sync = get.hasContent.sync;
module.exports.put = put;
module.exports.put.stream = put.stream;
module.exports.rm = rm.entry;
module.exports.rm.all = rm.all;
module.exports.rm.entry = module.exports.rm;
module.exports.rm.content = rm.content;
module.exports.clearMemoized = clearMemoized;
module.exports.tmp = {};
module.exports.tmp.mkdir = tmp.mkdir;
module.exports.tmp.withTmp = tmp.withTmp;
module.exports.verify = verify;
module.exports.verify.lastRun = verify.lastRun;

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const contentVer = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/package.json")["cache-version"].content;

const hashToSegments = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/hash-to-segments.js");

const path = __webpack_require__("path");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js"); // Current format of content file path:
//
// sha512-BaSE64Hex= ->
// ~/.my-cache/content-v2/sha512/ba/da/55deadbeefc0ffee
//


module.exports = contentPath;

function contentPath(cache, integrity) {
  const sri = ssri.parse(integrity, {
    single: true
  }); // contentPath is the *strongest* algo given

  return path.join(contentDir(cache), sri.algorithm, ...hashToSegments(sri.hexDigest()));
}

module.exports.contentDir = contentDir;

function contentDir(cache) {
  return path.join(cache, `content-v${contentVer}`);
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/read.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js");

const Pipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const lstat = util.promisify(fs.lstat);
const readFile = util.promisify(fs.readFile);
module.exports = read;
const MAX_SINGLE_READ_SIZE = 64 * 1024 * 1024;

function read(cache, integrity, opts = {}) {
  const {
    size
  } = opts;
  return withContentSri(cache, integrity, (cpath, sri) => {
    // get size
    return lstat(cpath).then(stat => ({
      stat,
      cpath,
      sri
    }));
  }).then(({
    stat,
    cpath,
    sri
  }) => {
    if (typeof size === 'number' && stat.size !== size) throw sizeError(size, stat.size);
    if (stat.size > MAX_SINGLE_READ_SIZE) return readPipeline(cpath, stat.size, sri, new Pipeline()).concat();
    return readFile(cpath, null).then(data => {
      if (!ssri.checkData(data, sri)) throw integrityError(sri, cpath);
      return data;
    });
  });
}

const readPipeline = (cpath, size, sri, stream) => {
  stream.push(new fsm.ReadStream(cpath, {
    size,
    readSize: MAX_SINGLE_READ_SIZE
  }), ssri.integrityStream({
    integrity: sri,
    size
  }));
  return stream;
};

module.exports.sync = readSync;

function readSync(cache, integrity, opts = {}) {
  const {
    size
  } = opts;
  return withContentSriSync(cache, integrity, (cpath, sri) => {
    const data = fs.readFileSync(cpath);
    if (typeof size === 'number' && size !== data.length) throw sizeError(size, data.length);
    if (ssri.checkData(data, sri)) return data;
    throw integrityError(sri, cpath);
  });
}

module.exports.stream = readStream;
module.exports.readStream = readStream;

function readStream(cache, integrity, opts = {}) {
  const {
    size
  } = opts;
  const stream = new Pipeline();
  withContentSri(cache, integrity, (cpath, sri) => {
    // just lstat to ensure it exists
    return lstat(cpath).then(stat => ({
      stat,
      cpath,
      sri
    }));
  }).then(({
    stat,
    cpath,
    sri
  }) => {
    if (typeof size === 'number' && size !== stat.size) return stream.emit('error', sizeError(size, stat.size));
    readPipeline(cpath, stat.size, sri, stream);
  }, er => stream.emit('error', er));
  return stream;
}

let copyFile;

if (fs.copyFile) {
  module.exports.copy = copy;
  module.exports.copy.sync = copySync;
  copyFile = util.promisify(fs.copyFile);
}

function copy(cache, integrity, dest) {
  return withContentSri(cache, integrity, (cpath, sri) => {
    return copyFile(cpath, dest);
  });
}

function copySync(cache, integrity, dest) {
  return withContentSriSync(cache, integrity, (cpath, sri) => {
    return fs.copyFileSync(cpath, dest);
  });
}

module.exports.hasContent = hasContent;

function hasContent(cache, integrity) {
  if (!integrity) return Promise.resolve(false);
  return withContentSri(cache, integrity, (cpath, sri) => {
    return lstat(cpath).then(stat => ({
      size: stat.size,
      sri,
      stat
    }));
  }).catch(err => {
    if (err.code === 'ENOENT') return false;

    if (err.code === 'EPERM') {
      /* istanbul ignore else */
      if (process.platform !== 'win32') throw err;else return false;
    }
  });
}

module.exports.hasContent.sync = hasContentSync;

function hasContentSync(cache, integrity) {
  if (!integrity) return false;
  return withContentSriSync(cache, integrity, (cpath, sri) => {
    try {
      const stat = fs.lstatSync(cpath);
      return {
        size: stat.size,
        sri,
        stat
      };
    } catch (err) {
      if (err.code === 'ENOENT') return false;

      if (err.code === 'EPERM') {
        /* istanbul ignore else */
        if (process.platform !== 'win32') throw err;else return false;
      }
    }
  });
}

function withContentSri(cache, integrity, fn) {
  const tryFn = () => {
    const sri = ssri.parse(integrity); // If `integrity` has multiple entries, pick the first digest
    // with available local data.

    const algo = sri.pickAlgorithm();
    const digests = sri[algo];

    if (digests.length <= 1) {
      const cpath = contentPath(cache, digests[0]);
      return fn(cpath, digests[0]);
    } else {
      // Can't use race here because a generic error can happen before
      // a ENOENT error, and can happen before a valid result
      return Promise.all(digests.map(meta => {
        return withContentSri(cache, meta, fn).catch(err => {
          if (err.code === 'ENOENT') {
            return Object.assign(new Error('No matching content found for ' + sri.toString()), {
              code: 'ENOENT'
            });
          }

          return err;
        });
      })).then(results => {
        // Return the first non error if it is found
        const result = results.find(r => !(r instanceof Error));
        if (result) return result; // Throw the No matching content found error

        const enoentError = results.find(r => r.code === 'ENOENT');
        if (enoentError) throw enoentError; // Throw generic error

        throw results.find(r => r instanceof Error);
      });
    }
  };

  return new Promise((resolve, reject) => {
    try {
      tryFn().then(resolve).catch(reject);
    } catch (err) {
      reject(err);
    }
  });
}

function withContentSriSync(cache, integrity, fn) {
  const sri = ssri.parse(integrity); // If `integrity` has multiple entries, pick the first digest
  // with available local data.

  const algo = sri.pickAlgorithm();
  const digests = sri[algo];

  if (digests.length <= 1) {
    const cpath = contentPath(cache, digests[0]);
    return fn(cpath, digests[0]);
  } else {
    let lastErr = null;

    for (const meta of digests) {
      try {
        return withContentSriSync(cache, meta, fn);
      } catch (err) {
        lastErr = err;
      }
    }

    throw lastErr;
  }
}

function sizeError(expected, found) {
  const err = new Error(`Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`);
  err.expected = expected;
  err.found = found;
  err.code = 'EBADSIZE';
  return err;
}

function integrityError(sri, path) {
  const err = new Error(`Integrity verification failed for ${sri} (${path})`);
  err.code = 'EINTEGRITY';
  err.sri = sri;
  err.path = path;
  return err;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/rm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js");

const {
  hasContent
} = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/read.js");

const rimraf = util.promisify(__webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js"));
module.exports = rm;

function rm(cache, integrity) {
  return hasContent(cache, integrity).then(content => {
    // ~pretty~ sure we can't end up with a content lacking sri, but be safe
    if (content && content.sri) return rimraf(contentPath(cache, content.sri)).then(() => true);else return false;
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/write.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/fix-owner.js");

const fs = __webpack_require__("fs");

const moveFile = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/move-file.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const Pipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const Flush = __webpack_require__("./node_modules/.f/_/minipass-flush/1.0.5/minipass-flush/index.js");

const path = __webpack_require__("path");

const rimraf = util.promisify(__webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js"));

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js");

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js");

const {
  disposer
} = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/disposer.js");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const writeFile = util.promisify(fs.writeFile);
module.exports = write;

function write(cache, data, opts = {}) {
  const {
    algorithms,
    size,
    integrity
  } = opts;
  if (algorithms && algorithms.length > 1) throw new Error('opts.algorithms only supports a single algorithm for now');
  if (typeof size === 'number' && data.length !== size) return Promise.reject(sizeError(size, data.length));
  const sri = ssri.fromData(data, algorithms ? {
    algorithms
  } : {});
  if (integrity && !ssri.checkData(data, integrity, opts)) return Promise.reject(checksumError(integrity, sri));
  return disposer(makeTmp(cache, opts), makeTmpDisposer, tmp => {
    return writeFile(tmp.target, data, {
      flag: 'wx'
    }).then(() => moveToDestination(tmp, cache, sri, opts));
  }).then(() => ({
    integrity: sri,
    size: data.length
  }));
}

module.exports.stream = writeStream; // writes proxied to the 'inputStream' that is passed to the Promise
// 'end' is deferred until content is handled.

class CacacheWriteStream extends Flush {
  constructor(cache, opts) {
    super();
    this.opts = opts;
    this.cache = cache;
    this.inputStream = new Minipass();
    this.inputStream.on('error', er => this.emit('error', er));
    this.inputStream.on('drain', () => this.emit('drain'));
    this.handleContentP = null;
  }

  write(chunk, encoding, cb) {
    if (!this.handleContentP) {
      this.handleContentP = handleContent(this.inputStream, this.cache, this.opts);
    }

    return this.inputStream.write(chunk, encoding, cb);
  }

  flush(cb) {
    this.inputStream.end(() => {
      if (!this.handleContentP) {
        const e = new Error('Cache input stream was empty');
        e.code = 'ENODATA'; // empty streams are probably emitting end right away.
        // defer this one tick by rejecting a promise on it.

        return Promise.reject(e).catch(cb);
      }

      this.handleContentP.then(res => {
        res.integrity && this.emit('integrity', res.integrity);
        res.size !== null && this.emit('size', res.size);
        cb();
      }, er => cb(er));
    });
  }

}

function writeStream(cache, opts = {}) {
  return new CacacheWriteStream(cache, opts);
}

function handleContent(inputStream, cache, opts) {
  return disposer(makeTmp(cache, opts), makeTmpDisposer, tmp => {
    return pipeToTmp(inputStream, cache, tmp.target, opts).then(res => {
      return moveToDestination(tmp, cache, res.integrity, opts).then(() => res);
    });
  });
}

function pipeToTmp(inputStream, cache, tmpTarget, opts) {
  let integrity;
  let size;
  const hashStream = ssri.integrityStream({
    integrity: opts.integrity,
    algorithms: opts.algorithms,
    size: opts.size
  });
  hashStream.on('integrity', i => {
    integrity = i;
  });
  hashStream.on('size', s => {
    size = s;
  });
  const outStream = new fsm.WriteStream(tmpTarget, {
    flags: 'wx'
  }); // NB: this can throw if the hashStream has a problem with
  // it, and the data is fully written.  but pipeToTmp is only
  // called in promisory contexts where that is handled.

  const pipeline = new Pipeline(inputStream, hashStream, outStream);
  return pipeline.promise().then(() => ({
    integrity,
    size
  })).catch(er => rimraf(tmpTarget).then(() => {
    throw er;
  }));
}

function makeTmp(cache, opts) {
  const tmpTarget = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix);
  return fixOwner.mkdirfix(cache, path.dirname(tmpTarget)).then(() => ({
    target: tmpTarget,
    moved: false
  }));
}

function makeTmpDisposer(tmp) {
  if (tmp.moved) return Promise.resolve();
  return rimraf(tmp.target);
}

function moveToDestination(tmp, cache, sri, opts) {
  const destination = contentPath(cache, sri);
  const destDir = path.dirname(destination);
  return fixOwner.mkdirfix(cache, destDir).then(() => {
    return moveFile(tmp.target, destination);
  }).then(() => {
    tmp.moved = true;
    return fixOwner.chownr(cache, destination);
  });
}

function sizeError(expected, found) {
  const err = new Error(`Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`);
  err.expected = expected;
  err.found = found;
  err.code = 'EBADSIZE';
  return err;
}

function checksumError(expected, found) {
  const err = new Error(`Integrity check failed:
  Wanted: ${expected}
   Found: ${found}`);
  err.code = 'EINTEGRITY';
  err.expected = expected;
  err.found = found;
  return err;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const crypto = __webpack_require__("crypto");

const fs = __webpack_require__("fs");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const path = __webpack_require__("path");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js");

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js");

const {
  disposer
} = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/disposer.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/fix-owner.js");

const hashToSegments = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/hash-to-segments.js");

const indexV = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/package.json")["cache-version"].index;

const moveFile = __webpack_require__("./node_modules/.f/_/@npmcli/move-file/1.1.2/@npmcli/move-file/index.js");

const _rimraf = __webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js");

const rimraf = util.promisify(_rimraf);
rimraf.sync = _rimraf.sync;
const appendFile = util.promisify(fs.appendFile);
const readFile = util.promisify(fs.readFile);
const readdir = util.promisify(fs.readdir);
const writeFile = util.promisify(fs.writeFile);
module.exports.NotFoundError = class NotFoundError extends Error {
  constructor(cache, key) {
    super(`No cache entry for ${key} found in ${cache}`);
    this.code = 'ENOENT';
    this.cache = cache;
    this.key = key;
  }

};
module.exports.compact = compact;

async function compact(cache, key, matchFn, opts = {}) {
  const bucket = bucketPath(cache, key);
  const entries = await bucketEntries(bucket);
  const newEntries = []; // we loop backwards because the bottom-most result is the newest
  // since we add new entries with appendFile

  for (let i = entries.length - 1; i >= 0; --i) {
    const entry = entries[i]; // a null integrity could mean either a delete was appended
    // or the user has simply stored an index that does not map
    // to any content. we determine if the user wants to keep the
    // null integrity based on the validateEntry function passed in options.
    // if the integrity is null and no validateEntry is provided, we break
    // as we consider the null integrity to be a deletion of everything
    // that came before it.

    if (entry.integrity === null && !opts.validateEntry) break; // if this entry is valid, and it is either the first entry or
    // the newEntries array doesn't already include an entry that
    // matches this one based on the provided matchFn, then we add
    // it to the beginning of our list

    if ((!opts.validateEntry || opts.validateEntry(entry) === true) && (newEntries.length === 0 || !newEntries.find(oldEntry => matchFn(oldEntry, entry)))) newEntries.unshift(entry);
  }

  const newIndex = '\n' + newEntries.map(entry => {
    const stringified = JSON.stringify(entry);
    const hash = hashEntry(stringified);
    return `${hash}\t${stringified}`;
  }).join('\n');

  const setup = async () => {
    const target = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix);
    await fixOwner.mkdirfix(cache, path.dirname(target));
    return {
      target,
      moved: false
    };
  };

  const teardown = async tmp => {
    if (!tmp.moved) return rimraf(tmp.target);
  };

  const write = async tmp => {
    await writeFile(tmp.target, newIndex, {
      flag: 'wx'
    });
    await fixOwner.mkdirfix(cache, path.dirname(bucket)); // we use @npmcli/move-file directly here because we
    // want to overwrite the existing file

    await moveFile(tmp.target, bucket);
    tmp.moved = true;

    try {
      await fixOwner.chownr(cache, bucket);
    } catch (err) {
      if (err.code !== 'ENOENT') throw err;
    }
  }; // write the file atomically


  await disposer(setup(), teardown, write); // we reverse the list we generated such that the newest
  // entries come first in order to make looping through them easier
  // the true passed to formatEntry tells it to keep null
  // integrity values, if they made it this far it's because
  // validateEntry returned true, and as such we should return it

  return newEntries.reverse().map(entry => formatEntry(cache, entry, true));
}

module.exports.insert = insert;

function insert(cache, key, integrity, opts = {}) {
  const {
    metadata,
    size
  } = opts;
  const bucket = bucketPath(cache, key);
  const entry = {
    key,
    integrity: integrity && ssri.stringify(integrity),
    time: Date.now(),
    size,
    metadata
  };
  return fixOwner.mkdirfix(cache, path.dirname(bucket)).then(() => {
    const stringified = JSON.stringify(entry); // NOTE - Cleverness ahoy!
    //
    // This works because it's tremendously unlikely for an entry to corrupt
    // another while still preserving the string length of the JSON in
    // question. So, we just slap the length in there and verify it on read.
    //
    // Thanks to @isaacs for the whiteboarding session that ended up with
    // this.

    return appendFile(bucket, `\n${hashEntry(stringified)}\t${stringified}`);
  }).then(() => fixOwner.chownr(cache, bucket)).catch(err => {
    if (err.code === 'ENOENT') return undefined;
    throw err; // There's a class of race conditions that happen when things get deleted
    // during fixOwner, or between the two mkdirfix/chownr calls.
    //
    // It's perfectly fine to just not bother in those cases and lie
    // that the index entry was written. Because it's a cache.
  }).then(() => {
    return formatEntry(cache, entry);
  });
}

module.exports.insert.sync = insertSync;

function insertSync(cache, key, integrity, opts = {}) {
  const {
    metadata,
    size
  } = opts;
  const bucket = bucketPath(cache, key);
  const entry = {
    key,
    integrity: integrity && ssri.stringify(integrity),
    time: Date.now(),
    size,
    metadata
  };
  fixOwner.mkdirfix.sync(cache, path.dirname(bucket));
  const stringified = JSON.stringify(entry);
  fs.appendFileSync(bucket, `\n${hashEntry(stringified)}\t${stringified}`);

  try {
    fixOwner.chownr.sync(cache, bucket);
  } catch (err) {
    if (err.code !== 'ENOENT') throw err;
  }

  return formatEntry(cache, entry);
}

module.exports.find = find;

function find(cache, key) {
  const bucket = bucketPath(cache, key);
  return bucketEntries(bucket).then(entries => {
    return entries.reduce((latest, next) => {
      if (next && next.key === key) return formatEntry(cache, next);else return latest;
    }, null);
  }).catch(err => {
    if (err.code === 'ENOENT') return null;else throw err;
  });
}

module.exports.find.sync = findSync;

function findSync(cache, key) {
  const bucket = bucketPath(cache, key);

  try {
    return bucketEntriesSync(bucket).reduce((latest, next) => {
      if (next && next.key === key) return formatEntry(cache, next);else return latest;
    }, null);
  } catch (err) {
    if (err.code === 'ENOENT') return null;else throw err;
  }
}

module.exports["delete"] = del;

function del(cache, key, opts = {}) {
  if (!opts.removeFully) return insert(cache, key, null, opts);
  const bucket = bucketPath(cache, key);
  return rimraf(bucket);
}

module.exports["delete"].sync = delSync;

function delSync(cache, key, opts = {}) {
  if (!opts.removeFully) return insertSync(cache, key, null, opts);
  const bucket = bucketPath(cache, key);
  return rimraf.sync(bucket);
}

module.exports.lsStream = lsStream;

function lsStream(cache) {
  const indexDir = bucketDir(cache);
  const stream = new Minipass({
    objectMode: true
  });
  readdirOrEmpty(indexDir).then(buckets => Promise.all(buckets.map(bucket => {
    const bucketPath = path.join(indexDir, bucket);
    return readdirOrEmpty(bucketPath).then(subbuckets => Promise.all(subbuckets.map(subbucket => {
      const subbucketPath = path.join(bucketPath, subbucket); // "/cachename/<bucket 0xFF>/<bucket 0xFF>./*"

      return readdirOrEmpty(subbucketPath).then(entries => Promise.all(entries.map(entry => {
        const entryPath = path.join(subbucketPath, entry);
        return bucketEntries(entryPath).then(entries => // using a Map here prevents duplicate keys from
        // showing up twice, I guess?
        entries.reduce((acc, entry) => {
          acc.set(entry.key, entry);
          return acc;
        }, new Map())).then(reduced => {
          // reduced is a map of key => entry
          for (const entry of reduced.values()) {
            const formatted = formatEntry(cache, entry);
            if (formatted) stream.write(formatted);
          }
        }).catch(err => {
          if (err.code === 'ENOENT') return undefined;
          throw err;
        });
      })));
    })));
  }))).then(() => stream.end(), err => stream.emit('error', err));
  return stream;
}

module.exports.ls = ls;

function ls(cache) {
  return lsStream(cache).collect().then(entries => entries.reduce((acc, xs) => {
    acc[xs.key] = xs;
    return acc;
  }, {}));
}

module.exports.bucketEntries = bucketEntries;

function bucketEntries(bucket, filter) {
  return readFile(bucket, 'utf8').then(data => _bucketEntries(data, filter));
}

module.exports.bucketEntries.sync = bucketEntriesSync;

function bucketEntriesSync(bucket, filter) {
  const data = fs.readFileSync(bucket, 'utf8');
  return _bucketEntries(data, filter);
}

function _bucketEntries(data, filter) {
  const entries = [];
  data.split('\n').forEach(entry => {
    if (!entry) return;
    const pieces = entry.split('\t');

    if (!pieces[1] || hashEntry(pieces[1]) !== pieces[0]) {
      // Hash is no good! Corruption or malice? Doesn't matter!
      // EJECT EJECT
      return;
    }

    let obj;

    try {
      obj = JSON.parse(pieces[1]);
    } catch (e) {
      // Entry is corrupted!
      return;
    }

    if (obj) entries.push(obj);
  });
  return entries;
}

module.exports.bucketDir = bucketDir;

function bucketDir(cache) {
  return path.join(cache, `index-v${indexV}`);
}

module.exports.bucketPath = bucketPath;

function bucketPath(cache, key) {
  const hashed = hashKey(key);
  return path.join.apply(path, [bucketDir(cache)].concat(hashToSegments(hashed)));
}

module.exports.hashKey = hashKey;

function hashKey(key) {
  return hash(key, 'sha256');
}

module.exports.hashEntry = hashEntry;

function hashEntry(str) {
  return hash(str, 'sha1');
}

function hash(str, digest) {
  return crypto.createHash(digest).update(str).digest('hex');
}

function formatEntry(cache, entry, keepAll) {
  // Treat null digests as deletions. They'll shadow any previous entries.
  if (!entry.integrity && !keepAll) return null;
  return {
    key: entry.key,
    integrity: entry.integrity,
    path: entry.integrity ? contentPath(cache, entry.integrity) : undefined,
    size: entry.size,
    time: entry.time,
    metadata: entry.metadata
  };
}

function readdirOrEmpty(dir) {
  return readdir(dir).catch(err => {
    if (err.code === 'ENOENT' || err.code === 'ENOTDIR') return [];
    throw err;
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/memoization.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/6.0.0/lru-cache/index.js");

const MAX_SIZE = 50 * 1024 * 1024; // 50MB

const MAX_AGE = 3 * 60 * 1000;
const MEMOIZED = new LRU({
  max: MAX_SIZE,
  maxAge: MAX_AGE,
  length: (entry, key) => key.startsWith('key:') ? entry.data.length : entry.length
});
module.exports.clearMemoized = clearMemoized;

function clearMemoized() {
  const old = {};
  MEMOIZED.forEach((v, k) => {
    old[k] = v;
  });
  MEMOIZED.reset();
  return old;
}

module.exports.put = put;

function put(cache, entry, data, opts) {
  pickMem(opts).set(`key:${cache}:${entry.key}`, {
    entry,
    data
  });
  putDigest(cache, entry.integrity, data, opts);
}

module.exports.put.byDigest = putDigest;

function putDigest(cache, integrity, data, opts) {
  pickMem(opts).set(`digest:${cache}:${integrity}`, data);
}

module.exports.get = get;

function get(cache, key, opts) {
  return pickMem(opts).get(`key:${cache}:${key}`);
}

module.exports.get.byDigest = getDigest;

function getDigest(cache, integrity, opts) {
  return pickMem(opts).get(`digest:${cache}:${integrity}`);
}

class ObjProxy {
  constructor(obj) {
    this.obj = obj;
  }

  get(key) {
    return this.obj[key];
  }

  set(key, val) {
    this.obj[key] = val;
  }

}

function pickMem(opts) {
  if (!opts || !opts.memoize) return MEMOIZED;else if (opts.memoize.get && opts.memoize.set) return opts.memoize;else if (typeof opts.memoize === 'object') return new ObjProxy(opts.memoize);else return MEMOIZED;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/disposer.js":
/***/ ((module) => {

"use strict";


module.exports.disposer = disposer;

function disposer(creatorFn, disposerFn, fn) {
  const runDisposer = (resource, result, shouldThrow = false) => {
    return disposerFn(resource).then( // disposer resolved, do something with original fn's promise
    () => {
      if (shouldThrow) throw result;
      return result;
    }, // Disposer fn failed, crash process
    err => {
      throw err; // Or process.exit?
    });
  };

  return creatorFn.then(resource => {
    // fn(resource) can throw, so wrap in a promise here
    return Promise.resolve().then(() => fn(resource)).then(result => runDisposer(resource, result)).catch(err => runDisposer(resource, err, true));
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/fix-owner.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const chownr = util.promisify(__webpack_require__("./node_modules/.f/_/chownr/2.0.0/chownr/chownr.js"));

const mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/index.js");

const inflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

const inferOwner = __webpack_require__("./node_modules/.f/_/infer-owner/1.0.4/infer-owner/index.js"); // Memoize getuid()/getgid() calls.
// patch process.setuid/setgid to invalidate cached value on change


const self = {
  uid: null,
  gid: null
};

const getSelf = () => {
  if (typeof self.uid !== 'number') {
    self.uid = process.getuid();
    const setuid = process.setuid;

    process.setuid = uid => {
      self.uid = null;
      process.setuid = setuid;
      return process.setuid(uid);
    };
  }

  if (typeof self.gid !== 'number') {
    self.gid = process.getgid();
    const setgid = process.setgid;

    process.setgid = gid => {
      self.gid = null;
      process.setgid = setgid;
      return process.setgid(gid);
    };
  }
};

module.exports.chownr = fixOwner;

function fixOwner(cache, filepath) {
  if (!process.getuid) {
    // This platform doesn't need ownership fixing
    return Promise.resolve();
  }

  getSelf();

  if (self.uid !== 0) {
    // almost certainly can't chown anyway
    return Promise.resolve();
  }

  return Promise.resolve(inferOwner(cache)).then(owner => {
    const {
      uid,
      gid
    } = owner; // No need to override if it's already what we used.

    if (self.uid === uid && self.gid === gid) return;
    return inflight('fixOwner: fixing ownership on ' + filepath, () => chownr(filepath, typeof uid === 'number' ? uid : self.uid, typeof gid === 'number' ? gid : self.gid).catch(err => {
      if (err.code === 'ENOENT') return null;
      throw err;
    }));
  });
}

module.exports.chownr.sync = fixOwnerSync;

function fixOwnerSync(cache, filepath) {
  if (!process.getuid) {
    // This platform doesn't need ownership fixing
    return;
  }

  const {
    uid,
    gid
  } = inferOwner.sync(cache);
  getSelf();

  if (self.uid !== 0) {
    // almost certainly can't chown anyway
    return;
  }

  if (self.uid === uid && self.gid === gid) {
    // No need to override if it's already what we used.
    return;
  }

  try {
    chownr.sync(filepath, typeof uid === 'number' ? uid : self.uid, typeof gid === 'number' ? gid : self.gid);
  } catch (err) {
    // only catch ENOENT, any other error is a problem.
    if (err.code === 'ENOENT') return null;
    throw err;
  }
}

module.exports.mkdirfix = mkdirfix;

function mkdirfix(cache, p, cb) {
  // we have to infer the owner _before_ making the directory, even though
  // we aren't going to use the results, since the cache itself might not
  // exist yet.  If we mkdirp it, then our current uid/gid will be assumed
  // to be correct if it creates the cache folder in the process.
  return Promise.resolve(inferOwner(cache)).then(() => {
    return mkdirp(p).then(made => {
      if (made) return fixOwner(cache, made).then(() => made);
    }).catch(err => {
      if (err.code === 'EEXIST') return fixOwner(cache, p).then(() => null);
      throw err;
    });
  });
}

module.exports.mkdirfix.sync = mkdirfixSync;

function mkdirfixSync(cache, p) {
  try {
    inferOwner.sync(cache);
    const made = mkdirp.sync(p);

    if (made) {
      fixOwnerSync(cache, made);
      return made;
    }
  } catch (err) {
    if (err.code === 'EEXIST') {
      fixOwnerSync(cache, p);
      return null;
    } else throw err;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/hash-to-segments.js":
/***/ ((module) => {

"use strict";


module.exports = hashToSegments;

function hashToSegments(hash) {
  return [hash.slice(0, 2), hash.slice(2, 4), hash.slice(4)];
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/move-file.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const util = __webpack_require__("util");

const chmod = util.promisify(fs.chmod);
const unlink = util.promisify(fs.unlink);
const stat = util.promisify(fs.stat);

const move = __webpack_require__("./node_modules/.f/_/@npmcli/move-file/1.1.2/@npmcli/move-file/index.js");

const pinflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

module.exports = moveFile;

function moveFile(src, dest) {
  const isWindows = global.__CACACHE_TEST_FAKE_WINDOWS__ || process.platform === 'win32'; // This isn't quite an fs.rename -- the assumption is that
  // if `dest` already exists, and we get certain errors while
  // trying to move it, we should just not bother.
  //
  // In the case of cache corruption, users will receive an
  // EINTEGRITY error elsewhere, and can remove the offending
  // content their own way.
  //
  // Note that, as the name suggests, this strictly only supports file moves.

  return new Promise((resolve, reject) => {
    fs.link(src, dest, err => {
      if (err) {
        if (isWindows && err.code === 'EPERM') {
          // XXX This is a really weird way to handle this situation, as it
          // results in the src file being deleted even though the dest
          // might not exist.  Since we pretty much always write files to
          // deterministic locations based on content hash, this is likely
          // ok (or at worst, just ends in a future cache miss).  But it would
          // be worth investigating at some time in the future if this is
          // really what we want to do here.
          return resolve();
        } else if (err.code === 'EEXIST' || err.code === 'EBUSY') {
          // file already exists, so whatever
          return resolve();
        } else return reject(err);
      } else return resolve();
    });
  }).then(() => {
    // content should never change for any reason, so make it read-only
    return Promise.all([unlink(src), !isWindows && chmod(dest, '0444')]);
  }).catch(() => {
    return pinflight('cacache-move-file:' + dest, () => {
      return stat(dest).catch(err => {
        if (err.code !== 'ENOENT') {
          // Something else is wrong here. Bail bail bail
          throw err;
        } // file doesn't already exist! let's try a rename -> copy fallback
        // only delete if it successfully copies


        return move(src, dest);
      });
    });
  });
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/tmp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/@npmcli/fs/1.1.0/@npmcli/fs/lib/index.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/fix-owner.js");

const path = __webpack_require__("path");

module.exports.mkdir = mktmpdir;

function mktmpdir(cache, opts = {}) {
  const {
    tmpPrefix
  } = opts;
  const tmpDir = path.join(cache, 'tmp');
  return fs.mkdir(tmpDir, {
    recursive: true,
    owner: 'inherit'
  }).then(() => {
    // do not use path.join(), it drops the trailing / if tmpPrefix is unset
    const target = `${tmpDir}${path.sep}${tmpPrefix || ''}`;
    return fs.mkdtemp(target, {
      owner: 'inherit'
    });
  });
}

module.exports.withTmp = withTmp;

function withTmp(cache, opts, cb) {
  if (!cb) {
    cb = opts;
    opts = {};
  }

  return fs.withTempDir(path.join(cache, 'tmp'), cb, opts);
}

module.exports.fix = fixtmpdir;

function fixtmpdir(cache) {
  return fixOwner(cache, path.join(cache, 'tmp'));
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/lib/verify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const util = __webpack_require__("util");

const pMap = __webpack_require__("./node_modules/.f/_/p-map/4.0.0/p-map/index.js");

const contentPath = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/path.js");

const fixOwner = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/util/fix-owner.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const glob = util.promisify(__webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js"));

const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

const path = __webpack_require__("path");

const rimraf = util.promisify(__webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js"));

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js");

const hasOwnProperty = (obj, key) => Object.prototype.hasOwnProperty.call(obj, key);

const stat = util.promisify(fs.stat);
const truncate = util.promisify(fs.truncate);
const writeFile = util.promisify(fs.writeFile);
const readFile = util.promisify(fs.readFile);

const verifyOpts = opts => _objectSpread({
  concurrency: 20,
  log: {
    silly() {}

  }
}, opts);

module.exports = verify;

function verify(cache, opts) {
  opts = verifyOpts(opts);
  opts.log.silly('verify', 'verifying cache at', cache);
  const steps = [markStartTime, fixPerms, garbageCollect, rebuildIndex, cleanTmp, writeVerifile, markEndTime];
  return steps.reduce((promise, step, i) => {
    const label = step.name;
    const start = new Date();
    return promise.then(stats => {
      return step(cache, opts).then(s => {
        s && Object.keys(s).forEach(k => {
          stats[k] = s[k];
        });
        const end = new Date();
        if (!stats.runTime) stats.runTime = {};
        stats.runTime[label] = end - start;
        return Promise.resolve(stats);
      });
    });
  }, Promise.resolve({})).then(stats => {
    stats.runTime.total = stats.endTime - stats.startTime;
    opts.log.silly('verify', 'verification finished for', cache, 'in', `${stats.runTime.total}ms`);
    return stats;
  });
}

function markStartTime(cache, opts) {
  return Promise.resolve({
    startTime: new Date()
  });
}

function markEndTime(cache, opts) {
  return Promise.resolve({
    endTime: new Date()
  });
}

function fixPerms(cache, opts) {
  opts.log.silly('verify', 'fixing cache permissions');
  return fixOwner.mkdirfix(cache, cache).then(() => {
    // TODO - fix file permissions too
    return fixOwner.chownr(cache, cache);
  }).then(() => null);
} // Implements a naive mark-and-sweep tracing garbage collector.
//
// The algorithm is basically as follows:
// 1. Read (and filter) all index entries ("pointers")
// 2. Mark each integrity value as "live"
// 3. Read entire filesystem tree in `content-vX/` dir
// 4. If content is live, verify its checksum and delete it if it fails
// 5. If content is not marked as live, rimraf it.
//


function garbageCollect(cache, opts) {
  opts.log.silly('verify', 'garbage collecting content');
  const indexStream = index.lsStream(cache);
  const liveContent = new Set();
  indexStream.on('data', entry => {
    if (opts.filter && !opts.filter(entry)) return;
    liveContent.add(entry.integrity.toString());
  });
  return new Promise((resolve, reject) => {
    indexStream.on('end', resolve).on('error', reject);
  }).then(() => {
    const contentDir = contentPath.contentDir(cache);
    return glob(path.join(contentDir, '**'), {
      follow: false,
      nodir: true,
      nosort: true
    }).then(files => {
      return Promise.resolve({
        verifiedContent: 0,
        reclaimedCount: 0,
        reclaimedSize: 0,
        badContentCount: 0,
        keptSize: 0
      }).then(stats => pMap(files, f => {
        const split = f.split(/[/\\]/);
        const digest = split.slice(split.length - 3).join('');
        const algo = split[split.length - 4];
        const integrity = ssri.fromHex(digest, algo);

        if (liveContent.has(integrity.toString())) {
          return verifyContent(f, integrity).then(info => {
            if (!info.valid) {
              stats.reclaimedCount++;
              stats.badContentCount++;
              stats.reclaimedSize += info.size;
            } else {
              stats.verifiedContent++;
              stats.keptSize += info.size;
            }

            return stats;
          });
        } else {
          // No entries refer to this content. We can delete.
          stats.reclaimedCount++;
          return stat(f).then(s => {
            return rimraf(f).then(() => {
              stats.reclaimedSize += s.size;
              return stats;
            });
          });
        }
      }, {
        concurrency: opts.concurrency
      }).then(() => stats));
    });
  });
}

function verifyContent(filepath, sri) {
  return stat(filepath).then(s => {
    const contentInfo = {
      size: s.size,
      valid: true
    };
    return ssri.checkStream(new fsm.ReadStream(filepath), sri).catch(err => {
      if (err.code !== 'EINTEGRITY') throw err;
      return rimraf(filepath).then(() => {
        contentInfo.valid = false;
      });
    }).then(() => contentInfo);
  }).catch(err => {
    if (err.code === 'ENOENT') return {
      size: 0,
      valid: false
    };
    throw err;
  });
}

function rebuildIndex(cache, opts) {
  opts.log.silly('verify', 'rebuilding index');
  return index.ls(cache).then(entries => {
    const stats = {
      missingContent: 0,
      rejectedEntries: 0,
      totalEntries: 0
    };
    const buckets = {};

    for (const k in entries) {
      /* istanbul ignore else */
      if (hasOwnProperty(entries, k)) {
        const hashed = index.hashKey(k);
        const entry = entries[k];
        const excluded = opts.filter && !opts.filter(entry);
        excluded && stats.rejectedEntries++;
        if (buckets[hashed] && !excluded) buckets[hashed].push(entry);else if (buckets[hashed] && excluded) {// skip
        } else if (excluded) {
          buckets[hashed] = [];
          buckets[hashed]._path = index.bucketPath(cache, k);
        } else {
          buckets[hashed] = [entry];
          buckets[hashed]._path = index.bucketPath(cache, k);
        }
      }
    }

    return pMap(Object.keys(buckets), key => {
      return rebuildBucket(cache, buckets[key], stats, opts);
    }, {
      concurrency: opts.concurrency
    }).then(() => stats);
  });
}

function rebuildBucket(cache, bucket, stats, opts) {
  return truncate(bucket._path).then(() => {
    // This needs to be serialized because cacache explicitly
    // lets very racy bucket conflicts clobber each other.
    return bucket.reduce((promise, entry) => {
      return promise.then(() => {
        const content = contentPath(cache, entry.integrity);
        return stat(content).then(() => {
          return index.insert(cache, entry.key, entry.integrity, {
            metadata: entry.metadata,
            size: entry.size
          }).then(() => {
            stats.totalEntries++;
          });
        }).catch(err => {
          if (err.code === 'ENOENT') {
            stats.rejectedEntries++;
            stats.missingContent++;
            return;
          }

          throw err;
        });
      });
    }, Promise.resolve());
  });
}

function cleanTmp(cache, opts) {
  opts.log.silly('verify', 'cleaning tmp directory');
  return rimraf(path.join(cache, 'tmp'));
}

function writeVerifile(cache, opts) {
  const verifile = path.join(cache, '_lastverified');
  opts.log.silly('verify', 'writing verifile to ' + verifile);

  try {
    return writeFile(verifile, '' + +new Date());
  } finally {
    fixOwner.chownr.sync(cache, verifile);
  }
}

module.exports.lastRun = lastRun;

function lastRun(cache) {
  return readFile(path.join(cache, '_lastverified'), 'utf8').then(data => new Date(+data));
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/ls.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

module.exports = index.ls;
module.exports.stream = index.lsStream;

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/put.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/memoization.js");

const write = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/write.js");

const Flush = __webpack_require__("./node_modules/.f/_/minipass-flush/1.0.5/minipass-flush/index.js");

const {
  PassThrough
} = __webpack_require__("./node_modules/.f/_/minipass-collect/1.0.2/minipass-collect/index.js");

const Pipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const putOpts = opts => _objectSpread({
  algorithms: ['sha512']
}, opts);

module.exports = putData;

function putData(cache, key, data, opts = {}) {
  const {
    memoize
  } = opts;
  opts = putOpts(opts);
  return write(cache, data, opts).then(res => {
    return index.insert(cache, key, res.integrity, _objectSpread(_objectSpread({}, opts), {}, {
      size: res.size
    })).then(entry => {
      if (memoize) memo.put(cache, entry, data, opts);
      return res.integrity;
    });
  });
}

module.exports.stream = putStream;

function putStream(cache, key, opts = {}) {
  const {
    memoize
  } = opts;
  opts = putOpts(opts);
  let integrity;
  let size;
  let memoData;
  const pipeline = new Pipeline(); // first item in the pipeline is the memoizer, because we need
  // that to end first and get the collected data.

  if (memoize) {
    const memoizer = new PassThrough().on('collect', data => {
      memoData = data;
    });
    pipeline.push(memoizer);
  } // contentStream is a write-only, not a passthrough
  // no data comes out of it.


  const contentStream = write.stream(cache, opts).on('integrity', int => {
    integrity = int;
  }).on('size', s => {
    size = s;
  });
  pipeline.push(contentStream); // last but not least, we write the index and emit hash and size,
  // and memoize if we're doing that

  pipeline.push(new Flush({
    flush() {
      return index.insert(cache, key, integrity, _objectSpread(_objectSpread({}, opts), {}, {
        size
      })).then(entry => {
        if (memoize && memoData) memo.put(cache, entry, memoData, opts);
        if (integrity) pipeline.emit('integrity', integrity);
        if (size) pipeline.emit('size', size);
      });
    }

  }));
  return pipeline;
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/rm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("util");

const index = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/entry-index.js");

const memo = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/memoization.js");

const path = __webpack_require__("path");

const rimraf = util.promisify(__webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js"));

const rmContent = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/content/rm.js");

module.exports = entry;
module.exports.entry = entry;

function entry(cache, key, opts) {
  memo.clearMemoized();
  return index.delete(cache, key, opts);
}

module.exports.content = content;

function content(cache, integrity) {
  memo.clearMemoized();
  return rmContent(cache, integrity);
}

module.exports.all = all;

function all(cache) {
  memo.clearMemoized();
  return rimraf(path.join(cache, '*(content-*|index-*)'));
}

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/verify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/lib/verify.js");

/***/ }),

/***/ "./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const ansiStyles = __webpack_require__("./node_modules/.f/_/ansi-styles/4.3.0/ansi-styles/index.js");

const {
  stdout: stdoutColor,
  stderr: stderrColor
} = __webpack_require__("./node_modules/.f/_/supports-color/7.2.0/supports-color/index.js");

const {
  stringReplaceAll,
  stringEncaseCRLFWithFirstIndex
} = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/util.js");

const {
  isArray
} = Array; // `supportsColor.level` → `ansiStyles.color[name]` mapping

const levelMapping = ['ansi', 'ansi', 'ansi256', 'ansi16m'];
const styles = Object.create(null);

const applyOptions = (object, options = {}) => {
  if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
    throw new Error('The `level` option should be an integer from 0 to 3');
  } // Detect level if not set manually


  const colorLevel = stdoutColor ? stdoutColor.level : 0;
  object.level = options.level === undefined ? colorLevel : options.level;
};

class ChalkClass {
  constructor(options) {
    // eslint-disable-next-line no-constructor-return
    return chalkFactory(options);
  }

}

const chalkFactory = options => {
  const chalk = {};
  applyOptions(chalk, options);

  chalk.template = (...arguments_) => chalkTag(chalk.template, ...arguments_);

  Object.setPrototypeOf(chalk, Chalk.prototype);
  Object.setPrototypeOf(chalk.template, chalk);

  chalk.template.constructor = () => {
    throw new Error('`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.');
  };

  chalk.template.Instance = ChalkClass;
  return chalk.template;
};

function Chalk(options) {
  return chalkFactory(options);
}

for (const [styleName, style] of Object.entries(ansiStyles)) {
  styles[styleName] = {
    get() {
      const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
      Object.defineProperty(this, styleName, {
        value: builder
      });
      return builder;
    }

  };
}

styles.visible = {
  get() {
    const builder = createBuilder(this, this._styler, true);
    Object.defineProperty(this, 'visible', {
      value: builder
    });
    return builder;
  }

};
const usedModels = ['rgb', 'hex', 'keyword', 'hsl', 'hsv', 'hwb', 'ansi', 'ansi256'];

for (const model of usedModels) {
  styles[model] = {
    get() {
      const {
        level
      } = this;
      return function (...arguments_) {
        const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
        return createBuilder(this, styler, this._isEmpty);
      };
    }

  };
}

for (const model of usedModels) {
  const bgModel = 'bg' + model[0].toUpperCase() + model.slice(1);
  styles[bgModel] = {
    get() {
      const {
        level
      } = this;
      return function (...arguments_) {
        const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
        return createBuilder(this, styler, this._isEmpty);
      };
    }

  };
}

const proto = Object.defineProperties(() => {}, _objectSpread(_objectSpread({}, styles), {}, {
  level: {
    enumerable: true,

    get() {
      return this._generator.level;
    },

    set(level) {
      this._generator.level = level;
    }

  }
}));

const createStyler = (open, close, parent) => {
  let openAll;
  let closeAll;

  if (parent === undefined) {
    openAll = open;
    closeAll = close;
  } else {
    openAll = parent.openAll + open;
    closeAll = close + parent.closeAll;
  }

  return {
    open,
    close,
    openAll,
    closeAll,
    parent
  };
};

const createBuilder = (self, _styler, _isEmpty) => {
  const builder = (...arguments_) => {
    if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
      // Called as a template literal, for example: chalk.red`2 + 3 = {bold ${2+3}}`
      return applyStyle(builder, chalkTag(builder, ...arguments_));
    } // Single argument is hot path, implicit coercion is faster than anything
    // eslint-disable-next-line no-implicit-coercion


    return applyStyle(builder, arguments_.length === 1 ? '' + arguments_[0] : arguments_.join(' '));
  }; // We alter the prototype because we must return a function, but there is
  // no way to create a function with a different prototype


  Object.setPrototypeOf(builder, proto);
  builder._generator = self;
  builder._styler = _styler;
  builder._isEmpty = _isEmpty;
  return builder;
};

const applyStyle = (self, string) => {
  if (self.level <= 0 || !string) {
    return self._isEmpty ? '' : string;
  }

  let styler = self._styler;

  if (styler === undefined) {
    return string;
  }

  const {
    openAll,
    closeAll
  } = styler;

  if (string.indexOf('\u001B') !== -1) {
    while (styler !== undefined) {
      // Replace any instances already present with a re-opening code
      // otherwise only the part of the string until said closing code
      // will be colored, and the rest will simply be 'plain'.
      string = stringReplaceAll(string, styler.close, styler.open);
      styler = styler.parent;
    }
  } // We can move both next actions out of loop, because remaining actions in loop won't have
  // any/visible effect on parts we add here. Close the styling before a linebreak and reopen
  // after next line to fix a bleed issue on macOS: https://github.com/chalk/chalk/pull/92


  const lfIndex = string.indexOf('\n');

  if (lfIndex !== -1) {
    string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
  }

  return openAll + string + closeAll;
};

let template;

const chalkTag = (chalk, ...strings) => {
  const [firstString] = strings;

  if (!isArray(firstString) || !isArray(firstString.raw)) {
    // If chalk() was called by itself or with a string,
    // return the string itself as a string.
    return strings.join(' ');
  }

  const arguments_ = strings.slice(1);
  const parts = [firstString.raw[0]];

  for (let i = 1; i < firstString.length; i++) {
    parts.push(String(arguments_[i - 1]).replace(/[{}\\]/g, '\\$&'), String(firstString.raw[i]));
  }

  if (template === undefined) {
    template = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/templates.js");
  }

  return template(chalk, parts.join(''));
};

Object.defineProperties(Chalk.prototype, styles);
const chalk = Chalk(); // eslint-disable-line new-cap

chalk.supportsColor = stdoutColor;
chalk.stderr = Chalk({
  level: stderrColor ? stderrColor.level : 0
}); // eslint-disable-line new-cap

chalk.stderr.supportsColor = stderrColor;
module.exports = chalk;

/***/ }),

/***/ "./node_modules/.f/_/chalk/4.1.2/chalk/source/templates.js":
/***/ ((module) => {

"use strict";


const TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
const STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
const STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
const ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;
const ESCAPES = new Map([['n', '\n'], ['r', '\r'], ['t', '\t'], ['b', '\b'], ['f', '\f'], ['v', '\v'], ['0', '\0'], ['\\', '\\'], ['e', '\u001B'], ['a', '\u0007']]);

function unescape(c) {
  const u = c[0] === 'u';
  const bracket = c[1] === '{';

  if (u && !bracket && c.length === 5 || c[0] === 'x' && c.length === 3) {
    return String.fromCharCode(parseInt(c.slice(1), 16));
  }

  if (u && bracket) {
    return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
  }

  return ESCAPES.get(c) || c;
}

function parseArguments(name, arguments_) {
  const results = [];
  const chunks = arguments_.trim().split(/\s*,\s*/g);
  let matches;

  for (const chunk of chunks) {
    const number = Number(chunk);

    if (!Number.isNaN(number)) {
      results.push(number);
    } else if (matches = chunk.match(STRING_REGEX)) {
      results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
    } else {
      throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
    }
  }

  return results;
}

function parseStyle(style) {
  STYLE_REGEX.lastIndex = 0;
  const results = [];
  let matches;

  while ((matches = STYLE_REGEX.exec(style)) !== null) {
    const name = matches[1];

    if (matches[2]) {
      const args = parseArguments(name, matches[2]);
      results.push([name].concat(args));
    } else {
      results.push([name]);
    }
  }

  return results;
}

function buildStyle(chalk, styles) {
  const enabled = {};

  for (const layer of styles) {
    for (const style of layer.styles) {
      enabled[style[0]] = layer.inverse ? null : style.slice(1);
    }
  }

  let current = chalk;

  for (const [styleName, styles] of Object.entries(enabled)) {
    if (!Array.isArray(styles)) {
      continue;
    }

    if (!(styleName in current)) {
      throw new Error(`Unknown Chalk style: ${styleName}`);
    }

    current = styles.length > 0 ? current[styleName](...styles) : current[styleName];
  }

  return current;
}

module.exports = (chalk, temporary) => {
  const styles = [];
  const chunks = [];
  let chunk = []; // eslint-disable-next-line max-params

  temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
    if (escapeCharacter) {
      chunk.push(unescape(escapeCharacter));
    } else if (style) {
      const string = chunk.join('');
      chunk = [];
      chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
      styles.push({
        inverse,
        styles: parseStyle(style)
      });
    } else if (close) {
      if (styles.length === 0) {
        throw new Error('Found extraneous } in Chalk template literal');
      }

      chunks.push(buildStyle(chalk, styles)(chunk.join('')));
      chunk = [];
      styles.pop();
    } else {
      chunk.push(character);
    }
  });
  chunks.push(chunk.join(''));

  if (styles.length > 0) {
    const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? '' : 's'} (\`}\`)`;
    throw new Error(errMessage);
  }

  return chunks.join('');
};

/***/ }),

/***/ "./node_modules/.f/_/chalk/4.1.2/chalk/source/util.js":
/***/ ((module) => {

"use strict";


const stringReplaceAll = (string, substring, replacer) => {
  let index = string.indexOf(substring);

  if (index === -1) {
    return string;
  }

  const substringLength = substring.length;
  let endIndex = 0;
  let returnValue = '';

  do {
    returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
    endIndex = index + substringLength;
    index = string.indexOf(substring, endIndex);
  } while (index !== -1);

  returnValue += string.substr(endIndex);
  return returnValue;
};

const stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
  let endIndex = 0;
  let returnValue = '';

  do {
    const gotCR = string[index - 1] === '\r';
    returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? '\r\n' : '\n') + postfix;
    endIndex = index + 1;
    index = string.indexOf('\n', endIndex);
  } while (index !== -1);

  returnValue += string.substr(endIndex);
  return returnValue;
};

module.exports = {
  stringReplaceAll,
  stringEncaseCRLFWithFirstIndex
};

/***/ }),

/***/ "./node_modules/.f/_/chalker/1.2.0/chalker/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable complexity, max-statements, no-magic-numbers, prefer-template, prefer-spread */

const assert = __webpack_require__("assert");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js"); //
// convert color markers in a string to terminal/ansi color codes with chalk
// color marker format is "<red>red text</red><blue.bold>blue bold text</blue.bold>"
// the end marker can simply be "</>" also
// the marker is converted to chalk methods directly, for example:
// - chalk.red is called for "<red>"
// - chalk.blue.bold is called for "<blue.bold>"
//
// More advanced colors can be applied with:
//
// <(r,g,b)>, <rgb(255,10,20)>
// <bg(r,g,b)>, <bgRgb(255,10,20)>
// <#FF0000>, <bg#0000FF>, <hex(#FF0000)>, <bgHex(#0000FF)>
// <(orange)>, <keyword(orange)>, <keyword('orange')>,
//    <keyword("orange")>, <keyword(`orange`)>
// <bg(orange)>, <bgKeyword(orange)>, <bgKeyword('orange')>,
//    <bgKeyword("orange")>, <bgKeyword(`orange`)>
// <hsl(32,100,50)>, <hsv(32,100,100)>, <hwb(32,0,50)>
//
// any thing that's not found as a basic color is tried using chalk.keyword
//
// <orange>, <'orange'>, <"orange">, <`orange`>
//
// If it's prefixed with `"bg-"` or `"bg "` then it's tried using chalk.bgKeyword
//
// <bg-orange>, <bg orange>
//
// These can be comined with . in any order as long as they work with chalk
//
// ie: <#FF0000.bg#0000FF.orange.keyword()>
//


function deQuote(str, marker) {
  const q = str[0];

  if (q === `'` || q === `"` || q === "`") {
    // remove enclosing quotes ', ", or ` if they are present
    assert(str.endsWith(q), `chalk ${marker} param must be enclosed with matching quote ${q}`);
    str = str.substr(1, str.length - 2);
  }

  return str;
} // https://en.wikipedia.org/wiki/List_of_XML_and_HTML_character_entity_references
// https://en.wikipedia.org/wiki/Universal_Coded_Character_Set


const htmlEntities = {
  [`&quot;`]: `"`,
  [`&amp;`]: "&",
  [`&apos;`]: "'",
  [`&lt;`]: "<",
  [`&gt;`]: ">",
  [`&nbsp;`]: "\xa0",
  [`&copy;`]: "\xa9",
  [`&reg;`]: "\xae"
};

function decodeHtml(str) {
  return str.replace(/&[\w#]+;/g, m => {
    if (htmlEntities.hasOwnProperty(m)) return htmlEntities[m];

    if (m.startsWith("&#x")) {
      const s = m.substring(3, m.length - 1);
      const p = parseInt(s, 16);
      return String.fromCodePoint(p);
    }

    if (m.startsWith("&#")) {
      const s = m.substring(2, m.length - 1);
      const p = parseInt(s, 10);
      return String.fromCodePoint(p);
    }

    return m;
  });
}

function applyChalkMarkers(markers, text, userChalk) {
  const chalkify = markers.trim().split(".").reduce((a, marker) => {
    marker = marker.trim();

    if (a[marker]) {
      // a basic color found
      return a[marker];
    } else if (marker.startsWith("#")) {
      // a hex value
      return a.hex(marker);
    } else if ((marker[2] === "#" || marker[3] === "#") && marker.startsWith("bg")) {
      // a bgHex value, `bg#`, `bg-#`, `bg #`
      // no need to extract only the #HHHHHH part since chalk seems to deal with
      // the value in the form of text#HHHHHH
      return a.bgHex(marker);
    }

    const openIx = marker.indexOf("(");

    if (openIx >= 0) {
      // apply other advanced colors when ( is found
      const closeIx = marker.lastIndexOf(")");
      assert(closeIx > openIx, `marker ${marker} missing matching ()`); // extract name if there're something before (

      let name = openIx > 0 && marker.substring(0, openIx).trim(); // extract values within ()

      let values = marker.substring(openIx + 1, closeIx).trim();

      if (values.indexOf(",") >= 0) {
        // extract rgb/hsl/hsv/hwb values like (255, 10, 20)
        values = values.split(",").map(x => parseInt(x.trim(), 10)); // default no name to rgb, and bg to bgRgb

        if (!name) name = "rgb";else if (name === "bg") name = "bgRgb";
      } else {
        // extract a string (with or without quotes) to use for keyword
        values = [deQuote(values.trim(), marker)]; // default no name to keyword, and bg to bgKeyword

        if (!name) name = "keyword";else if (name === "bg") name = "bgKeyword";
      }

      try {
        a = a[name].apply(a, values);
      } catch (err) {
        const msg = typeof a[name] !== "function" ? `${name} is not a chalk function` : `calling chalk.${name} failed with: ${err.message}`;
        throw new Error(`marker ${marker} is invalid: ${msg}`);
      }
    } else {
      // if not found as a basic color, then try with chalk.keyword or chalk.bgKeyword
      try {
        const kw = deQuote(marker, marker);

        if (kw.startsWith("bg-") || kw.startsWith("bg ")) {
          a = a.bgKeyword(kw.substring(3));
        } else {
          a = a.keyword(kw);
        }
      } catch (err) {
        throw new Error(`marker ${marker} is not found and invalid as a keyword`);
      }
    }

    assert(a, `marker ${marker} is invalid`);
    return a;
  }, userChalk);
  assert(typeof chalkify === "function", `final chalk value is not a function after applying ${markers}`);
  return chalkify(text);
} // remove the color marker like <red>text</> from strings


function remove(s, keepHtml) {
  const r = s.replace(/<[^>]*>/g, "").trim();
  return keepHtml ? r : decodeHtml(r);
}

function format(s, userChalk) {
  userChalk = userChalk || chalk; // skip applying ansi colors if chalk says color support is off

  if (userChalk.supportsColor === false) {
    return remove(s);
  }

  const tks = s && s.match(/(<[^>]+>|[^<>]+)/g); // empty string "" result in null from match
  // but other strings w/o matches gets ['original-string']

  if (!tks) return s || "";
  const colorized = tks.reduceRight((a, e, ix) => {
    const lvl = a[a.length - 1]; // text

    if (e[0] !== "<") {
      lvl.s = e + lvl.s;
      return a;
    } // close marker


    if (e[1] === "/") {
      a.push({
        mk: e.substring(2, e.length - 1),
        ix,
        s: ""
      });
      return a;
    } // open marker
    // markers balance check


    if (a.length === 1) {
      const partial = tks.slice(0, ix).join("") + `[${tks[ix]}]` + (tks.length > ix + 1 ? "..." : "");
      throw new Error(`unbalanced open/close markers: ${partial}`);
    } // markers match check


    const mk = e.substring(1, e.length - 1);

    if (lvl.mk && mk !== lvl.mk) {
      const partial = tks.slice(0, ix).join("") + `[** ${tks[ix]} **]` + tks.slice(ix + 1, lvl.ix).join("") + `[** ${tks[lvl.ix]} **]`;
      throw new Error(`mismatch markers: ${partial}`);
    } // apply marker and update result at previous level


    const t = applyChalkMarkers(mk, lvl.s, userChalk);
    a.pop();
    const nl = a.length - 1;
    a[nl].s = t + a[nl].s;
    return a;
  }, [{
    s: ""
  }]);
  return decodeHtml(colorized[0].s);
}

function chalker(s, ...args) {
  if (Array.isArray(s)) {
    // template string tagging
    let c = "";
    let ix;

    for (ix = 0; ix < args.length; ix++) {
      c = c + s[ix] + args[ix];
    }

    return format(c + s[ix]);
  }

  return format(s, ...args);
}

chalker.remove = remove;
chalker.decodeHtml = decodeHtml;
module.exports = chalker;

/***/ }),

/***/ "./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/check-engine.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-statements, complexity, no-magic-numbers */

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.checkPkgNewVersionEngine = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const ci_info_1 = __webpack_require__("./node_modules/.f/_/ci-info/2.0.0/ci-info/index.js");

const os_1 = tslib_1.__importDefault(__webpack_require__("os"));

const path_1 = tslib_1.__importDefault(__webpack_require__("path"));

const fs_1 = __webpack_require__("fs");

const mkdirp_1 = tslib_1.__importDefault(__webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/index.js"));

const notify_new_version_1 = __webpack_require__("./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/notify-new-version.js");

const ACCEPT = "application/vnd.npm.install-v1+json; q=1.0, application/json; q=0.8, */*";
const ONE_DAY = 24 * 60 * 60 * 1000;
/**
 *
 * Using user provided `fetchJSON` to fetch npm package packument and retrieve dist-tags data.
 *
 * @param baseUrl - base url
 * @param _authToken - auth token
 * @param options - options
 * @returns dist tags
 */

async function fetchDistTags2(baseUrl, _authToken, options) {
  const {
    pkg
  } = options;
  const pathname = encodeURIComponent(pkg.name);
  const pkUrl = new URL(pathname, baseUrl);
  const headers = {
    "user-agent": "check-pkg-new-version-fetch",
    accept: ACCEPT
  };

  try {
    const body = await options.fetchJSON(pkUrl.toString(), {
      headers
    });
    return body["dist-tags"];
  } catch (_a) {
    return {};
  }
}
/**
 * extract npm registry and auth token from npm config
 *
 * @param npmConfig  npm config
 * @param pkg package info
 *
 * @returns registry and auth token
 */


function getNpmRegistryInfo(npmConfig, pkg) {
  const pkgNames = pkg.name.split("/");
  const scope = pkgNames.length > 1 ? pkgNames[0] : "";
  const regKey = Object.keys(npmConfig).find(k => k.endsWith("registry") && (!scope || k.startsWith(scope)));
  const registry = regKey && npmConfig[regKey] || npmConfig.registry || "https://registry.npmjs.org/";
  const regUrl = new URL(registry);
  const regHost = `//${regUrl.host}/`;
  const authKey = Object.keys(npmConfig).find(k => k.endsWith("_authToken") && k.startsWith(regHost));
  const authToken = authKey && npmConfig[authKey] || npmConfig._authToken || "";
  return {
    registry,
    authToken
  };
}
/**
 * Internal use
 *
 * @param options options
 * @returns boolean
 */


async function _internalCheck(options) {
  //
  if (ci_info_1.isCI) {
    return false;
  }

  const pkg = {
    name: options.pkg.name,
    version: options.pkg.version
  };

  const fetchDistTags = async () => {
    const {
      registry,
      authToken
    } = getNpmRegistryInfo(options.npmConfig, pkg);

    if (options.fetchDistTags) {
      return await options.fetchDistTags(registry, authToken, pkg);
    } else if (options.fetchJSON) {
      return await fetchDistTags2(registry, authToken, options);
    } else {
      throw new Error("must provide one fetch method: fetchDistTags or fetchJSON");
    }
  };

  const now = Date.now();
  const tag = options.checkTag || "latest";
  const metaDir = path_1.default.join(options.saveMetaDir || os_1.default.tmpdir(), "check-pkg-new-version");

  try {
    await mkdirp_1.default(metaDir);
  } catch (_a) {//
  }

  const metaFile = path_1.default.join(metaDir, `${pkg.name}-${tag}-meta.json`);

  const readMetaFile = async () => {
    try {
      const data = await fs_1.promises.readFile(metaFile, "utf-8");
      return JSON.parse(data);
    } catch (_a) {
      return _objectSpread(_objectSpread({}, pkg), {}, {
        time: 0,
        notifiedVersion: "",
        notifiedTime: 0
      });
    }
  };

  const checkInterval = options.checkInterval || ONE_DAY;
  const existMeta = await readMetaFile();
  const shouldFetch = now - existMeta.time >= checkInterval || !existMeta.distTags;
  const distTags = shouldFetch ? await fetchDistTags() : existMeta.distTags;

  const saveMetaFile = async (notifiedVersion = "", notifiedTime = 0) => {
    await fs_1.promises.writeFile(metaFile, JSON.stringify(_objectSpread(_objectSpread({}, pkg), {}, {
      distTags,
      time: now,
      notifiedVersion,
      notifiedTime
    })));
  }; // only if we fetched for something that we need to do a check and update meta


  if (shouldFetch) {
    let notifiedVersion = typeof existMeta.notifiedVersion === "string" ? existMeta.notifiedVersion : "";
    let notifiedTime = existMeta.notifiedTime || 0;
    const checked = options.checkIsNewer(pkg, distTags, tag);

    if (checked.isNewer && ( // if have not notified about the new version yet or if it's been 7 days since
    // last notify, then notify again
    notifiedVersion !== checked.version || now - notifiedTime > 7 * ONE_DAY)) {
      notifiedVersion = checked.version;
      notifiedTime = now;
      (options.notifyNewVersion || notify_new_version_1.internalNotify)(_objectSpread(_objectSpread({}, pkg), {}, {
        newVersion: checked.version
      }));
    }

    await saveMetaFile(notifiedVersion, notifiedTime);
  }

  return true;
}
/**
 * Check package new version with all options customizable
 *
 * @param options - options
 * @returns whatever
 */


async function checkPkgNewVersionEngine(options) {
  try {
    return await _internalCheck(options);
  } catch (_a) {
    return false;
  }
}

exports.checkPkgNewVersionEngine = checkPkgNewVersionEngine;

/***/ }),

/***/ "./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.checkPkgNewVersionEngine = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

tslib_1.__exportStar(__webpack_require__("./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/types.js"), exports);

var check_engine_1 = __webpack_require__("./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/check-engine.js");

Object.defineProperty(exports, "checkPkgNewVersionEngine", ({
  enumerable: true,
  get: function () {
    return check_engine_1.checkPkgNewVersionEngine;
  }
}));

/***/ }),

/***/ "./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/notify-new-version.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.internalNotify = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const is_installed_globally_1 = tslib_1.__importDefault(__webpack_require__("./node_modules/.f/_/is-installed-globally/0.4.0/is-installed-globally/index.js"));
/**
 * Simple notifying using console.
 *
 * @param data - notify data
 *
 */


function internalNotify(data) {
  const globalFlag = is_installed_globally_1.default ? "-g " : "";
  process.on("exit", () => {
    // eslint-disable-next-line
    console.log(`

    New version '${data.name}' available ${data.version} -> ${data.newVersion}
    Run 'npm i ${globalFlag}${data.name}@${data.newVersion}' to update.

`);
  });
}

exports.internalNotify = internalNotify;

/***/ }),

/***/ "./node_modules/.f/_/check-pkg-new-version-engine/1.0.3/check-pkg-new-version-engine/dist/types.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

/***/ }),

/***/ "./node_modules/.f/_/chownr/1.1.4/chownr/chownr.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const path = __webpack_require__("path");
/* istanbul ignore next */


const LCHOWN = fs.lchown ? 'lchown' : 'chown';
/* istanbul ignore next */

const LCHOWNSYNC = fs.lchownSync ? 'lchownSync' : 'chownSync';
/* istanbul ignore next */

const needEISDIRHandled = fs.lchown && !process.version.match(/v1[1-9]+\./) && !process.version.match(/v10\.[6-9]/);

const lchownSync = (path, uid, gid) => {
  try {
    return fs[LCHOWNSYNC](path, uid, gid);
  } catch (er) {
    if (er.code !== 'ENOENT') throw er;
  }
};
/* istanbul ignore next */


const chownSync = (path, uid, gid) => {
  try {
    return fs.chownSync(path, uid, gid);
  } catch (er) {
    if (er.code !== 'ENOENT') throw er;
  }
};
/* istanbul ignore next */


const handleEISDIR = needEISDIRHandled ? (path, uid, gid, cb) => er => {
  // Node prior to v10 had a very questionable implementation of
  // fs.lchown, which would always try to call fs.open on a directory
  // Fall back to fs.chown in those cases.
  if (!er || er.code !== 'EISDIR') cb(er);else fs.chown(path, uid, gid, cb);
} : (_, __, ___, cb) => cb;
/* istanbul ignore next */

const handleEISDirSync = needEISDIRHandled ? (path, uid, gid) => {
  try {
    return lchownSync(path, uid, gid);
  } catch (er) {
    if (er.code !== 'EISDIR') throw er;
    chownSync(path, uid, gid);
  }
} : (path, uid, gid) => lchownSync(path, uid, gid); // fs.readdir could only accept an options object as of node v6

const nodeVersion = process.version;

let readdir = (path, options, cb) => fs.readdir(path, options, cb);

let readdirSync = (path, options) => fs.readdirSync(path, options);
/* istanbul ignore next */


if (/^v4\./.test(nodeVersion)) readdir = (path, options, cb) => fs.readdir(path, cb);

const chown = (cpath, uid, gid, cb) => {
  fs[LCHOWN](cpath, uid, gid, handleEISDIR(cpath, uid, gid, er => {
    // Skip ENOENT error
    cb(er && er.code !== 'ENOENT' ? er : null);
  }));
};

const chownrKid = (p, child, uid, gid, cb) => {
  if (typeof child === 'string') return fs.lstat(path.resolve(p, child), (er, stats) => {
    // Skip ENOENT error
    if (er) return cb(er.code !== 'ENOENT' ? er : null);
    stats.name = child;
    chownrKid(p, stats, uid, gid, cb);
  });

  if (child.isDirectory()) {
    chownr(path.resolve(p, child.name), uid, gid, er => {
      if (er) return cb(er);
      const cpath = path.resolve(p, child.name);
      chown(cpath, uid, gid, cb);
    });
  } else {
    const cpath = path.resolve(p, child.name);
    chown(cpath, uid, gid, cb);
  }
};

const chownr = (p, uid, gid, cb) => {
  readdir(p, {
    withFileTypes: true
  }, (er, children) => {
    // any error other than ENOTDIR or ENOTSUP means it's not readable,
    // or doesn't exist.  give up.
    if (er) {
      if (er.code === 'ENOENT') return cb();else if (er.code !== 'ENOTDIR' && er.code !== 'ENOTSUP') return cb(er);
    }

    if (er || !children.length) return chown(p, uid, gid, cb);
    let len = children.length;
    let errState = null;

    const then = er => {
      if (errState) return;
      if (er) return cb(errState = er);
      if (--len === 0) return chown(p, uid, gid, cb);
    };

    children.forEach(child => chownrKid(p, child, uid, gid, then));
  });
};

const chownrKidSync = (p, child, uid, gid) => {
  if (typeof child === 'string') {
    try {
      const stats = fs.lstatSync(path.resolve(p, child));
      stats.name = child;
      child = stats;
    } catch (er) {
      if (er.code === 'ENOENT') return;else throw er;
    }
  }

  if (child.isDirectory()) chownrSync(path.resolve(p, child.name), uid, gid);
  handleEISDirSync(path.resolve(p, child.name), uid, gid);
};

const chownrSync = (p, uid, gid) => {
  let children;

  try {
    children = readdirSync(p, {
      withFileTypes: true
    });
  } catch (er) {
    if (er.code === 'ENOENT') return;else if (er.code === 'ENOTDIR' || er.code === 'ENOTSUP') return handleEISDirSync(p, uid, gid);else throw er;
  }

  if (children && children.length) children.forEach(child => chownrKidSync(p, child, uid, gid));
  return handleEISDirSync(p, uid, gid);
};

module.exports = chownr;
chownr.sync = chownrSync;

/***/ }),

/***/ "./node_modules/.f/_/chownr/2.0.0/chownr/chownr.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const path = __webpack_require__("path");
/* istanbul ignore next */


const LCHOWN = fs.lchown ? 'lchown' : 'chown';
/* istanbul ignore next */

const LCHOWNSYNC = fs.lchownSync ? 'lchownSync' : 'chownSync';
/* istanbul ignore next */

const needEISDIRHandled = fs.lchown && !process.version.match(/v1[1-9]+\./) && !process.version.match(/v10\.[6-9]/);

const lchownSync = (path, uid, gid) => {
  try {
    return fs[LCHOWNSYNC](path, uid, gid);
  } catch (er) {
    if (er.code !== 'ENOENT') throw er;
  }
};
/* istanbul ignore next */


const chownSync = (path, uid, gid) => {
  try {
    return fs.chownSync(path, uid, gid);
  } catch (er) {
    if (er.code !== 'ENOENT') throw er;
  }
};
/* istanbul ignore next */


const handleEISDIR = needEISDIRHandled ? (path, uid, gid, cb) => er => {
  // Node prior to v10 had a very questionable implementation of
  // fs.lchown, which would always try to call fs.open on a directory
  // Fall back to fs.chown in those cases.
  if (!er || er.code !== 'EISDIR') cb(er);else fs.chown(path, uid, gid, cb);
} : (_, __, ___, cb) => cb;
/* istanbul ignore next */

const handleEISDirSync = needEISDIRHandled ? (path, uid, gid) => {
  try {
    return lchownSync(path, uid, gid);
  } catch (er) {
    if (er.code !== 'EISDIR') throw er;
    chownSync(path, uid, gid);
  }
} : (path, uid, gid) => lchownSync(path, uid, gid); // fs.readdir could only accept an options object as of node v6

const nodeVersion = process.version;

let readdir = (path, options, cb) => fs.readdir(path, options, cb);

let readdirSync = (path, options) => fs.readdirSync(path, options);
/* istanbul ignore next */


if (/^v4\./.test(nodeVersion)) readdir = (path, options, cb) => fs.readdir(path, cb);

const chown = (cpath, uid, gid, cb) => {
  fs[LCHOWN](cpath, uid, gid, handleEISDIR(cpath, uid, gid, er => {
    // Skip ENOENT error
    cb(er && er.code !== 'ENOENT' ? er : null);
  }));
};

const chownrKid = (p, child, uid, gid, cb) => {
  if (typeof child === 'string') return fs.lstat(path.resolve(p, child), (er, stats) => {
    // Skip ENOENT error
    if (er) return cb(er.code !== 'ENOENT' ? er : null);
    stats.name = child;
    chownrKid(p, stats, uid, gid, cb);
  });

  if (child.isDirectory()) {
    chownr(path.resolve(p, child.name), uid, gid, er => {
      if (er) return cb(er);
      const cpath = path.resolve(p, child.name);
      chown(cpath, uid, gid, cb);
    });
  } else {
    const cpath = path.resolve(p, child.name);
    chown(cpath, uid, gid, cb);
  }
};

const chownr = (p, uid, gid, cb) => {
  readdir(p, {
    withFileTypes: true
  }, (er, children) => {
    // any error other than ENOTDIR or ENOTSUP means it's not readable,
    // or doesn't exist.  give up.
    if (er) {
      if (er.code === 'ENOENT') return cb();else if (er.code !== 'ENOTDIR' && er.code !== 'ENOTSUP') return cb(er);
    }

    if (er || !children.length) return chown(p, uid, gid, cb);
    let len = children.length;
    let errState = null;

    const then = er => {
      if (errState) return;
      if (er) return cb(errState = er);
      if (--len === 0) return chown(p, uid, gid, cb);
    };

    children.forEach(child => chownrKid(p, child, uid, gid, then));
  });
};

const chownrKidSync = (p, child, uid, gid) => {
  if (typeof child === 'string') {
    try {
      const stats = fs.lstatSync(path.resolve(p, child));
      stats.name = child;
      child = stats;
    } catch (er) {
      if (er.code === 'ENOENT') return;else throw er;
    }
  }

  if (child.isDirectory()) chownrSync(path.resolve(p, child.name), uid, gid);
  handleEISDirSync(path.resolve(p, child.name), uid, gid);
};

const chownrSync = (p, uid, gid) => {
  let children;

  try {
    children = readdirSync(p, {
      withFileTypes: true
    });
  } catch (er) {
    if (er.code === 'ENOENT') return;else if (er.code === 'ENOTDIR' || er.code === 'ENOTSUP') return handleEISDirSync(p, uid, gid);else throw er;
  }

  if (children && children.length) children.forEach(child => chownrKidSync(p, child, uid, gid));
  return handleEISDirSync(p, uid, gid);
};

module.exports = chownr;
chownr.sync = chownrSync;

/***/ }),

/***/ "./node_modules/.f/_/ci-info/2.0.0/ci-info/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var vendors = __webpack_require__("./node_modules/.f/_/ci-info/2.0.0/ci-info/vendors.json");

var env = process.env; // Used for testing only

Object.defineProperty(exports, "_vendors", ({
  value: vendors.map(function (v) {
    return v.constant;
  })
}));
exports.name = null;
exports.isPR = null;
vendors.forEach(function (vendor) {
  var envs = Array.isArray(vendor.env) ? vendor.env : [vendor.env];
  var isCI = envs.every(function (obj) {
    return checkEnv(obj);
  });
  exports[vendor.constant] = isCI;

  if (isCI) {
    exports.name = vendor.name;

    switch (typeof vendor.pr) {
      case 'string':
        // "pr": "CIRRUS_PR"
        exports.isPR = !!env[vendor.pr];
        break;

      case 'object':
        if ('env' in vendor.pr) {
          // "pr": { "env": "BUILDKITE_PULL_REQUEST", "ne": "false" }
          exports.isPR = vendor.pr.env in env && env[vendor.pr.env] !== vendor.pr.ne;
        } else if ('any' in vendor.pr) {
          // "pr": { "any": ["ghprbPullId", "CHANGE_ID"] }
          exports.isPR = vendor.pr.any.some(function (key) {
            return !!env[key];
          });
        } else {
          // "pr": { "DRONE_BUILD_EVENT": "pull_request" }
          exports.isPR = checkEnv(vendor.pr);
        }

        break;

      default:
        // PR detection not supported for this vendor
        exports.isPR = null;
    }
  }
});
exports.isCI = !!(env.CI || // Travis CI, CircleCI, Cirrus CI, Gitlab CI, Appveyor, CodeShip, dsari
env.CONTINUOUS_INTEGRATION || // Travis CI, Cirrus CI
env.BUILD_NUMBER || // Jenkins, TeamCity
env.RUN_ID || // TaskCluster, dsari
exports.name || false);

function checkEnv(obj) {
  if (typeof obj === 'string') return !!env[obj];
  return Object.keys(obj).every(function (k) {
    return env[k] === obj[k];
  });
}

/***/ }),

/***/ "./node_modules/.f/_/ci-info/3.2.0/ci-info/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const vendors = __webpack_require__("./node_modules/.f/_/ci-info/3.2.0/ci-info/vendors.json");

const env = process.env; // Used for testing only

Object.defineProperty(exports, "_vendors", ({
  value: vendors.map(function (v) {
    return v.constant;
  })
}));
exports.name = null;
exports.isPR = null;
vendors.forEach(function (vendor) {
  const envs = Array.isArray(vendor.env) ? vendor.env : [vendor.env];
  const isCI = envs.every(function (obj) {
    return checkEnv(obj);
  });
  exports[vendor.constant] = isCI;

  if (isCI) {
    exports.name = vendor.name;

    switch (typeof vendor.pr) {
      case 'string':
        // "pr": "CIRRUS_PR"
        exports.isPR = !!env[vendor.pr];
        break;

      case 'object':
        if ('env' in vendor.pr) {
          // "pr": { "env": "BUILDKITE_PULL_REQUEST", "ne": "false" }
          exports.isPR = vendor.pr.env in env && env[vendor.pr.env] !== vendor.pr.ne;
        } else if ('any' in vendor.pr) {
          // "pr": { "any": ["ghprbPullId", "CHANGE_ID"] }
          exports.isPR = vendor.pr.any.some(function (key) {
            return !!env[key];
          });
        } else {
          // "pr": { "DRONE_BUILD_EVENT": "pull_request" }
          exports.isPR = checkEnv(vendor.pr);
        }

        break;

      default:
        // PR detection not supported for this vendor
        exports.isPR = null;
    }
  }
});
exports.isCI = !!(env.CI || // Travis CI, CircleCI, Cirrus CI, Gitlab CI, Appveyor, CodeShip, dsari
env.CONTINUOUS_INTEGRATION || // Travis CI, Cirrus CI
env.BUILD_NUMBER || // Jenkins, TeamCity
env.RUN_ID || // TaskCluster, dsari
exports.name || false);

function checkEnv(obj) {
  if (typeof obj === 'string') return !!env[obj];
  return Object.keys(obj).every(function (k) {
    return env[k] === obj[k];
  });
}

/***/ }),

/***/ "./node_modules/.f/_/clean-stack/2.2.0/clean-stack/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const os = __webpack_require__("os");

const extractPathRegex = /\s+at.*(?:\(|\s)(.*)\)?/;
const pathRegex = /^(?:(?:(?:node|(?:internal\/[\w/]*|.*node_modules\/(?:babel-polyfill|pirates)\/.*)?\w+)\.js:\d+:\d+)|native)/;
const homeDir = typeof os.homedir === 'undefined' ? '' : os.homedir();

module.exports = (stack, options) => {
  options = Object.assign({
    pretty: false
  }, options);
  return stack.replace(/\\/g, '/').split('\n').filter(line => {
    const pathMatches = line.match(extractPathRegex);

    if (pathMatches === null || !pathMatches[1]) {
      return true;
    }

    const match = pathMatches[1]; // Electron

    if (match.includes('.app/Contents/Resources/electron.asar') || match.includes('.app/Contents/Resources/default_app.asar')) {
      return false;
    }

    return !pathRegex.test(match);
  }).filter(line => line.trim() !== '').map(line => {
    if (options.pretty) {
      return line.replace(extractPathRegex, (m, p1) => m.replace(p1, p1.replace(homeDir, '~')));
    }

    return line;
  }).join('\n');
};

/***/ }),

/***/ "./node_modules/.f/_/cli-cursor/3.1.0/cli-cursor/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const restoreCursor = __webpack_require__("./node_modules/.f/_/restore-cursor/3.1.0/restore-cursor/index.js");

let isHidden = false;

exports.show = (writableStream = process.stderr) => {
  if (!writableStream.isTTY) {
    return;
  }

  isHidden = false;
  writableStream.write('\u001B[?25h');
};

exports.hide = (writableStream = process.stderr) => {
  if (!writableStream.isTTY) {
    return;
  }

  restoreCursor();
  isHidden = true;
  writableStream.write('\u001B[?25l');
};

exports.toggle = (force, writableStream) => {
  if (force !== undefined) {
    isHidden = force;
  }

  if (isHidden) {
    exports.show(writableStream);
  } else {
    exports.hide(writableStream);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/code-point-at/1.1.0/code-point-at/index.js":
/***/ ((module) => {

"use strict";
/* eslint-disable babel/new-cap, xo/throw-new-error */


module.exports = function (str, pos) {
  if (str === null || str === undefined) {
    throw TypeError();
  }

  str = String(str);
  var size = str.length;
  var i = pos ? Number(pos) : 0;

  if (Number.isNaN(i)) {
    i = 0;
  }

  if (i < 0 || i >= size) {
    return undefined;
  }

  var first = str.charCodeAt(i);

  if (first >= 0xD800 && first <= 0xDBFF && size > i + 1) {
    var second = str.charCodeAt(i + 1);

    if (second >= 0xDC00 && second <= 0xDFFF) {
      return (first - 0xD800) * 0x400 + second - 0xDC00 + 0x10000;
    }
  }

  return first;
};

/***/ }),

/***/ "./node_modules/.f/_/color-convert/2.0.1/color-convert/conversions.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/* MIT license */

/* eslint-disable no-mixed-operators */
const cssKeywords = __webpack_require__("./node_modules/.f/_/color-name/1.1.4/color-name/index.js"); // NOTE: conversions should only return primitive values (i.e. arrays, or
//       values that give correct `typeof` results).
//       do not use box values types (i.e. Number(), String(), etc.)


const reverseKeywords = {};

for (const key of Object.keys(cssKeywords)) {
  reverseKeywords[cssKeywords[key]] = key;
}

const convert = {
  rgb: {
    channels: 3,
    labels: 'rgb'
  },
  hsl: {
    channels: 3,
    labels: 'hsl'
  },
  hsv: {
    channels: 3,
    labels: 'hsv'
  },
  hwb: {
    channels: 3,
    labels: 'hwb'
  },
  cmyk: {
    channels: 4,
    labels: 'cmyk'
  },
  xyz: {
    channels: 3,
    labels: 'xyz'
  },
  lab: {
    channels: 3,
    labels: 'lab'
  },
  lch: {
    channels: 3,
    labels: 'lch'
  },
  hex: {
    channels: 1,
    labels: ['hex']
  },
  keyword: {
    channels: 1,
    labels: ['keyword']
  },
  ansi16: {
    channels: 1,
    labels: ['ansi16']
  },
  ansi256: {
    channels: 1,
    labels: ['ansi256']
  },
  hcg: {
    channels: 3,
    labels: ['h', 'c', 'g']
  },
  apple: {
    channels: 3,
    labels: ['r16', 'g16', 'b16']
  },
  gray: {
    channels: 1,
    labels: ['gray']
  }
};
module.exports = convert; // Hide .channels and .labels properties

for (const model of Object.keys(convert)) {
  if (!('channels' in convert[model])) {
    throw new Error('missing channels property: ' + model);
  }

  if (!('labels' in convert[model])) {
    throw new Error('missing channel labels property: ' + model);
  }

  if (convert[model].labels.length !== convert[model].channels) {
    throw new Error('channel and label counts mismatch: ' + model);
  }

  const {
    channels,
    labels
  } = convert[model];
  delete convert[model].channels;
  delete convert[model].labels;
  Object.defineProperty(convert[model], 'channels', {
    value: channels
  });
  Object.defineProperty(convert[model], 'labels', {
    value: labels
  });
}

convert.rgb.hsl = function (rgb) {
  const r = rgb[0] / 255;
  const g = rgb[1] / 255;
  const b = rgb[2] / 255;
  const min = Math.min(r, g, b);
  const max = Math.max(r, g, b);
  const delta = max - min;
  let h;
  let s;

  if (max === min) {
    h = 0;
  } else if (r === max) {
    h = (g - b) / delta;
  } else if (g === max) {
    h = 2 + (b - r) / delta;
  } else if (b === max) {
    h = 4 + (r - g) / delta;
  }

  h = Math.min(h * 60, 360);

  if (h < 0) {
    h += 360;
  }

  const l = (min + max) / 2;

  if (max === min) {
    s = 0;
  } else if (l <= 0.5) {
    s = delta / (max + min);
  } else {
    s = delta / (2 - max - min);
  }

  return [h, s * 100, l * 100];
};

convert.rgb.hsv = function (rgb) {
  let rdif;
  let gdif;
  let bdif;
  let h;
  let s;
  const r = rgb[0] / 255;
  const g = rgb[1] / 255;
  const b = rgb[2] / 255;
  const v = Math.max(r, g, b);
  const diff = v - Math.min(r, g, b);

  const diffc = function (c) {
    return (v - c) / 6 / diff + 1 / 2;
  };

  if (diff === 0) {
    h = 0;
    s = 0;
  } else {
    s = diff / v;
    rdif = diffc(r);
    gdif = diffc(g);
    bdif = diffc(b);

    if (r === v) {
      h = bdif - gdif;
    } else if (g === v) {
      h = 1 / 3 + rdif - bdif;
    } else if (b === v) {
      h = 2 / 3 + gdif - rdif;
    }

    if (h < 0) {
      h += 1;
    } else if (h > 1) {
      h -= 1;
    }
  }

  return [h * 360, s * 100, v * 100];
};

convert.rgb.hwb = function (rgb) {
  const r = rgb[0];
  const g = rgb[1];
  let b = rgb[2];
  const h = convert.rgb.hsl(rgb)[0];
  const w = 1 / 255 * Math.min(r, Math.min(g, b));
  b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
  return [h, w * 100, b * 100];
};

convert.rgb.cmyk = function (rgb) {
  const r = rgb[0] / 255;
  const g = rgb[1] / 255;
  const b = rgb[2] / 255;
  const k = Math.min(1 - r, 1 - g, 1 - b);
  const c = (1 - r - k) / (1 - k) || 0;
  const m = (1 - g - k) / (1 - k) || 0;
  const y = (1 - b - k) / (1 - k) || 0;
  return [c * 100, m * 100, y * 100, k * 100];
};

function comparativeDistance(x, y) {
  /*
  	See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
  */
  return (x[0] - y[0]) ** 2 + (x[1] - y[1]) ** 2 + (x[2] - y[2]) ** 2;
}

convert.rgb.keyword = function (rgb) {
  const reversed = reverseKeywords[rgb];

  if (reversed) {
    return reversed;
  }

  let currentClosestDistance = Infinity;
  let currentClosestKeyword;

  for (const keyword of Object.keys(cssKeywords)) {
    const value = cssKeywords[keyword]; // Compute comparative distance

    const distance = comparativeDistance(rgb, value); // Check if its less, if so set as closest

    if (distance < currentClosestDistance) {
      currentClosestDistance = distance;
      currentClosestKeyword = keyword;
    }
  }

  return currentClosestKeyword;
};

convert.keyword.rgb = function (keyword) {
  return cssKeywords[keyword];
};

convert.rgb.xyz = function (rgb) {
  let r = rgb[0] / 255;
  let g = rgb[1] / 255;
  let b = rgb[2] / 255; // Assume sRGB

  r = r > 0.04045 ? ((r + 0.055) / 1.055) ** 2.4 : r / 12.92;
  g = g > 0.04045 ? ((g + 0.055) / 1.055) ** 2.4 : g / 12.92;
  b = b > 0.04045 ? ((b + 0.055) / 1.055) ** 2.4 : b / 12.92;
  const x = r * 0.4124 + g * 0.3576 + b * 0.1805;
  const y = r * 0.2126 + g * 0.7152 + b * 0.0722;
  const z = r * 0.0193 + g * 0.1192 + b * 0.9505;
  return [x * 100, y * 100, z * 100];
};

convert.rgb.lab = function (rgb) {
  const xyz = convert.rgb.xyz(rgb);
  let x = xyz[0];
  let y = xyz[1];
  let z = xyz[2];
  x /= 95.047;
  y /= 100;
  z /= 108.883;
  x = x > 0.008856 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
  y = y > 0.008856 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
  z = z > 0.008856 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
  const l = 116 * y - 16;
  const a = 500 * (x - y);
  const b = 200 * (y - z);
  return [l, a, b];
};

convert.hsl.rgb = function (hsl) {
  const h = hsl[0] / 360;
  const s = hsl[1] / 100;
  const l = hsl[2] / 100;
  let t2;
  let t3;
  let val;

  if (s === 0) {
    val = l * 255;
    return [val, val, val];
  }

  if (l < 0.5) {
    t2 = l * (1 + s);
  } else {
    t2 = l + s - l * s;
  }

  const t1 = 2 * l - t2;
  const rgb = [0, 0, 0];

  for (let i = 0; i < 3; i++) {
    t3 = h + 1 / 3 * -(i - 1);

    if (t3 < 0) {
      t3++;
    }

    if (t3 > 1) {
      t3--;
    }

    if (6 * t3 < 1) {
      val = t1 + (t2 - t1) * 6 * t3;
    } else if (2 * t3 < 1) {
      val = t2;
    } else if (3 * t3 < 2) {
      val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
    } else {
      val = t1;
    }

    rgb[i] = val * 255;
  }

  return rgb;
};

convert.hsl.hsv = function (hsl) {
  const h = hsl[0];
  let s = hsl[1] / 100;
  let l = hsl[2] / 100;
  let smin = s;
  const lmin = Math.max(l, 0.01);
  l *= 2;
  s *= l <= 1 ? l : 2 - l;
  smin *= lmin <= 1 ? lmin : 2 - lmin;
  const v = (l + s) / 2;
  const sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
  return [h, sv * 100, v * 100];
};

convert.hsv.rgb = function (hsv) {
  const h = hsv[0] / 60;
  const s = hsv[1] / 100;
  let v = hsv[2] / 100;
  const hi = Math.floor(h) % 6;
  const f = h - Math.floor(h);
  const p = 255 * v * (1 - s);
  const q = 255 * v * (1 - s * f);
  const t = 255 * v * (1 - s * (1 - f));
  v *= 255;

  switch (hi) {
    case 0:
      return [v, t, p];

    case 1:
      return [q, v, p];

    case 2:
      return [p, v, t];

    case 3:
      return [p, q, v];

    case 4:
      return [t, p, v];

    case 5:
      return [v, p, q];
  }
};

convert.hsv.hsl = function (hsv) {
  const h = hsv[0];
  const s = hsv[1] / 100;
  const v = hsv[2] / 100;
  const vmin = Math.max(v, 0.01);
  let sl;
  let l;
  l = (2 - s) * v;
  const lmin = (2 - s) * vmin;
  sl = s * vmin;
  sl /= lmin <= 1 ? lmin : 2 - lmin;
  sl = sl || 0;
  l /= 2;
  return [h, sl * 100, l * 100];
}; // http://dev.w3.org/csswg/css-color/#hwb-to-rgb


convert.hwb.rgb = function (hwb) {
  const h = hwb[0] / 360;
  let wh = hwb[1] / 100;
  let bl = hwb[2] / 100;
  const ratio = wh + bl;
  let f; // Wh + bl cant be > 1

  if (ratio > 1) {
    wh /= ratio;
    bl /= ratio;
  }

  const i = Math.floor(6 * h);
  const v = 1 - bl;
  f = 6 * h - i;

  if ((i & 0x01) !== 0) {
    f = 1 - f;
  }

  const n = wh + f * (v - wh); // Linear interpolation

  let r;
  let g;
  let b;
  /* eslint-disable max-statements-per-line,no-multi-spaces */

  switch (i) {
    default:
    case 6:
    case 0:
      r = v;
      g = n;
      b = wh;
      break;

    case 1:
      r = n;
      g = v;
      b = wh;
      break;

    case 2:
      r = wh;
      g = v;
      b = n;
      break;

    case 3:
      r = wh;
      g = n;
      b = v;
      break;

    case 4:
      r = n;
      g = wh;
      b = v;
      break;

    case 5:
      r = v;
      g = wh;
      b = n;
      break;
  }
  /* eslint-enable max-statements-per-line,no-multi-spaces */


  return [r * 255, g * 255, b * 255];
};

convert.cmyk.rgb = function (cmyk) {
  const c = cmyk[0] / 100;
  const m = cmyk[1] / 100;
  const y = cmyk[2] / 100;
  const k = cmyk[3] / 100;
  const r = 1 - Math.min(1, c * (1 - k) + k);
  const g = 1 - Math.min(1, m * (1 - k) + k);
  const b = 1 - Math.min(1, y * (1 - k) + k);
  return [r * 255, g * 255, b * 255];
};

convert.xyz.rgb = function (xyz) {
  const x = xyz[0] / 100;
  const y = xyz[1] / 100;
  const z = xyz[2] / 100;
  let r;
  let g;
  let b;
  r = x * 3.2406 + y * -1.5372 + z * -0.4986;
  g = x * -0.9689 + y * 1.8758 + z * 0.0415;
  b = x * 0.0557 + y * -0.2040 + z * 1.0570; // Assume sRGB

  r = r > 0.0031308 ? 1.055 * r ** (1.0 / 2.4) - 0.055 : r * 12.92;
  g = g > 0.0031308 ? 1.055 * g ** (1.0 / 2.4) - 0.055 : g * 12.92;
  b = b > 0.0031308 ? 1.055 * b ** (1.0 / 2.4) - 0.055 : b * 12.92;
  r = Math.min(Math.max(0, r), 1);
  g = Math.min(Math.max(0, g), 1);
  b = Math.min(Math.max(0, b), 1);
  return [r * 255, g * 255, b * 255];
};

convert.xyz.lab = function (xyz) {
  let x = xyz[0];
  let y = xyz[1];
  let z = xyz[2];
  x /= 95.047;
  y /= 100;
  z /= 108.883;
  x = x > 0.008856 ? x ** (1 / 3) : 7.787 * x + 16 / 116;
  y = y > 0.008856 ? y ** (1 / 3) : 7.787 * y + 16 / 116;
  z = z > 0.008856 ? z ** (1 / 3) : 7.787 * z + 16 / 116;
  const l = 116 * y - 16;
  const a = 500 * (x - y);
  const b = 200 * (y - z);
  return [l, a, b];
};

convert.lab.xyz = function (lab) {
  const l = lab[0];
  const a = lab[1];
  const b = lab[2];
  let x;
  let y;
  let z;
  y = (l + 16) / 116;
  x = a / 500 + y;
  z = y - b / 200;
  const y2 = y ** 3;
  const x2 = x ** 3;
  const z2 = z ** 3;
  y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
  x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
  z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;
  x *= 95.047;
  y *= 100;
  z *= 108.883;
  return [x, y, z];
};

convert.lab.lch = function (lab) {
  const l = lab[0];
  const a = lab[1];
  const b = lab[2];
  let h;
  const hr = Math.atan2(b, a);
  h = hr * 360 / 2 / Math.PI;

  if (h < 0) {
    h += 360;
  }

  const c = Math.sqrt(a * a + b * b);
  return [l, c, h];
};

convert.lch.lab = function (lch) {
  const l = lch[0];
  const c = lch[1];
  const h = lch[2];
  const hr = h / 360 * 2 * Math.PI;
  const a = c * Math.cos(hr);
  const b = c * Math.sin(hr);
  return [l, a, b];
};

convert.rgb.ansi16 = function (args, saturation = null) {
  const [r, g, b] = args;
  let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation; // Hsv -> ansi16 optimization

  value = Math.round(value / 50);

  if (value === 0) {
    return 30;
  }

  let ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));

  if (value === 2) {
    ansi += 60;
  }

  return ansi;
};

convert.hsv.ansi16 = function (args) {
  // Optimization here; we already know the value and don't need to get
  // it converted for us.
  return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
};

convert.rgb.ansi256 = function (args) {
  const r = args[0];
  const g = args[1];
  const b = args[2]; // We use the extended greyscale palette here, with the exception of
  // black and white. normal palette only has 4 greyscale shades.

  if (r === g && g === b) {
    if (r < 8) {
      return 16;
    }

    if (r > 248) {
      return 231;
    }

    return Math.round((r - 8) / 247 * 24) + 232;
  }

  const ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
  return ansi;
};

convert.ansi16.rgb = function (args) {
  let color = args % 10; // Handle greyscale

  if (color === 0 || color === 7) {
    if (args > 50) {
      color += 3.5;
    }

    color = color / 10.5 * 255;
    return [color, color, color];
  }

  const mult = (~~(args > 50) + 1) * 0.5;
  const r = (color & 1) * mult * 255;
  const g = (color >> 1 & 1) * mult * 255;
  const b = (color >> 2 & 1) * mult * 255;
  return [r, g, b];
};

convert.ansi256.rgb = function (args) {
  // Handle greyscale
  if (args >= 232) {
    const c = (args - 232) * 10 + 8;
    return [c, c, c];
  }

  args -= 16;
  let rem;
  const r = Math.floor(args / 36) / 5 * 255;
  const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
  const b = rem % 6 / 5 * 255;
  return [r, g, b];
};

convert.rgb.hex = function (args) {
  const integer = ((Math.round(args[0]) & 0xFF) << 16) + ((Math.round(args[1]) & 0xFF) << 8) + (Math.round(args[2]) & 0xFF);
  const string = integer.toString(16).toUpperCase();
  return '000000'.substring(string.length) + string;
};

convert.hex.rgb = function (args) {
  const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);

  if (!match) {
    return [0, 0, 0];
  }

  let colorString = match[0];

  if (match[0].length === 3) {
    colorString = colorString.split('').map(char => {
      return char + char;
    }).join('');
  }

  const integer = parseInt(colorString, 16);
  const r = integer >> 16 & 0xFF;
  const g = integer >> 8 & 0xFF;
  const b = integer & 0xFF;
  return [r, g, b];
};

convert.rgb.hcg = function (rgb) {
  const r = rgb[0] / 255;
  const g = rgb[1] / 255;
  const b = rgb[2] / 255;
  const max = Math.max(Math.max(r, g), b);
  const min = Math.min(Math.min(r, g), b);
  const chroma = max - min;
  let grayscale;
  let hue;

  if (chroma < 1) {
    grayscale = min / (1 - chroma);
  } else {
    grayscale = 0;
  }

  if (chroma <= 0) {
    hue = 0;
  } else if (max === r) {
    hue = (g - b) / chroma % 6;
  } else if (max === g) {
    hue = 2 + (b - r) / chroma;
  } else {
    hue = 4 + (r - g) / chroma;
  }

  hue /= 6;
  hue %= 1;
  return [hue * 360, chroma * 100, grayscale * 100];
};

convert.hsl.hcg = function (hsl) {
  const s = hsl[1] / 100;
  const l = hsl[2] / 100;
  const c = l < 0.5 ? 2.0 * s * l : 2.0 * s * (1.0 - l);
  let f = 0;

  if (c < 1.0) {
    f = (l - 0.5 * c) / (1.0 - c);
  }

  return [hsl[0], c * 100, f * 100];
};

convert.hsv.hcg = function (hsv) {
  const s = hsv[1] / 100;
  const v = hsv[2] / 100;
  const c = s * v;
  let f = 0;

  if (c < 1.0) {
    f = (v - c) / (1 - c);
  }

  return [hsv[0], c * 100, f * 100];
};

convert.hcg.rgb = function (hcg) {
  const h = hcg[0] / 360;
  const c = hcg[1] / 100;
  const g = hcg[2] / 100;

  if (c === 0.0) {
    return [g * 255, g * 255, g * 255];
  }

  const pure = [0, 0, 0];
  const hi = h % 1 * 6;
  const v = hi % 1;
  const w = 1 - v;
  let mg = 0;
  /* eslint-disable max-statements-per-line */

  switch (Math.floor(hi)) {
    case 0:
      pure[0] = 1;
      pure[1] = v;
      pure[2] = 0;
      break;

    case 1:
      pure[0] = w;
      pure[1] = 1;
      pure[2] = 0;
      break;

    case 2:
      pure[0] = 0;
      pure[1] = 1;
      pure[2] = v;
      break;

    case 3:
      pure[0] = 0;
      pure[1] = w;
      pure[2] = 1;
      break;

    case 4:
      pure[0] = v;
      pure[1] = 0;
      pure[2] = 1;
      break;

    default:
      pure[0] = 1;
      pure[1] = 0;
      pure[2] = w;
  }
  /* eslint-enable max-statements-per-line */


  mg = (1.0 - c) * g;
  return [(c * pure[0] + mg) * 255, (c * pure[1] + mg) * 255, (c * pure[2] + mg) * 255];
};

convert.hcg.hsv = function (hcg) {
  const c = hcg[1] / 100;
  const g = hcg[2] / 100;
  const v = c + g * (1.0 - c);
  let f = 0;

  if (v > 0.0) {
    f = c / v;
  }

  return [hcg[0], f * 100, v * 100];
};

convert.hcg.hsl = function (hcg) {
  const c = hcg[1] / 100;
  const g = hcg[2] / 100;
  const l = g * (1.0 - c) + 0.5 * c;
  let s = 0;

  if (l > 0.0 && l < 0.5) {
    s = c / (2 * l);
  } else if (l >= 0.5 && l < 1.0) {
    s = c / (2 * (1 - l));
  }

  return [hcg[0], s * 100, l * 100];
};

convert.hcg.hwb = function (hcg) {
  const c = hcg[1] / 100;
  const g = hcg[2] / 100;
  const v = c + g * (1.0 - c);
  return [hcg[0], (v - c) * 100, (1 - v) * 100];
};

convert.hwb.hcg = function (hwb) {
  const w = hwb[1] / 100;
  const b = hwb[2] / 100;
  const v = 1 - b;
  const c = v - w;
  let g = 0;

  if (c < 1) {
    g = (v - c) / (1 - c);
  }

  return [hwb[0], c * 100, g * 100];
};

convert.apple.rgb = function (apple) {
  return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
};

convert.rgb.apple = function (rgb) {
  return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
};

convert.gray.rgb = function (args) {
  return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
};

convert.gray.hsl = function (args) {
  return [0, 0, args[0]];
};

convert.gray.hsv = convert.gray.hsl;

convert.gray.hwb = function (gray) {
  return [0, 100, gray[0]];
};

convert.gray.cmyk = function (gray) {
  return [0, 0, 0, gray[0]];
};

convert.gray.lab = function (gray) {
  return [gray[0], 0, 0];
};

convert.gray.hex = function (gray) {
  const val = Math.round(gray[0] / 100 * 255) & 0xFF;
  const integer = (val << 16) + (val << 8) + val;
  const string = integer.toString(16).toUpperCase();
  return '000000'.substring(string.length) + string;
};

convert.rgb.gray = function (rgb) {
  const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
  return [val / 255 * 100];
};

/***/ }),

/***/ "./node_modules/.f/_/color-convert/2.0.1/color-convert/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const conversions = __webpack_require__("./node_modules/.f/_/color-convert/2.0.1/color-convert/conversions.js");

const route = __webpack_require__("./node_modules/.f/_/color-convert/2.0.1/color-convert/route.js");

const convert = {};
const models = Object.keys(conversions);

function wrapRaw(fn) {
  const wrappedFn = function (...args) {
    const arg0 = args[0];

    if (arg0 === undefined || arg0 === null) {
      return arg0;
    }

    if (arg0.length > 1) {
      args = arg0;
    }

    return fn(args);
  }; // Preserve .conversion property if there is one


  if ('conversion' in fn) {
    wrappedFn.conversion = fn.conversion;
  }

  return wrappedFn;
}

function wrapRounded(fn) {
  const wrappedFn = function (...args) {
    const arg0 = args[0];

    if (arg0 === undefined || arg0 === null) {
      return arg0;
    }

    if (arg0.length > 1) {
      args = arg0;
    }

    const result = fn(args); // We're assuming the result is an array here.
    // see notice in conversions.js; don't use box types
    // in conversion functions.

    if (typeof result === 'object') {
      for (let len = result.length, i = 0; i < len; i++) {
        result[i] = Math.round(result[i]);
      }
    }

    return result;
  }; // Preserve .conversion property if there is one


  if ('conversion' in fn) {
    wrappedFn.conversion = fn.conversion;
  }

  return wrappedFn;
}

models.forEach(fromModel => {
  convert[fromModel] = {};
  Object.defineProperty(convert[fromModel], 'channels', {
    value: conversions[fromModel].channels
  });
  Object.defineProperty(convert[fromModel], 'labels', {
    value: conversions[fromModel].labels
  });
  const routes = route(fromModel);
  const routeModels = Object.keys(routes);
  routeModels.forEach(toModel => {
    const fn = routes[toModel];
    convert[fromModel][toModel] = wrapRounded(fn);
    convert[fromModel][toModel].raw = wrapRaw(fn);
  });
});
module.exports = convert;

/***/ }),

/***/ "./node_modules/.f/_/color-convert/2.0.1/color-convert/route.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const conversions = __webpack_require__("./node_modules/.f/_/color-convert/2.0.1/color-convert/conversions.js");
/*
	This function routes a model to all other models.

	all functions that are routed have a property `.conversion` attached
	to the returned synthetic function. This property is an array
	of strings, each with the steps in between the 'from' and 'to'
	color models (inclusive).

	conversions that are not possible simply are not included.
*/


function buildGraph() {
  const graph = {}; // https://jsperf.com/object-keys-vs-for-in-with-closure/3

  const models = Object.keys(conversions);

  for (let len = models.length, i = 0; i < len; i++) {
    graph[models[i]] = {
      // http://jsperf.com/1-vs-infinity
      // micro-opt, but this is simple.
      distance: -1,
      parent: null
    };
  }

  return graph;
} // https://en.wikipedia.org/wiki/Breadth-first_search


function deriveBFS(fromModel) {
  const graph = buildGraph();
  const queue = [fromModel]; // Unshift -> queue -> pop

  graph[fromModel].distance = 0;

  while (queue.length) {
    const current = queue.pop();
    const adjacents = Object.keys(conversions[current]);

    for (let len = adjacents.length, i = 0; i < len; i++) {
      const adjacent = adjacents[i];
      const node = graph[adjacent];

      if (node.distance === -1) {
        node.distance = graph[current].distance + 1;
        node.parent = current;
        queue.unshift(adjacent);
      }
    }
  }

  return graph;
}

function link(from, to) {
  return function (args) {
    return to(from(args));
  };
}

function wrapConversion(toModel, graph) {
  const path = [graph[toModel].parent, toModel];
  let fn = conversions[graph[toModel].parent][toModel];
  let cur = graph[toModel].parent;

  while (graph[cur].parent) {
    path.unshift(graph[cur].parent);
    fn = link(conversions[graph[cur].parent][cur], fn);
    cur = graph[cur].parent;
  }

  fn.conversion = path;
  return fn;
}

module.exports = function (fromModel) {
  const graph = deriveBFS(fromModel);
  const conversion = {};
  const models = Object.keys(graph);

  for (let len = models.length, i = 0; i < len; i++) {
    const toModel = models[i];
    const node = graph[toModel];

    if (node.parent === null) {
      // No possible conversion, or this node is the source model.
      continue;
    }

    conversion[toModel] = wrapConversion(toModel, graph);
  }

  return conversion;
};

/***/ }),

/***/ "./node_modules/.f/_/color-name/1.1.4/color-name/index.js":
/***/ ((module) => {

"use strict";


module.exports = {
  "aliceblue": [240, 248, 255],
  "antiquewhite": [250, 235, 215],
  "aqua": [0, 255, 255],
  "aquamarine": [127, 255, 212],
  "azure": [240, 255, 255],
  "beige": [245, 245, 220],
  "bisque": [255, 228, 196],
  "black": [0, 0, 0],
  "blanchedalmond": [255, 235, 205],
  "blue": [0, 0, 255],
  "blueviolet": [138, 43, 226],
  "brown": [165, 42, 42],
  "burlywood": [222, 184, 135],
  "cadetblue": [95, 158, 160],
  "chartreuse": [127, 255, 0],
  "chocolate": [210, 105, 30],
  "coral": [255, 127, 80],
  "cornflowerblue": [100, 149, 237],
  "cornsilk": [255, 248, 220],
  "crimson": [220, 20, 60],
  "cyan": [0, 255, 255],
  "darkblue": [0, 0, 139],
  "darkcyan": [0, 139, 139],
  "darkgoldenrod": [184, 134, 11],
  "darkgray": [169, 169, 169],
  "darkgreen": [0, 100, 0],
  "darkgrey": [169, 169, 169],
  "darkkhaki": [189, 183, 107],
  "darkmagenta": [139, 0, 139],
  "darkolivegreen": [85, 107, 47],
  "darkorange": [255, 140, 0],
  "darkorchid": [153, 50, 204],
  "darkred": [139, 0, 0],
  "darksalmon": [233, 150, 122],
  "darkseagreen": [143, 188, 143],
  "darkslateblue": [72, 61, 139],
  "darkslategray": [47, 79, 79],
  "darkslategrey": [47, 79, 79],
  "darkturquoise": [0, 206, 209],
  "darkviolet": [148, 0, 211],
  "deeppink": [255, 20, 147],
  "deepskyblue": [0, 191, 255],
  "dimgray": [105, 105, 105],
  "dimgrey": [105, 105, 105],
  "dodgerblue": [30, 144, 255],
  "firebrick": [178, 34, 34],
  "floralwhite": [255, 250, 240],
  "forestgreen": [34, 139, 34],
  "fuchsia": [255, 0, 255],
  "gainsboro": [220, 220, 220],
  "ghostwhite": [248, 248, 255],
  "gold": [255, 215, 0],
  "goldenrod": [218, 165, 32],
  "gray": [128, 128, 128],
  "green": [0, 128, 0],
  "greenyellow": [173, 255, 47],
  "grey": [128, 128, 128],
  "honeydew": [240, 255, 240],
  "hotpink": [255, 105, 180],
  "indianred": [205, 92, 92],
  "indigo": [75, 0, 130],
  "ivory": [255, 255, 240],
  "khaki": [240, 230, 140],
  "lavender": [230, 230, 250],
  "lavenderblush": [255, 240, 245],
  "lawngreen": [124, 252, 0],
  "lemonchiffon": [255, 250, 205],
  "lightblue": [173, 216, 230],
  "lightcoral": [240, 128, 128],
  "lightcyan": [224, 255, 255],
  "lightgoldenrodyellow": [250, 250, 210],
  "lightgray": [211, 211, 211],
  "lightgreen": [144, 238, 144],
  "lightgrey": [211, 211, 211],
  "lightpink": [255, 182, 193],
  "lightsalmon": [255, 160, 122],
  "lightseagreen": [32, 178, 170],
  "lightskyblue": [135, 206, 250],
  "lightslategray": [119, 136, 153],
  "lightslategrey": [119, 136, 153],
  "lightsteelblue": [176, 196, 222],
  "lightyellow": [255, 255, 224],
  "lime": [0, 255, 0],
  "limegreen": [50, 205, 50],
  "linen": [250, 240, 230],
  "magenta": [255, 0, 255],
  "maroon": [128, 0, 0],
  "mediumaquamarine": [102, 205, 170],
  "mediumblue": [0, 0, 205],
  "mediumorchid": [186, 85, 211],
  "mediumpurple": [147, 112, 219],
  "mediumseagreen": [60, 179, 113],
  "mediumslateblue": [123, 104, 238],
  "mediumspringgreen": [0, 250, 154],
  "mediumturquoise": [72, 209, 204],
  "mediumvioletred": [199, 21, 133],
  "midnightblue": [25, 25, 112],
  "mintcream": [245, 255, 250],
  "mistyrose": [255, 228, 225],
  "moccasin": [255, 228, 181],
  "navajowhite": [255, 222, 173],
  "navy": [0, 0, 128],
  "oldlace": [253, 245, 230],
  "olive": [128, 128, 0],
  "olivedrab": [107, 142, 35],
  "orange": [255, 165, 0],
  "orangered": [255, 69, 0],
  "orchid": [218, 112, 214],
  "palegoldenrod": [238, 232, 170],
  "palegreen": [152, 251, 152],
  "paleturquoise": [175, 238, 238],
  "palevioletred": [219, 112, 147],
  "papayawhip": [255, 239, 213],
  "peachpuff": [255, 218, 185],
  "peru": [205, 133, 63],
  "pink": [255, 192, 203],
  "plum": [221, 160, 221],
  "powderblue": [176, 224, 230],
  "purple": [128, 0, 128],
  "rebeccapurple": [102, 51, 153],
  "red": [255, 0, 0],
  "rosybrown": [188, 143, 143],
  "royalblue": [65, 105, 225],
  "saddlebrown": [139, 69, 19],
  "salmon": [250, 128, 114],
  "sandybrown": [244, 164, 96],
  "seagreen": [46, 139, 87],
  "seashell": [255, 245, 238],
  "sienna": [160, 82, 45],
  "silver": [192, 192, 192],
  "skyblue": [135, 206, 235],
  "slateblue": [106, 90, 205],
  "slategray": [112, 128, 144],
  "slategrey": [112, 128, 144],
  "snow": [255, 250, 250],
  "springgreen": [0, 255, 127],
  "steelblue": [70, 130, 180],
  "tan": [210, 180, 140],
  "teal": [0, 128, 128],
  "thistle": [216, 191, 216],
  "tomato": [255, 99, 71],
  "turquoise": [64, 224, 208],
  "violet": [238, 130, 238],
  "wheat": [245, 222, 179],
  "white": [255, 255, 255],
  "whitesmoke": [245, 245, 245],
  "yellow": [255, 255, 0],
  "yellowgreen": [154, 205, 50]
};

/***/ }),

/***/ "./node_modules/.f/_/color-support/1.1.3/color-support/index.js":
/***/ ((module) => {

// call it on itself so we can test the export val for basic stuff
module.exports = colorSupport({
  alwaysReturn: true
}, colorSupport);

function hasNone(obj, options) {
  obj.level = 0;
  obj.hasBasic = false;
  obj.has256 = false;
  obj.has16m = false;

  if (!options.alwaysReturn) {
    return false;
  }

  return obj;
}

function hasBasic(obj) {
  obj.hasBasic = true;
  obj.has256 = false;
  obj.has16m = false;
  obj.level = 1;
  return obj;
}

function has256(obj) {
  obj.hasBasic = true;
  obj.has256 = true;
  obj.has16m = false;
  obj.level = 2;
  return obj;
}

function has16m(obj) {
  obj.hasBasic = true;
  obj.has256 = true;
  obj.has16m = true;
  obj.level = 3;
  return obj;
}

function colorSupport(options, obj) {
  options = options || {};
  obj = obj || {}; // if just requesting a specific level, then return that.

  if (typeof options.level === 'number') {
    switch (options.level) {
      case 0:
        return hasNone(obj, options);

      case 1:
        return hasBasic(obj);

      case 2:
        return has256(obj);

      case 3:
        return has16m(obj);
    }
  }

  obj.level = 0;
  obj.hasBasic = false;
  obj.has256 = false;
  obj.has16m = false;

  if (typeof process === 'undefined' || !process || !process.stdout || !process.env || !process.platform) {
    return hasNone(obj, options);
  }

  var env = options.env || process.env;
  var stream = options.stream || process.stdout;
  var term = options.term || env.TERM || '';
  var platform = options.platform || process.platform;

  if (!options.ignoreTTY && !stream.isTTY) {
    return hasNone(obj, options);
  }

  if (!options.ignoreDumb && term === 'dumb' && !env.COLORTERM) {
    return hasNone(obj, options);
  }

  if (platform === 'win32') {
    return hasBasic(obj);
  }

  if (env.TMUX) {
    return has256(obj);
  }

  if (!options.ignoreCI && (env.CI || env.TEAMCITY_VERSION)) {
    if (env.TRAVIS) {
      return has256(obj);
    } else {
      return hasNone(obj, options);
    }
  } // TODO: add more term programs


  switch (env.TERM_PROGRAM) {
    case 'iTerm.app':
      var ver = env.TERM_PROGRAM_VERSION || '0.';

      if (/^[0-2]\./.test(ver)) {
        return has256(obj);
      } else {
        return has16m(obj);
      }

    case 'HyperTerm':
    case 'Hyper':
      return has16m(obj);

    case 'MacTerm':
      return has16m(obj);

    case 'Apple_Terminal':
      return has256(obj);
  }

  if (/^xterm-256/.test(term)) {
    return has256(obj);
  }

  if (/^screen|^xterm|^vt100|color|ansi|cygwin|linux/i.test(term)) {
    return hasBasic(obj);
  }

  if (env.COLORTERM) {
    return hasBasic(obj);
  }

  return hasNone(obj, options);
}

/***/ }),

/***/ "./node_modules/.f/_/concat-map/0.0.1/concat-map/index.js":
/***/ ((module) => {

module.exports = function (xs, fn) {
  var res = [];

  for (var i = 0; i < xs.length; i++) {
    var x = fn(xs[i], i);
    if (isArray(x)) res.push.apply(res, x);else res.push(x);
  }

  return res;
};

var isArray = Array.isArray || function (xs) {
  return Object.prototype.toString.call(xs) === '[object Array]';
};

/***/ }),

/***/ "./node_modules/.f/_/concat-stream/1.6.2/concat-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Writable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js").Writable;

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var bufferFrom = __webpack_require__("./node_modules/.f/_/buffer-from/1.1.1/buffer-from/index.js");

if (typeof Uint8Array === 'undefined') {
  var U8 = __webpack_require__("./node_modules/.f/_/typedarray/0.0.6/typedarray/index.js").Uint8Array;
} else {
  var U8 = Uint8Array;
}

function ConcatStream(opts, cb) {
  if (!(this instanceof ConcatStream)) return new ConcatStream(opts, cb);

  if (typeof opts === 'function') {
    cb = opts;
    opts = {};
  }

  if (!opts) opts = {};
  var encoding = opts.encoding;
  var shouldInferEncoding = false;

  if (!encoding) {
    shouldInferEncoding = true;
  } else {
    encoding = String(encoding).toLowerCase();

    if (encoding === 'u8' || encoding === 'uint8') {
      encoding = 'uint8array';
    }
  }

  Writable.call(this, {
    objectMode: true
  });
  this.encoding = encoding;
  this.shouldInferEncoding = shouldInferEncoding;
  if (cb) this.on('finish', function () {
    cb(this.getBody());
  });
  this.body = [];
}

module.exports = ConcatStream;
inherits(ConcatStream, Writable);

ConcatStream.prototype._write = function (chunk, enc, next) {
  this.body.push(chunk);
  next();
};

ConcatStream.prototype.inferEncoding = function (buff) {
  var firstBuffer = buff === undefined ? this.body[0] : buff;
  if (Buffer.isBuffer(firstBuffer)) return 'buffer';
  if (typeof Uint8Array !== 'undefined' && firstBuffer instanceof Uint8Array) return 'uint8array';
  if (Array.isArray(firstBuffer)) return 'array';
  if (typeof firstBuffer === 'string') return 'string';
  if (Object.prototype.toString.call(firstBuffer) === "[object Object]") return 'object';
  return 'buffer';
};

ConcatStream.prototype.getBody = function () {
  if (!this.encoding && this.body.length === 0) return [];
  if (this.shouldInferEncoding) this.encoding = this.inferEncoding();
  if (this.encoding === 'array') return arrayConcat(this.body);
  if (this.encoding === 'string') return stringConcat(this.body);
  if (this.encoding === 'buffer') return bufferConcat(this.body);
  if (this.encoding === 'uint8array') return u8Concat(this.body);
  return this.body;
};

var isArray = Array.isArray || function (arr) {
  return Object.prototype.toString.call(arr) == '[object Array]';
};

function isArrayish(arr) {
  return /Array\]$/.test(Object.prototype.toString.call(arr));
}

function isBufferish(p) {
  return typeof p === 'string' || isArrayish(p) || p && typeof p.subarray === 'function';
}

function stringConcat(parts) {
  var strings = [];
  var needsToString = false;

  for (var i = 0; i < parts.length; i++) {
    var p = parts[i];

    if (typeof p === 'string') {
      strings.push(p);
    } else if (Buffer.isBuffer(p)) {
      strings.push(p);
    } else if (isBufferish(p)) {
      strings.push(bufferFrom(p));
    } else {
      strings.push(bufferFrom(String(p)));
    }
  }

  if (Buffer.isBuffer(parts[0])) {
    strings = Buffer.concat(strings);
    strings = strings.toString('utf8');
  } else {
    strings = strings.join('');
  }

  return strings;
}

function bufferConcat(parts) {
  var bufs = [];

  for (var i = 0; i < parts.length; i++) {
    var p = parts[i];

    if (Buffer.isBuffer(p)) {
      bufs.push(p);
    } else if (isBufferish(p)) {
      bufs.push(bufferFrom(p));
    } else {
      bufs.push(bufferFrom(String(p)));
    }
  }

  return Buffer.concat(bufs);
}

function arrayConcat(parts) {
  var res = [];

  for (var i = 0; i < parts.length; i++) {
    res.push.apply(res, parts[i]);
  }

  return res;
}

function u8Concat(parts) {
  var len = 0;

  for (var i = 0; i < parts.length; i++) {
    if (typeof parts[i] === 'string') {
      parts[i] = bufferFrom(parts[i]);
    }

    len += parts[i].length;
  }

  var u8 = new U8(len);

  for (var i = 0, offset = 0; i < parts.length; i++) {
    var part = parts[i];

    for (var j = 0; j < part.length; j++) {
      u8[offset++] = part[j];
    }
  }

  return u8;
}

/***/ }),

/***/ "./node_modules/.f/_/concat-stream/2.0.0/concat-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Writable = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js").Writable;

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var bufferFrom = __webpack_require__("./node_modules/.f/_/buffer-from/1.1.1/buffer-from/index.js");

if (typeof Uint8Array === 'undefined') {
  var U8 = __webpack_require__("./node_modules/.f/_/typedarray/0.0.6/typedarray/index.js").Uint8Array;
} else {
  var U8 = Uint8Array;
}

function ConcatStream(opts, cb) {
  if (!(this instanceof ConcatStream)) return new ConcatStream(opts, cb);

  if (typeof opts === 'function') {
    cb = opts;
    opts = {};
  }

  if (!opts) opts = {};
  var encoding = opts.encoding;
  var shouldInferEncoding = false;

  if (!encoding) {
    shouldInferEncoding = true;
  } else {
    encoding = String(encoding).toLowerCase();

    if (encoding === 'u8' || encoding === 'uint8') {
      encoding = 'uint8array';
    }
  }

  Writable.call(this, {
    objectMode: true
  });
  this.encoding = encoding;
  this.shouldInferEncoding = shouldInferEncoding;
  if (cb) this.on('finish', function () {
    cb(this.getBody());
  });
  this.body = [];
}

module.exports = ConcatStream;
inherits(ConcatStream, Writable);

ConcatStream.prototype._write = function (chunk, enc, next) {
  this.body.push(chunk);
  next();
};

ConcatStream.prototype.inferEncoding = function (buff) {
  var firstBuffer = buff === undefined ? this.body[0] : buff;
  if (Buffer.isBuffer(firstBuffer)) return 'buffer';
  if (typeof Uint8Array !== 'undefined' && firstBuffer instanceof Uint8Array) return 'uint8array';
  if (Array.isArray(firstBuffer)) return 'array';
  if (typeof firstBuffer === 'string') return 'string';
  if (Object.prototype.toString.call(firstBuffer) === "[object Object]") return 'object';
  return 'buffer';
};

ConcatStream.prototype.getBody = function () {
  if (!this.encoding && this.body.length === 0) return [];
  if (this.shouldInferEncoding) this.encoding = this.inferEncoding();
  if (this.encoding === 'array') return arrayConcat(this.body);
  if (this.encoding === 'string') return stringConcat(this.body);
  if (this.encoding === 'buffer') return bufferConcat(this.body);
  if (this.encoding === 'uint8array') return u8Concat(this.body);
  return this.body;
};

var isArray = Array.isArray || function (arr) {
  return Object.prototype.toString.call(arr) == '[object Array]';
};

function isArrayish(arr) {
  return /Array\]$/.test(Object.prototype.toString.call(arr));
}

function isBufferish(p) {
  return typeof p === 'string' || isArrayish(p) || p && typeof p.subarray === 'function';
}

function stringConcat(parts) {
  var strings = [];
  var needsToString = false;

  for (var i = 0; i < parts.length; i++) {
    var p = parts[i];

    if (typeof p === 'string') {
      strings.push(p);
    } else if (Buffer.isBuffer(p)) {
      strings.push(p);
    } else if (isBufferish(p)) {
      strings.push(bufferFrom(p));
    } else {
      strings.push(bufferFrom(String(p)));
    }
  }

  if (Buffer.isBuffer(parts[0])) {
    strings = Buffer.concat(strings);
    strings = strings.toString('utf8');
  } else {
    strings = strings.join('');
  }

  return strings;
}

function bufferConcat(parts) {
  var bufs = [];

  for (var i = 0; i < parts.length; i++) {
    var p = parts[i];

    if (Buffer.isBuffer(p)) {
      bufs.push(p);
    } else if (isBufferish(p)) {
      bufs.push(bufferFrom(p));
    } else {
      bufs.push(bufferFrom(String(p)));
    }
  }

  return Buffer.concat(bufs);
}

function arrayConcat(parts) {
  var res = [];

  for (var i = 0; i < parts.length; i++) {
    res.push.apply(res, parts[i]);
  }

  return res;
}

function u8Concat(parts) {
  var len = 0;

  for (var i = 0; i < parts.length; i++) {
    if (typeof parts[i] === 'string') {
      parts[i] = bufferFrom(parts[i]);
    }

    len += parts[i].length;
  }

  var u8 = new U8(len);

  for (var i = 0, offset = 0; i < parts.length; i++) {
    var part = parts[i];

    for (var j = 0; j < part.length; j++) {
      u8[offset++] = part[j];
    }
  }

  return u8;
}

/***/ }),

/***/ "./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";
 // These tables borrowed from `ansi`

var prefix = '\x1b[';

exports.up = function up(num) {
  return prefix + (num || '') + 'A';
};

exports.down = function down(num) {
  return prefix + (num || '') + 'B';
};

exports.forward = function forward(num) {
  return prefix + (num || '') + 'C';
};

exports.back = function back(num) {
  return prefix + (num || '') + 'D';
};

exports.nextLine = function nextLine(num) {
  return prefix + (num || '') + 'E';
};

exports.previousLine = function previousLine(num) {
  return prefix + (num || '') + 'F';
};

exports.horizontalAbsolute = function horizontalAbsolute(num) {
  if (num == null) throw new Error('horizontalAboslute requires a column to position to');
  return prefix + num + 'G';
};

exports.eraseData = function eraseData() {
  return prefix + 'J';
};

exports.eraseLine = function eraseLine() {
  return prefix + 'K';
};

exports.goto = function (x, y) {
  return prefix + y + ';' + x + 'H';
};

exports.gotoSOL = function () {
  return '\r';
};

exports.beep = function () {
  return '\x07';
};

exports.hideCursor = function hideCursor() {
  return prefix + '?25l';
};

exports.showCursor = function showCursor() {
  return prefix + '?25h';
};

var colors = {
  reset: 0,
  // styles
  bold: 1,
  italic: 3,
  underline: 4,
  inverse: 7,
  // resets
  stopBold: 22,
  stopItalic: 23,
  stopUnderline: 24,
  stopInverse: 27,
  // colors
  white: 37,
  black: 30,
  blue: 34,
  cyan: 36,
  green: 32,
  magenta: 35,
  red: 31,
  yellow: 33,
  bgWhite: 47,
  bgBlack: 40,
  bgBlue: 44,
  bgCyan: 46,
  bgGreen: 42,
  bgMagenta: 45,
  bgRed: 41,
  bgYellow: 43,
  grey: 90,
  brightBlack: 90,
  brightRed: 91,
  brightGreen: 92,
  brightYellow: 93,
  brightBlue: 94,
  brightMagenta: 95,
  brightCyan: 96,
  brightWhite: 97,
  bgGrey: 100,
  bgBrightBlack: 100,
  bgBrightRed: 101,
  bgBrightGreen: 102,
  bgBrightYellow: 103,
  bgBrightBlue: 104,
  bgBrightMagenta: 105,
  bgBrightCyan: 106,
  bgBrightWhite: 107
};

exports.color = function color(colorWith) {
  if (arguments.length !== 1 || !Array.isArray(colorWith)) {
    colorWith = Array.prototype.slice.call(arguments);
  }

  return prefix + colorWith.map(colorNameToCode).join(';') + 'm';
};

function colorNameToCode(color) {
  if (colors[color] != null) return colors[color];
  throw new Error('Unknown color or style name: ' + color);
}

/***/ }),

/***/ "./node_modules/.f/_/copy-concurrently/1.0.5/copy-concurrently/copy.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = copy;
module.exports.item = copyItem;
module.exports.recurse = recurseDir;
module.exports.symlink = copySymlink;
module.exports.file = copyFile;

var nodeFs = __webpack_require__("fs");

var path = __webpack_require__("path");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var stockWriteStreamAtomic = __webpack_require__("./node_modules/.f/_/fs-write-stream-atomic/1.0.10/fs-write-stream-atomic/index.js");

var mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js");

var rimraf = __webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js");

var isWindows = __webpack_require__("./node_modules/.f/_/copy-concurrently/1.0.5/copy-concurrently/is-windows.js");

var RunQueue = __webpack_require__("./node_modules/.f/_/run-queue/1.0.3/run-queue/queue.js");

var extend = Object.assign || __webpack_require__("util")._extend;

function promisify(Promise, fn) {
  return function () {
    var args = [].slice.call(arguments);
    return new Promise(function (resolve, reject) {
      return fn.apply(null, args.concat(function (err, value) {
        if (err) {
          reject(err);
        } else {
          resolve(value);
        }
      }));
    });
  };
}

function copy(from, to, opts) {
  validate('SSO|SS', arguments);
  opts = extend({}, opts || {});
  var Promise = opts.Promise || global.Promise;
  var fs = opts.fs || nodeFs;
  if (opts.isWindows == null) opts.isWindows = isWindows;
  if (!opts.Promise) opts.Promise = Promise;
  if (!opts.fs) opts.fs = fs;
  if (!opts.recurseWith) opts.recurseWith = copyItem;
  if (!opts.lstat) opts.lstat = promisify(opts.Promise, fs.lstat);
  if (!opts.stat) opts.stat = promisify(opts.Promise, fs.stat);
  if (!opts.chown) opts.chown = promisify(opts.Promise, fs.chown);
  if (!opts.readdir) opts.readdir = promisify(opts.Promise, fs.readdir);
  if (!opts.readlink) opts.readlink = promisify(opts.Promise, fs.readlink);
  if (!opts.symlink) opts.symlink = promisify(opts.Promise, fs.symlink);
  if (!opts.chmod) opts.chmod = promisify(opts.Promise, fs.chmod);
  opts.top = from;
  opts.mkdirpAsync = promisify(opts.Promise, mkdirp);
  var rimrafAsync = promisify(opts.Promise, rimraf);
  var queue = new RunQueue({
    maxConcurrency: opts.maxConcurrency,
    Promise: Promise
  });
  opts.queue = queue;
  queue.add(0, copyItem, [from, to, opts]);
  return queue.run().catch(function (err) {
    // if the target already exists don't clobber it
    if (err.code === 'EEXIST' || err.code === 'EPERM') {
      return passThroughError();
    } else {
      return remove(to).then(passThroughError, passThroughError);
    }

    function passThroughError() {
      return Promise.reject(err);
    }
  });

  function remove(target) {
    var opts = {
      unlink: fs.unlink,
      chmod: fs.chmod,
      stat: fs.stat,
      lstat: fs.lstat,
      rmdir: fs.rmdir,
      readdir: fs.readdir,
      glob: false
    };
    return rimrafAsync(target, opts);
  }
}

function copyItem(from, to, opts) {
  validate('SSO', [from, to, opts]);
  var fs = opts.fs || nodeFs;
  var Promise = opts.Promise || global.Promise;
  var lstat = opts.lstat || promisify(Promise, fs.lstat);
  return lstat(to).then(function () {
    return Promise.reject(eexists(from, to));
  }, function (err) {
    if (err && err.code !== 'ENOENT') return Promise.reject(err);
    return lstat(from);
  }).then(function (fromStat) {
    var cmdOpts = extend(extend({}, opts), fromStat);

    if (fromStat.isDirectory()) {
      return recurseDir(from, to, cmdOpts);
    } else if (fromStat.isSymbolicLink()) {
      opts.queue.add(1, copySymlink, [from, to, cmdOpts]);
    } else if (fromStat.isFile()) {
      return copyFile(from, to, cmdOpts);
    } else if (fromStat.isBlockDevice()) {
      return Promise.reject(eunsupported(from + " is a block device, and we don't know how to copy those."));
    } else if (fromStat.isCharacterDevice()) {
      return Promise.reject(eunsupported(from + " is a character device, and we don't know how to copy those."));
    } else if (fromStat.isFIFO()) {
      return Promise.reject(eunsupported(from + " is a FIFO, and we don't know how to copy those."));
    } else if (fromStat.isSocket()) {
      return Promise.reject(eunsupported(from + " is a socket, and we don't know how to copy those."));
    } else {
      return Promise.reject(eunsupported("We can't tell what " + from + " is and so we can't copy it."));
    }
  });
}

function recurseDir(from, to, opts) {
  validate('SSO', [from, to, opts]);
  var recurseWith = opts.recurseWith || copyItem;
  var fs = opts.fs || nodeFs;
  var chown = opts.chown || promisify(Promise, fs.chown);
  var readdir = opts.readdir || promisify(Promise, fs.readdir);
  var mkdirpAsync = opts.mkdirpAsync || promisify(Promise, mkdirp);
  return mkdirpAsync(to, {
    fs: fs,
    mode: opts.mode
  }).then(function () {
    var getuid = opts.getuid || process.getuid;

    if (getuid && opts.uid != null && getuid() === 0) {
      return chown(to, opts.uid, opts.gid);
    }
  }).then(function () {
    return readdir(from);
  }).then(function (files) {
    files.forEach(function (file) {
      opts.queue.add(0, recurseWith, [path.join(from, file), path.join(to, file), opts]);
    });
  });
}

function copySymlink(from, to, opts) {
  validate('SSO', [from, to, opts]);
  var fs = opts.fs || nodeFs;
  var readlink = opts.readlink || promisify(Promise, fs.readlink);
  var stat = opts.stat || promisify(Promise, fs.symlink);
  var symlink = opts.symlink || promisify(Promise, fs.symlink);
  var Promise = opts.Promise || global.Promise;
  return readlink(from).then(function (fromDest) {
    var absoluteDest = path.resolve(path.dirname(from), fromDest); // Treat absolute paths that are inside the tree we're
    // copying as relative. This necessary to properly support junctions
    // on windows (which are always absolute) but is also DWIM with symlinks.

    var relativeDest = path.relative(opts.top, absoluteDest);
    var linkFrom = relativeDest.substr(0, 2) === '..' ? fromDest : path.relative(path.dirname(from), absoluteDest);

    if (opts.isWindows) {
      return stat(absoluteDest).catch(function () {
        return null;
      }).then(function (destStat) {
        var isDir = destStat && destStat.isDirectory();
        var type = isDir ? 'dir' : 'file';
        return symlink(linkFrom, to, type).catch(function (err) {
          if (type === 'dir') {
            return symlink(linkFrom, to, 'junction');
          } else {
            return Promise.reject(err);
          }
        });
      });
    } else {
      return symlink(linkFrom, to);
    }
  });
}

function copyFile(from, to, opts) {
  validate('SSO', [from, to, opts]);
  var fs = opts.fs || nodeFs;
  var writeStreamAtomic = opts.writeStreamAtomic || stockWriteStreamAtomic;
  var Promise = opts.Promise || global.Promise;
  var chmod = opts.chmod || promisify(Promise, fs.chmod);
  var writeOpts = {};
  var getuid = opts.getuid || process.getuid;

  if (getuid && opts.uid != null && getuid() === 0) {
    writeOpts.chown = {
      uid: opts.uid,
      gid: opts.gid
    };
  }

  return new Promise(function (resolve, reject) {
    var errored = false;

    function onError(err) {
      errored = true;
      reject(err);
    }

    fs.createReadStream(from).once('error', onError).pipe(writeStreamAtomic(to, writeOpts)).once('error', onError).once('close', function () {
      if (errored) return;

      if (opts.mode != null) {
        resolve(chmod(to, opts.mode));
      } else {
        resolve();
      }
    });
  });
}

function eexists(from, to) {
  var err = new Error('Could not move ' + from + ' to ' + to + ': destination already exists.');
  err.code = 'EEXIST';
  return err;
}

function eunsupported(msg) {
  var err = new Error(msg);
  err.code = 'EUNSUPPORTED';
  return err;
}

/***/ }),

/***/ "./node_modules/.f/_/copy-concurrently/1.0.5/copy-concurrently/is-windows.js":
/***/ ((module) => {

"use strict";


module.exports = process.platform === 'win32';

/***/ }),

/***/ "./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js":
/***/ ((__unused_webpack_module, exports) => {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// NOTE: These type checking functions intentionally don't use `instanceof`
// because it is fragile and can be easily faked with `Object.create()`.
function isArray(arg) {
  if (Array.isArray) {
    return Array.isArray(arg);
  }

  return objectToString(arg) === '[object Array]';
}

exports.isArray = isArray;

function isBoolean(arg) {
  return typeof arg === 'boolean';
}

exports.isBoolean = isBoolean;

function isNull(arg) {
  return arg === null;
}

exports.isNull = isNull;

function isNullOrUndefined(arg) {
  return arg == null;
}

exports.isNullOrUndefined = isNullOrUndefined;

function isNumber(arg) {
  return typeof arg === 'number';
}

exports.isNumber = isNumber;

function isString(arg) {
  return typeof arg === 'string';
}

exports.isString = isString;

function isSymbol(arg) {
  return typeof arg === 'symbol';
}

exports.isSymbol = isSymbol;

function isUndefined(arg) {
  return arg === void 0;
}

exports.isUndefined = isUndefined;

function isRegExp(re) {
  return objectToString(re) === '[object RegExp]';
}

exports.isRegExp = isRegExp;

function isObject(arg) {
  return typeof arg === 'object' && arg !== null;
}

exports.isObject = isObject;

function isDate(d) {
  return objectToString(d) === '[object Date]';
}

exports.isDate = isDate;

function isError(e) {
  return objectToString(e) === '[object Error]' || e instanceof Error;
}

exports.isError = isError;

function isFunction(arg) {
  return typeof arg === 'function';
}

exports.isFunction = isFunction;

function isPrimitive(arg) {
  return arg === null || typeof arg === 'boolean' || typeof arg === 'number' || typeof arg === 'string' || typeof arg === 'symbol' || // ES6 symbol
  typeof arg === 'undefined';
}

exports.isPrimitive = isPrimitive;
exports.isBuffer = Buffer.isBuffer;

function objectToString(o) {
  return Object.prototype.toString.call(o);
}

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const cp = __webpack_require__("child_process");

const parse = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/parse.js");

const enoent = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/enoent.js");

function spawn(command, args, options) {
  // Parse the arguments
  const parsed = parse(command, args, options); // Spawn the child process

  const spawned = cp.spawn(parsed.command, parsed.args, parsed.options); // Hook into child process "exit" event to emit an error if the command
  // does not exists, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16

  enoent.hookChildProcess(spawned, parsed);
  return spawned;
}

function spawnSync(command, args, options) {
  // Parse the arguments
  const parsed = parse(command, args, options); // Spawn the child process

  const result = cp.spawnSync(parsed.command, parsed.args, parsed.options); // Analyze if the command does not exist, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16

  result.error = result.error || enoent.verifyENOENTSync(result.status, parsed);
  return result;
}

module.exports = spawn;
module.exports.spawn = spawn;
module.exports.sync = spawnSync;
module.exports._parse = parse;
module.exports._enoent = enoent;

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/enoent.js":
/***/ ((module) => {

"use strict";


const isWin = process.platform === 'win32';

function notFoundError(original, syscall) {
  return Object.assign(new Error(`${syscall} ${original.command} ENOENT`), {
    code: 'ENOENT',
    errno: 'ENOENT',
    syscall: `${syscall} ${original.command}`,
    path: original.command,
    spawnargs: original.args
  });
}

function hookChildProcess(cp, parsed) {
  if (!isWin) {
    return;
  }

  const originalEmit = cp.emit;

  cp.emit = function (name, arg1) {
    // If emitting "exit" event and exit code is 1, we need to check if
    // the command exists and emit an "error" instead
    // See https://github.com/IndigoUnited/node-cross-spawn/issues/16
    if (name === 'exit') {
      const err = verifyENOENT(arg1, parsed, 'spawn');

      if (err) {
        return originalEmit.call(cp, 'error', err);
      }
    }

    return originalEmit.apply(cp, arguments); // eslint-disable-line prefer-rest-params
  };
}

function verifyENOENT(status, parsed) {
  if (isWin && status === 1 && !parsed.file) {
    return notFoundError(parsed.original, 'spawn');
  }

  return null;
}

function verifyENOENTSync(status, parsed) {
  if (isWin && status === 1 && !parsed.file) {
    return notFoundError(parsed.original, 'spawnSync');
  }

  return null;
}

module.exports = {
  hookChildProcess,
  verifyENOENT,
  verifyENOENTSync,
  notFoundError
};

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/parse.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const resolveCommand = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/resolveCommand.js");

const escape = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/escape.js");

const readShebang = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/readShebang.js");

const isWin = process.platform === 'win32';
const isExecutableRegExp = /\.(?:com|exe)$/i;
const isCmdShimRegExp = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;

function detectShebang(parsed) {
  parsed.file = resolveCommand(parsed);
  const shebang = parsed.file && readShebang(parsed.file);

  if (shebang) {
    parsed.args.unshift(parsed.file);
    parsed.command = shebang;
    return resolveCommand(parsed);
  }

  return parsed.file;
}

function parseNonShell(parsed) {
  if (!isWin) {
    return parsed;
  } // Detect & add support for shebangs


  const commandFile = detectShebang(parsed); // We don't need a shell if the command filename is an executable

  const needsShell = !isExecutableRegExp.test(commandFile); // If a shell is required, use cmd.exe and take care of escaping everything correctly
  // Note that `forceShell` is an hidden option used only in tests

  if (parsed.options.forceShell || needsShell) {
    // Need to double escape meta chars if the command is a cmd-shim located in `node_modules/.bin/`
    // The cmd-shim simply calls execute the package bin file with NodeJS, proxying any argument
    // Because the escape of metachars with ^ gets interpreted when the cmd.exe is first called,
    // we need to double escape them
    const needsDoubleEscapeMetaChars = isCmdShimRegExp.test(commandFile); // Normalize posix paths into OS compatible paths (e.g.: foo/bar -> foo\bar)
    // This is necessary otherwise it will always fail with ENOENT in those cases

    parsed.command = path.normalize(parsed.command); // Escape command & arguments

    parsed.command = escape.command(parsed.command);
    parsed.args = parsed.args.map(arg => escape.argument(arg, needsDoubleEscapeMetaChars));
    const shellCommand = [parsed.command].concat(parsed.args).join(' ');
    parsed.args = ['/d', '/s', '/c', `"${shellCommand}"`];
    parsed.command = process.env.comspec || 'cmd.exe';
    parsed.options.windowsVerbatimArguments = true; // Tell node's spawn that the arguments are already escaped
  }

  return parsed;
}

function parse(command, args, options) {
  // Normalize arguments, similar to nodejs
  if (args && !Array.isArray(args)) {
    options = args;
    args = null;
  }

  args = args ? args.slice(0) : []; // Clone array to avoid changing the original

  options = Object.assign({}, options); // Clone object to avoid changing the original
  // Build our parsed object

  const parsed = {
    command,
    args,
    options,
    file: undefined,
    original: {
      command,
      args
    }
  }; // Delegate further parsing to shell or non-shell

  return options.shell ? parsed : parseNonShell(parsed);
}

module.exports = parse;

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/escape.js":
/***/ ((module) => {

"use strict";
 // See http://www.robvanderwoude.com/escapechars.php

const metaCharsRegExp = /([()\][%!^"`<>&|;, *?])/g;

function escapeCommand(arg) {
  // Escape meta chars
  arg = arg.replace(metaCharsRegExp, '^$1');
  return arg;
}

function escapeArgument(arg, doubleEscapeMetaChars) {
  // Convert to string
  arg = `${arg}`; // Algorithm below is based on https://qntm.org/cmd
  // Sequence of backslashes followed by a double quote:
  // double up all the backslashes and escape the double quote

  arg = arg.replace(/(\\*)"/g, '$1$1\\"'); // Sequence of backslashes followed by the end of the string
  // (which will become a double quote later):
  // double up all the backslashes

  arg = arg.replace(/(\\*)$/, '$1$1'); // All other backslashes occur literally
  // Quote the whole thing:

  arg = `"${arg}"`; // Escape meta chars

  arg = arg.replace(metaCharsRegExp, '^$1'); // Double escape meta chars if necessary

  if (doubleEscapeMetaChars) {
    arg = arg.replace(metaCharsRegExp, '^$1');
  }

  return arg;
}

module.exports.command = escapeCommand;
module.exports.argument = escapeArgument;

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/readShebang.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const shebangCommand = __webpack_require__("./node_modules/.f/_/shebang-command/2.0.0/shebang-command/index.js");

function readShebang(command) {
  // Read the first 150 bytes from the file
  const size = 150;
  const buffer = Buffer.alloc(size);
  let fd;

  try {
    fd = fs.openSync(command, 'r');
    fs.readSync(fd, buffer, 0, size, 0);
    fs.closeSync(fd);
  } catch (e) {
    /* Empty */
  } // Attempt to extract shebang (null is returned if not a shebang)


  return shebangCommand(buffer.toString());
}

module.exports = readShebang;

/***/ }),

/***/ "./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/lib/util/resolveCommand.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const which = __webpack_require__("./node_modules/.f/_/which/2.0.2/which/which.js");

const getPathKey = __webpack_require__("./node_modules/.f/_/path-key/3.1.1/path-key/index.js");

function resolveCommandAttempt(parsed, withoutPathExt) {
  const env = parsed.options.env || process.env;
  const cwd = process.cwd();
  const hasCustomCwd = parsed.options.cwd != null; // Worker threads do not have process.chdir()

  const shouldSwitchCwd = hasCustomCwd && process.chdir !== undefined && !process.chdir.disabled; // If a custom `cwd` was specified, we need to change the process cwd
  // because `which` will do stat calls but does not support a custom cwd

  if (shouldSwitchCwd) {
    try {
      process.chdir(parsed.options.cwd);
    } catch (err) {
      /* Empty */
    }
  }

  let resolved;

  try {
    resolved = which.sync(parsed.command, {
      path: env[getPathKey({
        env
      })],
      pathExt: withoutPathExt ? path.delimiter : undefined
    });
  } catch (e) {
    /* Empty */
  } finally {
    if (shouldSwitchCwd) {
      process.chdir(cwd);
    }
  } // If we successfully resolved, ensure that an absolute path is returned
  // Note that when a custom `cwd` was used, we need to resolve to an absolute path based on it


  if (resolved) {
    resolved = path.resolve(hasCustomCwd ? parsed.options.cwd : '', resolved);
  }

  return resolved;
}

function resolveCommand(parsed) {
  return resolveCommandAttempt(parsed) || resolveCommandAttempt(parsed, true);
}

module.exports = resolveCommand;

/***/ }),

/***/ "./node_modules/.f/_/cyclist/1.0.1/cyclist/index.js":
/***/ ((module) => {

var twoify = function (n) {
  if (n && !(n & n - 1)) return n;
  var p = 1;

  while (p < n) p <<= 1;

  return p;
};

var Cyclist = function (size) {
  if (!(this instanceof Cyclist)) return new Cyclist(size);
  size = twoify(size);
  this.mask = size - 1;
  this.size = size;
  this.values = new Array(size);
};

Cyclist.prototype.put = function (index, val) {
  var pos = index & this.mask;
  this.values[pos] = val;
  return pos;
};

Cyclist.prototype.get = function (index) {
  return this.values[index & this.mask];
};

Cyclist.prototype.del = function (index) {
  var pos = index & this.mask;
  var val = this.values[pos];
  this.values[pos] = undefined;
  return val;
};

module.exports = Cyclist;

/***/ }),

/***/ "./node_modules/.f/_/delegates/1.0.0/delegates/index.js":
/***/ ((module) => {

/**
 * Expose `Delegator`.
 */
module.exports = Delegator;
/**
 * Initialize a delegator.
 *
 * @param {Object} proto
 * @param {String} target
 * @api public
 */

function Delegator(proto, target) {
  if (!(this instanceof Delegator)) return new Delegator(proto, target);
  this.proto = proto;
  this.target = target;
  this.methods = [];
  this.getters = [];
  this.setters = [];
  this.fluents = [];
}
/**
 * Delegate method `name`.
 *
 * @param {String} name
 * @return {Delegator} self
 * @api public
 */


Delegator.prototype.method = function (name) {
  var proto = this.proto;
  var target = this.target;
  this.methods.push(name);

  proto[name] = function () {
    return this[target][name].apply(this[target], arguments);
  };

  return this;
};
/**
 * Delegator accessor `name`.
 *
 * @param {String} name
 * @return {Delegator} self
 * @api public
 */


Delegator.prototype.access = function (name) {
  return this.getter(name).setter(name);
};
/**
 * Delegator getter `name`.
 *
 * @param {String} name
 * @return {Delegator} self
 * @api public
 */


Delegator.prototype.getter = function (name) {
  var proto = this.proto;
  var target = this.target;
  this.getters.push(name);

  proto.__defineGetter__(name, function () {
    return this[target][name];
  });

  return this;
};
/**
 * Delegator setter `name`.
 *
 * @param {String} name
 * @return {Delegator} self
 * @api public
 */


Delegator.prototype.setter = function (name) {
  var proto = this.proto;
  var target = this.target;
  this.setters.push(name);

  proto.__defineSetter__(name, function (val) {
    return this[target][name] = val;
  });

  return this;
};
/**
 * Delegator fluent accessor
 *
 * @param {String} name
 * @return {Delegator} self
 * @api public
 */


Delegator.prototype.fluent = function (name) {
  var proto = this.proto;
  var target = this.target;
  this.fluents.push(name);

  proto[name] = function (val) {
    if ('undefined' != typeof val) {
      this[target][name] = val;
      return this;
    } else {
      return this[target][name];
    }
  };

  return this;
};

/***/ }),

/***/ "./node_modules/.f/_/depd/1.1.2/depd/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/*!
 * depd
 * Copyright(c) 2014-2017 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module dependencies.
 */
var callSiteToString = __webpack_require__("./node_modules/.f/_/depd/1.1.2/depd/lib/compat/index.js").callSiteToString;

var eventListenerCount = __webpack_require__("./node_modules/.f/_/depd/1.1.2/depd/lib/compat/index.js").eventListenerCount;

var relative = __webpack_require__("path").relative;
/**
 * Module exports.
 */


module.exports = depd;
/**
 * Get the path to base files on.
 */

var basePath = process.cwd();
/**
 * Determine if namespace is contained in the string.
 */

function containsNamespace(str, namespace) {
  var vals = str.split(/[ ,]+/);
  var ns = String(namespace).toLowerCase();

  for (var i = 0; i < vals.length; i++) {
    var val = vals[i]; // namespace contained

    if (val && (val === '*' || val.toLowerCase() === ns)) {
      return true;
    }
  }

  return false;
}
/**
 * Convert a data descriptor to accessor descriptor.
 */


function convertDataDescriptorToAccessor(obj, prop, message) {
  var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
  var value = descriptor.value;

  descriptor.get = function getter() {
    return value;
  };

  if (descriptor.writable) {
    descriptor.set = function setter(val) {
      return value = val;
    };
  }

  delete descriptor.value;
  delete descriptor.writable;
  Object.defineProperty(obj, prop, descriptor);
  return descriptor;
}
/**
 * Create arguments string to keep arity.
 */


function createArgumentsString(arity) {
  var str = '';

  for (var i = 0; i < arity; i++) {
    str += ', arg' + i;
  }

  return str.substr(2);
}
/**
 * Create stack string from stack.
 */


function createStackString(stack) {
  var str = this.name + ': ' + this.namespace;

  if (this.message) {
    str += ' deprecated ' + this.message;
  }

  for (var i = 0; i < stack.length; i++) {
    str += '\n    at ' + callSiteToString(stack[i]);
  }

  return str;
}
/**
 * Create deprecate for namespace in caller.
 */


function depd(namespace) {
  if (!namespace) {
    throw new TypeError('argument namespace is required');
  }

  var stack = getStack();
  var site = callSiteLocation(stack[1]);
  var file = site[0];

  function deprecate(message) {
    // call to self as log
    log.call(deprecate, message);
  }

  deprecate._file = file;
  deprecate._ignored = isignored(namespace);
  deprecate._namespace = namespace;
  deprecate._traced = istraced(namespace);
  deprecate._warned = Object.create(null);
  deprecate.function = wrapfunction;
  deprecate.property = wrapproperty;
  return deprecate;
}
/**
 * Determine if namespace is ignored.
 */


function isignored(namespace) {
  /* istanbul ignore next: tested in a child processs */
  if (process.noDeprecation) {
    // --no-deprecation support
    return true;
  }

  var str = process.env.NO_DEPRECATION || ''; // namespace ignored

  return containsNamespace(str, namespace);
}
/**
 * Determine if namespace is traced.
 */


function istraced(namespace) {
  /* istanbul ignore next: tested in a child processs */
  if (process.traceDeprecation) {
    // --trace-deprecation support
    return true;
  }

  var str = process.env.TRACE_DEPRECATION || ''; // namespace traced

  return containsNamespace(str, namespace);
}
/**
 * Display deprecation message.
 */


function log(message, site) {
  var haslisteners = eventListenerCount(process, 'deprecation') !== 0; // abort early if no destination

  if (!haslisteners && this._ignored) {
    return;
  }

  var caller;
  var callFile;
  var callSite;
  var depSite;
  var i = 0;
  var seen = false;
  var stack = getStack();
  var file = this._file;

  if (site) {
    // provided site
    depSite = site;
    callSite = callSiteLocation(stack[1]);
    callSite.name = depSite.name;
    file = callSite[0];
  } else {
    // get call site
    i = 2;
    depSite = callSiteLocation(stack[i]);
    callSite = depSite;
  } // get caller of deprecated thing in relation to file


  for (; i < stack.length; i++) {
    caller = callSiteLocation(stack[i]);
    callFile = caller[0];

    if (callFile === file) {
      seen = true;
    } else if (callFile === this._file) {
      file = this._file;
    } else if (seen) {
      break;
    }
  }

  var key = caller ? depSite.join(':') + '__' + caller.join(':') : undefined;

  if (key !== undefined && key in this._warned) {
    // already warned
    return;
  }

  this._warned[key] = true; // generate automatic message from call site

  var msg = message;

  if (!msg) {
    msg = callSite === depSite || !callSite.name ? defaultMessage(depSite) : defaultMessage(callSite);
  } // emit deprecation if listeners exist


  if (haslisteners) {
    var err = DeprecationError(this._namespace, msg, stack.slice(i));
    process.emit('deprecation', err);
    return;
  } // format and write message


  var format = process.stderr.isTTY ? formatColor : formatPlain;
  var output = format.call(this, msg, caller, stack.slice(i));
  process.stderr.write(output + '\n', 'utf8');
}
/**
 * Get call site location as array.
 */


function callSiteLocation(callSite) {
  var file = callSite.getFileName() || '<anonymous>';
  var line = callSite.getLineNumber();
  var colm = callSite.getColumnNumber();

  if (callSite.isEval()) {
    file = callSite.getEvalOrigin() + ', ' + file;
  }

  var site = [file, line, colm];
  site.callSite = callSite;
  site.name = callSite.getFunctionName();
  return site;
}
/**
 * Generate a default message from the site.
 */


function defaultMessage(site) {
  var callSite = site.callSite;
  var funcName = site.name; // make useful anonymous name

  if (!funcName) {
    funcName = '<anonymous@' + formatLocation(site) + '>';
  }

  var context = callSite.getThis();
  var typeName = context && callSite.getTypeName(); // ignore useless type name

  if (typeName === 'Object') {
    typeName = undefined;
  } // make useful type name


  if (typeName === 'Function') {
    typeName = context.name || typeName;
  }

  return typeName && callSite.getMethodName() ? typeName + '.' + funcName : funcName;
}
/**
 * Format deprecation message without color.
 */


function formatPlain(msg, caller, stack) {
  var timestamp = new Date().toUTCString();
  var formatted = timestamp + ' ' + this._namespace + ' deprecated ' + msg; // add stack trace

  if (this._traced) {
    for (var i = 0; i < stack.length; i++) {
      formatted += '\n    at ' + callSiteToString(stack[i]);
    }

    return formatted;
  }

  if (caller) {
    formatted += ' at ' + formatLocation(caller);
  }

  return formatted;
}
/**
 * Format deprecation message with color.
 */


function formatColor(msg, caller, stack) {
  var formatted = '\x1b[36;1m' + this._namespace + '\x1b[22;39m' + // bold cyan
  ' \x1b[33;1mdeprecated\x1b[22;39m' + // bold yellow
  ' \x1b[0m' + msg + '\x1b[39m'; // reset
  // add stack trace

  if (this._traced) {
    for (var i = 0; i < stack.length; i++) {
      formatted += '\n    \x1b[36mat ' + callSiteToString(stack[i]) + '\x1b[39m'; // cyan
    }

    return formatted;
  }

  if (caller) {
    formatted += ' \x1b[36m' + formatLocation(caller) + '\x1b[39m'; // cyan
  }

  return formatted;
}
/**
 * Format call site location.
 */


function formatLocation(callSite) {
  return relative(basePath, callSite[0]) + ':' + callSite[1] + ':' + callSite[2];
}
/**
 * Get the stack as array of call sites.
 */


function getStack() {
  var limit = Error.stackTraceLimit;
  var obj = {};
  var prep = Error.prepareStackTrace;
  Error.prepareStackTrace = prepareObjectStackTrace;
  Error.stackTraceLimit = Math.max(10, limit); // capture the stack

  Error.captureStackTrace(obj); // slice this function off the top

  var stack = obj.stack.slice(1);
  Error.prepareStackTrace = prep;
  Error.stackTraceLimit = limit;
  return stack;
}
/**
 * Capture call site stack from v8.
 */


function prepareObjectStackTrace(obj, stack) {
  return stack;
}
/**
 * Return a wrapped function in a deprecation message.
 */


function wrapfunction(fn, message) {
  if (typeof fn !== 'function') {
    throw new TypeError('argument fn must be a function');
  }

  var args = createArgumentsString(fn.length);
  var deprecate = this; // eslint-disable-line no-unused-vars

  var stack = getStack();
  var site = callSiteLocation(stack[1]);
  site.name = fn.name; // eslint-disable-next-line no-eval

  var deprecatedfn = eval('(function (' + args + ') {\n' + '"use strict"\n' + 'log.call(deprecate, message, site)\n' + 'return fn.apply(this, arguments)\n' + '})');
  return deprecatedfn;
}
/**
 * Wrap property in a deprecation message.
 */


function wrapproperty(obj, prop, message) {
  if (!obj || typeof obj !== 'object' && typeof obj !== 'function') {
    throw new TypeError('argument obj must be object');
  }

  var descriptor = Object.getOwnPropertyDescriptor(obj, prop);

  if (!descriptor) {
    throw new TypeError('must call property on owner object');
  }

  if (!descriptor.configurable) {
    throw new TypeError('property must be configurable');
  }

  var deprecate = this;
  var stack = getStack();
  var site = callSiteLocation(stack[1]); // set site name

  site.name = prop; // convert data descriptor

  if ('value' in descriptor) {
    descriptor = convertDataDescriptorToAccessor(obj, prop, message);
  }

  var get = descriptor.get;
  var set = descriptor.set; // wrap getter

  if (typeof get === 'function') {
    descriptor.get = function getter() {
      log.call(deprecate, message, site);
      return get.apply(this, arguments);
    };
  } // wrap setter


  if (typeof set === 'function') {
    descriptor.set = function setter() {
      log.call(deprecate, message, site);
      return set.apply(this, arguments);
    };
  }

  Object.defineProperty(obj, prop, descriptor);
}
/**
 * Create DeprecationError for deprecation
 */


function DeprecationError(namespace, message, stack) {
  var error = new Error();
  var stackString;
  Object.defineProperty(error, 'constructor', {
    value: DeprecationError
  });
  Object.defineProperty(error, 'message', {
    configurable: true,
    enumerable: false,
    value: message,
    writable: true
  });
  Object.defineProperty(error, 'name', {
    enumerable: false,
    configurable: true,
    value: 'DeprecationError',
    writable: true
  });
  Object.defineProperty(error, 'namespace', {
    configurable: true,
    enumerable: false,
    value: namespace,
    writable: true
  });
  Object.defineProperty(error, 'stack', {
    configurable: true,
    enumerable: false,
    get: function () {
      if (stackString !== undefined) {
        return stackString;
      } // prepare stack trace


      return stackString = createStackString.call(this, stack);
    },
    set: function setter(val) {
      stackString = val;
    }
  });
  return error;
}

/***/ }),

/***/ "./node_modules/.f/_/depd/1.1.2/depd/lib/compat/callsite-tostring.js":
/***/ ((module) => {

"use strict";
/*!
 * depd
 * Copyright(c) 2014 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 */

module.exports = callSiteToString;
/**
 * Format a CallSite file location to a string.
 */

function callSiteFileLocation(callSite) {
  var fileName;
  var fileLocation = '';

  if (callSite.isNative()) {
    fileLocation = 'native';
  } else if (callSite.isEval()) {
    fileName = callSite.getScriptNameOrSourceURL();

    if (!fileName) {
      fileLocation = callSite.getEvalOrigin();
    }
  } else {
    fileName = callSite.getFileName();
  }

  if (fileName) {
    fileLocation += fileName;
    var lineNumber = callSite.getLineNumber();

    if (lineNumber != null) {
      fileLocation += ':' + lineNumber;
      var columnNumber = callSite.getColumnNumber();

      if (columnNumber) {
        fileLocation += ':' + columnNumber;
      }
    }
  }

  return fileLocation || 'unknown source';
}
/**
 * Format a CallSite to a string.
 */


function callSiteToString(callSite) {
  var addSuffix = true;
  var fileLocation = callSiteFileLocation(callSite);
  var functionName = callSite.getFunctionName();
  var isConstructor = callSite.isConstructor();
  var isMethodCall = !(callSite.isToplevel() || isConstructor);
  var line = '';

  if (isMethodCall) {
    var methodName = callSite.getMethodName();
    var typeName = getConstructorName(callSite);

    if (functionName) {
      if (typeName && functionName.indexOf(typeName) !== 0) {
        line += typeName + '.';
      }

      line += functionName;

      if (methodName && functionName.lastIndexOf('.' + methodName) !== functionName.length - methodName.length - 1) {
        line += ' [as ' + methodName + ']';
      }
    } else {
      line += typeName + '.' + (methodName || '<anonymous>');
    }
  } else if (isConstructor) {
    line += 'new ' + (functionName || '<anonymous>');
  } else if (functionName) {
    line += functionName;
  } else {
    addSuffix = false;
    line += fileLocation;
  }

  if (addSuffix) {
    line += ' (' + fileLocation + ')';
  }

  return line;
}
/**
 * Get constructor name of reviver.
 */


function getConstructorName(obj) {
  var receiver = obj.receiver;
  return receiver.constructor && receiver.constructor.name || null;
}

/***/ }),

/***/ "./node_modules/.f/_/depd/1.1.2/depd/lib/compat/event-listener-count.js":
/***/ ((module) => {

"use strict";
/*!
 * depd
 * Copyright(c) 2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 * @public
 */

module.exports = eventListenerCount;
/**
 * Get the count of listeners on an event emitter of a specific type.
 */

function eventListenerCount(emitter, type) {
  return emitter.listeners(type).length;
}

/***/ }),

/***/ "./node_modules/.f/_/depd/1.1.2/depd/lib/compat/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/*!
 * depd
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module dependencies.
 * @private
 */

var EventEmitter = __webpack_require__("events").EventEmitter;
/**
 * Module exports.
 * @public
 */


lazyProperty(module.exports, 'callSiteToString', function callSiteToString() {
  var limit = Error.stackTraceLimit;
  var obj = {};
  var prep = Error.prepareStackTrace;

  function prepareObjectStackTrace(obj, stack) {
    return stack;
  }

  Error.prepareStackTrace = prepareObjectStackTrace;
  Error.stackTraceLimit = 2; // capture the stack

  Error.captureStackTrace(obj); // slice the stack

  var stack = obj.stack.slice();
  Error.prepareStackTrace = prep;
  Error.stackTraceLimit = limit;
  return stack[0].toString ? toString : __webpack_require__("./node_modules/.f/_/depd/1.1.2/depd/lib/compat/callsite-tostring.js");
});
lazyProperty(module.exports, 'eventListenerCount', function eventListenerCount() {
  return EventEmitter.listenerCount || __webpack_require__("./node_modules/.f/_/depd/1.1.2/depd/lib/compat/event-listener-count.js");
});
/**
 * Define a lazy property.
 */

function lazyProperty(obj, prop, getter) {
  function get() {
    var val = getter();
    Object.defineProperty(obj, prop, {
      configurable: true,
      enumerable: true,
      value: val
    });
    return val;
  }

  Object.defineProperty(obj, prop, {
    configurable: true,
    enumerable: true,
    get: get
  });
}
/**
 * Call toString() on the obj
 */


function toString(obj) {
  return obj.toString();
}

/***/ }),

/***/ "./node_modules/.f/_/duplexify/3.7.1/duplexify/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js");

var eos = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var shift = __webpack_require__("./node_modules/.f/_/stream-shift/1.0.1/stream-shift/index.js");

var SIGNAL_FLUSH = Buffer.from && Buffer.from !== Uint8Array.from ? Buffer.from([0]) : new Buffer([0]);

var onuncork = function (self, fn) {
  if (self._corked) self.once('uncork', fn);else fn();
};

var autoDestroy = function (self, err) {
  if (self._autoDestroy) self.destroy(err);
};

var destroyer = function (self, end) {
  return function (err) {
    if (err) autoDestroy(self, err.message === 'premature close' ? null : err);else if (end && !self._ended) self.end();
  };
};

var end = function (ws, fn) {
  if (!ws) return fn();
  if (ws._writableState && ws._writableState.finished) return fn();
  if (ws._writableState) return ws.end(fn);
  ws.end();
  fn();
};

var toStreams2 = function (rs) {
  return new stream.Readable({
    objectMode: true,
    highWaterMark: 16
  }).wrap(rs);
};

var Duplexify = function (writable, readable, opts) {
  if (!(this instanceof Duplexify)) return new Duplexify(writable, readable, opts);
  stream.Duplex.call(this, opts);
  this._writable = null;
  this._readable = null;
  this._readable2 = null;
  this._autoDestroy = !opts || opts.autoDestroy !== false;
  this._forwardDestroy = !opts || opts.destroy !== false;
  this._forwardEnd = !opts || opts.end !== false;
  this._corked = 1; // start corked

  this._ondrain = null;
  this._drained = false;
  this._forwarding = false;
  this._unwrite = null;
  this._unread = null;
  this._ended = false;
  this.destroyed = false;
  if (writable) this.setWritable(writable);
  if (readable) this.setReadable(readable);
};

inherits(Duplexify, stream.Duplex);

Duplexify.obj = function (writable, readable, opts) {
  if (!opts) opts = {};
  opts.objectMode = true;
  opts.highWaterMark = 16;
  return new Duplexify(writable, readable, opts);
};

Duplexify.prototype.cork = function () {
  if (++this._corked === 1) this.emit('cork');
};

Duplexify.prototype.uncork = function () {
  if (this._corked && --this._corked === 0) this.emit('uncork');
};

Duplexify.prototype.setWritable = function (writable) {
  if (this._unwrite) this._unwrite();

  if (this.destroyed) {
    if (writable && writable.destroy) writable.destroy();
    return;
  }

  if (writable === null || writable === false) {
    this.end();
    return;
  }

  var self = this;
  var unend = eos(writable, {
    writable: true,
    readable: false
  }, destroyer(this, this._forwardEnd));

  var ondrain = function () {
    var ondrain = self._ondrain;
    self._ondrain = null;
    if (ondrain) ondrain();
  };

  var clear = function () {
    self._writable.removeListener('drain', ondrain);

    unend();
  };

  if (this._unwrite) process.nextTick(ondrain); // force a drain on stream reset to avoid livelocks

  this._writable = writable;

  this._writable.on('drain', ondrain);

  this._unwrite = clear;
  this.uncork(); // always uncork setWritable
};

Duplexify.prototype.setReadable = function (readable) {
  if (this._unread) this._unread();

  if (this.destroyed) {
    if (readable && readable.destroy) readable.destroy();
    return;
  }

  if (readable === null || readable === false) {
    this.push(null);
    this.resume();
    return;
  }

  var self = this;
  var unend = eos(readable, {
    writable: false,
    readable: true
  }, destroyer(this));

  var onreadable = function () {
    self._forward();
  };

  var onend = function () {
    self.push(null);
  };

  var clear = function () {
    self._readable2.removeListener('readable', onreadable);

    self._readable2.removeListener('end', onend);

    unend();
  };

  this._drained = true;
  this._readable = readable;
  this._readable2 = readable._readableState ? readable : toStreams2(readable);

  this._readable2.on('readable', onreadable);

  this._readable2.on('end', onend);

  this._unread = clear;

  this._forward();
};

Duplexify.prototype._read = function () {
  this._drained = true;

  this._forward();
};

Duplexify.prototype._forward = function () {
  if (this._forwarding || !this._readable2 || !this._drained) return;
  this._forwarding = true;
  var data;

  while (this._drained && (data = shift(this._readable2)) !== null) {
    if (this.destroyed) continue;
    this._drained = this.push(data);
  }

  this._forwarding = false;
};

Duplexify.prototype.destroy = function (err) {
  if (this.destroyed) return;
  this.destroyed = true;
  var self = this;
  process.nextTick(function () {
    self._destroy(err);
  });
};

Duplexify.prototype._destroy = function (err) {
  if (err) {
    var ondrain = this._ondrain;
    this._ondrain = null;
    if (ondrain) ondrain(err);else this.emit('error', err);
  }

  if (this._forwardDestroy) {
    if (this._readable && this._readable.destroy) this._readable.destroy();
    if (this._writable && this._writable.destroy) this._writable.destroy();
  }

  this.emit('close');
};

Duplexify.prototype._write = function (data, enc, cb) {
  if (this.destroyed) return cb();
  if (this._corked) return onuncork(this, this._write.bind(this, data, enc, cb));
  if (data === SIGNAL_FLUSH) return this._finish(cb);
  if (!this._writable) return cb();
  if (this._writable.write(data) === false) this._ondrain = cb;else cb();
};

Duplexify.prototype._finish = function (cb) {
  var self = this;
  this.emit('preend');
  onuncork(this, function () {
    end(self._forwardEnd && self._writable, function () {
      // haxx to not emit prefinish twice
      if (self._writableState.prefinished === false) self._writableState.prefinished = true;
      self.emit('prefinish');
      onuncork(self, cb);
    });
  });
};

Duplexify.prototype.end = function (data, enc, cb) {
  if (typeof data === 'function') return this.end(null, null, data);
  if (typeof enc === 'function') return this.end(data, null, enc);
  this._ended = true;
  if (data) this.write(data);
  if (!this._writableState.ending) this.write(SIGNAL_FLUSH);
  return stream.Writable.prototype.end.call(this, cb);
};

module.exports = Duplexify;

/***/ }),

/***/ "./node_modules/.f/_/duplexify/4.1.1/duplexify/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js");

var eos = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var shift = __webpack_require__("./node_modules/.f/_/stream-shift/1.0.1/stream-shift/index.js");

var SIGNAL_FLUSH = Buffer.from && Buffer.from !== Uint8Array.from ? Buffer.from([0]) : new Buffer([0]);

var onuncork = function (self, fn) {
  if (self._corked) self.once('uncork', fn);else fn();
};

var autoDestroy = function (self, err) {
  if (self._autoDestroy) self.destroy(err);
};

var destroyer = function (self, end) {
  return function (err) {
    if (err) autoDestroy(self, err.message === 'premature close' ? null : err);else if (end && !self._ended) self.end();
  };
};

var end = function (ws, fn) {
  if (!ws) return fn();
  if (ws._writableState && ws._writableState.finished) return fn();
  if (ws._writableState) return ws.end(fn);
  ws.end();
  fn();
};

var noop = function () {};

var toStreams2 = function (rs) {
  return new stream.Readable({
    objectMode: true,
    highWaterMark: 16
  }).wrap(rs);
};

var Duplexify = function (writable, readable, opts) {
  if (!(this instanceof Duplexify)) return new Duplexify(writable, readable, opts);
  stream.Duplex.call(this, opts);
  this._writable = null;
  this._readable = null;
  this._readable2 = null;
  this._autoDestroy = !opts || opts.autoDestroy !== false;
  this._forwardDestroy = !opts || opts.destroy !== false;
  this._forwardEnd = !opts || opts.end !== false;
  this._corked = 1; // start corked

  this._ondrain = null;
  this._drained = false;
  this._forwarding = false;
  this._unwrite = null;
  this._unread = null;
  this._ended = false;
  this.destroyed = false;
  if (writable) this.setWritable(writable);
  if (readable) this.setReadable(readable);
};

inherits(Duplexify, stream.Duplex);

Duplexify.obj = function (writable, readable, opts) {
  if (!opts) opts = {};
  opts.objectMode = true;
  opts.highWaterMark = 16;
  return new Duplexify(writable, readable, opts);
};

Duplexify.prototype.cork = function () {
  if (++this._corked === 1) this.emit('cork');
};

Duplexify.prototype.uncork = function () {
  if (this._corked && --this._corked === 0) this.emit('uncork');
};

Duplexify.prototype.setWritable = function (writable) {
  if (this._unwrite) this._unwrite();

  if (this.destroyed) {
    if (writable && writable.destroy) writable.destroy();
    return;
  }

  if (writable === null || writable === false) {
    this.end();
    return;
  }

  var self = this;
  var unend = eos(writable, {
    writable: true,
    readable: false
  }, destroyer(this, this._forwardEnd));

  var ondrain = function () {
    var ondrain = self._ondrain;
    self._ondrain = null;
    if (ondrain) ondrain();
  };

  var clear = function () {
    self._writable.removeListener('drain', ondrain);

    unend();
  };

  if (this._unwrite) process.nextTick(ondrain); // force a drain on stream reset to avoid livelocks

  this._writable = writable;

  this._writable.on('drain', ondrain);

  this._unwrite = clear;
  this.uncork(); // always uncork setWritable
};

Duplexify.prototype.setReadable = function (readable) {
  if (this._unread) this._unread();

  if (this.destroyed) {
    if (readable && readable.destroy) readable.destroy();
    return;
  }

  if (readable === null || readable === false) {
    this.push(null);
    this.resume();
    return;
  }

  var self = this;
  var unend = eos(readable, {
    writable: false,
    readable: true
  }, destroyer(this));

  var onreadable = function () {
    self._forward();
  };

  var onend = function () {
    self.push(null);
  };

  var clear = function () {
    self._readable2.removeListener('readable', onreadable);

    self._readable2.removeListener('end', onend);

    unend();
  };

  this._drained = true;
  this._readable = readable;
  this._readable2 = readable._readableState ? readable : toStreams2(readable);

  this._readable2.on('readable', onreadable);

  this._readable2.on('end', onend);

  this._unread = clear;

  this._forward();
};

Duplexify.prototype._read = function () {
  this._drained = true;

  this._forward();
};

Duplexify.prototype._forward = function () {
  if (this._forwarding || !this._readable2 || !this._drained) return;
  this._forwarding = true;
  var data;

  while (this._drained && (data = shift(this._readable2)) !== null) {
    if (this.destroyed) continue;
    this._drained = this.push(data);
  }

  this._forwarding = false;
};

Duplexify.prototype.destroy = function (err, cb) {
  if (!cb) cb = noop;
  if (this.destroyed) return cb(null);
  this.destroyed = true;
  var self = this;
  process.nextTick(function () {
    self._destroy(err);

    cb(null);
  });
};

Duplexify.prototype._destroy = function (err) {
  if (err) {
    var ondrain = this._ondrain;
    this._ondrain = null;
    if (ondrain) ondrain(err);else this.emit('error', err);
  }

  if (this._forwardDestroy) {
    if (this._readable && this._readable.destroy) this._readable.destroy();
    if (this._writable && this._writable.destroy) this._writable.destroy();
  }

  this.emit('close');
};

Duplexify.prototype._write = function (data, enc, cb) {
  if (this.destroyed) return;
  if (this._corked) return onuncork(this, this._write.bind(this, data, enc, cb));
  if (data === SIGNAL_FLUSH) return this._finish(cb);
  if (!this._writable) return cb();
  if (this._writable.write(data) === false) this._ondrain = cb;else if (!this.destroyed) cb();
};

Duplexify.prototype._finish = function (cb) {
  var self = this;
  this.emit('preend');
  onuncork(this, function () {
    end(self._forwardEnd && self._writable, function () {
      // haxx to not emit prefinish twice
      if (self._writableState.prefinished === false) self._writableState.prefinished = true;
      self.emit('prefinish');
      onuncork(self, cb);
    });
  });
};

Duplexify.prototype.end = function (data, enc, cb) {
  if (typeof data === 'function') return this.end(null, null, data);
  if (typeof enc === 'function') return this.end(data, null, enc);
  this._ended = true;
  if (data) this.write(data);
  if (!this._writableState.ending) this.write(SIGNAL_FLUSH);
  return stream.Writable.prototype.end.call(this, cb);
};

module.exports = Duplexify;

/***/ }),

/***/ "./node_modules/.f/_/emoji-regex/8.0.0/emoji-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = function () {
  // https://mths.be/emoji
  return /\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73)\uDB40\uDC7F|\uD83D\uDC68(?:\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68\uD83C\uDFFB|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|[\u2695\u2696\u2708]\uFE0F|\uD83D[\uDC66\uDC67]|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708])\uFE0F|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C[\uDFFB-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)\uD83C\uDFFB|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB\uDFFC])|\uD83D\uDC69(?:\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB-\uDFFD])|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|(?:(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)\uFE0F|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\u200D[\u2640\u2642])|\uD83C\uDFF4\u200D\u2620)\uFE0F|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF4\uD83C\uDDF2|\uD83C\uDDF6\uD83C\uDDE6|[#\*0-9]\uFE0F\u20E3|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83D\uDC69(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270A-\u270D]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC70\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDCAA\uDD74\uDD7A\uDD90\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD36\uDDB5\uDDB6\uDDBB\uDDD2-\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5\uDEEB\uDEEC\uDEF4-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g;
};

/***/ }),

/***/ "./node_modules/.f/_/encoding/0.1.13/encoding/lib/encoding.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var iconvLite = __webpack_require__("./stubs/iconv-lite.js"); // Expose to the world


module.exports.convert = convert;
/**
 * Convert encoding of an UTF-8 string or a buffer
 *
 * @param {String|Buffer} str String to be converted
 * @param {String} to Encoding to be converted to
 * @param {String} [from='UTF-8'] Encoding to be converted from
 * @return {Buffer} Encoded string
 */

function convert(str, to, from) {
  from = checkEncoding(from || 'UTF-8');
  to = checkEncoding(to || 'UTF-8');
  str = str || '';
  var result;

  if (from !== 'UTF-8' && typeof str === 'string') {
    str = Buffer.from(str, 'binary');
  }

  if (from === to) {
    if (typeof str === 'string') {
      result = Buffer.from(str);
    } else {
      result = str;
    }
  } else {
    try {
      result = convertIconvLite(str, to, from);
    } catch (E) {
      console.error(E);
      result = str;
    }
  }

  if (typeof result === 'string') {
    result = Buffer.from(result, 'utf-8');
  }

  return result;
}
/**
 * Convert encoding of astring with iconv-lite
 *
 * @param {String|Buffer} str String to be converted
 * @param {String} to Encoding to be converted to
 * @param {String} [from='UTF-8'] Encoding to be converted from
 * @return {Buffer} Encoded string
 */


function convertIconvLite(str, to, from) {
  if (to === 'UTF-8') {
    return iconvLite.decode(str, from);
  } else if (from === 'UTF-8') {
    return iconvLite.encode(str, to);
  } else {
    return iconvLite.encode(iconvLite.decode(str, from), to);
  }
}
/**
 * Converts charset name if needed
 *
 * @param {String} name Character set
 * @return {String} Character set name
 */


function checkEncoding(name) {
  return (name || '').toString().trim().replace(/^latin[\-_]?(\d+)$/i, 'ISO-8859-$1').replace(/^win(?:dows)?[\-_]?(\d+)$/i, 'WINDOWS-$1').replace(/^utf[\-_]?(\d+)$/i, 'UTF-$1').replace(/^ks_c_5601\-1987$/i, 'CP949').replace(/^us[\-_]?ascii$/i, 'ASCII').toUpperCase();
}

/***/ }),

/***/ "./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var once = __webpack_require__("./node_modules/.f/_/once/1.4.0/once/once.js");

var noop = function () {};

var isRequest = function (stream) {
  return stream.setHeader && typeof stream.abort === 'function';
};

var isChildProcess = function (stream) {
  return stream.stdio && Array.isArray(stream.stdio) && stream.stdio.length === 3;
};

var eos = function (stream, opts, callback) {
  if (typeof opts === 'function') return eos(stream, null, opts);
  if (!opts) opts = {};
  callback = once(callback || noop);
  var ws = stream._writableState;
  var rs = stream._readableState;
  var readable = opts.readable || opts.readable !== false && stream.readable;
  var writable = opts.writable || opts.writable !== false && stream.writable;
  var cancelled = false;

  var onlegacyfinish = function () {
    if (!stream.writable) onfinish();
  };

  var onfinish = function () {
    writable = false;
    if (!readable) callback.call(stream);
  };

  var onend = function () {
    readable = false;
    if (!writable) callback.call(stream);
  };

  var onexit = function (exitCode) {
    callback.call(stream, exitCode ? new Error('exited with error code: ' + exitCode) : null);
  };

  var onerror = function (err) {
    callback.call(stream, err);
  };

  var onclose = function () {
    process.nextTick(onclosenexttick);
  };

  var onclosenexttick = function () {
    if (cancelled) return;
    if (readable && !(rs && rs.ended && !rs.destroyed)) return callback.call(stream, new Error('premature close'));
    if (writable && !(ws && ws.ended && !ws.destroyed)) return callback.call(stream, new Error('premature close'));
  };

  var onrequest = function () {
    stream.req.on('finish', onfinish);
  };

  if (isRequest(stream)) {
    stream.on('complete', onfinish);
    stream.on('abort', onclose);
    if (stream.req) onrequest();else stream.on('request', onrequest);
  } else if (writable && !ws) {
    // legacy streams
    stream.on('end', onlegacyfinish);
    stream.on('close', onlegacyfinish);
  }

  if (isChildProcess(stream)) stream.on('exit', onexit);
  stream.on('end', onend);
  stream.on('finish', onfinish);
  if (opts.error !== false) stream.on('error', onerror);
  stream.on('close', onclose);
  return function () {
    cancelled = true;
    stream.removeListener('complete', onfinish);
    stream.removeListener('abort', onclose);
    stream.removeListener('request', onrequest);
    if (stream.req) stream.req.removeListener('finish', onfinish);
    stream.removeListener('end', onlegacyfinish);
    stream.removeListener('close', onlegacyfinish);
    stream.removeListener('finish', onfinish);
    stream.removeListener('exit', onexit);
    stream.removeListener('end', onend);
    stream.removeListener('error', onerror);
    stream.removeListener('close', onclose);
  };
};

module.exports = eos;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const assert = __webpack_require__("assert");

const Events = __webpack_require__("events");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");
/**
 * Create an instance of `Enquirer`.
 *
 * ```js
 * const Enquirer = require('enquirer');
 * const enquirer = new Enquirer();
 * ```
 * @name Enquirer
 * @param {Object} `options` (optional) Options to use with all prompts.
 * @param {Object} `answers` (optional) Answers object to initialize with.
 * @api public
 */


class Enquirer extends Events {
  constructor(options, answers) {
    super();
    this.options = utils.merge({}, options);
    this.answers = _objectSpread({}, answers);
  }
  /**
   * Register a custom prompt type.
   *
   * ```js
   * const Enquirer = require('enquirer');
   * const enquirer = new Enquirer();
   * enquirer.register('customType', require('./custom-prompt'));
   * ```
   * @name register()
   * @param {String} `type`
   * @param {Function|Prompt} `fn` `Prompt` class, or a function that returns a `Prompt` class.
   * @return {Object} Returns the Enquirer instance
   * @api public
   */


  register(type, fn) {
    if (utils.isObject(type)) {
      for (let key of Object.keys(type)) this.register(key, type[key]);

      return this;
    }

    assert.equal(typeof fn, 'function', 'expected a function');
    let name = type.toLowerCase();

    if (fn.prototype instanceof this.Prompt) {
      this.prompts[name] = fn;
    } else {
      this.prompts[name] = fn(this.Prompt, this);
    }

    return this;
  }
  /**
   * Prompt function that takes a "question" object or array of question objects,
   * and returns an object with responses from the user.
   *
   * ```js
   * const Enquirer = require('enquirer');
   * const enquirer = new Enquirer();
   *
   * const response = await enquirer.prompt({
   *   type: 'input',
   *   name: 'username',
   *   message: 'What is your username?'
   * });
   * console.log(response);
   * ```
   * @name prompt()
   * @param {Array|Object} `questions` Options objects for one or more prompts to run.
   * @return {Promise} Promise that returns an "answers" object with the user's responses.
   * @api public
   */


  async prompt(questions = []) {
    for (let question of [].concat(questions)) {
      try {
        if (typeof question === 'function') question = await question.call(this);
        await this.ask(utils.merge({}, this.options, question));
      } catch (err) {
        return Promise.reject(err);
      }
    }

    return this.answers;
  }

  async ask(question) {
    if (typeof question === 'function') {
      question = await question.call(this);
    }

    let opts = utils.merge({}, this.options, question);
    let {
      type,
      name
    } = question;
    let {
      set,
      get
    } = utils;

    if (typeof type === 'function') {
      type = await type.call(this, question, this.answers);
    }

    if (!type) return this.answers[name];
    assert(this.prompts[type], `Prompt "${type}" is not registered`);
    let prompt = new this.prompts[type](opts);
    let value = get(this.answers, name);
    prompt.state.answers = this.answers;
    prompt.enquirer = this;

    if (name) {
      prompt.on('submit', value => {
        this.emit('answer', name, value, prompt);
        set(this.answers, name, value);
      });
    } // bubble events


    let emit = prompt.emit.bind(prompt);

    prompt.emit = (...args) => {
      this.emit.call(this, ...args);
      return emit(...args);
    };

    this.emit('prompt', prompt, this);

    if (opts.autofill && value != null) {
      prompt.value = prompt.input = value; // if "autofill=show" render the prompt, otherwise stay "silent"

      if (opts.autofill === 'show') {
        await prompt.submit();
      }
    } else {
      value = prompt.value = await prompt.run();
    }

    return value;
  }
  /**
   * Use an enquirer plugin.
   *
   * ```js
   * const Enquirer = require('enquirer');
   * const enquirer = new Enquirer();
   * const plugin = enquirer => {
   *   // do stuff to enquire instance
   * };
   * enquirer.use(plugin);
   * ```
   * @name use()
   * @param {Function} `plugin` Plugin function that takes an instance of Enquirer.
   * @return {Object} Returns the Enquirer instance.
   * @api public
   */


  use(plugin) {
    plugin.call(this, this);
    return this;
  }

  set Prompt(value) {
    this._Prompt = value;
  }

  get Prompt() {
    return this._Prompt || this.constructor.Prompt;
  }

  get prompts() {
    return this.constructor.prompts;
  }

  static set Prompt(value) {
    this._Prompt = value;
  }

  static get Prompt() {
    return this._Prompt || __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js");
  }

  static get prompts() {
    return __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/index.js");
  }

  static get types() {
    return __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/index.js");
  }
  /**
   * Prompt function that takes a "question" object or array of question objects,
   * and returns an object with responses from the user.
   *
   * ```js
   * const { prompt } = require('enquirer');
   * const response = await prompt({
   *   type: 'input',
   *   name: 'username',
   *   message: 'What is your username?'
   * });
   * console.log(response);
   * ```
   * @name Enquirer#prompt
   * @param {Array|Object} `questions` Options objects for one or more prompts to run.
   * @return {Promise} Promise that returns an "answers" object with the user's responses.
   * @api public
   */


  static get prompt() {
    const fn = (questions, ...rest) => {
      let enquirer = new this(...rest);
      let emit = enquirer.emit.bind(enquirer);

      enquirer.emit = (...args) => {
        fn.emit(...args);
        return emit(...args);
      };

      return enquirer.prompt(questions);
    };

    utils.mixinEmitter(fn, new Events());
    return fn;
  }

}

utils.mixinEmitter(Enquirer, new Events());
const prompts = Enquirer.prompts;

for (let name of Object.keys(prompts)) {
  let key = name.toLowerCase();

  let run = options => new prompts[name](options).run();

  Enquirer.prompt[key] = run;
  Enquirer[key] = run;

  if (!Enquirer[name]) {
    Reflect.defineProperty(Enquirer, name, {
      get: () => prompts[name]
    });
  }
}

const exp = name => {
  utils.defineExport(Enquirer, name, () => Enquirer.types[name]);
};

exp('ArrayPrompt');
exp('AuthPrompt');
exp('BooleanPrompt');
exp('NumberPrompt');
exp('StringPrompt');
module.exports = Enquirer;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/ansi.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


const isTerm = process.env.TERM_PROGRAM === 'Apple_Terminal';

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const ansi = module.exports = exports;
const ESC = '\u001b[';
const BEL = '\u0007';
let hidden = false;
const code = ansi.code = {
  bell: BEL,
  beep: BEL,
  beginning: `${ESC}G`,
  down: `${ESC}J`,
  esc: ESC,
  getPosition: `${ESC}6n`,
  hide: `${ESC}?25l`,
  line: `${ESC}2K`,
  lineEnd: `${ESC}K`,
  lineStart: `${ESC}1K`,
  restorePosition: ESC + (isTerm ? '8' : 'u'),
  savePosition: ESC + (isTerm ? '7' : 's'),
  screen: `${ESC}2J`,
  show: `${ESC}?25h`,
  up: `${ESC}1J`
};
const cursor = ansi.cursor = {
  get hidden() {
    return hidden;
  },

  hide() {
    hidden = true;
    return code.hide;
  },

  show() {
    hidden = false;
    return code.show;
  },

  forward: (count = 1) => `${ESC}${count}C`,
  backward: (count = 1) => `${ESC}${count}D`,
  nextLine: (count = 1) => `${ESC}E`.repeat(count),
  prevLine: (count = 1) => `${ESC}F`.repeat(count),
  up: (count = 1) => count ? `${ESC}${count}A` : '',
  down: (count = 1) => count ? `${ESC}${count}B` : '',
  right: (count = 1) => count ? `${ESC}${count}C` : '',
  left: (count = 1) => count ? `${ESC}${count}D` : '',

  to(x, y) {
    return y ? `${ESC}${y + 1};${x + 1}H` : `${ESC}${x + 1}G`;
  },

  move(x = 0, y = 0) {
    let res = '';
    res += x < 0 ? cursor.left(-x) : x > 0 ? cursor.right(x) : '';
    res += y < 0 ? cursor.up(-y) : y > 0 ? cursor.down(y) : '';
    return res;
  },

  restore(state = {}) {
    let {
      after,
      cursor,
      initial,
      input,
      prompt,
      size,
      value
    } = state;
    initial = utils.isPrimitive(initial) ? String(initial) : '';
    input = utils.isPrimitive(input) ? String(input) : '';
    value = utils.isPrimitive(value) ? String(value) : '';

    if (size) {
      let codes = ansi.cursor.up(size) + ansi.cursor.to(prompt.length);
      let diff = input.length - cursor;

      if (diff > 0) {
        codes += ansi.cursor.left(diff);
      }

      return codes;
    }

    if (value || after) {
      let pos = !input && !!initial ? -initial.length : -input.length + cursor;
      if (after) pos -= after.length;

      if (input === '' && initial && !prompt.includes(initial)) {
        pos += initial.length;
      }

      return ansi.cursor.move(pos);
    }
  }

};
const erase = ansi.erase = {
  screen: code.screen,
  up: code.up,
  down: code.down,
  line: code.line,
  lineEnd: code.lineEnd,
  lineStart: code.lineStart,

  lines(n) {
    let str = '';

    for (let i = 0; i < n; i++) {
      str += ansi.erase.line + (i < n - 1 ? ansi.cursor.up(1) : '');
    }

    if (n) str += ansi.code.beginning;
    return str;
  }

};

ansi.clear = (input = '', columns = process.stdout.columns) => {
  if (!columns) return erase.line + cursor.to(0);

  let width = str => [...colors.unstyle(str)].length;

  let lines = input.split(/\r?\n/);
  let rows = 0;

  for (let line of lines) {
    rows += 1 + Math.floor(Math.max(width(line) - 1, 0) / columns);
  }

  return (erase.line + cursor.prevLine()).repeat(rows - 1) + erase.line + cursor.to(0);
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/combos.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/**
 * Actions are mappings from keypress event names to method names
 * in the prompts.
 */

exports.ctrl = {
  a: 'first',
  b: 'backward',
  c: 'cancel',
  d: 'deleteForward',
  e: 'last',
  f: 'forward',
  g: 'reset',
  i: 'tab',
  k: 'cutForward',
  l: 'reset',
  n: 'newItem',
  m: 'cancel',
  j: 'submit',
  p: 'search',
  r: 'remove',
  s: 'save',
  u: 'undo',
  w: 'cutLeft',
  x: 'toggleCursor',
  v: 'paste'
};
exports.shift = {
  up: 'shiftUp',
  down: 'shiftDown',
  left: 'shiftLeft',
  right: 'shiftRight',
  tab: 'prev'
};
exports.fn = {
  up: 'pageUp',
  down: 'pageDown',
  left: 'pageLeft',
  right: 'pageRight',
  delete: 'deleteForward'
}; // <alt> on Windows

exports.option = {
  b: 'backward',
  f: 'forward',
  d: 'cutRight',
  left: 'cutLeft',
  up: 'altUp',
  down: 'altDown'
};
exports.keys = {
  pageup: 'pageUp',
  // <fn>+<up> (mac), <Page Up> (windows)
  pagedown: 'pageDown',
  // <fn>+<down> (mac), <Page Down> (windows)
  home: 'home',
  // <fn>+<left> (mac), <home> (windows)
  end: 'end',
  // <fn>+<right> (mac), <end> (windows)
  cancel: 'cancel',
  delete: 'deleteForward',
  backspace: 'delete',
  down: 'down',
  enter: 'submit',
  escape: 'cancel',
  left: 'left',
  space: 'space',
  number: 'number',
  return: 'submit',
  right: 'right',
  tab: 'next',
  up: 'up'
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/completer.js":
/***/ ((module) => {

"use strict";


const unique = arr => arr.filter((v, i) => arr.lastIndexOf(v) === i);

const compact = arr => unique(arr).filter(Boolean);

module.exports = (action, data = {}, value = '') => {
  let {
    past = [],
    present = ''
  } = data;
  let rest, prev;

  switch (action) {
    case 'prev':
    case 'undo':
      rest = past.slice(0, past.length - 1);
      prev = past[past.length - 1] || '';
      return {
        past: compact([value, ...rest]),
        present: prev
      };

    case 'next':
    case 'redo':
      rest = past.slice(1);
      prev = past[0] || '';
      return {
        past: compact([...rest, value]),
        present: prev
      };

    case 'save':
      return {
        past: compact([...past, value]),
        present: ''
      };

    case 'remove':
      prev = compact(past.filter(v => v !== value));
      present = '';

      if (prev.length) {
        present = prev.pop();
      }

      return {
        past: prev,
        present
      };

    default:
      {
        throw new Error(`Invalid action: "${action}"`);
      }
  }
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/interpolate.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const clean = (str = '') => {
  return typeof str === 'string' ? str.replace(/^['"]|['"]$/g, '') : '';
};
/**
 * This file contains the interpolation and rendering logic for
 * the Snippet prompt.
 */


class Item {
  constructor(token) {
    this.name = token.key;
    this.field = token.field || {};
    this.value = clean(token.initial || this.field.initial || '');
    this.message = token.message || this.name;
    this.cursor = 0;
    this.input = '';
    this.lines = [];
  }

}

const tokenize = async (options = {}, defaults = {}, fn = token => token) => {
  let unique = new Set();
  let fields = options.fields || [];
  let input = options.template;
  let tabstops = [];
  let items = [];
  let keys = [];
  let line = 1;

  if (typeof input === 'function') {
    input = await input();
  }

  let i = -1;

  let next = () => input[++i];

  let peek = () => input[i + 1];

  let push = token => {
    token.line = line;
    tabstops.push(token);
  };

  push({
    type: 'bos',
    value: ''
  });

  while (i < input.length - 1) {
    let value = next();

    if (/^[^\S\n ]$/.test(value)) {
      push({
        type: 'text',
        value
      });
      continue;
    }

    if (value === '\n') {
      push({
        type: 'newline',
        value
      });
      line++;
      continue;
    }

    if (value === '\\') {
      value += next();
      push({
        type: 'text',
        value
      });
      continue;
    }

    if ((value === '$' || value === '#' || value === '{') && peek() === '{') {
      let n = next();
      value += n;
      let token = {
        type: 'template',
        open: value,
        inner: '',
        close: '',
        value
      };
      let ch;

      while (ch = next()) {
        if (ch === '}') {
          if (peek() === '}') ch += next();
          token.value += ch;
          token.close = ch;
          break;
        }

        if (ch === ':') {
          token.initial = '';
          token.key = token.inner;
        } else if (token.initial !== void 0) {
          token.initial += ch;
        }

        token.value += ch;
        token.inner += ch;
      }

      token.template = token.open + (token.initial || token.inner) + token.close;
      token.key = token.key || token.inner;

      if (defaults.hasOwnProperty(token.key)) {
        token.initial = defaults[token.key];
      }

      token = fn(token);
      push(token);
      keys.push(token.key);
      unique.add(token.key);
      let item = items.find(item => item.name === token.key);
      token.field = fields.find(ch => ch.name === token.key);

      if (!item) {
        item = new Item(token);
        items.push(item);
      }

      item.lines.push(token.line - 1);
      continue;
    }

    let last = tabstops[tabstops.length - 1];

    if (last.type === 'text' && last.line === line) {
      last.value += value;
    } else {
      push({
        type: 'text',
        value
      });
    }
  }

  push({
    type: 'eos',
    value: ''
  });
  return {
    input,
    tabstops,
    unique,
    keys,
    items
  };
};

module.exports = async prompt => {
  let options = prompt.options;
  let required = new Set(options.required === true ? [] : options.required || []);

  let defaults = _objectSpread(_objectSpread({}, options.values), options.initial);

  let {
    tabstops,
    items,
    keys
  } = await tokenize(options, defaults);
  let result = createFn('result', prompt, options);
  let format = createFn('format', prompt, options);
  let isValid = createFn('validate', prompt, options, true);
  let isVal = prompt.isValue.bind(prompt);
  return async (state = {}, submitted = false) => {
    let index = 0;
    state.required = required;
    state.items = items;
    state.keys = keys;
    state.output = '';

    let validate = async (value, state, item, index) => {
      let error = await isValid(value, state, item, index);

      if (error === false) {
        return 'Invalid field ' + item.name;
      }

      return error;
    };

    for (let token of tabstops) {
      let value = token.value;
      let key = token.key;

      if (token.type !== 'template') {
        if (value) state.output += value;
        continue;
      }

      if (token.type === 'template') {
        let item = items.find(ch => ch.name === key);

        if (options.required === true) {
          state.required.add(item.name);
        }

        let val = [item.input, state.values[item.value], item.value, value].find(isVal);
        let field = item.field || {};
        let message = field.message || token.inner;

        if (submitted) {
          let error = await validate(state.values[key], state, item, index);

          if (error && typeof error === 'string' || error === false) {
            state.invalid.set(key, error);
            continue;
          }

          state.invalid.delete(key);
          let res = await result(state.values[key], state, item, index);
          state.output += colors.unstyle(res);
          continue;
        }

        item.placeholder = false;
        let before = value;
        value = await format(value, state, item, index);

        if (val !== value) {
          state.values[key] = val;
          value = prompt.styles.typing(val);
          state.missing.delete(message);
        } else {
          state.values[key] = void 0;
          val = `<${message}>`;
          value = prompt.styles.primary(val);
          item.placeholder = true;

          if (state.required.has(key)) {
            state.missing.add(message);
          }
        }

        if (state.missing.has(message) && state.validating) {
          value = prompt.styles.warning(val);
        }

        if (state.invalid.has(key) && state.validating) {
          value = prompt.styles.danger(val);
        }

        if (index === state.index) {
          if (before !== value) {
            value = prompt.styles.underline(value);
          } else {
            value = prompt.styles.heading(colors.unstyle(value));
          }
        }

        index++;
      }

      if (value) {
        state.output += value;
      }
    }

    let lines = state.output.split('\n').map(l => ' ' + l);
    let len = items.length;
    let done = 0;

    for (let item of items) {
      if (state.invalid.has(item.name)) {
        item.lines.forEach(i => {
          if (lines[i][0] !== ' ') return;
          lines[i] = state.styles.danger(state.symbols.bullet) + lines[i].slice(1);
        });
      }

      if (prompt.isValue(state.values[item.name])) {
        done++;
      }
    }

    state.completed = (done / len * 100).toFixed(0);
    state.output = lines.join('\n');
    return state.output;
  };
};

function createFn(prop, prompt, options, fallback) {
  return (value, state, item, index) => {
    if (typeof item.field[prop] === 'function') {
      return item.field[prop].call(prompt, value, state, item, index);
    }

    return [fallback, value].find(v => prompt.isValue(v));
  };
}

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/keypress.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const readline = __webpack_require__("readline");

const combos = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/combos.js");
/* eslint-disable no-control-regex */


const metaKeyCodeRe = /^(?:\x1b)([a-zA-Z0-9])$/;
const fnKeyRe = /^(?:\x1b+)(O|N|\[|\[\[)(?:(\d+)(?:;(\d+))?([~^$])|(?:1;)?(\d+)?([a-zA-Z]))/;
const keyName = {
  /* xterm/gnome ESC O letter */
  'OP': 'f1',
  'OQ': 'f2',
  'OR': 'f3',
  'OS': 'f4',

  /* xterm/rxvt ESC [ number ~ */
  '[11~': 'f1',
  '[12~': 'f2',
  '[13~': 'f3',
  '[14~': 'f4',

  /* from Cygwin and used in libuv */
  '[[A': 'f1',
  '[[B': 'f2',
  '[[C': 'f3',
  '[[D': 'f4',
  '[[E': 'f5',

  /* common */
  '[15~': 'f5',
  '[17~': 'f6',
  '[18~': 'f7',
  '[19~': 'f8',
  '[20~': 'f9',
  '[21~': 'f10',
  '[23~': 'f11',
  '[24~': 'f12',

  /* xterm ESC [ letter */
  '[A': 'up',
  '[B': 'down',
  '[C': 'right',
  '[D': 'left',
  '[E': 'clear',
  '[F': 'end',
  '[H': 'home',

  /* xterm/gnome ESC O letter */
  'OA': 'up',
  'OB': 'down',
  'OC': 'right',
  'OD': 'left',
  'OE': 'clear',
  'OF': 'end',
  'OH': 'home',

  /* xterm/rxvt ESC [ number ~ */
  '[1~': 'home',
  '[2~': 'insert',
  '[3~': 'delete',
  '[4~': 'end',
  '[5~': 'pageup',
  '[6~': 'pagedown',

  /* putty */
  '[[5~': 'pageup',
  '[[6~': 'pagedown',

  /* rxvt */
  '[7~': 'home',
  '[8~': 'end',

  /* rxvt keys with modifiers */
  '[a': 'up',
  '[b': 'down',
  '[c': 'right',
  '[d': 'left',
  '[e': 'clear',
  '[2$': 'insert',
  '[3$': 'delete',
  '[5$': 'pageup',
  '[6$': 'pagedown',
  '[7$': 'home',
  '[8$': 'end',
  'Oa': 'up',
  'Ob': 'down',
  'Oc': 'right',
  'Od': 'left',
  'Oe': 'clear',
  '[2^': 'insert',
  '[3^': 'delete',
  '[5^': 'pageup',
  '[6^': 'pagedown',
  '[7^': 'home',
  '[8^': 'end',

  /* misc. */
  '[Z': 'tab'
};

function isShiftKey(code) {
  return ['[a', '[b', '[c', '[d', '[e', '[2$', '[3$', '[5$', '[6$', '[7$', '[8$', '[Z'].includes(code);
}

function isCtrlKey(code) {
  return ['Oa', 'Ob', 'Oc', 'Od', 'Oe', '[2^', '[3^', '[5^', '[6^', '[7^', '[8^'].includes(code);
}

const keypress = (s = '', event = {}) => {
  let parts;

  let key = _objectSpread({
    name: event.name,
    ctrl: false,
    meta: false,
    shift: false,
    option: false,
    sequence: s,
    raw: s
  }, event);

  if (Buffer.isBuffer(s)) {
    if (s[0] > 127 && s[1] === void 0) {
      s[0] -= 128;
      s = '\x1b' + String(s);
    } else {
      s = String(s);
    }
  } else if (s !== void 0 && typeof s !== 'string') {
    s = String(s);
  } else if (!s) {
    s = key.sequence || '';
  }

  key.sequence = key.sequence || s || key.name;

  if (s === '\r') {
    // carriage return
    key.raw = void 0;
    key.name = 'return';
  } else if (s === '\n') {
    // enter, should have been called linefeed
    key.name = 'enter';
  } else if (s === '\t') {
    // tab
    key.name = 'tab';
  } else if (s === '\b' || s === '\x7f' || s === '\x1b\x7f' || s === '\x1b\b') {
    // backspace or ctrl+h
    key.name = 'backspace';
    key.meta = s.charAt(0) === '\x1b';
  } else if (s === '\x1b' || s === '\x1b\x1b') {
    // escape key
    key.name = 'escape';
    key.meta = s.length === 2;
  } else if (s === ' ' || s === '\x1b ') {
    key.name = 'space';
    key.meta = s.length === 2;
  } else if (s <= '\x1a') {
    // ctrl+letter
    key.name = String.fromCharCode(s.charCodeAt(0) + 'a'.charCodeAt(0) - 1);
    key.ctrl = true;
  } else if (s.length === 1 && s >= '0' && s <= '9') {
    // number
    key.name = 'number';
  } else if (s.length === 1 && s >= 'a' && s <= 'z') {
    // lowercase letter
    key.name = s;
  } else if (s.length === 1 && s >= 'A' && s <= 'Z') {
    // shift+letter
    key.name = s.toLowerCase();
    key.shift = true;
  } else if (parts = metaKeyCodeRe.exec(s)) {
    // meta+character key
    key.meta = true;
    key.shift = /^[A-Z]$/.test(parts[1]);
  } else if (parts = fnKeyRe.exec(s)) {
    let segs = [...s];

    if (segs[0] === '\u001b' && segs[1] === '\u001b') {
      key.option = true;
    } // ansi escape sequence
    // reassemble the key code leaving out leading \x1b's,
    // the modifier key bitflag and any meaningless "1;" sequence


    let code = [parts[1], parts[2], parts[4], parts[6]].filter(Boolean).join('');
    let modifier = (parts[3] || parts[5] || 1) - 1; // Parse the key modifier

    key.ctrl = !!(modifier & 4);
    key.meta = !!(modifier & 10);
    key.shift = !!(modifier & 1);
    key.code = code;
    key.name = keyName[code];
    key.shift = isShiftKey(code) || key.shift;
    key.ctrl = isCtrlKey(code) || key.ctrl;
  }

  return key;
};

keypress.listen = (options = {}, onKeypress) => {
  let {
    stdin
  } = options;

  if (!stdin || stdin !== process.stdin && !stdin.isTTY) {
    throw new Error('Invalid stream passed');
  }

  let rl = readline.createInterface({
    terminal: true,
    input: stdin
  });
  readline.emitKeypressEvents(stdin, rl);

  let on = (buf, key) => onKeypress(buf, keypress(buf, key), rl);

  let isRaw = stdin.isRaw;
  if (stdin.isTTY) stdin.setRawMode(true);
  stdin.on('keypress', on);
  rl.resume();

  let off = () => {
    if (stdin.isTTY) stdin.setRawMode(isRaw);
    stdin.removeListener('keypress', on);
    rl.pause();
    rl.close();
  };

  return off;
};

keypress.action = (buf, key, customActions) => {
  let obj = _objectSpread(_objectSpread({}, combos), customActions);

  if (key.ctrl) {
    key.action = obj.ctrl[key.name];
    return key;
  }

  if (key.option && obj.option) {
    key.action = obj.option[key.name];
    return key;
  }

  if (key.shift) {
    key.action = obj.shift[key.name];
    return key;
  }

  key.action = obj.keys[key.name];
  return key;
};

module.exports = keypress;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/placeholder.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");
/**
 * Render a placeholder value with cursor and styling based on the
 * position of the cursor.
 *
 * @param {Object} `prompt` Prompt instance.
 * @param {String} `input` Input string.
 * @param {String} `initial` The initial user-provided value.
 * @param {Number} `pos` Current cursor position.
 * @param {Boolean} `showCursor` Render a simulated cursor using the inverse primary style.
 * @return {String} Returns the styled placeholder string.
 * @api public
 */


module.exports = (prompt, options = {}) => {
  prompt.cursorHide();
  let {
    input = '',
    initial = '',
    pos,
    showCursor = true,
    color
  } = options;
  let style = color || prompt.styles.placeholder;
  let inverse = utils.inverse(prompt.styles.primary);

  let blinker = str => inverse(prompt.styles.black(str));

  let output = input;
  let char = ' ';
  let reverse = blinker(char);

  if (prompt.blink && prompt.blink.off === true) {
    blinker = str => str;

    reverse = '';
  }

  if (showCursor && pos === 0 && initial === '' && input === '') {
    return blinker(char);
  }

  if (showCursor && pos === 0 && (input === initial || input === '')) {
    return blinker(initial[0]) + style(initial.slice(1));
  }

  initial = utils.isPrimitive(initial) ? `${initial}` : '';
  input = utils.isPrimitive(input) ? `${input}` : '';
  let placeholder = initial && initial.startsWith(input) && initial !== input;
  let cursor = placeholder ? blinker(initial[input.length]) : reverse;

  if (pos !== input.length && showCursor === true) {
    output = input.slice(0, pos) + blinker(input[pos]) + input.slice(pos + 1);
    cursor = '';
  }

  if (showCursor === false) {
    cursor = '';
  }

  if (placeholder) {
    let raw = prompt.styles.unstyle(output + cursor);
    return output + cursor + style(initial.slice(raw.length));
  }

  return output + cursor;
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Events = __webpack_require__("events");

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const keypress = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/keypress.js");

const timer = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/timer.js");

const State = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/state.js");

const theme = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/theme.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const ansi = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/ansi.js");
/**
 * Base class for creating a new Prompt.
 * @param {Object} `options` Question object.
 */


class Prompt extends Events {
  constructor(options = {}) {
    super();
    this.name = options.name;
    this.type = options.type;
    this.options = options;
    theme(this);
    timer(this);
    this.state = new State(this);
    this.initial = [options.initial, options.default].find(v => v != null);
    this.stdout = options.stdout || process.stdout;
    this.stdin = options.stdin || process.stdin;
    this.scale = options.scale || 1;
    this.term = this.options.term || process.env.TERM_PROGRAM;
    this.margin = margin(this.options.margin);
    this.setMaxListeners(0);
    setOptions(this);
  }

  async keypress(input, event = {}) {
    this.keypressed = true;
    let key = keypress.action(input, keypress(input, event), this.options.actions);
    this.state.keypress = key;
    this.emit('keypress', input, key);
    this.emit('state', this.state.clone());
    let fn = this.options[key.action] || this[key.action] || this.dispatch;

    if (typeof fn === 'function') {
      return await fn.call(this, input, key);
    }

    this.alert();
  }

  alert() {
    delete this.state.alert;

    if (this.options.show === false) {
      this.emit('alert');
    } else {
      this.stdout.write(ansi.code.beep);
    }
  }

  cursorHide() {
    this.stdout.write(ansi.cursor.hide());
    utils.onExit(() => this.cursorShow());
  }

  cursorShow() {
    this.stdout.write(ansi.cursor.show());
  }

  write(str) {
    if (!str) return;

    if (this.stdout && this.state.show !== false) {
      this.stdout.write(str);
    }

    this.state.buffer += str;
  }

  clear(lines = 0) {
    let buffer = this.state.buffer;
    this.state.buffer = '';
    if (!buffer && !lines || this.options.show === false) return;
    this.stdout.write(ansi.cursor.down(lines) + ansi.clear(buffer, this.width));
  }

  restore() {
    if (this.state.closed || this.options.show === false) return;
    let {
      prompt,
      after,
      rest
    } = this.sections();
    let {
      cursor,
      initial = '',
      input = '',
      value = ''
    } = this;
    let size = this.state.size = rest.length;
    let state = {
      after,
      cursor,
      initial,
      input,
      prompt,
      size,
      value
    };
    let codes = ansi.cursor.restore(state);

    if (codes) {
      this.stdout.write(codes);
    }
  }

  sections() {
    let {
      buffer,
      input,
      prompt
    } = this.state;
    prompt = colors.unstyle(prompt);
    let buf = colors.unstyle(buffer);
    let idx = buf.indexOf(prompt);
    let header = buf.slice(0, idx);
    let rest = buf.slice(idx);
    let lines = rest.split('\n');
    let first = lines[0];
    let last = lines[lines.length - 1];
    let promptLine = prompt + (input ? ' ' + input : '');
    let len = promptLine.length;
    let after = len < first.length ? first.slice(len + 1) : '';
    return {
      header,
      prompt: first,
      after,
      rest: lines.slice(1),
      last
    };
  }

  async submit() {
    this.state.submitted = true;
    this.state.validating = true; // this will only be called when the prompt is directly submitted
    // without initializing, i.e. when the prompt is skipped, etc. Otherwize,
    // "options.onSubmit" is will be handled by the "initialize()" method.

    if (this.options.onSubmit) {
      await this.options.onSubmit.call(this, this.name, this.value, this);
    }

    let result = this.state.error || (await this.validate(this.value, this.state));

    if (result !== true) {
      let error = '\n' + this.symbols.pointer + ' ';

      if (typeof result === 'string') {
        error += result.trim();
      } else {
        error += 'Invalid input';
      }

      this.state.error = '\n' + this.styles.danger(error);
      this.state.submitted = false;
      await this.render();
      await this.alert();
      this.state.validating = false;
      this.state.error = void 0;
      return;
    }

    this.state.validating = false;
    await this.render();
    await this.close();
    this.value = await this.result(this.value);
    this.emit('submit', this.value);
  }

  async cancel(err) {
    this.state.cancelled = this.state.submitted = true;
    await this.render();
    await this.close();

    if (typeof this.options.onCancel === 'function') {
      await this.options.onCancel.call(this, this.name, this.value, this);
    }

    this.emit('cancel', await this.error(err));
  }

  async close() {
    this.state.closed = true;

    try {
      let sections = this.sections();
      let lines = Math.ceil(sections.prompt.length / this.width);

      if (sections.rest) {
        this.write(ansi.cursor.down(sections.rest.length));
      }

      this.write('\n'.repeat(lines));
    } catch (err) {
      /* do nothing */
    }

    this.emit('close');
  }

  start() {
    if (!this.stop && this.options.show !== false) {
      this.stop = keypress.listen(this, this.keypress.bind(this));
      this.once('close', this.stop);
    }
  }

  async skip() {
    this.skipped = this.options.skip === true;

    if (typeof this.options.skip === 'function') {
      this.skipped = await this.options.skip.call(this, this.name, this.value);
    }

    return this.skipped;
  }

  async initialize() {
    let {
      format,
      options,
      result
    } = this;

    this.format = () => format.call(this, this.value);

    this.result = () => result.call(this, this.value);

    if (typeof options.initial === 'function') {
      this.initial = await options.initial.call(this, this);
    }

    if (typeof options.onRun === 'function') {
      await options.onRun.call(this, this);
    } // if "options.onSubmit" is defined, we wrap the "submit" method to guarantee
    // that "onSubmit" will always called first thing inside the submit
    // method, regardless of how it's handled in inheriting prompts.


    if (typeof options.onSubmit === 'function') {
      let onSubmit = options.onSubmit.bind(this);
      let submit = this.submit.bind(this);
      delete this.options.onSubmit;

      this.submit = async () => {
        await onSubmit(this.name, this.value, this);
        return submit();
      };
    }

    await this.start();
    await this.render();
  }

  render() {
    throw new Error('expected prompt to have a custom render method');
  }

  run() {
    return new Promise(async (resolve, reject) => {
      this.once('submit', resolve);
      this.once('cancel', reject);

      if (await this.skip()) {
        this.render = () => {};

        return this.submit();
      }

      await this.initialize();
      this.emit('run');
    });
  }

  async element(name, choice, i) {
    let {
      options,
      state,
      symbols,
      timers
    } = this;
    let timer = timers && timers[name];
    state.timer = timer;
    let value = options[name] || state[name] || symbols[name];
    let val = choice && choice[name] != null ? choice[name] : await value;
    if (val === '') return val;
    let res = await this.resolve(val, state, choice, i);

    if (!res && choice && choice[name]) {
      return this.resolve(value, state, choice, i);
    }

    return res;
  }

  async prefix() {
    let element = (await this.element('prefix')) || this.symbols;
    let timer = this.timers && this.timers.prefix;
    let state = this.state;
    state.timer = timer;
    if (utils.isObject(element)) element = element[state.status] || element.pending;

    if (!utils.hasColor(element)) {
      let style = this.styles[state.status] || this.styles.pending;
      return style(element);
    }

    return element;
  }

  async message() {
    let message = await this.element('message');

    if (!utils.hasColor(message)) {
      return this.styles.strong(message);
    }

    return message;
  }

  async separator() {
    let element = (await this.element('separator')) || this.symbols;
    let timer = this.timers && this.timers.separator;
    let state = this.state;
    state.timer = timer;
    let value = element[state.status] || element.pending || state.separator;
    let ele = await this.resolve(value, state);
    if (utils.isObject(ele)) ele = ele[state.status] || ele.pending;

    if (!utils.hasColor(ele)) {
      return this.styles.muted(ele);
    }

    return ele;
  }

  async pointer(choice, i) {
    let val = await this.element('pointer', choice, i);

    if (typeof val === 'string' && utils.hasColor(val)) {
      return val;
    }

    if (val) {
      let styles = this.styles;
      let focused = this.index === i;
      let style = focused ? styles.primary : val => val;
      let ele = await this.resolve(val[focused ? 'on' : 'off'] || val, this.state);
      let styled = !utils.hasColor(ele) ? style(ele) : ele;
      return focused ? styled : ' '.repeat(ele.length);
    }
  }

  async indicator(choice, i) {
    let val = await this.element('indicator', choice, i);

    if (typeof val === 'string' && utils.hasColor(val)) {
      return val;
    }

    if (val) {
      let styles = this.styles;
      let enabled = choice.enabled === true;
      let style = enabled ? styles.success : styles.dark;
      let ele = val[enabled ? 'on' : 'off'] || val;
      return !utils.hasColor(ele) ? style(ele) : ele;
    }

    return '';
  }

  body() {
    return null;
  }

  footer() {
    if (this.state.status === 'pending') {
      return this.element('footer');
    }
  }

  header() {
    if (this.state.status === 'pending') {
      return this.element('header');
    }
  }

  async hint() {
    if (this.state.status === 'pending' && !this.isValue(this.state.input)) {
      let hint = await this.element('hint');

      if (!utils.hasColor(hint)) {
        return this.styles.muted(hint);
      }

      return hint;
    }
  }

  error(err) {
    return !this.state.submitted ? err || this.state.error : '';
  }

  format(value) {
    return value;
  }

  result(value) {
    return value;
  }

  validate(value) {
    if (this.options.required === true) {
      return this.isValue(value);
    }

    return true;
  }

  isValue(value) {
    return value != null && value !== '';
  }

  resolve(value, ...args) {
    return utils.resolve(this, value, ...args);
  }

  get base() {
    return Prompt.prototype;
  }

  get style() {
    return this.styles[this.state.status];
  }

  get height() {
    return this.options.rows || utils.height(this.stdout, 25);
  }

  get width() {
    return this.options.columns || utils.width(this.stdout, 80);
  }

  get size() {
    return {
      width: this.width,
      height: this.height
    };
  }

  set cursor(value) {
    this.state.cursor = value;
  }

  get cursor() {
    return this.state.cursor;
  }

  set input(value) {
    this.state.input = value;
  }

  get input() {
    return this.state.input;
  }

  set value(value) {
    this.state.value = value;
  }

  get value() {
    let {
      input,
      value
    } = this.state;
    let result = [value, input].find(this.isValue.bind(this));
    return this.isValue(result) ? result : this.initial;
  }

  static get prompt() {
    return options => new this(options).run();
  }

}

function setOptions(prompt) {
  let isValidKey = key => {
    return prompt[key] === void 0 || typeof prompt[key] === 'function';
  };

  let ignore = ['actions', 'choices', 'initial', 'margin', 'roles', 'styles', 'symbols', 'theme', 'timers', 'value'];
  let ignoreFn = ['body', 'footer', 'error', 'header', 'hint', 'indicator', 'message', 'prefix', 'separator', 'skip'];

  for (let key of Object.keys(prompt.options)) {
    if (ignore.includes(key)) continue;
    if (/^on[A-Z]/.test(key)) continue;
    let option = prompt.options[key];

    if (typeof option === 'function' && isValidKey(key)) {
      if (!ignoreFn.includes(key)) {
        prompt[key] = option.bind(prompt);
      }
    } else if (typeof prompt[key] !== 'function') {
      prompt[key] = option;
    }
  }
}

function margin(value) {
  if (typeof value === 'number') {
    value = [value, value, value, value];
  }

  let arr = [].concat(value || []);

  let pad = i => i % 2 === 0 ? '\n' : ' ';

  let res = [];

  for (let i = 0; i < 4; i++) {
    let char = pad(i);

    if (arr[i]) {
      res.push(char.repeat(arr[i]));
    } else {
      res.push('');
    }
  }

  return res;
}

module.exports = Prompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/autocomplete.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Select = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

const highlight = (input, color) => {
  let val = input.toLowerCase();
  return str => {
    let s = str.toLowerCase();
    let i = s.indexOf(val);
    let colored = color(str.slice(i, i + val.length));
    return i >= 0 ? str.slice(0, i) + colored + str.slice(i + val.length) : str;
  };
};

class AutoComplete extends Select {
  constructor(options) {
    super(options);
    this.cursorShow();
  }

  moveCursor(n) {
    this.state.cursor += n;
  }

  dispatch(ch) {
    return this.append(ch);
  }

  space(ch) {
    return this.options.multiple ? super.space(ch) : this.append(ch);
  }

  append(ch) {
    let {
      cursor,
      input
    } = this.state;
    this.input = input.slice(0, cursor) + ch + input.slice(cursor);
    this.moveCursor(1);
    return this.complete();
  }

  delete() {
    let {
      cursor,
      input
    } = this.state;
    if (!input) return this.alert();
    this.input = input.slice(0, cursor - 1) + input.slice(cursor);
    this.moveCursor(-1);
    return this.complete();
  }

  deleteForward() {
    let {
      cursor,
      input
    } = this.state;
    if (input[cursor] === void 0) return this.alert();
    this.input = `${input}`.slice(0, cursor) + `${input}`.slice(cursor + 1);
    return this.complete();
  }

  number(ch) {
    return this.append(ch);
  }

  async complete() {
    this.completing = true;
    this.choices = await this.suggest(this.input, this.state._choices);
    this.state.limit = void 0; // allow getter/setter to reset limit

    this.index = Math.min(Math.max(this.visible.length - 1, 0), this.index);
    await this.render();
    this.completing = false;
  }

  suggest(input = this.input, choices = this.state._choices) {
    if (typeof this.options.suggest === 'function') {
      return this.options.suggest.call(this, input, choices);
    }

    let str = input.toLowerCase();
    return choices.filter(ch => ch.message.toLowerCase().includes(str));
  }

  pointer() {
    return '';
  }

  format() {
    if (!this.focused) return this.input;

    if (this.options.multiple && this.state.submitted) {
      return this.selected.map(ch => this.styles.primary(ch.message)).join(', ');
    }

    if (this.state.submitted) {
      let value = this.value = this.input = this.focused.value;
      return this.styles.primary(value);
    }

    return this.input;
  }

  async render() {
    if (this.state.status !== 'pending') return super.render();
    let style = this.options.highlight ? this.options.highlight.bind(this) : this.styles.placeholder;
    let color = highlight(this.input, style);
    let choices = this.choices;
    this.choices = choices.map(ch => _objectSpread(_objectSpread({}, ch), {}, {
      message: color(ch.message)
    }));
    await super.render();
    this.choices = choices;
  }

  submit() {
    if (this.options.multiple) {
      this.value = this.selected.map(ch => ch.name);
    }

    return super.submit();
  }

}

module.exports = AutoComplete;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/basicauth.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const AuthPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/auth.js");

function defaultAuthenticate(value, state) {
  if (value.username === this.options.username && value.password === this.options.password) {
    return true;
  }

  return false;
}

const factory = (authenticate = defaultAuthenticate) => {
  const choices = [{
    name: 'username',
    message: 'username'
  }, {
    name: 'password',
    message: 'password',

    format(input) {
      if (this.options.showPassword) {
        return input;
      }

      let color = this.state.submitted ? this.styles.primary : this.styles.muted;
      return color(this.symbols.asterisk.repeat(input.length));
    }

  }];

  class BasicAuthPrompt extends AuthPrompt.create(authenticate) {
    constructor(options) {
      super(_objectSpread(_objectSpread({}, options), {}, {
        choices
      }));
    }

    static create(authenticate) {
      return factory(authenticate);
    }

  }

  return BasicAuthPrompt;
};

module.exports = factory();

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/confirm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BooleanPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/boolean.js");

class ConfirmPrompt extends BooleanPrompt {
  constructor(options) {
    super(options);
    this.default = this.options.default || (this.initial ? '(Y/n)' : '(y/N)');
  }

}

module.exports = ConfirmPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/editable.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Select = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

const Form = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/form.js");

const form = Form.prototype;

class Editable extends Select {
  constructor(options) {
    super(_objectSpread(_objectSpread({}, options), {}, {
      multiple: true
    }));
    this.align = [this.options.align, 'left'].find(v => v != null);
    this.emptyError = '';
    this.values = {};
  }

  dispatch(char, key) {
    let choice = this.focused;
    let parent = choice.parent || {};

    if (!choice.editable && !parent.editable) {
      if (char === 'a' || char === 'i') return super[char]();
    }

    return form.dispatch.call(this, char, key);
  }

  append(char, key) {
    return form.append.call(this, char, key);
  }

  delete(char, key) {
    return form.delete.call(this, char, key);
  }

  space(char) {
    return this.focused.editable ? this.append(char) : super.space();
  }

  number(char) {
    return this.focused.editable ? this.append(char) : super.number(char);
  }

  next() {
    return this.focused.editable ? form.next.call(this) : super.next();
  }

  prev() {
    return this.focused.editable ? form.prev.call(this) : super.prev();
  }

  async indicator(choice, i) {
    let symbol = choice.indicator || '';
    let value = choice.editable ? symbol : super.indicator(choice, i);
    return (await this.resolve(value, this.state, choice, i)) || '';
  }

  indent(choice) {
    return choice.role === 'heading' ? '' : choice.editable ? ' ' : '  ';
  }

  async renderChoice(choice, i) {
    choice.indent = '';
    if (choice.editable) return form.renderChoice.call(this, choice, i);
    return super.renderChoice(choice, i);
  }

  error() {
    return '';
  }

  footer() {
    return this.state.error;
  }

  async validate() {
    let result = true;

    for (let choice of this.choices) {
      if (typeof choice.validate !== 'function') {
        continue;
      }

      if (choice.role === 'heading') {
        continue;
      }

      let val = choice.parent ? this.value[choice.parent.name] : this.value;

      if (choice.editable) {
        val = choice.value === choice.name ? choice.initial || '' : choice.value;
      } else if (!this.isDisabled(choice)) {
        val = choice.enabled === true;
      }

      result = await choice.validate(val, this.state);

      if (result !== true) {
        break;
      }
    }

    if (result !== true) {
      this.state.error = typeof result === 'string' ? result : 'Invalid Input';
    }

    return result;
  }

  submit() {
    if (this.focused.newChoice === true) return super.submit();

    if (this.choices.some(ch => ch.newChoice)) {
      return this.alert();
    }

    this.value = {};

    for (let choice of this.choices) {
      let val = choice.parent ? this.value[choice.parent.name] : this.value;

      if (choice.role === 'heading') {
        this.value[choice.name] = {};
        continue;
      }

      if (choice.editable) {
        val[choice.name] = choice.value === choice.name ? choice.initial || '' : choice.value;
      } else if (!this.isDisabled(choice)) {
        val[choice.name] = choice.enabled === true;
      }
    }

    return this.base.submit.call(this);
  }

}

module.exports = Editable;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/form.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const SelectPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

const placeholder = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/placeholder.js");

class FormPrompt extends SelectPrompt {
  constructor(options) {
    super(_objectSpread(_objectSpread({}, options), {}, {
      multiple: true
    }));
    this.type = 'form';
    this.initial = this.options.initial;
    this.align = [this.options.align, 'right'].find(v => v != null);
    this.emptyError = '';
    this.values = {};
  }

  async reset(first) {
    await super.reset();
    if (first === true) this._index = this.index;
    this.index = this._index;
    this.values = {};
    this.choices.forEach(choice => choice.reset && choice.reset());
    return this.render();
  }

  dispatch(char) {
    return !!char && this.append(char);
  }

  append(char) {
    let choice = this.focused;
    if (!choice) return this.alert();
    let {
      cursor,
      input
    } = choice;
    choice.value = choice.input = input.slice(0, cursor) + char + input.slice(cursor);
    choice.cursor++;
    return this.render();
  }

  delete() {
    let choice = this.focused;
    if (!choice || choice.cursor <= 0) return this.alert();
    let {
      cursor,
      input
    } = choice;
    choice.value = choice.input = input.slice(0, cursor - 1) + input.slice(cursor);
    choice.cursor--;
    return this.render();
  }

  deleteForward() {
    let choice = this.focused;
    if (!choice) return this.alert();
    let {
      cursor,
      input
    } = choice;
    if (input[cursor] === void 0) return this.alert();
    let str = `${input}`.slice(0, cursor) + `${input}`.slice(cursor + 1);
    choice.value = choice.input = str;
    return this.render();
  }

  right() {
    let choice = this.focused;
    if (!choice) return this.alert();
    if (choice.cursor >= choice.input.length) return this.alert();
    choice.cursor++;
    return this.render();
  }

  left() {
    let choice = this.focused;
    if (!choice) return this.alert();
    if (choice.cursor <= 0) return this.alert();
    choice.cursor--;
    return this.render();
  }

  space(ch, key) {
    return this.dispatch(ch, key);
  }

  number(ch, key) {
    return this.dispatch(ch, key);
  }

  next() {
    let ch = this.focused;
    if (!ch) return this.alert();
    let {
      initial,
      input
    } = ch;

    if (initial && initial.startsWith(input) && input !== initial) {
      ch.value = ch.input = initial;
      ch.cursor = ch.value.length;
      return this.render();
    }

    return super.next();
  }

  prev() {
    let ch = this.focused;
    if (!ch) return this.alert();
    if (ch.cursor === 0) return super.prev();
    ch.value = ch.input = '';
    ch.cursor = 0;
    return this.render();
  }

  separator() {
    return '';
  }

  format(value) {
    return !this.state.submitted ? super.format(value) : '';
  }

  pointer() {
    return '';
  }

  indicator(choice) {
    return choice.input ? '⦿' : '⊙';
  }

  async choiceSeparator(choice, i) {
    let sep = (await this.resolve(choice.separator, this.state, choice, i)) || ':';
    return sep ? ' ' + this.styles.disabled(sep) : '';
  }

  async renderChoice(choice, i) {
    await this.onChoice(choice, i);
    let {
      state,
      styles
    } = this;
    let {
      cursor,
      initial = '',
      name,
      hint,
      input = ''
    } = choice;
    let {
      muted,
      submitted,
      primary,
      danger
    } = styles;
    let help = hint;
    let focused = this.index === i;

    let validate = choice.validate || (() => true);

    let sep = await this.choiceSeparator(choice, i);
    let msg = choice.message;
    if (this.align === 'right') msg = msg.padStart(this.longest + 1, ' ');
    if (this.align === 'left') msg = msg.padEnd(this.longest + 1, ' '); // re-populate the form values (answers) object

    let value = this.values[name] = input || initial;
    let color = input ? 'success' : 'dark';

    if ((await validate.call(choice, value, this.state)) !== true) {
      color = 'danger';
    }

    let style = styles[color];
    let indicator = style(await this.indicator(choice, i)) + (choice.pad || '');
    let indent = this.indent(choice);

    let line = () => [indent, indicator, msg + sep, input, help].filter(Boolean).join(' ');

    if (state.submitted) {
      msg = colors.unstyle(msg);
      input = submitted(input);
      help = '';
      return line();
    }

    if (choice.format) {
      input = await choice.format.call(this, input, choice, i);
    } else {
      let color = this.styles.muted;
      let options = {
        input,
        initial,
        pos: cursor,
        showCursor: focused,
        color
      };
      input = placeholder(this, options);
    }

    if (!this.isValue(input)) {
      input = this.styles.muted(this.symbols.ellipsis);
    }

    if (choice.result) {
      this.values[name] = await choice.result.call(this, value, choice, i);
    }

    if (focused) {
      msg = primary(msg);
    }

    if (choice.error) {
      input += (input ? ' ' : '') + danger(choice.error.trim());
    } else if (choice.hint) {
      input += (input ? ' ' : '') + muted(choice.hint.trim());
    }

    return line();
  }

  async submit() {
    this.value = this.values;
    return super.base.submit.call(this);
  }

}

module.exports = FormPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const define = (key, fn) => {
  utils.defineExport(exports, key, fn);
  utils.defineExport(exports, key.toLowerCase(), fn);
};

define('AutoComplete', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/autocomplete.js"));
define('BasicAuth', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/basicauth.js"));
define('Confirm', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/confirm.js"));
define('Editable', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/editable.js"));
define('Form', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/form.js"));
define('Input', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/input.js"));
define('Invisible', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/invisible.js"));
define('List', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/list.js"));
define('MultiSelect', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/multiselect.js"));
define('Numeral', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/numeral.js"));
define('Password', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/password.js"));
define('Scale', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/scale.js"));
define('Select', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js"));
define('Snippet', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/snippet.js"));
define('Sort', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/sort.js"));
define('Survey', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/survey.js"));
define('Text', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/text.js"));
define('Toggle', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/toggle.js"));
define('Quiz', () => __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/quiz.js"));

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/input.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js");

const completer = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/completer.js");

class Input extends Prompt {
  constructor(options) {
    super(options);
    let history = this.options.history;

    if (history && history.store) {
      let initial = history.values || this.initial;
      this.autosave = !!history.autosave;
      this.store = history.store;
      this.data = this.store.get('values') || {
        past: [],
        present: initial
      };
      this.initial = this.data.present || this.data.past[this.data.past.length - 1];
    }
  }

  completion(action) {
    if (!this.store) return this.alert();
    this.data = completer(action, this.data, this.input);
    if (!this.data.present) return this.alert();
    this.input = this.data.present;
    this.cursor = this.input.length;
    return this.render();
  }

  altUp() {
    return this.completion('prev');
  }

  altDown() {
    return this.completion('next');
  }

  prev() {
    this.save();
    return super.prev();
  }

  save() {
    if (!this.store) return;
    this.data = completer('save', this.data, this.input);
    this.store.set('values', this.data);
  }

  submit() {
    if (this.store && this.autosave === true) {
      this.save();
    }

    return super.submit();
  }

}

module.exports = Input;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/invisible.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const StringPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js");

class InvisiblePrompt extends StringPrompt {
  format() {
    return '';
  }

}

module.exports = InvisiblePrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/list.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const StringPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js");

class ListPrompt extends StringPrompt {
  constructor(options = {}) {
    super(options);
    this.sep = this.options.separator || /, */;
    this.initial = options.initial || '';
  }

  split(input = this.value) {
    return input ? String(input).split(this.sep) : [];
  }

  format() {
    let style = this.state.submitted ? this.styles.primary : val => val;
    return this.list.map(style).join(', ');
  }

  async submit(value) {
    let result = this.state.error || (await this.validate(this.list, this.state));

    if (result !== true) {
      this.state.error = result;
      return super.submit();
    }

    this.value = this.list;
    return super.submit();
  }

  get list() {
    return this.split();
  }

}

module.exports = ListPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/multiselect.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Select = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

class MultiSelect extends Select {
  constructor(options) {
    super(_objectSpread(_objectSpread({}, options), {}, {
      multiple: true
    }));
  }

}

module.exports = MultiSelect;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/numeral.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/number.js");

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/password.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const StringPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js");

class PasswordPrompt extends StringPrompt {
  constructor(options) {
    super(options);
    this.cursorShow();
  }

  format(input = this.input) {
    if (!this.keypressed) return '';
    let color = this.state.submitted ? this.styles.primary : this.styles.muted;
    return color(this.symbols.asterisk.repeat(input.length));
  }

}

module.exports = PasswordPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/quiz.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const SelectPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

class Quiz extends SelectPrompt {
  constructor(options) {
    super(options);

    if (typeof this.options.correctChoice !== 'number' || this.options.correctChoice < 0) {
      throw new Error('Please specify the index of the correct answer from the list of choices');
    }
  }

  async toChoices(value, parent) {
    let choices = await super.toChoices(value, parent);

    if (choices.length < 2) {
      throw new Error('Please give at least two choices to the user');
    }

    if (this.options.correctChoice > choices.length) {
      throw new Error('Please specify the index of the correct answer from the list of choices');
    }

    return choices;
  }

  check(state) {
    return state.index === this.options.correctChoice;
  }

  async result(selected) {
    return {
      selectedAnswer: selected,
      correctAnswer: this.options.choices[this.options.correctChoice].value,
      correct: await this.check(this.state)
    };
  }

}

module.exports = Quiz;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/scale.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const ArrayPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/array.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

class LikertScale extends ArrayPrompt {
  constructor(options = {}) {
    super(options);
    this.widths = [].concat(options.messageWidth || 50);
    this.align = [].concat(options.align || 'left');
    this.linebreak = options.linebreak || false;
    this.edgeLength = options.edgeLength || 3;
    this.newline = options.newline || '\n   ';
    let start = options.startNumber || 1;

    if (typeof this.scale === 'number') {
      this.scaleKey = false;
      this.scale = Array(this.scale).fill(0).map((v, i) => ({
        name: i + start
      }));
    }
  }

  async reset() {
    this.tableized = false;
    await super.reset();
    return this.render();
  }

  tableize() {
    if (this.tableized === true) return;
    this.tableized = true;
    let longest = 0;

    for (let ch of this.choices) {
      longest = Math.max(longest, ch.message.length);
      ch.scaleIndex = ch.initial || 2;
      ch.scale = [];

      for (let i = 0; i < this.scale.length; i++) {
        ch.scale.push({
          index: i
        });
      }
    }

    this.widths[0] = Math.min(this.widths[0], longest + 3);
  }

  async dispatch(s, key) {
    if (this.multiple) {
      return this[key.name] ? await this[key.name](s, key) : await super.dispatch(s, key);
    }

    this.alert();
  }

  heading(msg, item, i) {
    return this.styles.strong(msg);
  }

  separator() {
    return this.styles.muted(this.symbols.ellipsis);
  }

  right() {
    let choice = this.focused;
    if (choice.scaleIndex >= this.scale.length - 1) return this.alert();
    choice.scaleIndex++;
    return this.render();
  }

  left() {
    let choice = this.focused;
    if (choice.scaleIndex <= 0) return this.alert();
    choice.scaleIndex--;
    return this.render();
  }

  indent() {
    return '';
  }

  format() {
    if (this.state.submitted) {
      let values = this.choices.map(ch => this.styles.info(ch.index));
      return values.join(', ');
    }

    return '';
  }

  pointer() {
    return '';
  }
  /**
   * Render the scale "Key". Something like:
   * @return {String}
   */


  renderScaleKey() {
    if (this.scaleKey === false) return '';
    if (this.state.submitted) return '';
    let scale = this.scale.map(item => `   ${item.name} - ${item.message}`);
    let key = ['', ...scale].map(item => this.styles.muted(item));
    return key.join('\n');
  }
  /**
   * Render the heading row for the scale.
   * @return {String}
   */


  renderScaleHeading(max) {
    let keys = this.scale.map(ele => ele.name);

    if (typeof this.options.renderScaleHeading === 'function') {
      keys = this.options.renderScaleHeading.call(this, max);
    }

    let diff = this.scaleLength - keys.join('').length;
    let spacing = Math.round(diff / (keys.length - 1));
    let names = keys.map(key => this.styles.strong(key));
    let headings = names.join(' '.repeat(spacing));
    let padding = ' '.repeat(this.widths[0]);
    return this.margin[3] + padding + this.margin[1] + headings;
  }
  /**
   * Render a scale indicator => ◯ or ◉ by default
   */


  scaleIndicator(choice, item, i) {
    if (typeof this.options.scaleIndicator === 'function') {
      return this.options.scaleIndicator.call(this, choice, item, i);
    }

    let enabled = choice.scaleIndex === item.index;
    if (item.disabled) return this.styles.hint(this.symbols.radio.disabled);
    if (enabled) return this.styles.success(this.symbols.radio.on);
    return this.symbols.radio.off;
  }
  /**
   * Render the actual scale => ◯────◯────◉────◯────◯
   */


  renderScale(choice, i) {
    let scale = choice.scale.map(item => this.scaleIndicator(choice, item, i));
    let padding = this.term === 'Hyper' ? '' : ' ';
    return scale.join(padding + this.symbols.line.repeat(this.edgeLength));
  }
  /**
   * Render a choice, including scale =>
   *   "The website is easy to navigate. ◯───◯───◉───◯───◯"
   */


  async renderChoice(choice, i) {
    await this.onChoice(choice, i);
    let focused = this.index === i;
    let pointer = await this.pointer(choice, i);
    let hint = await choice.hint;

    if (hint && !utils.hasColor(hint)) {
      hint = this.styles.muted(hint);
    }

    let pad = str => this.margin[3] + str.replace(/\s+$/, '').padEnd(this.widths[0], ' ');

    let newline = this.newline;
    let ind = this.indent(choice);
    let message = await this.resolve(choice.message, this.state, choice, i);
    let scale = await this.renderScale(choice, i);
    let margin = this.margin[1] + this.margin[3];
    this.scaleLength = colors.unstyle(scale).length;
    this.widths[0] = Math.min(this.widths[0], this.width - this.scaleLength - margin.length);
    let msg = utils.wordWrap(message, {
      width: this.widths[0],
      newline
    });
    let lines = msg.split('\n').map(line => pad(line) + this.margin[1]);

    if (focused) {
      scale = this.styles.info(scale);
      lines = lines.map(line => this.styles.info(line));
    }

    lines[0] += scale;
    if (this.linebreak) lines.push('');
    return [ind + pointer, lines.join('\n')].filter(Boolean);
  }

  async renderChoices() {
    if (this.state.submitted) return '';
    this.tableize();
    let choices = this.visible.map(async (ch, i) => await this.renderChoice(ch, i));
    let visible = await Promise.all(choices);
    let heading = await this.renderScaleHeading();
    return this.margin[0] + [heading, ...visible.map(v => v.join(' '))].join('\n');
  }

  async render() {
    let {
      submitted,
      size
    } = this.state;
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();
    let prompt = '';

    if (this.options.promptLine !== false) {
      prompt = [prefix, message, separator, ''].join(' ');
      this.state.prompt = prompt;
    }

    let header = await this.header();
    let output = await this.format();
    let key = await this.renderScaleKey();
    let help = (await this.error()) || (await this.hint());
    let body = await this.renderChoices();
    let footer = await this.footer();
    let err = this.emptyError;
    if (output) prompt += output;
    if (help && !prompt.includes(help)) prompt += ' ' + help;

    if (submitted && !output && !body.trim() && this.multiple && err != null) {
      prompt += this.styles.danger(err);
    }

    this.clear(size);
    this.write([header, prompt, key, body, footer].filter(Boolean).join('\n'));

    if (!this.state.submitted) {
      this.write(this.margin[2]);
    }

    this.restore();
  }

  submit() {
    this.value = {};

    for (let choice of this.choices) {
      this.value[choice.name] = choice.scaleIndex;
    }

    return this.base.submit.call(this);
  }

}

module.exports = LikertScale;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ArrayPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/array.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

class SelectPrompt extends ArrayPrompt {
  constructor(options) {
    super(options);
    this.emptyError = this.options.emptyError || 'No items were selected';
  }

  async dispatch(s, key) {
    if (this.multiple) {
      return this[key.name] ? await this[key.name](s, key) : await super.dispatch(s, key);
    }

    this.alert();
  }

  separator() {
    if (this.options.separator) return super.separator();
    let sep = this.styles.muted(this.symbols.ellipsis);
    return this.state.submitted ? super.separator() : sep;
  }

  pointer(choice, i) {
    return !this.multiple || this.options.pointer ? super.pointer(choice, i) : '';
  }

  indicator(choice, i) {
    return this.multiple ? super.indicator(choice, i) : '';
  }

  choiceMessage(choice, i) {
    let message = this.resolve(choice.message, this.state, choice, i);

    if (choice.role === 'heading' && !utils.hasColor(message)) {
      message = this.styles.strong(message);
    }

    return this.resolve(message, this.state, choice, i);
  }

  choiceSeparator() {
    return ':';
  }

  async renderChoice(choice, i) {
    await this.onChoice(choice, i);
    let focused = this.index === i;
    let pointer = await this.pointer(choice, i);
    let check = (await this.indicator(choice, i)) + (choice.pad || '');
    let hint = await this.resolve(choice.hint, this.state, choice, i);

    if (hint && !utils.hasColor(hint)) {
      hint = this.styles.muted(hint);
    }

    let ind = this.indent(choice);
    let msg = await this.choiceMessage(choice, i);

    let line = () => [this.margin[3], ind + pointer + check, msg, this.margin[1], hint].filter(Boolean).join(' ');

    if (choice.role === 'heading') {
      return line();
    }

    if (choice.disabled) {
      if (!utils.hasColor(msg)) {
        msg = this.styles.disabled(msg);
      }

      return line();
    }

    if (focused) {
      msg = this.styles.em(msg);
    }

    return line();
  }

  async renderChoices() {
    if (this.state.loading === 'choices') {
      return this.styles.warning('Loading choices');
    }

    if (this.state.submitted) return '';
    let choices = this.visible.map(async (ch, i) => await this.renderChoice(ch, i));
    let visible = await Promise.all(choices);
    if (!visible.length) visible.push(this.styles.danger('No matching choices'));
    let result = this.margin[0] + visible.join('\n');
    let header;

    if (this.options.choicesHeader) {
      header = await this.resolve(this.options.choicesHeader, this.state);
    }

    return [header, result].filter(Boolean).join('\n');
  }

  format() {
    if (!this.state.submitted || this.state.cancelled) return '';

    if (Array.isArray(this.selected)) {
      return this.selected.map(choice => this.styles.primary(choice.name)).join(', ');
    }

    return this.styles.primary(this.selected.name);
  }

  async render() {
    let {
      submitted,
      size
    } = this.state;
    let prompt = '';
    let header = await this.header();
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();

    if (this.options.promptLine !== false) {
      prompt = [prefix, message, separator, ''].join(' ');
      this.state.prompt = prompt;
    }

    let output = await this.format();
    let help = (await this.error()) || (await this.hint());
    let body = await this.renderChoices();
    let footer = await this.footer();
    if (output) prompt += output;
    if (help && !prompt.includes(help)) prompt += ' ' + help;

    if (submitted && !output && !body.trim() && this.multiple && this.emptyError != null) {
      prompt += this.styles.danger(this.emptyError);
    }

    this.clear(size);
    this.write([header, prompt, body, footer].filter(Boolean).join('\n'));
    this.write(this.margin[2]);
    this.restore();
  }

}

module.exports = SelectPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/snippet.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const interpolate = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/interpolate.js");

const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js");

class SnippetPrompt extends Prompt {
  constructor(options) {
    super(options);
    this.cursorHide();
    this.reset(true);
  }

  async initialize() {
    this.interpolate = await interpolate(this);
    await super.initialize();
  }

  async reset(first) {
    this.state.keys = [];
    this.state.invalid = new Map();
    this.state.missing = new Set();
    this.state.completed = 0;
    this.state.values = {};

    if (first !== true) {
      await this.initialize();
      await this.render();
    }
  }

  moveCursor(n) {
    let item = this.getItem();
    this.cursor += n;
    item.cursor += n;
  }

  dispatch(ch, key) {
    if (!key.code && !key.ctrl && ch != null && this.getItem()) {
      this.append(ch, key);
      return;
    }

    this.alert();
  }

  append(ch, key) {
    let item = this.getItem();
    let prefix = item.input.slice(0, this.cursor);
    let suffix = item.input.slice(this.cursor);
    this.input = item.input = `${prefix}${ch}${suffix}`;
    this.moveCursor(1);
    this.render();
  }

  delete() {
    let item = this.getItem();
    if (this.cursor <= 0 || !item.input) return this.alert();
    let suffix = item.input.slice(this.cursor);
    let prefix = item.input.slice(0, this.cursor - 1);
    this.input = item.input = `${prefix}${suffix}`;
    this.moveCursor(-1);
    this.render();
  }

  increment(i) {
    return i >= this.state.keys.length - 1 ? 0 : i + 1;
  }

  decrement(i) {
    return i <= 0 ? this.state.keys.length - 1 : i - 1;
  }

  first() {
    this.state.index = 0;
    this.render();
  }

  last() {
    this.state.index = this.state.keys.length - 1;
    this.render();
  }

  right() {
    if (this.cursor >= this.input.length) return this.alert();
    this.moveCursor(1);
    this.render();
  }

  left() {
    if (this.cursor <= 0) return this.alert();
    this.moveCursor(-1);
    this.render();
  }

  prev() {
    this.state.index = this.decrement(this.state.index);
    this.getItem();
    this.render();
  }

  next() {
    this.state.index = this.increment(this.state.index);
    this.getItem();
    this.render();
  }

  up() {
    this.prev();
  }

  down() {
    this.next();
  }

  format(value) {
    let color = this.state.completed < 100 ? this.styles.warning : this.styles.success;

    if (this.state.submitted === true && this.state.completed !== 100) {
      color = this.styles.danger;
    }

    return color(`${this.state.completed}% completed`);
  }

  async render() {
    let {
      index,
      keys = [],
      submitted,
      size
    } = this.state;
    let newline = [this.options.newline, '\n'].find(v => v != null);
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();
    let prompt = [prefix, message, separator].filter(Boolean).join(' ');
    this.state.prompt = prompt;
    let header = await this.header();
    let error = (await this.error()) || '';
    let hint = (await this.hint()) || '';
    let body = submitted ? '' : await this.interpolate(this.state);
    let key = this.state.key = keys[index] || '';
    let input = await this.format(key);
    let footer = await this.footer();
    if (input) prompt += ' ' + input;
    if (hint && !input && this.state.completed === 0) prompt += ' ' + hint;
    this.clear(size);
    let lines = [header, prompt, body, footer, error.trim()];
    this.write(lines.filter(Boolean).join(newline));
    this.restore();
  }

  getItem(name) {
    let {
      items,
      keys,
      index
    } = this.state;
    let item = items.find(ch => ch.name === keys[index]);

    if (item && item.input != null) {
      this.input = item.input;
      this.cursor = item.cursor;
    }

    return item;
  }

  async submit() {
    if (typeof this.interpolate !== 'function') await this.initialize();
    await this.interpolate(this.state, true);
    let {
      invalid,
      missing,
      output,
      values
    } = this.state;

    if (invalid.size) {
      let err = '';

      for (let [key, value] of invalid) err += `Invalid ${key}: ${value}\n`;

      this.state.error = err;
      return super.submit();
    }

    if (missing.size) {
      this.state.error = 'Required: ' + [...missing.keys()].join(', ');
      return super.submit();
    }

    let lines = colors.unstyle(output).split('\n');
    let result = lines.map(v => v.slice(1)).join('\n');
    this.value = {
      values,
      result
    };
    return super.submit();
  }

}

module.exports = SnippetPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/sort.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const hint = '(Use <shift>+<up/down> to sort)';

const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/select.js");

class Sort extends Prompt {
  constructor(options) {
    super(_objectSpread(_objectSpread({}, options), {}, {
      reorder: false,
      sort: true,
      multiple: true
    }));
    this.state.hint = [this.options.hint, hint].find(this.isValue.bind(this));
  }

  indicator() {
    return '';
  }

  async renderChoice(choice, i) {
    let str = await super.renderChoice(choice, i);
    let sym = this.symbols.identicalTo + ' ';
    let pre = this.index === i && this.sorting ? this.styles.muted(sym) : '  ';
    if (this.options.drag === false) pre = '';

    if (this.options.numbered === true) {
      return pre + `${i + 1} - ` + str;
    }

    return pre + str;
  }

  get selected() {
    return this.choices;
  }

  submit() {
    this.value = this.choices.map(choice => choice.value);
    return super.submit();
  }

}

module.exports = Sort;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/survey.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const ArrayPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/array.js");

class Survey extends ArrayPrompt {
  constructor(options = {}) {
    super(options);
    this.emptyError = options.emptyError || 'No items were selected';
    this.term = process.env.TERM_PROGRAM;

    if (!this.options.header) {
      let header = ['', '4 - Strongly Agree', '3 - Agree', '2 - Neutral', '1 - Disagree', '0 - Strongly Disagree', ''];
      header = header.map(ele => this.styles.muted(ele));
      this.state.header = header.join('\n   ');
    }
  }

  async toChoices(...args) {
    if (this.createdScales) return false;
    this.createdScales = true;
    let choices = await super.toChoices(...args);

    for (let choice of choices) {
      choice.scale = createScale(5, this.options);
      choice.scaleIdx = 2;
    }

    return choices;
  }

  dispatch() {
    this.alert();
  }

  space() {
    let choice = this.focused;
    let ele = choice.scale[choice.scaleIdx];
    let selected = ele.selected;
    choice.scale.forEach(e => e.selected = false);
    ele.selected = !selected;
    return this.render();
  }

  indicator() {
    return '';
  }

  pointer() {
    return '';
  }

  separator() {
    return this.styles.muted(this.symbols.ellipsis);
  }

  right() {
    let choice = this.focused;
    if (choice.scaleIdx >= choice.scale.length - 1) return this.alert();
    choice.scaleIdx++;
    return this.render();
  }

  left() {
    let choice = this.focused;
    if (choice.scaleIdx <= 0) return this.alert();
    choice.scaleIdx--;
    return this.render();
  }

  indent() {
    return '   ';
  }

  async renderChoice(item, i) {
    await this.onChoice(item, i);
    let focused = this.index === i;
    let isHyper = this.term === 'Hyper';
    let n = !isHyper ? 8 : 9;
    let s = !isHyper ? ' ' : '';
    let ln = this.symbols.line.repeat(n);
    let sp = ' '.repeat(n + (isHyper ? 0 : 1));

    let dot = enabled => (enabled ? this.styles.success('◉') : '◯') + s;

    let num = i + 1 + '.';
    let color = focused ? this.styles.heading : this.styles.noop;
    let msg = await this.resolve(item.message, this.state, item, i);
    let indent = this.indent(item);
    let scale = indent + item.scale.map((e, i) => dot(i === item.scaleIdx)).join(ln);

    let val = i => i === item.scaleIdx ? color(i) : i;

    let next = indent + item.scale.map((e, i) => val(i)).join(sp);

    let line = () => [num, msg].filter(Boolean).join(' ');

    let lines = () => [line(), scale, next, ' '].filter(Boolean).join('\n');

    if (focused) {
      scale = this.styles.cyan(scale);
      next = this.styles.cyan(next);
    }

    return lines();
  }

  async renderChoices() {
    if (this.state.submitted) return '';
    let choices = this.visible.map(async (ch, i) => await this.renderChoice(ch, i));
    let visible = await Promise.all(choices);
    if (!visible.length) visible.push(this.styles.danger('No matching choices'));
    return visible.join('\n');
  }

  format() {
    if (this.state.submitted) {
      let values = this.choices.map(ch => this.styles.info(ch.scaleIdx));
      return values.join(', ');
    }

    return '';
  }

  async render() {
    let {
      submitted,
      size
    } = this.state;
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();
    let prompt = [prefix, message, separator].filter(Boolean).join(' ');
    this.state.prompt = prompt;
    let header = await this.header();
    let output = await this.format();
    let help = (await this.error()) || (await this.hint());
    let body = await this.renderChoices();
    let footer = await this.footer();
    if (output || !help) prompt += ' ' + output;
    if (help && !prompt.includes(help)) prompt += ' ' + help;

    if (submitted && !output && !body && this.multiple && this.type !== 'form') {
      prompt += this.styles.danger(this.emptyError);
    }

    this.clear(size);
    this.write([prompt, header, body, footer].filter(Boolean).join('\n'));
    this.restore();
  }

  submit() {
    this.value = {};

    for (let choice of this.choices) {
      this.value[choice.name] = choice.scaleIdx;
    }

    return this.base.submit.call(this);
  }

}

function createScale(n, options = {}) {
  if (Array.isArray(options.scale)) {
    return options.scale.map(ele => _objectSpread({}, ele));
  }

  let scale = [];

  for (let i = 1; i < n + 1; i++) scale.push({
    i,
    selected: false
  });

  return scale;
}

module.exports = Survey;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/text.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/input.js");

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/toggle.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BooleanPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/boolean.js");

class TogglePrompt extends BooleanPrompt {
  async initialize() {
    await super.initialize();
    this.value = this.initial = !!this.options.initial;
    this.disabled = this.options.disabled || 'no';
    this.enabled = this.options.enabled || 'yes';
    await this.render();
  }

  reset() {
    this.value = this.initial;
    this.render();
  }

  delete() {
    this.alert();
  }

  toggle() {
    this.value = !this.value;
    this.render();
  }

  enable() {
    if (this.value === true) return this.alert();
    this.value = true;
    this.render();
  }

  disable() {
    if (this.value === false) return this.alert();
    this.value = false;
    this.render();
  }

  up() {
    this.toggle();
  }

  down() {
    this.toggle();
  }

  right() {
    this.toggle();
  }

  left() {
    this.toggle();
  }

  next() {
    this.toggle();
  }

  prev() {
    this.toggle();
  }

  dispatch(ch = '', key) {
    switch (ch.toLowerCase()) {
      case ' ':
        return this.toggle();

      case '1':
      case 'y':
      case 't':
        return this.enable();

      case '0':
      case 'n':
      case 'f':
        return this.disable();

      default:
        {
          return this.alert();
        }
    }
  }

  format() {
    let active = str => this.styles.primary.underline(str);

    let value = [this.value ? this.disabled : active(this.disabled), this.value ? active(this.enabled) : this.enabled];
    return value.join(this.styles.muted(' / '));
  }

  async render() {
    let {
      size
    } = this.state;
    let header = await this.header();
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();
    let output = await this.format();
    let help = (await this.error()) || (await this.hint());
    let footer = await this.footer();
    let prompt = [prefix, message, separator, output].join(' ');
    this.state.prompt = prompt;
    if (help && !prompt.includes(help)) prompt += ' ' + help;
    this.clear(size);
    this.write([header, prompt, footer].filter(Boolean).join('\n'));
    this.write(this.margin[2]);
    this.restore();
  }

}

module.exports = TogglePrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/roles.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const roles = {
  default(prompt, choice) {
    return choice;
  },

  checkbox(prompt, choice) {
    throw new Error('checkbox role is not implemented yet');
  },

  editable(prompt, choice) {
    throw new Error('editable role is not implemented yet');
  },

  expandable(prompt, choice) {
    throw new Error('expandable role is not implemented yet');
  },

  heading(prompt, choice) {
    choice.disabled = '';
    choice.indicator = [choice.indicator, ' '].find(v => v != null);
    choice.message = choice.message || '';
    return choice;
  },

  input(prompt, choice) {
    throw new Error('input role is not implemented yet');
  },

  option(prompt, choice) {
    return roles.default(prompt, choice);
  },

  radio(prompt, choice) {
    throw new Error('radio role is not implemented yet');
  },

  separator(prompt, choice) {
    choice.disabled = '';
    choice.indicator = [choice.indicator, ' '].find(v => v != null);
    choice.message = choice.message || prompt.symbols.line.repeat(5);
    return choice;
  },

  spacer(prompt, choice) {
    return choice;
  }

};

module.exports = (name, options = {}) => {
  let role = utils.merge({}, roles, options.roles);
  return role[name] || role.default;
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/state.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  define,
  width
} = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

class State {
  constructor(prompt) {
    let options = prompt.options;
    define(this, '_prompt', prompt);
    this.type = prompt.type;
    this.name = prompt.name;
    this.message = '';
    this.header = '';
    this.footer = '';
    this.error = '';
    this.hint = '';
    this.input = '';
    this.cursor = 0;
    this.index = 0;
    this.lines = 0;
    this.tick = 0;
    this.prompt = '';
    this.buffer = '';
    this.width = width(options.stdout || process.stdout);
    Object.assign(this, options);
    this.name = this.name || this.message;
    this.message = this.message || this.name;
    this.symbols = prompt.symbols;
    this.styles = prompt.styles;
    this.required = new Set();
    this.cancelled = false;
    this.submitted = false;
  }

  clone() {
    let state = _objectSpread({}, this);

    state.status = this.status;
    state.buffer = Buffer.from(state.buffer);
    delete state.clone;
    return state;
  }

  set color(val) {
    this._color = val;
  }

  get color() {
    let styles = this.prompt.styles;
    if (this.cancelled) return styles.cancelled;
    if (this.submitted) return styles.submitted;
    let color = this._color || styles[this.status];
    return typeof color === 'function' ? color : styles.pending;
  }

  set loading(value) {
    this._loading = value;
  }

  get loading() {
    if (typeof this._loading === 'boolean') return this._loading;
    if (this.loadingChoices) return 'choices';
    return false;
  }

  get status() {
    if (this.cancelled) return 'cancelled';
    if (this.submitted) return 'submitted';
    return 'pending';
  }

}

module.exports = State;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/styles.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const styles = {
  default: colors.noop,
  noop: colors.noop,

  /**
   * Modifiers
   */
  set inverse(custom) {
    this._inverse = custom;
  },

  get inverse() {
    return this._inverse || utils.inverse(this.primary);
  },

  set complement(custom) {
    this._complement = custom;
  },

  get complement() {
    return this._complement || utils.complement(this.primary);
  },

  /**
   * Main color
   */
  primary: colors.cyan,

  /**
   * Main palette
   */
  success: colors.green,
  danger: colors.magenta,
  strong: colors.bold,
  warning: colors.yellow,
  muted: colors.dim,
  disabled: colors.gray,
  dark: colors.dim.gray,
  underline: colors.underline,

  set info(custom) {
    this._info = custom;
  },

  get info() {
    return this._info || this.primary;
  },

  set em(custom) {
    this._em = custom;
  },

  get em() {
    return this._em || this.primary.underline;
  },

  set heading(custom) {
    this._heading = custom;
  },

  get heading() {
    return this._heading || this.muted.underline;
  },

  /**
   * Statuses
   */
  set pending(custom) {
    this._pending = custom;
  },

  get pending() {
    return this._pending || this.primary;
  },

  set submitted(custom) {
    this._submitted = custom;
  },

  get submitted() {
    return this._submitted || this.success;
  },

  set cancelled(custom) {
    this._cancelled = custom;
  },

  get cancelled() {
    return this._cancelled || this.danger;
  },

  /**
   * Special styling
   */
  set typing(custom) {
    this._typing = custom;
  },

  get typing() {
    return this._typing || this.dim;
  },

  set placeholder(custom) {
    this._placeholder = custom;
  },

  get placeholder() {
    return this._placeholder || this.primary.dim;
  },

  set highlight(custom) {
    this._highlight = custom;
  },

  get highlight() {
    return this._highlight || this.inverse;
  }

};

styles.merge = (options = {}) => {
  if (options.styles && typeof options.styles.enabled === 'boolean') {
    colors.enabled = options.styles.enabled;
  }

  if (options.styles && typeof options.styles.visible === 'boolean') {
    colors.visible = options.styles.visible;
  }

  let result = utils.merge({}, styles, options.styles);
  delete result.merge;

  for (let key of Object.keys(colors)) {
    if (!result.hasOwnProperty(key)) {
      Reflect.defineProperty(result, key, {
        get: () => colors[key]
      });
    }
  }

  for (let key of Object.keys(colors.styles)) {
    if (!result.hasOwnProperty(key)) {
      Reflect.defineProperty(result, key, {
        get: () => colors[key]
      });
    }
  }

  return result;
};

module.exports = styles;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/symbols.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const isWindows = process.platform === 'win32';

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const symbols = _objectSpread(_objectSpread({}, colors.symbols), {}, {
  upDownDoubleArrow: '⇕',
  upDownDoubleArrow2: '⬍',
  upDownArrow: '↕',
  asterisk: '*',
  asterism: '⁂',
  bulletWhite: '◦',
  electricArrow: '⌁',
  ellipsisLarge: '⋯',
  ellipsisSmall: '…',
  fullBlock: '█',
  identicalTo: '≡',
  indicator: colors.symbols.check,
  leftAngle: '‹',
  mark: '※',
  minus: '−',
  multiplication: '×',
  obelus: '÷',
  percent: '%',
  pilcrow: '¶',
  pilcrow2: '❡',
  pencilUpRight: '✐',
  pencilDownRight: '✎',
  pencilRight: '✏',
  plus: '+',
  plusMinus: '±',
  pointRight: '☞',
  rightAngle: '›',
  section: '§',
  hexagon: {
    off: '⬡',
    on: '⬢',
    disabled: '⬢'
  },
  ballot: {
    on: '☑',
    off: '☐',
    disabled: '☒'
  },
  stars: {
    on: '★',
    off: '☆',
    disabled: '☆'
  },
  folder: {
    on: '▼',
    off: '▶',
    disabled: '▶'
  },
  prefix: {
    pending: colors.symbols.question,
    submitted: colors.symbols.check,
    cancelled: colors.symbols.cross
  },
  separator: {
    pending: colors.symbols.pointerSmall,
    submitted: colors.symbols.middot,
    cancelled: colors.symbols.middot
  },
  radio: {
    off: isWindows ? '( )' : '◯',
    on: isWindows ? '(*)' : '◉',
    disabled: isWindows ? '(|)' : 'Ⓘ'
  },
  numbers: ['⓪', '①', '②', '③', '④', '⑤', '⑥', '⑦', '⑧', '⑨', '⑩', '⑪', '⑫', '⑬', '⑭', '⑮', '⑯', '⑰', '⑱', '⑲', '⑳', '㉑', '㉒', '㉓', '㉔', '㉕', '㉖', '㉗', '㉘', '㉙', '㉚', '㉛', '㉜', '㉝', '㉞', '㉟', '㊱', '㊲', '㊳', '㊴', '㊵', '㊶', '㊷', '㊸', '㊹', '㊺', '㊻', '㊼', '㊽', '㊾', '㊿']
});

symbols.merge = options => {
  let result = utils.merge({}, colors.symbols, symbols, options.symbols);
  delete result.merge;
  return result;
};

module.exports = symbols;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/theme.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const styles = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/styles.js");

const symbols = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/symbols.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

module.exports = prompt => {
  prompt.options = utils.merge({}, prompt.options.theme, prompt.options);
  prompt.symbols = symbols.merge(prompt.options);
  prompt.styles = styles.merge(prompt.options);
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/timer.js":
/***/ ((module) => {

"use strict";


module.exports = prompt => {
  prompt.timers = prompt.timers || {};
  let timers = prompt.options.timers;
  if (!timers) return;

  for (let key of Object.keys(timers)) {
    let opts = timers[key];

    if (typeof opts === 'number') {
      opts = {
        interval: opts
      };
    }

    create(prompt, key, opts);
  }
};

function create(prompt, name, options = {}) {
  let timer = prompt.timers[name] = {
    name,
    start: Date.now(),
    ms: 0,
    tick: 0
  };
  let ms = options.interval || 120;
  timer.frames = options.frames || [];
  timer.loading = true;
  let interval = setInterval(() => {
    timer.ms = Date.now() - timer.start;
    timer.tick++;
    prompt.render();
  }, ms);

  timer.stop = () => {
    timer.loading = false;
    clearInterval(interval);
  };

  Reflect.defineProperty(timer, 'interval', {
    value: interval
  });
  prompt.once('close', () => timer.stop());
  return timer.stop;
}

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/array.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js");

const roles = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/roles.js");

const utils = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

const {
  reorder,
  scrollUp,
  scrollDown,
  isObject,
  swap
} = utils;

class ArrayPrompt extends Prompt {
  constructor(options) {
    super(options);
    this.cursorHide();
    this.maxSelected = options.maxSelected || Infinity;
    this.multiple = options.multiple || false;
    this.initial = options.initial || 0;
    this.delay = options.delay || 0;
    this.longest = 0;
    this.num = '';
  }

  async initialize() {
    if (typeof this.options.initial === 'function') {
      this.initial = await this.options.initial.call(this);
    }

    await this.reset(true);
    await super.initialize();
  }

  async reset() {
    let {
      choices,
      initial,
      autofocus,
      suggest
    } = this.options;
    this.state._choices = [];
    this.state.choices = [];
    this.choices = await Promise.all(await this.toChoices(choices));
    this.choices.forEach(ch => ch.enabled = false);

    if (typeof suggest !== 'function' && this.selectable.length === 0) {
      throw new Error('At least one choice must be selectable');
    }

    if (isObject(initial)) initial = Object.keys(initial);

    if (Array.isArray(initial)) {
      if (autofocus != null) this.index = this.findIndex(autofocus);
      initial.forEach(v => this.enable(this.find(v)));
      await this.render();
    } else {
      if (autofocus != null) initial = autofocus;
      if (typeof initial === 'string') initial = this.findIndex(initial);

      if (typeof initial === 'number' && initial > -1) {
        this.index = Math.max(0, Math.min(initial, this.choices.length));
        this.enable(this.find(this.index));
      }
    }

    if (this.isDisabled(this.focused)) {
      await this.down();
    }
  }

  async toChoices(value, parent) {
    this.state.loadingChoices = true;
    let choices = [];
    let index = 0;

    let toChoices = async (items, parent) => {
      if (typeof items === 'function') items = await items.call(this);
      if (items instanceof Promise) items = await items;

      for (let i = 0; i < items.length; i++) {
        let choice = items[i] = await this.toChoice(items[i], index++, parent);
        choices.push(choice);

        if (choice.choices) {
          await toChoices(choice.choices, choice);
        }
      }

      return choices;
    };

    return toChoices(value, parent).then(choices => {
      this.state.loadingChoices = false;
      return choices;
    });
  }

  async toChoice(ele, i, parent) {
    if (typeof ele === 'function') ele = await ele.call(this, this);
    if (ele instanceof Promise) ele = await ele;
    if (typeof ele === 'string') ele = {
      name: ele
    };
    if (ele.normalized) return ele;
    ele.normalized = true;
    let origVal = ele.value;
    let role = roles(ele.role, this.options);
    ele = role(this, ele);

    if (typeof ele.disabled === 'string' && !ele.hint) {
      ele.hint = ele.disabled;
      ele.disabled = true;
    }

    if (ele.disabled === true && ele.hint == null) {
      ele.hint = '(disabled)';
    } // if the choice was already normalized, return it


    if (ele.index != null) return ele;
    ele.name = ele.name || ele.key || ele.title || ele.value || ele.message;
    ele.message = ele.message || ele.name || '';
    ele.value = [ele.value, ele.name].find(this.isValue.bind(this));
    ele.input = '';
    ele.index = i;
    ele.cursor = 0;
    utils.define(ele, 'parent', parent);
    ele.level = parent ? parent.level + 1 : 1;

    if (ele.indent == null) {
      ele.indent = parent ? parent.indent + '  ' : ele.indent || '';
    }

    ele.path = parent ? parent.path + '.' + ele.name : ele.name;
    ele.enabled = !!(this.multiple && !this.isDisabled(ele) && (ele.enabled || this.isSelected(ele)));

    if (!this.isDisabled(ele)) {
      this.longest = Math.max(this.longest, colors.unstyle(ele.message).length);
    } // shallow clone the choice first


    let choice = _objectSpread({}, ele); // then allow the choice to be reset using the "original" values


    ele.reset = (input = choice.input, value = choice.value) => {
      for (let key of Object.keys(choice)) ele[key] = choice[key];

      ele.input = input;
      ele.value = value;
    };

    if (origVal == null && typeof ele.initial === 'function') {
      ele.input = await ele.initial.call(this, this.state, ele, i);
    }

    return ele;
  }

  async onChoice(choice, i) {
    this.emit('choice', choice, i, this);

    if (typeof choice.onChoice === 'function') {
      await choice.onChoice.call(this, this.state, choice, i);
    }
  }

  async addChoice(ele, i, parent) {
    let choice = await this.toChoice(ele, i, parent);
    this.choices.push(choice);
    this.index = this.choices.length - 1;
    this.limit = this.choices.length;
    return choice;
  }

  async newItem(item, i, parent) {
    let ele = _objectSpread({
      name: 'New choice name?',
      editable: true,
      newChoice: true
    }, item);

    let choice = await this.addChoice(ele, i, parent);

    choice.updateChoice = () => {
      delete choice.newChoice;
      choice.name = choice.message = choice.input;
      choice.input = '';
      choice.cursor = 0;
    };

    return this.render();
  }

  indent(choice) {
    if (choice.indent == null) {
      return choice.level > 1 ? '  '.repeat(choice.level - 1) : '';
    }

    return choice.indent;
  }

  dispatch(s, key) {
    if (this.multiple && this[key.name]) return this[key.name]();
    this.alert();
  }

  focus(choice, enabled) {
    if (typeof enabled !== 'boolean') enabled = choice.enabled;

    if (enabled && !choice.enabled && this.selected.length >= this.maxSelected) {
      return this.alert();
    }

    this.index = choice.index;
    choice.enabled = enabled && !this.isDisabled(choice);
    return choice;
  }

  space() {
    if (!this.multiple) return this.alert();
    this.toggle(this.focused);
    return this.render();
  }

  a() {
    if (this.maxSelected < this.choices.length) return this.alert();
    let enabled = this.selectable.every(ch => ch.enabled);
    this.choices.forEach(ch => ch.enabled = !enabled);
    return this.render();
  }

  i() {
    // don't allow choices to be inverted if it will result in
    // more than the maximum number of allowed selected items.
    if (this.choices.length - this.selected.length > this.maxSelected) {
      return this.alert();
    }

    this.choices.forEach(ch => ch.enabled = !ch.enabled);
    return this.render();
  }

  g(choice = this.focused) {
    if (!this.choices.some(ch => !!ch.parent)) return this.a();
    this.toggle(choice.parent && !choice.choices ? choice.parent : choice);
    return this.render();
  }

  toggle(choice, enabled) {
    if (!choice.enabled && this.selected.length >= this.maxSelected) {
      return this.alert();
    }

    if (typeof enabled !== 'boolean') enabled = !choice.enabled;
    choice.enabled = enabled;

    if (choice.choices) {
      choice.choices.forEach(ch => this.toggle(ch, enabled));
    }

    let parent = choice.parent;

    while (parent) {
      let choices = parent.choices.filter(ch => this.isDisabled(ch));
      parent.enabled = choices.every(ch => ch.enabled === true);
      parent = parent.parent;
    }

    reset(this, this.choices);
    this.emit('toggle', choice, this);
    return choice;
  }

  enable(choice) {
    if (this.selected.length >= this.maxSelected) return this.alert();
    choice.enabled = !this.isDisabled(choice);
    choice.choices && choice.choices.forEach(this.enable.bind(this));
    return choice;
  }

  disable(choice) {
    choice.enabled = false;
    choice.choices && choice.choices.forEach(this.disable.bind(this));
    return choice;
  }

  number(n) {
    this.num += n;

    let number = num => {
      let i = Number(num);
      if (i > this.choices.length - 1) return this.alert();
      let focused = this.focused;
      let choice = this.choices.find(ch => i === ch.index);

      if (!choice.enabled && this.selected.length >= this.maxSelected) {
        return this.alert();
      }

      if (this.visible.indexOf(choice) === -1) {
        let choices = reorder(this.choices);
        let actualIdx = choices.indexOf(choice);

        if (focused.index > actualIdx) {
          let start = choices.slice(actualIdx, actualIdx + this.limit);
          let end = choices.filter(ch => !start.includes(ch));
          this.choices = start.concat(end);
        } else {
          let pos = actualIdx - this.limit + 1;
          this.choices = choices.slice(pos).concat(choices.slice(0, pos));
        }
      }

      this.index = this.choices.indexOf(choice);
      this.toggle(this.focused);
      return this.render();
    };

    clearTimeout(this.numberTimeout);
    return new Promise(resolve => {
      let len = this.choices.length;
      let num = this.num;

      let handle = (val = false, res) => {
        clearTimeout(this.numberTimeout);
        if (val) res = number(num);
        this.num = '';
        resolve(res);
      };

      if (num === '0' || num.length === 1 && Number(num + '0') > len) {
        return handle(true);
      }

      if (Number(num) > len) {
        return handle(false, this.alert());
      }

      this.numberTimeout = setTimeout(() => handle(true), this.delay);
    });
  }

  home() {
    this.choices = reorder(this.choices);
    this.index = 0;
    return this.render();
  }

  end() {
    let pos = this.choices.length - this.limit;
    let choices = reorder(this.choices);
    this.choices = choices.slice(pos).concat(choices.slice(0, pos));
    this.index = this.limit - 1;
    return this.render();
  }

  first() {
    this.index = 0;
    return this.render();
  }

  last() {
    this.index = this.visible.length - 1;
    return this.render();
  }

  prev() {
    if (this.visible.length <= 1) return this.alert();
    return this.up();
  }

  next() {
    if (this.visible.length <= 1) return this.alert();
    return this.down();
  }

  right() {
    if (this.cursor >= this.input.length) return this.alert();
    this.cursor++;
    return this.render();
  }

  left() {
    if (this.cursor <= 0) return this.alert();
    this.cursor--;
    return this.render();
  }

  up() {
    let len = this.choices.length;
    let vis = this.visible.length;
    let idx = this.index;

    if (this.options.scroll === false && idx === 0) {
      return this.alert();
    }

    if (len > vis && idx === 0) {
      return this.scrollUp();
    }

    this.index = (idx - 1 % len + len) % len;

    if (this.isDisabled()) {
      return this.up();
    }

    return this.render();
  }

  down() {
    let len = this.choices.length;
    let vis = this.visible.length;
    let idx = this.index;

    if (this.options.scroll === false && idx === vis - 1) {
      return this.alert();
    }

    if (len > vis && idx === vis - 1) {
      return this.scrollDown();
    }

    this.index = (idx + 1) % len;

    if (this.isDisabled()) {
      return this.down();
    }

    return this.render();
  }

  scrollUp(i = 0) {
    this.choices = scrollUp(this.choices);
    this.index = i;

    if (this.isDisabled()) {
      return this.up();
    }

    return this.render();
  }

  scrollDown(i = this.visible.length - 1) {
    this.choices = scrollDown(this.choices);
    this.index = i;

    if (this.isDisabled()) {
      return this.down();
    }

    return this.render();
  }

  async shiftUp() {
    if (this.options.sort === true) {
      this.sorting = true;
      this.swap(this.index - 1);
      await this.up();
      this.sorting = false;
      return;
    }

    return this.scrollUp(this.index);
  }

  async shiftDown() {
    if (this.options.sort === true) {
      this.sorting = true;
      this.swap(this.index + 1);
      await this.down();
      this.sorting = false;
      return;
    }

    return this.scrollDown(this.index);
  }

  pageUp() {
    if (this.visible.length <= 1) return this.alert();
    this.limit = Math.max(this.limit - 1, 0);
    this.index = Math.min(this.limit - 1, this.index);
    this._limit = this.limit;

    if (this.isDisabled()) {
      return this.up();
    }

    return this.render();
  }

  pageDown() {
    if (this.visible.length >= this.choices.length) return this.alert();
    this.index = Math.max(0, this.index);
    this.limit = Math.min(this.limit + 1, this.choices.length);
    this._limit = this.limit;

    if (this.isDisabled()) {
      return this.down();
    }

    return this.render();
  }

  swap(pos) {
    swap(this.choices, this.index, pos);
  }

  isDisabled(choice = this.focused) {
    let keys = ['disabled', 'collapsed', 'hidden', 'completing', 'readonly'];

    if (choice && keys.some(key => choice[key] === true)) {
      return true;
    }

    return choice && choice.role === 'heading';
  }

  isEnabled(choice = this.focused) {
    if (Array.isArray(choice)) return choice.every(ch => this.isEnabled(ch));

    if (choice.choices) {
      let choices = choice.choices.filter(ch => !this.isDisabled(ch));
      return choice.enabled && choices.every(ch => this.isEnabled(ch));
    }

    return choice.enabled && !this.isDisabled(choice);
  }

  isChoice(choice, value) {
    return choice.name === value || choice.index === Number(value);
  }

  isSelected(choice) {
    if (Array.isArray(this.initial)) {
      return this.initial.some(value => this.isChoice(choice, value));
    }

    return this.isChoice(choice, this.initial);
  }

  map(names = [], prop = 'value') {
    return [].concat(names || []).reduce((acc, name) => {
      acc[name] = this.find(name, prop);
      return acc;
    }, {});
  }

  filter(value, prop) {
    let isChoice = (ele, i) => [ele.name, i].includes(value);

    let fn = typeof value === 'function' ? value : isChoice;
    let choices = this.options.multiple ? this.state._choices : this.choices;
    let result = choices.filter(fn);

    if (prop) {
      return result.map(ch => ch[prop]);
    }

    return result;
  }

  find(value, prop) {
    if (isObject(value)) return prop ? value[prop] : value;

    let isChoice = (ele, i) => [ele.name, i].includes(value);

    let fn = typeof value === 'function' ? value : isChoice;
    let choice = this.choices.find(fn);

    if (choice) {
      return prop ? choice[prop] : choice;
    }
  }

  findIndex(value) {
    return this.choices.indexOf(this.find(value));
  }

  async submit() {
    let choice = this.focused;
    if (!choice) return this.alert();

    if (choice.newChoice) {
      if (!choice.input) return this.alert();
      choice.updateChoice();
      return this.render();
    }

    if (this.choices.some(ch => ch.newChoice)) {
      return this.alert();
    }

    let {
      reorder,
      sort
    } = this.options;
    let multi = this.multiple === true;
    let value = this.selected;

    if (value === void 0) {
      return this.alert();
    } // re-sort choices to original order


    if (Array.isArray(value) && reorder !== false && sort !== true) {
      value = utils.reorder(value);
    }

    this.value = multi ? value.map(ch => ch.name) : value.name;
    return super.submit();
  }

  set choices(choices = []) {
    this.state._choices = this.state._choices || [];
    this.state.choices = choices;

    for (let choice of choices) {
      if (!this.state._choices.some(ch => ch.name === choice.name)) {
        this.state._choices.push(choice);
      }
    }

    if (!this._initial && this.options.initial) {
      this._initial = true;
      let init = this.initial;

      if (typeof init === 'string' || typeof init === 'number') {
        let choice = this.find(init);

        if (choice) {
          this.initial = choice.index;
          this.focus(choice, true);
        }
      }
    }
  }

  get choices() {
    return reset(this, this.state.choices || []);
  }

  set visible(visible) {
    this.state.visible = visible;
  }

  get visible() {
    return (this.state.visible || this.choices).slice(0, this.limit);
  }

  set limit(num) {
    this.state.limit = num;
  }

  get limit() {
    let {
      state,
      options,
      choices
    } = this;
    let limit = state.limit || this._limit || options.limit || choices.length;
    return Math.min(limit, this.height);
  }

  set value(value) {
    super.value = value;
  }

  get value() {
    if (typeof super.value !== 'string' && super.value === this.initial) {
      return this.input;
    }

    return super.value;
  }

  set index(i) {
    this.state.index = i;
  }

  get index() {
    return Math.max(0, this.state ? this.state.index : 0);
  }

  get enabled() {
    return this.filter(this.isEnabled.bind(this));
  }

  get focused() {
    let choice = this.choices[this.index];

    if (choice && this.state.submitted && this.multiple !== true) {
      choice.enabled = true;
    }

    return choice;
  }

  get selectable() {
    return this.choices.filter(choice => !this.isDisabled(choice));
  }

  get selected() {
    return this.multiple ? this.enabled : this.focused;
  }

}

function reset(prompt, choices) {
  if (choices instanceof Promise) return choices;

  if (typeof choices === 'function') {
    if (utils.isAsyncFn(choices)) return choices;
    choices = choices.call(prompt, prompt);
  }

  for (let choice of choices) {
    if (Array.isArray(choice.choices)) {
      let items = choice.choices.filter(ch => !prompt.isDisabled(ch));
      choice.enabled = items.every(ch => ch.enabled === true);
    }

    if (prompt.isDisabled(choice) === true) {
      delete choice.enabled;
    }
  }

  return choices;
}

module.exports = ArrayPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/auth.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const FormPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompts/form.js");

const defaultAuthenticate = () => {
  throw new Error('expected prompt to have a custom authenticate method');
};

const factory = (authenticate = defaultAuthenticate) => {
  class AuthPrompt extends FormPrompt {
    constructor(options) {
      super(options);
    }

    async submit() {
      this.value = await authenticate.call(this, this.values, this.state);
      super.base.submit.call(this);
    }

    static create(authenticate) {
      return factory(authenticate);
    }

  }

  return AuthPrompt;
};

module.exports = factory();

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/boolean.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js");

const {
  isPrimitive,
  hasColor
} = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

class BooleanPrompt extends Prompt {
  constructor(options) {
    super(options);
    this.cursorHide();
  }

  async initialize() {
    let initial = await this.resolve(this.initial, this.state);
    this.input = await this.cast(initial);
    await super.initialize();
  }

  dispatch(ch) {
    if (!this.isValue(ch)) return this.alert();
    this.input = ch;
    return this.submit();
  }

  format(value) {
    let {
      styles,
      state
    } = this;
    return !state.submitted ? styles.primary(value) : styles.success(value);
  }

  cast(input) {
    return this.isTrue(input);
  }

  isTrue(input) {
    return /^[ty1]/i.test(input);
  }

  isFalse(input) {
    return /^[fn0]/i.test(input);
  }

  isValue(value) {
    return isPrimitive(value) && (this.isTrue(value) || this.isFalse(value));
  }

  async hint() {
    if (this.state.status === 'pending') {
      let hint = await this.element('hint');

      if (!hasColor(hint)) {
        return this.styles.muted(hint);
      }

      return hint;
    }
  }

  async render() {
    let {
      input,
      size
    } = this.state;
    let prefix = await this.prefix();
    let sep = await this.separator();
    let msg = await this.message();
    let hint = this.styles.muted(this.default);
    let promptLine = [prefix, msg, hint, sep].filter(Boolean).join(' ');
    this.state.prompt = promptLine;
    let header = await this.header();
    let value = this.value = this.cast(input);
    let output = await this.format(value);
    let help = (await this.error()) || (await this.hint());
    let footer = await this.footer();
    if (help && !promptLine.includes(help)) output += ' ' + help;
    promptLine += ' ' + output;
    this.clear(size);
    this.write([header, promptLine, footer].filter(Boolean).join('\n'));
    this.restore();
  }

  set value(value) {
    super.value = value;
  }

  get value() {
    return this.cast(super.value);
  }

}

module.exports = BooleanPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = {
  ArrayPrompt: __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/array.js"),
  AuthPrompt: __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/auth.js"),
  BooleanPrompt: __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/boolean.js"),
  NumberPrompt: __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/number.js"),
  StringPrompt: __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js")
};

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/number.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const StringPrompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js");

class NumberPrompt extends StringPrompt {
  constructor(options = {}) {
    super(_objectSpread({
      style: 'number'
    }, options));
    this.min = this.isValue(options.min) ? this.toNumber(options.min) : -Infinity;
    this.max = this.isValue(options.max) ? this.toNumber(options.max) : Infinity;
    this.delay = options.delay != null ? options.delay : 1000;
    this.float = options.float !== false;
    this.round = options.round === true || options.float === false;
    this.major = options.major || 10;
    this.minor = options.minor || 1;
    this.initial = options.initial != null ? options.initial : '';
    this.input = String(this.initial);
    this.cursor = this.input.length;
    this.cursorShow();
  }

  append(ch) {
    if (!/[-+.]/.test(ch) || ch === '.' && this.input.includes('.')) {
      return this.alert('invalid number');
    }

    return super.append(ch);
  }

  number(ch) {
    return super.append(ch);
  }

  next() {
    if (this.input && this.input !== this.initial) return this.alert();
    if (!this.isValue(this.initial)) return this.alert();
    this.input = this.initial;
    this.cursor = String(this.initial).length;
    return this.render();
  }

  up(number) {
    let step = number || this.minor;
    let num = this.toNumber(this.input);
    if (num > this.max + step) return this.alert();
    this.input = `${num + step}`;
    return this.render();
  }

  down(number) {
    let step = number || this.minor;
    let num = this.toNumber(this.input);
    if (num < this.min - step) return this.alert();
    this.input = `${num - step}`;
    return this.render();
  }

  shiftDown() {
    return this.down(this.major);
  }

  shiftUp() {
    return this.up(this.major);
  }

  format(input = this.input) {
    if (typeof this.options.format === 'function') {
      return this.options.format.call(this, input);
    }

    return this.styles.info(input);
  }

  toNumber(value = '') {
    return this.float ? +value : Math.round(+value);
  }

  isValue(value) {
    return /^[-+]?[0-9]+((\.)|(\.[0-9]+))?$/.test(value);
  }

  submit() {
    let value = [this.input, this.initial].find(v => this.isValue(v));
    this.value = this.toNumber(value || 0);
    return super.submit();
  }

}

module.exports = NumberPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/types/string.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Prompt = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/prompt.js");

const placeholder = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/placeholder.js");

const {
  isPrimitive
} = __webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js");

class StringPrompt extends Prompt {
  constructor(options) {
    super(options);
    this.initial = isPrimitive(this.initial) ? String(this.initial) : '';
    if (this.initial) this.cursorHide();
    this.state.prevCursor = 0;
    this.state.clipboard = [];
  }

  async keypress(input, key = {}) {
    let prev = this.state.prevKeypress;
    this.state.prevKeypress = key;

    if (this.options.multiline === true && key.name === 'return') {
      if (!prev || prev.name !== 'return') {
        return this.append('\n', key);
      }
    }

    return super.keypress(input, key);
  }

  moveCursor(n) {
    this.cursor += n;
  }

  reset() {
    this.input = this.value = '';
    this.cursor = 0;
    return this.render();
  }

  dispatch(ch, key) {
    if (!ch || key.ctrl || key.code) return this.alert();
    this.append(ch);
  }

  append(ch) {
    let {
      cursor,
      input
    } = this.state;
    this.input = `${input}`.slice(0, cursor) + ch + `${input}`.slice(cursor);
    this.moveCursor(String(ch).length);
    this.render();
  }

  insert(str) {
    this.append(str);
  }

  delete() {
    let {
      cursor,
      input
    } = this.state;
    if (cursor <= 0) return this.alert();
    this.input = `${input}`.slice(0, cursor - 1) + `${input}`.slice(cursor);
    this.moveCursor(-1);
    this.render();
  }

  deleteForward() {
    let {
      cursor,
      input
    } = this.state;
    if (input[cursor] === void 0) return this.alert();
    this.input = `${input}`.slice(0, cursor) + `${input}`.slice(cursor + 1);
    this.render();
  }

  cutForward() {
    let pos = this.cursor;
    if (this.input.length <= pos) return this.alert();
    this.state.clipboard.push(this.input.slice(pos));
    this.input = this.input.slice(0, pos);
    this.render();
  }

  cutLeft() {
    let pos = this.cursor;
    if (pos === 0) return this.alert();
    let before = this.input.slice(0, pos);
    let after = this.input.slice(pos);
    let words = before.split(' ');
    this.state.clipboard.push(words.pop());
    this.input = words.join(' ');
    this.cursor = this.input.length;
    this.input += after;
    this.render();
  }

  paste() {
    if (!this.state.clipboard.length) return this.alert();
    this.insert(this.state.clipboard.pop());
    this.render();
  }

  toggleCursor() {
    if (this.state.prevCursor) {
      this.cursor = this.state.prevCursor;
      this.state.prevCursor = 0;
    } else {
      this.state.prevCursor = this.cursor;
      this.cursor = 0;
    }

    this.render();
  }

  first() {
    this.cursor = 0;
    this.render();
  }

  last() {
    this.cursor = this.input.length - 1;
    this.render();
  }

  next() {
    let init = this.initial != null ? String(this.initial) : '';
    if (!init || !init.startsWith(this.input)) return this.alert();
    this.input = this.initial;
    this.cursor = this.initial.length;
    this.render();
  }

  prev() {
    if (!this.input) return this.alert();
    this.reset();
  }

  backward() {
    return this.left();
  }

  forward() {
    return this.right();
  }

  right() {
    if (this.cursor >= this.input.length) return this.alert();
    this.moveCursor(1);
    return this.render();
  }

  left() {
    if (this.cursor <= 0) return this.alert();
    this.moveCursor(-1);
    return this.render();
  }

  isValue(value) {
    return !!value;
  }

  async format(input = this.value) {
    let initial = await this.resolve(this.initial, this.state);

    if (!this.state.submitted) {
      return placeholder(this, {
        input,
        initial,
        pos: this.cursor
      });
    }

    return this.styles.submitted(input || initial);
  }

  async render() {
    let size = this.state.size;
    let prefix = await this.prefix();
    let separator = await this.separator();
    let message = await this.message();
    let prompt = [prefix, message, separator].filter(Boolean).join(' ');
    this.state.prompt = prompt;
    let header = await this.header();
    let output = await this.format();
    let help = (await this.error()) || (await this.hint());
    let footer = await this.footer();
    if (help && !output.includes(help)) output += ' ' + help;
    prompt += ' ' + output;
    this.clear(size);
    this.write([header, prompt, footer].filter(Boolean).join('\n'));
    this.restore();
  }

}

module.exports = StringPrompt;

/***/ }),

/***/ "./node_modules/.f/_/enquirer/2.3.6/enquirer/lib/utils.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const toString = Object.prototype.toString;

const colors = __webpack_require__("./node_modules/.f/_/ansi-colors/4.1.1/ansi-colors/index.js");

let called = false;
let fns = [];
const complements = {
  'yellow': 'blue',
  'cyan': 'red',
  'green': 'magenta',
  'black': 'white',
  'blue': 'yellow',
  'red': 'cyan',
  'magenta': 'green',
  'white': 'black'
};

exports.longest = (arr, prop) => {
  return arr.reduce((a, v) => Math.max(a, prop ? v[prop].length : v.length), 0);
};

exports.hasColor = str => !!str && colors.hasColor(str);

const isObject = exports.isObject = val => {
  return val !== null && typeof val === 'object' && !Array.isArray(val);
};

exports.nativeType = val => {
  return toString.call(val).slice(8, -1).toLowerCase().replace(/\s/g, '');
};

exports.isAsyncFn = val => {
  return exports.nativeType(val) === 'asyncfunction';
};

exports.isPrimitive = val => {
  return val != null && typeof val !== 'object' && typeof val !== 'function';
};

exports.resolve = (context, value, ...rest) => {
  if (typeof value === 'function') {
    return value.call(context, ...rest);
  }

  return value;
};

exports.scrollDown = (choices = []) => [...choices.slice(1), choices[0]];

exports.scrollUp = (choices = []) => [choices.pop(), ...choices];

exports.reorder = (arr = []) => {
  let res = arr.slice();
  res.sort((a, b) => {
    if (a.index > b.index) return 1;
    if (a.index < b.index) return -1;
    return 0;
  });
  return res;
};

exports.swap = (arr, index, pos) => {
  let len = arr.length;
  let idx = pos === len ? 0 : pos < 0 ? len - 1 : pos;
  let choice = arr[index];
  arr[index] = arr[idx];
  arr[idx] = choice;
};

exports.width = (stream, fallback = 80) => {
  let columns = stream && stream.columns ? stream.columns : fallback;

  if (stream && typeof stream.getWindowSize === 'function') {
    columns = stream.getWindowSize()[0];
  }

  if (process.platform === 'win32') {
    return columns - 1;
  }

  return columns;
};

exports.height = (stream, fallback = 20) => {
  let rows = stream && stream.rows ? stream.rows : fallback;

  if (stream && typeof stream.getWindowSize === 'function') {
    rows = stream.getWindowSize()[1];
  }

  return rows;
};

exports.wordWrap = (str, options = {}) => {
  if (!str) return str;

  if (typeof options === 'number') {
    options = {
      width: options
    };
  }

  let {
    indent = '',
    newline = '\n' + indent,
    width = 80
  } = options;
  let spaces = (newline + indent).match(/[^\S\n]/g) || [];
  width -= spaces.length;
  let source = `.{1,${width}}([\\s\\u200B]+|$)|[^\\s\\u200B]+?([\\s\\u200B]+|$)`;
  let output = str.trim();
  let regex = new RegExp(source, 'g');
  let lines = output.match(regex) || [];
  lines = lines.map(line => line.replace(/\n$/, ''));
  if (options.padEnd) lines = lines.map(line => line.padEnd(width, ' '));
  if (options.padStart) lines = lines.map(line => line.padStart(width, ' '));
  return indent + lines.join(newline);
};

exports.unmute = color => {
  let name = color.stack.find(n => colors.keys.color.includes(n));

  if (name) {
    return colors[name];
  }

  let bg = color.stack.find(n => n.slice(2) === 'bg');

  if (bg) {
    return colors[name.slice(2)];
  }

  return str => str;
};

exports.pascal = str => str ? str[0].toUpperCase() + str.slice(1) : '';

exports.inverse = color => {
  if (!color || !color.stack) return color;
  let name = color.stack.find(n => colors.keys.color.includes(n));

  if (name) {
    let col = colors['bg' + exports.pascal(name)];
    return col ? col.black : color;
  }

  let bg = color.stack.find(n => n.slice(0, 2) === 'bg');

  if (bg) {
    return colors[bg.slice(2).toLowerCase()] || color;
  }

  return colors.none;
};

exports.complement = color => {
  if (!color || !color.stack) return color;
  let name = color.stack.find(n => colors.keys.color.includes(n));
  let bg = color.stack.find(n => n.slice(0, 2) === 'bg');

  if (name && !bg) {
    return colors[complements[name] || name];
  }

  if (bg) {
    let lower = bg.slice(2).toLowerCase();
    let comp = complements[lower];
    if (!comp) return color;
    return colors['bg' + exports.pascal(comp)] || color;
  }

  return colors.none;
};

exports.meridiem = date => {
  let hours = date.getHours();
  let minutes = date.getMinutes();
  let ampm = hours >= 12 ? 'pm' : 'am';
  hours = hours % 12;
  let hrs = hours === 0 ? 12 : hours;
  let min = minutes < 10 ? '0' + minutes : minutes;
  return hrs + ':' + min + ' ' + ampm;
};
/**
 * Set a value on the given object.
 * @param {Object} obj
 * @param {String} prop
 * @param {any} value
 */


exports.set = (obj = {}, prop = '', val) => {
  return prop.split('.').reduce((acc, k, i, arr) => {
    let value = arr.length - 1 > i ? acc[k] || {} : val;
    if (!exports.isObject(value) && i < arr.length - 1) value = {};
    return acc[k] = value;
  }, obj);
};
/**
 * Get a value from the given object.
 * @param {Object} obj
 * @param {String} prop
 */


exports.get = (obj = {}, prop = '', fallback) => {
  let value = obj[prop] == null ? prop.split('.').reduce((acc, k) => acc && acc[k], obj) : obj[prop];
  return value == null ? fallback : value;
};

exports.mixin = (target, b) => {
  if (!isObject(target)) return b;
  if (!isObject(b)) return target;

  for (let key of Object.keys(b)) {
    let desc = Object.getOwnPropertyDescriptor(b, key);

    if (desc.hasOwnProperty('value')) {
      if (target.hasOwnProperty(key) && isObject(desc.value)) {
        let existing = Object.getOwnPropertyDescriptor(target, key);

        if (isObject(existing.value)) {
          target[key] = exports.merge({}, target[key], b[key]);
        } else {
          Reflect.defineProperty(target, key, desc);
        }
      } else {
        Reflect.defineProperty(target, key, desc);
      }
    } else {
      Reflect.defineProperty(target, key, desc);
    }
  }

  return target;
};

exports.merge = (...args) => {
  let target = {};

  for (let ele of args) exports.mixin(target, ele);

  return target;
};

exports.mixinEmitter = (obj, emitter) => {
  let proto = emitter.constructor.prototype;

  for (let key of Object.keys(proto)) {
    let val = proto[key];

    if (typeof val === 'function') {
      exports.define(obj, key, val.bind(emitter));
    } else {
      exports.define(obj, key, val);
    }
  }
};

exports.onExit = callback => {
  const onExit = (quit, code) => {
    if (called) return;
    called = true;
    fns.forEach(fn => fn());

    if (quit === true) {
      process.exit(128 + code);
    }
  };

  if (fns.length === 0) {
    process.once('SIGTERM', onExit.bind(null, true, 15));
    process.once('SIGINT', onExit.bind(null, true, 2));
    process.once('exit', onExit);
  }

  fns.push(callback);
};

exports.define = (obj, key, value) => {
  Reflect.defineProperty(obj, key, {
    value
  });
};

exports.defineExport = (obj, key, fn) => {
  let custom;
  Reflect.defineProperty(obj, key, {
    enumerable: true,
    configurable: true,

    set(val) {
      custom = val;
    },

    get() {
      return custom ? custom() : fn();
    }

  });
};

/***/ }),

/***/ "./node_modules/.f/_/env-paths/2.2.1/env-paths/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const os = __webpack_require__("os");

const homedir = os.homedir();
const tmpdir = os.tmpdir();
const {
  env
} = process;

const macos = name => {
  const library = path.join(homedir, 'Library');
  return {
    data: path.join(library, 'Application Support', name),
    config: path.join(library, 'Preferences', name),
    cache: path.join(library, 'Caches', name),
    log: path.join(library, 'Logs', name),
    temp: path.join(tmpdir, name)
  };
};

const windows = name => {
  const appData = env.APPDATA || path.join(homedir, 'AppData', 'Roaming');
  const localAppData = env.LOCALAPPDATA || path.join(homedir, 'AppData', 'Local');
  return {
    // Data/config/cache/log are invented by me as Windows isn't opinionated about this
    data: path.join(localAppData, name, 'Data'),
    config: path.join(appData, name, 'Config'),
    cache: path.join(localAppData, name, 'Cache'),
    log: path.join(localAppData, name, 'Log'),
    temp: path.join(tmpdir, name)
  };
}; // https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html


const linux = name => {
  const username = path.basename(homedir);
  return {
    data: path.join(env.XDG_DATA_HOME || path.join(homedir, '.local', 'share'), name),
    config: path.join(env.XDG_CONFIG_HOME || path.join(homedir, '.config'), name),
    cache: path.join(env.XDG_CACHE_HOME || path.join(homedir, '.cache'), name),
    // https://wiki.debian.org/XDGBaseDirectorySpecification#state
    log: path.join(env.XDG_STATE_HOME || path.join(homedir, '.local', 'state'), name),
    temp: path.join(tmpdir, username, name)
  };
};

const envPaths = (name, options) => {
  if (typeof name !== 'string') {
    throw new TypeError(`Expected string, got ${typeof name}`);
  }

  options = Object.assign({
    suffix: 'nodejs'
  }, options);

  if (options.suffix) {
    // Add suffix to prevent possible conflict with native apps
    name += `-${options.suffix}`;
  }

  if (process.platform === 'darwin') {
    return macos(name);
  }

  if (process.platform === 'win32') {
    return windows(name);
  }

  return linux(name);
};

module.exports = envPaths; // TODO: Remove this for the next major release

module.exports["default"] = envPaths;

/***/ }),

/***/ "./node_modules/.f/_/err-code/1.1.2/err-code/index.js":
/***/ ((module) => {

"use strict";


function createError(msg, code, props) {
  var err = msg instanceof Error ? msg : new Error(msg);
  var key;

  if (typeof code === 'object') {
    props = code;
  } else if (code != null) {
    err.code = code;
  }

  if (props) {
    for (key in props) {
      err[key] = props[key];
    }
  }

  return err;
}

module.exports = createError;

/***/ }),

/***/ "./node_modules/.f/_/err-code/2.0.3/err-code/index.js":
/***/ ((module) => {

"use strict";


function assign(obj, props) {
  for (const key in props) {
    Object.defineProperty(obj, key, {
      value: props[key],
      enumerable: true,
      configurable: true
    });
  }

  return obj;
}

function createError(err, code, props) {
  if (!err || typeof err === 'string') {
    throw new TypeError('Please pass an Error to err-code');
  }

  if (!props) {
    props = {};
  }

  if (typeof code === 'object') {
    props = code;
    code = undefined;
  }

  if (code != null) {
    props.code = code;
  }

  try {
    return assign(err, props);
  } catch (_) {
    props.message = err.message;
    props.stack = err.stack;

    const ErrClass = function () {};

    ErrClass.prototype = Object.create(Object.getPrototypeOf(err));
    return assign(new ErrClass(), props);
  }
}

module.exports = createError;

/***/ }),

/***/ "./node_modules/.f/_/es6-promisify/5.0.0-fynlocal_h/es6-promisify/es6-promisify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

module.exports = function promisify(func, context) {
  return Promise.promisify(func, {
    context
  });
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const path = __webpack_require__("path");

const childProcess = __webpack_require__("child_process");

const crossSpawn = __webpack_require__("./node_modules/.f/_/cross-spawn/7.0.3/cross-spawn/index.js");

const stripFinalNewline = __webpack_require__("./node_modules/.f/_/strip-final-newline/2.0.0/strip-final-newline/index.js");

const npmRunPath = __webpack_require__("./node_modules/.f/_/npm-run-path/4.0.1/npm-run-path/index.js");

const onetime = __webpack_require__("./node_modules/.f/_/onetime/5.1.2/onetime/index.js");

const makeError = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/error.js");

const normalizeStdio = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/stdio.js");

const {
  spawnedKill,
  spawnedCancel,
  setupTimeout,
  validateTimeout,
  setExitHandler
} = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/kill.js");

const {
  handleInput,
  getSpawnedResult,
  makeAllStream,
  validateInputSync
} = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/stream.js");

const {
  mergePromise,
  getSpawnedPromise
} = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/promise.js");

const {
  joinCommand,
  parseCommand,
  getEscapedCommand
} = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/lib/command.js");

const DEFAULT_MAX_BUFFER = 1000 * 1000 * 100;

const getEnv = ({
  env: envOption,
  extendEnv,
  preferLocal,
  localDir,
  execPath
}) => {
  const env = extendEnv ? _objectSpread(_objectSpread({}, process.env), envOption) : envOption;

  if (preferLocal) {
    return npmRunPath.env({
      env,
      cwd: localDir,
      execPath
    });
  }

  return env;
};

const handleArguments = (file, args, options = {}) => {
  const parsed = crossSpawn._parse(file, args, options);

  file = parsed.command;
  args = parsed.args;
  options = parsed.options;
  options = _objectSpread({
    maxBuffer: DEFAULT_MAX_BUFFER,
    buffer: true,
    stripFinalNewline: true,
    extendEnv: true,
    preferLocal: false,
    localDir: options.cwd || process.cwd(),
    execPath: process.execPath,
    encoding: 'utf8',
    reject: true,
    cleanup: true,
    all: false,
    windowsHide: true
  }, options);
  options.env = getEnv(options);
  options.stdio = normalizeStdio(options);

  if (process.platform === 'win32' && path.basename(file, '.exe') === 'cmd') {
    // #116
    args.unshift('/q');
  }

  return {
    file,
    args,
    options,
    parsed
  };
};

const handleOutput = (options, value, error) => {
  if (typeof value !== 'string' && !Buffer.isBuffer(value)) {
    // When `execa.sync()` errors, we normalize it to '' to mimic `execa()`
    return error === undefined ? undefined : '';
  }

  if (options.stripFinalNewline) {
    return stripFinalNewline(value);
  }

  return value;
};

const execa = (file, args, options) => {
  const parsed = handleArguments(file, args, options);
  const command = joinCommand(file, args);
  const escapedCommand = getEscapedCommand(file, args);
  validateTimeout(parsed.options);
  let spawned;

  try {
    spawned = childProcess.spawn(parsed.file, parsed.args, parsed.options);
  } catch (error) {
    // Ensure the returned error is always both a promise and a child process
    const dummySpawned = new childProcess.ChildProcess();
    const errorPromise = Promise.reject(makeError({
      error,
      stdout: '',
      stderr: '',
      all: '',
      command,
      escapedCommand,
      parsed,
      timedOut: false,
      isCanceled: false,
      killed: false
    }));
    return mergePromise(dummySpawned, errorPromise);
  }

  const spawnedPromise = getSpawnedPromise(spawned);
  const timedPromise = setupTimeout(spawned, parsed.options, spawnedPromise);
  const processDone = setExitHandler(spawned, parsed.options, timedPromise);
  const context = {
    isCanceled: false
  };
  spawned.kill = spawnedKill.bind(null, spawned.kill.bind(spawned));
  spawned.cancel = spawnedCancel.bind(null, spawned, context);

  const handlePromise = async () => {
    const [{
      error,
      exitCode,
      signal,
      timedOut
    }, stdoutResult, stderrResult, allResult] = await getSpawnedResult(spawned, parsed.options, processDone);
    const stdout = handleOutput(parsed.options, stdoutResult);
    const stderr = handleOutput(parsed.options, stderrResult);
    const all = handleOutput(parsed.options, allResult);

    if (error || exitCode !== 0 || signal !== null) {
      const returnedError = makeError({
        error,
        exitCode,
        signal,
        stdout,
        stderr,
        all,
        command,
        escapedCommand,
        parsed,
        timedOut,
        isCanceled: context.isCanceled,
        killed: spawned.killed
      });

      if (!parsed.options.reject) {
        return returnedError;
      }

      throw returnedError;
    }

    return {
      command,
      escapedCommand,
      exitCode: 0,
      stdout,
      stderr,
      all,
      failed: false,
      timedOut: false,
      isCanceled: false,
      killed: false
    };
  };

  const handlePromiseOnce = onetime(handlePromise);
  handleInput(spawned, parsed.options.input);
  spawned.all = makeAllStream(spawned, parsed.options);
  return mergePromise(spawned, handlePromiseOnce);
};

module.exports = execa;

module.exports.sync = (file, args, options) => {
  const parsed = handleArguments(file, args, options);
  const command = joinCommand(file, args);
  const escapedCommand = getEscapedCommand(file, args);
  validateInputSync(parsed.options);
  let result;

  try {
    result = childProcess.spawnSync(parsed.file, parsed.args, parsed.options);
  } catch (error) {
    throw makeError({
      error,
      stdout: '',
      stderr: '',
      all: '',
      command,
      escapedCommand,
      parsed,
      timedOut: false,
      isCanceled: false,
      killed: false
    });
  }

  const stdout = handleOutput(parsed.options, result.stdout, result.error);
  const stderr = handleOutput(parsed.options, result.stderr, result.error);

  if (result.error || result.status !== 0 || result.signal !== null) {
    const error = makeError({
      stdout,
      stderr,
      error: result.error,
      signal: result.signal,
      exitCode: result.status,
      command,
      escapedCommand,
      parsed,
      timedOut: result.error && result.error.code === 'ETIMEDOUT',
      isCanceled: false,
      killed: result.signal !== null
    });

    if (!parsed.options.reject) {
      return error;
    }

    throw error;
  }

  return {
    command,
    escapedCommand,
    exitCode: 0,
    stdout,
    stderr,
    failed: false,
    timedOut: false,
    isCanceled: false,
    killed: false
  };
};

module.exports.command = (command, options) => {
  const [file, ...args] = parseCommand(command);
  return execa(file, args, options);
};

module.exports.commandSync = (command, options) => {
  const [file, ...args] = parseCommand(command);
  return execa.sync(file, args, options);
};

module.exports.node = (scriptPath, args, options = {}) => {
  if (args && !Array.isArray(args) && typeof args === 'object') {
    options = args;
    args = [];
  }

  const stdio = normalizeStdio.node(options);
  const defaultExecArgv = process.execArgv.filter(arg => !arg.startsWith('--inspect'));
  const {
    nodePath = process.execPath,
    nodeOptions = defaultExecArgv
  } = options;
  return execa(nodePath, [...nodeOptions, scriptPath, ...(Array.isArray(args) ? args : [])], _objectSpread(_objectSpread({}, options), {}, {
    stdin: undefined,
    stdout: undefined,
    stderr: undefined,
    stdio,
    shell: false
  }));
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/command.js":
/***/ ((module) => {

"use strict";


const normalizeArgs = (file, args = []) => {
  if (!Array.isArray(args)) {
    return [file];
  }

  return [file, ...args];
};

const NO_ESCAPE_REGEXP = /^[\w.-]+$/;
const DOUBLE_QUOTES_REGEXP = /"/g;

const escapeArg = arg => {
  if (typeof arg !== 'string' || NO_ESCAPE_REGEXP.test(arg)) {
    return arg;
  }

  return `"${arg.replace(DOUBLE_QUOTES_REGEXP, '\\"')}"`;
};

const joinCommand = (file, args) => {
  return normalizeArgs(file, args).join(' ');
};

const getEscapedCommand = (file, args) => {
  return normalizeArgs(file, args).map(arg => escapeArg(arg)).join(' ');
};

const SPACES_REGEXP = / +/g; // Handle `execa.command()`

const parseCommand = command => {
  const tokens = [];

  for (const token of command.trim().split(SPACES_REGEXP)) {
    // Allow spaces to be escaped by a backslash if not meant as a delimiter
    const previousToken = tokens[tokens.length - 1];

    if (previousToken && previousToken.endsWith('\\')) {
      // Merge previous token with current one
      tokens[tokens.length - 1] = `${previousToken.slice(0, -1)} ${token}`;
    } else {
      tokens.push(token);
    }
  }

  return tokens;
};

module.exports = {
  joinCommand,
  getEscapedCommand,
  parseCommand
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/error.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  signalsByName
} = __webpack_require__("./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/main.js");

const getErrorPrefix = ({
  timedOut,
  timeout,
  errorCode,
  signal,
  signalDescription,
  exitCode,
  isCanceled
}) => {
  if (timedOut) {
    return `timed out after ${timeout} milliseconds`;
  }

  if (isCanceled) {
    return 'was canceled';
  }

  if (errorCode !== undefined) {
    return `failed with ${errorCode}`;
  }

  if (signal !== undefined) {
    return `was killed with ${signal} (${signalDescription})`;
  }

  if (exitCode !== undefined) {
    return `failed with exit code ${exitCode}`;
  }

  return 'failed';
};

const makeError = ({
  stdout,
  stderr,
  all,
  error,
  signal,
  exitCode,
  command,
  escapedCommand,
  timedOut,
  isCanceled,
  killed,
  parsed: {
    options: {
      timeout
    }
  }
}) => {
  // `signal` and `exitCode` emitted on `spawned.on('exit')` event can be `null`.
  // We normalize them to `undefined`
  exitCode = exitCode === null ? undefined : exitCode;
  signal = signal === null ? undefined : signal;
  const signalDescription = signal === undefined ? undefined : signalsByName[signal].description;
  const errorCode = error && error.code;
  const prefix = getErrorPrefix({
    timedOut,
    timeout,
    errorCode,
    signal,
    signalDescription,
    exitCode,
    isCanceled
  });
  const execaMessage = `Command ${prefix}: ${command}`;
  const isError = Object.prototype.toString.call(error) === '[object Error]';
  const shortMessage = isError ? `${execaMessage}\n${error.message}` : execaMessage;
  const message = [shortMessage, stderr, stdout].filter(Boolean).join('\n');

  if (isError) {
    error.originalMessage = error.message;
    error.message = message;
  } else {
    error = new Error(message);
  }

  error.shortMessage = shortMessage;
  error.command = command;
  error.escapedCommand = escapedCommand;
  error.exitCode = exitCode;
  error.signal = signal;
  error.signalDescription = signalDescription;
  error.stdout = stdout;
  error.stderr = stderr;

  if (all !== undefined) {
    error.all = all;
  }

  if ('bufferedData' in error) {
    delete error.bufferedData;
  }

  error.failed = true;
  error.timedOut = Boolean(timedOut);
  error.isCanceled = isCanceled;
  error.killed = killed && !timedOut;
  return error;
};

module.exports = makeError;

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/kill.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const os = __webpack_require__("os");

const onExit = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js");

const DEFAULT_FORCE_KILL_TIMEOUT = 1000 * 5; // Monkey-patches `childProcess.kill()` to add `forceKillAfterTimeout` behavior

const spawnedKill = (kill, signal = 'SIGTERM', options = {}) => {
  const killResult = kill(signal);
  setKillTimeout(kill, signal, options, killResult);
  return killResult;
};

const setKillTimeout = (kill, signal, options, killResult) => {
  if (!shouldForceKill(signal, options, killResult)) {
    return;
  }

  const timeout = getForceKillAfterTimeout(options);
  const t = setTimeout(() => {
    kill('SIGKILL');
  }, timeout); // Guarded because there's no `.unref()` when `execa` is used in the renderer
  // process in Electron. This cannot be tested since we don't run tests in
  // Electron.
  // istanbul ignore else

  if (t.unref) {
    t.unref();
  }
};

const shouldForceKill = (signal, {
  forceKillAfterTimeout
}, killResult) => {
  return isSigterm(signal) && forceKillAfterTimeout !== false && killResult;
};

const isSigterm = signal => {
  return signal === os.constants.signals.SIGTERM || typeof signal === 'string' && signal.toUpperCase() === 'SIGTERM';
};

const getForceKillAfterTimeout = ({
  forceKillAfterTimeout = true
}) => {
  if (forceKillAfterTimeout === true) {
    return DEFAULT_FORCE_KILL_TIMEOUT;
  }

  if (!Number.isFinite(forceKillAfterTimeout) || forceKillAfterTimeout < 0) {
    throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${forceKillAfterTimeout}\` (${typeof forceKillAfterTimeout})`);
  }

  return forceKillAfterTimeout;
}; // `childProcess.cancel()`


const spawnedCancel = (spawned, context) => {
  const killResult = spawned.kill();

  if (killResult) {
    context.isCanceled = true;
  }
};

const timeoutKill = (spawned, signal, reject) => {
  spawned.kill(signal);
  reject(Object.assign(new Error('Timed out'), {
    timedOut: true,
    signal
  }));
}; // `timeout` option handling


const setupTimeout = (spawned, {
  timeout,
  killSignal = 'SIGTERM'
}, spawnedPromise) => {
  if (timeout === 0 || timeout === undefined) {
    return spawnedPromise;
  }

  let timeoutId;
  const timeoutPromise = new Promise((resolve, reject) => {
    timeoutId = setTimeout(() => {
      timeoutKill(spawned, killSignal, reject);
    }, timeout);
  });
  const safeSpawnedPromise = spawnedPromise.finally(() => {
    clearTimeout(timeoutId);
  });
  return Promise.race([timeoutPromise, safeSpawnedPromise]);
};

const validateTimeout = ({
  timeout
}) => {
  if (timeout !== undefined && (!Number.isFinite(timeout) || timeout < 0)) {
    throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${timeout}\` (${typeof timeout})`);
  }
}; // `cleanup` option handling


const setExitHandler = async (spawned, {
  cleanup,
  detached
}, timedPromise) => {
  if (!cleanup || detached) {
    return timedPromise;
  }

  const removeExitHandler = onExit(() => {
    spawned.kill();
  });
  return timedPromise.finally(() => {
    removeExitHandler();
  });
};

module.exports = {
  spawnedKill,
  spawnedCancel,
  setupTimeout,
  validateTimeout,
  setExitHandler
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/promise.js":
/***/ ((module) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const nativePromisePrototype = (async () => {})().constructor.prototype;

const descriptors = ['then', 'catch', 'finally'].map(property => [property, Reflect.getOwnPropertyDescriptor(nativePromisePrototype, property)]); // The return value is a mixin of `childProcess` and `Promise`

const mergePromise = (spawned, promise) => {
  for (const [property, descriptor] of descriptors) {
    // Starting the main `promise` is deferred to avoid consuming streams
    const value = typeof promise === 'function' ? (...args) => Reflect.apply(descriptor.value, promise(), args) : descriptor.value.bind(promise);
    Reflect.defineProperty(spawned, property, _objectSpread(_objectSpread({}, descriptor), {}, {
      value
    }));
  }

  return spawned;
}; // Use promises instead of `child_process` events


const getSpawnedPromise = spawned => {
  return new Promise((resolve, reject) => {
    spawned.on('exit', (exitCode, signal) => {
      resolve({
        exitCode,
        signal
      });
    });
    spawned.on('error', error => {
      reject(error);
    });

    if (spawned.stdin) {
      spawned.stdin.on('error', error => {
        reject(error);
      });
    }
  });
};

module.exports = {
  mergePromise,
  getSpawnedPromise
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/stdio.js":
/***/ ((module) => {

"use strict";


const aliases = ['stdin', 'stdout', 'stderr'];

const hasAlias = options => aliases.some(alias => options[alias] !== undefined);

const normalizeStdio = options => {
  if (!options) {
    return;
  }

  const {
    stdio
  } = options;

  if (stdio === undefined) {
    return aliases.map(alias => options[alias]);
  }

  if (hasAlias(options)) {
    throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${aliases.map(alias => `\`${alias}\``).join(', ')}`);
  }

  if (typeof stdio === 'string') {
    return stdio;
  }

  if (!Array.isArray(stdio)) {
    throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof stdio}\``);
  }

  const length = Math.max(stdio.length, aliases.length);
  return Array.from({
    length
  }, (value, index) => stdio[index]);
};

module.exports = normalizeStdio; // `ipc` is pushed unless it is already present

module.exports.node = options => {
  const stdio = normalizeStdio(options);

  if (stdio === 'ipc') {
    return 'ipc';
  }

  if (stdio === undefined || typeof stdio === 'string') {
    return [stdio, stdio, stdio, 'ipc'];
  }

  if (stdio.includes('ipc')) {
    return stdio;
  }

  return [...stdio, 'ipc'];
};

/***/ }),

/***/ "./node_modules/.f/_/execa/5.1.1/execa/lib/stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const isStream = __webpack_require__("./node_modules/.f/_/is-stream/2.0.0/is-stream/index.js");

const getStream = __webpack_require__("./node_modules/.f/_/get-stream/6.0.0/get-stream/index.js");

const mergeStream = __webpack_require__("./node_modules/.f/_/merge-stream/2.0.0/merge-stream/index.js"); // `input` option


const handleInput = (spawned, input) => {
  // Checking for stdin is workaround for https://github.com/nodejs/node/issues/26852
  // @todo remove `|| spawned.stdin === undefined` once we drop support for Node.js <=12.2.0
  if (input === undefined || spawned.stdin === undefined) {
    return;
  }

  if (isStream(input)) {
    input.pipe(spawned.stdin);
  } else {
    spawned.stdin.end(input);
  }
}; // `all` interleaves `stdout` and `stderr`


const makeAllStream = (spawned, {
  all
}) => {
  if (!all || !spawned.stdout && !spawned.stderr) {
    return;
  }

  const mixed = mergeStream();

  if (spawned.stdout) {
    mixed.add(spawned.stdout);
  }

  if (spawned.stderr) {
    mixed.add(spawned.stderr);
  }

  return mixed;
}; // On failure, `result.stdout|stderr|all` should contain the currently buffered stream


const getBufferedData = async (stream, streamPromise) => {
  if (!stream) {
    return;
  }

  stream.destroy();

  try {
    return await streamPromise;
  } catch (error) {
    return error.bufferedData;
  }
};

const getStreamPromise = (stream, {
  encoding,
  buffer,
  maxBuffer
}) => {
  if (!stream || !buffer) {
    return;
  }

  if (encoding) {
    return getStream(stream, {
      encoding,
      maxBuffer
    });
  }

  return getStream.buffer(stream, {
    maxBuffer
  });
}; // Retrieve result of child process: exit code, signal, error, streams (stdout/stderr/all)


const getSpawnedResult = async ({
  stdout,
  stderr,
  all
}, {
  encoding,
  buffer,
  maxBuffer
}, processDone) => {
  const stdoutPromise = getStreamPromise(stdout, {
    encoding,
    buffer,
    maxBuffer
  });
  const stderrPromise = getStreamPromise(stderr, {
    encoding,
    buffer,
    maxBuffer
  });
  const allPromise = getStreamPromise(all, {
    encoding,
    buffer,
    maxBuffer: maxBuffer * 2
  });

  try {
    return await Promise.all([processDone, stdoutPromise, stderrPromise, allPromise]);
  } catch (error) {
    return Promise.all([{
      error,
      signal: error.signal,
      timedOut: error.timedOut
    }, getBufferedData(stdout, stdoutPromise), getBufferedData(stderr, stderrPromise), getBufferedData(all, allPromise)]);
  }
};

const validateInputSync = ({
  input
}) => {
  if (isStream(input)) {
    throw new TypeError('The `input` option cannot be a stream in sync mode');
  }
};

module.exports = {
  handleInput,
  makeAllStream,
  getSpawnedResult,
  validateInputSync
};

/***/ }),

/***/ "./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


class FiggyPudding {
  constructor(specs, opts, providers) {
    this.__specs = specs || {};
    Object.keys(this.__specs).forEach(alias => {
      if (typeof this.__specs[alias] === 'string') {
        const key = this.__specs[alias];
        const realSpec = this.__specs[key];

        if (realSpec) {
          const aliasArr = realSpec.aliases || [];
          aliasArr.push(alias, key);
          realSpec.aliases = [...new Set(aliasArr)];
          this.__specs[alias] = realSpec;
        } else {
          throw new Error(`Alias refers to invalid key: ${key} -> ${alias}`);
        }
      }
    });
    this.__opts = opts || {};
    this.__providers = reverse(providers.filter(x => x != null && typeof x === 'object'));
    this.__isFiggyPudding = true;
  }

  get(key) {
    return pudGet(this, key, true);
  }

  get [Symbol.toStringTag]() {
    return 'FiggyPudding';
  }

  forEach(fn, thisArg = this) {
    for (let [key, value] of this.entries()) {
      fn.call(thisArg, value, key, this);
    }
  }

  toJSON() {
    const obj = {};
    this.forEach((val, key) => {
      obj[key] = val;
    });
    return obj;
  }

  *entries(_matcher) {
    for (let key of Object.keys(this.__specs)) {
      yield [key, this.get(key)];
    }

    const matcher = _matcher || this.__opts.other;

    if (matcher) {
      const seen = new Set();

      for (let p of this.__providers) {
        const iter = p.entries ? p.entries(matcher) : entries(p);

        for (let [key, val] of iter) {
          if (matcher(key) && !seen.has(key)) {
            seen.add(key);
            yield [key, val];
          }
        }
      }
    }
  }

  *[Symbol.iterator]() {
    for (let [key, value] of this.entries()) {
      yield [key, value];
    }
  }

  *keys() {
    for (let [key] of this.entries()) {
      yield key;
    }
  }

  *values() {
    for (let [, value] of this.entries()) {
      yield value;
    }
  }

  concat(...moreConfig) {
    return new Proxy(new FiggyPudding(this.__specs, this.__opts, reverse(this.__providers).concat(moreConfig)), proxyHandler);
  }

}

try {
  const util = __webpack_require__("util");

  FiggyPudding.prototype[util.inspect.custom] = function (depth, opts) {
    return this[Symbol.toStringTag] + ' ' + util.inspect(this.toJSON(), opts);
  };
} catch (e) {}

function BadKeyError(key) {
  throw Object.assign(new Error(`invalid config key requested: ${key}`), {
    code: 'EBADKEY'
  });
}

function pudGet(pud, key, validate) {
  let spec = pud.__specs[key];

  if (validate && !spec && (!pud.__opts.other || !pud.__opts.other(key))) {
    BadKeyError(key);
  } else {
    if (!spec) {
      spec = {};
    }

    let ret;

    for (let p of pud.__providers) {
      ret = tryGet(key, p);

      if (ret === undefined && spec.aliases && spec.aliases.length) {
        for (let alias of spec.aliases) {
          if (alias === key) {
            continue;
          }

          ret = tryGet(alias, p);

          if (ret !== undefined) {
            break;
          }
        }
      }

      if (ret !== undefined) {
        break;
      }
    }

    if (ret === undefined && spec.default !== undefined) {
      if (typeof spec.default === 'function') {
        return spec.default(pud);
      } else {
        return spec.default;
      }
    } else {
      return ret;
    }
  }
}

function tryGet(key, p) {
  let ret;

  if (p.__isFiggyPudding) {
    ret = pudGet(p, key, false);
  } else if (typeof p.get === 'function') {
    ret = p.get(key);
  } else {
    ret = p[key];
  }

  return ret;
}

const proxyHandler = {
  has(obj, prop) {
    return prop in obj.__specs && pudGet(obj, prop, false) !== undefined;
  },

  ownKeys(obj) {
    return Object.keys(obj.__specs);
  },

  get(obj, prop) {
    if (typeof prop === 'symbol' || prop.slice(0, 2) === '__' || prop in FiggyPudding.prototype) {
      return obj[prop];
    }

    return obj.get(prop);
  },

  set(obj, prop, value) {
    if (typeof prop === 'symbol' || prop.slice(0, 2) === '__') {
      obj[prop] = value;
      return true;
    } else {
      throw new Error('figgyPudding options cannot be modified. Use .concat() instead.');
    }
  },

  deleteProperty() {
    throw new Error('figgyPudding options cannot be deleted. Use .concat() and shadow them instead.');
  }

};
module.exports = figgyPudding;

function figgyPudding(specs, opts) {
  function factory(...providers) {
    return new Proxy(new FiggyPudding(specs, opts, providers), proxyHandler);
  }

  return factory;
}

function reverse(arr) {
  const ret = [];
  arr.forEach(x => ret.unshift(x));
  return ret;
}

function entries(obj) {
  return Object.keys(obj).map(k => [k, obj[k]]);
}

/***/ }),

/***/ "./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/dist/index.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/* eslint-disable max-statements, complexity, comma-dangle, max-params, max-depth */

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.filterScanDirSync = exports.filterScanDir = void 0;

const fs_1 = __importDefault(__webpack_require__("fs"));

const path_1 = __importDefault(__webpack_require__("path"));

const util_1 = __importDefault(__webpack_require__("util"));

const util_2 = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/dist/util.js");
/**
 * create a new ExtrasData object
 *
 * @param file
 * @param fullFile
 * @param path
 * @param stat
 * @param options
 * @returns
 */


function makeExtrasData(file, fullFile, path, stat, options) {
  const dirFile = options._join2(path, file);

  const ix = file.lastIndexOf(".");

  if (ix > 0) {
    return {
      file,
      path,
      stat,
      fullFile,
      dirFile,
      ext: file.substring(ix),
      noExt: file.substring(0, ix)
    };
  } else {
    return {
      file,
      path,
      stat,
      fullFile,
      dirFile,
      ext: "",
      noExt: file
    };
  }
}
/**
 * Add a file entry to the result
 *
 * @param result
 * @param options
 * @param extras
 */


function addResult(result, options, extras) {
  const group = (options.grouping && typeof result === "string" ? result : result && result.group) || "files";

  if (!options.result[group]) {
    options.result[group] = [];
  }

  if (result.formatName !== undefined) {
    options.result[group].push(result.formatName);
  } else {
    options.result[group].push(options.prependCwd ? extras.fullFile : extras.dirFile);
  }
}
/**
 * Process a directory entry
 *
 * @param options
 * @param extras
 * @returns
 */


function processDir(options, extras) {
  const filterResult = options.filterDir ? options.filterDir(extras.file, extras.path, extras) : true;

  if (filterResult) {
    if (filterResult.skip !== true && options.includeDir) {
      addResult(filterResult, options, extras);
    }

    return {
      stop: filterResult.stop,
      skip: filterResult.skip
    };
  }

  return {
    stop: false,
    skip: true
  };
}
/**
 * process a file entry
 *
 * @param options
 * @param extras
 * @returns
 */


function processFile(options, extras) {
  if (options.ignoreExt.length > 0 && options.ignoreExt.indexOf(extras.ext) >= 0) {
    return false;
  }

  if (options.filterExt.length > 0 && options.filterExt.indexOf(extras.ext) < 0) {
    return false;
  }

  const filterResult = options.filter ? options.filter(extras.file, extras.path, extras) : true; // default to include

  if (filterResult) {
    if (filterResult.skip !== true) {
      addResult(filterResult, options, extras);
    }

    return filterResult.stop;
  }

  return false;
}
/**
 * get the result base on grouping enable flag
 *
 * @param options
 * @returns
 */


function getResult(options) {
  return options.grouping ? Object.assign({
    files: []
  }, options.result) : options.result.files || [];
}
/**
 * sync version of directory walk
 *
 * @param path
 * @param options
 * @param level
 * @returns
 */


function walkSync(path, options, level = 0) {
  try {
    const dir = options._join2(options.dir, path);

    let files = fs_1.default.readdirSync(dir, options.readdirOpts);

    if (options.sortFiles) {
      if (options.fullStat) {
        files = files.sort();
      } else {
        files = files.sort(util_2.direntCmp);
      }
    }

    const dirs = [];
    let stop = false; // process files first

    for (let ix = 0; !stop && ix < files.length; ix++) {
      const file = files[ix];
      let extras;

      if (options.fullStat) {
        const fullFile = options._join2(dir, file);

        const stat = fs_1.default.lstatSync(fullFile);
        extras = makeExtrasData(file, fullFile, path, stat, options);
      } else {
        const fullFile = options._join2(dir, file.name);

        extras = makeExtrasData(file.name, fullFile, path, file, options);
      }

      if (extras.stat.isDirectory()) {
        dirs.push(extras);
      } else {
        stop = processFile(options, extras);
      }
    } // now process dirs


    if (!stop && dirs.length > 0) {
      for (let ix = 0; ix < dirs.length; ix++) {
        const extras = dirs[ix];
        const flags = processDir(options, extras);

        if (flags.stop) {
          break;
        }

        if (!flags.skip && level < options.maxLevel) {
          walkSync(extras.dirFile, options, level + 1);
        }
      }
    }
  } catch (err) {
    if (options.rethrowError) {
      throw err;
    }
  }

  return getResult(options);
}

const asyncReaddir = util_1.default.promisify(fs_1.default.readdir);
const asyncLStat = util_1.default.promisify(fs_1.default.lstat);
/**
 * async version of dir walk
 *
 * @param path
 * @param options
 * @param level
 * @returns
 */

async function walk(path, options, level = 0) {
  try {
    const dir = options._join2(options.dir, path);

    let files = await asyncReaddir(dir, options.readdirOpts);

    if (options.sortFiles) {
      if (options.fullStat) {
        files = files.sort();
      } else {
        files = files.sort(util_2.direntCmp);
      }
    }

    const dirs = [];
    let stop = false; // process files first

    for (let ix = 0; !stop && ix < files.length; ix++) {
      const file = files[ix];
      let extras;

      if (options.fullStat) {
        const fullFile = options._join2(dir, file);

        const stat = await asyncLStat(fullFile);
        extras = makeExtrasData(file, fullFile, path, stat, options);
      } else {
        const fullFile = options._join2(dir, file.name);

        extras = makeExtrasData(file.name, fullFile, path, file, options);
      }

      if (extras.stat.isDirectory()) {
        dirs.push(extras);
      } else {
        stop = processFile(options, extras);
      }
    } // now process dirs


    if (!stop && dirs.length > 0) {
      let promises = [];

      for (let ix = 0; ix < dirs.length; ix++) {
        const extras = dirs[ix];
        const flags = processDir(options, extras);

        if (flags.stop) {
          break;
        }

        if (!flags.skip && level < options.maxLevel) {
          const walkP = walk(extras.dirFile, options, level + 1);

          if (options.concurrency > 1) {
            if (options._concurrentCount < options.concurrency) {
              options._concurrentCount++;
              promises.push(walkP);
            } else if (promises.length) {
              await Promise.all(promises);
              options._concurrentCount -= promises.length;
              promises = [walkP];
              options._concurrentCount++;
            } else {
              await walkP;
            }
          } else {
            await walkP;
          }
        }
      }

      if (promises.length) {
        await Promise.all(promises);
        options._concurrentCount -= promises.length;
        promises = [];
      }
    }
  } catch (err) {
    if (options.rethrowError) {
      throw err;
    }
  }

  return getResult(options);
}
/**
 * make a copy of the user's options with proper defaults
 *
 * @param opts
 * @returns
 */


function makeOptions(opts) {
  const options = typeof opts === "string" ? {
    cwd: opts
  } : opts;
  const sep = options.pathSep || path_1.default.posix.sep;
  let cwd = options.cwd || options.dir || process.cwd();

  if (!options.hasOwnProperty("pathSep") && cwd.includes("\\")) {
    cwd = cwd.replace(/\\/g, "/");
  }

  const cleanExt = ext => {
    if (!ext) {
      return ext;
    }

    if (ext.startsWith("*.")) {
      return ext.substring(1);
    }

    if (!ext.startsWith(".")) {
      return `.${ext}`;
    }

    return ext;
  }; // `includeRoot` was renamed to `prependCwd`, this avoid breaking code still using that


  const prependCwd = (options.hasOwnProperty("includeRoot") ? options.includeRoot : options.prependCwd) || false;
  const opts2 = Object.assign({
    _join2: undefined,
    maxLevel: Infinity,
    prefix: "",
    prependCwd,
    fullStat: true,
    concurrency: 50,
    readdirOpts: undefined,
    grouping: undefined
  }, options, {
    dir: cwd,
    result: {},
    ignoreExt: [].concat(options.ignoreExt).map(cleanExt).filter(x => x),
    filterExt: [].concat(options.filterExt).map(cleanExt).filter(x => x),
    _concurrentCount: 0
  });
  opts2._join2 = (0, util_2.makePathJoin2)(sep, opts2.dir, opts2.prefix);

  if (!opts2.fullStat) {
    opts2.readdirOpts = {
      withFileTypes: true
    };
  }

  return opts2;
}

function filterScanDir(options = {}) {
  const options2 = makeOptions(options);
  return walk(options2.prefix, options2);
}

exports.filterScanDir = filterScanDir;

function filterScanDirSync(options = {}) {
  const options2 = makeOptions(options);
  return walkSync(options2.prefix, options2);
}

exports.filterScanDirSync = filterScanDirSync;

/***/ }),

/***/ "./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/dist/util.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.makePathJoin2 = exports.direntCmp = void 0;

const path_1 = __importDefault(__webpack_require__("path"));
/* @ignore */

/**
 * compare Dirent for sorting
 *
 * @param a
 * @param b
 * @returns
 * @ignore
 */


const direntCmp = (a, b) => {
  if (a.name === b.name) {
    return 0;
  } else if (a.name > b.name) {
    return 1;
  } else {
    return -1;
  }
};

exports.direntCmp = direntCmp;
/**
 * Make a specialized and simple but faster version of path.join that handles just 2 args
 */

const makePathJoin2 = (sep, cwd, prefix) => {
  // user passed cwd or prefix that contains ../ or ..\\, which only path.join
  // can handle
  if (["../", "..\\"].find(s => cwd.includes(s) || prefix.includes(s)) || cwd.startsWith(".") && cwd.length > 1 || prefix.startsWith(".") && prefix.length > 1) {
    return path_1.default.join;
  }

  return (a, b) => {
    if (a === ".") {
      return b || a;
    } else if (b === ".") {
      return a || b;
    } else if (a && b) {
      return a + sep + b;
    } else {
      return a || b || ".";
    }
  };
};

exports.makePathJoin2 = makePathJoin2;

/***/ }),

/***/ "./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fsd = __webpack_require__("./node_modules/.f/_/filter-scan-dir/1.5.5/filter-scan-dir/dist/index.js");

const asyncApi = options => fsd.filterScanDir(options);

Object.defineProperties(asyncApi, {
  sync: {
    value: fsd.filterScanDirSync
  },
  filterScanDir: {
    value: fsd.filterScanDir
  },
  filterScanDirSync: {
    value: fsd.filterScanDirSync
  }
});
module.exports = asyncApi;

/***/ }),

/***/ "./node_modules/.f/_/find-up/5.0.0/find-up/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const path = __webpack_require__("path");

const locatePath = __webpack_require__("./node_modules/.f/_/locate-path/6.0.0/locate-path/index.js");

const pathExists = __webpack_require__("./node_modules/.f/_/path-exists/4.0.0/path-exists/index.js");

const stop = Symbol('findUp.stop');

module.exports = async (name, options = {}) => {
  let directory = path.resolve(options.cwd || '');
  const {
    root
  } = path.parse(directory);
  const paths = [].concat(name);

  const runMatcher = async locateOptions => {
    if (typeof name !== 'function') {
      return locatePath(paths, locateOptions);
    }

    const foundPath = await name(locateOptions.cwd);

    if (typeof foundPath === 'string') {
      return locatePath([foundPath], locateOptions);
    }

    return foundPath;
  }; // eslint-disable-next-line no-constant-condition


  while (true) {
    // eslint-disable-next-line no-await-in-loop
    const foundPath = await runMatcher(_objectSpread(_objectSpread({}, options), {}, {
      cwd: directory
    }));

    if (foundPath === stop) {
      return;
    }

    if (foundPath) {
      return path.resolve(directory, foundPath);
    }

    if (directory === root) {
      return;
    }

    directory = path.dirname(directory);
  }
};

module.exports.sync = (name, options = {}) => {
  let directory = path.resolve(options.cwd || '');
  const {
    root
  } = path.parse(directory);
  const paths = [].concat(name);

  const runMatcher = locateOptions => {
    if (typeof name !== 'function') {
      return locatePath.sync(paths, locateOptions);
    }

    const foundPath = name(locateOptions.cwd);

    if (typeof foundPath === 'string') {
      return locatePath.sync([foundPath], locateOptions);
    }

    return foundPath;
  }; // eslint-disable-next-line no-constant-condition


  while (true) {
    const foundPath = runMatcher(_objectSpread(_objectSpread({}, options), {}, {
      cwd: directory
    }));

    if (foundPath === stop) {
      return;
    }

    if (foundPath) {
      return path.resolve(directory, foundPath);
    }

    if (directory === root) {
      return;
    }

    directory = path.dirname(directory);
  }
};

module.exports.exists = pathExists;
module.exports.sync.exists = pathExists.sync;
module.exports.stop = stop;

/***/ }),

/***/ "./node_modules/.f/_/flush-write-stream/1.1.1/flush-write-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js");

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var SIGNAL_FLUSH = Buffer.from && Buffer.from !== Uint8Array.from ? Buffer.from([0]) : new Buffer([0]);
module.exports = WriteStream;

function WriteStream(opts, write, flush) {
  if (!(this instanceof WriteStream)) return new WriteStream(opts, write, flush);

  if (typeof opts === 'function') {
    flush = write;
    write = opts;
    opts = {};
  }

  stream.Writable.call(this, opts);
  this.destroyed = false;
  this._worker = write || null;
  this._flush = flush || null;
}

inherits(WriteStream, stream.Writable);

WriteStream.obj = function (opts, worker, flush) {
  if (typeof opts === 'function') return WriteStream.obj(null, opts, worker);
  if (!opts) opts = {};
  opts.objectMode = true;
  return new WriteStream(opts, worker, flush);
};

WriteStream.prototype._write = function (data, enc, cb) {
  if (SIGNAL_FLUSH === data) this._flush(cb);else this._worker(data, enc, cb);
};

WriteStream.prototype.end = function (data, enc, cb) {
  if (!this._flush) return stream.Writable.prototype.end.apply(this, arguments);
  if (typeof data === 'function') return this.end(null, null, data);
  if (typeof enc === 'function') return this.end(data, null, enc);
  if (data) this.write(data);
  if (!this._writableState.ending) this.write(SIGNAL_FLUSH);
  return stream.Writable.prototype.end.call(this, cb);
};

WriteStream.prototype.destroy = function (err) {
  if (this.destroyed) return;
  this.destroyed = true;
  if (err) this.emit('error', err);
  this.emit('close');
};

/***/ }),

/***/ "./node_modules/.f/_/flush-write-stream/2.0.0/flush-write-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var stream = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js");

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var SIGNAL_FLUSH = Buffer.from && Buffer.from !== Uint8Array.from ? Buffer.from([0]) : new Buffer([0]);
module.exports = WriteStream;

function WriteStream(opts, write, flush) {
  if (!(this instanceof WriteStream)) return new WriteStream(opts, write, flush);

  if (typeof opts === 'function') {
    flush = write;
    write = opts;
    opts = {};
  }

  stream.Writable.call(this, opts);
  this.destroyed = false;
  this._worker = write || null;
  this._flush = flush || null;
}

inherits(WriteStream, stream.Writable);

WriteStream.obj = function (opts, worker, flush) {
  if (typeof opts === 'function') return WriteStream.obj(null, opts, worker);
  if (!opts) opts = {};
  opts.objectMode = true;
  return new WriteStream(opts, worker, flush);
};

WriteStream.prototype._write = function (data, enc, cb) {
  if (SIGNAL_FLUSH === data) this._flush(cb);else this._worker(data, enc, cb);
};

WriteStream.prototype.end = function (data, enc, cb) {
  if (!this._flush) return stream.Writable.prototype.end.apply(this, arguments);
  if (typeof data === 'function') return this.end(null, null, data);
  if (typeof enc === 'function') return this.end(data, null, enc);
  if (data) this.write(data);
  if (!this._writableState.ending) this.write(SIGNAL_FLUSH);
  return stream.Writable.prototype.end.call(this, cb);
};

WriteStream.prototype.destroy = function (err) {
  if (this.destroyed) return;
  this.destroyed = true;
  if (err) this.emit('error', err);
  this.emit('close');
};

/***/ }),

/***/ "./node_modules/.f/_/from2/2.3.0/from2/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Readable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js").Readable;

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

module.exports = from2;
from2.ctor = ctor;
from2.obj = obj;
var Proto = ctor();

function toFunction(list) {
  list = list.slice();
  return function (_, cb) {
    var err = null;
    var item = list.length ? list.shift() : null;

    if (item instanceof Error) {
      err = item;
      item = null;
    }

    cb(err, item);
  };
}

function from2(opts, read) {
  if (typeof opts !== 'object' || Array.isArray(opts)) {
    read = opts;
    opts = {};
  }

  var rs = new Proto(opts);
  rs._from = Array.isArray(read) ? toFunction(read) : read || noop;
  return rs;
}

function ctor(opts, read) {
  if (typeof opts === 'function') {
    read = opts;
    opts = {};
  }

  opts = defaults(opts);
  inherits(Class, Readable);

  function Class(override) {
    if (!(this instanceof Class)) return new Class(override);
    this._reading = false;
    this._callback = check;
    this.destroyed = false;
    Readable.call(this, override || opts);
    var self = this;
    var hwm = this._readableState.highWaterMark;

    function check(err, data) {
      if (self.destroyed) return;
      if (err) return self.destroy(err);
      if (data === null) return self.push(null);
      self._reading = false;
      if (self.push(data)) self._read(hwm);
    }
  }

  Class.prototype._from = read || noop;

  Class.prototype._read = function (size) {
    if (this._reading || this.destroyed) return;
    this._reading = true;

    this._from(size, this._callback);
  };

  Class.prototype.destroy = function (err) {
    if (this.destroyed) return;
    this.destroyed = true;
    var self = this;
    process.nextTick(function () {
      if (err) self.emit('error', err);
      self.emit('close');
    });
  };

  return Class;
}

function obj(opts, read) {
  if (typeof opts === 'function' || Array.isArray(opts)) {
    read = opts;
    opts = {};
  }

  opts = defaults(opts);
  opts.objectMode = true;
  opts.highWaterMark = 16;
  return from2(opts, read);
}

function noop() {}

function defaults(opts) {
  opts = opts || {};
  return opts;
}

/***/ }),

/***/ "./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const EE = __webpack_require__("events").EventEmitter;

const fs = __webpack_require__("fs"); // for writev


const binding = process.binding('fs');
const writeBuffers = binding.writeBuffers;
/* istanbul ignore next */

const FSReqWrap = binding.FSReqWrap || binding.FSReqCallback;

const _autoClose = Symbol('_autoClose');

const _close = Symbol('_close');

const _ended = Symbol('_ended');

const _fd = Symbol('_fd');

const _finished = Symbol('_finished');

const _flags = Symbol('_flags');

const _flush = Symbol('_flush');

const _handleChunk = Symbol('_handleChunk');

const _makeBuf = Symbol('_makeBuf');

const _mode = Symbol('_mode');

const _needDrain = Symbol('_needDrain');

const _onerror = Symbol('_onerror');

const _onopen = Symbol('_onopen');

const _onread = Symbol('_onread');

const _onwrite = Symbol('_onwrite');

const _open = Symbol('_open');

const _path = Symbol('_path');

const _pos = Symbol('_pos');

const _queue = Symbol('_queue');

const _read = Symbol('_read');

const _readSize = Symbol('_readSize');

const _reading = Symbol('_reading');

const _remain = Symbol('_remain');

const _size = Symbol('_size');

const _write = Symbol('_write');

const _writing = Symbol('_writing');

const _defaultFlag = Symbol('_defaultFlag');

class ReadStream extends MiniPass {
  constructor(path, opt) {
    opt = opt || {};
    super(opt);
    this.writable = false;
    if (typeof path !== 'string') throw new TypeError('path must be a string');
    this[_fd] = typeof opt.fd === 'number' ? opt.fd : null;
    this[_path] = path;
    this[_readSize] = opt.readSize || 16 * 1024 * 1024;
    this[_reading] = false;
    this[_size] = typeof opt.size === 'number' ? opt.size : Infinity;
    this[_remain] = this[_size];
    this[_autoClose] = typeof opt.autoClose === 'boolean' ? opt.autoClose : true;
    if (typeof this[_fd] === 'number') this[_read]();else this[_open]();
  }

  get fd() {
    return this[_fd];
  }

  get path() {
    return this[_path];
  }

  write() {
    throw new TypeError('this is a readable stream');
  }

  end() {
    throw new TypeError('this is a readable stream');
  }

  [_open]() {
    fs.open(this[_path], 'r', (er, fd) => this[_onopen](er, fd));
  }

  [_onopen](er, fd) {
    if (er) this[_onerror](er);else {
      this[_fd] = fd;
      this.emit('open', fd);

      this[_read]();
    }
  }

  [_makeBuf]() {
    return Buffer.allocUnsafe(Math.min(this[_readSize], this[_remain]));
  }

  [_read]() {
    if (!this[_reading]) {
      this[_reading] = true;

      const buf = this[_makeBuf]();
      /* istanbul ignore if */


      if (buf.length === 0) return process.nextTick(() => this[_onread](null, 0, buf));
      fs.read(this[_fd], buf, 0, buf.length, null, (er, br, buf) => this[_onread](er, br, buf));
    }
  }

  [_onread](er, br, buf) {
    this[_reading] = false;
    if (er) this[_onerror](er);else if (this[_handleChunk](br, buf)) this[_read]();
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      fs.close(this[_fd], _ => this.emit('close'));
      this[_fd] = null;
    }
  }

  [_onerror](er) {
    this[_reading] = true;

    this[_close]();

    this.emit('error', er);
  }

  [_handleChunk](br, buf) {
    let ret = false; // no effect if infinite

    this[_remain] -= br;
    if (br > 0) ret = super.write(br < buf.length ? buf.slice(0, br) : buf);

    if (br === 0 || this[_remain] <= 0) {
      ret = false;

      this[_close]();

      super.end();
    }

    return ret;
  }

  emit(ev, data) {
    switch (ev) {
      case 'prefinish':
      case 'finish':
        break;

      case 'drain':
        if (typeof this[_fd] === 'number') this[_read]();
        break;

      default:
        return super.emit(ev, data);
    }
  }

}

class ReadStreamSync extends ReadStream {
  [_open]() {
    let threw = true;

    try {
      this[_onopen](null, fs.openSync(this[_path], 'r'));

      threw = false;
    } finally {
      if (threw) this[_close]();
    }
  }

  [_read]() {
    let threw = true;

    try {
      if (!this[_reading]) {
        this[_reading] = true;

        do {
          const buf = this[_makeBuf]();
          /* istanbul ignore next */


          const br = buf.length === 0 ? 0 : fs.readSync(this[_fd], buf, 0, buf.length, null);
          if (!this[_handleChunk](br, buf)) break;
        } while (true);

        this[_reading] = false;
      }

      threw = false;
    } finally {
      if (threw) this[_close]();
    }
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      try {
        fs.closeSync(this[_fd]);
      } catch (er) {}

      this[_fd] = null;
      this.emit('close');
    }
  }

}

class WriteStream extends EE {
  constructor(path, opt) {
    opt = opt || {};
    super(opt);
    this.readable = false;
    this[_writing] = false;
    this[_ended] = false;
    this[_needDrain] = false;
    this[_queue] = [];
    this[_path] = path;
    this[_fd] = typeof opt.fd === 'number' ? opt.fd : null;
    this[_mode] = opt.mode === undefined ? 0o666 : opt.mode;
    this[_pos] = typeof opt.start === 'number' ? opt.start : null;
    this[_autoClose] = typeof opt.autoClose === 'boolean' ? opt.autoClose : true; // truncating makes no sense when writing into the middle

    const defaultFlag = this[_pos] !== null ? 'r+' : 'w';
    this[_defaultFlag] = opt.flags === undefined;
    this[_flags] = this[_defaultFlag] ? defaultFlag : opt.flags;
    if (this[_fd] === null) this[_open]();
  }

  get fd() {
    return this[_fd];
  }

  get path() {
    return this[_path];
  }

  [_onerror](er) {
    this[_close]();

    this[_writing] = true;
    this.emit('error', er);
  }

  [_open]() {
    fs.open(this[_path], this[_flags], this[_mode], (er, fd) => this[_onopen](er, fd));
  }

  [_onopen](er, fd) {
    if (this[_defaultFlag] && this[_flags] === 'r+' && er && er.code === 'ENOENT') {
      this[_flags] = 'w';

      this[_open]();
    } else if (er) this[_onerror](er);else {
      this[_fd] = fd;
      this.emit('open', fd);

      this[_flush]();
    }
  }

  end(buf, enc) {
    if (buf) this.write(buf, enc);
    this[_ended] = true; // synthetic after-write logic, where drain/finish live

    if (!this[_writing] && !this[_queue].length && typeof this[_fd] === 'number') this[_onwrite](null, 0);
  }

  write(buf, enc) {
    if (typeof buf === 'string') buf = new Buffer(buf, enc);

    if (this[_ended]) {
      this.emit('error', new Error('write() after end()'));
      return false;
    }

    if (this[_fd] === null || this[_writing] || this[_queue].length) {
      this[_queue].push(buf);

      this[_needDrain] = true;
      return false;
    }

    this[_writing] = true;

    this[_write](buf);

    return true;
  }

  [_write](buf) {
    fs.write(this[_fd], buf, 0, buf.length, this[_pos], (er, bw) => this[_onwrite](er, bw));
  }

  [_onwrite](er, bw) {
    if (er) this[_onerror](er);else {
      if (this[_pos] !== null) this[_pos] += bw;
      if (this[_queue].length) this[_flush]();else {
        this[_writing] = false;

        if (this[_ended] && !this[_finished]) {
          this[_finished] = true;

          this[_close]();

          this.emit('finish');
        } else if (this[_needDrain]) {
          this[_needDrain] = false;
          this.emit('drain');
        }
      }
    }
  }

  [_flush]() {
    if (this[_queue].length === 0) {
      if (this[_ended]) this[_onwrite](null, 0);
    } else if (this[_queue].length === 1) this[_write](this[_queue].pop());else {
      const iovec = this[_queue];
      this[_queue] = [];
      writev(this[_fd], iovec, this[_pos], (er, bw) => this[_onwrite](er, bw));
    }
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      fs.close(this[_fd], _ => this.emit('close'));
      this[_fd] = null;
    }
  }

}

class WriteStreamSync extends WriteStream {
  [_open]() {
    let fd;

    try {
      fd = fs.openSync(this[_path], this[_flags], this[_mode]);
    } catch (er) {
      if (this[_defaultFlag] && this[_flags] === 'r+' && er && er.code === 'ENOENT') {
        this[_flags] = 'w';
        return this[_open]();
      } else throw er;
    }

    this[_onopen](null, fd);
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      try {
        fs.closeSync(this[_fd]);
      } catch (er) {}

      this[_fd] = null;
      this.emit('close');
    }
  }

  [_write](buf) {
    try {
      this[_onwrite](null, fs.writeSync(this[_fd], buf, 0, buf.length, this[_pos]));
    } catch (er) {
      this[_onwrite](er, 0);
    }
  }

}

const writev = (fd, iovec, pos, cb) => {
  const done = (er, bw) => cb(er, bw, iovec);

  const req = new FSReqWrap();
  req.oncomplete = done;
  binding.writeBuffers(fd, iovec, pos, req);
};

exports.ReadStream = ReadStream;
exports.ReadStreamSync = ReadStreamSync;
exports.WriteStream = WriteStream;
exports.WriteStreamSync = WriteStreamSync;

/***/ }),

/***/ "./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const EE = __webpack_require__("events").EventEmitter;

const fs = __webpack_require__("fs");

let writev = fs.writev;
/* istanbul ignore next */

if (!writev) {
  // This entire block can be removed if support for earlier than Node.js
  // 12.9.0 is not needed.
  const binding = process.binding('fs');
  const FSReqWrap = binding.FSReqWrap || binding.FSReqCallback;

  writev = (fd, iovec, pos, cb) => {
    const done = (er, bw) => cb(er, bw, iovec);

    const req = new FSReqWrap();
    req.oncomplete = done;
    binding.writeBuffers(fd, iovec, pos, req);
  };
}

const _autoClose = Symbol('_autoClose');

const _close = Symbol('_close');

const _ended = Symbol('_ended');

const _fd = Symbol('_fd');

const _finished = Symbol('_finished');

const _flags = Symbol('_flags');

const _flush = Symbol('_flush');

const _handleChunk = Symbol('_handleChunk');

const _makeBuf = Symbol('_makeBuf');

const _mode = Symbol('_mode');

const _needDrain = Symbol('_needDrain');

const _onerror = Symbol('_onerror');

const _onopen = Symbol('_onopen');

const _onread = Symbol('_onread');

const _onwrite = Symbol('_onwrite');

const _open = Symbol('_open');

const _path = Symbol('_path');

const _pos = Symbol('_pos');

const _queue = Symbol('_queue');

const _read = Symbol('_read');

const _readSize = Symbol('_readSize');

const _reading = Symbol('_reading');

const _remain = Symbol('_remain');

const _size = Symbol('_size');

const _write = Symbol('_write');

const _writing = Symbol('_writing');

const _defaultFlag = Symbol('_defaultFlag');

const _errored = Symbol('_errored');

class ReadStream extends MiniPass {
  constructor(path, opt) {
    opt = opt || {};
    super(opt);
    this.readable = true;
    this.writable = false;
    if (typeof path !== 'string') throw new TypeError('path must be a string');
    this[_errored] = false;
    this[_fd] = typeof opt.fd === 'number' ? opt.fd : null;
    this[_path] = path;
    this[_readSize] = opt.readSize || 16 * 1024 * 1024;
    this[_reading] = false;
    this[_size] = typeof opt.size === 'number' ? opt.size : Infinity;
    this[_remain] = this[_size];
    this[_autoClose] = typeof opt.autoClose === 'boolean' ? opt.autoClose : true;
    if (typeof this[_fd] === 'number') this[_read]();else this[_open]();
  }

  get fd() {
    return this[_fd];
  }

  get path() {
    return this[_path];
  }

  write() {
    throw new TypeError('this is a readable stream');
  }

  end() {
    throw new TypeError('this is a readable stream');
  }

  [_open]() {
    fs.open(this[_path], 'r', (er, fd) => this[_onopen](er, fd));
  }

  [_onopen](er, fd) {
    if (er) this[_onerror](er);else {
      this[_fd] = fd;
      this.emit('open', fd);

      this[_read]();
    }
  }

  [_makeBuf]() {
    return Buffer.allocUnsafe(Math.min(this[_readSize], this[_remain]));
  }

  [_read]() {
    if (!this[_reading]) {
      this[_reading] = true;

      const buf = this[_makeBuf]();
      /* istanbul ignore if */


      if (buf.length === 0) return process.nextTick(() => this[_onread](null, 0, buf));
      fs.read(this[_fd], buf, 0, buf.length, null, (er, br, buf) => this[_onread](er, br, buf));
    }
  }

  [_onread](er, br, buf) {
    this[_reading] = false;
    if (er) this[_onerror](er);else if (this[_handleChunk](br, buf)) this[_read]();
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      const fd = this[_fd];
      this[_fd] = null;
      fs.close(fd, er => er ? this.emit('error', er) : this.emit('close'));
    }
  }

  [_onerror](er) {
    this[_reading] = true;

    this[_close]();

    this.emit('error', er);
  }

  [_handleChunk](br, buf) {
    let ret = false; // no effect if infinite

    this[_remain] -= br;
    if (br > 0) ret = super.write(br < buf.length ? buf.slice(0, br) : buf);

    if (br === 0 || this[_remain] <= 0) {
      ret = false;

      this[_close]();

      super.end();
    }

    return ret;
  }

  emit(ev, data) {
    switch (ev) {
      case 'prefinish':
      case 'finish':
        break;

      case 'drain':
        if (typeof this[_fd] === 'number') this[_read]();
        break;

      case 'error':
        if (this[_errored]) return;
        this[_errored] = true;
        return super.emit(ev, data);

      default:
        return super.emit(ev, data);
    }
  }

}

class ReadStreamSync extends ReadStream {
  [_open]() {
    let threw = true;

    try {
      this[_onopen](null, fs.openSync(this[_path], 'r'));

      threw = false;
    } finally {
      if (threw) this[_close]();
    }
  }

  [_read]() {
    let threw = true;

    try {
      if (!this[_reading]) {
        this[_reading] = true;

        do {
          const buf = this[_makeBuf]();
          /* istanbul ignore next */


          const br = buf.length === 0 ? 0 : fs.readSync(this[_fd], buf, 0, buf.length, null);
          if (!this[_handleChunk](br, buf)) break;
        } while (true);

        this[_reading] = false;
      }

      threw = false;
    } finally {
      if (threw) this[_close]();
    }
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      const fd = this[_fd];
      this[_fd] = null;
      fs.closeSync(fd);
      this.emit('close');
    }
  }

}

class WriteStream extends EE {
  constructor(path, opt) {
    opt = opt || {};
    super(opt);
    this.readable = false;
    this.writable = true;
    this[_errored] = false;
    this[_writing] = false;
    this[_ended] = false;
    this[_needDrain] = false;
    this[_queue] = [];
    this[_path] = path;
    this[_fd] = typeof opt.fd === 'number' ? opt.fd : null;
    this[_mode] = opt.mode === undefined ? 0o666 : opt.mode;
    this[_pos] = typeof opt.start === 'number' ? opt.start : null;
    this[_autoClose] = typeof opt.autoClose === 'boolean' ? opt.autoClose : true; // truncating makes no sense when writing into the middle

    const defaultFlag = this[_pos] !== null ? 'r+' : 'w';
    this[_defaultFlag] = opt.flags === undefined;
    this[_flags] = this[_defaultFlag] ? defaultFlag : opt.flags;
    if (this[_fd] === null) this[_open]();
  }

  emit(ev, data) {
    if (ev === 'error') {
      if (this[_errored]) return;
      this[_errored] = true;
    }

    return super.emit(ev, data);
  }

  get fd() {
    return this[_fd];
  }

  get path() {
    return this[_path];
  }

  [_onerror](er) {
    this[_close]();

    this[_writing] = true;
    this.emit('error', er);
  }

  [_open]() {
    fs.open(this[_path], this[_flags], this[_mode], (er, fd) => this[_onopen](er, fd));
  }

  [_onopen](er, fd) {
    if (this[_defaultFlag] && this[_flags] === 'r+' && er && er.code === 'ENOENT') {
      this[_flags] = 'w';

      this[_open]();
    } else if (er) this[_onerror](er);else {
      this[_fd] = fd;
      this.emit('open', fd);

      this[_flush]();
    }
  }

  end(buf, enc) {
    if (buf) this.write(buf, enc);
    this[_ended] = true; // synthetic after-write logic, where drain/finish live

    if (!this[_writing] && !this[_queue].length && typeof this[_fd] === 'number') this[_onwrite](null, 0);
    return this;
  }

  write(buf, enc) {
    if (typeof buf === 'string') buf = Buffer.from(buf, enc);

    if (this[_ended]) {
      this.emit('error', new Error('write() after end()'));
      return false;
    }

    if (this[_fd] === null || this[_writing] || this[_queue].length) {
      this[_queue].push(buf);

      this[_needDrain] = true;
      return false;
    }

    this[_writing] = true;

    this[_write](buf);

    return true;
  }

  [_write](buf) {
    fs.write(this[_fd], buf, 0, buf.length, this[_pos], (er, bw) => this[_onwrite](er, bw));
  }

  [_onwrite](er, bw) {
    if (er) this[_onerror](er);else {
      if (this[_pos] !== null) this[_pos] += bw;
      if (this[_queue].length) this[_flush]();else {
        this[_writing] = false;

        if (this[_ended] && !this[_finished]) {
          this[_finished] = true;

          this[_close]();

          this.emit('finish');
        } else if (this[_needDrain]) {
          this[_needDrain] = false;
          this.emit('drain');
        }
      }
    }
  }

  [_flush]() {
    if (this[_queue].length === 0) {
      if (this[_ended]) this[_onwrite](null, 0);
    } else if (this[_queue].length === 1) this[_write](this[_queue].pop());else {
      const iovec = this[_queue];
      this[_queue] = [];
      writev(this[_fd], iovec, this[_pos], (er, bw) => this[_onwrite](er, bw));
    }
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      const fd = this[_fd];
      this[_fd] = null;
      fs.close(fd, er => er ? this.emit('error', er) : this.emit('close'));
    }
  }

}

class WriteStreamSync extends WriteStream {
  [_open]() {
    let fd; // only wrap in a try{} block if we know we'll retry, to avoid
    // the rethrow obscuring the error's source frame in most cases.

    if (this[_defaultFlag] && this[_flags] === 'r+') {
      try {
        fd = fs.openSync(this[_path], this[_flags], this[_mode]);
      } catch (er) {
        if (er.code === 'ENOENT') {
          this[_flags] = 'w';
          return this[_open]();
        } else throw er;
      }
    } else fd = fs.openSync(this[_path], this[_flags], this[_mode]);

    this[_onopen](null, fd);
  }

  [_close]() {
    if (this[_autoClose] && typeof this[_fd] === 'number') {
      const fd = this[_fd];
      this[_fd] = null;
      fs.closeSync(fd);
      this.emit('close');
    }
  }

  [_write](buf) {
    // throw the original, but try to close if it fails
    let threw = true;

    try {
      this[_onwrite](null, fs.writeSync(this[_fd], buf, 0, buf.length, this[_pos]));

      threw = false;
    } finally {
      if (threw) try {
        this[_close]();
      } catch (_) {}
    }
  }

}

exports.ReadStream = ReadStream;
exports.ReadStreamSync = ReadStreamSync;
exports.WriteStream = WriteStream;
exports.WriteStreamSync = WriteStreamSync;

/***/ }),

/***/ "./node_modules/.f/_/fs-write-stream-atomic/1.0.10/fs-write-stream-atomic/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

var Writable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js").Writable;

var util = __webpack_require__("util");

var MurmurHash3 = __webpack_require__("./node_modules/.f/_/imurmurhash/0.1.4/imurmurhash/imurmurhash.js");

var iferr = __webpack_require__("./node_modules/.f/_/iferr/0.1.5/iferr/index.js");

var crypto = __webpack_require__("crypto");

function murmurhex() {
  var hash = MurmurHash3('');

  for (var ii = 0; ii < arguments.length; ++ii) {
    hash.hash('' + arguments[ii]);
  }

  return hash.result();
}

var invocations = 0;

function getTmpname(filename) {
  return filename + '.' + murmurhex(__filename, process.pid, ++invocations);
}

var setImmediate = global.setImmediate || setTimeout;
module.exports = WriteStreamAtomic; // Requirements:
//   1. Write everything written to the stream to a temp file.
//   2. If there are no errors:
//      a. moves the temp file into its final destination
//      b. emits `finish` & `closed` ONLY after the file is
//         fully flushed and renamed.
//   3. If there's an error, removes the temp file.

util.inherits(WriteStreamAtomic, Writable);

function WriteStreamAtomic(path, options) {
  if (!(this instanceof WriteStreamAtomic)) {
    return new WriteStreamAtomic(path, options);
  }

  Writable.call(this, options);
  this.__isWin = options && options.hasOwnProperty('isWin') ? options.isWin : process.platform === 'win32';
  this.__atomicTarget = path;
  this.__atomicTmp = getTmpname(path);
  this.__atomicChown = options && options.chown;
  this.__atomicClosed = false;
  this.__atomicStream = fs.WriteStream(this.__atomicTmp, options);

  this.__atomicStream.once('open', handleOpen(this));

  this.__atomicStream.once('close', handleClose(this));

  this.__atomicStream.once('error', handleError(this));
} // We have to suppress default finish emitting, because ordinarily it
// would happen as soon as `end` is called on us and all of the
// data has been written to our target stream. So we suppress
// finish from being emitted here, and only emit it after our
// target stream is closed and we've moved everything around.


WriteStreamAtomic.prototype.emit = function (event) {
  if (event === 'finish') return this.__atomicStream.end();
  return Writable.prototype.emit.apply(this, arguments);
};

WriteStreamAtomic.prototype._write = function (buffer, encoding, cb) {
  var flushed = this.__atomicStream.write(buffer, encoding);

  if (flushed) return cb();

  this.__atomicStream.once('drain', cb);
};

function handleOpen(writeStream) {
  return function (fd) {
    writeStream.emit('open', fd);
  };
}

function handleClose(writeStream) {
  return function () {
    if (writeStream.__atomicClosed) return;
    writeStream.__atomicClosed = true;

    if (writeStream.__atomicChown) {
      var uid = writeStream.__atomicChown.uid;
      var gid = writeStream.__atomicChown.gid;
      return fs.chown(writeStream.__atomicTmp, uid, gid, iferr(cleanup, moveIntoPlace));
    } else {
      moveIntoPlace();
    }
  };

  function moveIntoPlace() {
    fs.rename(writeStream.__atomicTmp, writeStream.__atomicTarget, iferr(trapWindowsEPERM, end));
  }

  function trapWindowsEPERM(err) {
    if (writeStream.__isWin && err.syscall && err.syscall === 'rename' && err.code && err.code === 'EPERM') {
      checkFileHashes(err);
    } else {
      cleanup(err);
    }
  }

  function checkFileHashes(eperm) {
    var inprocess = 2;
    var tmpFileHash = crypto.createHash('sha512');
    var targetFileHash = crypto.createHash('sha512');
    fs.createReadStream(writeStream.__atomicTmp).on('data', function (data, enc) {
      tmpFileHash.update(data, enc);
    }).on('error', fileHashError).on('end', fileHashComplete);
    fs.createReadStream(writeStream.__atomicTarget).on('data', function (data, enc) {
      targetFileHash.update(data, enc);
    }).on('error', fileHashError).on('end', fileHashComplete);

    function fileHashError() {
      if (inprocess === 0) return;
      inprocess = 0;
      cleanup(eperm);
    }

    function fileHashComplete() {
      if (inprocess === 0) return;
      if (--inprocess) return;

      if (tmpFileHash.digest('hex') === targetFileHash.digest('hex')) {
        return cleanup();
      } else {
        return cleanup(eperm);
      }
    }
  }

  function cleanup(err) {
    fs.unlink(writeStream.__atomicTmp, function () {
      if (err) {
        writeStream.emit('error', err);
        writeStream.emit('close');
      } else {
        end();
      }
    });
  }

  function end() {
    // We have to use our parent class directly because we suppress `finish`
    // events fired via our own emit method.
    Writable.prototype.emit.call(writeStream, 'finish'); // Delay the close to provide the same temporal separation a physical
    // file operation would have– that is, the close event is emitted only
    // after the async close operation completes.

    setImmediate(function () {
      writeStream.emit('close');
    });
  }
}

function handleError(writeStream) {
  return function (er) {
    cleanupSync();
    writeStream.emit('error', er);
    writeStream.__atomicClosed = true;
    writeStream.emit('close');
  };

  function cleanupSync() {
    try {
      fs.unlinkSync(writeStream.__atomicTmp);
    } finally {
      return;
    }
  }
}

/***/ }),

/***/ "./node_modules/.f/_/fs.realpath/1.0.0/fs.realpath/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = realpath;
realpath.realpath = realpath;
realpath.sync = realpathSync;
realpath.realpathSync = realpathSync;
realpath.monkeypatch = monkeypatch;
realpath.unmonkeypatch = unmonkeypatch;

var fs = __webpack_require__("fs");

var origRealpath = fs.realpath;
var origRealpathSync = fs.realpathSync;
var version = process.version;
var ok = /^v[0-5]\./.test(version);

var old = __webpack_require__("./node_modules/.f/_/fs.realpath/1.0.0/fs.realpath/old.js");

function newError(er) {
  return er && er.syscall === 'realpath' && (er.code === 'ELOOP' || er.code === 'ENOMEM' || er.code === 'ENAMETOOLONG');
}

function realpath(p, cache, cb) {
  if (ok) {
    return origRealpath(p, cache, cb);
  }

  if (typeof cache === 'function') {
    cb = cache;
    cache = null;
  }

  origRealpath(p, cache, function (er, result) {
    if (newError(er)) {
      old.realpath(p, cache, cb);
    } else {
      cb(er, result);
    }
  });
}

function realpathSync(p, cache) {
  if (ok) {
    return origRealpathSync(p, cache);
  }

  try {
    return origRealpathSync(p, cache);
  } catch (er) {
    if (newError(er)) {
      return old.realpathSync(p, cache);
    } else {
      throw er;
    }
  }
}

function monkeypatch() {
  fs.realpath = realpath;
  fs.realpathSync = realpathSync;
}

function unmonkeypatch() {
  fs.realpath = origRealpath;
  fs.realpathSync = origRealpathSync;
}

/***/ }),

/***/ "./node_modules/.f/_/fs.realpath/1.0.0/fs.realpath/old.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
var pathModule = __webpack_require__("path");

var isWindows = process.platform === 'win32';

var fs = __webpack_require__("fs"); // JavaScript implementation of realpath, ported from node pre-v6


var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);

function rethrow() {
  // Only enable in debug mode. A backtrace uses ~1000 bytes of heap space and
  // is fairly slow to generate.
  var callback;

  if (DEBUG) {
    var backtrace = new Error();
    callback = debugCallback;
  } else callback = missingCallback;

  return callback;

  function debugCallback(err) {
    if (err) {
      backtrace.message = err.message;
      err = backtrace;
      missingCallback(err);
    }
  }

  function missingCallback(err) {
    if (err) {
      if (process.throwDeprecation) throw err; // Forgot a callback but don't know where? Use NODE_DEBUG=fs
      else if (!process.noDeprecation) {
        var msg = 'fs: missing callback ' + (err.stack || err.message);
        if (process.traceDeprecation) console.trace(msg);else console.error(msg);
      }
    }
  }
}

function maybeCallback(cb) {
  return typeof cb === 'function' ? cb : rethrow();
}

var normalize = pathModule.normalize; // Regexp that finds the next partion of a (partial) path
// result is [base_with_slash, base], e.g. ['somedir/', 'somedir']

if (isWindows) {
  var nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
} else {
  var nextPartRe = /(.*?)(?:[\/]+|$)/g;
} // Regex to find the device root, including trailing slash. E.g. 'c:\\'.


if (isWindows) {
  var splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
} else {
  var splitRootRe = /^[\/]*/;
}

exports.realpathSync = function realpathSync(p, cache) {
  // make p is absolute
  p = pathModule.resolve(p);

  if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
    return cache[p];
  }

  var original = p,
      seenLinks = {},
      knownHard = {}; // current character position in p

  var pos; // the partial path so far, including a trailing slash if any

  var current; // the partial path without a trailing slash (except when pointing at a root)

  var base; // the partial path scanned in the previous round, with slash

  var previous;
  start();

  function start() {
    // Skip over roots
    var m = splitRootRe.exec(p);
    pos = m[0].length;
    current = m[0];
    base = m[0];
    previous = ''; // On windows, check that the root exists. On unix there is no need.

    if (isWindows && !knownHard[base]) {
      fs.lstatSync(base);
      knownHard[base] = true;
    }
  } // walk down the path, swapping out linked pathparts for their real
  // values
  // NB: p.length changes.


  while (pos < p.length) {
    // find the next part
    nextPartRe.lastIndex = pos;
    var result = nextPartRe.exec(p);
    previous = current;
    current += result[0];
    base = previous + result[1];
    pos = nextPartRe.lastIndex; // continue if not a symlink

    if (knownHard[base] || cache && cache[base] === base) {
      continue;
    }

    var resolvedLink;

    if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
      // some known symbolic link.  no need to stat again.
      resolvedLink = cache[base];
    } else {
      var stat = fs.lstatSync(base);

      if (!stat.isSymbolicLink()) {
        knownHard[base] = true;
        if (cache) cache[base] = base;
        continue;
      } // read the link if it wasn't read before
      // dev/ino always return 0 on windows, so skip the check.


      var linkTarget = null;

      if (!isWindows) {
        var id = stat.dev.toString(32) + ':' + stat.ino.toString(32);

        if (seenLinks.hasOwnProperty(id)) {
          linkTarget = seenLinks[id];
        }
      }

      if (linkTarget === null) {
        fs.statSync(base);
        linkTarget = fs.readlinkSync(base);
      }

      resolvedLink = pathModule.resolve(previous, linkTarget); // track this, if given a cache.

      if (cache) cache[base] = resolvedLink;
      if (!isWindows) seenLinks[id] = linkTarget;
    } // resolve the link, then start over


    p = pathModule.resolve(resolvedLink, p.slice(pos));
    start();
  }

  if (cache) cache[original] = p;
  return p;
};

exports.realpath = function realpath(p, cache, cb) {
  if (typeof cb !== 'function') {
    cb = maybeCallback(cache);
    cache = null;
  } // make p is absolute


  p = pathModule.resolve(p);

  if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
    return process.nextTick(cb.bind(null, null, cache[p]));
  }

  var original = p,
      seenLinks = {},
      knownHard = {}; // current character position in p

  var pos; // the partial path so far, including a trailing slash if any

  var current; // the partial path without a trailing slash (except when pointing at a root)

  var base; // the partial path scanned in the previous round, with slash

  var previous;
  start();

  function start() {
    // Skip over roots
    var m = splitRootRe.exec(p);
    pos = m[0].length;
    current = m[0];
    base = m[0];
    previous = ''; // On windows, check that the root exists. On unix there is no need.

    if (isWindows && !knownHard[base]) {
      fs.lstat(base, function (err) {
        if (err) return cb(err);
        knownHard[base] = true;
        LOOP();
      });
    } else {
      process.nextTick(LOOP);
    }
  } // walk down the path, swapping out linked pathparts for their real
  // values


  function LOOP() {
    // stop if scanned past end of path
    if (pos >= p.length) {
      if (cache) cache[original] = p;
      return cb(null, p);
    } // find the next part


    nextPartRe.lastIndex = pos;
    var result = nextPartRe.exec(p);
    previous = current;
    current += result[0];
    base = previous + result[1];
    pos = nextPartRe.lastIndex; // continue if not a symlink

    if (knownHard[base] || cache && cache[base] === base) {
      return process.nextTick(LOOP);
    }

    if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
      // known symbolic link.  no need to stat again.
      return gotResolvedLink(cache[base]);
    }

    return fs.lstat(base, gotStat);
  }

  function gotStat(err, stat) {
    if (err) return cb(err); // if not a symlink, skip to the next path part

    if (!stat.isSymbolicLink()) {
      knownHard[base] = true;
      if (cache) cache[base] = base;
      return process.nextTick(LOOP);
    } // stat & read the link if not read before
    // call gotTarget as soon as the link target is known
    // dev/ino always return 0 on windows, so skip the check.


    if (!isWindows) {
      var id = stat.dev.toString(32) + ':' + stat.ino.toString(32);

      if (seenLinks.hasOwnProperty(id)) {
        return gotTarget(null, seenLinks[id], base);
      }
    }

    fs.stat(base, function (err) {
      if (err) return cb(err);
      fs.readlink(base, function (err, target) {
        if (!isWindows) seenLinks[id] = target;
        gotTarget(err, target);
      });
    });
  }

  function gotTarget(err, target, base) {
    if (err) return cb(err);
    var resolvedLink = pathModule.resolve(previous, target);
    if (cache) cache[base] = resolvedLink;
    gotResolvedLink(resolvedLink);
  }

  function gotResolvedLink(resolvedLink) {
    // resolve the link, then start over
    p = pathModule.resolve(resolvedLink, p.slice(pos));
    start();
  }
};

/***/ }),

/***/ "./node_modules/.f/_/function-bind/1.1.1/function-bind/implementation.js":
/***/ ((module) => {

"use strict";

/* eslint no-invalid-this: 1 */

var ERROR_MESSAGE = 'Function.prototype.bind called on incompatible ';
var slice = Array.prototype.slice;
var toStr = Object.prototype.toString;
var funcType = '[object Function]';

module.exports = function bind(that) {
  var target = this;

  if (typeof target !== 'function' || toStr.call(target) !== funcType) {
    throw new TypeError(ERROR_MESSAGE + target);
  }

  var args = slice.call(arguments, 1);
  var bound;

  var binder = function () {
    if (this instanceof bound) {
      var result = target.apply(this, args.concat(slice.call(arguments)));

      if (Object(result) === result) {
        return result;
      }

      return this;
    } else {
      return target.apply(that, args.concat(slice.call(arguments)));
    }
  };

  var boundLength = Math.max(0, target.length - args.length);
  var boundArgs = [];

  for (var i = 0; i < boundLength; i++) {
    boundArgs.push('$' + i);
  }

  bound = Function('binder', 'return function (' + boundArgs.join(',') + '){ return binder.apply(this,arguments); }')(binder);

  if (target.prototype) {
    var Empty = function Empty() {};

    Empty.prototype = target.prototype;
    bound.prototype = new Empty();
    Empty.prototype = null;
  }

  return bound;
};

/***/ }),

/***/ "./node_modules/.f/_/function-bind/1.1.1/function-bind/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var implementation = __webpack_require__("./node_modules/.f/_/function-bind/1.1.1/function-bind/implementation.js");

module.exports = Function.prototype.bind || implementation;

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/base-theme.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var spin = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/spin.js");

var progressBar = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/progress-bar.js");

module.exports = {
  activityIndicator: function (values, theme, width) {
    if (values.spun == null) return;
    return spin(theme, values.spun);
  },
  progressbar: function (values, theme, width) {
    if (values.completed == null) return;
    return progressBar(theme, width, values.completed);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/error.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var User = exports.User = function User(msg) {
  var err = new Error(msg);
  Error.captureStackTrace(err, User);
  err.code = 'EGAUGE';
  return err;
};

exports.MissingTemplateValue = function MissingTemplateValue(item, values) {
  var err = new User(util.format('Missing template value "%s"', item.type));
  Error.captureStackTrace(err, MissingTemplateValue);
  err.template = item;
  err.values = values;
  return err;
};

exports.Internal = function Internal(msg) {
  var err = new Error(msg);
  Error.captureStackTrace(err, Internal);
  err.code = 'EGAUGEINTERNAL';
  return err;
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/has-color.js":
/***/ ((module) => {

"use strict";


module.exports = isWin32() || isColorTerm();

function isWin32() {
  return process.platform === 'win32';
}

function isColorTerm() {
  var termHasColor = /^screen|^xterm|^vt100|color|ansi|cygwin|linux/i;
  return !!process.env.COLORTERM || termHasColor.test(process.env.TERM);
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var Plumbing = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/plumbing.js");

var hasUnicode = __webpack_require__("./node_modules/.f/_/has-unicode/2.0.1/has-unicode/index.js");

var hasColor = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/has-color.js");

var onExit = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js");

var defaultThemes = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/themes.js");

var setInterval = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/set-interval.js");

var process = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/process.js");

var setImmediate = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/set-immediate.js");

module.exports = Gauge;

function callWith(obj, method) {
  return function () {
    return method.call(obj);
  };
}

function Gauge(arg1, arg2) {
  var options, writeTo;

  if (arg1 && arg1.write) {
    writeTo = arg1;
    options = arg2 || {};
  } else if (arg2 && arg2.write) {
    writeTo = arg2;
    options = arg1 || {};
  } else {
    writeTo = process.stderr;
    options = arg1 || arg2 || {};
  }

  this._status = {
    spun: 0,
    section: '',
    subsection: ''
  };
  this._paused = false; // are we paused for back pressure?

  this._disabled = true; // are all progress bar updates disabled?

  this._showing = false; // do we WANT the progress bar on screen

  this._onScreen = false; // IS the progress bar on screen

  this._needsRedraw = false; // should we print something at next tick?

  this._hideCursor = options.hideCursor == null ? true : options.hideCursor;
  this._fixedFramerate = options.fixedFramerate == null ? !/^v0\.8\./.test(process.version) : options.fixedFramerate;
  this._lastUpdateAt = null;
  this._updateInterval = options.updateInterval == null ? 50 : options.updateInterval;
  this._themes = options.themes || defaultThemes;
  this._theme = options.theme;

  var theme = this._computeTheme(options.theme);

  var template = options.template || [{
    type: 'progressbar',
    length: 20
  }, {
    type: 'activityIndicator',
    kerning: 1,
    length: 1
  }, {
    type: 'section',
    kerning: 1,
    default: ''
  }, {
    type: 'subsection',
    kerning: 1,
    default: ''
  }];
  this.setWriteTo(writeTo, options.tty);
  var PlumbingClass = options.Plumbing || Plumbing;
  this._gauge = new PlumbingClass(theme, template, this.getWidth());
  this._$$doRedraw = callWith(this, this._doRedraw);
  this._$$handleSizeChange = callWith(this, this._handleSizeChange);
  this._cleanupOnExit = options.cleanupOnExit == null || options.cleanupOnExit;
  this._removeOnExit = null;

  if (options.enabled || options.enabled == null && this._tty && this._tty.isTTY) {
    this.enable();
  } else {
    this.disable();
  }
}

Gauge.prototype = {};

Gauge.prototype.isEnabled = function () {
  return !this._disabled;
};

Gauge.prototype.setTemplate = function (template) {
  this._gauge.setTemplate(template);

  if (this._showing) this._requestRedraw();
};

Gauge.prototype._computeTheme = function (theme) {
  if (!theme) theme = {};

  if (typeof theme === 'string') {
    theme = this._themes.getTheme(theme);
  } else if (theme && (Object.keys(theme).length === 0 || theme.hasUnicode != null || theme.hasColor != null)) {
    var useUnicode = theme.hasUnicode == null ? hasUnicode() : theme.hasUnicode;
    var useColor = theme.hasColor == null ? hasColor : theme.hasColor;
    theme = this._themes.getDefault({
      hasUnicode: useUnicode,
      hasColor: useColor,
      platform: theme.platform
    });
  }

  return theme;
};

Gauge.prototype.setThemeset = function (themes) {
  this._themes = themes;
  this.setTheme(this._theme);
};

Gauge.prototype.setTheme = function (theme) {
  this._gauge.setTheme(this._computeTheme(theme));

  if (this._showing) this._requestRedraw();
  this._theme = theme;
};

Gauge.prototype._requestRedraw = function () {
  this._needsRedraw = true;
  if (!this._fixedFramerate) this._doRedraw();
};

Gauge.prototype.getWidth = function () {
  return (this._tty && this._tty.columns || 80) - 1;
};

Gauge.prototype.setWriteTo = function (writeTo, tty) {
  var enabled = !this._disabled;
  if (enabled) this.disable();
  this._writeTo = writeTo;
  this._tty = tty || writeTo === process.stderr && process.stdout.isTTY && process.stdout || writeTo.isTTY && writeTo || this._tty;
  if (this._gauge) this._gauge.setWidth(this.getWidth());
  if (enabled) this.enable();
};

Gauge.prototype.enable = function () {
  if (!this._disabled) return;
  this._disabled = false;
  if (this._tty) this._enableEvents();
  if (this._showing) this.show();
};

Gauge.prototype.disable = function () {
  if (this._disabled) return;

  if (this._showing) {
    this._lastUpdateAt = null;
    this._showing = false;

    this._doRedraw();

    this._showing = true;
  }

  this._disabled = true;
  if (this._tty) this._disableEvents();
};

Gauge.prototype._enableEvents = function () {
  if (this._cleanupOnExit) {
    this._removeOnExit = onExit(callWith(this, this.disable));
  }

  this._tty.on('resize', this._$$handleSizeChange);

  if (this._fixedFramerate) {
    this.redrawTracker = setInterval(this._$$doRedraw, this._updateInterval);
    if (this.redrawTracker.unref) this.redrawTracker.unref();
  }
};

Gauge.prototype._disableEvents = function () {
  this._tty.removeListener('resize', this._$$handleSizeChange);

  if (this._fixedFramerate) clearInterval(this.redrawTracker);
  if (this._removeOnExit) this._removeOnExit();
};

Gauge.prototype.hide = function (cb) {
  if (this._disabled) return cb && process.nextTick(cb);
  if (!this._showing) return cb && process.nextTick(cb);
  this._showing = false;

  this._doRedraw();

  cb && setImmediate(cb);
};

Gauge.prototype.show = function (section, completed) {
  this._showing = true;

  if (typeof section === 'string') {
    this._status.section = section;
  } else if (typeof section === 'object') {
    var sectionKeys = Object.keys(section);

    for (var ii = 0; ii < sectionKeys.length; ++ii) {
      var key = sectionKeys[ii];
      this._status[key] = section[key];
    }
  }

  if (completed != null) this._status.completed = completed;
  if (this._disabled) return;

  this._requestRedraw();
};

Gauge.prototype.pulse = function (subsection) {
  this._status.subsection = subsection || '';
  this._status.spun++;
  if (this._disabled) return;
  if (!this._showing) return;

  this._requestRedraw();
};

Gauge.prototype._handleSizeChange = function () {
  this._gauge.setWidth(this._tty.columns - 1);

  this._requestRedraw();
};

Gauge.prototype._doRedraw = function () {
  if (this._disabled || this._paused) return;

  if (!this._fixedFramerate) {
    var now = Date.now();
    if (this._lastUpdateAt && now - this._lastUpdateAt < this._updateInterval) return;
    this._lastUpdateAt = now;
  }

  if (!this._showing && this._onScreen) {
    this._onScreen = false;

    var result = this._gauge.hide();

    if (this._hideCursor) {
      result += this._gauge.showCursor();
    }

    return this._writeTo.write(result);
  }

  if (!this._showing && !this._onScreen) return;

  if (this._showing && !this._onScreen) {
    this._onScreen = true;
    this._needsRedraw = true;

    if (this._hideCursor) {
      this._writeTo.write(this._gauge.hideCursor());
    }
  }

  if (!this._needsRedraw) return;

  if (!this._writeTo.write(this._gauge.show(this._status))) {
    this._paused = true;

    this._writeTo.on('drain', callWith(this, function () {
      this._paused = false;

      this._doRedraw();
    }));
  }
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/plumbing.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var consoleControl = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js");

var renderTemplate = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/render-template.js");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var Plumbing = module.exports = function (theme, template, width) {
  if (!width) width = 80;
  validate('OAN', [theme, template, width]);
  this.showing = false;
  this.theme = theme;
  this.width = width;
  this.template = template;
};

Plumbing.prototype = {};

Plumbing.prototype.setTheme = function (theme) {
  validate('O', [theme]);
  this.theme = theme;
};

Plumbing.prototype.setTemplate = function (template) {
  validate('A', [template]);
  this.template = template;
};

Plumbing.prototype.setWidth = function (width) {
  validate('N', [width]);
  this.width = width;
};

Plumbing.prototype.hide = function () {
  return consoleControl.gotoSOL() + consoleControl.eraseLine();
};

Plumbing.prototype.hideCursor = consoleControl.hideCursor;
Plumbing.prototype.showCursor = consoleControl.showCursor;

Plumbing.prototype.show = function (status) {
  var values = Object.create(this.theme);

  for (var key in status) {
    values[key] = status[key];
  }

  return renderTemplate(this.width, this.template, values).trim() + consoleControl.color('reset') + consoleControl.eraseLine() + consoleControl.gotoSOL();
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/process.js":
/***/ ((module) => {

"use strict";
 // this exists so we can replace it during testing

module.exports = process;

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/progress-bar.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var renderTemplate = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/render-template.js");

var wideTruncate = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/wide-truncate.js");

var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/1.0.2/string-width/index.js");

module.exports = function (theme, width, completed) {
  validate('ONN', [theme, width, completed]);
  if (completed < 0) completed = 0;
  if (completed > 1) completed = 1;
  if (width <= 0) return '';
  var sofar = Math.round(width * completed);
  var rest = width - sofar;
  var template = [{
    type: 'complete',
    value: repeat(theme.complete, sofar),
    length: sofar
  }, {
    type: 'remaining',
    value: repeat(theme.remaining, rest),
    length: rest
  }];
  return renderTemplate(width, template, theme);
}; // lodash's way of repeating


function repeat(string, width) {
  var result = '';
  var n = width;

  do {
    if (n % 2) {
      result += string;
    }

    n = Math.floor(n / 2);
    /*eslint no-self-assign: 0*/

    string += string;
  } while (n && stringWidth(result) < width);

  return wideTruncate(result, width);
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/render-template.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var align = __webpack_require__("./node_modules/.f/_/wide-align/1.1.3/wide-align/align.js");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var objectAssign = __webpack_require__("./node_modules/.f/_/object-assign/4.1.1/object-assign/index.js");

var wideTruncate = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/wide-truncate.js");

var error = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/error.js");

var TemplateItem = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/template-item.js");

function renderValueWithValues(values) {
  return function (item) {
    return renderValue(item, values);
  };
}

var renderTemplate = module.exports = function (width, template, values) {
  var items = prepareItems(width, template, values);
  var rendered = items.map(renderValueWithValues(values)).join('');
  return align.left(wideTruncate(rendered, width), width);
};

function preType(item) {
  var cappedTypeName = item.type[0].toUpperCase() + item.type.slice(1);
  return 'pre' + cappedTypeName;
}

function postType(item) {
  var cappedTypeName = item.type[0].toUpperCase() + item.type.slice(1);
  return 'post' + cappedTypeName;
}

function hasPreOrPost(item, values) {
  if (!item.type) return;
  return values[preType(item)] || values[postType(item)];
}

function generatePreAndPost(baseItem, parentValues) {
  var item = objectAssign({}, baseItem);
  var values = Object.create(parentValues);
  var template = [];
  var pre = preType(item);
  var post = postType(item);

  if (values[pre]) {
    template.push({
      value: values[pre]
    });
    values[pre] = null;
  }

  item.minLength = null;
  item.length = null;
  item.maxLength = null;
  template.push(item);
  values[item.type] = values[item.type];

  if (values[post]) {
    template.push({
      value: values[post]
    });
    values[post] = null;
  }

  return function ($1, $2, length) {
    return renderTemplate(length, template, values);
  };
}

function prepareItems(width, template, values) {
  function cloneAndObjectify(item, index, arr) {
    var cloned = new TemplateItem(item, width);
    var type = cloned.type;

    if (cloned.value == null) {
      if (!(type in values)) {
        if (cloned.default == null) {
          throw new error.MissingTemplateValue(cloned, values);
        } else {
          cloned.value = cloned.default;
        }
      } else {
        cloned.value = values[type];
      }
    }

    if (cloned.value == null || cloned.value === '') return null;
    cloned.index = index;
    cloned.first = index === 0;
    cloned.last = index === arr.length - 1;
    if (hasPreOrPost(cloned, values)) cloned.value = generatePreAndPost(cloned, values);
    return cloned;
  }

  var output = template.map(cloneAndObjectify).filter(function (item) {
    return item != null;
  });
  var outputLength = 0;
  var remainingSpace = width;
  var variableCount = output.length;

  function consumeSpace(length) {
    if (length > remainingSpace) length = remainingSpace;
    outputLength += length;
    remainingSpace -= length;
  }

  function finishSizing(item, length) {
    if (item.finished) throw new error.Internal('Tried to finish template item that was already finished');
    if (length === Infinity) throw new error.Internal('Length of template item cannot be infinity');
    if (length != null) item.length = length;
    item.minLength = null;
    item.maxLength = null;
    --variableCount;
    item.finished = true;
    if (item.length == null) item.length = item.getBaseLength();
    if (item.length == null) throw new error.Internal('Finished template items must have a length');
    consumeSpace(item.getLength());
  }

  output.forEach(function (item) {
    if (!item.kerning) return;
    var prevPadRight = item.first ? 0 : output[item.index - 1].padRight;
    if (!item.first && prevPadRight < item.kerning) item.padLeft = item.kerning - prevPadRight;
    if (!item.last) item.padRight = item.kerning;
  }); // Finish any that have a fixed (literal or intuited) length

  output.forEach(function (item) {
    if (item.getBaseLength() == null) return;
    finishSizing(item);
  });
  var resized = 0;
  var resizing;
  var hunkSize;

  do {
    resizing = false;
    hunkSize = Math.round(remainingSpace / variableCount);
    output.forEach(function (item) {
      if (item.finished) return;
      if (!item.maxLength) return;

      if (item.getMaxLength() < hunkSize) {
        finishSizing(item, item.maxLength);
        resizing = true;
      }
    });
  } while (resizing && resized++ < output.length);

  if (resizing) throw new error.Internal('Resize loop iterated too many times while determining maxLength');
  resized = 0;

  do {
    resizing = false;
    hunkSize = Math.round(remainingSpace / variableCount);
    output.forEach(function (item) {
      if (item.finished) return;
      if (!item.minLength) return;

      if (item.getMinLength() >= hunkSize) {
        finishSizing(item, item.minLength);
        resizing = true;
      }
    });
  } while (resizing && resized++ < output.length);

  if (resizing) throw new error.Internal('Resize loop iterated too many times while determining minLength');
  hunkSize = Math.round(remainingSpace / variableCount);
  output.forEach(function (item) {
    if (item.finished) return;
    finishSizing(item, hunkSize);
  });
  return output;
}

function renderFunction(item, values, length) {
  validate('OON', arguments);

  if (item.type) {
    return item.value(values, values[item.type + 'Theme'] || {}, length);
  } else {
    return item.value(values, {}, length);
  }
}

function renderValue(item, values) {
  var length = item.getBaseLength();
  var value = typeof item.value === 'function' ? renderFunction(item, values, length) : item.value;
  if (value == null || value === '') return '';
  var alignWith = align[item.align] || align.left;
  var leftPadding = item.padLeft ? align.left('', item.padLeft) : '';
  var rightPadding = item.padRight ? align.right('', item.padRight) : '';
  var truncated = wideTruncate(String(value), length);
  var aligned = alignWith(truncated, length);
  return leftPadding + aligned + rightPadding;
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/set-immediate.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var process = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/process.js");

try {
  module.exports = setImmediate;
} catch (ex) {
  module.exports = process.nextTick;
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/set-interval.js":
/***/ ((module) => {

"use strict";
 // this exists so we can replace it during testing

module.exports = setInterval;

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/spin.js":
/***/ ((module) => {

"use strict";


module.exports = function spin(spinstr, spun) {
  return spinstr[spun % spinstr.length];
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/template-item.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/1.0.2/string-width/index.js");

module.exports = TemplateItem;

function isPercent(num) {
  if (typeof num !== 'string') return false;
  return num.slice(-1) === '%';
}

function percent(num) {
  return Number(num.slice(0, -1)) / 100;
}

function TemplateItem(values, outputLength) {
  this.overallOutputLength = outputLength;
  this.finished = false;
  this.type = null;
  this.value = null;
  this.length = null;
  this.maxLength = null;
  this.minLength = null;
  this.kerning = null;
  this.align = 'left';
  this.padLeft = 0;
  this.padRight = 0;
  this.index = null;
  this.first = null;
  this.last = null;

  if (typeof values === 'string') {
    this.value = values;
  } else {
    for (var prop in values) this[prop] = values[prop];
  } // Realize percents


  if (isPercent(this.length)) {
    this.length = Math.round(this.overallOutputLength * percent(this.length));
  }

  if (isPercent(this.minLength)) {
    this.minLength = Math.round(this.overallOutputLength * percent(this.minLength));
  }

  if (isPercent(this.maxLength)) {
    this.maxLength = Math.round(this.overallOutputLength * percent(this.maxLength));
  }

  return this;
}

TemplateItem.prototype = {};

TemplateItem.prototype.getBaseLength = function () {
  var length = this.length;

  if (length == null && typeof this.value === 'string' && this.maxLength == null && this.minLength == null) {
    length = stringWidth(this.value);
  }

  return length;
};

TemplateItem.prototype.getLength = function () {
  var length = this.getBaseLength();
  if (length == null) return null;
  return length + this.padLeft + this.padRight;
};

TemplateItem.prototype.getMaxLength = function () {
  if (this.maxLength == null) return null;
  return this.maxLength + this.padLeft + this.padRight;
};

TemplateItem.prototype.getMinLength = function () {
  if (this.minLength == null) return null;
  return this.minLength + this.padLeft + this.padRight;
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/theme-set.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var objectAssign = __webpack_require__("./node_modules/.f/_/object-assign/4.1.1/object-assign/index.js");

module.exports = function () {
  return ThemeSetProto.newThemeSet();
};

var ThemeSetProto = {};
ThemeSetProto.baseTheme = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/base-theme.js");

ThemeSetProto.newTheme = function (parent, theme) {
  if (!theme) {
    theme = parent;
    parent = this.baseTheme;
  }

  return objectAssign({}, parent, theme);
};

ThemeSetProto.getThemeNames = function () {
  return Object.keys(this.themes);
};

ThemeSetProto.addTheme = function (name, parent, theme) {
  this.themes[name] = this.newTheme(parent, theme);
};

ThemeSetProto.addToAllThemes = function (theme) {
  var themes = this.themes;
  Object.keys(themes).forEach(function (name) {
    objectAssign(themes[name], theme);
  });
  objectAssign(this.baseTheme, theme);
};

ThemeSetProto.getTheme = function (name) {
  if (!this.themes[name]) throw this.newMissingThemeError(name);
  return this.themes[name];
};

ThemeSetProto.setDefault = function (opts, name) {
  if (name == null) {
    name = opts;
    opts = {};
  }

  var platform = opts.platform == null ? 'fallback' : opts.platform;
  var hasUnicode = !!opts.hasUnicode;
  var hasColor = !!opts.hasColor;
  if (!this.defaults[platform]) this.defaults[platform] = {
    true: {},
    false: {}
  };
  this.defaults[platform][hasUnicode][hasColor] = name;
};

ThemeSetProto.getDefault = function (opts) {
  if (!opts) opts = {};
  var platformName = opts.platform || process.platform;
  var platform = this.defaults[platformName] || this.defaults.fallback;
  var hasUnicode = !!opts.hasUnicode;
  var hasColor = !!opts.hasColor;
  if (!platform) throw this.newMissingDefaultThemeError(platformName, hasUnicode, hasColor);

  if (!platform[hasUnicode][hasColor]) {
    if (hasUnicode && hasColor && platform[!hasUnicode][hasColor]) {
      hasUnicode = false;
    } else if (hasUnicode && hasColor && platform[hasUnicode][!hasColor]) {
      hasColor = false;
    } else if (hasUnicode && hasColor && platform[!hasUnicode][!hasColor]) {
      hasUnicode = false;
      hasColor = false;
    } else if (hasUnicode && !hasColor && platform[!hasUnicode][hasColor]) {
      hasUnicode = false;
    } else if (!hasUnicode && hasColor && platform[hasUnicode][!hasColor]) {
      hasColor = false;
    } else if (platform === this.defaults.fallback) {
      throw this.newMissingDefaultThemeError(platformName, hasUnicode, hasColor);
    }
  }

  if (platform[hasUnicode][hasColor]) {
    return this.getTheme(platform[hasUnicode][hasColor]);
  } else {
    return this.getDefault(objectAssign({}, opts, {
      platform: 'fallback'
    }));
  }
};

ThemeSetProto.newMissingThemeError = function newMissingThemeError(name) {
  var err = new Error('Could not find a gauge theme named "' + name + '"');
  Error.captureStackTrace.call(err, newMissingThemeError);
  err.theme = name;
  err.code = 'EMISSINGTHEME';
  return err;
};

ThemeSetProto.newMissingDefaultThemeError = function newMissingDefaultThemeError(platformName, hasUnicode, hasColor) {
  var err = new Error('Could not find a gauge theme for your platform/unicode/color use combo:\n' + '    platform = ' + platformName + '\n' + '    hasUnicode = ' + hasUnicode + '\n' + '    hasColor = ' + hasColor);
  Error.captureStackTrace.call(err, newMissingDefaultThemeError);
  err.platform = platformName;
  err.hasUnicode = hasUnicode;
  err.hasColor = hasColor;
  err.code = 'EMISSINGTHEME';
  return err;
};

ThemeSetProto.newThemeSet = function () {
  var themeset = function (opts) {
    return themeset.getDefault(opts);
  };

  return objectAssign(themeset, ThemeSetProto, {
    themes: objectAssign({}, this.themes),
    baseTheme: objectAssign({}, this.baseTheme),
    defaults: JSON.parse(JSON.stringify(this.defaults || {}))
  });
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/themes.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var consoleControl = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js");

var ThemeSet = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/theme-set.js");

var themes = module.exports = new ThemeSet();
themes.addTheme('ASCII', {
  preProgressbar: '[',
  postProgressbar: ']',
  progressbarTheme: {
    complete: '#',
    remaining: '.'
  },
  activityIndicatorTheme: '-\\|/',
  preSubsection: '>'
});
themes.addTheme('colorASCII', themes.getTheme('ASCII'), {
  progressbarTheme: {
    preComplete: consoleControl.color('inverse'),
    complete: ' ',
    postComplete: consoleControl.color('stopInverse'),
    preRemaining: consoleControl.color('brightBlack'),
    remaining: '.',
    postRemaining: consoleControl.color('reset')
  }
});
themes.addTheme('brailleSpinner', {
  preProgressbar: '⸨',
  postProgressbar: '⸩',
  progressbarTheme: {
    complete: '░',
    remaining: '⠂'
  },
  activityIndicatorTheme: '⠋⠙⠹⠸⠼⠴⠦⠧⠇⠏',
  preSubsection: '>'
});
themes.addTheme('colorBrailleSpinner', themes.getTheme('brailleSpinner'), {
  progressbarTheme: {
    preComplete: consoleControl.color('inverse'),
    complete: ' ',
    postComplete: consoleControl.color('stopInverse'),
    preRemaining: consoleControl.color('brightBlack'),
    remaining: '░',
    postRemaining: consoleControl.color('reset')
  }
});
themes.setDefault({}, 'ASCII');
themes.setDefault({
  hasColor: true
}, 'colorASCII');
themes.setDefault({
  platform: 'darwin',
  hasUnicode: true
}, 'brailleSpinner');
themes.setDefault({
  platform: 'darwin',
  hasUnicode: true,
  hasColor: true
}, 'colorBrailleSpinner');

/***/ }),

/***/ "./node_modules/.f/_/gauge/2.7.4/gauge/wide-truncate.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/1.0.2/string-width/index.js");

var stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/3.0.1/strip-ansi/index.js");

module.exports = wideTruncate;

function wideTruncate(str, target) {
  if (stringWidth(str) === 0) return str;
  if (target <= 0) return '';
  if (stringWidth(str) <= target) return str; // We compute the number of bytes of ansi sequences here and add
  // that to our initial truncation to ensure that we don't slice one
  // that we want to keep in half.

  var noAnsi = stripAnsi(str);
  var ansiSize = str.length + noAnsi.length;
  var truncated = str.slice(0, target + ansiSize); // we have to shrink the result to account for our ansi sequence buffer
  // (if an ansi sequence was truncated) and double width characters.

  while (stringWidth(truncated) > target) {
    truncated = truncated.slice(0, -1);
  }

  return truncated;
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/base-theme.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var spin = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/spin.js");

var progressBar = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/progress-bar.js");

module.exports = {
  activityIndicator: function (values, theme, width) {
    if (values.spun == null) {
      return;
    }

    return spin(theme, values.spun);
  },
  progressbar: function (values, theme, width) {
    if (values.completed == null) {
      return;
    }

    return progressBar(theme, width, values.completed);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/error.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

var User = exports.User = function User(msg) {
  var err = new Error(msg);
  Error.captureStackTrace(err, User);
  err.code = 'EGAUGE';
  return err;
};

exports.MissingTemplateValue = function MissingTemplateValue(item, values) {
  var err = new User(util.format('Missing template value "%s"', item.type));
  Error.captureStackTrace(err, MissingTemplateValue);
  err.template = item;
  err.values = values;
  return err;
};

exports.Internal = function Internal(msg) {
  var err = new Error(msg);
  Error.captureStackTrace(err, Internal);
  err.code = 'EGAUGEINTERNAL';
  return err;
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/has-color.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var colorSupport = __webpack_require__("./node_modules/.f/_/color-support/1.1.3/color-support/index.js");

module.exports = colorSupport().hasBasic;

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var Plumbing = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/plumbing.js");

var hasUnicode = __webpack_require__("./node_modules/.f/_/has-unicode/2.0.1/has-unicode/index.js");

var hasColor = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/has-color.js");

var onExit = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js");

var defaultThemes = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/themes.js");

var setInterval = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/set-interval.js");

var process = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/process.js");

var setImmediate = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/set-immediate.js");

module.exports = Gauge;

function callWith(obj, method) {
  return function () {
    return method.call(obj);
  };
}

function Gauge(arg1, arg2) {
  var options, writeTo;

  if (arg1 && arg1.write) {
    writeTo = arg1;
    options = arg2 || {};
  } else if (arg2 && arg2.write) {
    writeTo = arg2;
    options = arg1 || {};
  } else {
    writeTo = process.stderr;
    options = arg1 || arg2 || {};
  }

  this._status = {
    spun: 0,
    section: '',
    subsection: ''
  };
  this._paused = false; // are we paused for back pressure?

  this._disabled = true; // are all progress bar updates disabled?

  this._showing = false; // do we WANT the progress bar on screen

  this._onScreen = false; // IS the progress bar on screen

  this._needsRedraw = false; // should we print something at next tick?

  this._hideCursor = options.hideCursor == null ? true : options.hideCursor;
  this._fixedFramerate = options.fixedFramerate == null ? !/^v0\.8\./.test(process.version) : options.fixedFramerate;
  this._lastUpdateAt = null;
  this._updateInterval = options.updateInterval == null ? 50 : options.updateInterval;
  this._themes = options.themes || defaultThemes;
  this._theme = options.theme;

  var theme = this._computeTheme(options.theme);

  var template = options.template || [{
    type: 'progressbar',
    length: 20
  }, {
    type: 'activityIndicator',
    kerning: 1,
    length: 1
  }, {
    type: 'section',
    kerning: 1,
    default: ''
  }, {
    type: 'subsection',
    kerning: 1,
    default: ''
  }];
  this.setWriteTo(writeTo, options.tty);
  var PlumbingClass = options.Plumbing || Plumbing;
  this._gauge = new PlumbingClass(theme, template, this.getWidth());
  this._$$doRedraw = callWith(this, this._doRedraw);
  this._$$handleSizeChange = callWith(this, this._handleSizeChange);
  this._cleanupOnExit = options.cleanupOnExit == null || options.cleanupOnExit;
  this._removeOnExit = null;

  if (options.enabled || options.enabled == null && this._tty && this._tty.isTTY) {
    this.enable();
  } else {
    this.disable();
  }
}

Gauge.prototype = {};

Gauge.prototype.isEnabled = function () {
  return !this._disabled;
};

Gauge.prototype.setTemplate = function (template) {
  this._gauge.setTemplate(template);

  if (this._showing) {
    this._requestRedraw();
  }
};

Gauge.prototype._computeTheme = function (theme) {
  if (!theme) {
    theme = {};
  }

  if (typeof theme === 'string') {
    theme = this._themes.getTheme(theme);
  } else if (theme && (Object.keys(theme).length === 0 || theme.hasUnicode != null || theme.hasColor != null)) {
    var useUnicode = theme.hasUnicode == null ? hasUnicode() : theme.hasUnicode;
    var useColor = theme.hasColor == null ? hasColor : theme.hasColor;
    theme = this._themes.getDefault({
      hasUnicode: useUnicode,
      hasColor: useColor,
      platform: theme.platform
    });
  }

  return theme;
};

Gauge.prototype.setThemeset = function (themes) {
  this._themes = themes;
  this.setTheme(this._theme);
};

Gauge.prototype.setTheme = function (theme) {
  this._gauge.setTheme(this._computeTheme(theme));

  if (this._showing) {
    this._requestRedraw();
  }

  this._theme = theme;
};

Gauge.prototype._requestRedraw = function () {
  this._needsRedraw = true;

  if (!this._fixedFramerate) {
    this._doRedraw();
  }
};

Gauge.prototype.getWidth = function () {
  return (this._tty && this._tty.columns || 80) - 1;
};

Gauge.prototype.setWriteTo = function (writeTo, tty) {
  var enabled = !this._disabled;

  if (enabled) {
    this.disable();
  }

  this._writeTo = writeTo;
  this._tty = tty || writeTo === process.stderr && process.stdout.isTTY && process.stdout || writeTo.isTTY && writeTo || this._tty;

  if (this._gauge) {
    this._gauge.setWidth(this.getWidth());
  }

  if (enabled) {
    this.enable();
  }
};

Gauge.prototype.enable = function () {
  if (!this._disabled) {
    return;
  }

  this._disabled = false;

  if (this._tty) {
    this._enableEvents();
  }

  if (this._showing) {
    this.show();
  }
};

Gauge.prototype.disable = function () {
  if (this._disabled) {
    return;
  }

  if (this._showing) {
    this._lastUpdateAt = null;
    this._showing = false;

    this._doRedraw();

    this._showing = true;
  }

  this._disabled = true;

  if (this._tty) {
    this._disableEvents();
  }
};

Gauge.prototype._enableEvents = function () {
  if (this._cleanupOnExit) {
    this._removeOnExit = onExit(callWith(this, this.disable));
  }

  this._tty.on('resize', this._$$handleSizeChange);

  if (this._fixedFramerate) {
    this.redrawTracker = setInterval(this._$$doRedraw, this._updateInterval);

    if (this.redrawTracker.unref) {
      this.redrawTracker.unref();
    }
  }
};

Gauge.prototype._disableEvents = function () {
  this._tty.removeListener('resize', this._$$handleSizeChange);

  if (this._fixedFramerate) {
    clearInterval(this.redrawTracker);
  }

  if (this._removeOnExit) {
    this._removeOnExit();
  }
};

Gauge.prototype.hide = function (cb) {
  if (this._disabled) {
    return cb && process.nextTick(cb);
  }

  if (!this._showing) {
    return cb && process.nextTick(cb);
  }

  this._showing = false;

  this._doRedraw();

  cb && setImmediate(cb);
};

Gauge.prototype.show = function (section, completed) {
  this._showing = true;

  if (typeof section === 'string') {
    this._status.section = section;
  } else if (typeof section === 'object') {
    var sectionKeys = Object.keys(section);

    for (var ii = 0; ii < sectionKeys.length; ++ii) {
      var key = sectionKeys[ii];
      this._status[key] = section[key];
    }
  }

  if (completed != null) {
    this._status.completed = completed;
  }

  if (this._disabled) {
    return;
  }

  this._requestRedraw();
};

Gauge.prototype.pulse = function (subsection) {
  this._status.subsection = subsection || '';
  this._status.spun++;

  if (this._disabled) {
    return;
  }

  if (!this._showing) {
    return;
  }

  this._requestRedraw();
};

Gauge.prototype._handleSizeChange = function () {
  this._gauge.setWidth(this._tty.columns - 1);

  this._requestRedraw();
};

Gauge.prototype._doRedraw = function () {
  if (this._disabled || this._paused) {
    return;
  }

  if (!this._fixedFramerate) {
    var now = Date.now();

    if (this._lastUpdateAt && now - this._lastUpdateAt < this._updateInterval) {
      return;
    }

    this._lastUpdateAt = now;
  }

  if (!this._showing && this._onScreen) {
    this._onScreen = false;

    var result = this._gauge.hide();

    if (this._hideCursor) {
      result += this._gauge.showCursor();
    }

    return this._writeTo.write(result);
  }

  if (!this._showing && !this._onScreen) {
    return;
  }

  if (this._showing && !this._onScreen) {
    this._onScreen = true;
    this._needsRedraw = true;

    if (this._hideCursor) {
      this._writeTo.write(this._gauge.hideCursor());
    }
  }

  if (!this._needsRedraw) {
    return;
  }

  if (!this._writeTo.write(this._gauge.show(this._status))) {
    this._paused = true;

    this._writeTo.on('drain', callWith(this, function () {
      this._paused = false;

      this._doRedraw();
    }));
  }
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/plumbing.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var consoleControl = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js");

var renderTemplate = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/render-template.js");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var Plumbing = module.exports = function (theme, template, width) {
  if (!width) {
    width = 80;
  }

  validate('OAN', [theme, template, width]);
  this.showing = false;
  this.theme = theme;
  this.width = width;
  this.template = template;
};

Plumbing.prototype = {};

Plumbing.prototype.setTheme = function (theme) {
  validate('O', [theme]);
  this.theme = theme;
};

Plumbing.prototype.setTemplate = function (template) {
  validate('A', [template]);
  this.template = template;
};

Plumbing.prototype.setWidth = function (width) {
  validate('N', [width]);
  this.width = width;
};

Plumbing.prototype.hide = function () {
  return consoleControl.gotoSOL() + consoleControl.eraseLine();
};

Plumbing.prototype.hideCursor = consoleControl.hideCursor;
Plumbing.prototype.showCursor = consoleControl.showCursor;

Plumbing.prototype.show = function (status) {
  var values = Object.create(this.theme);

  for (var key in status) {
    values[key] = status[key];
  }

  return renderTemplate(this.width, this.template, values).trim() + consoleControl.color('reset') + consoleControl.eraseLine() + consoleControl.gotoSOL();
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/process.js":
/***/ ((module) => {

"use strict";
 // this exists so we can replace it during testing

module.exports = process;

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/progress-bar.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var renderTemplate = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/render-template.js");

var wideTruncate = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/wide-truncate.js");

var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/4.2.3/string-width/index.js");

module.exports = function (theme, width, completed) {
  validate('ONN', [theme, width, completed]);

  if (completed < 0) {
    completed = 0;
  }

  if (completed > 1) {
    completed = 1;
  }

  if (width <= 0) {
    return '';
  }

  var sofar = Math.round(width * completed);
  var rest = width - sofar;
  var template = [{
    type: 'complete',
    value: repeat(theme.complete, sofar),
    length: sofar
  }, {
    type: 'remaining',
    value: repeat(theme.remaining, rest),
    length: rest
  }];
  return renderTemplate(width, template, theme);
}; // lodash's way of repeating


function repeat(string, width) {
  var result = '';
  var n = width;

  do {
    if (n % 2) {
      result += string;
    }

    n = Math.floor(n / 2);
    /* eslint no-self-assign: 0 */

    string += string;
  } while (n && stringWidth(result) < width);

  return wideTruncate(result, width);
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/render-template.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var align = __webpack_require__("./node_modules/.f/_/wide-align/1.1.3/wide-align/align.js");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var wideTruncate = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/wide-truncate.js");

var error = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/error.js");

var TemplateItem = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/template-item.js");

function renderValueWithValues(values) {
  return function (item) {
    return renderValue(item, values);
  };
}

var renderTemplate = module.exports = function (width, template, values) {
  var items = prepareItems(width, template, values);
  var rendered = items.map(renderValueWithValues(values)).join('');
  return align.left(wideTruncate(rendered, width), width);
};

function preType(item) {
  var cappedTypeName = item.type[0].toUpperCase() + item.type.slice(1);
  return 'pre' + cappedTypeName;
}

function postType(item) {
  var cappedTypeName = item.type[0].toUpperCase() + item.type.slice(1);
  return 'post' + cappedTypeName;
}

function hasPreOrPost(item, values) {
  if (!item.type) {
    return;
  }

  return values[preType(item)] || values[postType(item)];
}

function generatePreAndPost(baseItem, parentValues) {
  var item = Object.assign({}, baseItem);
  var values = Object.create(parentValues);
  var template = [];
  var pre = preType(item);
  var post = postType(item);

  if (values[pre]) {
    template.push({
      value: values[pre]
    });
    values[pre] = null;
  }

  item.minLength = null;
  item.length = null;
  item.maxLength = null;
  template.push(item);
  values[item.type] = values[item.type];

  if (values[post]) {
    template.push({
      value: values[post]
    });
    values[post] = null;
  }

  return function ($1, $2, length) {
    return renderTemplate(length, template, values);
  };
}

function prepareItems(width, template, values) {
  function cloneAndObjectify(item, index, arr) {
    var cloned = new TemplateItem(item, width);
    var type = cloned.type;

    if (cloned.value == null) {
      if (!(type in values)) {
        if (cloned.default == null) {
          throw new error.MissingTemplateValue(cloned, values);
        } else {
          cloned.value = cloned.default;
        }
      } else {
        cloned.value = values[type];
      }
    }

    if (cloned.value == null || cloned.value === '') {
      return null;
    }

    cloned.index = index;
    cloned.first = index === 0;
    cloned.last = index === arr.length - 1;

    if (hasPreOrPost(cloned, values)) {
      cloned.value = generatePreAndPost(cloned, values);
    }

    return cloned;
  }

  var output = template.map(cloneAndObjectify).filter(function (item) {
    return item != null;
  });
  var remainingSpace = width;
  var variableCount = output.length;

  function consumeSpace(length) {
    if (length > remainingSpace) {
      length = remainingSpace;
    }

    remainingSpace -= length;
  }

  function finishSizing(item, length) {
    if (item.finished) {
      throw new error.Internal('Tried to finish template item that was already finished');
    }

    if (length === Infinity) {
      throw new error.Internal('Length of template item cannot be infinity');
    }

    if (length != null) {
      item.length = length;
    }

    item.minLength = null;
    item.maxLength = null;
    --variableCount;
    item.finished = true;

    if (item.length == null) {
      item.length = item.getBaseLength();
    }

    if (item.length == null) {
      throw new error.Internal('Finished template items must have a length');
    }

    consumeSpace(item.getLength());
  }

  output.forEach(function (item) {
    if (!item.kerning) {
      return;
    }

    var prevPadRight = item.first ? 0 : output[item.index - 1].padRight;

    if (!item.first && prevPadRight < item.kerning) {
      item.padLeft = item.kerning - prevPadRight;
    }

    if (!item.last) {
      item.padRight = item.kerning;
    }
  }); // Finish any that have a fixed (literal or intuited) length

  output.forEach(function (item) {
    if (item.getBaseLength() == null) {
      return;
    }

    finishSizing(item);
  });
  var resized = 0;
  var resizing;
  var hunkSize;

  do {
    resizing = false;
    hunkSize = Math.round(remainingSpace / variableCount);
    output.forEach(function (item) {
      if (item.finished) {
        return;
      }

      if (!item.maxLength) {
        return;
      }

      if (item.getMaxLength() < hunkSize) {
        finishSizing(item, item.maxLength);
        resizing = true;
      }
    });
  } while (resizing && resized++ < output.length);

  if (resizing) {
    throw new error.Internal('Resize loop iterated too many times while determining maxLength');
  }

  resized = 0;

  do {
    resizing = false;
    hunkSize = Math.round(remainingSpace / variableCount);
    output.forEach(function (item) {
      if (item.finished) {
        return;
      }

      if (!item.minLength) {
        return;
      }

      if (item.getMinLength() >= hunkSize) {
        finishSizing(item, item.minLength);
        resizing = true;
      }
    });
  } while (resizing && resized++ < output.length);

  if (resizing) {
    throw new error.Internal('Resize loop iterated too many times while determining minLength');
  }

  hunkSize = Math.round(remainingSpace / variableCount);
  output.forEach(function (item) {
    if (item.finished) {
      return;
    }

    finishSizing(item, hunkSize);
  });
  return output;
}

function renderFunction(item, values, length) {
  validate('OON', arguments);

  if (item.type) {
    return item.value(values, values[item.type + 'Theme'] || {}, length);
  } else {
    return item.value(values, {}, length);
  }
}

function renderValue(item, values) {
  var length = item.getBaseLength();
  var value = typeof item.value === 'function' ? renderFunction(item, values, length) : item.value;

  if (value == null || value === '') {
    return '';
  }

  var alignWith = align[item.align] || align.left;
  var leftPadding = item.padLeft ? align.left('', item.padLeft) : '';
  var rightPadding = item.padRight ? align.right('', item.padRight) : '';
  var truncated = wideTruncate(String(value), length);
  var aligned = alignWith(truncated, length);
  return leftPadding + aligned + rightPadding;
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/set-immediate.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var process = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/process.js");

try {
  module.exports = setImmediate;
} catch (ex) {
  module.exports = process.nextTick;
}

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/set-interval.js":
/***/ ((module) => {

"use strict";
 // this exists so we can replace it during testing

module.exports = setInterval;

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/spin.js":
/***/ ((module) => {

"use strict";


module.exports = function spin(spinstr, spun) {
  return spinstr[spun % spinstr.length];
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/template-item.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/4.2.3/string-width/index.js");

module.exports = TemplateItem;

function isPercent(num) {
  if (typeof num !== 'string') {
    return false;
  }

  return num.slice(-1) === '%';
}

function percent(num) {
  return Number(num.slice(0, -1)) / 100;
}

function TemplateItem(values, outputLength) {
  this.overallOutputLength = outputLength;
  this.finished = false;
  this.type = null;
  this.value = null;
  this.length = null;
  this.maxLength = null;
  this.minLength = null;
  this.kerning = null;
  this.align = 'left';
  this.padLeft = 0;
  this.padRight = 0;
  this.index = null;
  this.first = null;
  this.last = null;

  if (typeof values === 'string') {
    this.value = values;
  } else {
    for (var prop in values) {
      this[prop] = values[prop];
    }
  } // Realize percents


  if (isPercent(this.length)) {
    this.length = Math.round(this.overallOutputLength * percent(this.length));
  }

  if (isPercent(this.minLength)) {
    this.minLength = Math.round(this.overallOutputLength * percent(this.minLength));
  }

  if (isPercent(this.maxLength)) {
    this.maxLength = Math.round(this.overallOutputLength * percent(this.maxLength));
  }

  return this;
}

TemplateItem.prototype = {};

TemplateItem.prototype.getBaseLength = function () {
  var length = this.length;

  if (length == null && typeof this.value === 'string' && this.maxLength == null && this.minLength == null) {
    length = stringWidth(this.value);
  }

  return length;
};

TemplateItem.prototype.getLength = function () {
  var length = this.getBaseLength();

  if (length == null) {
    return null;
  }

  return length + this.padLeft + this.padRight;
};

TemplateItem.prototype.getMaxLength = function () {
  if (this.maxLength == null) {
    return null;
  }

  return this.maxLength + this.padLeft + this.padRight;
};

TemplateItem.prototype.getMinLength = function () {
  if (this.minLength == null) {
    return null;
  }

  return this.minLength + this.padLeft + this.padRight;
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/theme-set.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = function () {
  return ThemeSetProto.newThemeSet();
};

var ThemeSetProto = {};
ThemeSetProto.baseTheme = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/base-theme.js");

ThemeSetProto.newTheme = function (parent, theme) {
  if (!theme) {
    theme = parent;
    parent = this.baseTheme;
  }

  return Object.assign({}, parent, theme);
};

ThemeSetProto.getThemeNames = function () {
  return Object.keys(this.themes);
};

ThemeSetProto.addTheme = function (name, parent, theme) {
  this.themes[name] = this.newTheme(parent, theme);
};

ThemeSetProto.addToAllThemes = function (theme) {
  var themes = this.themes;
  Object.keys(themes).forEach(function (name) {
    Object.assign(themes[name], theme);
  });
  Object.assign(this.baseTheme, theme);
};

ThemeSetProto.getTheme = function (name) {
  if (!this.themes[name]) {
    throw this.newMissingThemeError(name);
  }

  return this.themes[name];
};

ThemeSetProto.setDefault = function (opts, name) {
  if (name == null) {
    name = opts;
    opts = {};
  }

  var platform = opts.platform == null ? 'fallback' : opts.platform;
  var hasUnicode = !!opts.hasUnicode;
  var hasColor = !!opts.hasColor;

  if (!this.defaults[platform]) {
    this.defaults[platform] = {
      true: {},
      false: {}
    };
  }

  this.defaults[platform][hasUnicode][hasColor] = name;
};

ThemeSetProto.getDefault = function (opts) {
  if (!opts) {
    opts = {};
  }

  var platformName = opts.platform || process.platform;
  var platform = this.defaults[platformName] || this.defaults.fallback;
  var hasUnicode = !!opts.hasUnicode;
  var hasColor = !!opts.hasColor;

  if (!platform) {
    throw this.newMissingDefaultThemeError(platformName, hasUnicode, hasColor);
  }

  if (!platform[hasUnicode][hasColor]) {
    if (hasUnicode && hasColor && platform[!hasUnicode][hasColor]) {
      hasUnicode = false;
    } else if (hasUnicode && hasColor && platform[hasUnicode][!hasColor]) {
      hasColor = false;
    } else if (hasUnicode && hasColor && platform[!hasUnicode][!hasColor]) {
      hasUnicode = false;
      hasColor = false;
    } else if (hasUnicode && !hasColor && platform[!hasUnicode][hasColor]) {
      hasUnicode = false;
    } else if (!hasUnicode && hasColor && platform[hasUnicode][!hasColor]) {
      hasColor = false;
    } else if (platform === this.defaults.fallback) {
      throw this.newMissingDefaultThemeError(platformName, hasUnicode, hasColor);
    }
  }

  if (platform[hasUnicode][hasColor]) {
    return this.getTheme(platform[hasUnicode][hasColor]);
  } else {
    return this.getDefault(Object.assign({}, opts, {
      platform: 'fallback'
    }));
  }
};

ThemeSetProto.newMissingThemeError = function newMissingThemeError(name) {
  var err = new Error('Could not find a gauge theme named "' + name + '"');
  Error.captureStackTrace.call(err, newMissingThemeError);
  err.theme = name;
  err.code = 'EMISSINGTHEME';
  return err;
};

ThemeSetProto.newMissingDefaultThemeError = function newMissingDefaultThemeError(platformName, hasUnicode, hasColor) {
  var err = new Error('Could not find a gauge theme for your platform/unicode/color use combo:\n' + '    platform = ' + platformName + '\n' + '    hasUnicode = ' + hasUnicode + '\n' + '    hasColor = ' + hasColor);
  Error.captureStackTrace.call(err, newMissingDefaultThemeError);
  err.platform = platformName;
  err.hasUnicode = hasUnicode;
  err.hasColor = hasColor;
  err.code = 'EMISSINGTHEME';
  return err;
};

ThemeSetProto.newThemeSet = function () {
  var themeset = function (opts) {
    return themeset.getDefault(opts);
  };

  return Object.assign(themeset, ThemeSetProto, {
    themes: Object.assign({}, this.themes),
    baseTheme: Object.assign({}, this.baseTheme),
    defaults: JSON.parse(JSON.stringify(this.defaults || {}))
  });
};

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/themes.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var color = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js").color;

var ThemeSet = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/theme-set.js");

var themes = module.exports = new ThemeSet();
themes.addTheme('ASCII', {
  preProgressbar: '[',
  postProgressbar: ']',
  progressbarTheme: {
    complete: '#',
    remaining: '.'
  },
  activityIndicatorTheme: '-\\|/',
  preSubsection: '>'
});
themes.addTheme('colorASCII', themes.getTheme('ASCII'), {
  progressbarTheme: {
    preComplete: color('bgBrightWhite', 'brightWhite'),
    complete: '#',
    postComplete: color('reset'),
    preRemaining: color('bgBrightBlack', 'brightBlack'),
    remaining: '.',
    postRemaining: color('reset')
  }
});
themes.addTheme('brailleSpinner', {
  preProgressbar: '⸨',
  postProgressbar: '⸩',
  progressbarTheme: {
    complete: '#',
    remaining: '⠂'
  },
  activityIndicatorTheme: '⠋⠙⠹⠸⠼⠴⠦⠧⠇⠏',
  preSubsection: '>'
});
themes.addTheme('colorBrailleSpinner', themes.getTheme('brailleSpinner'), {
  progressbarTheme: {
    preComplete: color('bgBrightWhite', 'brightWhite'),
    complete: '#',
    postComplete: color('reset'),
    preRemaining: color('bgBrightBlack', 'brightBlack'),
    remaining: '⠂',
    postRemaining: color('reset')
  }
});
themes.setDefault({}, 'ASCII');
themes.setDefault({
  hasColor: true
}, 'colorASCII');
themes.setDefault({
  platform: 'darwin',
  hasUnicode: true
}, 'brailleSpinner');
themes.setDefault({
  platform: 'darwin',
  hasUnicode: true,
  hasColor: true
}, 'colorBrailleSpinner');
themes.setDefault({
  platform: 'linux',
  hasUnicode: true
}, 'brailleSpinner');
themes.setDefault({
  platform: 'linux',
  hasUnicode: true,
  hasColor: true
}, 'colorBrailleSpinner');

/***/ }),

/***/ "./node_modules/.f/_/gauge/4.0.0/gauge/lib/wide-truncate.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/4.2.3/string-width/index.js");

var stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/6.0.1/strip-ansi/index.js");

module.exports = wideTruncate;

function wideTruncate(str, target) {
  if (stringWidth(str) === 0) {
    return str;
  }

  if (target <= 0) {
    return '';
  }

  if (stringWidth(str) <= target) {
    return str;
  } // We compute the number of bytes of ansi sequences here and add
  // that to our initial truncation to ensure that we don't slice one
  // that we want to keep in half.


  var noAnsi = stripAnsi(str);
  var ansiSize = str.length + noAnsi.length;
  var truncated = str.slice(0, target + ansiSize); // we have to shrink the result to account for our ansi sequence buffer
  // (if an ansi sequence was truncated) and double width characters.

  while (stringWidth(truncated) > target) {
    truncated = truncated.slice(0, -1);
  }

  return truncated;
}

/***/ }),

/***/ "./node_modules/.f/_/genfun/5.0.0/genfun/lib/genfun.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Method = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/method.js");

const Role = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/role.js");

const util = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/util.js");

const kCache = Symbol('cache');
const kDefaultMethod = Symbol('defaultMethod');
const kMethods = Symbol('methods');
const kNoNext = Symbol('noNext');

module.exports = function genfun(opts) {
  function gf() {
    if (!gf[kMethods].length && gf[kDefaultMethod]) {
      return gf[kDefaultMethod].func.apply(this, arguments);
    } else {
      return gf.applyGenfun(this, arguments);
    }
  }

  Object.setPrototypeOf(gf, Genfun.prototype);
  gf[kMethods] = [];
  gf[kCache] = {
    key: [],
    methods: [],
    state: STATES.UNINITIALIZED
  };

  if (opts && typeof opts === 'function') {
    gf.add(opts);
  } else if (opts && opts.default) {
    gf.add(opts.default);
  }

  if (opts && opts.name) {
    Object.defineProperty(gf, 'name', {
      value: opts.name
    });
  }

  if (opts && opts.noNextMethod) {
    gf[kNoNext] = true;
  }

  return gf;
};

class Genfun extends Function {}

Genfun.prototype.isGenfun = true;
const STATES = {
  UNINITIALIZED: 0,
  MONOMORPHIC: 1,
  POLYMORPHIC: 2,
  MEGAMORPHIC: 3
};
const MAX_CACHE_SIZE = 32;
/**
 * Defines a method on a generic function.
 *
 * @function
 * @param {Array-like} selector - Selector array for dispatching the method.
 * @param {Function} methodFunction - Function to execute when the method
 *                                    successfully dispatches.
 */

Genfun.prototype.add = function addMethod(selector, func) {
  if (!func && typeof selector === 'function') {
    func = selector;
    selector = [];
  }

  selector = [].slice.call(selector);

  for (var i = 0; i < selector.length; i++) {
    if (!selector.hasOwnProperty(i)) {
      selector[i] = Object.prototype;
    }
  }

  this[kCache] = {
    key: [],
    methods: [],
    state: STATES.UNINITIALIZED
  };
  let method = new Method(this, selector, func);

  if (selector.length) {
    this[kMethods].push(method);
  } else {
    this[kDefaultMethod] = method;
  }

  return this;
};
/**
 * Removes a previously-defined method on `genfun` that matches
 * `selector` exactly.
 *
 * @function
 * @param {Genfun} genfun - Genfun to remove a method from.
 * @param {Array-like} selector - Objects to match on when finding a
 *                                    method to remove.
 */


Genfun.prototype.rm = function removeMethod() {
  throw new Error('not yet implemented');
};
/**
 * Returns true if there are methods that apply to the given arguments on
 * `genfun`. Additionally, makes sure the cache is warmed up for the given
 * arguments.
 *
 */


Genfun.prototype.hasMethod = function hasMethod() {
  const methods = this.getApplicableMethods(arguments);
  return !!(methods && methods.length);
};
/**
 * This generic function is called when `genfun` has been called and no
 * applicable method was found. The default method throws an `Error`.
 *
 * @function
 * @param {Genfun} genfun - Generic function instance that was called.
 * @param {*} newthis - value of `this` the genfun was called with.
 * @param {Array} callArgs - Arguments the genfun was called with.
 */


module.exports.noApplicableMethod = module.exports();
module.exports.noApplicableMethod.add([], (gf, thisArg, args) => {
  let msg = 'No applicable method found when called with arguments of types: (' + [].map.call(args, arg => {
    return /\[object ([a-zA-Z0-9]+)\]/.exec({}.toString.call(arg))[1];
  }).join(', ') + ')';
  let err = new Error(msg);
  err.genfun = gf;
  err.thisArg = thisArg;
  err.args = args;
  throw err;
});
/*
 * Internal
 */

Genfun.prototype.applyGenfun = function applyGenfun(newThis, args) {
  let applicableMethods = this.getApplicableMethods(args);

  if (applicableMethods.length === 1 || this[kNoNext]) {
    return applicableMethods[0].func.apply(newThis, args);
  } else if (applicableMethods.length > 1) {
    let idx = 0;

    const nextMethod = function nextMethod() {
      if (arguments.length) {
        // Replace args if passed in explicitly
        args = arguments;
        Array.prototype.push.call(args, nextMethod);
      }

      const next = applicableMethods[idx++];

      if (idx >= applicableMethods.length) {
        Array.prototype.pop.call(args);
      }

      return next.func.apply(newThis, args);
    };

    Array.prototype.push.call(args, nextMethod);
    return nextMethod();
  } else {
    return module.exports.noApplicableMethod(this, newThis, args);
  }
};

Genfun.prototype.getApplicableMethods = function getApplicableMethods(args) {
  if (!args.length || !this[kMethods].length) {
    return this[kDefaultMethod] ? [this[kDefaultMethod]] : [];
  }

  let applicableMethods;
  let maybeMethods = cachedMethods(this, args);

  if (maybeMethods) {
    applicableMethods = maybeMethods;
  } else {
    applicableMethods = computeApplicableMethods(this, args);
    cacheArgs(this, args, applicableMethods);
  }

  return applicableMethods;
};

function cacheArgs(genfun, args, methods) {
  if (genfun[kCache].state === STATES.MEGAMORPHIC) {
    return;
  }

  var key = [];
  var proto;

  for (var i = 0; i < args.length; i++) {
    proto = cacheableProto(genfun, args[i]);

    if (proto) {
      key[i] = proto;
    } else {
      return null;
    }
  }

  genfun[kCache].key.unshift(key);
  genfun[kCache].methods.unshift(methods);

  if (genfun[kCache].key.length === 1) {
    genfun[kCache].state = STATES.MONOMORPHIC;
  } else if (genfun[kCache].key.length < MAX_CACHE_SIZE) {
    genfun[kCache].state = STATES.POLYMORPHIC;
  } else {
    genfun[kCache].state = STATES.MEGAMORPHIC;
  }
}

function cacheableProto(genfun, arg) {
  var dispatchable = util.dispatchableObject(arg);

  if (Object.hasOwnProperty.call(dispatchable, Role.roleKeyName)) {
    for (var j = 0; j < dispatchable[Role.roleKeyName].length; j++) {
      var role = dispatchable[Role.roleKeyName][j];

      if (role.method.genfun === genfun) {
        return null;
      }
    }
  }

  return Object.getPrototypeOf(dispatchable);
}

function cachedMethods(genfun, args) {
  if (genfun[kCache].state === STATES.UNINITIALIZED || genfun[kCache].state === STATES.MEGAMORPHIC) {
    return null;
  }

  var protos = [];
  var proto;

  for (var i = 0; i < args.length; i++) {
    proto = cacheableProto(genfun, args[i]);

    if (proto) {
      protos[i] = proto;
    } else {
      return;
    }
  }

  for (i = 0; i < genfun[kCache].key.length; i++) {
    if (matchCachedMethods(genfun[kCache].key[i], protos)) {
      return genfun[kCache].methods[i];
    }
  }
}

function matchCachedMethods(key, protos) {
  if (key.length !== protos.length) {
    return false;
  }

  for (var i = 0; i < key.length; i++) {
    if (key[i] !== protos[i]) {
      return false;
    }
  }

  return true;
}

function computeApplicableMethods(genfun, args) {
  args = [].slice.call(args);
  let discoveredMethods = [];

  function findAndRankRoles(object, hierarchyPosition, index) {
    var roles = Object.hasOwnProperty.call(object, Role.roleKeyName) ? object[Role.roleKeyName] : [];
    roles.forEach(role => {
      if (role.method.genfun === genfun && index === role.position) {
        if (discoveredMethods.indexOf(role.method) < 0) {
          Method.clearRank(role.method);
          discoveredMethods.push(role.method);
        }

        Method.setRankHierarchyPosition(role.method, index, hierarchyPosition);
      }
    }); // When a discovered method would receive more arguments than
    // were specialized, we pretend all extra arguments have a role
    // on Object.prototype.

    if (util.isObjectProto(object)) {
      discoveredMethods.forEach(method => {
        if (method.minimalSelector <= index) {
          Method.setRankHierarchyPosition(method, index, hierarchyPosition);
        }
      });
    }
  }

  args.forEach((arg, index) => {
    getPrecedenceList(util.dispatchableObject(arg)).forEach((obj, hierarchyPosition) => {
      findAndRankRoles(obj, hierarchyPosition, index);
    });
  });
  let applicableMethods = discoveredMethods.filter(method => {
    return args.length === method._rank.length && Method.isFullySpecified(method);
  });
  applicableMethods.sort((a, b) => Method.score(a) - Method.score(b));

  if (genfun[kDefaultMethod]) {
    applicableMethods.push(genfun[kDefaultMethod]);
  }

  return applicableMethods;
}
/*
 * Helper function for getting an array representing the entire
 * inheritance/precedence chain for an object by navigating its
 * prototype pointers.
 */


function getPrecedenceList(obj) {
  var precedenceList = [];
  var nextObj = obj;

  while (nextObj) {
    precedenceList.push(nextObj);
    nextObj = Object.getPrototypeOf(nextObj);
  }

  return precedenceList;
}

/***/ }),

/***/ "./node_modules/.f/_/genfun/5.0.0/genfun/lib/method.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/*
 * Method
 *
 * Methods are added, conceptually, to Genfuns, not to objects
 * themselves, although the Genfun object does not have any pointers to
 * method objects.
 *
 * The _rank vector is an internal datastructure used during dispatch
 * to figure out whether a method is applicable, and if so, how to
 * order multiple discovered methods.
 *
 * Right now, the score method on Method does not take into account any
 * ordering, and all arguments to a method are ranked equally for the
 * sake of ordering.
 *
 */

const Role = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/role.js");

const util = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/util.js");

module.exports = Method;

function Method(genfun, selector, func) {
  var method = this;
  method.genfun = genfun;
  method.func = func;
  method._rank = [];
  method.minimalSelector = 0;
  const tmpSelector = selector.length ? selector : [Object.prototype];

  for (var object, i = tmpSelector.length - 1; i >= 0; i--) {
    object = Object.hasOwnProperty.call(tmpSelector, i) ? tmpSelector[i] : Object.prototype;
    object = util.dispatchableObject(object);

    if (typeof object === 'function' && !object.isGenfun) {
      object = object.prototype;
    }

    if (i > 0 && !method.minimalSelector && util.isObjectProto(object)) {
      continue;
    } else {
      method.minimalSelector++;

      if (!Object.hasOwnProperty.call(object, Role.roleKeyName)) {
        // Object.defineProperty is JS 1.8.0+
        Object.defineProperty(object, Role.roleKeyName, {
          value: [],
          enumerable: false
        });
      } // XXX HACK - no method replacement now, so we just shove
      // it in a place where it'll always show up first. This
      // would probably seriously break method combination if we
      // had it.


      object[Role.roleKeyName].unshift(new Role(method, i));
    }
  }
}

Method.setRankHierarchyPosition = (method, index, hierarchyPosition) => {
  method._rank[index] = hierarchyPosition;
};

Method.clearRank = method => {
  method._rank = [];
};

Method.isFullySpecified = method => {
  for (var i = 0; i < method.minimalSelector; i++) {
    if (!method._rank.hasOwnProperty(i)) {
      return false;
    }
  }

  return true;
};

Method.score = method => {
  // TODO - this makes all items in the list equal
  return method._rank.reduce((a, b) => a + b, 0);
};

/***/ }),

/***/ "./node_modules/.f/_/genfun/5.0.0/genfun/lib/role.js":
/***/ ((module) => {

"use strict";

/*
 * Role
 *
 * A Role encapsulates a particular object's 'role' in a method's
 * dispatch. They are added directly to the selector for a method, and thus
 * do not prevent the objects a method was defined on from being garbage
 * collected.
 */

module.exports = Role;

function Role(method, position) {
  this.method = method;
  this.position = position;
}

Role.roleKeyName = Symbol('roles');

/***/ }),

/***/ "./node_modules/.f/_/genfun/5.0.0/genfun/lib/util.js":
/***/ ((module) => {

"use strict";


module.exports.isObjectProto = isObjectProto;

function isObjectProto(obj) {
  return obj === Object.prototype;
}

const _null = {};
const _undefined = {};
const Bool = Boolean;
const Num = Number;
const Str = String;
const boolCache = {
  true: new Bool(true),
  false: new Bool(false)
};
const numCache = {};
const strCache = {};
/*
 * Returns a useful dispatch object for value using a process similar to
 * the ToObject operation specified in http://es5.github.com/#x9.9
 */

module.exports.dispatchableObject = dispatchableObject;

function dispatchableObject(value) {
  // To shut up jshint, which doesn't let me turn off this warning.
  const Obj = Object;

  if (value === null) {
    return _null;
  }

  if (value === undefined) {
    return _undefined;
  }

  switch (typeof value) {
    case 'object':
      return value;

    case 'boolean':
      return boolCache[value];

    case 'number':
      return numCache[value] || (numCache[value] = new Num(value));

    case 'string':
      return strCache[value] || (strCache[value] = new Str(value));

    default:
      return new Obj(value);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/get-stream/4.1.0/get-stream/buffer-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  PassThrough
} = __webpack_require__("stream");

module.exports = options => {
  options = Object.assign({}, options);
  const {
    array
  } = options;
  let {
    encoding
  } = options;
  const buffer = encoding === 'buffer';
  let objectMode = false;

  if (array) {
    objectMode = !(encoding || buffer);
  } else {
    encoding = encoding || 'utf8';
  }

  if (buffer) {
    encoding = null;
  }

  let len = 0;
  const ret = [];
  const stream = new PassThrough({
    objectMode
  });

  if (encoding) {
    stream.setEncoding(encoding);
  }

  stream.on('data', chunk => {
    ret.push(chunk);

    if (objectMode) {
      len = ret.length;
    } else {
      len += chunk.length;
    }
  });

  stream.getBufferedValue = () => {
    if (array) {
      return ret;
    }

    return buffer ? Buffer.concat(ret, len) : ret.join('');
  };

  stream.getBufferedLength = () => len;

  return stream;
};

/***/ }),

/***/ "./node_modules/.f/_/get-stream/4.1.0/get-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const pump = __webpack_require__("./node_modules/.f/_/pump/3.0.0/pump/index.js");

const bufferStream = __webpack_require__("./node_modules/.f/_/get-stream/4.1.0/get-stream/buffer-stream.js");

class MaxBufferError extends Error {
  constructor() {
    super('maxBuffer exceeded');
    this.name = 'MaxBufferError';
  }

}

function getStream(inputStream, options) {
  if (!inputStream) {
    return Promise.reject(new Error('Expected a stream'));
  }

  options = Object.assign({
    maxBuffer: Infinity
  }, options);
  const {
    maxBuffer
  } = options;
  let stream;
  return new Promise((resolve, reject) => {
    const rejectPromise = error => {
      if (error) {
        // A null check
        error.bufferedData = stream.getBufferedValue();
      }

      reject(error);
    };

    stream = pump(inputStream, bufferStream(options), error => {
      if (error) {
        rejectPromise(error);
        return;
      }

      resolve();
    });
    stream.on('data', () => {
      if (stream.getBufferedLength() > maxBuffer) {
        rejectPromise(new MaxBufferError());
      }
    });
  }).then(() => stream.getBufferedValue());
}

module.exports = getStream;

module.exports.buffer = (stream, options) => getStream(stream, Object.assign({}, options, {
  encoding: 'buffer'
}));

module.exports.array = (stream, options) => getStream(stream, Object.assign({}, options, {
  array: true
}));

module.exports.MaxBufferError = MaxBufferError;

/***/ }),

/***/ "./node_modules/.f/_/get-stream/6.0.0/get-stream/buffer-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  PassThrough: PassThroughStream
} = __webpack_require__("stream");

module.exports = options => {
  options = _objectSpread({}, options);
  const {
    array
  } = options;
  let {
    encoding
  } = options;
  const isBuffer = encoding === 'buffer';
  let objectMode = false;

  if (array) {
    objectMode = !(encoding || isBuffer);
  } else {
    encoding = encoding || 'utf8';
  }

  if (isBuffer) {
    encoding = null;
  }

  const stream = new PassThroughStream({
    objectMode
  });

  if (encoding) {
    stream.setEncoding(encoding);
  }

  let length = 0;
  const chunks = [];
  stream.on('data', chunk => {
    chunks.push(chunk);

    if (objectMode) {
      length = chunks.length;
    } else {
      length += chunk.length;
    }
  });

  stream.getBufferedValue = () => {
    if (array) {
      return chunks;
    }

    return isBuffer ? Buffer.concat(chunks, length) : chunks.join('');
  };

  stream.getBufferedLength = () => length;

  return stream;
};

/***/ }),

/***/ "./node_modules/.f/_/get-stream/6.0.0/get-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  constants: BufferConstants
} = __webpack_require__("buffer");

const stream = __webpack_require__("stream");

const {
  promisify
} = __webpack_require__("util");

const bufferStream = __webpack_require__("./node_modules/.f/_/get-stream/6.0.0/get-stream/buffer-stream.js");

const streamPipelinePromisified = promisify(stream.pipeline);

class MaxBufferError extends Error {
  constructor() {
    super('maxBuffer exceeded');
    this.name = 'MaxBufferError';
  }

}

async function getStream(inputStream, options) {
  if (!inputStream) {
    throw new Error('Expected a stream');
  }

  options = _objectSpread({
    maxBuffer: Infinity
  }, options);
  const {
    maxBuffer
  } = options;
  const stream = bufferStream(options);
  await new Promise((resolve, reject) => {
    const rejectPromise = error => {
      // Don't retrieve an oversized buffer.
      if (error && stream.getBufferedLength() <= BufferConstants.MAX_LENGTH) {
        error.bufferedData = stream.getBufferedValue();
      }

      reject(error);
    };

    (async () => {
      try {
        await streamPipelinePromisified(inputStream, stream);
        resolve();
      } catch (error) {
        rejectPromise(error);
      }
    })();

    stream.on('data', () => {
      if (stream.getBufferedLength() > maxBuffer) {
        rejectPromise(new MaxBufferError());
      }
    });
  });
  return stream.getBufferedValue();
}

module.exports = getStream;

module.exports.buffer = (stream, options) => getStream(stream, _objectSpread(_objectSpread({}, options), {}, {
  encoding: 'buffer'
}));

module.exports.array = (stream, options) => getStream(stream, _objectSpread(_objectSpread({}, options), {}, {
  array: true
}));

module.exports.MaxBufferError = MaxBufferError;

/***/ }),

/***/ "./node_modules/.f/_/glob/7.1.6/glob/common.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

exports.alphasort = alphasort;
exports.alphasorti = alphasorti;
exports.setopts = setopts;
exports.ownProp = ownProp;
exports.makeAbs = makeAbs;
exports.finish = finish;
exports.mark = mark;
exports.isIgnored = isIgnored;
exports.childrenIgnored = childrenIgnored;

function ownProp(obj, field) {
  return Object.prototype.hasOwnProperty.call(obj, field);
}

var path = __webpack_require__("path");

var minimatch = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");

var isAbsolute = __webpack_require__("./node_modules/.f/_/path-is-absolute/1.0.1/path-is-absolute/index.js");

var Minimatch = minimatch.Minimatch;

function alphasorti(a, b) {
  return a.toLowerCase().localeCompare(b.toLowerCase());
}

function alphasort(a, b) {
  return a.localeCompare(b);
}

function setupIgnores(self, options) {
  self.ignore = options.ignore || [];
  if (!Array.isArray(self.ignore)) self.ignore = [self.ignore];

  if (self.ignore.length) {
    self.ignore = self.ignore.map(ignoreMap);
  }
} // ignore patterns are always in dot:true mode.


function ignoreMap(pattern) {
  var gmatcher = null;

  if (pattern.slice(-3) === '/**') {
    var gpattern = pattern.replace(/(\/\*\*)+$/, '');
    gmatcher = new Minimatch(gpattern, {
      dot: true
    });
  }

  return {
    matcher: new Minimatch(pattern, {
      dot: true
    }),
    gmatcher: gmatcher
  };
}

function setopts(self, pattern, options) {
  if (!options) options = {}; // base-matching: just use globstar for that.

  if (options.matchBase && -1 === pattern.indexOf("/")) {
    if (options.noglobstar) {
      throw new Error("base matching requires globstar");
    }

    pattern = "**/" + pattern;
  }

  self.silent = !!options.silent;
  self.pattern = pattern;
  self.strict = options.strict !== false;
  self.realpath = !!options.realpath;
  self.realpathCache = options.realpathCache || Object.create(null);
  self.follow = !!options.follow;
  self.dot = !!options.dot;
  self.mark = !!options.mark;
  self.nodir = !!options.nodir;
  if (self.nodir) self.mark = true;
  self.sync = !!options.sync;
  self.nounique = !!options.nounique;
  self.nonull = !!options.nonull;
  self.nosort = !!options.nosort;
  self.nocase = !!options.nocase;
  self.stat = !!options.stat;
  self.noprocess = !!options.noprocess;
  self.absolute = !!options.absolute;
  self.maxLength = options.maxLength || Infinity;
  self.cache = options.cache || Object.create(null);
  self.statCache = options.statCache || Object.create(null);
  self.symlinks = options.symlinks || Object.create(null);
  setupIgnores(self, options);
  self.changedCwd = false;
  var cwd = process.cwd();
  if (!ownProp(options, "cwd")) self.cwd = cwd;else {
    self.cwd = path.resolve(options.cwd);
    self.changedCwd = self.cwd !== cwd;
  }
  self.root = options.root || path.resolve(self.cwd, "/");
  self.root = path.resolve(self.root);
  if (process.platform === "win32") self.root = self.root.replace(/\\/g, "/"); // TODO: is an absolute `cwd` supposed to be resolved against `root`?
  // e.g. { cwd: '/test', root: __dirname } === path.join(__dirname, '/test')

  self.cwdAbs = isAbsolute(self.cwd) ? self.cwd : makeAbs(self, self.cwd);
  if (process.platform === "win32") self.cwdAbs = self.cwdAbs.replace(/\\/g, "/");
  self.nomount = !!options.nomount; // disable comments and negation in Minimatch.
  // Note that they are not supported in Glob itself anyway.

  options.nonegate = true;
  options.nocomment = true;
  self.minimatch = new Minimatch(pattern, options);
  self.options = self.minimatch.options;
}

function finish(self) {
  var nou = self.nounique;
  var all = nou ? [] : Object.create(null);

  for (var i = 0, l = self.matches.length; i < l; i++) {
    var matches = self.matches[i];

    if (!matches || Object.keys(matches).length === 0) {
      if (self.nonull) {
        // do like the shell, and spit out the literal glob
        var literal = self.minimatch.globSet[i];
        if (nou) all.push(literal);else all[literal] = true;
      }
    } else {
      // had matches
      var m = Object.keys(matches);
      if (nou) all.push.apply(all, m);else m.forEach(function (m) {
        all[m] = true;
      });
    }
  }

  if (!nou) all = Object.keys(all);
  if (!self.nosort) all = all.sort(self.nocase ? alphasorti : alphasort); // at *some* point we statted all of these

  if (self.mark) {
    for (var i = 0; i < all.length; i++) {
      all[i] = self._mark(all[i]);
    }

    if (self.nodir) {
      all = all.filter(function (e) {
        var notDir = !/\/$/.test(e);
        var c = self.cache[e] || self.cache[makeAbs(self, e)];
        if (notDir && c) notDir = c !== 'DIR' && !Array.isArray(c);
        return notDir;
      });
    }
  }

  if (self.ignore.length) all = all.filter(function (m) {
    return !isIgnored(self, m);
  });
  self.found = all;
}

function mark(self, p) {
  var abs = makeAbs(self, p);
  var c = self.cache[abs];
  var m = p;

  if (c) {
    var isDir = c === 'DIR' || Array.isArray(c);
    var slash = p.slice(-1) === '/';
    if (isDir && !slash) m += '/';else if (!isDir && slash) m = m.slice(0, -1);

    if (m !== p) {
      var mabs = makeAbs(self, m);
      self.statCache[mabs] = self.statCache[abs];
      self.cache[mabs] = self.cache[abs];
    }
  }

  return m;
} // lotta situps...


function makeAbs(self, f) {
  var abs = f;

  if (f.charAt(0) === '/') {
    abs = path.join(self.root, f);
  } else if (isAbsolute(f) || f === '') {
    abs = f;
  } else if (self.changedCwd) {
    abs = path.resolve(self.cwd, f);
  } else {
    abs = path.resolve(f);
  }

  if (process.platform === 'win32') abs = abs.replace(/\\/g, '/');
  return abs;
} // Return true, if pattern ends with globstar '**', for the accompanying parent directory.
// Ex:- If node_modules/** is the pattern, add 'node_modules' to ignore list along with it's contents


function isIgnored(self, path) {
  if (!self.ignore.length) return false;
  return self.ignore.some(function (item) {
    return item.matcher.match(path) || !!(item.gmatcher && item.gmatcher.match(path));
  });
}

function childrenIgnored(self, path) {
  if (!self.ignore.length) return false;
  return self.ignore.some(function (item) {
    return !!(item.gmatcher && item.gmatcher.match(path));
  });
}

/***/ }),

/***/ "./node_modules/.f/_/glob/7.1.6/glob/glob.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Approach:
//
// 1. Get the minimatch set
// 2. For each pattern in the set, PROCESS(pattern, false)
// 3. Store matches per-set, then uniq them
//
// PROCESS(pattern, inGlobStar)
// Get the first [n] items from pattern that are all strings
// Join these together.  This is PREFIX.
//   If there is no more remaining, then stat(PREFIX) and
//   add to matches if it succeeds.  END.
//
// If inGlobStar and PREFIX is symlink and points to dir
//   set ENTRIES = []
// else readdir(PREFIX) as ENTRIES
//   If fail, END
//
// with ENTRIES
//   If pattern[n] is GLOBSTAR
//     // handle the case where the globstar match is empty
//     // by pruning it out, and testing the resulting pattern
//     PROCESS(pattern[0..n] + pattern[n+1 .. $], false)
//     // handle other cases.
//     for ENTRY in ENTRIES (not dotfiles)
//       // attach globstar + tail onto the entry
//       // Mark that this entry is a globstar match
//       PROCESS(pattern[0..n] + ENTRY + pattern[n .. $], true)
//
//   else // not globstar
//     for ENTRY in ENTRIES (not dotfiles, unless pattern[n] is dot)
//       Test ENTRY against pattern[n]
//       If fails, continue
//       If passes, PROCESS(pattern[0..n] + item + pattern[n+1 .. $])
//
// Caveat:
//   Cache all stats and readdirs results to minimize syscall.  Since all
//   we ever care about is existence and directory-ness, we can just keep
//   `true` for files, and [children,...] for directories, or `false` for
//   things that don't exist.
module.exports = glob;

var fs = __webpack_require__("fs");

var rp = __webpack_require__("./node_modules/.f/_/fs.realpath/1.0.0/fs.realpath/index.js");

var minimatch = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");

var Minimatch = minimatch.Minimatch;

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var EE = __webpack_require__("events").EventEmitter;

var path = __webpack_require__("path");

var assert = __webpack_require__("assert");

var isAbsolute = __webpack_require__("./node_modules/.f/_/path-is-absolute/1.0.1/path-is-absolute/index.js");

var globSync = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/sync.js");

var common = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/common.js");

var alphasort = common.alphasort;
var alphasorti = common.alphasorti;
var setopts = common.setopts;
var ownProp = common.ownProp;

var inflight = __webpack_require__("./node_modules/.f/_/inflight/1.0.6/inflight/inflight.js");

var util = __webpack_require__("util");

var childrenIgnored = common.childrenIgnored;
var isIgnored = common.isIgnored;

var once = __webpack_require__("./node_modules/.f/_/once/1.4.0/once/once.js");

function glob(pattern, options, cb) {
  if (typeof options === 'function') cb = options, options = {};
  if (!options) options = {};

  if (options.sync) {
    if (cb) throw new TypeError('callback provided to sync glob');
    return globSync(pattern, options);
  }

  return new Glob(pattern, options, cb);
}

glob.sync = globSync;
var GlobSync = glob.GlobSync = globSync.GlobSync; // old api surface

glob.glob = glob;

function extend(origin, add) {
  if (add === null || typeof add !== 'object') {
    return origin;
  }

  var keys = Object.keys(add);
  var i = keys.length;

  while (i--) {
    origin[keys[i]] = add[keys[i]];
  }

  return origin;
}

glob.hasMagic = function (pattern, options_) {
  var options = extend({}, options_);
  options.noprocess = true;
  var g = new Glob(pattern, options);
  var set = g.minimatch.set;
  if (!pattern) return false;
  if (set.length > 1) return true;

  for (var j = 0; j < set[0].length; j++) {
    if (typeof set[0][j] !== 'string') return true;
  }

  return false;
};

glob.Glob = Glob;
inherits(Glob, EE);

function Glob(pattern, options, cb) {
  if (typeof options === 'function') {
    cb = options;
    options = null;
  }

  if (options && options.sync) {
    if (cb) throw new TypeError('callback provided to sync glob');
    return new GlobSync(pattern, options);
  }

  if (!(this instanceof Glob)) return new Glob(pattern, options, cb);
  setopts(this, pattern, options);
  this._didRealPath = false; // process each pattern in the minimatch set

  var n = this.minimatch.set.length; // The matches are stored as {<filename>: true,...} so that
  // duplicates are automagically pruned.
  // Later, we do an Object.keys() on these.
  // Keep them as a list so we can fill in when nonull is set.

  this.matches = new Array(n);

  if (typeof cb === 'function') {
    cb = once(cb);
    this.on('error', cb);
    this.on('end', function (matches) {
      cb(null, matches);
    });
  }

  var self = this;
  this._processing = 0;
  this._emitQueue = [];
  this._processQueue = [];
  this.paused = false;
  if (this.noprocess) return this;
  if (n === 0) return done();
  var sync = true;

  for (var i = 0; i < n; i++) {
    this._process(this.minimatch.set[i], i, false, done);
  }

  sync = false;

  function done() {
    --self._processing;

    if (self._processing <= 0) {
      if (sync) {
        process.nextTick(function () {
          self._finish();
        });
      } else {
        self._finish();
      }
    }
  }
}

Glob.prototype._finish = function () {
  assert(this instanceof Glob);
  if (this.aborted) return;
  if (this.realpath && !this._didRealpath) return this._realpath();
  common.finish(this);
  this.emit('end', this.found);
};

Glob.prototype._realpath = function () {
  if (this._didRealpath) return;
  this._didRealpath = true;
  var n = this.matches.length;
  if (n === 0) return this._finish();
  var self = this;

  for (var i = 0; i < this.matches.length; i++) this._realpathSet(i, next);

  function next() {
    if (--n === 0) self._finish();
  }
};

Glob.prototype._realpathSet = function (index, cb) {
  var matchset = this.matches[index];
  if (!matchset) return cb();
  var found = Object.keys(matchset);
  var self = this;
  var n = found.length;
  if (n === 0) return cb();
  var set = this.matches[index] = Object.create(null);
  found.forEach(function (p, i) {
    // If there's a problem with the stat, then it means that
    // one or more of the links in the realpath couldn't be
    // resolved.  just return the abs value in that case.
    p = self._makeAbs(p);
    rp.realpath(p, self.realpathCache, function (er, real) {
      if (!er) set[real] = true;else if (er.syscall === 'stat') set[p] = true;else self.emit('error', er); // srsly wtf right here

      if (--n === 0) {
        self.matches[index] = set;
        cb();
      }
    });
  });
};

Glob.prototype._mark = function (p) {
  return common.mark(this, p);
};

Glob.prototype._makeAbs = function (f) {
  return common.makeAbs(this, f);
};

Glob.prototype.abort = function () {
  this.aborted = true;
  this.emit('abort');
};

Glob.prototype.pause = function () {
  if (!this.paused) {
    this.paused = true;
    this.emit('pause');
  }
};

Glob.prototype.resume = function () {
  if (this.paused) {
    this.emit('resume');
    this.paused = false;

    if (this._emitQueue.length) {
      var eq = this._emitQueue.slice(0);

      this._emitQueue.length = 0;

      for (var i = 0; i < eq.length; i++) {
        var e = eq[i];

        this._emitMatch(e[0], e[1]);
      }
    }

    if (this._processQueue.length) {
      var pq = this._processQueue.slice(0);

      this._processQueue.length = 0;

      for (var i = 0; i < pq.length; i++) {
        var p = pq[i];
        this._processing--;

        this._process(p[0], p[1], p[2], p[3]);
      }
    }
  }
};

Glob.prototype._process = function (pattern, index, inGlobStar, cb) {
  assert(this instanceof Glob);
  assert(typeof cb === 'function');
  if (this.aborted) return;
  this._processing++;

  if (this.paused) {
    this._processQueue.push([pattern, index, inGlobStar, cb]);

    return;
  } //console.error('PROCESS %d', this._processing, pattern)
  // Get the first [n] parts of pattern that are all strings.


  var n = 0;

  while (typeof pattern[n] === 'string') {
    n++;
  } // now n is the index of the first one that is *not* a string.
  // see if there's anything else


  var prefix;

  switch (n) {
    // if not, then this is rather simple
    case pattern.length:
      this._processSimple(pattern.join('/'), index, cb);

      return;

    case 0:
      // pattern *starts* with some non-trivial item.
      // going to readdir(cwd), but not include the prefix in matches.
      prefix = null;
      break;

    default:
      // pattern has some string bits in the front.
      // whatever it starts with, whether that's 'absolute' like /foo/bar,
      // or 'relative' like '../baz'
      prefix = pattern.slice(0, n).join('/');
      break;
  }

  var remain = pattern.slice(n); // get the list of entries.

  var read;
  if (prefix === null) read = '.';else if (isAbsolute(prefix) || isAbsolute(pattern.join('/'))) {
    if (!prefix || !isAbsolute(prefix)) prefix = '/' + prefix;
    read = prefix;
  } else read = prefix;

  var abs = this._makeAbs(read); //if ignored, skip _processing


  if (childrenIgnored(this, read)) return cb();
  var isGlobStar = remain[0] === minimatch.GLOBSTAR;
  if (isGlobStar) this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb);else this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb);
};

Glob.prototype._processReaddir = function (prefix, read, abs, remain, index, inGlobStar, cb) {
  var self = this;

  this._readdir(abs, inGlobStar, function (er, entries) {
    return self._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
  });
};

Glob.prototype._processReaddir2 = function (prefix, read, abs, remain, index, inGlobStar, entries, cb) {
  // if the abs isn't a dir, then nothing can match!
  if (!entries) return cb(); // It will only match dot entries if it starts with a dot, or if
  // dot is set.  Stuff like @(.foo|.bar) isn't allowed.

  var pn = remain[0];
  var negate = !!this.minimatch.negate;
  var rawGlob = pn._glob;
  var dotOk = this.dot || rawGlob.charAt(0) === '.';
  var matchedEntries = [];

  for (var i = 0; i < entries.length; i++) {
    var e = entries[i];

    if (e.charAt(0) !== '.' || dotOk) {
      var m;

      if (negate && !prefix) {
        m = !e.match(pn);
      } else {
        m = e.match(pn);
      }

      if (m) matchedEntries.push(e);
    }
  } //console.error('prd2', prefix, entries, remain[0]._glob, matchedEntries)


  var len = matchedEntries.length; // If there are no matched entries, then nothing matches.

  if (len === 0) return cb(); // if this is the last remaining pattern bit, then no need for
  // an additional stat *unless* the user has specified mark or
  // stat explicitly.  We know they exist, since readdir returned
  // them.

  if (remain.length === 1 && !this.mark && !this.stat) {
    if (!this.matches[index]) this.matches[index] = Object.create(null);

    for (var i = 0; i < len; i++) {
      var e = matchedEntries[i];

      if (prefix) {
        if (prefix !== '/') e = prefix + '/' + e;else e = prefix + e;
      }

      if (e.charAt(0) === '/' && !this.nomount) {
        e = path.join(this.root, e);
      }

      this._emitMatch(index, e);
    } // This was the last one, and no stats were needed


    return cb();
  } // now test all matched entries as stand-ins for that part
  // of the pattern.


  remain.shift();

  for (var i = 0; i < len; i++) {
    var e = matchedEntries[i];
    var newPattern;

    if (prefix) {
      if (prefix !== '/') e = prefix + '/' + e;else e = prefix + e;
    }

    this._process([e].concat(remain), index, inGlobStar, cb);
  }

  cb();
};

Glob.prototype._emitMatch = function (index, e) {
  if (this.aborted) return;
  if (isIgnored(this, e)) return;

  if (this.paused) {
    this._emitQueue.push([index, e]);

    return;
  }

  var abs = isAbsolute(e) ? e : this._makeAbs(e);
  if (this.mark) e = this._mark(e);
  if (this.absolute) e = abs;
  if (this.matches[index][e]) return;

  if (this.nodir) {
    var c = this.cache[abs];
    if (c === 'DIR' || Array.isArray(c)) return;
  }

  this.matches[index][e] = true;
  var st = this.statCache[abs];
  if (st) this.emit('stat', e, st);
  this.emit('match', e);
};

Glob.prototype._readdirInGlobStar = function (abs, cb) {
  if (this.aborted) return; // follow all symlinked directories forever
  // just proceed as if this is a non-globstar situation

  if (this.follow) return this._readdir(abs, false, cb);
  var lstatkey = 'lstat\0' + abs;
  var self = this;
  var lstatcb = inflight(lstatkey, lstatcb_);
  if (lstatcb) fs.lstat(abs, lstatcb);

  function lstatcb_(er, lstat) {
    if (er && er.code === 'ENOENT') return cb();
    var isSym = lstat && lstat.isSymbolicLink();
    self.symlinks[abs] = isSym; // If it's not a symlink or a dir, then it's definitely a regular file.
    // don't bother doing a readdir in that case.

    if (!isSym && lstat && !lstat.isDirectory()) {
      self.cache[abs] = 'FILE';
      cb();
    } else self._readdir(abs, false, cb);
  }
};

Glob.prototype._readdir = function (abs, inGlobStar, cb) {
  if (this.aborted) return;
  cb = inflight('readdir\0' + abs + '\0' + inGlobStar, cb);
  if (!cb) return; //console.error('RD %j %j', +inGlobStar, abs)

  if (inGlobStar && !ownProp(this.symlinks, abs)) return this._readdirInGlobStar(abs, cb);

  if (ownProp(this.cache, abs)) {
    var c = this.cache[abs];
    if (!c || c === 'FILE') return cb();
    if (Array.isArray(c)) return cb(null, c);
  }

  var self = this;
  fs.readdir(abs, readdirCb(this, abs, cb));
};

function readdirCb(self, abs, cb) {
  return function (er, entries) {
    if (er) self._readdirError(abs, er, cb);else self._readdirEntries(abs, entries, cb);
  };
}

Glob.prototype._readdirEntries = function (abs, entries, cb) {
  if (this.aborted) return; // if we haven't asked to stat everything, then just
  // assume that everything in there exists, so we can avoid
  // having to stat it a second time.

  if (!this.mark && !this.stat) {
    for (var i = 0; i < entries.length; i++) {
      var e = entries[i];
      if (abs === '/') e = abs + e;else e = abs + '/' + e;
      this.cache[e] = true;
    }
  }

  this.cache[abs] = entries;
  return cb(null, entries);
};

Glob.prototype._readdirError = function (f, er, cb) {
  if (this.aborted) return; // handle errors, and cache the information

  switch (er.code) {
    case 'ENOTSUP': // https://github.com/isaacs/node-glob/issues/205

    case 'ENOTDIR':
      // totally normal. means it *does* exist.
      var abs = this._makeAbs(f);

      this.cache[abs] = 'FILE';

      if (abs === this.cwdAbs) {
        var error = new Error(er.code + ' invalid cwd ' + this.cwd);
        error.path = this.cwd;
        error.code = er.code;
        this.emit('error', error);
        this.abort();
      }

      break;

    case 'ENOENT': // not terribly unusual

    case 'ELOOP':
    case 'ENAMETOOLONG':
    case 'UNKNOWN':
      this.cache[this._makeAbs(f)] = false;
      break;

    default:
      // some unusual error.  Treat as failure.
      this.cache[this._makeAbs(f)] = false;

      if (this.strict) {
        this.emit('error', er); // If the error is handled, then we abort
        // if not, we threw out of here

        this.abort();
      }

      if (!this.silent) console.error('glob error', er);
      break;
  }

  return cb();
};

Glob.prototype._processGlobStar = function (prefix, read, abs, remain, index, inGlobStar, cb) {
  var self = this;

  this._readdir(abs, inGlobStar, function (er, entries) {
    self._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb);
  });
};

Glob.prototype._processGlobStar2 = function (prefix, read, abs, remain, index, inGlobStar, entries, cb) {
  //console.error('pgs2', prefix, remain[0], entries)
  // no entries means not a dir, so it can never have matches
  // foo.txt/** doesn't match foo.txt
  if (!entries) return cb(); // test without the globstar, and with every child both below
  // and replacing the globstar.

  var remainWithoutGlobStar = remain.slice(1);
  var gspref = prefix ? [prefix] : [];
  var noGlobStar = gspref.concat(remainWithoutGlobStar); // the noGlobStar pattern exits the inGlobStar state

  this._process(noGlobStar, index, false, cb);

  var isSym = this.symlinks[abs];
  var len = entries.length; // If it's a symlink, and we're in a globstar, then stop

  if (isSym && inGlobStar) return cb();

  for (var i = 0; i < len; i++) {
    var e = entries[i];
    if (e.charAt(0) === '.' && !this.dot) continue; // these two cases enter the inGlobStar state

    var instead = gspref.concat(entries[i], remainWithoutGlobStar);

    this._process(instead, index, true, cb);

    var below = gspref.concat(entries[i], remain);

    this._process(below, index, true, cb);
  }

  cb();
};

Glob.prototype._processSimple = function (prefix, index, cb) {
  // XXX review this.  Shouldn't it be doing the mounting etc
  // before doing stat?  kinda weird?
  var self = this;

  this._stat(prefix, function (er, exists) {
    self._processSimple2(prefix, index, er, exists, cb);
  });
};

Glob.prototype._processSimple2 = function (prefix, index, er, exists, cb) {
  //console.error('ps2', prefix, exists)
  if (!this.matches[index]) this.matches[index] = Object.create(null); // If it doesn't exist, then just mark the lack of results

  if (!exists) return cb();

  if (prefix && isAbsolute(prefix) && !this.nomount) {
    var trail = /[\/\\]$/.test(prefix);

    if (prefix.charAt(0) === '/') {
      prefix = path.join(this.root, prefix);
    } else {
      prefix = path.resolve(this.root, prefix);
      if (trail) prefix += '/';
    }
  }

  if (process.platform === 'win32') prefix = prefix.replace(/\\/g, '/'); // Mark this as a match

  this._emitMatch(index, prefix);

  cb();
}; // Returns either 'DIR', 'FILE', or false


Glob.prototype._stat = function (f, cb) {
  var abs = this._makeAbs(f);

  var needDir = f.slice(-1) === '/';
  if (f.length > this.maxLength) return cb();

  if (!this.stat && ownProp(this.cache, abs)) {
    var c = this.cache[abs];
    if (Array.isArray(c)) c = 'DIR'; // It exists, but maybe not how we need it

    if (!needDir || c === 'DIR') return cb(null, c);
    if (needDir && c === 'FILE') return cb(); // otherwise we have to stat, because maybe c=true
    // if we know it exists, but not what it is.
  }

  var exists;
  var stat = this.statCache[abs];

  if (stat !== undefined) {
    if (stat === false) return cb(null, stat);else {
      var type = stat.isDirectory() ? 'DIR' : 'FILE';
      if (needDir && type === 'FILE') return cb();else return cb(null, type, stat);
    }
  }

  var self = this;
  var statcb = inflight('stat\0' + abs, lstatcb_);
  if (statcb) fs.lstat(abs, statcb);

  function lstatcb_(er, lstat) {
    if (lstat && lstat.isSymbolicLink()) {
      // If it's a symlink, then treat it as the target, unless
      // the target does not exist, then treat it as a file.
      return fs.stat(abs, function (er, stat) {
        if (er) self._stat2(f, abs, null, lstat, cb);else self._stat2(f, abs, er, stat, cb);
      });
    } else {
      self._stat2(f, abs, er, lstat, cb);
    }
  }
};

Glob.prototype._stat2 = function (f, abs, er, stat, cb) {
  if (er && (er.code === 'ENOENT' || er.code === 'ENOTDIR')) {
    this.statCache[abs] = false;
    return cb();
  }

  var needDir = f.slice(-1) === '/';
  this.statCache[abs] = stat;
  if (abs.slice(-1) === '/' && stat && !stat.isDirectory()) return cb(null, false, stat);
  var c = true;
  if (stat) c = stat.isDirectory() ? 'DIR' : 'FILE';
  this.cache[abs] = this.cache[abs] || c;
  if (needDir && c === 'FILE') return cb();
  return cb(null, c, stat);
};

/***/ }),

/***/ "./node_modules/.f/_/glob/7.1.6/glob/sync.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = globSync;
globSync.GlobSync = GlobSync;

var fs = __webpack_require__("fs");

var rp = __webpack_require__("./node_modules/.f/_/fs.realpath/1.0.0/fs.realpath/index.js");

var minimatch = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");

var Minimatch = minimatch.Minimatch;

var Glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js").Glob;

var util = __webpack_require__("util");

var path = __webpack_require__("path");

var assert = __webpack_require__("assert");

var isAbsolute = __webpack_require__("./node_modules/.f/_/path-is-absolute/1.0.1/path-is-absolute/index.js");

var common = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/common.js");

var alphasort = common.alphasort;
var alphasorti = common.alphasorti;
var setopts = common.setopts;
var ownProp = common.ownProp;
var childrenIgnored = common.childrenIgnored;
var isIgnored = common.isIgnored;

function globSync(pattern, options) {
  if (typeof options === 'function' || arguments.length === 3) throw new TypeError('callback provided to sync glob\n' + 'See: https://github.com/isaacs/node-glob/issues/167');
  return new GlobSync(pattern, options).found;
}

function GlobSync(pattern, options) {
  if (!pattern) throw new Error('must provide pattern');
  if (typeof options === 'function' || arguments.length === 3) throw new TypeError('callback provided to sync glob\n' + 'See: https://github.com/isaacs/node-glob/issues/167');
  if (!(this instanceof GlobSync)) return new GlobSync(pattern, options);
  setopts(this, pattern, options);
  if (this.noprocess) return this;
  var n = this.minimatch.set.length;
  this.matches = new Array(n);

  for (var i = 0; i < n; i++) {
    this._process(this.minimatch.set[i], i, false);
  }

  this._finish();
}

GlobSync.prototype._finish = function () {
  assert(this instanceof GlobSync);

  if (this.realpath) {
    var self = this;
    this.matches.forEach(function (matchset, index) {
      var set = self.matches[index] = Object.create(null);

      for (var p in matchset) {
        try {
          p = self._makeAbs(p);
          var real = rp.realpathSync(p, self.realpathCache);
          set[real] = true;
        } catch (er) {
          if (er.syscall === 'stat') set[self._makeAbs(p)] = true;else throw er;
        }
      }
    });
  }

  common.finish(this);
};

GlobSync.prototype._process = function (pattern, index, inGlobStar) {
  assert(this instanceof GlobSync); // Get the first [n] parts of pattern that are all strings.

  var n = 0;

  while (typeof pattern[n] === 'string') {
    n++;
  } // now n is the index of the first one that is *not* a string.
  // See if there's anything else


  var prefix;

  switch (n) {
    // if not, then this is rather simple
    case pattern.length:
      this._processSimple(pattern.join('/'), index);

      return;

    case 0:
      // pattern *starts* with some non-trivial item.
      // going to readdir(cwd), but not include the prefix in matches.
      prefix = null;
      break;

    default:
      // pattern has some string bits in the front.
      // whatever it starts with, whether that's 'absolute' like /foo/bar,
      // or 'relative' like '../baz'
      prefix = pattern.slice(0, n).join('/');
      break;
  }

  var remain = pattern.slice(n); // get the list of entries.

  var read;
  if (prefix === null) read = '.';else if (isAbsolute(prefix) || isAbsolute(pattern.join('/'))) {
    if (!prefix || !isAbsolute(prefix)) prefix = '/' + prefix;
    read = prefix;
  } else read = prefix;

  var abs = this._makeAbs(read); //if ignored, skip processing


  if (childrenIgnored(this, read)) return;
  var isGlobStar = remain[0] === minimatch.GLOBSTAR;
  if (isGlobStar) this._processGlobStar(prefix, read, abs, remain, index, inGlobStar);else this._processReaddir(prefix, read, abs, remain, index, inGlobStar);
};

GlobSync.prototype._processReaddir = function (prefix, read, abs, remain, index, inGlobStar) {
  var entries = this._readdir(abs, inGlobStar); // if the abs isn't a dir, then nothing can match!


  if (!entries) return; // It will only match dot entries if it starts with a dot, or if
  // dot is set.  Stuff like @(.foo|.bar) isn't allowed.

  var pn = remain[0];
  var negate = !!this.minimatch.negate;
  var rawGlob = pn._glob;
  var dotOk = this.dot || rawGlob.charAt(0) === '.';
  var matchedEntries = [];

  for (var i = 0; i < entries.length; i++) {
    var e = entries[i];

    if (e.charAt(0) !== '.' || dotOk) {
      var m;

      if (negate && !prefix) {
        m = !e.match(pn);
      } else {
        m = e.match(pn);
      }

      if (m) matchedEntries.push(e);
    }
  }

  var len = matchedEntries.length; // If there are no matched entries, then nothing matches.

  if (len === 0) return; // if this is the last remaining pattern bit, then no need for
  // an additional stat *unless* the user has specified mark or
  // stat explicitly.  We know they exist, since readdir returned
  // them.

  if (remain.length === 1 && !this.mark && !this.stat) {
    if (!this.matches[index]) this.matches[index] = Object.create(null);

    for (var i = 0; i < len; i++) {
      var e = matchedEntries[i];

      if (prefix) {
        if (prefix.slice(-1) !== '/') e = prefix + '/' + e;else e = prefix + e;
      }

      if (e.charAt(0) === '/' && !this.nomount) {
        e = path.join(this.root, e);
      }

      this._emitMatch(index, e);
    } // This was the last one, and no stats were needed


    return;
  } // now test all matched entries as stand-ins for that part
  // of the pattern.


  remain.shift();

  for (var i = 0; i < len; i++) {
    var e = matchedEntries[i];
    var newPattern;
    if (prefix) newPattern = [prefix, e];else newPattern = [e];

    this._process(newPattern.concat(remain), index, inGlobStar);
  }
};

GlobSync.prototype._emitMatch = function (index, e) {
  if (isIgnored(this, e)) return;

  var abs = this._makeAbs(e);

  if (this.mark) e = this._mark(e);

  if (this.absolute) {
    e = abs;
  }

  if (this.matches[index][e]) return;

  if (this.nodir) {
    var c = this.cache[abs];
    if (c === 'DIR' || Array.isArray(c)) return;
  }

  this.matches[index][e] = true;
  if (this.stat) this._stat(e);
};

GlobSync.prototype._readdirInGlobStar = function (abs) {
  // follow all symlinked directories forever
  // just proceed as if this is a non-globstar situation
  if (this.follow) return this._readdir(abs, false);
  var entries;
  var lstat;
  var stat;

  try {
    lstat = fs.lstatSync(abs);
  } catch (er) {
    if (er.code === 'ENOENT') {
      // lstat failed, doesn't exist
      return null;
    }
  }

  var isSym = lstat && lstat.isSymbolicLink();
  this.symlinks[abs] = isSym; // If it's not a symlink or a dir, then it's definitely a regular file.
  // don't bother doing a readdir in that case.

  if (!isSym && lstat && !lstat.isDirectory()) this.cache[abs] = 'FILE';else entries = this._readdir(abs, false);
  return entries;
};

GlobSync.prototype._readdir = function (abs, inGlobStar) {
  var entries;
  if (inGlobStar && !ownProp(this.symlinks, abs)) return this._readdirInGlobStar(abs);

  if (ownProp(this.cache, abs)) {
    var c = this.cache[abs];
    if (!c || c === 'FILE') return null;
    if (Array.isArray(c)) return c;
  }

  try {
    return this._readdirEntries(abs, fs.readdirSync(abs));
  } catch (er) {
    this._readdirError(abs, er);

    return null;
  }
};

GlobSync.prototype._readdirEntries = function (abs, entries) {
  // if we haven't asked to stat everything, then just
  // assume that everything in there exists, so we can avoid
  // having to stat it a second time.
  if (!this.mark && !this.stat) {
    for (var i = 0; i < entries.length; i++) {
      var e = entries[i];
      if (abs === '/') e = abs + e;else e = abs + '/' + e;
      this.cache[e] = true;
    }
  }

  this.cache[abs] = entries; // mark and cache dir-ness

  return entries;
};

GlobSync.prototype._readdirError = function (f, er) {
  // handle errors, and cache the information
  switch (er.code) {
    case 'ENOTSUP': // https://github.com/isaacs/node-glob/issues/205

    case 'ENOTDIR':
      // totally normal. means it *does* exist.
      var abs = this._makeAbs(f);

      this.cache[abs] = 'FILE';

      if (abs === this.cwdAbs) {
        var error = new Error(er.code + ' invalid cwd ' + this.cwd);
        error.path = this.cwd;
        error.code = er.code;
        throw error;
      }

      break;

    case 'ENOENT': // not terribly unusual

    case 'ELOOP':
    case 'ENAMETOOLONG':
    case 'UNKNOWN':
      this.cache[this._makeAbs(f)] = false;
      break;

    default:
      // some unusual error.  Treat as failure.
      this.cache[this._makeAbs(f)] = false;
      if (this.strict) throw er;
      if (!this.silent) console.error('glob error', er);
      break;
  }
};

GlobSync.prototype._processGlobStar = function (prefix, read, abs, remain, index, inGlobStar) {
  var entries = this._readdir(abs, inGlobStar); // no entries means not a dir, so it can never have matches
  // foo.txt/** doesn't match foo.txt


  if (!entries) return; // test without the globstar, and with every child both below
  // and replacing the globstar.

  var remainWithoutGlobStar = remain.slice(1);
  var gspref = prefix ? [prefix] : [];
  var noGlobStar = gspref.concat(remainWithoutGlobStar); // the noGlobStar pattern exits the inGlobStar state

  this._process(noGlobStar, index, false);

  var len = entries.length;
  var isSym = this.symlinks[abs]; // If it's a symlink, and we're in a globstar, then stop

  if (isSym && inGlobStar) return;

  for (var i = 0; i < len; i++) {
    var e = entries[i];
    if (e.charAt(0) === '.' && !this.dot) continue; // these two cases enter the inGlobStar state

    var instead = gspref.concat(entries[i], remainWithoutGlobStar);

    this._process(instead, index, true);

    var below = gspref.concat(entries[i], remain);

    this._process(below, index, true);
  }
};

GlobSync.prototype._processSimple = function (prefix, index) {
  // XXX review this.  Shouldn't it be doing the mounting etc
  // before doing stat?  kinda weird?
  var exists = this._stat(prefix);

  if (!this.matches[index]) this.matches[index] = Object.create(null); // If it doesn't exist, then just mark the lack of results

  if (!exists) return;

  if (prefix && isAbsolute(prefix) && !this.nomount) {
    var trail = /[\/\\]$/.test(prefix);

    if (prefix.charAt(0) === '/') {
      prefix = path.join(this.root, prefix);
    } else {
      prefix = path.resolve(this.root, prefix);
      if (trail) prefix += '/';
    }
  }

  if (process.platform === 'win32') prefix = prefix.replace(/\\/g, '/'); // Mark this as a match

  this._emitMatch(index, prefix);
}; // Returns either 'DIR', 'FILE', or false


GlobSync.prototype._stat = function (f) {
  var abs = this._makeAbs(f);

  var needDir = f.slice(-1) === '/';
  if (f.length > this.maxLength) return false;

  if (!this.stat && ownProp(this.cache, abs)) {
    var c = this.cache[abs];
    if (Array.isArray(c)) c = 'DIR'; // It exists, but maybe not how we need it

    if (!needDir || c === 'DIR') return c;
    if (needDir && c === 'FILE') return false; // otherwise we have to stat, because maybe c=true
    // if we know it exists, but not what it is.
  }

  var exists;
  var stat = this.statCache[abs];

  if (!stat) {
    var lstat;

    try {
      lstat = fs.lstatSync(abs);
    } catch (er) {
      if (er && (er.code === 'ENOENT' || er.code === 'ENOTDIR')) {
        this.statCache[abs] = false;
        return false;
      }
    }

    if (lstat && lstat.isSymbolicLink()) {
      try {
        stat = fs.statSync(abs);
      } catch (er) {
        stat = lstat;
      }
    } else {
      stat = lstat;
    }
  }

  this.statCache[abs] = stat;
  var c = true;
  if (stat) c = stat.isDirectory() ? 'DIR' : 'FILE';
  this.cache[abs] = this.cache[abs] || c;
  if (needDir && c === 'FILE') return false;
  return c;
};

GlobSync.prototype._mark = function (p) {
  return common.mark(this, p);
};

GlobSync.prototype._makeAbs = function (f) {
  return common.makeAbs(this, f);
};

/***/ }),

/***/ "./node_modules/.f/_/global-dirs/3.0.0/global-dirs/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const os = __webpack_require__("os");

const fs = __webpack_require__("fs");

const ini = __webpack_require__("./node_modules/.f/_/ini/2.0.0/ini/ini.js");

const isWindows = process.platform === 'win32';

const readRc = filePath => {
  try {
    return ini.parse(fs.readFileSync(filePath, 'utf8')).prefix;
  } catch (_unused) {}
};

const getEnvNpmPrefix = () => {
  // TODO: Remove the `.reduce` call.
  // eslint-disable-next-line unicorn/no-array-reduce
  return Object.keys(process.env).reduce((prefix, name) => {
    return /^npm_config_prefix$/i.test(name) ? process.env[name] : prefix;
  }, undefined);
};

const getGlobalNpmrc = () => {
  if (isWindows && process.env.APPDATA) {
    // Hardcoded contents of `c:\Program Files\nodejs\node_modules\npm\npmrc`
    return path.join(process.env.APPDATA, '/npm/etc/npmrc');
  } // Homebrew special case: `$(brew --prefix)/lib/node_modules/npm/npmrc`


  if (process.execPath.includes('/Cellar/node')) {
    const homebrewPrefix = process.execPath.slice(0, process.execPath.indexOf('/Cellar/node'));
    return path.join(homebrewPrefix, '/lib/node_modules/npm/npmrc');
  }

  if (process.execPath.endsWith('/bin/node')) {
    const installDir = path.dirname(path.dirname(process.execPath));
    return path.join(installDir, '/etc/npmrc');
  }
};

const getDefaultNpmPrefix = () => {
  if (isWindows) {
    // `c:\node\node.exe` → `prefix=c:\node\`
    return path.dirname(process.execPath);
  } // `/usr/local/bin/node` → `prefix=/usr/local`


  return path.dirname(path.dirname(process.execPath));
};

const getNpmPrefix = () => {
  const envPrefix = getEnvNpmPrefix();

  if (envPrefix) {
    return envPrefix;
  }

  const homePrefix = readRc(path.join(os.homedir(), '.npmrc'));

  if (homePrefix) {
    return homePrefix;
  }

  if (process.env.PREFIX) {
    return process.env.PREFIX;
  }

  const globalPrefix = readRc(getGlobalNpmrc());

  if (globalPrefix) {
    return globalPrefix;
  }

  return getDefaultNpmPrefix();
};

const npmPrefix = path.resolve(getNpmPrefix());

const getYarnWindowsDirectory = () => {
  if (isWindows && process.env.LOCALAPPDATA) {
    const dir = path.join(process.env.LOCALAPPDATA, 'Yarn');

    if (fs.existsSync(dir)) {
      return dir;
    }
  }

  return false;
};

const getYarnPrefix = () => {
  if (process.env.PREFIX) {
    return process.env.PREFIX;
  }

  const windowsPrefix = getYarnWindowsDirectory();

  if (windowsPrefix) {
    return windowsPrefix;
  }

  const configPrefix = path.join(os.homedir(), '.config/yarn');

  if (fs.existsSync(configPrefix)) {
    return configPrefix;
  }

  const homePrefix = path.join(os.homedir(), '.yarn-config');

  if (fs.existsSync(homePrefix)) {
    return homePrefix;
  } // Yarn supports the npm conventions but the inverse is not true


  return npmPrefix;
};

exports.npm = {};
exports.npm.prefix = npmPrefix;
exports.npm.packages = path.join(npmPrefix, isWindows ? 'node_modules' : 'lib/node_modules');
exports.npm.binaries = isWindows ? npmPrefix : path.join(npmPrefix, 'bin');
const yarnPrefix = path.resolve(getYarnPrefix());
exports.yarn = {};
exports.yarn.prefix = yarnPrefix;
exports.yarn.packages = path.join(yarnPrefix, getYarnWindowsDirectory() ? 'Data/global/node_modules' : 'global/node_modules');
exports.yarn.binaries = path.join(exports.yarn.packages, '.bin');

/***/ }),

/***/ "./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/clone.js":
/***/ ((module) => {

"use strict";


module.exports = clone;

var getPrototypeOf = Object.getPrototypeOf || function (obj) {
  return obj.__proto__;
};

function clone(obj) {
  if (obj === null || typeof obj !== 'object') return obj;
  if (obj instanceof Object) var copy = {
    __proto__: getPrototypeOf(obj)
  };else var copy = Object.create(null);
  Object.getOwnPropertyNames(obj).forEach(function (key) {
    Object.defineProperty(copy, key, Object.getOwnPropertyDescriptor(obj, key));
  });
  return copy;
}

/***/ }),

/***/ "./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var polyfills = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/polyfills.js");

var legacy = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/legacy-streams.js");

var clone = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/clone.js");

var util = __webpack_require__("util");
/* istanbul ignore next - node 0.x polyfill */


var gracefulQueue;
var previousSymbol;
/* istanbul ignore else - node 0.x polyfill */

if (typeof Symbol === 'function' && typeof Symbol.for === 'function') {
  gracefulQueue = Symbol.for('graceful-fs.queue'); // This is used in testing by future versions

  previousSymbol = Symbol.for('graceful-fs.previous');
} else {
  gracefulQueue = '___graceful-fs.queue';
  previousSymbol = '___graceful-fs.previous';
}

function noop() {}

function publishQueue(context, queue) {
  Object.defineProperty(context, gracefulQueue, {
    get: function () {
      return queue;
    }
  });
}

var debug = noop;
if (util.debuglog) debug = util.debuglog('gfs4');else if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || '')) debug = function () {
  var m = util.format.apply(util, arguments);
  m = 'GFS4: ' + m.split(/\n/).join('\nGFS4: ');
  console.error(m);
}; // Once time initialization

if (!fs[gracefulQueue]) {
  // This queue can be shared by multiple loaded instances
  var queue = global[gracefulQueue] || [];
  publishQueue(fs, queue); // Patch fs.close/closeSync to shared queue version, because we need
  // to retry() whenever a close happens *anywhere* in the program.
  // This is essential when multiple graceful-fs instances are
  // in play at the same time.

  fs.close = function (fs$close) {
    function close(fd, cb) {
      return fs$close.call(fs, fd, function (err) {
        // This function uses the graceful-fs shared queue
        if (!err) {
          retry();
        }

        if (typeof cb === 'function') cb.apply(this, arguments);
      });
    }

    Object.defineProperty(close, previousSymbol, {
      value: fs$close
    });
    return close;
  }(fs.close);

  fs.closeSync = function (fs$closeSync) {
    function closeSync(fd) {
      // This function uses the graceful-fs shared queue
      fs$closeSync.apply(fs, arguments);
      retry();
    }

    Object.defineProperty(closeSync, previousSymbol, {
      value: fs$closeSync
    });
    return closeSync;
  }(fs.closeSync);

  if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || '')) {
    process.on('exit', function () {
      debug(fs[gracefulQueue]);

      __webpack_require__("assert").equal(fs[gracefulQueue].length, 0);
    });
  }
}

if (!global[gracefulQueue]) {
  publishQueue(global, fs[gracefulQueue]);
}

module.exports = patch(clone(fs));

if (process.env.TEST_GRACEFUL_FS_GLOBAL_PATCH && !fs.__patched) {
  module.exports = patch(fs);
  fs.__patched = true;
}

function patch(fs) {
  // Everything that references the open() function needs to be in here
  polyfills(fs);
  fs.gracefulify = patch;
  fs.createReadStream = createReadStream;
  fs.createWriteStream = createWriteStream;
  var fs$readFile = fs.readFile;
  fs.readFile = readFile;

  function readFile(path, options, cb) {
    if (typeof options === 'function') cb = options, options = null;
    return go$readFile(path, options, cb);

    function go$readFile(path, options, cb) {
      return fs$readFile(path, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([go$readFile, [path, options, cb]]);else {
          if (typeof cb === 'function') cb.apply(this, arguments);
          retry();
        }
      });
    }
  }

  var fs$writeFile = fs.writeFile;
  fs.writeFile = writeFile;

  function writeFile(path, data, options, cb) {
    if (typeof options === 'function') cb = options, options = null;
    return go$writeFile(path, data, options, cb);

    function go$writeFile(path, data, options, cb) {
      return fs$writeFile(path, data, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([go$writeFile, [path, data, options, cb]]);else {
          if (typeof cb === 'function') cb.apply(this, arguments);
          retry();
        }
      });
    }
  }

  var fs$appendFile = fs.appendFile;
  if (fs$appendFile) fs.appendFile = appendFile;

  function appendFile(path, data, options, cb) {
    if (typeof options === 'function') cb = options, options = null;
    return go$appendFile(path, data, options, cb);

    function go$appendFile(path, data, options, cb) {
      return fs$appendFile(path, data, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([go$appendFile, [path, data, options, cb]]);else {
          if (typeof cb === 'function') cb.apply(this, arguments);
          retry();
        }
      });
    }
  }

  var fs$copyFile = fs.copyFile;
  if (fs$copyFile) fs.copyFile = copyFile;

  function copyFile(src, dest, flags, cb) {
    if (typeof flags === 'function') {
      cb = flags;
      flags = 0;
    }

    return fs$copyFile(src, dest, flags, function (err) {
      if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([fs$copyFile, [src, dest, flags, cb]]);else {
        if (typeof cb === 'function') cb.apply(this, arguments);
        retry();
      }
    });
  }

  var fs$readdir = fs.readdir;
  fs.readdir = readdir;

  function readdir(path, options, cb) {
    var args = [path];

    if (typeof options !== 'function') {
      args.push(options);
    } else {
      cb = options;
    }

    args.push(go$readdir$cb);
    return go$readdir(args);

    function go$readdir$cb(err, files) {
      if (files && files.sort) files.sort();
      if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([go$readdir, [args]]);else {
        if (typeof cb === 'function') cb.apply(this, arguments);
        retry();
      }
    }
  }

  function go$readdir(args) {
    return fs$readdir.apply(fs, args);
  }

  if (process.version.substr(0, 4) === 'v0.8') {
    var legStreams = legacy(fs);
    ReadStream = legStreams.ReadStream;
    WriteStream = legStreams.WriteStream;
  }

  var fs$ReadStream = fs.ReadStream;

  if (fs$ReadStream) {
    ReadStream.prototype = Object.create(fs$ReadStream.prototype);
    ReadStream.prototype.open = ReadStream$open;
  }

  var fs$WriteStream = fs.WriteStream;

  if (fs$WriteStream) {
    WriteStream.prototype = Object.create(fs$WriteStream.prototype);
    WriteStream.prototype.open = WriteStream$open;
  }

  Object.defineProperty(fs, 'ReadStream', {
    get: function () {
      return ReadStream;
    },
    set: function (val) {
      ReadStream = val;
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(fs, 'WriteStream', {
    get: function () {
      return WriteStream;
    },
    set: function (val) {
      WriteStream = val;
    },
    enumerable: true,
    configurable: true
  }); // legacy names

  var FileReadStream = ReadStream;
  Object.defineProperty(fs, 'FileReadStream', {
    get: function () {
      return FileReadStream;
    },
    set: function (val) {
      FileReadStream = val;
    },
    enumerable: true,
    configurable: true
  });
  var FileWriteStream = WriteStream;
  Object.defineProperty(fs, 'FileWriteStream', {
    get: function () {
      return FileWriteStream;
    },
    set: function (val) {
      FileWriteStream = val;
    },
    enumerable: true,
    configurable: true
  });

  function ReadStream(path, options) {
    if (this instanceof ReadStream) return fs$ReadStream.apply(this, arguments), this;else return ReadStream.apply(Object.create(ReadStream.prototype), arguments);
  }

  function ReadStream$open() {
    var that = this;
    open(that.path, that.flags, that.mode, function (err, fd) {
      if (err) {
        if (that.autoClose) that.destroy();
        that.emit('error', err);
      } else {
        that.fd = fd;
        that.emit('open', fd);
        that.read();
      }
    });
  }

  function WriteStream(path, options) {
    if (this instanceof WriteStream) return fs$WriteStream.apply(this, arguments), this;else return WriteStream.apply(Object.create(WriteStream.prototype), arguments);
  }

  function WriteStream$open() {
    var that = this;
    open(that.path, that.flags, that.mode, function (err, fd) {
      if (err) {
        that.destroy();
        that.emit('error', err);
      } else {
        that.fd = fd;
        that.emit('open', fd);
      }
    });
  }

  function createReadStream(path, options) {
    return new fs.ReadStream(path, options);
  }

  function createWriteStream(path, options) {
    return new fs.WriteStream(path, options);
  }

  var fs$open = fs.open;
  fs.open = open;

  function open(path, flags, mode, cb) {
    if (typeof mode === 'function') cb = mode, mode = null;
    return go$open(path, flags, mode, cb);

    function go$open(path, flags, mode, cb) {
      return fs$open(path, flags, mode, function (err, fd) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE')) enqueue([go$open, [path, flags, mode, cb]]);else {
          if (typeof cb === 'function') cb.apply(this, arguments);
          retry();
        }
      });
    }
  }

  return fs;
}

function enqueue(elem) {
  debug('ENQUEUE', elem[0].name, elem[1]);
  fs[gracefulQueue].push(elem);
}

function retry() {
  var elem = fs[gracefulQueue].shift();

  if (elem) {
    debug('RETRY', elem[0].name, elem[1]);
    elem[0].apply(null, elem[1]);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/legacy-streams.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Stream = __webpack_require__("stream").Stream;

module.exports = legacy;

function legacy(fs) {
  return {
    ReadStream: ReadStream,
    WriteStream: WriteStream
  };

  function ReadStream(path, options) {
    if (!(this instanceof ReadStream)) return new ReadStream(path, options);
    Stream.call(this);
    var self = this;
    this.path = path;
    this.fd = null;
    this.readable = true;
    this.paused = false;
    this.flags = 'r';
    this.mode = 438;
    /*=0666*/

    this.bufferSize = 64 * 1024;
    options = options || {}; // Mixin options into this

    var keys = Object.keys(options);

    for (var index = 0, length = keys.length; index < length; index++) {
      var key = keys[index];
      this[key] = options[key];
    }

    if (this.encoding) this.setEncoding(this.encoding);

    if (this.start !== undefined) {
      if ('number' !== typeof this.start) {
        throw TypeError('start must be a Number');
      }

      if (this.end === undefined) {
        this.end = Infinity;
      } else if ('number' !== typeof this.end) {
        throw TypeError('end must be a Number');
      }

      if (this.start > this.end) {
        throw new Error('start must be <= end');
      }

      this.pos = this.start;
    }

    if (this.fd !== null) {
      process.nextTick(function () {
        self._read();
      });
      return;
    }

    fs.open(this.path, this.flags, this.mode, function (err, fd) {
      if (err) {
        self.emit('error', err);
        self.readable = false;
        return;
      }

      self.fd = fd;
      self.emit('open', fd);

      self._read();
    });
  }

  function WriteStream(path, options) {
    if (!(this instanceof WriteStream)) return new WriteStream(path, options);
    Stream.call(this);
    this.path = path;
    this.fd = null;
    this.writable = true;
    this.flags = 'w';
    this.encoding = 'binary';
    this.mode = 438;
    /*=0666*/

    this.bytesWritten = 0;
    options = options || {}; // Mixin options into this

    var keys = Object.keys(options);

    for (var index = 0, length = keys.length; index < length; index++) {
      var key = keys[index];
      this[key] = options[key];
    }

    if (this.start !== undefined) {
      if ('number' !== typeof this.start) {
        throw TypeError('start must be a Number');
      }

      if (this.start < 0) {
        throw new Error('start must be >= zero');
      }

      this.pos = this.start;
    }

    this.busy = false;
    this._queue = [];

    if (this.fd === null) {
      this._open = fs.open;

      this._queue.push([this._open, this.path, this.flags, this.mode, undefined]);

      this.flush();
    }
  }
}

/***/ }),

/***/ "./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/polyfills.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var constants = __webpack_require__("constants");

var origCwd = process.cwd;
var cwd = null;
var platform = process.env.GRACEFUL_FS_PLATFORM || process.platform;

process.cwd = function () {
  if (!cwd) cwd = origCwd.call(process);
  return cwd;
};

try {
  process.cwd();
} catch (er) {} // This check is needed until node.js 12 is required


if (typeof process.chdir === 'function') {
  var chdir = process.chdir;

  process.chdir = function (d) {
    cwd = null;
    chdir.call(process, d);
  };

  if (Object.setPrototypeOf) Object.setPrototypeOf(process.chdir, chdir);
}

module.exports = patch;

function patch(fs) {
  // (re-)implement some things that are known busted or missing.
  // lchmod, broken prior to 0.6.2
  // back-port the fix here.
  if (constants.hasOwnProperty('O_SYMLINK') && process.version.match(/^v0\.6\.[0-2]|^v0\.5\./)) {
    patchLchmod(fs);
  } // lutimes implementation, or no-op


  if (!fs.lutimes) {
    patchLutimes(fs);
  } // https://github.com/isaacs/node-graceful-fs/issues/4
  // Chown should not fail on einval or eperm if non-root.
  // It should not fail on enosys ever, as this just indicates
  // that a fs doesn't support the intended operation.


  fs.chown = chownFix(fs.chown);
  fs.fchown = chownFix(fs.fchown);
  fs.lchown = chownFix(fs.lchown);
  fs.chmod = chmodFix(fs.chmod);
  fs.fchmod = chmodFix(fs.fchmod);
  fs.lchmod = chmodFix(fs.lchmod);
  fs.chownSync = chownFixSync(fs.chownSync);
  fs.fchownSync = chownFixSync(fs.fchownSync);
  fs.lchownSync = chownFixSync(fs.lchownSync);
  fs.chmodSync = chmodFixSync(fs.chmodSync);
  fs.fchmodSync = chmodFixSync(fs.fchmodSync);
  fs.lchmodSync = chmodFixSync(fs.lchmodSync);
  fs.stat = statFix(fs.stat);
  fs.fstat = statFix(fs.fstat);
  fs.lstat = statFix(fs.lstat);
  fs.statSync = statFixSync(fs.statSync);
  fs.fstatSync = statFixSync(fs.fstatSync);
  fs.lstatSync = statFixSync(fs.lstatSync); // if lchmod/lchown do not exist, then make them no-ops

  if (!fs.lchmod) {
    fs.lchmod = function (path, mode, cb) {
      if (cb) process.nextTick(cb);
    };

    fs.lchmodSync = function () {};
  }

  if (!fs.lchown) {
    fs.lchown = function (path, uid, gid, cb) {
      if (cb) process.nextTick(cb);
    };

    fs.lchownSync = function () {};
  } // on Windows, A/V software can lock the directory, causing this
  // to fail with an EACCES or EPERM if the directory contains newly
  // created files.  Try again on failure, for up to 60 seconds.
  // Set the timeout this long because some Windows Anti-Virus, such as Parity
  // bit9, may lock files for up to a minute, causing npm package install
  // failures. Also, take care to yield the scheduler. Windows scheduling gives
  // CPU to a busy looping process, which can cause the program causing the lock
  // contention to be starved of CPU by node, so the contention doesn't resolve.


  if (platform === "win32") {
    fs.rename = function (fs$rename) {
      return function (from, to, cb) {
        var start = Date.now();
        var backoff = 0;
        fs$rename(from, to, function CB(er) {
          if (er && (er.code === "EACCES" || er.code === "EPERM") && Date.now() - start < 60000) {
            setTimeout(function () {
              fs.stat(to, function (stater, st) {
                if (stater && stater.code === "ENOENT") fs$rename(from, to, CB);else cb(er);
              });
            }, backoff);
            if (backoff < 100) backoff += 10;
            return;
          }

          if (cb) cb(er);
        });
      };
    }(fs.rename);
  } // if read() returns EAGAIN, then just try it again.


  fs.read = function (fs$read) {
    function read(fd, buffer, offset, length, position, callback_) {
      var callback;

      if (callback_ && typeof callback_ === 'function') {
        var eagCounter = 0;

        callback = function (er, _, __) {
          if (er && er.code === 'EAGAIN' && eagCounter < 10) {
            eagCounter++;
            return fs$read.call(fs, fd, buffer, offset, length, position, callback);
          }

          callback_.apply(this, arguments);
        };
      }

      return fs$read.call(fs, fd, buffer, offset, length, position, callback);
    } // This ensures `util.promisify` works as it does for native `fs.read`.


    if (Object.setPrototypeOf) Object.setPrototypeOf(read, fs$read);
    return read;
  }(fs.read);

  fs.readSync = function (fs$readSync) {
    return function (fd, buffer, offset, length, position) {
      var eagCounter = 0;

      while (true) {
        try {
          return fs$readSync.call(fs, fd, buffer, offset, length, position);
        } catch (er) {
          if (er.code === 'EAGAIN' && eagCounter < 10) {
            eagCounter++;
            continue;
          }

          throw er;
        }
      }
    };
  }(fs.readSync);

  function patchLchmod(fs) {
    fs.lchmod = function (path, mode, callback) {
      fs.open(path, constants.O_WRONLY | constants.O_SYMLINK, mode, function (err, fd) {
        if (err) {
          if (callback) callback(err);
          return;
        } // prefer to return the chmod error, if one occurs,
        // but still try to close, and report closing errors if they occur.


        fs.fchmod(fd, mode, function (err) {
          fs.close(fd, function (err2) {
            if (callback) callback(err || err2);
          });
        });
      });
    };

    fs.lchmodSync = function (path, mode) {
      var fd = fs.openSync(path, constants.O_WRONLY | constants.O_SYMLINK, mode); // prefer to return the chmod error, if one occurs,
      // but still try to close, and report closing errors if they occur.

      var threw = true;
      var ret;

      try {
        ret = fs.fchmodSync(fd, mode);
        threw = false;
      } finally {
        if (threw) {
          try {
            fs.closeSync(fd);
          } catch (er) {}
        } else {
          fs.closeSync(fd);
        }
      }

      return ret;
    };
  }

  function patchLutimes(fs) {
    if (constants.hasOwnProperty("O_SYMLINK")) {
      fs.lutimes = function (path, at, mt, cb) {
        fs.open(path, constants.O_SYMLINK, function (er, fd) {
          if (er) {
            if (cb) cb(er);
            return;
          }

          fs.futimes(fd, at, mt, function (er) {
            fs.close(fd, function (er2) {
              if (cb) cb(er || er2);
            });
          });
        });
      };

      fs.lutimesSync = function (path, at, mt) {
        var fd = fs.openSync(path, constants.O_SYMLINK);
        var ret;
        var threw = true;

        try {
          ret = fs.futimesSync(fd, at, mt);
          threw = false;
        } finally {
          if (threw) {
            try {
              fs.closeSync(fd);
            } catch (er) {}
          } else {
            fs.closeSync(fd);
          }
        }

        return ret;
      };
    } else {
      fs.lutimes = function (_a, _b, _c, cb) {
        if (cb) process.nextTick(cb);
      };

      fs.lutimesSync = function () {};
    }
  }

  function chmodFix(orig) {
    if (!orig) return orig;
    return function (target, mode, cb) {
      return orig.call(fs, target, mode, function (er) {
        if (chownErOk(er)) er = null;
        if (cb) cb.apply(this, arguments);
      });
    };
  }

  function chmodFixSync(orig) {
    if (!orig) return orig;
    return function (target, mode) {
      try {
        return orig.call(fs, target, mode);
      } catch (er) {
        if (!chownErOk(er)) throw er;
      }
    };
  }

  function chownFix(orig) {
    if (!orig) return orig;
    return function (target, uid, gid, cb) {
      return orig.call(fs, target, uid, gid, function (er) {
        if (chownErOk(er)) er = null;
        if (cb) cb.apply(this, arguments);
      });
    };
  }

  function chownFixSync(orig) {
    if (!orig) return orig;
    return function (target, uid, gid) {
      try {
        return orig.call(fs, target, uid, gid);
      } catch (er) {
        if (!chownErOk(er)) throw er;
      }
    };
  }

  function statFix(orig) {
    if (!orig) return orig; // Older versions of Node erroneously returned signed integers for
    // uid + gid.

    return function (target, options, cb) {
      if (typeof options === 'function') {
        cb = options;
        options = null;
      }

      function callback(er, stats) {
        if (stats) {
          if (stats.uid < 0) stats.uid += 0x100000000;
          if (stats.gid < 0) stats.gid += 0x100000000;
        }

        if (cb) cb.apply(this, arguments);
      }

      return options ? orig.call(fs, target, options, callback) : orig.call(fs, target, callback);
    };
  }

  function statFixSync(orig) {
    if (!orig) return orig; // Older versions of Node erroneously returned signed integers for
    // uid + gid.

    return function (target, options) {
      var stats = options ? orig.call(fs, target, options) : orig.call(fs, target);
      if (stats.uid < 0) stats.uid += 0x100000000;
      if (stats.gid < 0) stats.gid += 0x100000000;
      return stats;
    };
  } // ENOSYS means that the fs doesn't support the op. Just ignore
  // that, because it doesn't matter.
  //
  // if there's no getuid, or if getuid() is something other
  // than 0, and the error is EINVAL or EPERM, then just ignore
  // it.
  //
  // This specific case is a silent failure in cp, install, tar,
  // and most other unix tools that manage permissions.
  //
  // When running as root, or if other types of errors are
  // encountered, then it's strict.


  function chownErOk(er) {
    if (!er) return true;
    if (er.code === "ENOSYS") return true;
    var nonroot = !process.getuid || process.getuid() !== 0;

    if (nonroot) {
      if (er.code === "EINVAL" || er.code === "EPERM") return true;
    }

    return false;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/has-ansi/4.0.1/has-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ansiRegex = __webpack_require__("./node_modules/.f/_/ansi-regex/4.1.0/ansi-regex/index.js");

const regex = ansiRegex({
  onlyFirst: true
});

module.exports = string => regex.test(string);

/***/ }),

/***/ "./node_modules/.f/_/has-flag/4.0.0/has-flag/index.js":
/***/ ((module) => {

"use strict";


module.exports = (flag, argv = process.argv) => {
  const prefix = flag.startsWith('-') ? '' : flag.length === 1 ? '-' : '--';
  const position = argv.indexOf(prefix + flag);
  const terminatorPosition = argv.indexOf('--');
  return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
};

/***/ }),

/***/ "./node_modules/.f/_/has-unicode/2.0.1/has-unicode/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var os = __webpack_require__("os");

var hasUnicode = module.exports = function () {
  // Recent Win32 platforms (>XP) CAN support unicode in the console but
  // don't have to, and in non-english locales often use traditional local
  // code pages. There's no way, short of windows system calls or execing
  // the chcp command line program to figure this out. As such, we default
  // this to false and encourage your users to override it via config if
  // appropriate.
  if (os.type() == "Windows_NT") {
    return false;
  }

  var isUTF8 = /UTF-?8$/i;
  var ctype = process.env.LC_ALL || process.env.LC_CTYPE || process.env.LANG;
  return isUTF8.test(ctype);
};

/***/ }),

/***/ "./node_modules/.f/_/has/1.0.3/has/src/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var bind = __webpack_require__("./node_modules/.f/_/function-bind/1.1.1/function-bind/index.js");

module.exports = bind.call(Function.call, Object.prototype.hasOwnProperty);

/***/ }),

/***/ "./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/git-host-info.js":
/***/ ((module) => {

"use strict";


var gitHosts = module.exports = {
  github: {
    // First two are insecure and generally shouldn't be used any more, but
    // they are still supported.
    'protocols': ['git', 'http', 'git+ssh', 'git+https', 'ssh', 'https'],
    'domain': 'github.com',
    'treepath': 'tree',
    'filetemplate': 'https://{auth@}raw.githubusercontent.com/{user}/{project}/{committish}/{path}',
    'bugstemplate': 'https://{domain}/{user}/{project}/issues',
    'gittemplate': 'git://{auth@}{domain}/{user}/{project}.git{#committish}',
    'tarballtemplate': 'https://codeload.{domain}/{user}/{project}/tar.gz/{committish}'
  },
  bitbucket: {
    'protocols': ['git+ssh', 'git+https', 'ssh', 'https'],
    'domain': 'bitbucket.org',
    'treepath': 'src',
    'tarballtemplate': 'https://{domain}/{user}/{project}/get/{committish}.tar.gz'
  },
  gitlab: {
    'protocols': ['git+ssh', 'git+https', 'ssh', 'https'],
    'domain': 'gitlab.com',
    'treepath': 'tree',
    'bugstemplate': 'https://{domain}/{user}/{project}/issues',
    'httpstemplate': 'git+https://{auth@}{domain}/{user}/{projectPath}.git{#committish}',
    'tarballtemplate': 'https://{domain}/{user}/{project}/repository/archive.tar.gz?ref={committish}',
    'pathmatch': /^[/]([^/]+)[/]((?!.*(\/-\/|\/repository\/archive\.tar\.gz\?=.*|\/repository\/[^/]+\/archive.tar.gz$)).*?)(?:[.]git|[/])?$/
  },
  gist: {
    'protocols': ['git', 'git+ssh', 'git+https', 'ssh', 'https'],
    'domain': 'gist.github.com',
    'pathmatch': /^[/](?:([^/]+)[/])?([a-z0-9]{32,})(?:[.]git)?$/,
    'filetemplate': 'https://gist.githubusercontent.com/{user}/{project}/raw{/committish}/{path}',
    'bugstemplate': 'https://{domain}/{project}',
    'gittemplate': 'git://{domain}/{project}.git{#committish}',
    'sshtemplate': 'git@{domain}:/{project}.git{#committish}',
    'sshurltemplate': 'git+ssh://git@{domain}/{project}.git{#committish}',
    'browsetemplate': 'https://{domain}/{project}{/committish}',
    'browsefiletemplate': 'https://{domain}/{project}{/committish}{#path}',
    'docstemplate': 'https://{domain}/{project}{/committish}',
    'httpstemplate': 'git+https://{domain}/{project}.git{#committish}',
    'shortcuttemplate': '{type}:{project}{#committish}',
    'pathtemplate': '{project}{#committish}',
    'tarballtemplate': 'https://codeload.github.com/gist/{project}/tar.gz/{committish}',
    'hashformat': function (fragment) {
      return 'file-' + formatHashFragment(fragment);
    }
  }
};
var gitHostDefaults = {
  'sshtemplate': 'git@{domain}:{user}/{project}.git{#committish}',
  'sshurltemplate': 'git+ssh://git@{domain}/{user}/{project}.git{#committish}',
  'browsetemplate': 'https://{domain}/{user}/{project}{/tree/committish}',
  'browsefiletemplate': 'https://{domain}/{user}/{project}/{treepath}/{committish}/{path}{#fragment}',
  'docstemplate': 'https://{domain}/{user}/{project}{/tree/committish}#readme',
  'httpstemplate': 'git+https://{auth@}{domain}/{user}/{project}.git{#committish}',
  'filetemplate': 'https://{domain}/{user}/{project}/raw/{committish}/{path}',
  'shortcuttemplate': '{type}:{user}/{project}{#committish}',
  'pathtemplate': '{user}/{project}{#committish}',
  'pathmatch': /^[/]([^/]+)[/]([^/]+?)(?:[.]git|[/])?$/,
  'hashformat': formatHashFragment
};
Object.keys(gitHosts).forEach(function (name) {
  Object.keys(gitHostDefaults).forEach(function (key) {
    if (gitHosts[name][key]) return;
    gitHosts[name][key] = gitHostDefaults[key];
  });
  gitHosts[name].protocols_re = RegExp('^(' + gitHosts[name].protocols.map(function (protocol) {
    return protocol.replace(/([\\+*{}()[\]$^|])/g, '\\$1');
  }).join('|') + '):$');
});

function formatHashFragment(fragment) {
  return fragment.toLowerCase().replace(/^\W+|\/|\W+$/g, '').replace(/\W+/g, '-');
}

/***/ }),

/***/ "./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/git-host.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var gitHosts = __webpack_require__("./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/git-host-info.js");
/* eslint-disable node/no-deprecated-api */
// copy-pasta util._extend from node's source, to avoid pulling
// the whole util module into peoples' webpack bundles.

/* istanbul ignore next */


var extend = Object.assign || function _extend(target, source) {
  // Don't do anything if source isn't an object
  if (source === null || typeof source !== 'object') return target;
  var keys = Object.keys(source);
  var i = keys.length;

  while (i--) {
    target[keys[i]] = source[keys[i]];
  }

  return target;
};

module.exports = GitHost;

function GitHost(type, user, auth, project, committish, defaultRepresentation, opts) {
  var gitHostInfo = this;
  gitHostInfo.type = type;
  Object.keys(gitHosts[type]).forEach(function (key) {
    gitHostInfo[key] = gitHosts[type][key];
  });
  gitHostInfo.user = user;
  gitHostInfo.auth = auth;
  gitHostInfo.project = project;
  gitHostInfo.committish = committish;
  gitHostInfo.default = defaultRepresentation;
  gitHostInfo.opts = opts || {};
}

GitHost.prototype.hash = function () {
  return this.committish ? '#' + this.committish : '';
};

GitHost.prototype._fill = function (template, opts) {
  if (!template) return;
  var vars = extend({}, opts);
  vars.path = vars.path ? vars.path.replace(/^[/]+/g, '') : '';
  opts = extend(extend({}, this.opts), opts);
  var self = this;
  Object.keys(this).forEach(function (key) {
    if (self[key] != null && vars[key] == null) vars[key] = self[key];
  });
  var rawAuth = vars.auth;
  var rawcommittish = vars.committish;
  var rawFragment = vars.fragment;
  var rawPath = vars.path;
  var rawProject = vars.project;
  Object.keys(vars).forEach(function (key) {
    var value = vars[key];

    if ((key === 'path' || key === 'project') && typeof value === 'string') {
      vars[key] = value.split('/').map(function (pathComponent) {
        return encodeURIComponent(pathComponent);
      }).join('/');
    } else {
      vars[key] = encodeURIComponent(value);
    }
  });
  vars['auth@'] = rawAuth ? rawAuth + '@' : '';
  vars['#fragment'] = rawFragment ? '#' + this.hashformat(rawFragment) : '';
  vars.fragment = vars.fragment ? vars.fragment : '';
  vars['#path'] = rawPath ? '#' + this.hashformat(rawPath) : '';
  vars['/path'] = vars.path ? '/' + vars.path : '';
  vars.projectPath = rawProject.split('/').map(encodeURIComponent).join('/');

  if (opts.noCommittish) {
    vars['#committish'] = '';
    vars['/tree/committish'] = '';
    vars['/committish'] = '';
    vars.committish = '';
  } else {
    vars['#committish'] = rawcommittish ? '#' + rawcommittish : '';
    vars['/tree/committish'] = vars.committish ? '/' + vars.treepath + '/' + vars.committish : '';
    vars['/committish'] = vars.committish ? '/' + vars.committish : '';
    vars.committish = vars.committish || 'master';
  }

  var res = template;
  Object.keys(vars).forEach(function (key) {
    res = res.replace(new RegExp('[{]' + key + '[}]', 'g'), vars[key]);
  });

  if (opts.noGitPlus) {
    return res.replace(/^git[+]/, '');
  } else {
    return res;
  }
};

GitHost.prototype.ssh = function (opts) {
  return this._fill(this.sshtemplate, opts);
};

GitHost.prototype.sshurl = function (opts) {
  return this._fill(this.sshurltemplate, opts);
};

GitHost.prototype.browse = function (P, F, opts) {
  if (typeof P === 'string') {
    if (typeof F !== 'string') {
      opts = F;
      F = null;
    }

    return this._fill(this.browsefiletemplate, extend({
      fragment: F,
      path: P
    }, opts));
  } else {
    return this._fill(this.browsetemplate, P);
  }
};

GitHost.prototype.docs = function (opts) {
  return this._fill(this.docstemplate, opts);
};

GitHost.prototype.bugs = function (opts) {
  return this._fill(this.bugstemplate, opts);
};

GitHost.prototype.https = function (opts) {
  return this._fill(this.httpstemplate, opts);
};

GitHost.prototype.git = function (opts) {
  return this._fill(this.gittemplate, opts);
};

GitHost.prototype.shortcut = function (opts) {
  return this._fill(this.shortcuttemplate, opts);
};

GitHost.prototype.path = function (opts) {
  return this._fill(this.pathtemplate, opts);
};

GitHost.prototype.tarball = function (opts_) {
  var opts = extend({}, opts_, {
    noCommittish: false
  });
  return this._fill(this.tarballtemplate, opts);
};

GitHost.prototype.file = function (P, opts) {
  return this._fill(this.filetemplate, extend({
    path: P
  }, opts));
};

GitHost.prototype.getDefaultRepresentation = function () {
  return this.default;
};

GitHost.prototype.toString = function (opts) {
  if (this.default && typeof this[this.default] === 'function') return this[this.default](opts);
  return this.sshurl(opts);
};

/***/ }),

/***/ "./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var url = __webpack_require__("url");

var gitHosts = __webpack_require__("./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/git-host-info.js");

var GitHost = module.exports = __webpack_require__("./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/git-host.js");

var protocolToRepresentationMap = {
  'git+ssh:': 'sshurl',
  'git+https:': 'https',
  'ssh:': 'sshurl',
  'git:': 'git'
};

function protocolToRepresentation(protocol) {
  return protocolToRepresentationMap[protocol] || protocol.slice(0, -1);
}

var authProtocols = {
  'git:': true,
  'https:': true,
  'git+https:': true,
  'http:': true,
  'git+http:': true
};
var cache = {};

module.exports.fromUrl = function (giturl, opts) {
  if (typeof giturl !== 'string') return;
  var key = giturl + JSON.stringify(opts || {});

  if (!(key in cache)) {
    cache[key] = fromUrl(giturl, opts);
  }

  return cache[key];
};

function fromUrl(giturl, opts) {
  if (giturl == null || giturl === '') return;
  var url = fixupUnqualifiedGist(isGitHubShorthand(giturl) ? 'github:' + giturl : giturl);
  var parsed = parseGitUrl(url);
  var shortcutMatch = url.match(new RegExp('^([^:]+):(?:(?:[^@:]+(?:[^@]+)?@)?([^/]*))[/](.+?)(?:[.]git)?($|#)'));
  var matches = Object.keys(gitHosts).map(function (gitHostName) {
    try {
      var gitHostInfo = gitHosts[gitHostName];
      var auth = null;

      if (parsed.auth && authProtocols[parsed.protocol]) {
        auth = parsed.auth;
      }

      var committish = parsed.hash ? decodeURIComponent(parsed.hash.substr(1)) : null;
      var user = null;
      var project = null;
      var defaultRepresentation = null;

      if (shortcutMatch && shortcutMatch[1] === gitHostName) {
        user = shortcutMatch[2] && decodeURIComponent(shortcutMatch[2]);
        project = decodeURIComponent(shortcutMatch[3]);
        defaultRepresentation = 'shortcut';
      } else {
        if (parsed.host && parsed.host !== gitHostInfo.domain && parsed.host.replace(/^www[.]/, '') !== gitHostInfo.domain) return;
        if (!gitHostInfo.protocols_re.test(parsed.protocol)) return;
        if (!parsed.path) return;
        var pathmatch = gitHostInfo.pathmatch;
        var matched = parsed.path.match(pathmatch);
        if (!matched) return;
        /* istanbul ignore else */

        if (matched[1] !== null && matched[1] !== undefined) {
          user = decodeURIComponent(matched[1].replace(/^:/, ''));
        }

        project = decodeURIComponent(matched[2]);
        defaultRepresentation = protocolToRepresentation(parsed.protocol);
      }

      return new GitHost(gitHostName, user, auth, project, committish, defaultRepresentation, opts);
    } catch (ex) {
      /* istanbul ignore else */
      if (ex instanceof URIError) {} else throw ex;
    }
  }).filter(function (gitHostInfo) {
    return gitHostInfo;
  });
  if (matches.length !== 1) return;
  return matches[0];
}

function isGitHubShorthand(arg) {
  // Note: This does not fully test the git ref format.
  // See https://www.kernel.org/pub/software/scm/git/docs/git-check-ref-format.html
  //
  // The only way to do this properly would be to shell out to
  // git-check-ref-format, and as this is a fast sync function,
  // we don't want to do that.  Just let git fail if it turns
  // out that the commit-ish is invalid.
  // GH usernames cannot start with . or -
  return /^[^:@%/\s.-][^:@%/\s]*[/][^:@\s/%]+(?:#.*)?$/.test(arg);
}

function fixupUnqualifiedGist(giturl) {
  // necessary for round-tripping gists
  var parsed = url.parse(giturl);

  if (parsed.protocol === 'gist:' && parsed.host && !parsed.path) {
    return parsed.protocol + '/' + parsed.host;
  } else {
    return giturl;
  }
}

function parseGitUrl(giturl) {
  var matched = giturl.match(/^([^@]+)@([^:/]+):[/]?((?:[^/]+[/])?[^/]+?)(?:[.]git)?(#.*)?$/);

  if (!matched) {
    var legacy = url.parse(giturl); // If we don't have url.URL, then sorry, this is just not fixable.
    // This affects Node <= 6.12.

    if (legacy.auth && typeof url.URL === 'function') {
      // git urls can be in the form of scp-style/ssh-connect strings, like
      // git+ssh://user@host.com:some/path, which the legacy url parser
      // supports, but WhatWG url.URL class does not.  However, the legacy
      // parser de-urlencodes the username and password, so something like
      // https://user%3An%40me:p%40ss%3Aword@x.com/ becomes
      // https://user:n@me:p@ss:word@x.com/ which is all kinds of wrong.
      // Pull off just the auth and host, so we dont' get the confusing
      // scp-style URL, then pass that to the WhatWG parser to get the
      // auth properly escaped.
      var authmatch = giturl.match(/[^@]+@[^:/]+/);
      /* istanbul ignore else - this should be impossible */

      if (authmatch) {
        var whatwg = new url.URL(authmatch[0]);
        legacy.auth = whatwg.username || '';
        if (whatwg.password) legacy.auth += ':' + whatwg.password;
      }
    }

    return legacy;
  }

  return {
    protocol: 'git+ssh:',
    slashes: true,
    auth: matched[1],
    host: matched[2],
    port: null,
    hostname: matched[2],
    hash: matched[4],
    search: null,
    query: null,
    pathname: '/' + matched[3],
    path: '/' + matched[3],
    href: 'git+ssh://' + matched[1] + '@' + matched[2] + '/' + matched[3] + (matched[4] || '')
  };
}

/***/ }),

/***/ "./node_modules/.f/_/http-cache-semantics/3.8.1/http-cache-semantics/node4/index.js":
/***/ ((module) => {

"use strict";
 // rfc7231 6.1

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

var statusCodeCacheableByDefault = [200, 203, 204, 206, 300, 301, 404, 405, 410, 414, 501]; // This implementation does not understand partial responses (206)

var understoodStatuses = [200, 203, 204, 300, 301, 302, 303, 307, 308, 404, 405, 410, 414, 501];
var hopByHopHeaders = {
  'connection': true,
  'keep-alive': true,
  'proxy-authenticate': true,
  'proxy-authorization': true,
  'te': true,
  'trailer': true,
  'transfer-encoding': true,
  'upgrade': true
};
var excludedFromRevalidationUpdate = {
  // Since the old body is reused, it doesn't make sense to change properties of the body
  'content-length': true,
  'content-encoding': true,
  'transfer-encoding': true,
  'content-range': true
};

function parseCacheControl(header) {
  var cc = {};
  if (!header) return cc; // TODO: When there is more than one value present for a given directive (e.g., two Expires header fields, multiple Cache-Control: max-age directives),
  // the directive's value is considered invalid. Caches are encouraged to consider responses that have invalid freshness information to be stale

  var parts = header.trim().split(/\s*,\s*/); // TODO: lame parsing

  for (var _iterator = parts, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var part = _ref;

    var _part$split = part.split(/\s*=\s*/, 2),
        k = _part$split[0],
        v = _part$split[1];

    cc[k] = v === undefined ? true : v.replace(/^"|"$/g, ''); // TODO: lame unquoting
  }

  return cc;
}

function formatCacheControl(cc) {
  var parts = [];

  for (var k in cc) {
    var v = cc[k];
    parts.push(v === true ? k : k + '=' + v);
  }

  if (!parts.length) {
    return undefined;
  }

  return parts.join(', ');
}

module.exports = function () {
  function CachePolicy(req, res) {
    var _ref2 = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
        shared = _ref2.shared,
        cacheHeuristic = _ref2.cacheHeuristic,
        immutableMinTimeToLive = _ref2.immutableMinTimeToLive,
        ignoreCargoCult = _ref2.ignoreCargoCult,
        _fromObject = _ref2._fromObject;

    _classCallCheck(this, CachePolicy);

    if (_fromObject) {
      this._fromObject(_fromObject);

      return;
    }

    if (!res || !res.headers) {
      throw Error("Response headers missing");
    }

    this._assertRequestHasHeaders(req);

    this._responseTime = this.now();
    this._isShared = shared !== false;
    this._cacheHeuristic = undefined !== cacheHeuristic ? cacheHeuristic : 0.1; // 10% matches IE

    this._immutableMinTtl = undefined !== immutableMinTimeToLive ? immutableMinTimeToLive : 24 * 3600 * 1000;
    this._status = 'status' in res ? res.status : 200;
    this._resHeaders = res.headers;
    this._rescc = parseCacheControl(res.headers['cache-control']);
    this._method = 'method' in req ? req.method : 'GET';
    this._url = req.url;
    this._host = req.headers.host;
    this._noAuthorization = !req.headers.authorization;
    this._reqHeaders = res.headers.vary ? req.headers : null; // Don't keep all request headers if they won't be used

    this._reqcc = parseCacheControl(req.headers['cache-control']); // Assume that if someone uses legacy, non-standard uncecessary options they don't understand caching,
    // so there's no point stricly adhering to the blindly copy&pasted directives.

    if (ignoreCargoCult && "pre-check" in this._rescc && "post-check" in this._rescc) {
      delete this._rescc['pre-check'];
      delete this._rescc['post-check'];
      delete this._rescc['no-cache'];
      delete this._rescc['no-store'];
      delete this._rescc['must-revalidate'];
      this._resHeaders = Object.assign({}, this._resHeaders, {
        'cache-control': formatCacheControl(this._rescc)
      });
      delete this._resHeaders.expires;
      delete this._resHeaders.pragma;
    } // When the Cache-Control header field is not present in a request, caches MUST consider the no-cache request pragma-directive
    // as having the same effect as if "Cache-Control: no-cache" were present (see Section 5.2.1).


    if (!res.headers['cache-control'] && /no-cache/.test(res.headers.pragma)) {
      this._rescc['no-cache'] = true;
    }
  }

  CachePolicy.prototype.now = function now() {
    return Date.now();
  };

  CachePolicy.prototype.storable = function storable() {
    // The "no-store" request directive indicates that a cache MUST NOT store any part of either this request or any response to it.
    return !!(!this._reqcc['no-store'] && ( // A cache MUST NOT store a response to any request, unless:
    // The request method is understood by the cache and defined as being cacheable, and
    'GET' === this._method || 'HEAD' === this._method || 'POST' === this._method && this._hasExplicitExpiration()) && // the response status code is understood by the cache, and
    understoodStatuses.indexOf(this._status) !== -1 && // the "no-store" cache directive does not appear in request or response header fields, and
    !this._rescc['no-store'] && ( // the "private" response directive does not appear in the response, if the cache is shared, and
    !this._isShared || !this._rescc.private) && ( // the Authorization header field does not appear in the request, if the cache is shared,
    !this._isShared || this._noAuthorization || this._allowsStoringAuthenticated()) && ( // the response either:
    // contains an Expires header field, or
    this._resHeaders.expires || // contains a max-age response directive, or
    // contains a s-maxage response directive and the cache is shared, or
    // contains a public response directive.
    this._rescc.public || this._rescc['max-age'] || this._rescc['s-maxage'] || // has a status code that is defined as cacheable by default
    statusCodeCacheableByDefault.indexOf(this._status) !== -1));
  };

  CachePolicy.prototype._hasExplicitExpiration = function _hasExplicitExpiration() {
    // 4.2.1 Calculating Freshness Lifetime
    return this._isShared && this._rescc['s-maxage'] || this._rescc['max-age'] || this._resHeaders.expires;
  };

  CachePolicy.prototype._assertRequestHasHeaders = function _assertRequestHasHeaders(req) {
    if (!req || !req.headers) {
      throw Error("Request headers missing");
    }
  };

  CachePolicy.prototype.satisfiesWithoutRevalidation = function satisfiesWithoutRevalidation(req) {
    this._assertRequestHasHeaders(req); // When presented with a request, a cache MUST NOT reuse a stored response, unless:
    // the presented request does not contain the no-cache pragma (Section 5.4), nor the no-cache cache directive,
    // unless the stored response is successfully validated (Section 4.3), and


    var requestCC = parseCacheControl(req.headers['cache-control']);

    if (requestCC['no-cache'] || /no-cache/.test(req.headers.pragma)) {
      return false;
    }

    if (requestCC['max-age'] && this.age() > requestCC['max-age']) {
      return false;
    }

    if (requestCC['min-fresh'] && this.timeToLive() < 1000 * requestCC['min-fresh']) {
      return false;
    } // the stored response is either:
    // fresh, or allowed to be served stale


    if (this.stale()) {
      var allowsStale = requestCC['max-stale'] && !this._rescc['must-revalidate'] && (true === requestCC['max-stale'] || requestCC['max-stale'] > this.age() - this.maxAge());

      if (!allowsStale) {
        return false;
      }
    }

    return this._requestMatches(req, false);
  };

  CachePolicy.prototype._requestMatches = function _requestMatches(req, allowHeadMethod) {
    // The presented effective request URI and that of the stored response match, and
    return (!this._url || this._url === req.url) && this._host === req.headers.host && ( // the request method associated with the stored response allows it to be used for the presented request, and
    !req.method || this._method === req.method || allowHeadMethod && 'HEAD' === req.method) && // selecting header fields nominated by the stored response (if any) match those presented, and
    this._varyMatches(req);
  };

  CachePolicy.prototype._allowsStoringAuthenticated = function _allowsStoringAuthenticated() {
    //  following Cache-Control response directives (Section 5.2.2) have such an effect: must-revalidate, public, and s-maxage.
    return this._rescc['must-revalidate'] || this._rescc.public || this._rescc['s-maxage'];
  };

  CachePolicy.prototype._varyMatches = function _varyMatches(req) {
    if (!this._resHeaders.vary) {
      return true;
    } // A Vary header field-value of "*" always fails to match


    if (this._resHeaders.vary === '*') {
      return false;
    }

    var fields = this._resHeaders.vary.trim().toLowerCase().split(/\s*,\s*/);

    for (var _iterator2 = fields, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
      var _ref3;

      if (_isArray2) {
        if (_i2 >= _iterator2.length) break;
        _ref3 = _iterator2[_i2++];
      } else {
        _i2 = _iterator2.next();
        if (_i2.done) break;
        _ref3 = _i2.value;
      }

      var name = _ref3;
      if (req.headers[name] !== this._reqHeaders[name]) return false;
    }

    return true;
  };

  CachePolicy.prototype._copyWithoutHopByHopHeaders = function _copyWithoutHopByHopHeaders(inHeaders) {
    var headers = {};

    for (var name in inHeaders) {
      if (hopByHopHeaders[name]) continue;
      headers[name] = inHeaders[name];
    } // 9.1.  Connection


    if (inHeaders.connection) {
      var tokens = inHeaders.connection.trim().split(/\s*,\s*/);

      for (var _iterator3 = tokens, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _iterator3[Symbol.iterator]();;) {
        var _ref4;

        if (_isArray3) {
          if (_i3 >= _iterator3.length) break;
          _ref4 = _iterator3[_i3++];
        } else {
          _i3 = _iterator3.next();
          if (_i3.done) break;
          _ref4 = _i3.value;
        }

        var _name = _ref4;
        delete headers[_name];
      }
    }

    if (headers.warning) {
      var warnings = headers.warning.split(/,/).filter(function (warning) {
        return !/^\s*1[0-9][0-9]/.test(warning);
      });

      if (!warnings.length) {
        delete headers.warning;
      } else {
        headers.warning = warnings.join(',').trim();
      }
    }

    return headers;
  };

  CachePolicy.prototype.responseHeaders = function responseHeaders() {
    var headers = this._copyWithoutHopByHopHeaders(this._resHeaders);

    var age = this.age(); // A cache SHOULD generate 113 warning if it heuristically chose a freshness
    // lifetime greater than 24 hours and the response's age is greater than 24 hours.

    if (age > 3600 * 24 && !this._hasExplicitExpiration() && this.maxAge() > 3600 * 24) {
      headers.warning = (headers.warning ? `${headers.warning}, ` : '') + '113 - "rfc7234 5.5.4"';
    }

    headers.age = `${Math.round(age)}`;
    return headers;
  };
  /**
   * Value of the Date response header or current time if Date was demed invalid
   * @return timestamp
   */


  CachePolicy.prototype.date = function date() {
    var dateValue = Date.parse(this._resHeaders.date);
    var maxClockDrift = 8 * 3600 * 1000;

    if (Number.isNaN(dateValue) || dateValue < this._responseTime - maxClockDrift || dateValue > this._responseTime + maxClockDrift) {
      return this._responseTime;
    }

    return dateValue;
  };
  /**
   * Value of the Age header, in seconds, updated for the current time.
   * May be fractional.
   *
   * @return Number
   */


  CachePolicy.prototype.age = function age() {
    var age = Math.max(0, (this._responseTime - this.date()) / 1000);

    if (this._resHeaders.age) {
      var ageValue = this._ageValue();

      if (ageValue > age) age = ageValue;
    }

    var residentTime = (this.now() - this._responseTime) / 1000;
    return age + residentTime;
  };

  CachePolicy.prototype._ageValue = function _ageValue() {
    var ageValue = parseInt(this._resHeaders.age);
    return isFinite(ageValue) ? ageValue : 0;
  };
  /**
   * Value of applicable max-age (or heuristic equivalent) in seconds. This counts since response's `Date`.
   *
   * For an up-to-date value, see `timeToLive()`.
   *
   * @return Number
   */


  CachePolicy.prototype.maxAge = function maxAge() {
    if (!this.storable() || this._rescc['no-cache']) {
      return 0;
    } // Shared responses with cookies are cacheable according to the RFC, but IMHO it'd be unwise to do so by default
    // so this implementation requires explicit opt-in via public header


    if (this._isShared && this._resHeaders['set-cookie'] && !this._rescc.public && !this._rescc.immutable) {
      return 0;
    }

    if (this._resHeaders.vary === '*') {
      return 0;
    }

    if (this._isShared) {
      if (this._rescc['proxy-revalidate']) {
        return 0;
      } // if a response includes the s-maxage directive, a shared cache recipient MUST ignore the Expires field.


      if (this._rescc['s-maxage']) {
        return parseInt(this._rescc['s-maxage'], 10);
      }
    } // If a response includes a Cache-Control field with the max-age directive, a recipient MUST ignore the Expires field.


    if (this._rescc['max-age']) {
      return parseInt(this._rescc['max-age'], 10);
    }

    var defaultMinTtl = this._rescc.immutable ? this._immutableMinTtl : 0;
    var dateValue = this.date();

    if (this._resHeaders.expires) {
      var expires = Date.parse(this._resHeaders.expires); // A cache recipient MUST interpret invalid date formats, especially the value "0", as representing a time in the past (i.e., "already expired").

      if (Number.isNaN(expires) || expires < dateValue) {
        return 0;
      }

      return Math.max(defaultMinTtl, (expires - dateValue) / 1000);
    }

    if (this._resHeaders['last-modified']) {
      var lastModified = Date.parse(this._resHeaders['last-modified']);

      if (isFinite(lastModified) && dateValue > lastModified) {
        return Math.max(defaultMinTtl, (dateValue - lastModified) / 1000 * this._cacheHeuristic);
      }
    }

    return defaultMinTtl;
  };

  CachePolicy.prototype.timeToLive = function timeToLive() {
    return Math.max(0, this.maxAge() - this.age()) * 1000;
  };

  CachePolicy.prototype.stale = function stale() {
    return this.maxAge() <= this.age();
  };

  CachePolicy.fromObject = function fromObject(obj) {
    return new this(undefined, undefined, {
      _fromObject: obj
    });
  };

  CachePolicy.prototype._fromObject = function _fromObject(obj) {
    if (this._responseTime) throw Error("Reinitialized");
    if (!obj || obj.v !== 1) throw Error("Invalid serialization");
    this._responseTime = obj.t;
    this._isShared = obj.sh;
    this._cacheHeuristic = obj.ch;
    this._immutableMinTtl = obj.imm !== undefined ? obj.imm : 24 * 3600 * 1000;
    this._status = obj.st;
    this._resHeaders = obj.resh;
    this._rescc = obj.rescc;
    this._method = obj.m;
    this._url = obj.u;
    this._host = obj.h;
    this._noAuthorization = obj.a;
    this._reqHeaders = obj.reqh;
    this._reqcc = obj.reqcc;
  };

  CachePolicy.prototype.toObject = function toObject() {
    return {
      v: 1,
      t: this._responseTime,
      sh: this._isShared,
      ch: this._cacheHeuristic,
      imm: this._immutableMinTtl,
      st: this._status,
      resh: this._resHeaders,
      rescc: this._rescc,
      m: this._method,
      u: this._url,
      h: this._host,
      a: this._noAuthorization,
      reqh: this._reqHeaders,
      reqcc: this._reqcc
    };
  };
  /**
   * Headers for sending to the origin server to revalidate stale response.
   * Allows server to return 304 to allow reuse of the previous response.
   *
   * Hop by hop headers are always stripped.
   * Revalidation headers may be added or removed, depending on request.
   */


  CachePolicy.prototype.revalidationHeaders = function revalidationHeaders(incomingReq) {
    this._assertRequestHasHeaders(incomingReq);

    var headers = this._copyWithoutHopByHopHeaders(incomingReq.headers); // This implementation does not understand range requests


    delete headers['if-range'];

    if (!this._requestMatches(incomingReq, true) || !this.storable()) {
      // revalidation allowed via HEAD
      // not for the same resource, or wasn't allowed to be cached anyway
      delete headers['if-none-match'];
      delete headers['if-modified-since'];
      return headers;
    }
    /* MUST send that entity-tag in any cache validation request (using If-Match or If-None-Match) if an entity-tag has been provided by the origin server. */


    if (this._resHeaders.etag) {
      headers['if-none-match'] = headers['if-none-match'] ? `${headers['if-none-match']}, ${this._resHeaders.etag}` : this._resHeaders.etag;
    } // Clients MAY issue simple (non-subrange) GET requests with either weak validators or strong validators. Clients MUST NOT use weak validators in other forms of request.


    var forbidsWeakValidators = headers['accept-ranges'] || headers['if-match'] || headers['if-unmodified-since'] || this._method && this._method != 'GET';
    /* SHOULD send the Last-Modified value in non-subrange cache validation requests (using If-Modified-Since) if only a Last-Modified value has been provided by the origin server.
    Note: This implementation does not understand partial responses (206) */

    if (forbidsWeakValidators) {
      delete headers['if-modified-since'];

      if (headers['if-none-match']) {
        var etags = headers['if-none-match'].split(/,/).filter(function (etag) {
          return !/^\s*W\//.test(etag);
        });

        if (!etags.length) {
          delete headers['if-none-match'];
        } else {
          headers['if-none-match'] = etags.join(',').trim();
        }
      }
    } else if (this._resHeaders['last-modified'] && !headers['if-modified-since']) {
      headers['if-modified-since'] = this._resHeaders['last-modified'];
    }

    return headers;
  };
  /**
   * Creates new CachePolicy with information combined from the previews response,
   * and the new revalidation response.
   *
   * Returns {policy, modified} where modified is a boolean indicating
   * whether the response body has been modified, and old cached body can't be used.
   *
   * @return {Object} {policy: CachePolicy, modified: Boolean}
   */


  CachePolicy.prototype.revalidatedPolicy = function revalidatedPolicy(request, response) {
    this._assertRequestHasHeaders(request);

    if (!response || !response.headers) {
      throw Error("Response headers missing");
    } // These aren't going to be supported exactly, since one CachePolicy object
    // doesn't know about all the other cached objects.


    var matches = false;

    if (response.status !== undefined && response.status != 304) {
      matches = false;
    } else if (response.headers.etag && !/^\s*W\//.test(response.headers.etag)) {
      // "All of the stored responses with the same strong validator are selected.
      // If none of the stored responses contain the same strong validator,
      // then the cache MUST NOT use the new response to update any stored responses."
      matches = this._resHeaders.etag && this._resHeaders.etag.replace(/^\s*W\//, '') === response.headers.etag;
    } else if (this._resHeaders.etag && response.headers.etag) {
      // "If the new response contains a weak validator and that validator corresponds
      // to one of the cache's stored responses,
      // then the most recent of those matching stored responses is selected for update."
      matches = this._resHeaders.etag.replace(/^\s*W\//, '') === response.headers.etag.replace(/^\s*W\//, '');
    } else if (this._resHeaders['last-modified']) {
      matches = this._resHeaders['last-modified'] === response.headers['last-modified'];
    } else {
      // If the new response does not include any form of validator (such as in the case where
      // a client generates an If-Modified-Since request from a source other than the Last-Modified
      // response header field), and there is only one stored response, and that stored response also
      // lacks a validator, then that stored response is selected for update.
      if (!this._resHeaders.etag && !this._resHeaders['last-modified'] && !response.headers.etag && !response.headers['last-modified']) {
        matches = true;
      }
    }

    if (!matches) {
      return {
        policy: new this.constructor(request, response),
        modified: true
      };
    } // use other header fields provided in the 304 (Not Modified) response to replace all instances
    // of the corresponding header fields in the stored response.


    var headers = {};

    for (var k in this._resHeaders) {
      headers[k] = k in response.headers && !excludedFromRevalidationUpdate[k] ? response.headers[k] : this._resHeaders[k];
    }

    var newResponse = Object.assign({}, response, {
      status: this._status,
      method: this._method,
      headers
    });
    return {
      policy: new this.constructor(request, newResponse),
      modified: false
    };
  };

  return CachePolicy;
}();

/***/ }),

/***/ "./node_modules/.f/_/http-cache-semantics/4.1.0/http-cache-semantics/index.js":
/***/ ((module) => {

"use strict";
 // rfc7231 6.1

const statusCodeCacheableByDefault = new Set([200, 203, 204, 206, 300, 301, 404, 405, 410, 414, 501]); // This implementation does not understand partial responses (206)

const understoodStatuses = new Set([200, 203, 204, 300, 301, 302, 303, 307, 308, 404, 405, 410, 414, 501]);
const errorStatusCodes = new Set([500, 502, 503, 504]);
const hopByHopHeaders = {
  date: true,
  // included, because we add Age update Date
  connection: true,
  'keep-alive': true,
  'proxy-authenticate': true,
  'proxy-authorization': true,
  te: true,
  trailer: true,
  'transfer-encoding': true,
  upgrade: true
};
const excludedFromRevalidationUpdate = {
  // Since the old body is reused, it doesn't make sense to change properties of the body
  'content-length': true,
  'content-encoding': true,
  'transfer-encoding': true,
  'content-range': true
};

function toNumberOrZero(s) {
  const n = parseInt(s, 10);
  return isFinite(n) ? n : 0;
} // RFC 5861


function isErrorResponse(response) {
  // consider undefined response as faulty
  if (!response) {
    return true;
  }

  return errorStatusCodes.has(response.status);
}

function parseCacheControl(header) {
  const cc = {};
  if (!header) return cc; // TODO: When there is more than one value present for a given directive (e.g., two Expires header fields, multiple Cache-Control: max-age directives),
  // the directive's value is considered invalid. Caches are encouraged to consider responses that have invalid freshness information to be stale

  const parts = header.trim().split(/\s*,\s*/); // TODO: lame parsing

  for (const part of parts) {
    const [k, v] = part.split(/\s*=\s*/, 2);
    cc[k] = v === undefined ? true : v.replace(/^"|"$/g, ''); // TODO: lame unquoting
  }

  return cc;
}

function formatCacheControl(cc) {
  let parts = [];

  for (const k in cc) {
    const v = cc[k];
    parts.push(v === true ? k : k + '=' + v);
  }

  if (!parts.length) {
    return undefined;
  }

  return parts.join(', ');
}

module.exports = class CachePolicy {
  constructor(req, res, {
    shared,
    cacheHeuristic,
    immutableMinTimeToLive,
    ignoreCargoCult,
    _fromObject
  } = {}) {
    if (_fromObject) {
      this._fromObject(_fromObject);

      return;
    }

    if (!res || !res.headers) {
      throw Error('Response headers missing');
    }

    this._assertRequestHasHeaders(req);

    this._responseTime = this.now();
    this._isShared = shared !== false;
    this._cacheHeuristic = undefined !== cacheHeuristic ? cacheHeuristic : 0.1; // 10% matches IE

    this._immutableMinTtl = undefined !== immutableMinTimeToLive ? immutableMinTimeToLive : 24 * 3600 * 1000;
    this._status = 'status' in res ? res.status : 200;
    this._resHeaders = res.headers;
    this._rescc = parseCacheControl(res.headers['cache-control']);
    this._method = 'method' in req ? req.method : 'GET';
    this._url = req.url;
    this._host = req.headers.host;
    this._noAuthorization = !req.headers.authorization;
    this._reqHeaders = res.headers.vary ? req.headers : null; // Don't keep all request headers if they won't be used

    this._reqcc = parseCacheControl(req.headers['cache-control']); // Assume that if someone uses legacy, non-standard uncecessary options they don't understand caching,
    // so there's no point stricly adhering to the blindly copy&pasted directives.

    if (ignoreCargoCult && 'pre-check' in this._rescc && 'post-check' in this._rescc) {
      delete this._rescc['pre-check'];
      delete this._rescc['post-check'];
      delete this._rescc['no-cache'];
      delete this._rescc['no-store'];
      delete this._rescc['must-revalidate'];
      this._resHeaders = Object.assign({}, this._resHeaders, {
        'cache-control': formatCacheControl(this._rescc)
      });
      delete this._resHeaders.expires;
      delete this._resHeaders.pragma;
    } // When the Cache-Control header field is not present in a request, caches MUST consider the no-cache request pragma-directive
    // as having the same effect as if "Cache-Control: no-cache" were present (see Section 5.2.1).


    if (res.headers['cache-control'] == null && /no-cache/.test(res.headers.pragma)) {
      this._rescc['no-cache'] = true;
    }
  }

  now() {
    return Date.now();
  }

  storable() {
    // The "no-store" request directive indicates that a cache MUST NOT store any part of either this request or any response to it.
    return !!(!this._reqcc['no-store'] && ( // A cache MUST NOT store a response to any request, unless:
    // The request method is understood by the cache and defined as being cacheable, and
    'GET' === this._method || 'HEAD' === this._method || 'POST' === this._method && this._hasExplicitExpiration()) && // the response status code is understood by the cache, and
    understoodStatuses.has(this._status) && // the "no-store" cache directive does not appear in request or response header fields, and
    !this._rescc['no-store'] && ( // the "private" response directive does not appear in the response, if the cache is shared, and
    !this._isShared || !this._rescc.private) && ( // the Authorization header field does not appear in the request, if the cache is shared,
    !this._isShared || this._noAuthorization || this._allowsStoringAuthenticated()) && ( // the response either:
    // contains an Expires header field, or
    this._resHeaders.expires || // contains a max-age response directive, or
    // contains a s-maxage response directive and the cache is shared, or
    // contains a public response directive.
    this._rescc['max-age'] || this._isShared && this._rescc['s-maxage'] || this._rescc.public || // has a status code that is defined as cacheable by default
    statusCodeCacheableByDefault.has(this._status)));
  }

  _hasExplicitExpiration() {
    // 4.2.1 Calculating Freshness Lifetime
    return this._isShared && this._rescc['s-maxage'] || this._rescc['max-age'] || this._resHeaders.expires;
  }

  _assertRequestHasHeaders(req) {
    if (!req || !req.headers) {
      throw Error('Request headers missing');
    }
  }

  satisfiesWithoutRevalidation(req) {
    this._assertRequestHasHeaders(req); // When presented with a request, a cache MUST NOT reuse a stored response, unless:
    // the presented request does not contain the no-cache pragma (Section 5.4), nor the no-cache cache directive,
    // unless the stored response is successfully validated (Section 4.3), and


    const requestCC = parseCacheControl(req.headers['cache-control']);

    if (requestCC['no-cache'] || /no-cache/.test(req.headers.pragma)) {
      return false;
    }

    if (requestCC['max-age'] && this.age() > requestCC['max-age']) {
      return false;
    }

    if (requestCC['min-fresh'] && this.timeToLive() < 1000 * requestCC['min-fresh']) {
      return false;
    } // the stored response is either:
    // fresh, or allowed to be served stale


    if (this.stale()) {
      const allowsStale = requestCC['max-stale'] && !this._rescc['must-revalidate'] && (true === requestCC['max-stale'] || requestCC['max-stale'] > this.age() - this.maxAge());

      if (!allowsStale) {
        return false;
      }
    }

    return this._requestMatches(req, false);
  }

  _requestMatches(req, allowHeadMethod) {
    // The presented effective request URI and that of the stored response match, and
    return (!this._url || this._url === req.url) && this._host === req.headers.host && ( // the request method associated with the stored response allows it to be used for the presented request, and
    !req.method || this._method === req.method || allowHeadMethod && 'HEAD' === req.method) && // selecting header fields nominated by the stored response (if any) match those presented, and
    this._varyMatches(req);
  }

  _allowsStoringAuthenticated() {
    //  following Cache-Control response directives (Section 5.2.2) have such an effect: must-revalidate, public, and s-maxage.
    return this._rescc['must-revalidate'] || this._rescc.public || this._rescc['s-maxage'];
  }

  _varyMatches(req) {
    if (!this._resHeaders.vary) {
      return true;
    } // A Vary header field-value of "*" always fails to match


    if (this._resHeaders.vary === '*') {
      return false;
    }

    const fields = this._resHeaders.vary.trim().toLowerCase().split(/\s*,\s*/);

    for (const name of fields) {
      if (req.headers[name] !== this._reqHeaders[name]) return false;
    }

    return true;
  }

  _copyWithoutHopByHopHeaders(inHeaders) {
    const headers = {};

    for (const name in inHeaders) {
      if (hopByHopHeaders[name]) continue;
      headers[name] = inHeaders[name];
    } // 9.1.  Connection


    if (inHeaders.connection) {
      const tokens = inHeaders.connection.trim().split(/\s*,\s*/);

      for (const name of tokens) {
        delete headers[name];
      }
    }

    if (headers.warning) {
      const warnings = headers.warning.split(/,/).filter(warning => {
        return !/^\s*1[0-9][0-9]/.test(warning);
      });

      if (!warnings.length) {
        delete headers.warning;
      } else {
        headers.warning = warnings.join(',').trim();
      }
    }

    return headers;
  }

  responseHeaders() {
    const headers = this._copyWithoutHopByHopHeaders(this._resHeaders);

    const age = this.age(); // A cache SHOULD generate 113 warning if it heuristically chose a freshness
    // lifetime greater than 24 hours and the response's age is greater than 24 hours.

    if (age > 3600 * 24 && !this._hasExplicitExpiration() && this.maxAge() > 3600 * 24) {
      headers.warning = (headers.warning ? `${headers.warning}, ` : '') + '113 - "rfc7234 5.5.4"';
    }

    headers.age = `${Math.round(age)}`;
    headers.date = new Date(this.now()).toUTCString();
    return headers;
  }
  /**
   * Value of the Date response header or current time if Date was invalid
   * @return timestamp
   */


  date() {
    const serverDate = Date.parse(this._resHeaders.date);

    if (isFinite(serverDate)) {
      return serverDate;
    }

    return this._responseTime;
  }
  /**
   * Value of the Age header, in seconds, updated for the current time.
   * May be fractional.
   *
   * @return Number
   */


  age() {
    let age = this._ageValue();

    const residentTime = (this.now() - this._responseTime) / 1000;
    return age + residentTime;
  }

  _ageValue() {
    return toNumberOrZero(this._resHeaders.age);
  }
  /**
   * Value of applicable max-age (or heuristic equivalent) in seconds. This counts since response's `Date`.
   *
   * For an up-to-date value, see `timeToLive()`.
   *
   * @return Number
   */


  maxAge() {
    if (!this.storable() || this._rescc['no-cache']) {
      return 0;
    } // Shared responses with cookies are cacheable according to the RFC, but IMHO it'd be unwise to do so by default
    // so this implementation requires explicit opt-in via public header


    if (this._isShared && this._resHeaders['set-cookie'] && !this._rescc.public && !this._rescc.immutable) {
      return 0;
    }

    if (this._resHeaders.vary === '*') {
      return 0;
    }

    if (this._isShared) {
      if (this._rescc['proxy-revalidate']) {
        return 0;
      } // if a response includes the s-maxage directive, a shared cache recipient MUST ignore the Expires field.


      if (this._rescc['s-maxage']) {
        return toNumberOrZero(this._rescc['s-maxage']);
      }
    } // If a response includes a Cache-Control field with the max-age directive, a recipient MUST ignore the Expires field.


    if (this._rescc['max-age']) {
      return toNumberOrZero(this._rescc['max-age']);
    }

    const defaultMinTtl = this._rescc.immutable ? this._immutableMinTtl : 0;
    const serverDate = this.date();

    if (this._resHeaders.expires) {
      const expires = Date.parse(this._resHeaders.expires); // A cache recipient MUST interpret invalid date formats, especially the value "0", as representing a time in the past (i.e., "already expired").

      if (Number.isNaN(expires) || expires < serverDate) {
        return 0;
      }

      return Math.max(defaultMinTtl, (expires - serverDate) / 1000);
    }

    if (this._resHeaders['last-modified']) {
      const lastModified = Date.parse(this._resHeaders['last-modified']);

      if (isFinite(lastModified) && serverDate > lastModified) {
        return Math.max(defaultMinTtl, (serverDate - lastModified) / 1000 * this._cacheHeuristic);
      }
    }

    return defaultMinTtl;
  }

  timeToLive() {
    const age = this.maxAge() - this.age();
    const staleIfErrorAge = age + toNumberOrZero(this._rescc['stale-if-error']);
    const staleWhileRevalidateAge = age + toNumberOrZero(this._rescc['stale-while-revalidate']);
    return Math.max(0, age, staleIfErrorAge, staleWhileRevalidateAge) * 1000;
  }

  stale() {
    return this.maxAge() <= this.age();
  }

  _useStaleIfError() {
    return this.maxAge() + toNumberOrZero(this._rescc['stale-if-error']) > this.age();
  }

  useStaleWhileRevalidate() {
    return this.maxAge() + toNumberOrZero(this._rescc['stale-while-revalidate']) > this.age();
  }

  static fromObject(obj) {
    return new this(undefined, undefined, {
      _fromObject: obj
    });
  }

  _fromObject(obj) {
    if (this._responseTime) throw Error('Reinitialized');
    if (!obj || obj.v !== 1) throw Error('Invalid serialization');
    this._responseTime = obj.t;
    this._isShared = obj.sh;
    this._cacheHeuristic = obj.ch;
    this._immutableMinTtl = obj.imm !== undefined ? obj.imm : 24 * 3600 * 1000;
    this._status = obj.st;
    this._resHeaders = obj.resh;
    this._rescc = obj.rescc;
    this._method = obj.m;
    this._url = obj.u;
    this._host = obj.h;
    this._noAuthorization = obj.a;
    this._reqHeaders = obj.reqh;
    this._reqcc = obj.reqcc;
  }

  toObject() {
    return {
      v: 1,
      t: this._responseTime,
      sh: this._isShared,
      ch: this._cacheHeuristic,
      imm: this._immutableMinTtl,
      st: this._status,
      resh: this._resHeaders,
      rescc: this._rescc,
      m: this._method,
      u: this._url,
      h: this._host,
      a: this._noAuthorization,
      reqh: this._reqHeaders,
      reqcc: this._reqcc
    };
  }
  /**
   * Headers for sending to the origin server to revalidate stale response.
   * Allows server to return 304 to allow reuse of the previous response.
   *
   * Hop by hop headers are always stripped.
   * Revalidation headers may be added or removed, depending on request.
   */


  revalidationHeaders(incomingReq) {
    this._assertRequestHasHeaders(incomingReq);

    const headers = this._copyWithoutHopByHopHeaders(incomingReq.headers); // This implementation does not understand range requests


    delete headers['if-range'];

    if (!this._requestMatches(incomingReq, true) || !this.storable()) {
      // revalidation allowed via HEAD
      // not for the same resource, or wasn't allowed to be cached anyway
      delete headers['if-none-match'];
      delete headers['if-modified-since'];
      return headers;
    }
    /* MUST send that entity-tag in any cache validation request (using If-Match or If-None-Match) if an entity-tag has been provided by the origin server. */


    if (this._resHeaders.etag) {
      headers['if-none-match'] = headers['if-none-match'] ? `${headers['if-none-match']}, ${this._resHeaders.etag}` : this._resHeaders.etag;
    } // Clients MAY issue simple (non-subrange) GET requests with either weak validators or strong validators. Clients MUST NOT use weak validators in other forms of request.


    const forbidsWeakValidators = headers['accept-ranges'] || headers['if-match'] || headers['if-unmodified-since'] || this._method && this._method != 'GET';
    /* SHOULD send the Last-Modified value in non-subrange cache validation requests (using If-Modified-Since) if only a Last-Modified value has been provided by the origin server.
    Note: This implementation does not understand partial responses (206) */

    if (forbidsWeakValidators) {
      delete headers['if-modified-since'];

      if (headers['if-none-match']) {
        const etags = headers['if-none-match'].split(/,/).filter(etag => {
          return !/^\s*W\//.test(etag);
        });

        if (!etags.length) {
          delete headers['if-none-match'];
        } else {
          headers['if-none-match'] = etags.join(',').trim();
        }
      }
    } else if (this._resHeaders['last-modified'] && !headers['if-modified-since']) {
      headers['if-modified-since'] = this._resHeaders['last-modified'];
    }

    return headers;
  }
  /**
   * Creates new CachePolicy with information combined from the previews response,
   * and the new revalidation response.
   *
   * Returns {policy, modified} where modified is a boolean indicating
   * whether the response body has been modified, and old cached body can't be used.
   *
   * @return {Object} {policy: CachePolicy, modified: Boolean}
   */


  revalidatedPolicy(request, response) {
    this._assertRequestHasHeaders(request);

    if (this._useStaleIfError() && isErrorResponse(response)) {
      // I consider the revalidation request unsuccessful
      return {
        modified: false,
        matches: false,
        policy: this
      };
    }

    if (!response || !response.headers) {
      throw Error('Response headers missing');
    } // These aren't going to be supported exactly, since one CachePolicy object
    // doesn't know about all the other cached objects.


    let matches = false;

    if (response.status !== undefined && response.status != 304) {
      matches = false;
    } else if (response.headers.etag && !/^\s*W\//.test(response.headers.etag)) {
      // "All of the stored responses with the same strong validator are selected.
      // If none of the stored responses contain the same strong validator,
      // then the cache MUST NOT use the new response to update any stored responses."
      matches = this._resHeaders.etag && this._resHeaders.etag.replace(/^\s*W\//, '') === response.headers.etag;
    } else if (this._resHeaders.etag && response.headers.etag) {
      // "If the new response contains a weak validator and that validator corresponds
      // to one of the cache's stored responses,
      // then the most recent of those matching stored responses is selected for update."
      matches = this._resHeaders.etag.replace(/^\s*W\//, '') === response.headers.etag.replace(/^\s*W\//, '');
    } else if (this._resHeaders['last-modified']) {
      matches = this._resHeaders['last-modified'] === response.headers['last-modified'];
    } else {
      // If the new response does not include any form of validator (such as in the case where
      // a client generates an If-Modified-Since request from a source other than the Last-Modified
      // response header field), and there is only one stored response, and that stored response also
      // lacks a validator, then that stored response is selected for update.
      if (!this._resHeaders.etag && !this._resHeaders['last-modified'] && !response.headers.etag && !response.headers['last-modified']) {
        matches = true;
      }
    }

    if (!matches) {
      return {
        policy: new this.constructor(request, response),
        // Client receiving 304 without body, even if it's invalid/mismatched has no option
        // but to reuse a cached body. We don't have a good way to tell clients to do
        // error recovery in such case.
        modified: response.status != 304,
        matches: false
      };
    } // use other header fields provided in the 304 (Not Modified) response to replace all instances
    // of the corresponding header fields in the stored response.


    const headers = {};

    for (const k in this._resHeaders) {
      headers[k] = k in response.headers && !excludedFromRevalidationUpdate[k] ? response.headers[k] : this._resHeaders[k];
    }

    const newResponse = Object.assign({}, response, {
      status: this._status,
      method: this._method,
      headers
    });
    return {
      policy: new this.constructor(request, newResponse, {
        shared: this._isShared,
        cacheHeuristic: this._cacheHeuristic,
        immutableMinTimeToLive: this._immutableMinTtl
      }),
      modified: false,
      matches: true
    };
  }

};

/***/ }),

/***/ "./node_modules/.f/_/http-proxy-agent/2.1.0/http-proxy-agent/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * Module dependencies.
 */
var net = __webpack_require__("net");

var tls = __webpack_require__("tls");

var url = __webpack_require__("url");

var Agent = __webpack_require__("./node_modules/.f/_/agent-base/4.3.0/agent-base/index.js");

var inherits = __webpack_require__("util").inherits;

var debug = __webpack_require__("./stubs/debug.js")('http-proxy-agent');
/**
 * Module exports.
 */


module.exports = HttpProxyAgent;
/**
 * The `HttpProxyAgent` implements an HTTP Agent subclass that connects to the
 * specified "HTTP proxy server" in order to proxy HTTP requests.
 *
 * @api public
 */

function HttpProxyAgent(opts) {
  if (!(this instanceof HttpProxyAgent)) return new HttpProxyAgent(opts);
  if ('string' == typeof opts) opts = url.parse(opts);
  if (!opts) throw new Error('an HTTP(S) proxy server `host` and `port` must be specified!');
  debug('creating new HttpProxyAgent instance: %o', opts);
  Agent.call(this, opts);
  var proxy = Object.assign({}, opts); // if `true`, then connect to the proxy server over TLS. defaults to `false`.

  this.secureProxy = proxy.protocol ? /^https:?$/i.test(proxy.protocol) : false; // prefer `hostname` over `host`, and set the `port` if needed

  proxy.host = proxy.hostname || proxy.host;
  proxy.port = +proxy.port || (this.secureProxy ? 443 : 80);

  if (proxy.host && proxy.path) {
    // if both a `host` and `path` are specified then it's most likely the
    // result of a `url.parse()` call... we need to remove the `path` portion so
    // that `net.connect()` doesn't attempt to open that as a unix socket file.
    delete proxy.path;
    delete proxy.pathname;
  }

  this.proxy = proxy;
}

inherits(HttpProxyAgent, Agent);
/**
 * Called when the node-core HTTP client library is creating a new HTTP request.
 *
 * @api public
 */

HttpProxyAgent.prototype.callback = function connect(req, opts, fn) {
  var proxy = this.proxy; // change the `http.ClientRequest` instance's "path" field
  // to the absolute path of the URL that will be requested

  var parsed = url.parse(req.path);
  if (null == parsed.protocol) parsed.protocol = 'http:';
  if (null == parsed.hostname) parsed.hostname = opts.hostname || opts.host;
  if (null == parsed.port) parsed.port = opts.port;

  if (parsed.port == 80) {
    // if port is 80, then we can remove the port so that the
    // ":80" portion is not on the produced URL
    delete parsed.port;
  }

  var absolute = url.format(parsed);
  req.path = absolute; // inject the `Proxy-Authorization` header if necessary

  if (proxy.auth) {
    req.setHeader('Proxy-Authorization', 'Basic ' + Buffer.from(proxy.auth).toString('base64'));
  } // create a socket connection to the proxy server


  var socket;

  if (this.secureProxy) {
    socket = tls.connect(proxy);
  } else {
    socket = net.connect(proxy);
  } // at this point, the http ClientRequest's internal `_header` field might have
  // already been set. If this is the case then we'll need to re-generate the
  // string since we just changed the `req.path`


  if (req._header) {
    debug('regenerating stored HTTP header string for request');
    req._header = null;

    req._implicitHeader();

    if (req.output && req.output.length > 0) {
      debug('patching connection write() output buffer with updated header'); // the _header has already been queued to be written to the socket

      var first = req.output[0];
      var endOfHeaders = first.indexOf('\r\n\r\n') + 4;
      req.output[0] = req._header + first.substring(endOfHeaders);
      debug('output buffer: %o', req.output);
    }
  }

  fn(null, socket);
};

/***/ }),

/***/ "./node_modules/.f/_/http-proxy-agent/4.0.1/http-proxy-agent/dist/agent.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const net_1 = __importDefault(__webpack_require__("net"));

const tls_1 = __importDefault(__webpack_require__("tls"));

const url_1 = __importDefault(__webpack_require__("url"));

const debug_1 = __importDefault(__webpack_require__("./stubs/debug.js"));

const once_1 = __importDefault(__webpack_require__("./node_modules/.f/_/@tootallnate/once/1.1.2/@tootallnate/once/dist/index.js"));

const agent_base_1 = __webpack_require__("./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/index.js");

const debug = debug_1.default('http-proxy-agent');

function isHTTPS(protocol) {
  return typeof protocol === 'string' ? /^https:?$/i.test(protocol) : false;
}
/**
 * The `HttpProxyAgent` implements an HTTP Agent subclass that connects
 * to the specified "HTTP proxy server" in order to proxy HTTP requests.
 *
 * @api public
 */


class HttpProxyAgent extends agent_base_1.Agent {
  constructor(_opts) {
    let opts;

    if (typeof _opts === 'string') {
      opts = url_1.default.parse(_opts);
    } else {
      opts = _opts;
    }

    if (!opts) {
      throw new Error('an HTTP(S) proxy server `host` and `port` must be specified!');
    }

    debug('Creating new HttpProxyAgent instance: %o', opts);
    super(opts);
    const proxy = Object.assign({}, opts); // If `true`, then connect to the proxy server over TLS.
    // Defaults to `false`.

    this.secureProxy = opts.secureProxy || isHTTPS(proxy.protocol); // Prefer `hostname` over `host`, and set the `port` if needed.

    proxy.host = proxy.hostname || proxy.host;

    if (typeof proxy.port === 'string') {
      proxy.port = parseInt(proxy.port, 10);
    }

    if (!proxy.port && proxy.host) {
      proxy.port = this.secureProxy ? 443 : 80;
    }

    if (proxy.host && proxy.path) {
      // If both a `host` and `path` are specified then it's most likely
      // the result of a `url.parse()` call... we need to remove the
      // `path` portion so that `net.connect()` doesn't attempt to open
      // that as a Unix socket file.
      delete proxy.path;
      delete proxy.pathname;
    }

    this.proxy = proxy;
  }
  /**
   * Called when the node-core HTTP client library is creating a
   * new HTTP request.
   *
   * @api protected
   */


  callback(req, opts) {
    return __awaiter(this, void 0, void 0, function* () {
      const {
        proxy,
        secureProxy
      } = this;
      const parsed = url_1.default.parse(req.path);

      if (!parsed.protocol) {
        parsed.protocol = 'http:';
      }

      if (!parsed.hostname) {
        parsed.hostname = opts.hostname || opts.host || null;
      }

      if (parsed.port == null && typeof opts.port) {
        parsed.port = String(opts.port);
      }

      if (parsed.port === '80') {
        // if port is 80, then we can remove the port so that the
        // ":80" portion is not on the produced URL
        delete parsed.port;
      } // Change the `http.ClientRequest` instance's "path" field
      // to the absolute path of the URL that will be requested.


      req.path = url_1.default.format(parsed); // Inject the `Proxy-Authorization` header if necessary.

      if (proxy.auth) {
        req.setHeader('Proxy-Authorization', `Basic ${Buffer.from(proxy.auth).toString('base64')}`);
      } // Create a socket connection to the proxy server.


      let socket;

      if (secureProxy) {
        debug('Creating `tls.Socket`: %o', proxy);
        socket = tls_1.default.connect(proxy);
      } else {
        debug('Creating `net.Socket`: %o', proxy);
        socket = net_1.default.connect(proxy);
      } // At this point, the http ClientRequest's internal `_header` field
      // might have already been set. If this is the case then we'll need
      // to re-generate the string since we just changed the `req.path`.


      if (req._header) {
        let first;
        let endOfHeaders;
        debug('Regenerating stored HTTP header string for request');
        req._header = null;

        req._implicitHeader();

        if (req.output && req.output.length > 0) {
          // Node < 12
          debug('Patching connection write() output buffer with updated header');
          first = req.output[0];
          endOfHeaders = first.indexOf('\r\n\r\n') + 4;
          req.output[0] = req._header + first.substring(endOfHeaders);
          debug('Output buffer: %o', req.output);
        } else if (req.outputData && req.outputData.length > 0) {
          // Node >= 12
          debug('Patching connection write() output buffer with updated header');
          first = req.outputData[0].data;
          endOfHeaders = first.indexOf('\r\n\r\n') + 4;
          req.outputData[0].data = req._header + first.substring(endOfHeaders);
          debug('Output buffer: %o', req.outputData[0].data);
        }
      } // Wait for the socket's `connect` event, so that this `callback()`
      // function throws instead of the `http` request machinery. This is
      // important for i.e. `PacProxyAgent` which determines a failed proxy
      // connection via the `callback()` function throwing.


      yield once_1.default(socket, 'connect');
      return socket;
    });
  }

}

exports["default"] = HttpProxyAgent;

/***/ }),

/***/ "./node_modules/.f/_/http-proxy-agent/4.0.1/http-proxy-agent/dist/index.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

const agent_1 = __importDefault(__webpack_require__("./node_modules/.f/_/http-proxy-agent/4.0.1/http-proxy-agent/dist/agent.js"));

function createHttpProxyAgent(opts) {
  return new agent_1.default(opts);
}

(function (createHttpProxyAgent) {
  createHttpProxyAgent.HttpProxyAgent = agent_1.default;
  createHttpProxyAgent.prototype = agent_1.default.prototype;
})(createHttpProxyAgent || (createHttpProxyAgent = {}));

module.exports = createHttpProxyAgent;

/***/ }),

/***/ "./node_modules/.f/_/https-proxy-agent/2.2.4/https-proxy-agent/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * Module dependencies.
 */
var net = __webpack_require__("net");

var tls = __webpack_require__("tls");

var url = __webpack_require__("url");

var assert = __webpack_require__("assert");

var Agent = __webpack_require__("./node_modules/.f/_/agent-base/4.3.0/agent-base/index.js");

var inherits = __webpack_require__("util").inherits;

var debug = __webpack_require__("./stubs/debug.js")('https-proxy-agent');
/**
 * Module exports.
 */


module.exports = HttpsProxyAgent;
/**
 * The `HttpsProxyAgent` implements an HTTP Agent subclass that connects to the
 * specified "HTTP(s) proxy server" in order to proxy HTTPS requests.
 *
 * @api public
 */

function HttpsProxyAgent(opts) {
  if (!(this instanceof HttpsProxyAgent)) return new HttpsProxyAgent(opts);
  if ('string' == typeof opts) opts = url.parse(opts);
  if (!opts) throw new Error('an HTTP(S) proxy server `host` and `port` must be specified!');
  debug('creating new HttpsProxyAgent instance: %o', opts);
  Agent.call(this, opts);
  var proxy = Object.assign({}, opts); // if `true`, then connect to the proxy server over TLS. defaults to `false`.

  this.secureProxy = proxy.protocol ? /^https:?$/i.test(proxy.protocol) : false; // prefer `hostname` over `host`, and set the `port` if needed

  proxy.host = proxy.hostname || proxy.host;
  proxy.port = +proxy.port || (this.secureProxy ? 443 : 80); // ALPN is supported by Node.js >= v5.
  // attempt to negotiate http/1.1 for proxy servers that support http/2

  if (this.secureProxy && !('ALPNProtocols' in proxy)) {
    proxy.ALPNProtocols = ['http 1.1'];
  }

  if (proxy.host && proxy.path) {
    // if both a `host` and `path` are specified then it's most likely the
    // result of a `url.parse()` call... we need to remove the `path` portion so
    // that `net.connect()` doesn't attempt to open that as a unix socket file.
    delete proxy.path;
    delete proxy.pathname;
  }

  this.proxy = proxy;
  this.defaultPort = 443;
}

inherits(HttpsProxyAgent, Agent);
/**
 * Called when the node-core HTTP client library is creating a new HTTP request.
 *
 * @api public
 */

HttpsProxyAgent.prototype.callback = function connect(req, opts, fn) {
  var proxy = this.proxy; // create a socket connection to the proxy server

  var socket;

  if (this.secureProxy) {
    socket = tls.connect(proxy);
  } else {
    socket = net.connect(proxy);
  } // we need to buffer any HTTP traffic that happens with the proxy before we get
  // the CONNECT response, so that if the response is anything other than an "200"
  // response code, then we can re-play the "data" events on the socket once the
  // HTTP parser is hooked up...


  var buffers = [];
  var buffersLength = 0;

  function read() {
    var b = socket.read();
    if (b) ondata(b);else socket.once('readable', read);
  }

  function cleanup() {
    socket.removeListener('end', onend);
    socket.removeListener('error', onerror);
    socket.removeListener('close', onclose);
    socket.removeListener('readable', read);
  }

  function onclose(err) {
    debug('onclose had error %o', err);
  }

  function onend() {
    debug('onend');
  }

  function onerror(err) {
    cleanup();
    fn(err);
  }

  function ondata(b) {
    buffers.push(b);
    buffersLength += b.length;
    var buffered = Buffer.concat(buffers, buffersLength);
    var str = buffered.toString('ascii');

    if (!~str.indexOf('\r\n\r\n')) {
      // keep buffering
      debug('have not received end of HTTP headers yet...');
      read();
      return;
    }

    var firstLine = str.substring(0, str.indexOf('\r\n'));
    var statusCode = +firstLine.split(' ')[1];
    debug('got proxy server response: %o', firstLine);

    if (200 == statusCode) {
      // 200 Connected status code!
      var sock = socket; // nullify the buffered data since we won't be needing it

      buffers = buffered = null;

      if (opts.secureEndpoint) {
        // since the proxy is connecting to an SSL server, we have
        // to upgrade this socket connection to an SSL connection
        debug('upgrading proxy-connected socket to TLS connection: %o', opts.host);
        opts.socket = socket;
        opts.servername = opts.servername || opts.host;
        opts.host = null;
        opts.hostname = null;
        opts.port = null;
        sock = tls.connect(opts);
      }

      cleanup();
      req.once('socket', resume);
      fn(null, sock);
    } else {
      // some other status code that's not 200... need to re-play the HTTP header
      // "data" events onto the socket once the HTTP machinery is attached so
      // that the node core `http` can parse and handle the error status code
      cleanup(); // the original socket is closed, and a new closed socket is
      // returned instead, so that the proxy doesn't get the HTTP request
      // written to it (which may contain `Authorization` headers or other
      // sensitive data).
      //
      // See: https://hackerone.com/reports/541502

      socket.destroy();
      socket = new net.Socket();
      socket.readable = true; // save a reference to the concat'd Buffer for the `onsocket` callback

      buffers = buffered; // need to wait for the "socket" event to re-play the "data" events

      req.once('socket', onsocket);
      fn(null, socket);
    }
  }

  function onsocket(socket) {
    debug('replaying proxy buffer for failed request');
    assert(socket.listenerCount('data') > 0); // replay the "buffers" Buffer onto the `socket`, since at this point
    // the HTTP module machinery has been hooked up for the user

    socket.push(buffers); // nullify the cached Buffer instance

    buffers = null;
  }

  socket.on('error', onerror);
  socket.on('close', onclose);
  socket.on('end', onend);
  read();
  var hostname = opts.host + ':' + opts.port;
  var msg = 'CONNECT ' + hostname + ' HTTP/1.1\r\n';
  var headers = Object.assign({}, proxy.headers);

  if (proxy.auth) {
    headers['Proxy-Authorization'] = 'Basic ' + Buffer.from(proxy.auth).toString('base64');
  } // the Host header should only include the port
  // number when it is a non-standard port


  var host = opts.host;

  if (!isDefaultPort(opts.port, opts.secureEndpoint)) {
    host += ':' + opts.port;
  }

  headers['Host'] = host;
  headers['Connection'] = 'close';
  Object.keys(headers).forEach(function (name) {
    msg += name + ': ' + headers[name] + '\r\n';
  });
  socket.write(msg + '\r\n');
};
/**
 * Resumes a socket.
 *
 * @param {(net.Socket|tls.Socket)} socket The socket to resume
 * @api public
 */


function resume(socket) {
  socket.resume();
}

function isDefaultPort(port, secure) {
  return Boolean(!secure && port === 80 || secure && port === 443);
}

/***/ }),

/***/ "./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/agent.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const net_1 = __importDefault(__webpack_require__("net"));

const tls_1 = __importDefault(__webpack_require__("tls"));

const url_1 = __importDefault(__webpack_require__("url"));

const assert_1 = __importDefault(__webpack_require__("assert"));

const debug_1 = __importDefault(__webpack_require__("./stubs/debug.js"));

const agent_base_1 = __webpack_require__("./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/index.js");

const parse_proxy_response_1 = __importDefault(__webpack_require__("./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/parse-proxy-response.js"));

const debug = debug_1.default('https-proxy-agent:agent');
/**
 * The `HttpsProxyAgent` implements an HTTP Agent subclass that connects to
 * the specified "HTTP(s) proxy server" in order to proxy HTTPS requests.
 *
 * Outgoing HTTP requests are first tunneled through the proxy server using the
 * `CONNECT` HTTP request method to establish a connection to the proxy server,
 * and then the proxy server connects to the destination target and issues the
 * HTTP request from the proxy server.
 *
 * `https:` requests have their socket connection upgraded to TLS once
 * the connection to the proxy server has been established.
 *
 * @api public
 */

class HttpsProxyAgent extends agent_base_1.Agent {
  constructor(_opts) {
    let opts;

    if (typeof _opts === 'string') {
      opts = url_1.default.parse(_opts);
    } else {
      opts = _opts;
    }

    if (!opts) {
      throw new Error('an HTTP(S) proxy server `host` and `port` must be specified!');
    }

    debug('creating new HttpsProxyAgent instance: %o', opts);
    super(opts);
    const proxy = Object.assign({}, opts); // If `true`, then connect to the proxy server over TLS.
    // Defaults to `false`.

    this.secureProxy = opts.secureProxy || isHTTPS(proxy.protocol); // Prefer `hostname` over `host`, and set the `port` if needed.

    proxy.host = proxy.hostname || proxy.host;

    if (typeof proxy.port === 'string') {
      proxy.port = parseInt(proxy.port, 10);
    }

    if (!proxy.port && proxy.host) {
      proxy.port = this.secureProxy ? 443 : 80;
    } // ALPN is supported by Node.js >= v5.
    // attempt to negotiate http/1.1 for proxy servers that support http/2


    if (this.secureProxy && !('ALPNProtocols' in proxy)) {
      proxy.ALPNProtocols = ['http 1.1'];
    }

    if (proxy.host && proxy.path) {
      // If both a `host` and `path` are specified then it's most likely
      // the result of a `url.parse()` call... we need to remove the
      // `path` portion so that `net.connect()` doesn't attempt to open
      // that as a Unix socket file.
      delete proxy.path;
      delete proxy.pathname;
    }

    this.proxy = proxy;
  }
  /**
   * Called when the node-core HTTP client library is creating a
   * new HTTP request.
   *
   * @api protected
   */


  callback(req, opts) {
    return __awaiter(this, void 0, void 0, function* () {
      const {
        proxy,
        secureProxy
      } = this; // Create a socket connection to the proxy server.

      let socket;

      if (secureProxy) {
        debug('Creating `tls.Socket`: %o', proxy);
        socket = tls_1.default.connect(proxy);
      } else {
        debug('Creating `net.Socket`: %o', proxy);
        socket = net_1.default.connect(proxy);
      }

      const headers = Object.assign({}, proxy.headers);
      const hostname = `${opts.host}:${opts.port}`;
      let payload = `CONNECT ${hostname} HTTP/1.1\r\n`; // Inject the `Proxy-Authorization` header if necessary.

      if (proxy.auth) {
        headers['Proxy-Authorization'] = `Basic ${Buffer.from(proxy.auth).toString('base64')}`;
      } // The `Host` header should only include the port
      // number when it is not the default port.


      let {
        host,
        port,
        secureEndpoint
      } = opts;

      if (!isDefaultPort(port, secureEndpoint)) {
        host += `:${port}`;
      }

      headers.Host = host;
      headers.Connection = 'close';

      for (const name of Object.keys(headers)) {
        payload += `${name}: ${headers[name]}\r\n`;
      }

      const proxyResponsePromise = parse_proxy_response_1.default(socket);
      socket.write(`${payload}\r\n`);
      const {
        statusCode,
        buffered
      } = yield proxyResponsePromise;

      if (statusCode === 200) {
        req.once('socket', resume);

        if (opts.secureEndpoint) {
          const servername = opts.servername || opts.host;

          if (!servername) {
            throw new Error('Could not determine "servername"');
          } // The proxy is connecting to a TLS server, so upgrade
          // this socket connection to a TLS connection.


          debug('Upgrading socket connection to TLS');
          return tls_1.default.connect(Object.assign(Object.assign({}, omit(opts, 'host', 'hostname', 'path', 'port')), {
            socket,
            servername
          }));
        }

        return socket;
      } // Some other status code that's not 200... need to re-play the HTTP
      // header "data" events onto the socket once the HTTP machinery is
      // attached so that the node core `http` can parse and handle the
      // error status code.
      // Close the original socket, and a new "fake" socket is returned
      // instead, so that the proxy doesn't get the HTTP request
      // written to it (which may contain `Authorization` headers or other
      // sensitive data).
      //
      // See: https://hackerone.com/reports/541502


      socket.destroy();
      const fakeSocket = new net_1.default.Socket();
      fakeSocket.readable = true; // Need to wait for the "socket" event to re-play the "data" events.

      req.once('socket', s => {
        debug('replaying proxy buffer for failed request');
        assert_1.default(s.listenerCount('data') > 0); // Replay the "buffered" Buffer onto the fake `socket`, since at
        // this point the HTTP module machinery has been hooked up for
        // the user.

        s.push(buffered);
        s.push(null);
      });
      return fakeSocket;
    });
  }

}

exports["default"] = HttpsProxyAgent;

function resume(socket) {
  socket.resume();
}

function isDefaultPort(port, secure) {
  return Boolean(!secure && port === 80 || secure && port === 443);
}

function isHTTPS(protocol) {
  return typeof protocol === 'string' ? /^https:?$/i.test(protocol) : false;
}

function omit(obj, ...keys) {
  const ret = {};
  let key;

  for (key in obj) {
    if (!keys.includes(key)) {
      ret[key] = obj[key];
    }
  }

  return ret;
}

/***/ }),

/***/ "./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/index.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

const agent_1 = __importDefault(__webpack_require__("./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/agent.js"));

function createHttpsProxyAgent(opts) {
  return new agent_1.default(opts);
}

(function (createHttpsProxyAgent) {
  createHttpsProxyAgent.HttpsProxyAgent = agent_1.default;
  createHttpsProxyAgent.prototype = agent_1.default.prototype;
})(createHttpsProxyAgent || (createHttpsProxyAgent = {}));

module.exports = createHttpsProxyAgent;

/***/ }),

/***/ "./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/parse-proxy-response.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const debug_1 = __importDefault(__webpack_require__("./stubs/debug.js"));

const debug = debug_1.default('https-proxy-agent:parse-proxy-response');

function parseProxyResponse(socket) {
  return new Promise((resolve, reject) => {
    // we need to buffer any HTTP traffic that happens with the proxy before we get
    // the CONNECT response, so that if the response is anything other than an "200"
    // response code, then we can re-play the "data" events on the socket once the
    // HTTP parser is hooked up...
    let buffersLength = 0;
    const buffers = [];

    function read() {
      const b = socket.read();
      if (b) ondata(b);else socket.once('readable', read);
    }

    function cleanup() {
      socket.removeListener('end', onend);
      socket.removeListener('error', onerror);
      socket.removeListener('close', onclose);
      socket.removeListener('readable', read);
    }

    function onclose(err) {
      debug('onclose had error %o', err);
    }

    function onend() {
      debug('onend');
    }

    function onerror(err) {
      cleanup();
      debug('onerror %o', err);
      reject(err);
    }

    function ondata(b) {
      buffers.push(b);
      buffersLength += b.length;
      const buffered = Buffer.concat(buffers, buffersLength);
      const endOfHeaders = buffered.indexOf('\r\n\r\n');

      if (endOfHeaders === -1) {
        // keep buffering
        debug('have not received end of HTTP headers yet...');
        read();
        return;
      }

      const firstLine = buffered.toString('ascii', 0, buffered.indexOf('\r\n'));
      const statusCode = +firstLine.split(' ')[1];
      debug('got proxy server response: %o', firstLine);
      resolve({
        statusCode,
        buffered
      });
    }

    socket.on('error', onerror);
    socket.on('close', onclose);
    socket.on('end', onend);
    read();
  });
}

exports["default"] = parseProxyResponse;

/***/ }),

/***/ "./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/core.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.SIGNALS = void 0;
const SIGNALS = [{
  name: "SIGHUP",
  number: 1,
  action: "terminate",
  description: "Terminal closed",
  standard: "posix"
}, {
  name: "SIGINT",
  number: 2,
  action: "terminate",
  description: "User interruption with CTRL-C",
  standard: "ansi"
}, {
  name: "SIGQUIT",
  number: 3,
  action: "core",
  description: "User interruption with CTRL-\\",
  standard: "posix"
}, {
  name: "SIGILL",
  number: 4,
  action: "core",
  description: "Invalid machine instruction",
  standard: "ansi"
}, {
  name: "SIGTRAP",
  number: 5,
  action: "core",
  description: "Debugger breakpoint",
  standard: "posix"
}, {
  name: "SIGABRT",
  number: 6,
  action: "core",
  description: "Aborted",
  standard: "ansi"
}, {
  name: "SIGIOT",
  number: 6,
  action: "core",
  description: "Aborted",
  standard: "bsd"
}, {
  name: "SIGBUS",
  number: 7,
  action: "core",
  description: "Bus error due to misaligned, non-existing address or paging error",
  standard: "bsd"
}, {
  name: "SIGEMT",
  number: 7,
  action: "terminate",
  description: "Command should be emulated but is not implemented",
  standard: "other"
}, {
  name: "SIGFPE",
  number: 8,
  action: "core",
  description: "Floating point arithmetic error",
  standard: "ansi"
}, {
  name: "SIGKILL",
  number: 9,
  action: "terminate",
  description: "Forced termination",
  standard: "posix",
  forced: true
}, {
  name: "SIGUSR1",
  number: 10,
  action: "terminate",
  description: "Application-specific signal",
  standard: "posix"
}, {
  name: "SIGSEGV",
  number: 11,
  action: "core",
  description: "Segmentation fault",
  standard: "ansi"
}, {
  name: "SIGUSR2",
  number: 12,
  action: "terminate",
  description: "Application-specific signal",
  standard: "posix"
}, {
  name: "SIGPIPE",
  number: 13,
  action: "terminate",
  description: "Broken pipe or socket",
  standard: "posix"
}, {
  name: "SIGALRM",
  number: 14,
  action: "terminate",
  description: "Timeout or timer",
  standard: "posix"
}, {
  name: "SIGTERM",
  number: 15,
  action: "terminate",
  description: "Termination",
  standard: "ansi"
}, {
  name: "SIGSTKFLT",
  number: 16,
  action: "terminate",
  description: "Stack is empty or overflowed",
  standard: "other"
}, {
  name: "SIGCHLD",
  number: 17,
  action: "ignore",
  description: "Child process terminated, paused or unpaused",
  standard: "posix"
}, {
  name: "SIGCLD",
  number: 17,
  action: "ignore",
  description: "Child process terminated, paused or unpaused",
  standard: "other"
}, {
  name: "SIGCONT",
  number: 18,
  action: "unpause",
  description: "Unpaused",
  standard: "posix",
  forced: true
}, {
  name: "SIGSTOP",
  number: 19,
  action: "pause",
  description: "Paused",
  standard: "posix",
  forced: true
}, {
  name: "SIGTSTP",
  number: 20,
  action: "pause",
  description: "Paused using CTRL-Z or \"suspend\"",
  standard: "posix"
}, {
  name: "SIGTTIN",
  number: 21,
  action: "pause",
  description: "Background process cannot read terminal input",
  standard: "posix"
}, {
  name: "SIGBREAK",
  number: 21,
  action: "terminate",
  description: "User interruption with CTRL-BREAK",
  standard: "other"
}, {
  name: "SIGTTOU",
  number: 22,
  action: "pause",
  description: "Background process cannot write to terminal output",
  standard: "posix"
}, {
  name: "SIGURG",
  number: 23,
  action: "ignore",
  description: "Socket received out-of-band data",
  standard: "bsd"
}, {
  name: "SIGXCPU",
  number: 24,
  action: "core",
  description: "Process timed out",
  standard: "bsd"
}, {
  name: "SIGXFSZ",
  number: 25,
  action: "core",
  description: "File too big",
  standard: "bsd"
}, {
  name: "SIGVTALRM",
  number: 26,
  action: "terminate",
  description: "Timeout or timer",
  standard: "bsd"
}, {
  name: "SIGPROF",
  number: 27,
  action: "terminate",
  description: "Timeout or timer",
  standard: "bsd"
}, {
  name: "SIGWINCH",
  number: 28,
  action: "ignore",
  description: "Terminal window size changed",
  standard: "bsd"
}, {
  name: "SIGIO",
  number: 29,
  action: "terminate",
  description: "I/O is available",
  standard: "other"
}, {
  name: "SIGPOLL",
  number: 29,
  action: "terminate",
  description: "Watched event",
  standard: "other"
}, {
  name: "SIGINFO",
  number: 29,
  action: "ignore",
  description: "Request for process information",
  standard: "other"
}, {
  name: "SIGPWR",
  number: 30,
  action: "terminate",
  description: "Device running out of power",
  standard: "systemv"
}, {
  name: "SIGSYS",
  number: 31,
  action: "core",
  description: "Invalid system call",
  standard: "other"
}, {
  name: "SIGUNUSED",
  number: 31,
  action: "terminate",
  description: "Invalid system call",
  standard: "other"
}];
exports.SIGNALS = SIGNALS;

/***/ }),

/***/ "./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/main.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.signalsByNumber = exports.signalsByName = void 0;

var _os = __webpack_require__("os");

var _signals = __webpack_require__("./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/signals.js");

var _realtime = __webpack_require__("./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/realtime.js");

const getSignalsByName = function () {
  const signals = (0, _signals.getSignals)();
  return signals.reduce(getSignalByName, {});
};

const getSignalByName = function (signalByNameMemo, {
  name,
  number,
  description,
  supported,
  action,
  forced,
  standard
}) {
  return _objectSpread(_objectSpread({}, signalByNameMemo), {}, {
    [name]: {
      name,
      number,
      description,
      supported,
      action,
      forced,
      standard
    }
  });
};

const signalsByName = getSignalsByName();
exports.signalsByName = signalsByName;

const getSignalsByNumber = function () {
  const signals = (0, _signals.getSignals)();
  const length = _realtime.SIGRTMAX + 1;
  const signalsA = Array.from({
    length
  }, (value, number) => getSignalByNumber(number, signals));
  return Object.assign({}, ...signalsA);
};

const getSignalByNumber = function (number, signals) {
  const signal = findSignalByNumber(number, signals);

  if (signal === undefined) {
    return {};
  }

  const {
    name,
    description,
    supported,
    action,
    forced,
    standard
  } = signal;
  return {
    [number]: {
      name,
      number,
      description,
      supported,
      action,
      forced,
      standard
    }
  };
};

const findSignalByNumber = function (number, signals) {
  const signal = signals.find(({
    name
  }) => _os.constants.signals[name] === number);

  if (signal !== undefined) {
    return signal;
  }

  return signals.find(signalA => signalA.number === number);
};

const signalsByNumber = getSignalsByNumber();
exports.signalsByNumber = signalsByNumber;

/***/ }),

/***/ "./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/realtime.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.SIGRTMAX = exports.getRealtimeSignals = void 0;

const getRealtimeSignals = function () {
  const length = SIGRTMAX - SIGRTMIN + 1;
  return Array.from({
    length
  }, getRealtimeSignal);
};

exports.getRealtimeSignals = getRealtimeSignals;

const getRealtimeSignal = function (value, index) {
  return {
    name: `SIGRT${index + 1}`,
    number: SIGRTMIN + index,
    action: "terminate",
    description: "Application-specific signal (realtime)",
    standard: "posix"
  };
};

const SIGRTMIN = 34;
const SIGRTMAX = 64;
exports.SIGRTMAX = SIGRTMAX;

/***/ }),

/***/ "./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/signals.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.getSignals = void 0;

var _os = __webpack_require__("os");

var _core = __webpack_require__("./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/core.js");

var _realtime = __webpack_require__("./node_modules/.f/_/human-signals/2.1.0/human-signals/build/src/realtime.js");

const getSignals = function () {
  const realtimeSignals = (0, _realtime.getRealtimeSignals)();
  const signals = [..._core.SIGNALS, ...realtimeSignals].map(normalizeSignal);
  return signals;
};

exports.getSignals = getSignals;

const normalizeSignal = function ({
  name,
  number: defaultNumber,
  description,
  action,
  forced = false,
  standard
}) {
  const {
    signals: {
      [name]: constantSignal
    }
  } = _os.constants;
  const supported = constantSignal !== undefined;
  const number = supported ? constantSignal : defaultNumber;
  return {
    name,
    number,
    description,
    supported,
    action,
    forced,
    standard
  };
};

/***/ }),

/***/ "./node_modules/.f/_/humanize-ms/1.2.1/humanize-ms/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/*!
 * humanize-ms - index.js
 * Copyright(c) 2014 dead_horse <dead_horse@qq.com>
 * MIT Licensed
 */

/**
 * Module dependencies.
 */

var util = __webpack_require__("util");

var ms = __webpack_require__("./node_modules/.f/_/ms/2.1.2/ms/index.js");

module.exports = function (t) {
  if (typeof t === 'number') return t;
  var r = ms(t);

  if (r === undefined) {
    var err = new Error(util.format('humanize-ms(%j) result undefined', t));
    console.warn(err.stack);
  }

  return r;
};

/***/ }),

/***/ "./node_modules/.f/_/iferr/0.1.5/iferr/index.js":
/***/ (function(module) {

// Generated by CoffeeScript 1.7.1
(function () {
  var exports,
      iferr,
      printerr,
      throwerr,
      tiferr,
      __slice = [].slice;

  iferr = function (fail, succ) {
    return function () {
      var a, err;
      err = arguments[0], a = 2 <= arguments.length ? __slice.call(arguments, 1) : [];

      if (err != null) {
        return fail(err);
      } else {
        return typeof succ === "function" ? succ.apply(null, a) : void 0;
      }
    };
  };

  tiferr = function (fail, succ) {
    return iferr(fail, function () {
      var a, err;
      a = 1 <= arguments.length ? __slice.call(arguments, 0) : [];

      try {
        return succ.apply(null, a);
      } catch (_error) {
        err = _error;
        return fail(err);
      }
    });
  };

  throwerr = iferr.bind(null, function (err) {
    throw err;
  });
  printerr = iferr(function (err) {
    return console.error(err.stack || err);
  });
  module.exports = exports = iferr;
  exports.iferr = iferr;
  exports.tiferr = tiferr;
  exports.throwerr = throwerr;
  exports.printerr = printerr;
}).call(this);

/***/ }),

/***/ "./node_modules/.f/_/ignore-walk/3.0.3/ignore-walk/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const EE = __webpack_require__("events").EventEmitter;

const Minimatch = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js").Minimatch;

class Walker extends EE {
  constructor(opts) {
    opts = opts || {};
    super(opts);
    this.path = opts.path || process.cwd();
    this.basename = path.basename(this.path);
    this.ignoreFiles = opts.ignoreFiles || ['.ignore'];
    this.ignoreRules = {};
    this.parent = opts.parent || null;
    this.includeEmpty = !!opts.includeEmpty;
    this.root = this.parent ? this.parent.root : this.path;
    this.follow = !!opts.follow;
    this.result = this.parent ? this.parent.result : new Set();
    this.entries = null;
    this.sawError = false;
  }

  sort(a, b) {
    return a.localeCompare(b);
  }

  emit(ev, data) {
    let ret = false;

    if (!(this.sawError && ev === 'error')) {
      if (ev === 'error') this.sawError = true;else if (ev === 'done' && !this.parent) {
        data = Array.from(data).map(e => /^@/.test(e) ? `./${e}` : e).sort(this.sort);
        this.result = data;
      }
      if (ev === 'error' && this.parent) ret = this.parent.emit('error', data);else ret = super.emit(ev, data);
    }

    return ret;
  }

  start() {
    fs.readdir(this.path, (er, entries) => er ? this.emit('error', er) : this.onReaddir(entries));
    return this;
  }

  isIgnoreFile(e) {
    return e !== "." && e !== ".." && -1 !== this.ignoreFiles.indexOf(e);
  }

  onReaddir(entries) {
    this.entries = entries;

    if (entries.length === 0) {
      if (this.includeEmpty) this.result.add(this.path.substr(this.root.length + 1));
      this.emit('done', this.result);
    } else {
      const hasIg = this.entries.some(e => this.isIgnoreFile(e));
      if (hasIg) this.addIgnoreFiles();else this.filterEntries();
    }
  }

  addIgnoreFiles() {
    const newIg = this.entries.filter(e => this.isIgnoreFile(e));
    let igCount = newIg.length;

    const then = _ => {
      if (--igCount === 0) this.filterEntries();
    };

    newIg.forEach(e => this.addIgnoreFile(e, then));
  }

  addIgnoreFile(file, then) {
    const ig = path.resolve(this.path, file);
    fs.readFile(ig, 'utf8', (er, data) => er ? this.emit('error', er) : this.onReadIgnoreFile(file, data, then));
  }

  onReadIgnoreFile(file, data, then) {
    const mmopt = {
      matchBase: true,
      dot: true,
      flipNegate: true,
      nocase: true
    };
    const rules = data.split(/\r?\n/).filter(line => !/^#|^$/.test(line.trim())).map(r => new Minimatch(r, mmopt));
    this.ignoreRules[file] = rules;
    then();
  }

  filterEntries() {
    // at this point we either have ignore rules, or just inheriting
    // this exclusion is at the point where we know the list of
    // entries in the dir, but don't know what they are.  since
    // some of them *might* be directories, we have to run the
    // match in dir-mode as well, so that we'll pick up partials
    // of files that will be included later.  Anything included
    // at this point will be checked again later once we know
    // what it is.
    const filtered = this.entries.map(entry => {
      // at this point, we don't know if it's a dir or not.
      const passFile = this.filterEntry(entry);
      const passDir = this.filterEntry(entry, true);
      return passFile || passDir ? [entry, passFile, passDir] : false;
    }).filter(e => e); // now we stat them all
    // if it's a dir, and passes as a dir, then recurse
    // if it's not a dir, but passes as a file, add to set

    let entryCount = filtered.length;

    if (entryCount === 0) {
      this.emit('done', this.result);
    } else {
      const then = _ => {
        if (--entryCount === 0) this.emit('done', this.result);
      };

      filtered.forEach(filt => {
        const entry = filt[0];
        const file = filt[1];
        const dir = filt[2];
        this.stat(entry, file, dir, then);
      });
    }
  }

  onstat(st, entry, file, dir, then) {
    const abs = this.path + '/' + entry;

    if (!st.isDirectory()) {
      if (file) this.result.add(abs.substr(this.root.length + 1));
      then();
    } else {
      // is a directory
      if (dir) this.walker(entry, then);else then();
    }
  }

  stat(entry, file, dir, then) {
    const abs = this.path + '/' + entry;
    fs[this.follow ? 'stat' : 'lstat'](abs, (er, st) => {
      if (er) this.emit('error', er);else this.onstat(st, entry, file, dir, then);
    });
  }

  walkerOpt(entry) {
    return {
      path: this.path + '/' + entry,
      parent: this,
      ignoreFiles: this.ignoreFiles,
      follow: this.follow,
      includeEmpty: this.includeEmpty
    };
  }

  walker(entry, then) {
    new Walker(this.walkerOpt(entry)).on('done', then).start();
  }

  filterEntry(entry, partial) {
    let included = true; // this = /a/b/c
    // entry = d
    // parent /a/b sees c/d

    if (this.parent && this.parent.filterEntry) {
      var pt = this.basename + "/" + entry;
      included = this.parent.filterEntry(pt, partial);
    }

    this.ignoreFiles.forEach(f => {
      if (this.ignoreRules[f]) {
        this.ignoreRules[f].forEach(rule => {
          // negation means inclusion
          // so if it's negated, and already included, no need to check
          // likewise if it's neither negated nor included
          if (rule.negate !== included) {
            // first, match against /foo/bar
            // then, against foo/bar
            // then, in the case of partials, match with a /
            const match = rule.match('/' + entry) || rule.match(entry) || !!partial && (rule.match('/' + entry + '/') || rule.match(entry + '/')) || !!partial && rule.negate && (rule.match('/' + entry, true) || rule.match(entry, true));
            if (match) included = rule.negate;
          }
        });
      }
    });
    return included;
  }

}

class WalkerSync extends Walker {
  constructor(opt) {
    super(opt);
  }

  start() {
    this.onReaddir(fs.readdirSync(this.path));
    return this;
  }

  addIgnoreFile(file, then) {
    const ig = path.resolve(this.path, file);
    this.onReadIgnoreFile(file, fs.readFileSync(ig, 'utf8'), then);
  }

  stat(entry, file, dir, then) {
    const abs = this.path + '/' + entry;
    const st = fs[this.follow ? 'statSync' : 'lstatSync'](abs);
    this.onstat(st, entry, file, dir, then);
  }

  walker(entry, then) {
    new WalkerSync(this.walkerOpt(entry)).start();
    then();
  }

}

const walk = (options, callback) => {
  const p = new Promise((resolve, reject) => {
    new Walker(options).on('done', resolve).on('error', reject).start();
  });
  return callback ? p.then(res => callback(null, res), callback) : p;
};

const walkSync = options => {
  return new WalkerSync(options).start().result;
};

module.exports = walk;
walk.sync = walkSync;
walk.Walker = Walker;
walk.WalkerSync = WalkerSync;

/***/ }),

/***/ "./node_modules/.f/_/imurmurhash/0.1.4/imurmurhash/imurmurhash.js":
/***/ ((module) => {

/**
 * @preserve
 * JS Implementation of incremental MurmurHash3 (r150) (as of May 10, 2013)
 *
 * @author <a href="mailto:jensyt@gmail.com">Jens Taylor</a>
 * @see http://github.com/homebrewing/brauhaus-diff
 * @author <a href="mailto:gary.court@gmail.com">Gary Court</a>
 * @see http://github.com/garycourt/murmurhash-js
 * @author <a href="mailto:aappleby@gmail.com">Austin Appleby</a>
 * @see http://sites.google.com/site/murmurhash/
 */
(function () {
  var cache; // Call this function without `new` to use the cached object (good for
  // single-threaded environments), or with `new` to create a new object.
  //
  // @param {string} key A UTF-16 or ASCII string
  // @param {number} seed An optional positive integer
  // @return {object} A MurmurHash3 object for incremental hashing

  function MurmurHash3(key, seed) {
    var m = this instanceof MurmurHash3 ? this : cache;
    m.reset(seed);

    if (typeof key === 'string' && key.length > 0) {
      m.hash(key);
    }

    if (m !== this) {
      return m;
    }
  }

  ; // Incrementally add a string to this hash
  //
  // @param {string} key A UTF-16 or ASCII string
  // @return {object} this

  MurmurHash3.prototype.hash = function (key) {
    var h1, k1, i, top, len;
    len = key.length;
    this.len += len;
    k1 = this.k1;
    i = 0;

    switch (this.rem) {
      case 0:
        k1 ^= len > i ? key.charCodeAt(i++) & 0xffff : 0;

      case 1:
        k1 ^= len > i ? (key.charCodeAt(i++) & 0xffff) << 8 : 0;

      case 2:
        k1 ^= len > i ? (key.charCodeAt(i++) & 0xffff) << 16 : 0;

      case 3:
        k1 ^= len > i ? (key.charCodeAt(i) & 0xff) << 24 : 0;
        k1 ^= len > i ? (key.charCodeAt(i++) & 0xff00) >> 8 : 0;
    }

    this.rem = len + this.rem & 3; // & 3 is same as % 4

    len -= this.rem;

    if (len > 0) {
      h1 = this.h1;

      while (1) {
        k1 = k1 * 0x2d51 + (k1 & 0xffff) * 0xcc9e0000 & 0xffffffff;
        k1 = k1 << 15 | k1 >>> 17;
        k1 = k1 * 0x3593 + (k1 & 0xffff) * 0x1b870000 & 0xffffffff;
        h1 ^= k1;
        h1 = h1 << 13 | h1 >>> 19;
        h1 = h1 * 5 + 0xe6546b64 & 0xffffffff;

        if (i >= len) {
          break;
        }

        k1 = key.charCodeAt(i++) & 0xffff ^ (key.charCodeAt(i++) & 0xffff) << 8 ^ (key.charCodeAt(i++) & 0xffff) << 16;
        top = key.charCodeAt(i++);
        k1 ^= (top & 0xff) << 24 ^ (top & 0xff00) >> 8;
      }

      k1 = 0;

      switch (this.rem) {
        case 3:
          k1 ^= (key.charCodeAt(i + 2) & 0xffff) << 16;

        case 2:
          k1 ^= (key.charCodeAt(i + 1) & 0xffff) << 8;

        case 1:
          k1 ^= key.charCodeAt(i) & 0xffff;
      }

      this.h1 = h1;
    }

    this.k1 = k1;
    return this;
  }; // Get the result of this hash
  //
  // @return {number} The 32-bit hash


  MurmurHash3.prototype.result = function () {
    var k1, h1;
    k1 = this.k1;
    h1 = this.h1;

    if (k1 > 0) {
      k1 = k1 * 0x2d51 + (k1 & 0xffff) * 0xcc9e0000 & 0xffffffff;
      k1 = k1 << 15 | k1 >>> 17;
      k1 = k1 * 0x3593 + (k1 & 0xffff) * 0x1b870000 & 0xffffffff;
      h1 ^= k1;
    }

    h1 ^= this.len;
    h1 ^= h1 >>> 16;
    h1 = h1 * 0xca6b + (h1 & 0xffff) * 0x85eb0000 & 0xffffffff;
    h1 ^= h1 >>> 13;
    h1 = h1 * 0xae35 + (h1 & 0xffff) * 0xc2b20000 & 0xffffffff;
    h1 ^= h1 >>> 16;
    return h1 >>> 0;
  }; // Reset the hash object for reuse
  //
  // @param {number} seed An optional positive integer


  MurmurHash3.prototype.reset = function (seed) {
    this.h1 = typeof seed === 'number' ? seed : 0;
    this.rem = this.k1 = this.len = 0;
    return this;
  }; // A cached object to use. This can be safely used if you're in a single-
  // threaded environment, otherwise you need to create new hashes to use.


  cache = new MurmurHash3();

  if (true) {
    module.exports = MurmurHash3;
  } else {}
})();

/***/ }),

/***/ "./node_modules/.f/_/indent-string/4.0.0/indent-string/index.js":
/***/ ((module) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = (string, count = 1, options) => {
  options = _objectSpread({
    indent: ' ',
    includeEmptyLines: false
  }, options);

  if (typeof string !== 'string') {
    throw new TypeError(`Expected \`input\` to be a \`string\`, got \`${typeof string}\``);
  }

  if (typeof count !== 'number') {
    throw new TypeError(`Expected \`count\` to be a \`number\`, got \`${typeof count}\``);
  }

  if (typeof options.indent !== 'string') {
    throw new TypeError(`Expected \`options.indent\` to be a \`string\`, got \`${typeof options.indent}\``);
  }

  if (count === 0) {
    return string;
  }

  const regex = options.includeEmptyLines ? /^/gm : /^(?!\s*$)/gm;
  return string.replace(regex, options.indent.repeat(count));
};

/***/ }),

/***/ "./node_modules/.f/_/infer-owner/1.0.4/infer-owner/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const cache = new Map();

const fs = __webpack_require__("fs");

const {
  dirname,
  resolve
} = __webpack_require__("path");

const lstat = path => new Promise((res, rej) => fs.lstat(path, (er, st) => er ? rej(er) : res(st)));

const inferOwner = path => {
  path = resolve(path);
  if (cache.has(path)) return Promise.resolve(cache.get(path));

  const statThen = st => {
    const {
      uid,
      gid
    } = st;
    cache.set(path, {
      uid,
      gid
    });
    return {
      uid,
      gid
    };
  };

  const parent = dirname(path);
  const parentTrap = parent === path ? null : er => {
    return inferOwner(parent).then(owner => {
      cache.set(path, owner);
      return owner;
    });
  };
  return lstat(path).then(statThen, parentTrap);
};

const inferOwnerSync = path => {
  path = resolve(path);
  if (cache.has(path)) return cache.get(path);
  const parent = dirname(path); // avoid obscuring call site by re-throwing
  // "catch" the error by returning from a finally,
  // only if we're not at the root, and the parent call works.

  let threw = true;

  try {
    const st = fs.lstatSync(path);
    threw = false;
    const {
      uid,
      gid
    } = st;
    cache.set(path, {
      uid,
      gid
    });
    return {
      uid,
      gid
    };
  } finally {
    if (threw && parent !== path) {
      const owner = inferOwnerSync(parent);
      cache.set(path, owner);
      return owner; // eslint-disable-line no-unsafe-finally
    }
  }
};

const inflight = new Map();

module.exports = path => {
  path = resolve(path);
  if (inflight.has(path)) return Promise.resolve(inflight.get(path));
  const p = inferOwner(path).then(owner => {
    inflight.delete(path);
    return owner;
  });
  inflight.set(path, p);
  return p;
};

module.exports.sync = inferOwnerSync;

module.exports.clearCache = () => {
  cache.clear();
  inflight.clear();
};

/***/ }),

/***/ "./node_modules/.f/_/inflight/1.0.6/inflight/inflight.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var wrappy = __webpack_require__("./node_modules/.f/_/wrappy/1.0.2/wrappy/wrappy.js");

var reqs = Object.create(null);

var once = __webpack_require__("./node_modules/.f/_/once/1.4.0/once/once.js");

module.exports = wrappy(inflight);

function inflight(key, cb) {
  if (reqs[key]) {
    reqs[key].push(cb);
    return null;
  } else {
    reqs[key] = [cb];
    return makeres(key);
  }
}

function makeres(key) {
  return once(function RES() {
    var cbs = reqs[key];
    var len = cbs.length;
    var args = slice(arguments); // XXX It's somewhat ambiguous whether a new callback added in this
    // pass should be queued for later execution if something in the
    // list of callbacks throws, or if it should just be discarded.
    // However, it's such an edge case that it hardly matters, and either
    // choice is likely as surprising as the other.
    // As it happens, we do go ahead and schedule it for later execution.

    try {
      for (var i = 0; i < len; i++) {
        cbs[i].apply(null, args);
      }
    } finally {
      if (cbs.length > len) {
        // added more in the interim.
        // de-zalgo, just in case, but don't call again.
        cbs.splice(0, len);
        process.nextTick(function () {
          RES.apply(null, args);
        });
      } else {
        delete reqs[key];
      }
    }
  });
}

function slice(args) {
  var length = args.length;
  var array = [];

  for (var i = 0; i < length; i++) array[i] = args[i];

  return array;
}

/***/ }),

/***/ "./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

try {
  var util = __webpack_require__("util");
  /* istanbul ignore next */


  if (typeof util.inherits !== 'function') throw '';
  module.exports = util.inherits;
} catch (e) {
  /* istanbul ignore next */
  module.exports = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits_browser.js");
}

/***/ }),

/***/ "./node_modules/.f/_/inherits/2.0.4/inherits/inherits_browser.js":
/***/ ((module) => {

if (typeof Object.create === 'function') {
  // implementation from standard node.js 'util' module
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor;
      ctor.prototype = Object.create(superCtor.prototype, {
        constructor: {
          value: ctor,
          enumerable: false,
          writable: true,
          configurable: true
        }
      });
    }
  };
} else {
  // old school shim for old browsers
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor;

      var TempCtor = function () {};

      TempCtor.prototype = superCtor.prototype;
      ctor.prototype = new TempCtor();
      ctor.prototype.constructor = ctor;
    }
  };
}

/***/ }),

/***/ "./node_modules/.f/_/ini/2.0.0/ini/ini.js":
/***/ ((module) => {

const {
  hasOwnProperty
} = Object.prototype;
const eol = typeof process !== 'undefined' && process.platform === 'win32' ? '\r\n' : '\n';

const encode = (obj, opt) => {
  const children = [];
  let out = '';

  if (typeof opt === 'string') {
    opt = {
      section: opt,
      whitespace: false
    };
  } else {
    opt = opt || Object.create(null);
    opt.whitespace = opt.whitespace === true;
  }

  const separator = opt.whitespace ? ' = ' : '=';

  for (const k of Object.keys(obj)) {
    const val = obj[k];

    if (val && Array.isArray(val)) {
      for (const item of val) out += safe(k + '[]') + separator + safe(item) + '\n';
    } else if (val && typeof val === 'object') children.push(k);else out += safe(k) + separator + safe(val) + eol;
  }

  if (opt.section && out.length) out = '[' + safe(opt.section) + ']' + eol + out;

  for (const k of children) {
    const nk = dotSplit(k).join('\\.');
    const section = (opt.section ? opt.section + '.' : '') + nk;
    const {
      whitespace
    } = opt;
    const child = encode(obj[k], {
      section,
      whitespace
    });
    if (out.length && child.length) out += eol;
    out += child;
  }

  return out;
};

const dotSplit = str => str.replace(/\1/g, '\u0002LITERAL\\1LITERAL\u0002').replace(/\\\./g, '\u0001').split(/\./).map(part => part.replace(/\1/g, '\\.').replace(/\2LITERAL\\1LITERAL\2/g, '\u0001'));

const decode = str => {
  const out = Object.create(null);
  let p = out;
  let section = null; //          section     |key      = value

  const re = /^\[([^\]]*)\]$|^([^=]+)(=(.*))?$/i;
  const lines = str.split(/[\r\n]+/g);

  for (const line of lines) {
    if (!line || line.match(/^\s*[;#]/)) continue;
    const match = line.match(re);
    if (!match) continue;

    if (match[1] !== undefined) {
      section = unsafe(match[1]);

      if (section === '__proto__') {
        // not allowed
        // keep parsing the section, but don't attach it.
        p = Object.create(null);
        continue;
      }

      p = out[section] = out[section] || Object.create(null);
      continue;
    }

    const keyRaw = unsafe(match[2]);
    const isArray = keyRaw.length > 2 && keyRaw.slice(-2) === '[]';
    const key = isArray ? keyRaw.slice(0, -2) : keyRaw;
    if (key === '__proto__') continue;
    const valueRaw = match[3] ? unsafe(match[4]) : true;
    const value = valueRaw === 'true' || valueRaw === 'false' || valueRaw === 'null' ? JSON.parse(valueRaw) : valueRaw; // Convert keys with '[]' suffix to an array

    if (isArray) {
      if (!hasOwnProperty.call(p, key)) p[key] = [];else if (!Array.isArray(p[key])) p[key] = [p[key]];
    } // safeguard against resetting a previously defined
    // array by accidentally forgetting the brackets


    if (Array.isArray(p[key])) p[key].push(value);else p[key] = value;
  } // {a:{y:1},"a.b":{x:2}} --> {a:{y:1,b:{x:2}}}
  // use a filter to return the keys that have to be deleted.


  const remove = [];

  for (const k of Object.keys(out)) {
    if (!hasOwnProperty.call(out, k) || typeof out[k] !== 'object' || Array.isArray(out[k])) continue; // see if the parent section is also an object.
    // if so, add it to that, and mark this one for deletion

    const parts = dotSplit(k);
    let p = out;
    const l = parts.pop();
    const nl = l.replace(/\\\./g, '.');

    for (const part of parts) {
      if (part === '__proto__') continue;
      if (!hasOwnProperty.call(p, part) || typeof p[part] !== 'object') p[part] = Object.create(null);
      p = p[part];
    }

    if (p === out && nl === l) continue;
    p[nl] = out[k];
    remove.push(k);
  }

  for (const del of remove) delete out[del];

  return out;
};

const isQuoted = val => val.charAt(0) === '"' && val.slice(-1) === '"' || val.charAt(0) === "'" && val.slice(-1) === "'";

const safe = val => typeof val !== 'string' || val.match(/[=\r\n]/) || val.match(/^\[/) || val.length > 1 && isQuoted(val) || val !== val.trim() ? JSON.stringify(val) : val.replace(/;/g, '\\;').replace(/#/g, '\\#');

const unsafe = (val, doUnesc) => {
  val = (val || '').trim();

  if (isQuoted(val)) {
    // remove the single quotes before calling JSON.parse
    if (val.charAt(0) === "'") val = val.substr(1, val.length - 2);

    try {
      val = JSON.parse(val);
    } catch (_) {}
  } else {
    // walk the val to find the first not-escaped ; character
    let esc = false;
    let unesc = '';

    for (let i = 0, l = val.length; i < l; i++) {
      const c = val.charAt(i);

      if (esc) {
        if ('\\;#'.indexOf(c) !== -1) unesc += c;else unesc += '\\' + c;
        esc = false;
      } else if (';#'.indexOf(c) !== -1) break;else if (c === '\\') esc = true;else unesc += c;
    }

    if (esc) unesc += '\\';
    return unesc.trim();
  }

  return val;
};

module.exports = {
  parse: decode,
  decode,
  stringify: encode,
  encode,
  safe,
  unsafe
};

/***/ }),

/***/ "./node_modules/.f/_/init-package/1.0.0-fynlocal_h/init-package/dist/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.runInitPackage = exports.initNpmPackage = exports.generateNpmPackage = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const enquirer_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/enquirer/2.3.6/enquirer/index.js"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));
const fs_1 = (0, tslib_1.__importDefault)(__webpack_require__("fs"));
const path_1 = (0, tslib_1.__importDefault)(__webpack_require__("path"));
const semver_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js"));

function sortObj(obj) {
  const out = {};
  const sortedKeys = Object.keys(obj).sort().forEach(x => {
    out[x] = obj[x];
  });
  return out;
}

function mergeReplaceArray(objValue, srcValue) {
  if (lodash_1.default.isArray(objValue)) {
    return srcValue;
  }
}
/**
 *
 */
// @ts-ignore


class SAutoComplete extends enquirer_1.default.AutoComplete {
  constructor(options) {
    super(options);
  }

  submit() {
    if (!this.focused) {
      // @ts-ignore
      enquirer_1.default.Prompt.prototype.submit.call(this);
    } else {
      super.submit();
    }
  }

}

const initialTemplate = {
  name: "",
  version: "1.0.0",
  description: "",
  main: "index.js",
  exports: null,
  homepage: "",
  license: "UNLICENSED",
  scripts: {
    test: 'echo "Error: no test specified" && exit 1'
  },
  bin: null,
  private: false,
  author: "",
  publishConfig: {
    access: "public",
    registry: "https://registry.npmjs.com/"
  },
  files: ["src", "lib", "dist"],
  keywords: [],
  repository: {
    type: "git",
    url: ""
  }
};
/**
 *
 * @param base
 * @returns
 */

async function enquireAnswers(base) {
  const enquirer = new enquirer_1.default(); // @ts-ignore

  enquirer.register("sauto", SAutoComplete);
  let name = base.name;
  const licenses = ["UNLICENSED", "ISC", "MIT", "Apache-2.0", "BSD-3-Clause", "BSD-2-Clause", "GPL-2.0", "GPL-3.0", "LGPL-2.1", "LGPL-3.0", "MPL-2.0", "CDDL-1.0", "EPL-2.0"];

  if (!licenses.includes(base.license)) {
    licenses.unshift(base.license);
  }

  const prompts = [{
    type: "input",
    name: "name",
    initial: base.name,
    message: "name:",
    validate: x => {
      name = x;
      return true;
    }
  }, {
    type: "input",
    name: "version",
    initial: base.version,
    message: "version:",

    validate(value) {
      if (!semver_1.default.valid(value)) {
        return "version should be a valid semver value - https://docs.npmjs.com/cli/v8/configuring-npm/package-json#version";
      }

      return true;
    }

  }, {
    type: "input",
    name: "description",
    initial: base.description,
    message: "description:"
  }, {
    type: "input",
    name: "main",
    initial: base.main,
    message: "main entry:",
    skip: Boolean(lodash_1.default.get(base, "exports"))
  }, {
    type: "input",
    name: "homepage",
    initial: base.homepage,
    message: "homepage:"
  }, {
    type: "input",
    name: "scripts.test",
    initial: lodash_1.default.get(base, "scripts.test"),
    skip: true
  }, {
    type: "input",
    name: "repository.type",
    initial: lodash_1.default.get(base, "repository.type"),
    skip: true
  }, {
    type: "input",
    name: "repository.url",
    initial: lodash_1.default.get(base, "repository.url"),
    message: "git repository url:"
  }, {
    type: "input",
    name: "author",
    initial: base.author,
    message: "author:"
  }, {
    type: "sauto",
    name: "license",
    initial: base.license,
    choices: licenses,
    message: "license (See more at https://opensource.org/licenses or https://spdx.org/licenses):"
  }, {
    type: "list",
    name: "keywords",
    initial: [].concat(base.keywords).filter(x => x).join(","),
    message: "keywords - separate with commas"
  }, {
    type: "list",
    name: "files",
    initial: [].concat(base.files).filter(x => x).join(","),
    message: "files - separate with commas"
  }, {
    type: "sauto",
    name: "publishConfig.access",
    choices: ["public", "restricted"],
    initial: lodash_1.default.get(base, "publishConfig.access"),
    message: "publish access",
    skip: () => {
      return !name.startsWith("@");
    }
  }, {
    type: "toggle",
    name: "private",
    initial: base.private,
    enabled: "Yes",
    disabled: "No",
    message: "private"
  }];
  const answers = await enquirer.prompt(prompts);
  return answers;
}
/**
 *
 * @param yes
 * @param template
 * @param exist
 * @returns
 */


async function generateNpmPackage(yes = false, template = initialTemplate, exist = {}) {
  const base = lodash_1.default.mergeWith({}, template, exist, mergeReplaceArray);
  let answers;

  if (!yes) {
    answers = await enquireAnswers(base);
  } else {
    answers = lodash_1.default.mergeWith({}, template, exist, mergeReplaceArray);
  }

  if (!answers.private) {
    delete answers.private;
  }

  if (lodash_1.default.get(exist, "scripts")) {
    delete answers.scripts;
  }

  if (lodash_1.default.get(exist, "exports")) {
    delete answers.main;
  }

  if (!answers.name.startsWith("@")) {
    delete answers.publishConfig;
  } else if (lodash_1.default.get(exist, "publishConfig")) {
    answers.publishConfig = lodash_1.default.pick(answers.publishConfig, Object.keys(exist.publishConfig));
  }

  const finalData = lodash_1.default.mergeWith({}, exist, answers, mergeReplaceArray); //
  // ensure order for basic fields
  //

  const result = {};
  Object.keys(template).forEach(k => {
    if (finalData[k] === null) {
      delete finalData[k];
    } else if (finalData.hasOwnProperty(k)) {
      result[k] = finalData[k];
      delete finalData[k];
    }
  });
  Object.assign(result, finalData);
  result.files = result.files.map(x => x.trim());
  return result;
}

exports.generateNpmPackage = generateNpmPackage;
/**
 *
 * @param yes
 * @param cwd
 * @returns
 */

async function initNpmPackage(yes = false, cwd = process.cwd()) {
  let exist;
  const file = path_1.default.join(cwd, "package.json");
  let template = initialTemplate;

  try {
    const data = await fs_1.default.promises.readFile(file, "utf-8");
    exist = JSON.parse(data);
  } catch (_a) {
    const name1 = path_1.default.basename(cwd);
    const name2 = path_1.default.basename(path_1.default.dirname(cwd));
    const name = name2 && name2.startsWith("@") ? `${name2}/${name1}` : name1;
    template = Object.assign({}, initialTemplate, {
      name
    });
  }

  const result = await generateNpmPackage(yes, template, exist);
  const outputData = JSON.stringify(result, null, 2);
  let changed = true;
  let updated = true;

  if (exist) {
    const sortExistData = JSON.stringify(sortObj(exist));
    const sortResultData = JSON.stringify(sortObj(result));
    changed = sortExistData !== sortResultData;
    const existData = JSON.stringify(exist, null, 2);
    updated = existData !== outputData;
  }

  if (updated) {
    await fs_1.default.promises.writeFile(file, `${outputData}\n`);
  }

  return {
    exist,
    result,
    outputData,
    changed,
    updated
  };
}

exports.initNpmPackage = initNpmPackage;
/**
 *
 * @param cwd
 * @param yes
 */

async function runInitPackage(yes = false, cwd = process.cwd()) {
  if (!yes) {
    // some message copied from original "npm init"
    console.log(`This utility will walk you through creating a package.json file.
It only covers the most common items, and tries to guess sensible defaults.

For more details, see:
  https://docs.npmjs.com/cli/v8/configuring-npm/package-json

Press ^C at any time to quit.`);
  }

  const {
    exist,
    outputData,
    changed,
    updated
  } = await initNpmPackage(yes, cwd);

  if (updated) {
    console.log(`Wrote to ${process.cwd()}/package.json`);

    if (!changed) {
      console.log(`No actual value changed, only reordered some keys`);
    }

    if (!exist) {
      console.log(outputData);
    }
  } else {
    console.log(`No changes made to your package.json`);
  }
}

exports.runInitPackage = runInitPackage;

/***/ }),

/***/ "./node_modules/.f/_/invariant/2.2.4/invariant/invariant.js":
/***/ ((module) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Use invariant() to assert state which your program assumes to be true.
 *
 * Provide sprintf-style format (only %s is supported) and arguments
 * to provide information about what broke and what you were
 * expecting.
 *
 * The invariant message will be stripped in production, but the invariant
 * will remain to ensure logic does not differ in production.
 */

var NODE_ENV = "production";

var invariant = function (condition, format, a, b, c, d, e, f) {
  if (NODE_ENV !== 'production') {
    if (format === undefined) {
      throw new Error('invariant requires an error message argument');
    }
  }

  if (!condition) {
    var error;

    if (format === undefined) {
      error = new Error('Minified exception occurred; use the non-minified dev environment ' + 'for the full error message and additional helpful warnings.');
    } else {
      var args = [a, b, c, d, e, f];
      var argIndex = 0;
      error = new Error(format.replace(/%s/g, function () {
        return args[argIndex++];
      }));
      error.name = 'Invariant Violation';
    }

    error.framesToPop = 1; // we don't care about invariant's own frame

    throw error;
  }
};

module.exports = invariant;

/***/ }),

/***/ "./node_modules/.f/_/ip/1.1.5/ip/lib/ip.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var ip = exports;

var Buffer = __webpack_require__("buffer").Buffer;

var os = __webpack_require__("os");

ip.toBuffer = function (ip, buff, offset) {
  offset = ~~offset;
  var result;

  if (this.isV4Format(ip)) {
    result = buff || new Buffer(offset + 4);
    ip.split(/\./g).map(function (byte) {
      result[offset++] = parseInt(byte, 10) & 0xff;
    });
  } else if (this.isV6Format(ip)) {
    var sections = ip.split(':', 8);
    var i;

    for (i = 0; i < sections.length; i++) {
      var isv4 = this.isV4Format(sections[i]);
      var v4Buffer;

      if (isv4) {
        v4Buffer = this.toBuffer(sections[i]);
        sections[i] = v4Buffer.slice(0, 2).toString('hex');
      }

      if (v4Buffer && ++i < 8) {
        sections.splice(i, 0, v4Buffer.slice(2, 4).toString('hex'));
      }
    }

    if (sections[0] === '') {
      while (sections.length < 8) sections.unshift('0');
    } else if (sections[sections.length - 1] === '') {
      while (sections.length < 8) sections.push('0');
    } else if (sections.length < 8) {
      for (i = 0; i < sections.length && sections[i] !== ''; i++);

      var argv = [i, 1];

      for (i = 9 - sections.length; i > 0; i--) {
        argv.push('0');
      }

      sections.splice.apply(sections, argv);
    }

    result = buff || new Buffer(offset + 16);

    for (i = 0; i < sections.length; i++) {
      var word = parseInt(sections[i], 16);
      result[offset++] = word >> 8 & 0xff;
      result[offset++] = word & 0xff;
    }
  }

  if (!result) {
    throw Error('Invalid ip address: ' + ip);
  }

  return result;
};

ip.toString = function (buff, offset, length) {
  offset = ~~offset;
  length = length || buff.length - offset;
  var result = [];

  if (length === 4) {
    // IPv4
    for (var i = 0; i < length; i++) {
      result.push(buff[offset + i]);
    }

    result = result.join('.');
  } else if (length === 16) {
    // IPv6
    for (var i = 0; i < length; i += 2) {
      result.push(buff.readUInt16BE(offset + i).toString(16));
    }

    result = result.join(':');
    result = result.replace(/(^|:)0(:0)*:0(:|$)/, '$1::$3');
    result = result.replace(/:{3,4}/, '::');
  }

  return result;
};

var ipv4Regex = /^(\d{1,3}\.){3,3}\d{1,3}$/;
var ipv6Regex = /^(::)?(((\d{1,3}\.){3}(\d{1,3}){1})?([0-9a-f]){0,4}:{0,2}){1,8}(::)?$/i;

ip.isV4Format = function (ip) {
  return ipv4Regex.test(ip);
};

ip.isV6Format = function (ip) {
  return ipv6Regex.test(ip);
};

function _normalizeFamily(family) {
  return family ? family.toLowerCase() : 'ipv4';
}

ip.fromPrefixLen = function (prefixlen, family) {
  if (prefixlen > 32) {
    family = 'ipv6';
  } else {
    family = _normalizeFamily(family);
  }

  var len = 4;

  if (family === 'ipv6') {
    len = 16;
  }

  var buff = new Buffer(len);

  for (var i = 0, n = buff.length; i < n; ++i) {
    var bits = 8;

    if (prefixlen < 8) {
      bits = prefixlen;
    }

    prefixlen -= bits;
    buff[i] = ~(0xff >> bits) & 0xff;
  }

  return ip.toString(buff);
};

ip.mask = function (addr, mask) {
  addr = ip.toBuffer(addr);
  mask = ip.toBuffer(mask);
  var result = new Buffer(Math.max(addr.length, mask.length));
  var i = 0; // Same protocol - do bitwise and

  if (addr.length === mask.length) {
    for (i = 0; i < addr.length; i++) {
      result[i] = addr[i] & mask[i];
    }
  } else if (mask.length === 4) {
    // IPv6 address and IPv4 mask
    // (Mask low bits)
    for (i = 0; i < mask.length; i++) {
      result[i] = addr[addr.length - 4 + i] & mask[i];
    }
  } else {
    // IPv6 mask and IPv4 addr
    for (var i = 0; i < result.length - 6; i++) {
      result[i] = 0;
    } // ::ffff:ipv4


    result[10] = 0xff;
    result[11] = 0xff;

    for (i = 0; i < addr.length; i++) {
      result[i + 12] = addr[i] & mask[i + 12];
    }

    i = i + 12;
  }

  for (; i < result.length; i++) result[i] = 0;

  return ip.toString(result);
};

ip.cidr = function (cidrString) {
  var cidrParts = cidrString.split('/');
  var addr = cidrParts[0];
  if (cidrParts.length !== 2) throw new Error('invalid CIDR subnet: ' + addr);
  var mask = ip.fromPrefixLen(parseInt(cidrParts[1], 10));
  return ip.mask(addr, mask);
};

ip.subnet = function (addr, mask) {
  var networkAddress = ip.toLong(ip.mask(addr, mask)); // Calculate the mask's length.

  var maskBuffer = ip.toBuffer(mask);
  var maskLength = 0;

  for (var i = 0; i < maskBuffer.length; i++) {
    if (maskBuffer[i] === 0xff) {
      maskLength += 8;
    } else {
      var octet = maskBuffer[i] & 0xff;

      while (octet) {
        octet = octet << 1 & 0xff;
        maskLength++;
      }
    }
  }

  var numberOfAddresses = Math.pow(2, 32 - maskLength);
  return {
    networkAddress: ip.fromLong(networkAddress),
    firstAddress: numberOfAddresses <= 2 ? ip.fromLong(networkAddress) : ip.fromLong(networkAddress + 1),
    lastAddress: numberOfAddresses <= 2 ? ip.fromLong(networkAddress + numberOfAddresses - 1) : ip.fromLong(networkAddress + numberOfAddresses - 2),
    broadcastAddress: ip.fromLong(networkAddress + numberOfAddresses - 1),
    subnetMask: mask,
    subnetMaskLength: maskLength,
    numHosts: numberOfAddresses <= 2 ? numberOfAddresses : numberOfAddresses - 2,
    length: numberOfAddresses,
    contains: function (other) {
      return networkAddress === ip.toLong(ip.mask(other, mask));
    }
  };
};

ip.cidrSubnet = function (cidrString) {
  var cidrParts = cidrString.split('/');
  var addr = cidrParts[0];
  if (cidrParts.length !== 2) throw new Error('invalid CIDR subnet: ' + addr);
  var mask = ip.fromPrefixLen(parseInt(cidrParts[1], 10));
  return ip.subnet(addr, mask);
};

ip.not = function (addr) {
  var buff = ip.toBuffer(addr);

  for (var i = 0; i < buff.length; i++) {
    buff[i] = 0xff ^ buff[i];
  }

  return ip.toString(buff);
};

ip.or = function (a, b) {
  a = ip.toBuffer(a);
  b = ip.toBuffer(b); // same protocol

  if (a.length === b.length) {
    for (var i = 0; i < a.length; ++i) {
      a[i] |= b[i];
    }

    return ip.toString(a); // mixed protocols
  } else {
    var buff = a;
    var other = b;

    if (b.length > a.length) {
      buff = b;
      other = a;
    }

    var offset = buff.length - other.length;

    for (var i = offset; i < buff.length; ++i) {
      buff[i] |= other[i - offset];
    }

    return ip.toString(buff);
  }
};

ip.isEqual = function (a, b) {
  a = ip.toBuffer(a);
  b = ip.toBuffer(b); // Same protocol

  if (a.length === b.length) {
    for (var i = 0; i < a.length; i++) {
      if (a[i] !== b[i]) return false;
    }

    return true;
  } // Swap


  if (b.length === 4) {
    var t = b;
    b = a;
    a = t;
  } // a - IPv4, b - IPv6


  for (var i = 0; i < 10; i++) {
    if (b[i] !== 0) return false;
  }

  var word = b.readUInt16BE(10);
  if (word !== 0 && word !== 0xffff) return false;

  for (var i = 0; i < 4; i++) {
    if (a[i] !== b[i + 12]) return false;
  }

  return true;
};

ip.isPrivate = function (addr) {
  return /^(::f{4}:)?10\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$/i.test(addr) || /^(::f{4}:)?192\.168\.([0-9]{1,3})\.([0-9]{1,3})$/i.test(addr) || /^(::f{4}:)?172\.(1[6-9]|2\d|30|31)\.([0-9]{1,3})\.([0-9]{1,3})$/i.test(addr) || /^(::f{4}:)?127\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$/i.test(addr) || /^(::f{4}:)?169\.254\.([0-9]{1,3})\.([0-9]{1,3})$/i.test(addr) || /^f[cd][0-9a-f]{2}:/i.test(addr) || /^fe80:/i.test(addr) || /^::1$/.test(addr) || /^::$/.test(addr);
};

ip.isPublic = function (addr) {
  return !ip.isPrivate(addr);
};

ip.isLoopback = function (addr) {
  return /^(::f{4}:)?127\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})/.test(addr) || /^fe80::1$/.test(addr) || /^::1$/.test(addr) || /^::$/.test(addr);
};

ip.loopback = function (family) {
  //
  // Default to `ipv4`
  //
  family = _normalizeFamily(family);

  if (family !== 'ipv4' && family !== 'ipv6') {
    throw new Error('family must be ipv4 or ipv6');
  }

  return family === 'ipv4' ? '127.0.0.1' : 'fe80::1';
}; //
// ### function address (name, family)
// #### @name {string|'public'|'private'} **Optional** Name or security
//      of the network interface.
// #### @family {ipv4|ipv6} **Optional** IP family of the address (defaults
//      to ipv4).
//
// Returns the address for the network interface on the current system with
// the specified `name`:
//   * String: First `family` address of the interface.
//             If not found see `undefined`.
//   * 'public': the first public ip address of family.
//   * 'private': the first private ip address of family.
//   * undefined: First address with `ipv4` or loopback address `127.0.0.1`.
//


ip.address = function (name, family) {
  var interfaces = os.networkInterfaces();
  var all; //
  // Default to `ipv4`
  //

  family = _normalizeFamily(family); //
  // If a specific network interface has been named,
  // return the address.
  //

  if (name && name !== 'private' && name !== 'public') {
    var res = interfaces[name].filter(function (details) {
      var itemFamily = details.family.toLowerCase();
      return itemFamily === family;
    });
    if (res.length === 0) return undefined;
    return res[0].address;
  }

  var all = Object.keys(interfaces).map(function (nic) {
    //
    // Note: name will only be `public` or `private`
    // when this is called.
    //
    var addresses = interfaces[nic].filter(function (details) {
      details.family = details.family.toLowerCase();

      if (details.family !== family || ip.isLoopback(details.address)) {
        return false;
      } else if (!name) {
        return true;
      }

      return name === 'public' ? ip.isPrivate(details.address) : ip.isPublic(details.address);
    });
    return addresses.length ? addresses[0].address : undefined;
  }).filter(Boolean);
  return !all.length ? ip.loopback(family) : all[0];
};

ip.toLong = function (ip) {
  var ipl = 0;
  ip.split('.').forEach(function (octet) {
    ipl <<= 8;
    ipl += parseInt(octet);
  });
  return ipl >>> 0;
};

ip.fromLong = function (ipl) {
  return (ipl >>> 24) + '.' + (ipl >> 16 & 255) + '.' + (ipl >> 8 & 255) + '.' + (ipl & 255);
};

/***/ }),

/***/ "./node_modules/.f/_/is-core-module/2.2.0/is-core-module/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var has = __webpack_require__("./node_modules/.f/_/has/1.0.3/has/src/index.js");

function specifierIncluded(current, specifier) {
  var nodeParts = current.split('.');
  var parts = specifier.split(' ');
  var op = parts.length > 1 ? parts[0] : '=';
  var versionParts = (parts.length > 1 ? parts[1] : parts[0]).split('.');

  for (var i = 0; i < 3; ++i) {
    var cur = parseInt(nodeParts[i] || 0, 10);
    var ver = parseInt(versionParts[i] || 0, 10);

    if (cur === ver) {
      continue; // eslint-disable-line no-restricted-syntax, no-continue
    }

    if (op === '<') {
      return cur < ver;
    }

    if (op === '>=') {
      return cur >= ver;
    }

    return false;
  }

  return op === '>=';
}

function matchesRange(current, range) {
  var specifiers = range.split(/ ?&& ?/);

  if (specifiers.length === 0) {
    return false;
  }

  for (var i = 0; i < specifiers.length; ++i) {
    if (!specifierIncluded(current, specifiers[i])) {
      return false;
    }
  }

  return true;
}

function versionIncluded(nodeVersion, specifierValue) {
  if (typeof specifierValue === 'boolean') {
    return specifierValue;
  }

  var current = typeof nodeVersion === 'undefined' ? process.versions && process.versions.node && process.versions.node : nodeVersion;

  if (typeof current !== 'string') {
    throw new TypeError(typeof nodeVersion === 'undefined' ? 'Unable to determine current node version' : 'If provided, a valid node version is required');
  }

  if (specifierValue && typeof specifierValue === 'object') {
    for (var i = 0; i < specifierValue.length; ++i) {
      if (matchesRange(current, specifierValue[i])) {
        return true;
      }
    }

    return false;
  }

  return matchesRange(current, specifierValue);
}

var data = __webpack_require__("./node_modules/.f/_/is-core-module/2.2.0/is-core-module/core.json");

module.exports = function isCore(x, nodeVersion) {
  return has(data, x) && versionIncluded(nodeVersion, data[x]);
};

/***/ }),

/***/ "./node_modules/.f/_/is-fullwidth-code-point/1.0.0/is-fullwidth-code-point/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var numberIsNan = __webpack_require__("./node_modules/.f/_/number-is-nan/1.0.1/number-is-nan/index.js");

module.exports = function (x) {
  if (numberIsNan(x)) {
    return false;
  } // https://github.com/nodejs/io.js/blob/cff7300a578be1b10001f2d967aaedc88aee6402/lib/readline.js#L1369
  // code points are derived from:
  // http://www.unix.org/Public/UNIDATA/EastAsianWidth.txt


  if (x >= 0x1100 && (x <= 0x115f || // Hangul Jamo
  0x2329 === x || // LEFT-POINTING ANGLE BRACKET
  0x232a === x || // RIGHT-POINTING ANGLE BRACKET
  // CJK Radicals Supplement .. Enclosed CJK Letters and Months
  0x2e80 <= x && x <= 0x3247 && x !== 0x303f || // Enclosed CJK Letters and Months .. CJK Unified Ideographs Extension A
  0x3250 <= x && x <= 0x4dbf || // CJK Unified Ideographs .. Yi Radicals
  0x4e00 <= x && x <= 0xa4c6 || // Hangul Jamo Extended-A
  0xa960 <= x && x <= 0xa97c || // Hangul Syllables
  0xac00 <= x && x <= 0xd7a3 || // CJK Compatibility Ideographs
  0xf900 <= x && x <= 0xfaff || // Vertical Forms
  0xfe10 <= x && x <= 0xfe19 || // CJK Compatibility Forms .. Small Form Variants
  0xfe30 <= x && x <= 0xfe6b || // Halfwidth and Fullwidth Forms
  0xff01 <= x && x <= 0xff60 || 0xffe0 <= x && x <= 0xffe6 || // Kana Supplement
  0x1b000 <= x && x <= 0x1b001 || // Enclosed Ideographic Supplement
  0x1f200 <= x && x <= 0x1f251 || // CJK Unified Ideographs Extension B .. Tertiary Ideographic Plane
  0x20000 <= x && x <= 0x3fffd)) {
    return true;
  }

  return false;
};

/***/ }),

/***/ "./node_modules/.f/_/is-fullwidth-code-point/3.0.0/is-fullwidth-code-point/index.js":
/***/ ((module) => {

"use strict";
/* eslint-disable yoda */


const isFullwidthCodePoint = codePoint => {
  if (Number.isNaN(codePoint)) {
    return false;
  } // Code points are derived from:
  // http://www.unix.org/Public/UNIDATA/EastAsianWidth.txt


  if (codePoint >= 0x1100 && (codePoint <= 0x115F || // Hangul Jamo
  codePoint === 0x2329 || // LEFT-POINTING ANGLE BRACKET
  codePoint === 0x232A || // RIGHT-POINTING ANGLE BRACKET
  // CJK Radicals Supplement .. Enclosed CJK Letters and Months
  0x2E80 <= codePoint && codePoint <= 0x3247 && codePoint !== 0x303F || // Enclosed CJK Letters and Months .. CJK Unified Ideographs Extension A
  0x3250 <= codePoint && codePoint <= 0x4DBF || // CJK Unified Ideographs .. Yi Radicals
  0x4E00 <= codePoint && codePoint <= 0xA4C6 || // Hangul Jamo Extended-A
  0xA960 <= codePoint && codePoint <= 0xA97C || // Hangul Syllables
  0xAC00 <= codePoint && codePoint <= 0xD7A3 || // CJK Compatibility Ideographs
  0xF900 <= codePoint && codePoint <= 0xFAFF || // Vertical Forms
  0xFE10 <= codePoint && codePoint <= 0xFE19 || // CJK Compatibility Forms .. Small Form Variants
  0xFE30 <= codePoint && codePoint <= 0xFE6B || // Halfwidth and Fullwidth Forms
  0xFF01 <= codePoint && codePoint <= 0xFF60 || 0xFFE0 <= codePoint && codePoint <= 0xFFE6 || // Kana Supplement
  0x1B000 <= codePoint && codePoint <= 0x1B001 || // Enclosed Ideographic Supplement
  0x1F200 <= codePoint && codePoint <= 0x1F251 || // CJK Unified Ideographs Extension B .. Tertiary Ideographic Plane
  0x20000 <= codePoint && codePoint <= 0x3FFFD)) {
    return true;
  }

  return false;
};

module.exports = isFullwidthCodePoint;
module.exports["default"] = isFullwidthCodePoint;

/***/ }),

/***/ "./node_modules/.f/_/is-installed-globally/0.4.0/is-installed-globally/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const globalDirs = __webpack_require__("./node_modules/.f/_/global-dirs/3.0.0/global-dirs/index.js");

const isPathInside = __webpack_require__("./node_modules/.f/_/is-path-inside/3.0.3/is-path-inside/index.js");

module.exports = (() => {
  try {
    return isPathInside(__dirname, globalDirs.yarn.packages) || isPathInside(__dirname, fs.realpathSync(globalDirs.npm.packages));
  } catch (_unused) {
    return false;
  }
})();

/***/ }),

/***/ "./node_modules/.f/_/is-lambda/1.0.1/is-lambda/index.js":
/***/ ((module) => {

"use strict";


module.exports = !!(process.env.LAMBDA_TASK_ROOT && process.env.AWS_EXECUTION_ENV || false);

/***/ }),

/***/ "./node_modules/.f/_/is-path-inside/3.0.3/is-path-inside/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

module.exports = (childPath, parentPath) => {
  const relation = path.relative(parentPath, childPath);
  return Boolean(relation && relation !== '..' && !relation.startsWith(`..${path.sep}`) && relation !== path.resolve(childPath));
};

/***/ }),

/***/ "./node_modules/.f/_/is-stream/2.0.0/is-stream/index.js":
/***/ ((module) => {

"use strict";


const isStream = stream => stream !== null && typeof stream === 'object' && typeof stream.pipe === 'function';

isStream.writable = stream => isStream(stream) && stream.writable !== false && typeof stream._write === 'function' && typeof stream._writableState === 'object';

isStream.readable = stream => isStream(stream) && stream.readable !== false && typeof stream._read === 'function' && typeof stream._readableState === 'object';

isStream.duplex = stream => isStream.writable(stream) && isStream.readable(stream);

isStream.transform = stream => isStream.duplex(stream) && typeof stream._transform === 'function' && typeof stream._transformState === 'object';

module.exports = isStream;

/***/ }),

/***/ "./node_modules/.f/_/isarray/1.0.0/isarray/index.js":
/***/ ((module) => {

var toString = {}.toString;

module.exports = Array.isArray || function (arr) {
  return toString.call(arr) == '[object Array]';
};

/***/ }),

/***/ "./node_modules/.f/_/isexe/2.0.0/isexe/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var core;

if (process.platform === 'win32' || global.TESTING_WINDOWS) {
  core = __webpack_require__("./node_modules/.f/_/isexe/2.0.0/isexe/windows.js");
} else {
  core = __webpack_require__("./node_modules/.f/_/isexe/2.0.0/isexe/mode.js");
}

module.exports = isexe;
isexe.sync = sync;

function isexe(path, options, cb) {
  if (typeof options === 'function') {
    cb = options;
    options = {};
  }

  if (!cb) {
    if (typeof Promise !== 'function') {
      throw new TypeError('callback not provided');
    }

    return new Promise(function (resolve, reject) {
      isexe(path, options || {}, function (er, is) {
        if (er) {
          reject(er);
        } else {
          resolve(is);
        }
      });
    });
  }

  core(path, options || {}, function (er, is) {
    // ignore EACCES because that just means we aren't allowed to run it
    if (er) {
      if (er.code === 'EACCES' || options && options.ignoreErrors) {
        er = null;
        is = false;
      }
    }

    cb(er, is);
  });
}

function sync(path, options) {
  // my kingdom for a filtered catch
  try {
    return core.sync(path, options || {});
  } catch (er) {
    if (options && options.ignoreErrors || er.code === 'EACCES') {
      return false;
    } else {
      throw er;
    }
  }
}

/***/ }),

/***/ "./node_modules/.f/_/isexe/2.0.0/isexe/mode.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = isexe;
isexe.sync = sync;

var fs = __webpack_require__("fs");

function isexe(path, options, cb) {
  fs.stat(path, function (er, stat) {
    cb(er, er ? false : checkStat(stat, options));
  });
}

function sync(path, options) {
  return checkStat(fs.statSync(path), options);
}

function checkStat(stat, options) {
  return stat.isFile() && checkMode(stat, options);
}

function checkMode(stat, options) {
  var mod = stat.mode;
  var uid = stat.uid;
  var gid = stat.gid;
  var myUid = options.uid !== undefined ? options.uid : process.getuid && process.getuid();
  var myGid = options.gid !== undefined ? options.gid : process.getgid && process.getgid();
  var u = parseInt('100', 8);
  var g = parseInt('010', 8);
  var o = parseInt('001', 8);
  var ug = u | g;
  var ret = mod & o || mod & g && gid === myGid || mod & u && uid === myUid || mod & ug && myUid === 0;
  return ret;
}

/***/ }),

/***/ "./node_modules/.f/_/isexe/2.0.0/isexe/windows.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = isexe;
isexe.sync = sync;

var fs = __webpack_require__("fs");

function checkPathExt(path, options) {
  var pathext = options.pathExt !== undefined ? options.pathExt : process.env.PATHEXT;

  if (!pathext) {
    return true;
  }

  pathext = pathext.split(';');

  if (pathext.indexOf('') !== -1) {
    return true;
  }

  for (var i = 0; i < pathext.length; i++) {
    var p = pathext[i].toLowerCase();

    if (p && path.substr(-p.length).toLowerCase() === p) {
      return true;
    }
  }

  return false;
}

function checkStat(stat, path, options) {
  if (!stat.isSymbolicLink() && !stat.isFile()) {
    return false;
  }

  return checkPathExt(path, options);
}

function isexe(path, options, cb) {
  fs.stat(path, function (er, stat) {
    cb(er, er ? false : checkStat(stat, path, options));
  });
}

function sync(path, options) {
  return checkStat(fs.statSync(path), path, options);
}

/***/ }),

/***/ "./node_modules/.f/_/item-queue/1.1.2/item-queue/dist/inflight.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.Inflight = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const assert_1 = (0, tslib_1.__importDefault)(__webpack_require__("assert"));
/**
 * async inflight operation memoizer
 */

class Inflight {
  constructor() {
    this._count = 0;
    this._inflights = {};
  }

  add(key, value, now) {
    (0, assert_1.default)(this._inflights[key] === undefined, `Already has inflight item ${String(key)}`);
    this._count++;
    now = now || Date.now();
    this._inflights[key] = {
      start: now,
      lastXTime: now,
      value
    };
    return value;
  }
  /**
   * return internal inflights records object
   */


  get inflights() {
    return this._inflights;
  }
  /**
   * get an inflight record
   *
   * @param key
   * @returns
   */


  get(key) {
    const x = this._inflights[key];
    return x && x.value;
  }
  /**
   * remove an inflight record
   *
   * @param key
   */


  remove(key) {
    (0, assert_1.default)(this._inflights[key] !== undefined, `Removing non-existing inflight item ${String(key)}`);
    (0, assert_1.default)(this._count > 0, `Removing inflight item ${String(key)} but count is ${this._count}`);
    this._count--;

    if (this._count === 0) {
      this._inflights = {};
    } else {
      this._inflights[key] = undefined;
    }
  }
  /**
   * Check if inflight record is empty (ie: no inflight operations)
   */


  get isEmpty() {
    return this._count === 0;
  }
  /**
   * get number of operations inflight
   */


  get count() {
    return this._count;
  }
  /**
   * Get the start time of a inflight operation
   *
   * @param key
   * @returns
   */


  getStartTime(key) {
    const x = this._inflights[key];
    return x && x.start;
  }
  /**
   * Get the time an inflight operation has elapsed
   * @param key
   * @param now
   * @returns
   */


  time(key, now) {
    const x = this._inflights[key];

    if (x) {
      return (now || Date.now()) - x.start;
    }

    return -1;
  }
  /**
   * Get the time an inflight operation has elapsed
   * @param key
   * @param now
   * @returns
   */


  elapseTime(key, now) {
    return this.time(key, now);
  }
  /**
   * Get the time the inflight operation was last checked
   * @param key
   * @returns
   */


  getCheckTime(key) {
    const x = this._inflights[key];
    return x && x.lastXTime;
  }
  /**
   * Get the time elapsed since last check
   *
   * @param key
   * @param now
   * @returns
   */


  lastCheckTime(key, now) {
    const x = this._inflights[key];

    if (x) {
      const t = (now || Date.now()) - x.lastXTime;
      return t;
    }

    return -1;
  }
  /**
   * Get the time elapsed since last check
   *
   * @param key
   * @param now
   * @returns
   */


  elapseCheckTime(key, now) {
    return this.lastCheckTime(key, now);
  }
  /**
   * Reset last check time to `now` or `Date.now()`
   *
   * @param key
   * @param now
   * @returns
   */


  resetCheckTime(key, now) {
    const x = this._inflights[key];

    if (x) {
      x.lastXTime = now || Date.now();
    }

    return this;
  }

}

exports.Inflight = Inflight;

/***/ }),

/***/ "./node_modules/.f/_/item-queue/1.1.2/item-queue/dist/item-queue.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers, max-statements, complexity */

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.ItemQueue = void 0;

const tslib_1 = __webpack_require__("./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js");

const events_1 = (0, tslib_1.__importDefault)(__webpack_require__("events"));
const assert_1 = (0, tslib_1.__importDefault)(__webpack_require__("assert"));
const lodash_1 = (0, tslib_1.__importDefault)(__webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js"));

const inflight_1 = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/dist/inflight.js");

const PAUSE_ITEM = Symbol("pause");
const RESUME_ITEM = Symbol("resume");
const NOOP_ITEM = Symbol("NOOP");
const WATCH_PERIOD = 500;
/**
 * Queue to process items async
 */

class ItemQueue extends events_1.default {
  constructor(options) {
    (0, assert_1.default)(options && typeof options.processItem === "function", "ItemQueue: must provide options.processItem callback");
    super();
    this.Promise = options.Promise || ItemQueue.Promise;
    (0, assert_1.default)(this.Promise, "ItemQueue: No Promise implementation available");
    this._pending = new inflight_1.Inflight();
    this._itemQ = [];

    if (options.itemQ) {
      this.addItems(options.itemQ, true);
    }

    this._concurrency = options.concurrency || 15;
    this._processItem = options.processItem;
    this._stopOnError = options.stopOnError;
    this._failed = false;
    this._timeout = options.timeout; // TODO

    this._watchPeriod = options.watchPeriod || WATCH_PERIOD;
    this._watchTime = options.watchTime;
    this._id = 1;
    this._deferred = false;
    lodash_1.default.each(options.handlers, (handler, evt) => {
      this.on(evt, handler);
    });
  }
  /**
   * Wait for the queue to finish processing items
   *
   * - while processing, events are emitted for each item
   *
   * @returns promise that wait for queue to finish
   */


  wait() {
    if (this._failed) {
      return this.Promise.reject(this._failed);
    }

    if (this.isPending) {
      return new this.Promise((resolve, reject) => {
        const h = data => {
          if (data.error) {
            this.removeListener("done", h);
            reject(data.error);
          } else {
            this.removeListener("fail", h);
            resolve(data);
          }
        };

        this.once("done", h);
        this.once("fail", h);
      });
    }

    return this.Promise.resolve();
  }
  /**
   * setup to begin process at the next event tick
   *
   * @returns nothing
   */


  deferProcess() {
    if (this._deferred) return;
    this._deferred = true;
    process.nextTick(() => {
      this._deferred = false;

      this._process();
    });
  }
  /**
   * replace current array of items with a new one for processing
   *
   * @param itemQ - array of items
   * @param noStart - don't start processing after adding
   * @returns item q instance itself
   */


  setItemQ(itemQ, noStart) {
    (0, assert_1.default)(Array.isArray(itemQ), "item-queue: Must pass array to setItemQ");
    this._itemQ = itemQ.map(x => this._wrap(x));
    this._empty = itemQ.length === 0;
    if (!noStart) this.deferProcess();
    return this;
  }
  /**
   * add an item to the end of the queue
   *
   * @param item - item to add
   * @param noStart - if `true` then don't start processing
   * @param stopOnError - stop if error occurred for this item
   * @returns instance self
   */


  addItem(item, noStart, stopOnError) {
    this._empty = false;

    this._itemQ.push(this._wrap(item, stopOnError));

    if (!noStart) this.deferProcess();
    return this;
  }
  /**
   * add an array of items to the end of the queue
   *
   * @param items - items to add
   * @param noStart - if `true` then don't start processing
   * @returns instance self
   */


  addItems(items, noStart) {
    (0, assert_1.default)(Array.isArray(items), "item-queue: Must pass array to addItems");
    items.forEach(x => this.addItem(x, true));
    if (!noStart) this.deferProcess();
    return this;
  }
  /**
   * Get the special item to add to the queue so processing will pause when it's reached
   */


  static get pauseItem() {
    return PAUSE_ITEM;
  }
  /**
   * check if the queue is paused
   */


  get isPause() {
    return this._pause;
  }
  /**
   * check if there are still items pending in the queue
   */


  get isPending() {
    return !this._pending.isEmpty || this._itemQ.length !== 0;
  }
  /**
   * get the total items still left in the queue, including those that
   * are being processed.
   */


  get count() {
    return this._pending.count + this._itemQ.length;
  }
  /**
   * pause the queue.  any items already in progress will finish first.
   * @returns instance self
   */


  pause() {
    this._itemQ.unshift(this._wrap(ItemQueue.pauseItem));

    return this;
  }
  /**
   * mark the queue to unpause.
   *
   * NOTE: this doesn't actually start the processing.  Typically
   * you should use `resume` to unpause and start processing.
   *
   * @returns instance self
   */


  unpause() {
    this._pause = false;
    return this;
  }
  /**
   * resume the queue processing.
   *
   * @remark this is the same as `start`
   *
   * @returns instance self
   */


  resume() {
    process.nextTick(() => {
      this.unpause();

      if (this._itemQ.length === 0) {
        this._itemQ.push(this._wrap(RESUME_ITEM));
      }

      this._process();
    });
    return this;
  }
  /**
   * start the queue processing
   *
   * @remark this is the same as `resume`
   *
   * @returns instance self
   */


  start() {
    return this.resume();
  }

  _wrap(item, stopOnError) {
    if (typeof item === "symbol") {
      return {
        item: undefined,
        _control: item
      };
    } else {
      return {
        item,
        stopOnError
      };
    }
  }

  _emit(evt, data) {
    this.emit(evt, data);
  }

  _handleQueueItemDone(data) {
    if (data.id > 0) {
      this._pending.remove(data.id);
    }

    if (this._failed) {
      return;
    }

    if (!data._control && data.id > 0) {
      if (data.error) {
        this._emit("failItem", data);

        if (data.stopOnError !== false && this._stopOnError) {
          this._failed = data.error;

          this._emit("fail", data);

          return;
        }
      } else {
        this._emit("doneItem", data);
      }
    }

    this._emitEmpty();

    if (!this._pause && this._itemQ.length > 0) {
      this._process();
    } else if (this._pending.isEmpty) {
      if (this._pause) {
        this.emit("pause");
      } else {
        this._emitDone();
      }
    }
  }

  _emitDone() {
    const endTime = Date.now();
    const totalTime = endTime - this._startTime;
    const res = {
      startTime: this._startTime,
      endTime,
      totalTime
    };

    this._pendingWatcher();

    this.emit("done", res);
  }

  _emitEmpty() {
    if (this._itemQ.length === 0 && !this._empty) {
      this._empty = true; // make sure only emit empty event once

      this.emit("empty");
    }
  }

  _pendingWatcher() {
    this._watchTimer = undefined;
    if (this._pending.isEmpty && !this._watched) return;
    const watched = [];
    const still = [];
    const now = Date.now();
    lodash_1.default.each(this._pending.inflights, (v, id) => {
      if (v) {
        const lastXTime = this._pending.lastCheckTime(id, now);

        const time = this._pending.time(id, now);

        const overdue = time >= this._watchTime;
        const checked = lastXTime >= this._watchTime;

        if (overdue) {
          const data = {
            item: v.value.item,
            promise: v.value.promise,
            time
          };

          if (checked) {
            watched.push(data);

            this._pending.resetCheckTime(id, now);
          } else {
            still.push(data);
          }
        }
      }
    });

    if (watched.length > 0 || still.length > 0) {
      this._watched = true;
      this.emit("watch", {
        total: watched.length + still.length,
        watched,
        still,
        watchTime: this._watchTime
      });
    } else if (this._watched) {
      this._watched = false;
      this.emit("watch", {
        total: 0,
        watched,
        still,
        watchTime: this._watchTime
      });
    }

    this._watchTimer = setTimeout(() => this._pendingWatcher(), this._watchPeriod).unref();
  }

  _setupWatch() {
    if (!this._watchTimer && this._watchTime) {
      process.nextTick(() => this._pendingWatcher());
    }
  }

  _process() {
    if (this._startTime === undefined) {
      this._startTime = Date.now();
    }

    if (this._processing || this._pause || this._itemQ.length === 0) return 0;
    this._processing = true;
    let count = 0;
    let i = this._pending.count;

    for (; this._itemQ.length > 0 && i < this._concurrency; i++) {
      const wrapped = this._itemQ.shift();

      if (wrapped._control === PAUSE_ITEM) {
        this._pause = true; // since no more pending can be added at this point, if there're no
        // existing pending, then setup to emit the pause event.

        if (this._pending.isEmpty) {
          process.nextTick(() => {
            this._handleQueueItemDone({
              id: 0,
              item: undefined,
              _control: NOOP_ITEM
            });
          });
        }

        break;
      }

      count++;
      const id = this._id++;
      let promise;

      if (wrapped._control === RESUME_ITEM) {
        promise = this.Promise.resolve({});
      } else {
        try {
          const res = this._processItem(wrapped.item, id);

          if (res && res.then) {
            promise = res;
          } else {
            promise = this.Promise.resolve(res);
          }
        } catch (err) {
          promise = this.Promise.reject(err);
        }
      }

      this._pending.add(id, {
        item: wrapped.item,
        promise: promise.then(res => this._handleQueueItemDone(_objectSpread({
          id,
          res
        }, wrapped)), error => {
          this._handleQueueItemDone(_objectSpread({
            id,
            error
          }, wrapped));
        })
      });
    }

    this._processing = false;

    this._setupWatch();

    return count;
  }

}

exports.ItemQueue = ItemQueue;
ItemQueue.Promise = typeof Promise !== "undefined" && Promise;

/***/ }),

/***/ "./node_modules/.f/_/item-queue/1.1.2/item-queue/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* compatibility bridge for typescript/ESM and commonjs */

const Inflight = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/lib/inflight.js");

const ItemQ = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/lib/item-queue.js");

class ItemQueue extends ItemQ {}

Object.defineProperties(ItemQueue, {
  ItemQueue: {
    enumerable: false,
    configurable: false,
    value: ItemQ
  },
  Inflight: {
    enumerable: false,
    configurable: false,
    value: Inflight
  }
});
module.exports = ItemQueue;

/***/ }),

/***/ "./node_modules/.f/_/item-queue/1.1.2/item-queue/lib/inflight.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  Inflight
} = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/dist/inflight.js");

module.exports = Inflight;

/***/ }),

/***/ "./node_modules/.f/_/item-queue/1.1.2/item-queue/lib/item-queue.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  ItemQueue
} = __webpack_require__("./node_modules/.f/_/item-queue/1.1.2/item-queue/dist/item-queue.js");

module.exports = ItemQueue;

/***/ }),

/***/ "./node_modules/.f/_/json-parse-better-errors/1.0.2/json-parse-better-errors/index.js":
/***/ ((module) => {

"use strict";


module.exports = parseJson;

function parseJson(txt, reviver, context) {
  context = context || 20;

  try {
    return JSON.parse(txt, reviver);
  } catch (e) {
    if (typeof txt !== 'string') {
      const isEmptyArray = Array.isArray(txt) && txt.length === 0;
      const errorMessage = 'Cannot parse ' + (isEmptyArray ? 'an empty array' : String(txt));
      throw new TypeError(errorMessage);
    }

    const syntaxErr = e.message.match(/^Unexpected token.*position\s+(\d+)/i);
    const errIdx = syntaxErr ? +syntaxErr[1] : e.message.match(/^Unexpected end of JSON.*/i) ? txt.length - 1 : null;

    if (errIdx != null) {
      const start = errIdx <= context ? 0 : errIdx - context;
      const end = errIdx + context >= txt.length ? txt.length : errIdx + context;
      e.message += ` while parsing near '${start === 0 ? '' : '...'}${txt.slice(start, end)}${end === txt.length ? '' : '...'}'`;
    } else {
      e.message += ` while parsing '${txt.slice(0, context * 2)}'`;
    }

    throw e;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/jsonparse/1.3.1/jsonparse/jsonparse.js":
/***/ ((module) => {

/*global Buffer*/
// Named constants with unique integer values
var C = {}; // Tokens

var LEFT_BRACE = C.LEFT_BRACE = 0x1;
var RIGHT_BRACE = C.RIGHT_BRACE = 0x2;
var LEFT_BRACKET = C.LEFT_BRACKET = 0x3;
var RIGHT_BRACKET = C.RIGHT_BRACKET = 0x4;
var COLON = C.COLON = 0x5;
var COMMA = C.COMMA = 0x6;
var TRUE = C.TRUE = 0x7;
var FALSE = C.FALSE = 0x8;
var NULL = C.NULL = 0x9;
var STRING = C.STRING = 0xa;
var NUMBER = C.NUMBER = 0xb; // Tokenizer States

var START = C.START = 0x11;
var STOP = C.STOP = 0x12;
var TRUE1 = C.TRUE1 = 0x21;
var TRUE2 = C.TRUE2 = 0x22;
var TRUE3 = C.TRUE3 = 0x23;
var FALSE1 = C.FALSE1 = 0x31;
var FALSE2 = C.FALSE2 = 0x32;
var FALSE3 = C.FALSE3 = 0x33;
var FALSE4 = C.FALSE4 = 0x34;
var NULL1 = C.NULL1 = 0x41;
var NULL2 = C.NULL2 = 0x42;
var NULL3 = C.NULL3 = 0x43;
var NUMBER1 = C.NUMBER1 = 0x51;
var NUMBER3 = C.NUMBER3 = 0x53;
var STRING1 = C.STRING1 = 0x61;
var STRING2 = C.STRING2 = 0x62;
var STRING3 = C.STRING3 = 0x63;
var STRING4 = C.STRING4 = 0x64;
var STRING5 = C.STRING5 = 0x65;
var STRING6 = C.STRING6 = 0x66; // Parser States

var VALUE = C.VALUE = 0x71;
var KEY = C.KEY = 0x72; // Parser Modes

var OBJECT = C.OBJECT = 0x81;
var ARRAY = C.ARRAY = 0x82; // Character constants

var BACK_SLASH = "\\".charCodeAt(0);
var FORWARD_SLASH = "\/".charCodeAt(0);
var BACKSPACE = "\b".charCodeAt(0);
var FORM_FEED = "\f".charCodeAt(0);
var NEWLINE = "\n".charCodeAt(0);
var CARRIAGE_RETURN = "\r".charCodeAt(0);
var TAB = "\t".charCodeAt(0);
var STRING_BUFFER_SIZE = 64 * 1024;

function Parser() {
  this.tState = START;
  this.value = undefined;
  this.string = undefined; // string data

  this.stringBuffer = Buffer.alloc ? Buffer.alloc(STRING_BUFFER_SIZE) : new Buffer(STRING_BUFFER_SIZE);
  this.stringBufferOffset = 0;
  this.unicode = undefined; // unicode escapes

  this.highSurrogate = undefined;
  this.key = undefined;
  this.mode = undefined;
  this.stack = [];
  this.state = VALUE;
  this.bytes_remaining = 0; // number of bytes remaining in multi byte utf8 char to read after split boundary

  this.bytes_in_sequence = 0; // bytes in multi byte utf8 char to read

  this.temp_buffs = {
    "2": new Buffer(2),
    "3": new Buffer(3),
    "4": new Buffer(4)
  }; // for rebuilding chars split before boundary is reached
  // Stream offset

  this.offset = -1;
} // Slow code to string converter (only used when throwing syntax errors)


Parser.toknam = function (code) {
  var keys = Object.keys(C);

  for (var i = 0, l = keys.length; i < l; i++) {
    var key = keys[i];

    if (C[key] === code) {
      return key;
    }
  }

  return code && "0x" + code.toString(16);
};

var proto = Parser.prototype;

proto.onError = function (err) {
  throw err;
};

proto.charError = function (buffer, i) {
  this.tState = STOP;
  this.onError(new Error("Unexpected " + JSON.stringify(String.fromCharCode(buffer[i])) + " at position " + i + " in state " + Parser.toknam(this.tState)));
};

proto.appendStringChar = function (char) {
  if (this.stringBufferOffset >= STRING_BUFFER_SIZE) {
    this.string += this.stringBuffer.toString('utf8');
    this.stringBufferOffset = 0;
  }

  this.stringBuffer[this.stringBufferOffset++] = char;
};

proto.appendStringBuf = function (buf, start, end) {
  var size = buf.length;

  if (typeof start === 'number') {
    if (typeof end === 'number') {
      if (end < 0) {
        // adding a negative end decreeses the size
        size = buf.length - start + end;
      } else {
        size = end - start;
      }
    } else {
      size = buf.length - start;
    }
  }

  if (size < 0) {
    size = 0;
  }

  if (this.stringBufferOffset + size > STRING_BUFFER_SIZE) {
    this.string += this.stringBuffer.toString('utf8', 0, this.stringBufferOffset);
    this.stringBufferOffset = 0;
  }

  buf.copy(this.stringBuffer, this.stringBufferOffset, start, end);
  this.stringBufferOffset += size;
};

proto.write = function (buffer) {
  if (typeof buffer === "string") buffer = new Buffer(buffer);
  var n;

  for (var i = 0, l = buffer.length; i < l; i++) {
    if (this.tState === START) {
      n = buffer[i];
      this.offset++;

      if (n === 0x7b) {
        this.onToken(LEFT_BRACE, "{"); // {
      } else if (n === 0x7d) {
        this.onToken(RIGHT_BRACE, "}"); // }
      } else if (n === 0x5b) {
        this.onToken(LEFT_BRACKET, "["); // [
      } else if (n === 0x5d) {
        this.onToken(RIGHT_BRACKET, "]"); // ]
      } else if (n === 0x3a) {
        this.onToken(COLON, ":"); // :
      } else if (n === 0x2c) {
        this.onToken(COMMA, ","); // ,
      } else if (n === 0x74) {
        this.tState = TRUE1; // t
      } else if (n === 0x66) {
        this.tState = FALSE1; // f
      } else if (n === 0x6e) {
        this.tState = NULL1; // n
      } else if (n === 0x22) {
        // "
        this.string = "";
        this.stringBufferOffset = 0;
        this.tState = STRING1;
      } else if (n === 0x2d) {
        this.string = "-";
        this.tState = NUMBER1; // -
      } else {
        if (n >= 0x30 && n < 0x40) {
          // 1-9
          this.string = String.fromCharCode(n);
          this.tState = NUMBER3;
        } else if (n === 0x20 || n === 0x09 || n === 0x0a || n === 0x0d) {// whitespace
        } else {
          return this.charError(buffer, i);
        }
      }
    } else if (this.tState === STRING1) {
      // After open quote
      n = buffer[i]; // get current byte from buffer
      // check for carry over of a multi byte char split between data chunks
      // & fill temp buffer it with start of this data chunk up to the boundary limit set in the last iteration

      if (this.bytes_remaining > 0) {
        for (var j = 0; j < this.bytes_remaining; j++) {
          this.temp_buffs[this.bytes_in_sequence][this.bytes_in_sequence - this.bytes_remaining + j] = buffer[j];
        }

        this.appendStringBuf(this.temp_buffs[this.bytes_in_sequence]);
        this.bytes_in_sequence = this.bytes_remaining = 0;
        i = i + j - 1;
      } else if (this.bytes_remaining === 0 && n >= 128) {
        // else if no remainder bytes carried over, parse multi byte (>=128) chars one at a time
        if (n <= 193 || n > 244) {
          return this.onError(new Error("Invalid UTF-8 character at position " + i + " in state " + Parser.toknam(this.tState)));
        }

        if (n >= 194 && n <= 223) this.bytes_in_sequence = 2;
        if (n >= 224 && n <= 239) this.bytes_in_sequence = 3;
        if (n >= 240 && n <= 244) this.bytes_in_sequence = 4;

        if (this.bytes_in_sequence + i > buffer.length) {
          // if bytes needed to complete char fall outside buffer length, we have a boundary split
          for (var k = 0; k <= buffer.length - 1 - i; k++) {
            this.temp_buffs[this.bytes_in_sequence][k] = buffer[i + k]; // fill temp buffer of correct size with bytes available in this chunk
          }

          this.bytes_remaining = i + this.bytes_in_sequence - buffer.length;
          i = buffer.length - 1;
        } else {
          this.appendStringBuf(buffer, i, i + this.bytes_in_sequence);
          i = i + this.bytes_in_sequence - 1;
        }
      } else if (n === 0x22) {
        this.tState = START;
        this.string += this.stringBuffer.toString('utf8', 0, this.stringBufferOffset);
        this.stringBufferOffset = 0;
        this.onToken(STRING, this.string);
        this.offset += Buffer.byteLength(this.string, 'utf8') + 1;
        this.string = undefined;
      } else if (n === 0x5c) {
        this.tState = STRING2;
      } else if (n >= 0x20) {
        this.appendStringChar(n);
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === STRING2) {
      // After backslash
      n = buffer[i];

      if (n === 0x22) {
        this.appendStringChar(n);
        this.tState = STRING1;
      } else if (n === 0x5c) {
        this.appendStringChar(BACK_SLASH);
        this.tState = STRING1;
      } else if (n === 0x2f) {
        this.appendStringChar(FORWARD_SLASH);
        this.tState = STRING1;
      } else if (n === 0x62) {
        this.appendStringChar(BACKSPACE);
        this.tState = STRING1;
      } else if (n === 0x66) {
        this.appendStringChar(FORM_FEED);
        this.tState = STRING1;
      } else if (n === 0x6e) {
        this.appendStringChar(NEWLINE);
        this.tState = STRING1;
      } else if (n === 0x72) {
        this.appendStringChar(CARRIAGE_RETURN);
        this.tState = STRING1;
      } else if (n === 0x74) {
        this.appendStringChar(TAB);
        this.tState = STRING1;
      } else if (n === 0x75) {
        this.unicode = "";
        this.tState = STRING3;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === STRING3 || this.tState === STRING4 || this.tState === STRING5 || this.tState === STRING6) {
      // unicode hex codes
      n = buffer[i]; // 0-9 A-F a-f

      if (n >= 0x30 && n < 0x40 || n > 0x40 && n <= 0x46 || n > 0x60 && n <= 0x66) {
        this.unicode += String.fromCharCode(n);

        if (this.tState++ === STRING6) {
          var intVal = parseInt(this.unicode, 16);
          this.unicode = undefined;

          if (this.highSurrogate !== undefined && intVal >= 0xDC00 && intVal < 0xDFFF + 1) {
            //<56320,57343> - lowSurrogate
            this.appendStringBuf(new Buffer(String.fromCharCode(this.highSurrogate, intVal)));
            this.highSurrogate = undefined;
          } else if (this.highSurrogate === undefined && intVal >= 0xD800 && intVal < 0xDBFF + 1) {
            //<55296,56319> - highSurrogate
            this.highSurrogate = intVal;
          } else {
            if (this.highSurrogate !== undefined) {
              this.appendStringBuf(new Buffer(String.fromCharCode(this.highSurrogate)));
              this.highSurrogate = undefined;
            }

            this.appendStringBuf(new Buffer(String.fromCharCode(intVal)));
          }

          this.tState = STRING1;
        }
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === NUMBER1 || this.tState === NUMBER3) {
      n = buffer[i];

      switch (n) {
        case 0x30: // 0

        case 0x31: // 1

        case 0x32: // 2

        case 0x33: // 3

        case 0x34: // 4

        case 0x35: // 5

        case 0x36: // 6

        case 0x37: // 7

        case 0x38: // 8

        case 0x39: // 9

        case 0x2e: // .

        case 0x65: // e

        case 0x45: // E

        case 0x2b: // +

        case 0x2d:
          // -
          this.string += String.fromCharCode(n);
          this.tState = NUMBER3;
          break;

        default:
          this.tState = START;
          var result = Number(this.string);

          if (isNaN(result)) {
            return this.charError(buffer, i);
          }

          if (this.string.match(/[0-9]+/) == this.string && result.toString() != this.string) {
            // Long string of digits which is an ID string and not valid and/or safe JavaScript integer Number
            this.onToken(STRING, this.string);
          } else {
            this.onToken(NUMBER, result);
          }

          this.offset += this.string.length - 1;
          this.string = undefined;
          i--;
          break;
      }
    } else if (this.tState === TRUE1) {
      // r
      if (buffer[i] === 0x72) {
        this.tState = TRUE2;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === TRUE2) {
      // u
      if (buffer[i] === 0x75) {
        this.tState = TRUE3;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === TRUE3) {
      // e
      if (buffer[i] === 0x65) {
        this.tState = START;
        this.onToken(TRUE, true);
        this.offset += 3;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === FALSE1) {
      // a
      if (buffer[i] === 0x61) {
        this.tState = FALSE2;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === FALSE2) {
      // l
      if (buffer[i] === 0x6c) {
        this.tState = FALSE3;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === FALSE3) {
      // s
      if (buffer[i] === 0x73) {
        this.tState = FALSE4;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === FALSE4) {
      // e
      if (buffer[i] === 0x65) {
        this.tState = START;
        this.onToken(FALSE, false);
        this.offset += 4;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === NULL1) {
      // u
      if (buffer[i] === 0x75) {
        this.tState = NULL2;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === NULL2) {
      // l
      if (buffer[i] === 0x6c) {
        this.tState = NULL3;
      } else {
        return this.charError(buffer, i);
      }
    } else if (this.tState === NULL3) {
      // l
      if (buffer[i] === 0x6c) {
        this.tState = START;
        this.onToken(NULL, null);
        this.offset += 3;
      } else {
        return this.charError(buffer, i);
      }
    }
  }
};

proto.onToken = function (token, value) {// Override this to get events
};

proto.parseError = function (token, value) {
  this.tState = STOP;
  this.onError(new Error("Unexpected " + Parser.toknam(token) + (value ? "(" + JSON.stringify(value) + ")" : "") + " in state " + Parser.toknam(this.state)));
};

proto.push = function () {
  this.stack.push({
    value: this.value,
    key: this.key,
    mode: this.mode
  });
};

proto.pop = function () {
  var value = this.value;
  var parent = this.stack.pop();
  this.value = parent.value;
  this.key = parent.key;
  this.mode = parent.mode;
  this.emit(value);

  if (!this.mode) {
    this.state = VALUE;
  }
};

proto.emit = function (value) {
  if (this.mode) {
    this.state = COMMA;
  }

  this.onValue(value);
};

proto.onValue = function (value) {// Override me
};

proto.onToken = function (token, value) {
  if (this.state === VALUE) {
    if (token === STRING || token === NUMBER || token === TRUE || token === FALSE || token === NULL) {
      if (this.value) {
        this.value[this.key] = value;
      }

      this.emit(value);
    } else if (token === LEFT_BRACE) {
      this.push();

      if (this.value) {
        this.value = this.value[this.key] = {};
      } else {
        this.value = {};
      }

      this.key = undefined;
      this.state = KEY;
      this.mode = OBJECT;
    } else if (token === LEFT_BRACKET) {
      this.push();

      if (this.value) {
        this.value = this.value[this.key] = [];
      } else {
        this.value = [];
      }

      this.key = 0;
      this.mode = ARRAY;
      this.state = VALUE;
    } else if (token === RIGHT_BRACE) {
      if (this.mode === OBJECT) {
        this.pop();
      } else {
        return this.parseError(token, value);
      }
    } else if (token === RIGHT_BRACKET) {
      if (this.mode === ARRAY) {
        this.pop();
      } else {
        return this.parseError(token, value);
      }
    } else {
      return this.parseError(token, value);
    }
  } else if (this.state === KEY) {
    if (token === STRING) {
      this.key = value;
      this.state = COLON;
    } else if (token === RIGHT_BRACE) {
      this.pop();
    } else {
      return this.parseError(token, value);
    }
  } else if (this.state === COLON) {
    if (token === COLON) {
      this.state = VALUE;
    } else {
      return this.parseError(token, value);
    }
  } else if (this.state === COMMA) {
    if (token === COMMA) {
      if (this.mode === ARRAY) {
        this.key++;
        this.state = VALUE;
      } else if (this.mode === OBJECT) {
        this.state = KEY;
      }
    } else if (token === RIGHT_BRACKET && this.mode === ARRAY || token === RIGHT_BRACE && this.mode === OBJECT) {
      this.pop();
    } else {
      return this.parseError(token, value);
    }
  } else {
    return this.parseError(token, value);
  }
};

Parser.C = C;
module.exports = Parser;

/***/ }),

/***/ "./node_modules/.f/_/locate-path/6.0.0/locate-path/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const path = __webpack_require__("path");

const fs = __webpack_require__("fs");

const {
  promisify
} = __webpack_require__("util");

const pLocate = __webpack_require__("./node_modules/.f/_/p-locate/5.0.0/p-locate/index.js");

const fsStat = promisify(fs.stat);
const fsLStat = promisify(fs.lstat);
const typeMappings = {
  directory: 'isDirectory',
  file: 'isFile'
};

function checkType({
  type
}) {
  if (type in typeMappings) {
    return;
  }

  throw new Error(`Invalid type specified: ${type}`);
}

const matchType = (type, stat) => type === undefined || stat[typeMappings[type]]();

module.exports = async (paths, options) => {
  options = _objectSpread({
    cwd: process.cwd(),
    type: 'file',
    allowSymlinks: true
  }, options);
  checkType(options);
  const statFn = options.allowSymlinks ? fsStat : fsLStat;
  return pLocate(paths, async path_ => {
    try {
      const stat = await statFn(path.resolve(options.cwd, path_));
      return matchType(options.type, stat);
    } catch (_unused) {
      return false;
    }
  }, options);
};

module.exports.sync = (paths, options) => {
  options = _objectSpread({
    cwd: process.cwd(),
    allowSymlinks: true,
    type: 'file'
  }, options);
  checkType(options);
  const statFn = options.allowSymlinks ? fs.statSync : fs.lstatSync;

  for (const path_ of paths) {
    try {
      const stat = statFn(path.resolve(options.cwd, path_));

      if (matchType(options.type, stat)) {
        return path_;
      }
    } catch (_unused2) {}
  }
};

/***/ }),

/***/ "./node_modules/.f/_/lockfile/1.0.4/lockfile/lockfile.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var wx = 'wx';

if (process.version.match(/^v0\.[0-6]/)) {
  var c = __webpack_require__("constants");

  wx = c.O_TRUNC | c.O_CREAT | c.O_WRONLY | c.O_EXCL;
}

var os = __webpack_require__("os");

exports.filetime = 'ctime';

if (os.platform() == "win32") {
  exports.filetime = 'mtime';
}

var debug;

var util = __webpack_require__("util");

if (util.debuglog) debug = util.debuglog('LOCKFILE');else if (/\blockfile\b/i.test(process.env.NODE_DEBUG)) debug = function () {
  var msg = util.format.apply(util, arguments);
  console.error('LOCKFILE %d %s', process.pid, msg);
};else debug = function () {};
var locks = {};

function hasOwnProperty(obj, prop) {
  return Object.prototype.hasOwnProperty.call(obj, prop);
}

var onExit = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js");

onExit(function () {
  debug('exit listener'); // cleanup

  Object.keys(locks).forEach(exports.unlockSync);
}); // XXX https://github.com/joyent/node/issues/3555
// Remove when node 0.8 is deprecated.

if (/^v0\.[0-8]\./.test(process.version)) {
  debug('uncaughtException, version = %s', process.version);
  process.on('uncaughtException', function H(er) {
    debug('uncaughtException');
    var l = process.listeners('uncaughtException').filter(function (h) {
      return h !== H;
    });

    if (!l.length) {
      // cleanup
      try {
        Object.keys(locks).forEach(exports.unlockSync);
      } catch (e) {}

      process.removeListener('uncaughtException', H);
      throw er;
    }
  });
}

exports.unlock = function (path, cb) {
  debug('unlock', path); // best-effort.  unlocking an already-unlocked lock is a noop

  delete locks[path];
  fs.unlink(path, function (unlinkEr) {
    cb && cb();
  });
};

exports.unlockSync = function (path) {
  debug('unlockSync', path); // best-effort.  unlocking an already-unlocked lock is a noop

  try {
    fs.unlinkSync(path);
  } catch (er) {}

  delete locks[path];
}; // if the file can be opened in readonly mode, then it's there.
// if the error is something other than ENOENT, then it's not.


exports.check = function (path, opts, cb) {
  if (typeof opts === 'function') cb = opts, opts = {};
  debug('check', path, opts);
  fs.open(path, 'r', function (er, fd) {
    if (er) {
      if (er.code !== 'ENOENT') return cb(er);
      return cb(null, false);
    }

    if (!opts.stale) {
      return fs.close(fd, function (er) {
        return cb(er, true);
      });
    }

    fs.fstat(fd, function (er, st) {
      if (er) return fs.close(fd, function (er2) {
        return cb(er);
      });
      fs.close(fd, function (er) {
        var age = Date.now() - st[exports.filetime].getTime();
        return cb(er, age <= opts.stale);
      });
    });
  });
};

exports.checkSync = function (path, opts) {
  opts = opts || {};
  debug('checkSync', path, opts);

  if (opts.wait) {
    throw new Error('opts.wait not supported sync for obvious reasons');
  }

  try {
    var fd = fs.openSync(path, 'r');
  } catch (er) {
    if (er.code !== 'ENOENT') throw er;
    return false;
  }

  if (!opts.stale) {
    try {
      fs.closeSync(fd);
    } catch (er) {}

    return true;
  } // file exists.  however, might be stale


  if (opts.stale) {
    try {
      var st = fs.fstatSync(fd);
    } finally {
      fs.closeSync(fd);
    }

    var age = Date.now() - st[exports.filetime].getTime();
    return age <= opts.stale;
  }
};

var req = 1;

exports.lock = function (path, opts, cb) {
  if (typeof opts === 'function') cb = opts, opts = {};
  opts.req = opts.req || req++;
  debug('lock', path, opts);
  opts.start = opts.start || Date.now();

  if (typeof opts.retries === 'number' && opts.retries > 0) {
    debug('has retries', opts.retries);
    var retries = opts.retries;
    opts.retries = 0;

    cb = function (orig) {
      return function cb(er, fd) {
        debug('retry-mutated callback');
        retries -= 1;
        if (!er || retries < 0) return orig(er, fd);
        debug('lock retry', path, opts);
        if (opts.retryWait) setTimeout(retry, opts.retryWait);else retry();

        function retry() {
          opts.start = Date.now();
          debug('retrying', opts.start);
          exports.lock(path, opts, cb);
        }
      };
    }(cb);
  } // try to engage the lock.
  // if this succeeds, then we're in business.


  fs.open(path, wx, function (er, fd) {
    if (!er) {
      debug('locked', path, fd);
      locks[path] = fd;
      return fs.close(fd, function () {
        return cb();
      });
    }

    debug('failed to acquire lock', er); // something other than "currently locked"
    // maybe eperm or something.

    if (er.code !== 'EEXIST') {
      debug('not EEXIST error', er);
      return cb(er);
    } // someone's got this one.  see if it's valid.


    if (!opts.stale) return notStale(er, path, opts, cb);
    return maybeStale(er, path, opts, false, cb);
  });
  debug('lock return');
}; // Staleness checking algorithm
// 1. acquire $lock, fail
// 2. stat $lock, find that it is stale
// 3. acquire $lock.STALE
// 4. stat $lock, assert that it is still stale
// 5. unlink $lock
// 6. link $lock.STALE $lock
// 7. unlink $lock.STALE
// On any failure, clean up whatever we've done, and raise the error.


function maybeStale(originalEr, path, opts, hasStaleLock, cb) {
  fs.stat(path, function (statEr, st) {
    if (statEr) {
      if (statEr.code === 'ENOENT') {
        // expired already!
        opts.stale = false;
        debug('lock stale enoent retry', path, opts);
        exports.lock(path, opts, cb);
        return;
      }

      return cb(statEr);
    }

    var age = Date.now() - st[exports.filetime].getTime();
    if (age <= opts.stale) return notStale(originalEr, path, opts, cb);
    debug('lock stale', path, opts);

    if (hasStaleLock) {
      exports.unlock(path, function (er) {
        if (er) return cb(er);
        debug('lock stale retry', path, opts);
        fs.link(path + '.STALE', path, function (er) {
          fs.unlink(path + '.STALE', function () {
            // best effort.  if the unlink fails, oh well.
            cb(er);
          });
        });
      });
    } else {
      debug('acquire .STALE file lock', opts);
      exports.lock(path + '.STALE', opts, function (er) {
        if (er) return cb(er);
        maybeStale(originalEr, path, opts, true, cb);
      });
    }
  });
}

function notStale(er, path, opts, cb) {
  debug('notStale', path, opts); // if we can't wait, then just call it a failure

  if (typeof opts.wait !== 'number' || opts.wait <= 0) {
    debug('notStale, wait is not a number');
    return cb(er);
  } // poll for some ms for the lock to clear


  var now = Date.now();
  var start = opts.start || now;
  var end = start + opts.wait;
  if (end <= now) return cb(er);
  debug('now=%d, wait until %d (delta=%d)', start, end, end - start);
  var wait = Math.min(end - start, opts.pollPeriod || 100);
  var timer = setTimeout(poll, wait);

  function poll() {
    debug('notStale, polling', path, opts);
    exports.lock(path, opts, cb);
  }
}

exports.lockSync = function (path, opts) {
  opts = opts || {};
  opts.req = opts.req || req++;
  debug('lockSync', path, opts);

  if (opts.wait || opts.retryWait) {
    throw new Error('opts.wait not supported sync for obvious reasons');
  }

  try {
    var fd = fs.openSync(path, wx);
    locks[path] = fd;

    try {
      fs.closeSync(fd);
    } catch (er) {}

    debug('locked sync!', path, fd);
    return;
  } catch (er) {
    if (er.code !== 'EEXIST') return retryThrow(path, opts, er);

    if (opts.stale) {
      var st = fs.statSync(path);
      var ct = st[exports.filetime].getTime();

      if (!(ct % 1000) && opts.stale % 1000) {
        // probably don't have subsecond resolution.
        // round up the staleness indicator.
        // Yes, this will be wrong 1/1000 times on platforms
        // with subsecond stat precision, but that's acceptable
        // in exchange for not mistakenly removing locks on
        // most other systems.
        opts.stale = 1000 * Math.ceil(opts.stale / 1000);
      }

      var age = Date.now() - ct;

      if (age > opts.stale) {
        debug('lockSync stale', path, opts, age);
        exports.unlockSync(path);
        return exports.lockSync(path, opts);
      }
    } // failed to lock!


    debug('failed to lock', path, opts, er);
    return retryThrow(path, opts, er);
  }
};

function retryThrow(path, opts, er) {
  if (typeof opts.retries === 'number' && opts.retries > 0) {
    var newRT = opts.retries - 1;
    debug('retryThrow', path, opts, newRT);
    opts.retries = newRT;
    return exports.lockSync(path, opts);
  }

  throw er;
}

/***/ }),

/***/ "./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js":
/***/ (function(module, exports, __webpack_require__) {

/* module decorator */ module = __webpack_require__.nmd(module);
/**
 * @license
 * Lodash <https://lodash.com/>
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
(function () {
  function n(n, t, r) {
    switch (r.length) {
      case 0:
        return n.call(t);

      case 1:
        return n.call(t, r[0]);

      case 2:
        return n.call(t, r[0], r[1]);

      case 3:
        return n.call(t, r[0], r[1], r[2]);
    }

    return n.apply(t, r);
  }

  function t(n, t, r, e) {
    for (var u = -1, i = null == n ? 0 : n.length; ++u < i;) {
      var o = n[u];
      t(e, o, r(o), n);
    }

    return e;
  }

  function r(n, t) {
    for (var r = -1, e = null == n ? 0 : n.length; ++r < e && t(n[r], r, n) !== !1;);

    return n;
  }

  function e(n, t) {
    for (var r = null == n ? 0 : n.length; r-- && t(n[r], r, n) !== !1;);

    return n;
  }

  function u(n, t) {
    for (var r = -1, e = null == n ? 0 : n.length; ++r < e;) if (!t(n[r], r, n)) return !1;

    return !0;
  }

  function i(n, t) {
    for (var r = -1, e = null == n ? 0 : n.length, u = 0, i = []; ++r < e;) {
      var o = n[r];
      t(o, r, n) && (i[u++] = o);
    }

    return i;
  }

  function o(n, t) {
    return !!(null == n ? 0 : n.length) && y(n, t, 0) > -1;
  }

  function f(n, t, r) {
    for (var e = -1, u = null == n ? 0 : n.length; ++e < u;) if (r(t, n[e])) return !0;

    return !1;
  }

  function c(n, t) {
    for (var r = -1, e = null == n ? 0 : n.length, u = Array(e); ++r < e;) u[r] = t(n[r], r, n);

    return u;
  }

  function a(n, t) {
    for (var r = -1, e = t.length, u = n.length; ++r < e;) n[u + r] = t[r];

    return n;
  }

  function l(n, t, r, e) {
    var u = -1,
        i = null == n ? 0 : n.length;

    for (e && i && (r = n[++u]); ++u < i;) r = t(r, n[u], u, n);

    return r;
  }

  function s(n, t, r, e) {
    var u = null == n ? 0 : n.length;

    for (e && u && (r = n[--u]); u--;) r = t(r, n[u], u, n);

    return r;
  }

  function h(n, t) {
    for (var r = -1, e = null == n ? 0 : n.length; ++r < e;) if (t(n[r], r, n)) return !0;

    return !1;
  }

  function p(n) {
    return n.split("");
  }

  function _(n) {
    return n.match($t) || [];
  }

  function v(n, t, r) {
    var e;
    return r(n, function (n, r, u) {
      if (t(n, r, u)) return e = r, !1;
    }), e;
  }

  function g(n, t, r, e) {
    for (var u = n.length, i = r + (e ? 1 : -1); e ? i-- : ++i < u;) if (t(n[i], i, n)) return i;

    return -1;
  }

  function y(n, t, r) {
    return t === t ? Z(n, t, r) : g(n, b, r);
  }

  function d(n, t, r, e) {
    for (var u = r - 1, i = n.length; ++u < i;) if (e(n[u], t)) return u;

    return -1;
  }

  function b(n) {
    return n !== n;
  }

  function w(n, t) {
    var r = null == n ? 0 : n.length;
    return r ? k(n, t) / r : Cn;
  }

  function m(n) {
    return function (t) {
      return null == t ? X : t[n];
    };
  }

  function x(n) {
    return function (t) {
      return null == n ? X : n[t];
    };
  }

  function j(n, t, r, e, u) {
    return u(n, function (n, u, i) {
      r = e ? (e = !1, n) : t(r, n, u, i);
    }), r;
  }

  function A(n, t) {
    var r = n.length;

    for (n.sort(t); r--;) n[r] = n[r].value;

    return n;
  }

  function k(n, t) {
    for (var r, e = -1, u = n.length; ++e < u;) {
      var i = t(n[e]);
      i !== X && (r = r === X ? i : r + i);
    }

    return r;
  }

  function O(n, t) {
    for (var r = -1, e = Array(n); ++r < n;) e[r] = t(r);

    return e;
  }

  function I(n, t) {
    return c(t, function (t) {
      return [t, n[t]];
    });
  }

  function R(n) {
    return n ? n.slice(0, H(n) + 1).replace(Lt, "") : n;
  }

  function z(n) {
    return function (t) {
      return n(t);
    };
  }

  function E(n, t) {
    return c(t, function (t) {
      return n[t];
    });
  }

  function S(n, t) {
    return n.has(t);
  }

  function W(n, t) {
    for (var r = -1, e = n.length; ++r < e && y(t, n[r], 0) > -1;);

    return r;
  }

  function L(n, t) {
    for (var r = n.length; r-- && y(t, n[r], 0) > -1;);

    return r;
  }

  function C(n, t) {
    for (var r = n.length, e = 0; r--;) n[r] === t && ++e;

    return e;
  }

  function U(n) {
    return "\\" + Yr[n];
  }

  function B(n, t) {
    return null == n ? X : n[t];
  }

  function T(n) {
    return Nr.test(n);
  }

  function $(n) {
    return Pr.test(n);
  }

  function D(n) {
    for (var t, r = []; !(t = n.next()).done;) r.push(t.value);

    return r;
  }

  function M(n) {
    var t = -1,
        r = Array(n.size);
    return n.forEach(function (n, e) {
      r[++t] = [e, n];
    }), r;
  }

  function F(n, t) {
    return function (r) {
      return n(t(r));
    };
  }

  function N(n, t) {
    for (var r = -1, e = n.length, u = 0, i = []; ++r < e;) {
      var o = n[r];
      o !== t && o !== cn || (n[r] = cn, i[u++] = r);
    }

    return i;
  }

  function P(n) {
    var t = -1,
        r = Array(n.size);
    return n.forEach(function (n) {
      r[++t] = n;
    }), r;
  }

  function q(n) {
    var t = -1,
        r = Array(n.size);
    return n.forEach(function (n) {
      r[++t] = [n, n];
    }), r;
  }

  function Z(n, t, r) {
    for (var e = r - 1, u = n.length; ++e < u;) if (n[e] === t) return e;

    return -1;
  }

  function K(n, t, r) {
    for (var e = r + 1; e--;) if (n[e] === t) return e;

    return e;
  }

  function V(n) {
    return T(n) ? J(n) : _e(n);
  }

  function G(n) {
    return T(n) ? Y(n) : p(n);
  }

  function H(n) {
    for (var t = n.length; t-- && Ct.test(n.charAt(t)););

    return t;
  }

  function J(n) {
    for (var t = Mr.lastIndex = 0; Mr.test(n);) ++t;

    return t;
  }

  function Y(n) {
    return n.match(Mr) || [];
  }

  function Q(n) {
    return n.match(Fr) || [];
  }

  var X,
      nn = "4.17.21",
      tn = 200,
      rn = "Unsupported core-js use. Try https://npms.io/search?q=ponyfill.",
      en = "Expected a function",
      un = "Invalid `variable` option passed into `_.template`",
      on = "__lodash_hash_undefined__",
      fn = 500,
      cn = "__lodash_placeholder__",
      an = 1,
      ln = 2,
      sn = 4,
      hn = 1,
      pn = 2,
      _n = 1,
      vn = 2,
      gn = 4,
      yn = 8,
      dn = 16,
      bn = 32,
      wn = 64,
      mn = 128,
      xn = 256,
      jn = 512,
      An = 30,
      kn = "...",
      On = 800,
      In = 16,
      Rn = 1,
      zn = 2,
      En = 3,
      Sn = 1 / 0,
      Wn = 9007199254740991,
      Ln = 1.7976931348623157e308,
      Cn = NaN,
      Un = 4294967295,
      Bn = Un - 1,
      Tn = Un >>> 1,
      $n = [["ary", mn], ["bind", _n], ["bindKey", vn], ["curry", yn], ["curryRight", dn], ["flip", jn], ["partial", bn], ["partialRight", wn], ["rearg", xn]],
      Dn = "[object Arguments]",
      Mn = "[object Array]",
      Fn = "[object AsyncFunction]",
      Nn = "[object Boolean]",
      Pn = "[object Date]",
      qn = "[object DOMException]",
      Zn = "[object Error]",
      Kn = "[object Function]",
      Vn = "[object GeneratorFunction]",
      Gn = "[object Map]",
      Hn = "[object Number]",
      Jn = "[object Null]",
      Yn = "[object Object]",
      Qn = "[object Promise]",
      Xn = "[object Proxy]",
      nt = "[object RegExp]",
      tt = "[object Set]",
      rt = "[object String]",
      et = "[object Symbol]",
      ut = "[object Undefined]",
      it = "[object WeakMap]",
      ot = "[object WeakSet]",
      ft = "[object ArrayBuffer]",
      ct = "[object DataView]",
      at = "[object Float32Array]",
      lt = "[object Float64Array]",
      st = "[object Int8Array]",
      ht = "[object Int16Array]",
      pt = "[object Int32Array]",
      _t = "[object Uint8Array]",
      vt = "[object Uint8ClampedArray]",
      gt = "[object Uint16Array]",
      yt = "[object Uint32Array]",
      dt = /\b__p \+= '';/g,
      bt = /\b(__p \+=) '' \+/g,
      wt = /(__e\(.*?\)|\b__t\)) \+\n'';/g,
      mt = /&(?:amp|lt|gt|quot|#39);/g,
      xt = /[&<>"']/g,
      jt = RegExp(mt.source),
      At = RegExp(xt.source),
      kt = /<%-([\s\S]+?)%>/g,
      Ot = /<%([\s\S]+?)%>/g,
      It = /<%=([\s\S]+?)%>/g,
      Rt = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
      zt = /^\w*$/,
      Et = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,
      St = /[\\^$.*+?()[\]{}|]/g,
      Wt = RegExp(St.source),
      Lt = /^\s+/,
      Ct = /\s/,
      Ut = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,
      Bt = /\{\n\/\* \[wrapped with (.+)\] \*/,
      Tt = /,? & /,
      $t = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g,
      Dt = /[()=,{}\[\]\/\s]/,
      Mt = /\\(\\)?/g,
      Ft = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,
      Nt = /\w*$/,
      Pt = /^[-+]0x[0-9a-f]+$/i,
      qt = /^0b[01]+$/i,
      Zt = /^\[object .+?Constructor\]$/,
      Kt = /^0o[0-7]+$/i,
      Vt = /^(?:0|[1-9]\d*)$/,
      Gt = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g,
      Ht = /($^)/,
      Jt = /['\n\r\u2028\u2029\\]/g,
      Yt = "\\ud800-\\udfff",
      Qt = "\\u0300-\\u036f",
      Xt = "\\ufe20-\\ufe2f",
      nr = "\\u20d0-\\u20ff",
      tr = Qt + Xt + nr,
      rr = "\\u2700-\\u27bf",
      er = "a-z\\xdf-\\xf6\\xf8-\\xff",
      ur = "\\xac\\xb1\\xd7\\xf7",
      ir = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf",
      or = "\\u2000-\\u206f",
      fr = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000",
      cr = "A-Z\\xc0-\\xd6\\xd8-\\xde",
      ar = "\\ufe0e\\ufe0f",
      lr = ur + ir + or + fr,
      sr = "['\u2019]",
      hr = "[" + Yt + "]",
      pr = "[" + lr + "]",
      _r = "[" + tr + "]",
      vr = "\\d+",
      gr = "[" + rr + "]",
      yr = "[" + er + "]",
      dr = "[^" + Yt + lr + vr + rr + er + cr + "]",
      br = "\\ud83c[\\udffb-\\udfff]",
      wr = "(?:" + _r + "|" + br + ")",
      mr = "[^" + Yt + "]",
      xr = "(?:\\ud83c[\\udde6-\\uddff]){2}",
      jr = "[\\ud800-\\udbff][\\udc00-\\udfff]",
      Ar = "[" + cr + "]",
      kr = "\\u200d",
      Or = "(?:" + yr + "|" + dr + ")",
      Ir = "(?:" + Ar + "|" + dr + ")",
      Rr = "(?:" + sr + "(?:d|ll|m|re|s|t|ve))?",
      zr = "(?:" + sr + "(?:D|LL|M|RE|S|T|VE))?",
      Er = wr + "?",
      Sr = "[" + ar + "]?",
      Wr = "(?:" + kr + "(?:" + [mr, xr, jr].join("|") + ")" + Sr + Er + ")*",
      Lr = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])",
      Cr = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])",
      Ur = Sr + Er + Wr,
      Br = "(?:" + [gr, xr, jr].join("|") + ")" + Ur,
      Tr = "(?:" + [mr + _r + "?", _r, xr, jr, hr].join("|") + ")",
      $r = RegExp(sr, "g"),
      Dr = RegExp(_r, "g"),
      Mr = RegExp(br + "(?=" + br + ")|" + Tr + Ur, "g"),
      Fr = RegExp([Ar + "?" + yr + "+" + Rr + "(?=" + [pr, Ar, "$"].join("|") + ")", Ir + "+" + zr + "(?=" + [pr, Ar + Or, "$"].join("|") + ")", Ar + "?" + Or + "+" + Rr, Ar + "+" + zr, Cr, Lr, vr, Br].join("|"), "g"),
      Nr = RegExp("[" + kr + Yt + tr + ar + "]"),
      Pr = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/,
      qr = ["Array", "Buffer", "DataView", "Date", "Error", "Float32Array", "Float64Array", "Function", "Int8Array", "Int16Array", "Int32Array", "Map", "Math", "Object", "Promise", "RegExp", "Set", "String", "Symbol", "TypeError", "Uint8Array", "Uint8ClampedArray", "Uint16Array", "Uint32Array", "WeakMap", "_", "clearTimeout", "isFinite", "parseInt", "setTimeout"],
      Zr = -1,
      Kr = {};

  Kr[at] = Kr[lt] = Kr[st] = Kr[ht] = Kr[pt] = Kr[_t] = Kr[vt] = Kr[gt] = Kr[yt] = !0, Kr[Dn] = Kr[Mn] = Kr[ft] = Kr[Nn] = Kr[ct] = Kr[Pn] = Kr[Zn] = Kr[Kn] = Kr[Gn] = Kr[Hn] = Kr[Yn] = Kr[nt] = Kr[tt] = Kr[rt] = Kr[it] = !1;
  var Vr = {};
  Vr[Dn] = Vr[Mn] = Vr[ft] = Vr[ct] = Vr[Nn] = Vr[Pn] = Vr[at] = Vr[lt] = Vr[st] = Vr[ht] = Vr[pt] = Vr[Gn] = Vr[Hn] = Vr[Yn] = Vr[nt] = Vr[tt] = Vr[rt] = Vr[et] = Vr[_t] = Vr[vt] = Vr[gt] = Vr[yt] = !0, Vr[Zn] = Vr[Kn] = Vr[it] = !1;

  var Gr = {
    "\xc0": "A",
    "\xc1": "A",
    "\xc2": "A",
    "\xc3": "A",
    "\xc4": "A",
    "\xc5": "A",
    "\xe0": "a",
    "\xe1": "a",
    "\xe2": "a",
    "\xe3": "a",
    "\xe4": "a",
    "\xe5": "a",
    "\xc7": "C",
    "\xe7": "c",
    "\xd0": "D",
    "\xf0": "d",
    "\xc8": "E",
    "\xc9": "E",
    "\xca": "E",
    "\xcb": "E",
    "\xe8": "e",
    "\xe9": "e",
    "\xea": "e",
    "\xeb": "e",
    "\xcc": "I",
    "\xcd": "I",
    "\xce": "I",
    "\xcf": "I",
    "\xec": "i",
    "\xed": "i",
    "\xee": "i",
    "\xef": "i",
    "\xd1": "N",
    "\xf1": "n",
    "\xd2": "O",
    "\xd3": "O",
    "\xd4": "O",
    "\xd5": "O",
    "\xd6": "O",
    "\xd8": "O",
    "\xf2": "o",
    "\xf3": "o",
    "\xf4": "o",
    "\xf5": "o",
    "\xf6": "o",
    "\xf8": "o",
    "\xd9": "U",
    "\xda": "U",
    "\xdb": "U",
    "\xdc": "U",
    "\xf9": "u",
    "\xfa": "u",
    "\xfb": "u",
    "\xfc": "u",
    "\xdd": "Y",
    "\xfd": "y",
    "\xff": "y",
    "\xc6": "Ae",
    "\xe6": "ae",
    "\xde": "Th",
    "\xfe": "th",
    "\xdf": "ss",
    "\u0100": "A",
    "\u0102": "A",
    "\u0104": "A",
    "\u0101": "a",
    "\u0103": "a",
    "\u0105": "a",
    "\u0106": "C",
    "\u0108": "C",
    "\u010a": "C",
    "\u010c": "C",
    "\u0107": "c",
    "\u0109": "c",
    "\u010b": "c",
    "\u010d": "c",
    "\u010e": "D",
    "\u0110": "D",
    "\u010f": "d",
    "\u0111": "d",
    "\u0112": "E",
    "\u0114": "E",
    "\u0116": "E",
    "\u0118": "E",
    "\u011a": "E",
    "\u0113": "e",
    "\u0115": "e",
    "\u0117": "e",
    "\u0119": "e",
    "\u011b": "e",
    "\u011c": "G",
    "\u011e": "G",
    "\u0120": "G",
    "\u0122": "G",
    "\u011d": "g",
    "\u011f": "g",
    "\u0121": "g",
    "\u0123": "g",
    "\u0124": "H",
    "\u0126": "H",
    "\u0125": "h",
    "\u0127": "h",
    "\u0128": "I",
    "\u012a": "I",
    "\u012c": "I",
    "\u012e": "I",
    "\u0130": "I",
    "\u0129": "i",
    "\u012b": "i",
    "\u012d": "i",
    "\u012f": "i",
    "\u0131": "i",
    "\u0134": "J",
    "\u0135": "j",
    "\u0136": "K",
    "\u0137": "k",
    "\u0138": "k",
    "\u0139": "L",
    "\u013b": "L",
    "\u013d": "L",
    "\u013f": "L",
    "\u0141": "L",
    "\u013a": "l",
    "\u013c": "l",
    "\u013e": "l",
    "\u0140": "l",
    "\u0142": "l",
    "\u0143": "N",
    "\u0145": "N",
    "\u0147": "N",
    "\u014a": "N",
    "\u0144": "n",
    "\u0146": "n",
    "\u0148": "n",
    "\u014b": "n",
    "\u014c": "O",
    "\u014e": "O",
    "\u0150": "O",
    "\u014d": "o",
    "\u014f": "o",
    "\u0151": "o",
    "\u0154": "R",
    "\u0156": "R",
    "\u0158": "R",
    "\u0155": "r",
    "\u0157": "r",
    "\u0159": "r",
    "\u015a": "S",
    "\u015c": "S",
    "\u015e": "S",
    "\u0160": "S",
    "\u015b": "s",
    "\u015d": "s",
    "\u015f": "s",
    "\u0161": "s",
    "\u0162": "T",
    "\u0164": "T",
    "\u0166": "T",
    "\u0163": "t",
    "\u0165": "t",
    "\u0167": "t",
    "\u0168": "U",
    "\u016a": "U",
    "\u016c": "U",
    "\u016e": "U",
    "\u0170": "U",
    "\u0172": "U",
    "\u0169": "u",
    "\u016b": "u",
    "\u016d": "u",
    "\u016f": "u",
    "\u0171": "u",
    "\u0173": "u",
    "\u0174": "W",
    "\u0175": "w",
    "\u0176": "Y",
    "\u0177": "y",
    "\u0178": "Y",
    "\u0179": "Z",
    "\u017b": "Z",
    "\u017d": "Z",
    "\u017a": "z",
    "\u017c": "z",
    "\u017e": "z",
    "\u0132": "IJ",
    "\u0133": "ij",
    "\u0152": "Oe",
    "\u0153": "oe",
    "\u0149": "'n",
    "\u017f": "s"
  },
      Hr = {
    "&": "&amp;",
    "<": "&lt;",
    ">": "&gt;",
    '"': "&quot;",
    "'": "&#39;"
  },
      Jr = {
    "&amp;": "&",
    "&lt;": "<",
    "&gt;": ">",
    "&quot;": '"',
    "&#39;": "'"
  },
      Yr = {
    "\\": "\\",
    "'": "'",
    "\n": "n",
    "\r": "r",
    "\u2028": "u2028",
    "\u2029": "u2029"
  },
      Qr = parseFloat,
      Xr = parseInt,
      ne = "object" == typeof global && global && global.Object === Object && global,
      te = "object" == typeof self && self && self.Object === Object && self,
      re = ne || te || Function("return this")(),
      ee =  true && exports && !exports.nodeType && exports,
      ue = ee && "object" == "object" && module && !module.nodeType && module,
      ie = ue && ue.exports === ee,
      oe = ie && ne.process,
      fe = function () {
    try {
      var n = ue && ue.require && ue.require("util").types;

      return n ? n : oe && oe.binding && oe.binding("util");
    } catch (n) {}
  }(),
      ce = fe && fe.isArrayBuffer,
      ae = fe && fe.isDate,
      le = fe && fe.isMap,
      se = fe && fe.isRegExp,
      he = fe && fe.isSet,
      pe = fe && fe.isTypedArray,
      _e = m("length"),
      ve = x(Gr),
      ge = x(Hr),
      ye = x(Jr),
      de = function p(x) {
    function Z(n) {
      if (cc(n) && !bh(n) && !(n instanceof Ct)) {
        if (n instanceof Y) return n;
        if (bl.call(n, "__wrapped__")) return eo(n);
      }

      return new Y(n);
    }

    function J() {}

    function Y(n, t) {
      this.__wrapped__ = n, this.__actions__ = [], this.__chain__ = !!t, this.__index__ = 0, this.__values__ = X;
    }

    function Ct(n) {
      this.__wrapped__ = n, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = Un, this.__views__ = [];
    }

    function $t() {
      var n = new Ct(this.__wrapped__);
      return n.__actions__ = Tu(this.__actions__), n.__dir__ = this.__dir__, n.__filtered__ = this.__filtered__, n.__iteratees__ = Tu(this.__iteratees__), n.__takeCount__ = this.__takeCount__, n.__views__ = Tu(this.__views__), n;
    }

    function Yt() {
      if (this.__filtered__) {
        var n = new Ct(this);
        n.__dir__ = -1, n.__filtered__ = !0;
      } else n = this.clone(), n.__dir__ *= -1;

      return n;
    }

    function Qt() {
      var n = this.__wrapped__.value(),
          t = this.__dir__,
          r = bh(n),
          e = t < 0,
          u = r ? n.length : 0,
          i = Oi(0, u, this.__views__),
          o = i.start,
          f = i.end,
          c = f - o,
          a = e ? f : o - 1,
          l = this.__iteratees__,
          s = l.length,
          h = 0,
          p = Hl(c, this.__takeCount__);

      if (!r || !e && u == c && p == c) return wu(n, this.__actions__);
      var _ = [];

      n: for (; c-- && h < p;) {
        a += t;

        for (var v = -1, g = n[a]; ++v < s;) {
          var y = l[v],
              d = y.iteratee,
              b = y.type,
              w = d(g);
          if (b == zn) g = w;else if (!w) {
            if (b == Rn) continue n;
            break n;
          }
        }

        _[h++] = g;
      }

      return _;
    }

    function Xt(n) {
      var t = -1,
          r = null == n ? 0 : n.length;

      for (this.clear(); ++t < r;) {
        var e = n[t];
        this.set(e[0], e[1]);
      }
    }

    function nr() {
      this.__data__ = is ? is(null) : {}, this.size = 0;
    }

    function tr(n) {
      var t = this.has(n) && delete this.__data__[n];
      return this.size -= t ? 1 : 0, t;
    }

    function rr(n) {
      var t = this.__data__;

      if (is) {
        var r = t[n];
        return r === on ? X : r;
      }

      return bl.call(t, n) ? t[n] : X;
    }

    function er(n) {
      var t = this.__data__;
      return is ? t[n] !== X : bl.call(t, n);
    }

    function ur(n, t) {
      var r = this.__data__;
      return this.size += this.has(n) ? 0 : 1, r[n] = is && t === X ? on : t, this;
    }

    function ir(n) {
      var t = -1,
          r = null == n ? 0 : n.length;

      for (this.clear(); ++t < r;) {
        var e = n[t];
        this.set(e[0], e[1]);
      }
    }

    function or() {
      this.__data__ = [], this.size = 0;
    }

    function fr(n) {
      var t = this.__data__,
          r = Wr(t, n);
      return !(r < 0) && (r == t.length - 1 ? t.pop() : Ll.call(t, r, 1), --this.size, !0);
    }

    function cr(n) {
      var t = this.__data__,
          r = Wr(t, n);
      return r < 0 ? X : t[r][1];
    }

    function ar(n) {
      return Wr(this.__data__, n) > -1;
    }

    function lr(n, t) {
      var r = this.__data__,
          e = Wr(r, n);
      return e < 0 ? (++this.size, r.push([n, t])) : r[e][1] = t, this;
    }

    function sr(n) {
      var t = -1,
          r = null == n ? 0 : n.length;

      for (this.clear(); ++t < r;) {
        var e = n[t];
        this.set(e[0], e[1]);
      }
    }

    function hr() {
      this.size = 0, this.__data__ = {
        hash: new Xt(),
        map: new (ts || ir)(),
        string: new Xt()
      };
    }

    function pr(n) {
      var t = xi(this, n).delete(n);
      return this.size -= t ? 1 : 0, t;
    }

    function _r(n) {
      return xi(this, n).get(n);
    }

    function vr(n) {
      return xi(this, n).has(n);
    }

    function gr(n, t) {
      var r = xi(this, n),
          e = r.size;
      return r.set(n, t), this.size += r.size == e ? 0 : 1, this;
    }

    function yr(n) {
      var t = -1,
          r = null == n ? 0 : n.length;

      for (this.__data__ = new sr(); ++t < r;) this.add(n[t]);
    }

    function dr(n) {
      return this.__data__.set(n, on), this;
    }

    function br(n) {
      return this.__data__.has(n);
    }

    function wr(n) {
      this.size = (this.__data__ = new ir(n)).size;
    }

    function mr() {
      this.__data__ = new ir(), this.size = 0;
    }

    function xr(n) {
      var t = this.__data__,
          r = t.delete(n);
      return this.size = t.size, r;
    }

    function jr(n) {
      return this.__data__.get(n);
    }

    function Ar(n) {
      return this.__data__.has(n);
    }

    function kr(n, t) {
      var r = this.__data__;

      if (r instanceof ir) {
        var e = r.__data__;
        if (!ts || e.length < tn - 1) return e.push([n, t]), this.size = ++r.size, this;
        r = this.__data__ = new sr(e);
      }

      return r.set(n, t), this.size = r.size, this;
    }

    function Or(n, t) {
      var r = bh(n),
          e = !r && dh(n),
          u = !r && !e && mh(n),
          i = !r && !e && !u && Oh(n),
          o = r || e || u || i,
          f = o ? O(n.length, hl) : [],
          c = f.length;

      for (var a in n) !t && !bl.call(n, a) || o && ("length" == a || u && ("offset" == a || "parent" == a) || i && ("buffer" == a || "byteLength" == a || "byteOffset" == a) || Ci(a, c)) || f.push(a);

      return f;
    }

    function Ir(n) {
      var t = n.length;
      return t ? n[tu(0, t - 1)] : X;
    }

    function Rr(n, t) {
      return Xi(Tu(n), Mr(t, 0, n.length));
    }

    function zr(n) {
      return Xi(Tu(n));
    }

    function Er(n, t, r) {
      (r === X || Gf(n[t], r)) && (r !== X || t in n) || Br(n, t, r);
    }

    function Sr(n, t, r) {
      var e = n[t];
      bl.call(n, t) && Gf(e, r) && (r !== X || t in n) || Br(n, t, r);
    }

    function Wr(n, t) {
      for (var r = n.length; r--;) if (Gf(n[r][0], t)) return r;

      return -1;
    }

    function Lr(n, t, r, e) {
      return ys(n, function (n, u, i) {
        t(e, n, r(n), i);
      }), e;
    }

    function Cr(n, t) {
      return n && $u(t, Pc(t), n);
    }

    function Ur(n, t) {
      return n && $u(t, qc(t), n);
    }

    function Br(n, t, r) {
      "__proto__" == t && Tl ? Tl(n, t, {
        configurable: !0,
        enumerable: !0,
        value: r,
        writable: !0
      }) : n[t] = r;
    }

    function Tr(n, t) {
      for (var r = -1, e = t.length, u = il(e), i = null == n; ++r < e;) u[r] = i ? X : Mc(n, t[r]);

      return u;
    }

    function Mr(n, t, r) {
      return n === n && (r !== X && (n = n <= r ? n : r), t !== X && (n = n >= t ? n : t)), n;
    }

    function Fr(n, t, e, u, i, o) {
      var f,
          c = t & an,
          a = t & ln,
          l = t & sn;
      if (e && (f = i ? e(n, u, i, o) : e(n)), f !== X) return f;
      if (!fc(n)) return n;
      var s = bh(n);

      if (s) {
        if (f = zi(n), !c) return Tu(n, f);
      } else {
        var h = zs(n),
            p = h == Kn || h == Vn;
        if (mh(n)) return Iu(n, c);

        if (h == Yn || h == Dn || p && !i) {
          if (f = a || p ? {} : Ei(n), !c) return a ? Mu(n, Ur(f, n)) : Du(n, Cr(f, n));
        } else {
          if (!Vr[h]) return i ? n : {};
          f = Si(n, h, c);
        }
      }

      o || (o = new wr());

      var _ = o.get(n);

      if (_) return _;
      o.set(n, f), kh(n) ? n.forEach(function (r) {
        f.add(Fr(r, t, e, r, n, o));
      }) : jh(n) && n.forEach(function (r, u) {
        f.set(u, Fr(r, t, e, u, n, o));
      });
      var v = l ? a ? di : yi : a ? qc : Pc,
          g = s ? X : v(n);
      return r(g || n, function (r, u) {
        g && (u = r, r = n[u]), Sr(f, u, Fr(r, t, e, u, n, o));
      }), f;
    }

    function Nr(n) {
      var t = Pc(n);
      return function (r) {
        return Pr(r, n, t);
      };
    }

    function Pr(n, t, r) {
      var e = r.length;
      if (null == n) return !e;

      for (n = ll(n); e--;) {
        var u = r[e],
            i = t[u],
            o = n[u];
        if (o === X && !(u in n) || !i(o)) return !1;
      }

      return !0;
    }

    function Gr(n, t, r) {
      if ("function" != typeof n) throw new pl(en);
      return Ws(function () {
        n.apply(X, r);
      }, t);
    }

    function Hr(n, t, r, e) {
      var u = -1,
          i = o,
          a = !0,
          l = n.length,
          s = [],
          h = t.length;
      if (!l) return s;
      r && (t = c(t, z(r))), e ? (i = f, a = !1) : t.length >= tn && (i = S, a = !1, t = new yr(t));

      n: for (; ++u < l;) {
        var p = n[u],
            _ = null == r ? p : r(p);

        if (p = e || 0 !== p ? p : 0, a && _ === _) {
          for (var v = h; v--;) if (t[v] === _) continue n;

          s.push(p);
        } else i(t, _, e) || s.push(p);
      }

      return s;
    }

    function Jr(n, t) {
      var r = !0;
      return ys(n, function (n, e, u) {
        return r = !!t(n, e, u);
      }), r;
    }

    function Yr(n, t, r) {
      for (var e = -1, u = n.length; ++e < u;) {
        var i = n[e],
            o = t(i);
        if (null != o && (f === X ? o === o && !bc(o) : r(o, f))) var f = o,
            c = i;
      }

      return c;
    }

    function ne(n, t, r, e) {
      var u = n.length;

      for (r = kc(r), r < 0 && (r = -r > u ? 0 : u + r), e = e === X || e > u ? u : kc(e), e < 0 && (e += u), e = r > e ? 0 : Oc(e); r < e;) n[r++] = t;

      return n;
    }

    function te(n, t) {
      var r = [];
      return ys(n, function (n, e, u) {
        t(n, e, u) && r.push(n);
      }), r;
    }

    function ee(n, t, r, e, u) {
      var i = -1,
          o = n.length;

      for (r || (r = Li), u || (u = []); ++i < o;) {
        var f = n[i];
        t > 0 && r(f) ? t > 1 ? ee(f, t - 1, r, e, u) : a(u, f) : e || (u[u.length] = f);
      }

      return u;
    }

    function ue(n, t) {
      return n && bs(n, t, Pc);
    }

    function oe(n, t) {
      return n && ws(n, t, Pc);
    }

    function fe(n, t) {
      return i(t, function (t) {
        return uc(n[t]);
      });
    }

    function _e(n, t) {
      t = ku(t, n);

      for (var r = 0, e = t.length; null != n && r < e;) n = n[no(t[r++])];

      return r && r == e ? n : X;
    }

    function de(n, t, r) {
      var e = t(n);
      return bh(n) ? e : a(e, r(n));
    }

    function we(n) {
      return null == n ? n === X ? ut : Jn : Bl && Bl in ll(n) ? ki(n) : Ki(n);
    }

    function me(n, t) {
      return n > t;
    }

    function xe(n, t) {
      return null != n && bl.call(n, t);
    }

    function je(n, t) {
      return null != n && t in ll(n);
    }

    function Ae(n, t, r) {
      return n >= Hl(t, r) && n < Gl(t, r);
    }

    function ke(n, t, r) {
      for (var e = r ? f : o, u = n[0].length, i = n.length, a = i, l = il(i), s = 1 / 0, h = []; a--;) {
        var p = n[a];
        a && t && (p = c(p, z(t))), s = Hl(p.length, s), l[a] = !r && (t || u >= 120 && p.length >= 120) ? new yr(a && p) : X;
      }

      p = n[0];

      var _ = -1,
          v = l[0];

      n: for (; ++_ < u && h.length < s;) {
        var g = p[_],
            y = t ? t(g) : g;

        if (g = r || 0 !== g ? g : 0, !(v ? S(v, y) : e(h, y, r))) {
          for (a = i; --a;) {
            var d = l[a];
            if (!(d ? S(d, y) : e(n[a], y, r))) continue n;
          }

          v && v.push(y), h.push(g);
        }
      }

      return h;
    }

    function Oe(n, t, r, e) {
      return ue(n, function (n, u, i) {
        t(e, r(n), u, i);
      }), e;
    }

    function Ie(t, r, e) {
      r = ku(r, t), t = Gi(t, r);
      var u = null == t ? t : t[no(jo(r))];
      return null == u ? X : n(u, t, e);
    }

    function Re(n) {
      return cc(n) && we(n) == Dn;
    }

    function ze(n) {
      return cc(n) && we(n) == ft;
    }

    function Ee(n) {
      return cc(n) && we(n) == Pn;
    }

    function Se(n, t, r, e, u) {
      return n === t || (null == n || null == t || !cc(n) && !cc(t) ? n !== n && t !== t : We(n, t, r, e, Se, u));
    }

    function We(n, t, r, e, u, i) {
      var o = bh(n),
          f = bh(t),
          c = o ? Mn : zs(n),
          a = f ? Mn : zs(t);
      c = c == Dn ? Yn : c, a = a == Dn ? Yn : a;
      var l = c == Yn,
          s = a == Yn,
          h = c == a;

      if (h && mh(n)) {
        if (!mh(t)) return !1;
        o = !0, l = !1;
      }

      if (h && !l) return i || (i = new wr()), o || Oh(n) ? pi(n, t, r, e, u, i) : _i(n, t, c, r, e, u, i);

      if (!(r & hn)) {
        var p = l && bl.call(n, "__wrapped__"),
            _ = s && bl.call(t, "__wrapped__");

        if (p || _) {
          var v = p ? n.value() : n,
              g = _ ? t.value() : t;
          return i || (i = new wr()), u(v, g, r, e, i);
        }
      }

      return !!h && (i || (i = new wr()), vi(n, t, r, e, u, i));
    }

    function Le(n) {
      return cc(n) && zs(n) == Gn;
    }

    function Ce(n, t, r, e) {
      var u = r.length,
          i = u,
          o = !e;
      if (null == n) return !i;

      for (n = ll(n); u--;) {
        var f = r[u];
        if (o && f[2] ? f[1] !== n[f[0]] : !(f[0] in n)) return !1;
      }

      for (; ++u < i;) {
        f = r[u];
        var c = f[0],
            a = n[c],
            l = f[1];

        if (o && f[2]) {
          if (a === X && !(c in n)) return !1;
        } else {
          var s = new wr();
          if (e) var h = e(a, l, c, n, t, s);
          if (!(h === X ? Se(l, a, hn | pn, e, s) : h)) return !1;
        }
      }

      return !0;
    }

    function Ue(n) {
      return !(!fc(n) || Di(n)) && (uc(n) ? kl : Zt).test(to(n));
    }

    function Be(n) {
      return cc(n) && we(n) == nt;
    }

    function Te(n) {
      return cc(n) && zs(n) == tt;
    }

    function $e(n) {
      return cc(n) && oc(n.length) && !!Kr[we(n)];
    }

    function De(n) {
      return "function" == typeof n ? n : null == n ? La : "object" == typeof n ? bh(n) ? Ze(n[0], n[1]) : qe(n) : Fa(n);
    }

    function Me(n) {
      if (!Mi(n)) return Vl(n);
      var t = [];

      for (var r in ll(n)) bl.call(n, r) && "constructor" != r && t.push(r);

      return t;
    }

    function Fe(n) {
      if (!fc(n)) return Zi(n);
      var t = Mi(n),
          r = [];

      for (var e in n) ("constructor" != e || !t && bl.call(n, e)) && r.push(e);

      return r;
    }

    function Ne(n, t) {
      return n < t;
    }

    function Pe(n, t) {
      var r = -1,
          e = Hf(n) ? il(n.length) : [];
      return ys(n, function (n, u, i) {
        e[++r] = t(n, u, i);
      }), e;
    }

    function qe(n) {
      var t = ji(n);
      return 1 == t.length && t[0][2] ? Ni(t[0][0], t[0][1]) : function (r) {
        return r === n || Ce(r, n, t);
      };
    }

    function Ze(n, t) {
      return Bi(n) && Fi(t) ? Ni(no(n), t) : function (r) {
        var e = Mc(r, n);
        return e === X && e === t ? Nc(r, n) : Se(t, e, hn | pn);
      };
    }

    function Ke(n, t, r, e, u) {
      n !== t && bs(t, function (i, o) {
        if (u || (u = new wr()), fc(i)) Ve(n, t, o, r, Ke, e, u);else {
          var f = e ? e(Ji(n, o), i, o + "", n, t, u) : X;
          f === X && (f = i), Er(n, o, f);
        }
      }, qc);
    }

    function Ve(n, t, r, e, u, i, o) {
      var f = Ji(n, r),
          c = Ji(t, r),
          a = o.get(c);
      if (a) return Er(n, r, a), X;
      var l = i ? i(f, c, r + "", n, t, o) : X,
          s = l === X;

      if (s) {
        var h = bh(c),
            p = !h && mh(c),
            _ = !h && !p && Oh(c);

        l = c, h || p || _ ? bh(f) ? l = f : Jf(f) ? l = Tu(f) : p ? (s = !1, l = Iu(c, !0)) : _ ? (s = !1, l = Wu(c, !0)) : l = [] : gc(c) || dh(c) ? (l = f, dh(f) ? l = Rc(f) : fc(f) && !uc(f) || (l = Ei(c))) : s = !1;
      }

      s && (o.set(c, l), u(l, c, e, i, o), o.delete(c)), Er(n, r, l);
    }

    function Ge(n, t) {
      var r = n.length;
      if (r) return t += t < 0 ? r : 0, Ci(t, r) ? n[t] : X;
    }

    function He(n, t, r) {
      t = t.length ? c(t, function (n) {
        return bh(n) ? function (t) {
          return _e(t, 1 === n.length ? n[0] : n);
        } : n;
      }) : [La];
      var e = -1;
      return t = c(t, z(mi())), A(Pe(n, function (n, r, u) {
        return {
          criteria: c(t, function (t) {
            return t(n);
          }),
          index: ++e,
          value: n
        };
      }), function (n, t) {
        return Cu(n, t, r);
      });
    }

    function Je(n, t) {
      return Ye(n, t, function (t, r) {
        return Nc(n, r);
      });
    }

    function Ye(n, t, r) {
      for (var e = -1, u = t.length, i = {}; ++e < u;) {
        var o = t[e],
            f = _e(n, o);

        r(f, o) && fu(i, ku(o, n), f);
      }

      return i;
    }

    function Qe(n) {
      return function (t) {
        return _e(t, n);
      };
    }

    function Xe(n, t, r, e) {
      var u = e ? d : y,
          i = -1,
          o = t.length,
          f = n;

      for (n === t && (t = Tu(t)), r && (f = c(n, z(r))); ++i < o;) for (var a = 0, l = t[i], s = r ? r(l) : l; (a = u(f, s, a, e)) > -1;) f !== n && Ll.call(f, a, 1), Ll.call(n, a, 1);

      return n;
    }

    function nu(n, t) {
      for (var r = n ? t.length : 0, e = r - 1; r--;) {
        var u = t[r];

        if (r == e || u !== i) {
          var i = u;
          Ci(u) ? Ll.call(n, u, 1) : yu(n, u);
        }
      }

      return n;
    }

    function tu(n, t) {
      return n + Nl(Ql() * (t - n + 1));
    }

    function ru(n, t, r, e) {
      for (var u = -1, i = Gl(Fl((t - n) / (r || 1)), 0), o = il(i); i--;) o[e ? i : ++u] = n, n += r;

      return o;
    }

    function eu(n, t) {
      var r = "";
      if (!n || t < 1 || t > Wn) return r;

      do t % 2 && (r += n), t = Nl(t / 2), t && (n += n); while (t);

      return r;
    }

    function uu(n, t) {
      return Ls(Vi(n, t, La), n + "");
    }

    function iu(n) {
      return Ir(ra(n));
    }

    function ou(n, t) {
      var r = ra(n);
      return Xi(r, Mr(t, 0, r.length));
    }

    function fu(n, t, r, e) {
      if (!fc(n)) return n;
      t = ku(t, n);

      for (var u = -1, i = t.length, o = i - 1, f = n; null != f && ++u < i;) {
        var c = no(t[u]),
            a = r;
        if ("__proto__" === c || "constructor" === c || "prototype" === c) return n;

        if (u != o) {
          var l = f[c];
          a = e ? e(l, c, f) : X, a === X && (a = fc(l) ? l : Ci(t[u + 1]) ? [] : {});
        }

        Sr(f, c, a), f = f[c];
      }

      return n;
    }

    function cu(n) {
      return Xi(ra(n));
    }

    function au(n, t, r) {
      var e = -1,
          u = n.length;
      t < 0 && (t = -t > u ? 0 : u + t), r = r > u ? u : r, r < 0 && (r += u), u = t > r ? 0 : r - t >>> 0, t >>>= 0;

      for (var i = il(u); ++e < u;) i[e] = n[e + t];

      return i;
    }

    function lu(n, t) {
      var r;
      return ys(n, function (n, e, u) {
        return r = t(n, e, u), !r;
      }), !!r;
    }

    function su(n, t, r) {
      var e = 0,
          u = null == n ? e : n.length;

      if ("number" == typeof t && t === t && u <= Tn) {
        for (; e < u;) {
          var i = e + u >>> 1,
              o = n[i];
          null !== o && !bc(o) && (r ? o <= t : o < t) ? e = i + 1 : u = i;
        }

        return u;
      }

      return hu(n, t, La, r);
    }

    function hu(n, t, r, e) {
      var u = 0,
          i = null == n ? 0 : n.length;
      if (0 === i) return 0;
      t = r(t);

      for (var o = t !== t, f = null === t, c = bc(t), a = t === X; u < i;) {
        var l = Nl((u + i) / 2),
            s = r(n[l]),
            h = s !== X,
            p = null === s,
            _ = s === s,
            v = bc(s);

        if (o) var g = e || _;else g = a ? _ && (e || h) : f ? _ && h && (e || !p) : c ? _ && h && !p && (e || !v) : !p && !v && (e ? s <= t : s < t);
        g ? u = l + 1 : i = l;
      }

      return Hl(i, Bn);
    }

    function pu(n, t) {
      for (var r = -1, e = n.length, u = 0, i = []; ++r < e;) {
        var o = n[r],
            f = t ? t(o) : o;

        if (!r || !Gf(f, c)) {
          var c = f;
          i[u++] = 0 === o ? 0 : o;
        }
      }

      return i;
    }

    function _u(n) {
      return "number" == typeof n ? n : bc(n) ? Cn : +n;
    }

    function vu(n) {
      if ("string" == typeof n) return n;
      if (bh(n)) return c(n, vu) + "";
      if (bc(n)) return vs ? vs.call(n) : "";
      var t = n + "";
      return "0" == t && 1 / n == -Sn ? "-0" : t;
    }

    function gu(n, t, r) {
      var e = -1,
          u = o,
          i = n.length,
          c = !0,
          a = [],
          l = a;
      if (r) c = !1, u = f;else if (i >= tn) {
        var s = t ? null : ks(n);
        if (s) return P(s);
        c = !1, u = S, l = new yr();
      } else l = t ? [] : a;

      n: for (; ++e < i;) {
        var h = n[e],
            p = t ? t(h) : h;

        if (h = r || 0 !== h ? h : 0, c && p === p) {
          for (var _ = l.length; _--;) if (l[_] === p) continue n;

          t && l.push(p), a.push(h);
        } else u(l, p, r) || (l !== a && l.push(p), a.push(h));
      }

      return a;
    }

    function yu(n, t) {
      return t = ku(t, n), n = Gi(n, t), null == n || delete n[no(jo(t))];
    }

    function du(n, t, r, e) {
      return fu(n, t, r(_e(n, t)), e);
    }

    function bu(n, t, r, e) {
      for (var u = n.length, i = e ? u : -1; (e ? i-- : ++i < u) && t(n[i], i, n););

      return r ? au(n, e ? 0 : i, e ? i + 1 : u) : au(n, e ? i + 1 : 0, e ? u : i);
    }

    function wu(n, t) {
      var r = n;
      return r instanceof Ct && (r = r.value()), l(t, function (n, t) {
        return t.func.apply(t.thisArg, a([n], t.args));
      }, r);
    }

    function mu(n, t, r) {
      var e = n.length;
      if (e < 2) return e ? gu(n[0]) : [];

      for (var u = -1, i = il(e); ++u < e;) for (var o = n[u], f = -1; ++f < e;) f != u && (i[u] = Hr(i[u] || o, n[f], t, r));

      return gu(ee(i, 1), t, r);
    }

    function xu(n, t, r) {
      for (var e = -1, u = n.length, i = t.length, o = {}; ++e < u;) {
        r(o, n[e], e < i ? t[e] : X);
      }

      return o;
    }

    function ju(n) {
      return Jf(n) ? n : [];
    }

    function Au(n) {
      return "function" == typeof n ? n : La;
    }

    function ku(n, t) {
      return bh(n) ? n : Bi(n, t) ? [n] : Cs(Ec(n));
    }

    function Ou(n, t, r) {
      var e = n.length;
      return r = r === X ? e : r, !t && r >= e ? n : au(n, t, r);
    }

    function Iu(n, t) {
      if (t) return n.slice();
      var r = n.length,
          e = zl ? zl(r) : new n.constructor(r);
      return n.copy(e), e;
    }

    function Ru(n) {
      var t = new n.constructor(n.byteLength);
      return new Rl(t).set(new Rl(n)), t;
    }

    function zu(n, t) {
      return new n.constructor(t ? Ru(n.buffer) : n.buffer, n.byteOffset, n.byteLength);
    }

    function Eu(n) {
      var t = new n.constructor(n.source, Nt.exec(n));
      return t.lastIndex = n.lastIndex, t;
    }

    function Su(n) {
      return _s ? ll(_s.call(n)) : {};
    }

    function Wu(n, t) {
      return new n.constructor(t ? Ru(n.buffer) : n.buffer, n.byteOffset, n.length);
    }

    function Lu(n, t) {
      if (n !== t) {
        var r = n !== X,
            e = null === n,
            u = n === n,
            i = bc(n),
            o = t !== X,
            f = null === t,
            c = t === t,
            a = bc(t);
        if (!f && !a && !i && n > t || i && o && c && !f && !a || e && o && c || !r && c || !u) return 1;
        if (!e && !i && !a && n < t || a && r && u && !e && !i || f && r && u || !o && u || !c) return -1;
      }

      return 0;
    }

    function Cu(n, t, r) {
      for (var e = -1, u = n.criteria, i = t.criteria, o = u.length, f = r.length; ++e < o;) {
        var c = Lu(u[e], i[e]);

        if (c) {
          if (e >= f) return c;
          return c * ("desc" == r[e] ? -1 : 1);
        }
      }

      return n.index - t.index;
    }

    function Uu(n, t, r, e) {
      for (var u = -1, i = n.length, o = r.length, f = -1, c = t.length, a = Gl(i - o, 0), l = il(c + a), s = !e; ++f < c;) l[f] = t[f];

      for (; ++u < o;) (s || u < i) && (l[r[u]] = n[u]);

      for (; a--;) l[f++] = n[u++];

      return l;
    }

    function Bu(n, t, r, e) {
      for (var u = -1, i = n.length, o = -1, f = r.length, c = -1, a = t.length, l = Gl(i - f, 0), s = il(l + a), h = !e; ++u < l;) s[u] = n[u];

      for (var p = u; ++c < a;) s[p + c] = t[c];

      for (; ++o < f;) (h || u < i) && (s[p + r[o]] = n[u++]);

      return s;
    }

    function Tu(n, t) {
      var r = -1,
          e = n.length;

      for (t || (t = il(e)); ++r < e;) t[r] = n[r];

      return t;
    }

    function $u(n, t, r, e) {
      var u = !r;
      r || (r = {});

      for (var i = -1, o = t.length; ++i < o;) {
        var f = t[i],
            c = e ? e(r[f], n[f], f, r, n) : X;
        c === X && (c = n[f]), u ? Br(r, f, c) : Sr(r, f, c);
      }

      return r;
    }

    function Du(n, t) {
      return $u(n, Is(n), t);
    }

    function Mu(n, t) {
      return $u(n, Rs(n), t);
    }

    function Fu(n, r) {
      return function (e, u) {
        var i = bh(e) ? t : Lr,
            o = r ? r() : {};
        return i(e, n, mi(u, 2), o);
      };
    }

    function Nu(n) {
      return uu(function (t, r) {
        var e = -1,
            u = r.length,
            i = u > 1 ? r[u - 1] : X,
            o = u > 2 ? r[2] : X;

        for (i = n.length > 3 && "function" == typeof i ? (u--, i) : X, o && Ui(r[0], r[1], o) && (i = u < 3 ? X : i, u = 1), t = ll(t); ++e < u;) {
          var f = r[e];
          f && n(t, f, e, i);
        }

        return t;
      });
    }

    function Pu(n, t) {
      return function (r, e) {
        if (null == r) return r;
        if (!Hf(r)) return n(r, e);

        for (var u = r.length, i = t ? u : -1, o = ll(r); (t ? i-- : ++i < u) && e(o[i], i, o) !== !1;);

        return r;
      };
    }

    function qu(n) {
      return function (t, r, e) {
        for (var u = -1, i = ll(t), o = e(t), f = o.length; f--;) {
          var c = o[n ? f : ++u];
          if (r(i[c], c, i) === !1) break;
        }

        return t;
      };
    }

    function Zu(n, t, r) {
      function e() {
        return (this && this !== re && this instanceof e ? i : n).apply(u ? r : this, arguments);
      }

      var u = t & _n,
          i = Gu(n);
      return e;
    }

    function Ku(n) {
      return function (t) {
        t = Ec(t);
        var r = T(t) ? G(t) : X,
            e = r ? r[0] : t.charAt(0),
            u = r ? Ou(r, 1).join("") : t.slice(1);
        return e[n]() + u;
      };
    }

    function Vu(n) {
      return function (t) {
        return l(Ra(ca(t).replace($r, "")), n, "");
      };
    }

    function Gu(n) {
      return function () {
        var t = arguments;

        switch (t.length) {
          case 0:
            return new n();

          case 1:
            return new n(t[0]);

          case 2:
            return new n(t[0], t[1]);

          case 3:
            return new n(t[0], t[1], t[2]);

          case 4:
            return new n(t[0], t[1], t[2], t[3]);

          case 5:
            return new n(t[0], t[1], t[2], t[3], t[4]);

          case 6:
            return new n(t[0], t[1], t[2], t[3], t[4], t[5]);

          case 7:
            return new n(t[0], t[1], t[2], t[3], t[4], t[5], t[6]);
        }

        var r = gs(n.prototype),
            e = n.apply(r, t);
        return fc(e) ? e : r;
      };
    }

    function Hu(t, r, e) {
      function u() {
        for (var o = arguments.length, f = il(o), c = o, a = wi(u); c--;) f[c] = arguments[c];

        var l = o < 3 && f[0] !== a && f[o - 1] !== a ? [] : N(f, a);
        return o -= l.length, o < e ? oi(t, r, Qu, u.placeholder, X, f, l, X, X, e - o) : n(this && this !== re && this instanceof u ? i : t, this, f);
      }

      var i = Gu(t);
      return u;
    }

    function Ju(n) {
      return function (t, r, e) {
        var u = ll(t);

        if (!Hf(t)) {
          var i = mi(r, 3);
          t = Pc(t), r = function (n) {
            return i(u[n], n, u);
          };
        }

        var o = n(t, r, e);
        return o > -1 ? u[i ? t[o] : o] : X;
      };
    }

    function Yu(n) {
      return gi(function (t) {
        var r = t.length,
            e = r,
            u = Y.prototype.thru;

        for (n && t.reverse(); e--;) {
          var i = t[e];
          if ("function" != typeof i) throw new pl(en);
          if (u && !o && "wrapper" == bi(i)) var o = new Y([], !0);
        }

        for (e = o ? e : r; ++e < r;) {
          i = t[e];
          var f = bi(i),
              c = "wrapper" == f ? Os(i) : X;
          o = c && $i(c[0]) && c[1] == (mn | yn | bn | xn) && !c[4].length && 1 == c[9] ? o[bi(c[0])].apply(o, c[3]) : 1 == i.length && $i(i) ? o[f]() : o.thru(i);
        }

        return function () {
          var n = arguments,
              e = n[0];
          if (o && 1 == n.length && bh(e)) return o.plant(e).value();

          for (var u = 0, i = r ? t[u].apply(this, n) : e; ++u < r;) i = t[u].call(this, i);

          return i;
        };
      });
    }

    function Qu(n, t, r, e, u, i, o, f, c, a) {
      function l() {
        for (var y = arguments.length, d = il(y), b = y; b--;) d[b] = arguments[b];

        if (_) var w = wi(l),
            m = C(d, w);

        if (e && (d = Uu(d, e, u, _)), i && (d = Bu(d, i, o, _)), y -= m, _ && y < a) {
          return oi(n, t, Qu, l.placeholder, r, d, N(d, w), f, c, a - y);
        }

        var x = h ? r : this,
            j = p ? x[n] : n;
        return y = d.length, f ? d = Hi(d, f) : v && y > 1 && d.reverse(), s && c < y && (d.length = c), this && this !== re && this instanceof l && (j = g || Gu(j)), j.apply(x, d);
      }

      var s = t & mn,
          h = t & _n,
          p = t & vn,
          _ = t & (yn | dn),
          v = t & jn,
          g = p ? X : Gu(n);

      return l;
    }

    function Xu(n, t) {
      return function (r, e) {
        return Oe(r, n, t(e), {});
      };
    }

    function ni(n, t) {
      return function (r, e) {
        var u;
        if (r === X && e === X) return t;

        if (r !== X && (u = r), e !== X) {
          if (u === X) return e;
          "string" == typeof r || "string" == typeof e ? (r = vu(r), e = vu(e)) : (r = _u(r), e = _u(e)), u = n(r, e);
        }

        return u;
      };
    }

    function ti(t) {
      return gi(function (r) {
        return r = c(r, z(mi())), uu(function (e) {
          var u = this;
          return t(r, function (t) {
            return n(t, u, e);
          });
        });
      });
    }

    function ri(n, t) {
      t = t === X ? " " : vu(t);
      var r = t.length;
      if (r < 2) return r ? eu(t, n) : t;
      var e = eu(t, Fl(n / V(t)));
      return T(t) ? Ou(G(e), 0, n).join("") : e.slice(0, n);
    }

    function ei(t, r, e, u) {
      function i() {
        for (var r = -1, c = arguments.length, a = -1, l = u.length, s = il(l + c), h = this && this !== re && this instanceof i ? f : t; ++a < l;) s[a] = u[a];

        for (; c--;) s[a++] = arguments[++r];

        return n(h, o ? e : this, s);
      }

      var o = r & _n,
          f = Gu(t);
      return i;
    }

    function ui(n) {
      return function (t, r, e) {
        return e && "number" != typeof e && Ui(t, r, e) && (r = e = X), t = Ac(t), r === X ? (r = t, t = 0) : r = Ac(r), e = e === X ? t < r ? 1 : -1 : Ac(e), ru(t, r, e, n);
      };
    }

    function ii(n) {
      return function (t, r) {
        return "string" == typeof t && "string" == typeof r || (t = Ic(t), r = Ic(r)), n(t, r);
      };
    }

    function oi(n, t, r, e, u, i, o, f, c, a) {
      var l = t & yn,
          s = l ? o : X,
          h = l ? X : o,
          p = l ? i : X,
          _ = l ? X : i;

      t |= l ? bn : wn, t &= ~(l ? wn : bn), t & gn || (t &= ~(_n | vn));
      var v = [n, t, u, p, s, _, h, f, c, a],
          g = r.apply(X, v);
      return $i(n) && Ss(g, v), g.placeholder = e, Yi(g, n, t);
    }

    function fi(n) {
      var t = al[n];
      return function (n, r) {
        if (n = Ic(n), r = null == r ? 0 : Hl(kc(r), 292), r && Zl(n)) {
          var e = (Ec(n) + "e").split("e");
          return e = (Ec(t(e[0] + "e" + (+e[1] + r))) + "e").split("e"), +(e[0] + "e" + (+e[1] - r));
        }

        return t(n);
      };
    }

    function ci(n) {
      return function (t) {
        var r = zs(t);
        return r == Gn ? M(t) : r == tt ? q(t) : I(t, n(t));
      };
    }

    function ai(n, t, r, e, u, i, o, f) {
      var c = t & vn;
      if (!c && "function" != typeof n) throw new pl(en);
      var a = e ? e.length : 0;

      if (a || (t &= ~(bn | wn), e = u = X), o = o === X ? o : Gl(kc(o), 0), f = f === X ? f : kc(f), a -= u ? u.length : 0, t & wn) {
        var l = e,
            s = u;
        e = u = X;
      }

      var h = c ? X : Os(n),
          p = [n, t, r, e, u, l, s, i, o, f];
      if (h && qi(p, h), n = p[0], t = p[1], r = p[2], e = p[3], u = p[4], f = p[9] = p[9] === X ? c ? 0 : n.length : Gl(p[9] - a, 0), !f && t & (yn | dn) && (t &= ~(yn | dn)), t && t != _n) _ = t == yn || t == dn ? Hu(n, t, f) : t != bn && t != (_n | bn) || u.length ? Qu.apply(X, p) : ei(n, t, r, e);else var _ = Zu(n, t, r);
      return Yi((h ? ms : Ss)(_, p), n, t);
    }

    function li(n, t, r, e) {
      return n === X || Gf(n, gl[r]) && !bl.call(e, r) ? t : n;
    }

    function si(n, t, r, e, u, i) {
      return fc(n) && fc(t) && (i.set(t, n), Ke(n, t, X, si, i), i.delete(t)), n;
    }

    function hi(n) {
      return gc(n) ? X : n;
    }

    function pi(n, t, r, e, u, i) {
      var o = r & hn,
          f = n.length,
          c = t.length;
      if (f != c && !(o && c > f)) return !1;
      var a = i.get(n),
          l = i.get(t);
      if (a && l) return a == t && l == n;

      var s = -1,
          p = !0,
          _ = r & pn ? new yr() : X;

      for (i.set(n, t), i.set(t, n); ++s < f;) {
        var v = n[s],
            g = t[s];
        if (e) var y = o ? e(g, v, s, t, n, i) : e(v, g, s, n, t, i);

        if (y !== X) {
          if (y) continue;
          p = !1;
          break;
        }

        if (_) {
          if (!h(t, function (n, t) {
            if (!S(_, t) && (v === n || u(v, n, r, e, i))) return _.push(t);
          })) {
            p = !1;
            break;
          }
        } else if (v !== g && !u(v, g, r, e, i)) {
          p = !1;
          break;
        }
      }

      return i.delete(n), i.delete(t), p;
    }

    function _i(n, t, r, e, u, i, o) {
      switch (r) {
        case ct:
          if (n.byteLength != t.byteLength || n.byteOffset != t.byteOffset) return !1;
          n = n.buffer, t = t.buffer;

        case ft:
          return !(n.byteLength != t.byteLength || !i(new Rl(n), new Rl(t)));

        case Nn:
        case Pn:
        case Hn:
          return Gf(+n, +t);

        case Zn:
          return n.name == t.name && n.message == t.message;

        case nt:
        case rt:
          return n == t + "";

        case Gn:
          var f = M;

        case tt:
          var c = e & hn;
          if (f || (f = P), n.size != t.size && !c) return !1;
          var a = o.get(n);
          if (a) return a == t;
          e |= pn, o.set(n, t);
          var l = pi(f(n), f(t), e, u, i, o);
          return o.delete(n), l;

        case et:
          if (_s) return _s.call(n) == _s.call(t);
      }

      return !1;
    }

    function vi(n, t, r, e, u, i) {
      var o = r & hn,
          f = yi(n),
          c = f.length;
      if (c != yi(t).length && !o) return !1;

      for (var a = c; a--;) {
        var l = f[a];
        if (!(o ? l in t : bl.call(t, l))) return !1;
      }

      var s = i.get(n),
          h = i.get(t);
      if (s && h) return s == t && h == n;
      var p = !0;
      i.set(n, t), i.set(t, n);

      for (var _ = o; ++a < c;) {
        l = f[a];
        var v = n[l],
            g = t[l];
        if (e) var y = o ? e(g, v, l, t, n, i) : e(v, g, l, n, t, i);

        if (!(y === X ? v === g || u(v, g, r, e, i) : y)) {
          p = !1;
          break;
        }

        _ || (_ = "constructor" == l);
      }

      if (p && !_) {
        var d = n.constructor,
            b = t.constructor;
        d != b && "constructor" in n && "constructor" in t && !("function" == typeof d && d instanceof d && "function" == typeof b && b instanceof b) && (p = !1);
      }

      return i.delete(n), i.delete(t), p;
    }

    function gi(n) {
      return Ls(Vi(n, X, _o), n + "");
    }

    function yi(n) {
      return de(n, Pc, Is);
    }

    function di(n) {
      return de(n, qc, Rs);
    }

    function bi(n) {
      for (var t = n.name + "", r = fs[t], e = bl.call(fs, t) ? r.length : 0; e--;) {
        var u = r[e],
            i = u.func;
        if (null == i || i == n) return u.name;
      }

      return t;
    }

    function wi(n) {
      return (bl.call(Z, "placeholder") ? Z : n).placeholder;
    }

    function mi() {
      var n = Z.iteratee || Ca;
      return n = n === Ca ? De : n, arguments.length ? n(arguments[0], arguments[1]) : n;
    }

    function xi(n, t) {
      var r = n.__data__;
      return Ti(t) ? r["string" == typeof t ? "string" : "hash"] : r.map;
    }

    function ji(n) {
      for (var t = Pc(n), r = t.length; r--;) {
        var e = t[r],
            u = n[e];
        t[r] = [e, u, Fi(u)];
      }

      return t;
    }

    function Ai(n, t) {
      var r = B(n, t);
      return Ue(r) ? r : X;
    }

    function ki(n) {
      var t = bl.call(n, Bl),
          r = n[Bl];

      try {
        n[Bl] = X;
        var e = !0;
      } catch (n) {}

      var u = xl.call(n);
      return e && (t ? n[Bl] = r : delete n[Bl]), u;
    }

    function Oi(n, t, r) {
      for (var e = -1, u = r.length; ++e < u;) {
        var i = r[e],
            o = i.size;

        switch (i.type) {
          case "drop":
            n += o;
            break;

          case "dropRight":
            t -= o;
            break;

          case "take":
            t = Hl(t, n + o);
            break;

          case "takeRight":
            n = Gl(n, t - o);
        }
      }

      return {
        start: n,
        end: t
      };
    }

    function Ii(n) {
      var t = n.match(Bt);
      return t ? t[1].split(Tt) : [];
    }

    function Ri(n, t, r) {
      t = ku(t, n);

      for (var e = -1, u = t.length, i = !1; ++e < u;) {
        var o = no(t[e]);
        if (!(i = null != n && r(n, o))) break;
        n = n[o];
      }

      return i || ++e != u ? i : (u = null == n ? 0 : n.length, !!u && oc(u) && Ci(o, u) && (bh(n) || dh(n)));
    }

    function zi(n) {
      var t = n.length,
          r = new n.constructor(t);
      return t && "string" == typeof n[0] && bl.call(n, "index") && (r.index = n.index, r.input = n.input), r;
    }

    function Ei(n) {
      return "function" != typeof n.constructor || Mi(n) ? {} : gs(El(n));
    }

    function Si(n, t, r) {
      var e = n.constructor;

      switch (t) {
        case ft:
          return Ru(n);

        case Nn:
        case Pn:
          return new e(+n);

        case ct:
          return zu(n, r);

        case at:
        case lt:
        case st:
        case ht:
        case pt:
        case _t:
        case vt:
        case gt:
        case yt:
          return Wu(n, r);

        case Gn:
          return new e();

        case Hn:
        case rt:
          return new e(n);

        case nt:
          return Eu(n);

        case tt:
          return new e();

        case et:
          return Su(n);
      }
    }

    function Wi(n, t) {
      var r = t.length;
      if (!r) return n;
      var e = r - 1;
      return t[e] = (r > 1 ? "& " : "") + t[e], t = t.join(r > 2 ? ", " : " "), n.replace(Ut, "{\n/* [wrapped with " + t + "] */\n");
    }

    function Li(n) {
      return bh(n) || dh(n) || !!(Cl && n && n[Cl]);
    }

    function Ci(n, t) {
      var r = typeof n;
      return t = null == t ? Wn : t, !!t && ("number" == r || "symbol" != r && Vt.test(n)) && n > -1 && n % 1 == 0 && n < t;
    }

    function Ui(n, t, r) {
      if (!fc(r)) return !1;
      var e = typeof t;
      return !!("number" == e ? Hf(r) && Ci(t, r.length) : "string" == e && t in r) && Gf(r[t], n);
    }

    function Bi(n, t) {
      if (bh(n)) return !1;
      var r = typeof n;
      return !("number" != r && "symbol" != r && "boolean" != r && null != n && !bc(n)) || zt.test(n) || !Rt.test(n) || null != t && n in ll(t);
    }

    function Ti(n) {
      var t = typeof n;
      return "string" == t || "number" == t || "symbol" == t || "boolean" == t ? "__proto__" !== n : null === n;
    }

    function $i(n) {
      var t = bi(n),
          r = Z[t];
      if ("function" != typeof r || !(t in Ct.prototype)) return !1;
      if (n === r) return !0;
      var e = Os(r);
      return !!e && n === e[0];
    }

    function Di(n) {
      return !!ml && ml in n;
    }

    function Mi(n) {
      var t = n && n.constructor;
      return n === ("function" == typeof t && t.prototype || gl);
    }

    function Fi(n) {
      return n === n && !fc(n);
    }

    function Ni(n, t) {
      return function (r) {
        return null != r && r[n] === t && (t !== X || n in ll(r));
      };
    }

    function Pi(n) {
      var t = Cf(n, function (n) {
        return r.size === fn && r.clear(), n;
      }),
          r = t.cache;
      return t;
    }

    function qi(n, t) {
      var r = n[1],
          e = t[1],
          u = r | e,
          i = u < (_n | vn | mn),
          o = e == mn && r == yn || e == mn && r == xn && n[7].length <= t[8] || e == (mn | xn) && t[7].length <= t[8] && r == yn;
      if (!i && !o) return n;
      e & _n && (n[2] = t[2], u |= r & _n ? 0 : gn);
      var f = t[3];

      if (f) {
        var c = n[3];
        n[3] = c ? Uu(c, f, t[4]) : f, n[4] = c ? N(n[3], cn) : t[4];
      }

      return f = t[5], f && (c = n[5], n[5] = c ? Bu(c, f, t[6]) : f, n[6] = c ? N(n[5], cn) : t[6]), f = t[7], f && (n[7] = f), e & mn && (n[8] = null == n[8] ? t[8] : Hl(n[8], t[8])), null == n[9] && (n[9] = t[9]), n[0] = t[0], n[1] = u, n;
    }

    function Zi(n) {
      var t = [];
      if (null != n) for (var r in ll(n)) t.push(r);
      return t;
    }

    function Ki(n) {
      return xl.call(n);
    }

    function Vi(t, r, e) {
      return r = Gl(r === X ? t.length - 1 : r, 0), function () {
        for (var u = arguments, i = -1, o = Gl(u.length - r, 0), f = il(o); ++i < o;) f[i] = u[r + i];

        i = -1;

        for (var c = il(r + 1); ++i < r;) c[i] = u[i];

        return c[r] = e(f), n(t, this, c);
      };
    }

    function Gi(n, t) {
      return t.length < 2 ? n : _e(n, au(t, 0, -1));
    }

    function Hi(n, t) {
      for (var r = n.length, e = Hl(t.length, r), u = Tu(n); e--;) {
        var i = t[e];
        n[e] = Ci(i, r) ? u[i] : X;
      }

      return n;
    }

    function Ji(n, t) {
      if (("constructor" !== t || "function" != typeof n[t]) && "__proto__" != t) return n[t];
    }

    function Yi(n, t, r) {
      var e = t + "";
      return Ls(n, Wi(e, ro(Ii(e), r)));
    }

    function Qi(n) {
      var t = 0,
          r = 0;
      return function () {
        var e = Jl(),
            u = In - (e - r);

        if (r = e, u > 0) {
          if (++t >= On) return arguments[0];
        } else t = 0;

        return n.apply(X, arguments);
      };
    }

    function Xi(n, t) {
      var r = -1,
          e = n.length,
          u = e - 1;

      for (t = t === X ? e : t; ++r < t;) {
        var i = tu(r, u),
            o = n[i];
        n[i] = n[r], n[r] = o;
      }

      return n.length = t, n;
    }

    function no(n) {
      if ("string" == typeof n || bc(n)) return n;
      var t = n + "";
      return "0" == t && 1 / n == -Sn ? "-0" : t;
    }

    function to(n) {
      if (null != n) {
        try {
          return dl.call(n);
        } catch (n) {}

        try {
          return n + "";
        } catch (n) {}
      }

      return "";
    }

    function ro(n, t) {
      return r($n, function (r) {
        var e = "_." + r[0];
        t & r[1] && !o(n, e) && n.push(e);
      }), n.sort();
    }

    function eo(n) {
      if (n instanceof Ct) return n.clone();
      var t = new Y(n.__wrapped__, n.__chain__);
      return t.__actions__ = Tu(n.__actions__), t.__index__ = n.__index__, t.__values__ = n.__values__, t;
    }

    function uo(n, t, r) {
      t = (r ? Ui(n, t, r) : t === X) ? 1 : Gl(kc(t), 0);
      var e = null == n ? 0 : n.length;
      if (!e || t < 1) return [];

      for (var u = 0, i = 0, o = il(Fl(e / t)); u < e;) o[i++] = au(n, u, u += t);

      return o;
    }

    function io(n) {
      for (var t = -1, r = null == n ? 0 : n.length, e = 0, u = []; ++t < r;) {
        var i = n[t];
        i && (u[e++] = i);
      }

      return u;
    }

    function oo() {
      var n = arguments.length;
      if (!n) return [];

      for (var t = il(n - 1), r = arguments[0], e = n; e--;) t[e - 1] = arguments[e];

      return a(bh(r) ? Tu(r) : [r], ee(t, 1));
    }

    function fo(n, t, r) {
      var e = null == n ? 0 : n.length;
      return e ? (t = r || t === X ? 1 : kc(t), au(n, t < 0 ? 0 : t, e)) : [];
    }

    function co(n, t, r) {
      var e = null == n ? 0 : n.length;
      return e ? (t = r || t === X ? 1 : kc(t), t = e - t, au(n, 0, t < 0 ? 0 : t)) : [];
    }

    function ao(n, t) {
      return n && n.length ? bu(n, mi(t, 3), !0, !0) : [];
    }

    function lo(n, t) {
      return n && n.length ? bu(n, mi(t, 3), !0) : [];
    }

    function so(n, t, r, e) {
      var u = null == n ? 0 : n.length;
      return u ? (r && "number" != typeof r && Ui(n, t, r) && (r = 0, e = u), ne(n, t, r, e)) : [];
    }

    function ho(n, t, r) {
      var e = null == n ? 0 : n.length;
      if (!e) return -1;
      var u = null == r ? 0 : kc(r);
      return u < 0 && (u = Gl(e + u, 0)), g(n, mi(t, 3), u);
    }

    function po(n, t, r) {
      var e = null == n ? 0 : n.length;
      if (!e) return -1;
      var u = e - 1;
      return r !== X && (u = kc(r), u = r < 0 ? Gl(e + u, 0) : Hl(u, e - 1)), g(n, mi(t, 3), u, !0);
    }

    function _o(n) {
      return (null == n ? 0 : n.length) ? ee(n, 1) : [];
    }

    function vo(n) {
      return (null == n ? 0 : n.length) ? ee(n, Sn) : [];
    }

    function go(n, t) {
      return (null == n ? 0 : n.length) ? (t = t === X ? 1 : kc(t), ee(n, t)) : [];
    }

    function yo(n) {
      for (var t = -1, r = null == n ? 0 : n.length, e = {}; ++t < r;) {
        var u = n[t];
        e[u[0]] = u[1];
      }

      return e;
    }

    function bo(n) {
      return n && n.length ? n[0] : X;
    }

    function wo(n, t, r) {
      var e = null == n ? 0 : n.length;
      if (!e) return -1;
      var u = null == r ? 0 : kc(r);
      return u < 0 && (u = Gl(e + u, 0)), y(n, t, u);
    }

    function mo(n) {
      return (null == n ? 0 : n.length) ? au(n, 0, -1) : [];
    }

    function xo(n, t) {
      return null == n ? "" : Kl.call(n, t);
    }

    function jo(n) {
      var t = null == n ? 0 : n.length;
      return t ? n[t - 1] : X;
    }

    function Ao(n, t, r) {
      var e = null == n ? 0 : n.length;
      if (!e) return -1;
      var u = e;
      return r !== X && (u = kc(r), u = u < 0 ? Gl(e + u, 0) : Hl(u, e - 1)), t === t ? K(n, t, u) : g(n, b, u, !0);
    }

    function ko(n, t) {
      return n && n.length ? Ge(n, kc(t)) : X;
    }

    function Oo(n, t) {
      return n && n.length && t && t.length ? Xe(n, t) : n;
    }

    function Io(n, t, r) {
      return n && n.length && t && t.length ? Xe(n, t, mi(r, 2)) : n;
    }

    function Ro(n, t, r) {
      return n && n.length && t && t.length ? Xe(n, t, X, r) : n;
    }

    function zo(n, t) {
      var r = [];
      if (!n || !n.length) return r;
      var e = -1,
          u = [],
          i = n.length;

      for (t = mi(t, 3); ++e < i;) {
        var o = n[e];
        t(o, e, n) && (r.push(o), u.push(e));
      }

      return nu(n, u), r;
    }

    function Eo(n) {
      return null == n ? n : Xl.call(n);
    }

    function So(n, t, r) {
      var e = null == n ? 0 : n.length;
      return e ? (r && "number" != typeof r && Ui(n, t, r) ? (t = 0, r = e) : (t = null == t ? 0 : kc(t), r = r === X ? e : kc(r)), au(n, t, r)) : [];
    }

    function Wo(n, t) {
      return su(n, t);
    }

    function Lo(n, t, r) {
      return hu(n, t, mi(r, 2));
    }

    function Co(n, t) {
      var r = null == n ? 0 : n.length;

      if (r) {
        var e = su(n, t);
        if (e < r && Gf(n[e], t)) return e;
      }

      return -1;
    }

    function Uo(n, t) {
      return su(n, t, !0);
    }

    function Bo(n, t, r) {
      return hu(n, t, mi(r, 2), !0);
    }

    function To(n, t) {
      if (null == n ? 0 : n.length) {
        var r = su(n, t, !0) - 1;
        if (Gf(n[r], t)) return r;
      }

      return -1;
    }

    function $o(n) {
      return n && n.length ? pu(n) : [];
    }

    function Do(n, t) {
      return n && n.length ? pu(n, mi(t, 2)) : [];
    }

    function Mo(n) {
      var t = null == n ? 0 : n.length;
      return t ? au(n, 1, t) : [];
    }

    function Fo(n, t, r) {
      return n && n.length ? (t = r || t === X ? 1 : kc(t), au(n, 0, t < 0 ? 0 : t)) : [];
    }

    function No(n, t, r) {
      var e = null == n ? 0 : n.length;
      return e ? (t = r || t === X ? 1 : kc(t), t = e - t, au(n, t < 0 ? 0 : t, e)) : [];
    }

    function Po(n, t) {
      return n && n.length ? bu(n, mi(t, 3), !1, !0) : [];
    }

    function qo(n, t) {
      return n && n.length ? bu(n, mi(t, 3)) : [];
    }

    function Zo(n) {
      return n && n.length ? gu(n) : [];
    }

    function Ko(n, t) {
      return n && n.length ? gu(n, mi(t, 2)) : [];
    }

    function Vo(n, t) {
      return t = "function" == typeof t ? t : X, n && n.length ? gu(n, X, t) : [];
    }

    function Go(n) {
      if (!n || !n.length) return [];
      var t = 0;
      return n = i(n, function (n) {
        if (Jf(n)) return t = Gl(n.length, t), !0;
      }), O(t, function (t) {
        return c(n, m(t));
      });
    }

    function Ho(t, r) {
      if (!t || !t.length) return [];
      var e = Go(t);
      return null == r ? e : c(e, function (t) {
        return n(r, X, t);
      });
    }

    function Jo(n, t) {
      return xu(n || [], t || [], Sr);
    }

    function Yo(n, t) {
      return xu(n || [], t || [], fu);
    }

    function Qo(n) {
      var t = Z(n);
      return t.__chain__ = !0, t;
    }

    function Xo(n, t) {
      return t(n), n;
    }

    function nf(n, t) {
      return t(n);
    }

    function tf() {
      return Qo(this);
    }

    function rf() {
      return new Y(this.value(), this.__chain__);
    }

    function ef() {
      this.__values__ === X && (this.__values__ = jc(this.value()));
      var n = this.__index__ >= this.__values__.length;
      return {
        done: n,
        value: n ? X : this.__values__[this.__index__++]
      };
    }

    function uf() {
      return this;
    }

    function of(n) {
      for (var t, r = this; r instanceof J;) {
        var e = eo(r);
        e.__index__ = 0, e.__values__ = X, t ? u.__wrapped__ = e : t = e;
        var u = e;
        r = r.__wrapped__;
      }

      return u.__wrapped__ = n, t;
    }

    function ff() {
      var n = this.__wrapped__;

      if (n instanceof Ct) {
        var t = n;
        return this.__actions__.length && (t = new Ct(this)), t = t.reverse(), t.__actions__.push({
          func: nf,
          args: [Eo],
          thisArg: X
        }), new Y(t, this.__chain__);
      }

      return this.thru(Eo);
    }

    function cf() {
      return wu(this.__wrapped__, this.__actions__);
    }

    function af(n, t, r) {
      var e = bh(n) ? u : Jr;
      return r && Ui(n, t, r) && (t = X), e(n, mi(t, 3));
    }

    function lf(n, t) {
      return (bh(n) ? i : te)(n, mi(t, 3));
    }

    function sf(n, t) {
      return ee(yf(n, t), 1);
    }

    function hf(n, t) {
      return ee(yf(n, t), Sn);
    }

    function pf(n, t, r) {
      return r = r === X ? 1 : kc(r), ee(yf(n, t), r);
    }

    function _f(n, t) {
      return (bh(n) ? r : ys)(n, mi(t, 3));
    }

    function vf(n, t) {
      return (bh(n) ? e : ds)(n, mi(t, 3));
    }

    function gf(n, t, r, e) {
      n = Hf(n) ? n : ra(n), r = r && !e ? kc(r) : 0;
      var u = n.length;
      return r < 0 && (r = Gl(u + r, 0)), dc(n) ? r <= u && n.indexOf(t, r) > -1 : !!u && y(n, t, r) > -1;
    }

    function yf(n, t) {
      return (bh(n) ? c : Pe)(n, mi(t, 3));
    }

    function df(n, t, r, e) {
      return null == n ? [] : (bh(t) || (t = null == t ? [] : [t]), r = e ? X : r, bh(r) || (r = null == r ? [] : [r]), He(n, t, r));
    }

    function bf(n, t, r) {
      var e = bh(n) ? l : j,
          u = arguments.length < 3;
      return e(n, mi(t, 4), r, u, ys);
    }

    function wf(n, t, r) {
      var e = bh(n) ? s : j,
          u = arguments.length < 3;
      return e(n, mi(t, 4), r, u, ds);
    }

    function mf(n, t) {
      return (bh(n) ? i : te)(n, Uf(mi(t, 3)));
    }

    function xf(n) {
      return (bh(n) ? Ir : iu)(n);
    }

    function jf(n, t, r) {
      return t = (r ? Ui(n, t, r) : t === X) ? 1 : kc(t), (bh(n) ? Rr : ou)(n, t);
    }

    function Af(n) {
      return (bh(n) ? zr : cu)(n);
    }

    function kf(n) {
      if (null == n) return 0;
      if (Hf(n)) return dc(n) ? V(n) : n.length;
      var t = zs(n);
      return t == Gn || t == tt ? n.size : Me(n).length;
    }

    function Of(n, t, r) {
      var e = bh(n) ? h : lu;
      return r && Ui(n, t, r) && (t = X), e(n, mi(t, 3));
    }

    function If(n, t) {
      if ("function" != typeof t) throw new pl(en);
      return n = kc(n), function () {
        if (--n < 1) return t.apply(this, arguments);
      };
    }

    function Rf(n, t, r) {
      return t = r ? X : t, t = n && null == t ? n.length : t, ai(n, mn, X, X, X, X, t);
    }

    function zf(n, t) {
      var r;
      if ("function" != typeof t) throw new pl(en);
      return n = kc(n), function () {
        return --n > 0 && (r = t.apply(this, arguments)), n <= 1 && (t = X), r;
      };
    }

    function Ef(n, t, r) {
      t = r ? X : t;
      var e = ai(n, yn, X, X, X, X, X, t);
      return e.placeholder = Ef.placeholder, e;
    }

    function Sf(n, t, r) {
      t = r ? X : t;
      var e = ai(n, dn, X, X, X, X, X, t);
      return e.placeholder = Sf.placeholder, e;
    }

    function Wf(n, t, r) {
      function e(t) {
        var r = h,
            e = p;
        return h = p = X, d = t, v = n.apply(e, r);
      }

      function u(n) {
        return d = n, g = Ws(f, t), b ? e(n) : v;
      }

      function i(n) {
        var r = n - y,
            e = n - d,
            u = t - r;
        return w ? Hl(u, _ - e) : u;
      }

      function o(n) {
        var r = n - y,
            e = n - d;
        return y === X || r >= t || r < 0 || w && e >= _;
      }

      function f() {
        var n = fh();
        return o(n) ? c(n) : (g = Ws(f, i(n)), X);
      }

      function c(n) {
        return g = X, m && h ? e(n) : (h = p = X, v);
      }

      function a() {
        g !== X && As(g), d = 0, h = y = p = g = X;
      }

      function l() {
        return g === X ? v : c(fh());
      }

      function s() {
        var n = fh(),
            r = o(n);

        if (h = arguments, p = this, y = n, r) {
          if (g === X) return u(y);
          if (w) return As(g), g = Ws(f, t), e(y);
        }

        return g === X && (g = Ws(f, t)), v;
      }

      var h,
          p,
          _,
          v,
          g,
          y,
          d = 0,
          b = !1,
          w = !1,
          m = !0;

      if ("function" != typeof n) throw new pl(en);
      return t = Ic(t) || 0, fc(r) && (b = !!r.leading, w = "maxWait" in r, _ = w ? Gl(Ic(r.maxWait) || 0, t) : _, m = "trailing" in r ? !!r.trailing : m), s.cancel = a, s.flush = l, s;
    }

    function Lf(n) {
      return ai(n, jn);
    }

    function Cf(n, t) {
      if ("function" != typeof n || null != t && "function" != typeof t) throw new pl(en);

      var r = function () {
        var e = arguments,
            u = t ? t.apply(this, e) : e[0],
            i = r.cache;
        if (i.has(u)) return i.get(u);
        var o = n.apply(this, e);
        return r.cache = i.set(u, o) || i, o;
      };

      return r.cache = new (Cf.Cache || sr)(), r;
    }

    function Uf(n) {
      if ("function" != typeof n) throw new pl(en);
      return function () {
        var t = arguments;

        switch (t.length) {
          case 0:
            return !n.call(this);

          case 1:
            return !n.call(this, t[0]);

          case 2:
            return !n.call(this, t[0], t[1]);

          case 3:
            return !n.call(this, t[0], t[1], t[2]);
        }

        return !n.apply(this, t);
      };
    }

    function Bf(n) {
      return zf(2, n);
    }

    function Tf(n, t) {
      if ("function" != typeof n) throw new pl(en);
      return t = t === X ? t : kc(t), uu(n, t);
    }

    function $f(t, r) {
      if ("function" != typeof t) throw new pl(en);
      return r = null == r ? 0 : Gl(kc(r), 0), uu(function (e) {
        var u = e[r],
            i = Ou(e, 0, r);
        return u && a(i, u), n(t, this, i);
      });
    }

    function Df(n, t, r) {
      var e = !0,
          u = !0;
      if ("function" != typeof n) throw new pl(en);
      return fc(r) && (e = "leading" in r ? !!r.leading : e, u = "trailing" in r ? !!r.trailing : u), Wf(n, t, {
        leading: e,
        maxWait: t,
        trailing: u
      });
    }

    function Mf(n) {
      return Rf(n, 1);
    }

    function Ff(n, t) {
      return ph(Au(t), n);
    }

    function Nf() {
      if (!arguments.length) return [];
      var n = arguments[0];
      return bh(n) ? n : [n];
    }

    function Pf(n) {
      return Fr(n, sn);
    }

    function qf(n, t) {
      return t = "function" == typeof t ? t : X, Fr(n, sn, t);
    }

    function Zf(n) {
      return Fr(n, an | sn);
    }

    function Kf(n, t) {
      return t = "function" == typeof t ? t : X, Fr(n, an | sn, t);
    }

    function Vf(n, t) {
      return null == t || Pr(n, t, Pc(t));
    }

    function Gf(n, t) {
      return n === t || n !== n && t !== t;
    }

    function Hf(n) {
      return null != n && oc(n.length) && !uc(n);
    }

    function Jf(n) {
      return cc(n) && Hf(n);
    }

    function Yf(n) {
      return n === !0 || n === !1 || cc(n) && we(n) == Nn;
    }

    function Qf(n) {
      return cc(n) && 1 === n.nodeType && !gc(n);
    }

    function Xf(n) {
      if (null == n) return !0;
      if (Hf(n) && (bh(n) || "string" == typeof n || "function" == typeof n.splice || mh(n) || Oh(n) || dh(n))) return !n.length;
      var t = zs(n);
      if (t == Gn || t == tt) return !n.size;
      if (Mi(n)) return !Me(n).length;

      for (var r in n) if (bl.call(n, r)) return !1;

      return !0;
    }

    function nc(n, t) {
      return Se(n, t);
    }

    function tc(n, t, r) {
      r = "function" == typeof r ? r : X;
      var e = r ? r(n, t) : X;
      return e === X ? Se(n, t, X, r) : !!e;
    }

    function rc(n) {
      if (!cc(n)) return !1;
      var t = we(n);
      return t == Zn || t == qn || "string" == typeof n.message && "string" == typeof n.name && !gc(n);
    }

    function ec(n) {
      return "number" == typeof n && Zl(n);
    }

    function uc(n) {
      if (!fc(n)) return !1;
      var t = we(n);
      return t == Kn || t == Vn || t == Fn || t == Xn;
    }

    function ic(n) {
      return "number" == typeof n && n == kc(n);
    }

    function oc(n) {
      return "number" == typeof n && n > -1 && n % 1 == 0 && n <= Wn;
    }

    function fc(n) {
      var t = typeof n;
      return null != n && ("object" == t || "function" == t);
    }

    function cc(n) {
      return null != n && "object" == typeof n;
    }

    function ac(n, t) {
      return n === t || Ce(n, t, ji(t));
    }

    function lc(n, t, r) {
      return r = "function" == typeof r ? r : X, Ce(n, t, ji(t), r);
    }

    function sc(n) {
      return vc(n) && n != +n;
    }

    function hc(n) {
      if (Es(n)) throw new fl(rn);
      return Ue(n);
    }

    function pc(n) {
      return null === n;
    }

    function _c(n) {
      return null == n;
    }

    function vc(n) {
      return "number" == typeof n || cc(n) && we(n) == Hn;
    }

    function gc(n) {
      if (!cc(n) || we(n) != Yn) return !1;
      var t = El(n);
      if (null === t) return !0;
      var r = bl.call(t, "constructor") && t.constructor;
      return "function" == typeof r && r instanceof r && dl.call(r) == jl;
    }

    function yc(n) {
      return ic(n) && n >= -Wn && n <= Wn;
    }

    function dc(n) {
      return "string" == typeof n || !bh(n) && cc(n) && we(n) == rt;
    }

    function bc(n) {
      return "symbol" == typeof n || cc(n) && we(n) == et;
    }

    function wc(n) {
      return n === X;
    }

    function mc(n) {
      return cc(n) && zs(n) == it;
    }

    function xc(n) {
      return cc(n) && we(n) == ot;
    }

    function jc(n) {
      if (!n) return [];
      if (Hf(n)) return dc(n) ? G(n) : Tu(n);
      if (Ul && n[Ul]) return D(n[Ul]());
      var t = zs(n);
      return (t == Gn ? M : t == tt ? P : ra)(n);
    }

    function Ac(n) {
      if (!n) return 0 === n ? n : 0;

      if (n = Ic(n), n === Sn || n === -Sn) {
        return (n < 0 ? -1 : 1) * Ln;
      }

      return n === n ? n : 0;
    }

    function kc(n) {
      var t = Ac(n),
          r = t % 1;
      return t === t ? r ? t - r : t : 0;
    }

    function Oc(n) {
      return n ? Mr(kc(n), 0, Un) : 0;
    }

    function Ic(n) {
      if ("number" == typeof n) return n;
      if (bc(n)) return Cn;

      if (fc(n)) {
        var t = "function" == typeof n.valueOf ? n.valueOf() : n;
        n = fc(t) ? t + "" : t;
      }

      if ("string" != typeof n) return 0 === n ? n : +n;
      n = R(n);
      var r = qt.test(n);
      return r || Kt.test(n) ? Xr(n.slice(2), r ? 2 : 8) : Pt.test(n) ? Cn : +n;
    }

    function Rc(n) {
      return $u(n, qc(n));
    }

    function zc(n) {
      return n ? Mr(kc(n), -Wn, Wn) : 0 === n ? n : 0;
    }

    function Ec(n) {
      return null == n ? "" : vu(n);
    }

    function Sc(n, t) {
      var r = gs(n);
      return null == t ? r : Cr(r, t);
    }

    function Wc(n, t) {
      return v(n, mi(t, 3), ue);
    }

    function Lc(n, t) {
      return v(n, mi(t, 3), oe);
    }

    function Cc(n, t) {
      return null == n ? n : bs(n, mi(t, 3), qc);
    }

    function Uc(n, t) {
      return null == n ? n : ws(n, mi(t, 3), qc);
    }

    function Bc(n, t) {
      return n && ue(n, mi(t, 3));
    }

    function Tc(n, t) {
      return n && oe(n, mi(t, 3));
    }

    function $c(n) {
      return null == n ? [] : fe(n, Pc(n));
    }

    function Dc(n) {
      return null == n ? [] : fe(n, qc(n));
    }

    function Mc(n, t, r) {
      var e = null == n ? X : _e(n, t);
      return e === X ? r : e;
    }

    function Fc(n, t) {
      return null != n && Ri(n, t, xe);
    }

    function Nc(n, t) {
      return null != n && Ri(n, t, je);
    }

    function Pc(n) {
      return Hf(n) ? Or(n) : Me(n);
    }

    function qc(n) {
      return Hf(n) ? Or(n, !0) : Fe(n);
    }

    function Zc(n, t) {
      var r = {};
      return t = mi(t, 3), ue(n, function (n, e, u) {
        Br(r, t(n, e, u), n);
      }), r;
    }

    function Kc(n, t) {
      var r = {};
      return t = mi(t, 3), ue(n, function (n, e, u) {
        Br(r, e, t(n, e, u));
      }), r;
    }

    function Vc(n, t) {
      return Gc(n, Uf(mi(t)));
    }

    function Gc(n, t) {
      if (null == n) return {};
      var r = c(di(n), function (n) {
        return [n];
      });
      return t = mi(t), Ye(n, r, function (n, r) {
        return t(n, r[0]);
      });
    }

    function Hc(n, t, r) {
      t = ku(t, n);
      var e = -1,
          u = t.length;

      for (u || (u = 1, n = X); ++e < u;) {
        var i = null == n ? X : n[no(t[e])];
        i === X && (e = u, i = r), n = uc(i) ? i.call(n) : i;
      }

      return n;
    }

    function Jc(n, t, r) {
      return null == n ? n : fu(n, t, r);
    }

    function Yc(n, t, r, e) {
      return e = "function" == typeof e ? e : X, null == n ? n : fu(n, t, r, e);
    }

    function Qc(n, t, e) {
      var u = bh(n),
          i = u || mh(n) || Oh(n);

      if (t = mi(t, 4), null == e) {
        var o = n && n.constructor;
        e = i ? u ? new o() : [] : fc(n) && uc(o) ? gs(El(n)) : {};
      }

      return (i ? r : ue)(n, function (n, r, u) {
        return t(e, n, r, u);
      }), e;
    }

    function Xc(n, t) {
      return null == n || yu(n, t);
    }

    function na(n, t, r) {
      return null == n ? n : du(n, t, Au(r));
    }

    function ta(n, t, r, e) {
      return e = "function" == typeof e ? e : X, null == n ? n : du(n, t, Au(r), e);
    }

    function ra(n) {
      return null == n ? [] : E(n, Pc(n));
    }

    function ea(n) {
      return null == n ? [] : E(n, qc(n));
    }

    function ua(n, t, r) {
      return r === X && (r = t, t = X), r !== X && (r = Ic(r), r = r === r ? r : 0), t !== X && (t = Ic(t), t = t === t ? t : 0), Mr(Ic(n), t, r);
    }

    function ia(n, t, r) {
      return t = Ac(t), r === X ? (r = t, t = 0) : r = Ac(r), n = Ic(n), Ae(n, t, r);
    }

    function oa(n, t, r) {
      if (r && "boolean" != typeof r && Ui(n, t, r) && (t = r = X), r === X && ("boolean" == typeof t ? (r = t, t = X) : "boolean" == typeof n && (r = n, n = X)), n === X && t === X ? (n = 0, t = 1) : (n = Ac(n), t === X ? (t = n, n = 0) : t = Ac(t)), n > t) {
        var e = n;
        n = t, t = e;
      }

      if (r || n % 1 || t % 1) {
        var u = Ql();
        return Hl(n + u * (t - n + Qr("1e-" + ((u + "").length - 1))), t);
      }

      return tu(n, t);
    }

    function fa(n) {
      return Qh(Ec(n).toLowerCase());
    }

    function ca(n) {
      return n = Ec(n), n && n.replace(Gt, ve).replace(Dr, "");
    }

    function aa(n, t, r) {
      n = Ec(n), t = vu(t);
      var e = n.length;
      r = r === X ? e : Mr(kc(r), 0, e);
      var u = r;
      return r -= t.length, r >= 0 && n.slice(r, u) == t;
    }

    function la(n) {
      return n = Ec(n), n && At.test(n) ? n.replace(xt, ge) : n;
    }

    function sa(n) {
      return n = Ec(n), n && Wt.test(n) ? n.replace(St, "\\$&") : n;
    }

    function ha(n, t, r) {
      n = Ec(n), t = kc(t);
      var e = t ? V(n) : 0;
      if (!t || e >= t) return n;
      var u = (t - e) / 2;
      return ri(Nl(u), r) + n + ri(Fl(u), r);
    }

    function pa(n, t, r) {
      n = Ec(n), t = kc(t);
      var e = t ? V(n) : 0;
      return t && e < t ? n + ri(t - e, r) : n;
    }

    function _a(n, t, r) {
      n = Ec(n), t = kc(t);
      var e = t ? V(n) : 0;
      return t && e < t ? ri(t - e, r) + n : n;
    }

    function va(n, t, r) {
      return r || null == t ? t = 0 : t && (t = +t), Yl(Ec(n).replace(Lt, ""), t || 0);
    }

    function ga(n, t, r) {
      return t = (r ? Ui(n, t, r) : t === X) ? 1 : kc(t), eu(Ec(n), t);
    }

    function ya() {
      var n = arguments,
          t = Ec(n[0]);
      return n.length < 3 ? t : t.replace(n[1], n[2]);
    }

    function da(n, t, r) {
      return r && "number" != typeof r && Ui(n, t, r) && (t = r = X), (r = r === X ? Un : r >>> 0) ? (n = Ec(n), n && ("string" == typeof t || null != t && !Ah(t)) && (t = vu(t), !t && T(n)) ? Ou(G(n), 0, r) : n.split(t, r)) : [];
    }

    function ba(n, t, r) {
      return n = Ec(n), r = null == r ? 0 : Mr(kc(r), 0, n.length), t = vu(t), n.slice(r, r + t.length) == t;
    }

    function wa(n, t, r) {
      var e = Z.templateSettings;
      r && Ui(n, t, r) && (t = X), n = Ec(n), t = Sh({}, t, e, li);
      var u,
          i,
          o = Sh({}, t.imports, e.imports, li),
          f = Pc(o),
          c = E(o, f),
          a = 0,
          l = t.interpolate || Ht,
          s = "__p += '",
          h = sl((t.escape || Ht).source + "|" + l.source + "|" + (l === It ? Ft : Ht).source + "|" + (t.evaluate || Ht).source + "|$", "g"),
          p = "//# sourceURL=" + (bl.call(t, "sourceURL") ? (t.sourceURL + "").replace(/\s/g, " ") : "lodash.templateSources[" + ++Zr + "]") + "\n";
      n.replace(h, function (t, r, e, o, f, c) {
        return e || (e = o), s += n.slice(a, c).replace(Jt, U), r && (u = !0, s += "' +\n__e(" + r + ") +\n'"), f && (i = !0, s += "';\n" + f + ";\n__p += '"), e && (s += "' +\n((__t = (" + e + ")) == null ? '' : __t) +\n'"), a = c + t.length, t;
      }), s += "';\n";

      var _ = bl.call(t, "variable") && t.variable;

      if (_) {
        if (Dt.test(_)) throw new fl(un);
      } else s = "with (obj) {\n" + s + "\n}\n";

      s = (i ? s.replace(dt, "") : s).replace(bt, "$1").replace(wt, "$1;"), s = "function(" + (_ || "obj") + ") {\n" + (_ ? "" : "obj || (obj = {});\n") + "var __t, __p = ''" + (u ? ", __e = _.escape" : "") + (i ? ", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n" : ";\n") + s + "return __p\n}";
      var v = Xh(function () {
        return cl(f, p + "return " + s).apply(X, c);
      });
      if (v.source = s, rc(v)) throw v;
      return v;
    }

    function ma(n) {
      return Ec(n).toLowerCase();
    }

    function xa(n) {
      return Ec(n).toUpperCase();
    }

    function ja(n, t, r) {
      if (n = Ec(n), n && (r || t === X)) return R(n);
      if (!n || !(t = vu(t))) return n;
      var e = G(n),
          u = G(t);
      return Ou(e, W(e, u), L(e, u) + 1).join("");
    }

    function Aa(n, t, r) {
      if (n = Ec(n), n && (r || t === X)) return n.slice(0, H(n) + 1);
      if (!n || !(t = vu(t))) return n;
      var e = G(n);
      return Ou(e, 0, L(e, G(t)) + 1).join("");
    }

    function ka(n, t, r) {
      if (n = Ec(n), n && (r || t === X)) return n.replace(Lt, "");
      if (!n || !(t = vu(t))) return n;
      var e = G(n);
      return Ou(e, W(e, G(t))).join("");
    }

    function Oa(n, t) {
      var r = An,
          e = kn;

      if (fc(t)) {
        var u = "separator" in t ? t.separator : u;
        r = "length" in t ? kc(t.length) : r, e = "omission" in t ? vu(t.omission) : e;
      }

      n = Ec(n);
      var i = n.length;

      if (T(n)) {
        var o = G(n);
        i = o.length;
      }

      if (r >= i) return n;
      var f = r - V(e);
      if (f < 1) return e;
      var c = o ? Ou(o, 0, f).join("") : n.slice(0, f);
      if (u === X) return c + e;

      if (o && (f += c.length - f), Ah(u)) {
        if (n.slice(f).search(u)) {
          var a,
              l = c;

          for (u.global || (u = sl(u.source, Ec(Nt.exec(u)) + "g")), u.lastIndex = 0; a = u.exec(l);) var s = a.index;

          c = c.slice(0, s === X ? f : s);
        }
      } else if (n.indexOf(vu(u), f) != f) {
        var h = c.lastIndexOf(u);
        h > -1 && (c = c.slice(0, h));
      }

      return c + e;
    }

    function Ia(n) {
      return n = Ec(n), n && jt.test(n) ? n.replace(mt, ye) : n;
    }

    function Ra(n, t, r) {
      return n = Ec(n), t = r ? X : t, t === X ? $(n) ? Q(n) : _(n) : n.match(t) || [];
    }

    function za(t) {
      var r = null == t ? 0 : t.length,
          e = mi();
      return t = r ? c(t, function (n) {
        if ("function" != typeof n[1]) throw new pl(en);
        return [e(n[0]), n[1]];
      }) : [], uu(function (e) {
        for (var u = -1; ++u < r;) {
          var i = t[u];
          if (n(i[0], this, e)) return n(i[1], this, e);
        }
      });
    }

    function Ea(n) {
      return Nr(Fr(n, an));
    }

    function Sa(n) {
      return function () {
        return n;
      };
    }

    function Wa(n, t) {
      return null == n || n !== n ? t : n;
    }

    function La(n) {
      return n;
    }

    function Ca(n) {
      return De("function" == typeof n ? n : Fr(n, an));
    }

    function Ua(n) {
      return qe(Fr(n, an));
    }

    function Ba(n, t) {
      return Ze(n, Fr(t, an));
    }

    function Ta(n, t, e) {
      var u = Pc(t),
          i = fe(t, u);
      null != e || fc(t) && (i.length || !u.length) || (e = t, t = n, n = this, i = fe(t, Pc(t)));
      var o = !(fc(e) && "chain" in e && !e.chain),
          f = uc(n);
      return r(i, function (r) {
        var e = t[r];
        n[r] = e, f && (n.prototype[r] = function () {
          var t = this.__chain__;

          if (o || t) {
            var r = n(this.__wrapped__);
            return (r.__actions__ = Tu(this.__actions__)).push({
              func: e,
              args: arguments,
              thisArg: n
            }), r.__chain__ = t, r;
          }

          return e.apply(n, a([this.value()], arguments));
        });
      }), n;
    }

    function $a() {
      return re._ === this && (re._ = Al), this;
    }

    function Da() {}

    function Ma(n) {
      return n = kc(n), uu(function (t) {
        return Ge(t, n);
      });
    }

    function Fa(n) {
      return Bi(n) ? m(no(n)) : Qe(n);
    }

    function Na(n) {
      return function (t) {
        return null == n ? X : _e(n, t);
      };
    }

    function Pa() {
      return [];
    }

    function qa() {
      return !1;
    }

    function Za() {
      return {};
    }

    function Ka() {
      return "";
    }

    function Va() {
      return !0;
    }

    function Ga(n, t) {
      if (n = kc(n), n < 1 || n > Wn) return [];
      var r = Un,
          e = Hl(n, Un);
      t = mi(t), n -= Un;

      for (var u = O(e, t); ++r < n;) t(r);

      return u;
    }

    function Ha(n) {
      return bh(n) ? c(n, no) : bc(n) ? [n] : Tu(Cs(Ec(n)));
    }

    function Ja(n) {
      var t = ++wl;
      return Ec(n) + t;
    }

    function Ya(n) {
      return n && n.length ? Yr(n, La, me) : X;
    }

    function Qa(n, t) {
      return n && n.length ? Yr(n, mi(t, 2), me) : X;
    }

    function Xa(n) {
      return w(n, La);
    }

    function nl(n, t) {
      return w(n, mi(t, 2));
    }

    function tl(n) {
      return n && n.length ? Yr(n, La, Ne) : X;
    }

    function rl(n, t) {
      return n && n.length ? Yr(n, mi(t, 2), Ne) : X;
    }

    function el(n) {
      return n && n.length ? k(n, La) : 0;
    }

    function ul(n, t) {
      return n && n.length ? k(n, mi(t, 2)) : 0;
    }

    x = null == x ? re : be.defaults(re.Object(), x, be.pick(re, qr));

    var il = x.Array,
        ol = x.Date,
        fl = x.Error,
        cl = x.Function,
        al = x.Math,
        ll = x.Object,
        sl = x.RegExp,
        hl = x.String,
        pl = x.TypeError,
        _l = il.prototype,
        vl = cl.prototype,
        gl = ll.prototype,
        yl = x["__core-js_shared__"],
        dl = vl.toString,
        bl = gl.hasOwnProperty,
        wl = 0,
        ml = function () {
      var n = /[^.]+$/.exec(yl && yl.keys && yl.keys.IE_PROTO || "");
      return n ? "Symbol(src)_1." + n : "";
    }(),
        xl = gl.toString,
        jl = dl.call(ll),
        Al = re._,
        kl = sl("^" + dl.call(bl).replace(St, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"),
        Ol = ie ? x.Buffer : X,
        Il = x.Symbol,
        Rl = x.Uint8Array,
        zl = Ol ? Ol.allocUnsafe : X,
        El = F(ll.getPrototypeOf, ll),
        Sl = ll.create,
        Wl = gl.propertyIsEnumerable,
        Ll = _l.splice,
        Cl = Il ? Il.isConcatSpreadable : X,
        Ul = Il ? Il.iterator : X,
        Bl = Il ? Il.toStringTag : X,
        Tl = function () {
      try {
        var n = Ai(ll, "defineProperty");
        return n({}, "", {}), n;
      } catch (n) {}
    }(),
        $l = x.clearTimeout !== re.clearTimeout && x.clearTimeout,
        Dl = ol && ol.now !== re.Date.now && ol.now,
        Ml = x.setTimeout !== re.setTimeout && x.setTimeout,
        Fl = al.ceil,
        Nl = al.floor,
        Pl = ll.getOwnPropertySymbols,
        ql = Ol ? Ol.isBuffer : X,
        Zl = x.isFinite,
        Kl = _l.join,
        Vl = F(ll.keys, ll),
        Gl = al.max,
        Hl = al.min,
        Jl = ol.now,
        Yl = x.parseInt,
        Ql = al.random,
        Xl = _l.reverse,
        ns = Ai(x, "DataView"),
        ts = Ai(x, "Map"),
        rs = Ai(x, "Promise"),
        es = Ai(x, "Set"),
        us = Ai(x, "WeakMap"),
        is = Ai(ll, "create"),
        os = us && new us(),
        fs = {},
        cs = to(ns),
        as = to(ts),
        ls = to(rs),
        ss = to(es),
        hs = to(us),
        ps = Il ? Il.prototype : X,
        _s = ps ? ps.valueOf : X,
        vs = ps ? ps.toString : X,
        gs = function () {
      function n() {}

      return function (t) {
        if (!fc(t)) return {};
        if (Sl) return Sl(t);
        n.prototype = t;
        var r = new n();
        return n.prototype = X, r;
      };
    }();

    Z.templateSettings = {
      escape: kt,
      evaluate: Ot,
      interpolate: It,
      variable: "",
      imports: {
        _: Z
      }
    }, Z.prototype = J.prototype, Z.prototype.constructor = Z, Y.prototype = gs(J.prototype), Y.prototype.constructor = Y, Ct.prototype = gs(J.prototype), Ct.prototype.constructor = Ct, Xt.prototype.clear = nr, Xt.prototype.delete = tr, Xt.prototype.get = rr, Xt.prototype.has = er, Xt.prototype.set = ur, ir.prototype.clear = or, ir.prototype.delete = fr, ir.prototype.get = cr, ir.prototype.has = ar, ir.prototype.set = lr, sr.prototype.clear = hr, sr.prototype.delete = pr, sr.prototype.get = _r, sr.prototype.has = vr, sr.prototype.set = gr, yr.prototype.add = yr.prototype.push = dr, yr.prototype.has = br, wr.prototype.clear = mr, wr.prototype.delete = xr, wr.prototype.get = jr, wr.prototype.has = Ar, wr.prototype.set = kr;

    var ys = Pu(ue),
        ds = Pu(oe, !0),
        bs = qu(),
        ws = qu(!0),
        ms = os ? function (n, t) {
      return os.set(n, t), n;
    } : La,
        xs = Tl ? function (n, t) {
      return Tl(n, "toString", {
        configurable: !0,
        enumerable: !1,
        value: Sa(t),
        writable: !0
      });
    } : La,
        js = uu,
        As = $l || function (n) {
      return re.clearTimeout(n);
    },
        ks = es && 1 / P(new es([, -0]))[1] == Sn ? function (n) {
      return new es(n);
    } : Da,
        Os = os ? function (n) {
      return os.get(n);
    } : Da,
        Is = Pl ? function (n) {
      return null == n ? [] : (n = ll(n), i(Pl(n), function (t) {
        return Wl.call(n, t);
      }));
    } : Pa,
        Rs = Pl ? function (n) {
      for (var t = []; n;) a(t, Is(n)), n = El(n);

      return t;
    } : Pa,
        zs = we;

    (ns && zs(new ns(new ArrayBuffer(1))) != ct || ts && zs(new ts()) != Gn || rs && zs(rs.resolve()) != Qn || es && zs(new es()) != tt || us && zs(new us()) != it) && (zs = function (n) {
      var t = we(n),
          r = t == Yn ? n.constructor : X,
          e = r ? to(r) : "";
      if (e) switch (e) {
        case cs:
          return ct;

        case as:
          return Gn;

        case ls:
          return Qn;

        case ss:
          return tt;

        case hs:
          return it;
      }
      return t;
    });

    var Es = yl ? uc : qa,
        Ss = Qi(ms),
        Ws = Ml || function (n, t) {
      return re.setTimeout(n, t);
    },
        Ls = Qi(xs),
        Cs = Pi(function (n) {
      var t = [];
      return 46 === n.charCodeAt(0) && t.push(""), n.replace(Et, function (n, r, e, u) {
        t.push(e ? u.replace(Mt, "$1") : r || n);
      }), t;
    }),
        Us = uu(function (n, t) {
      return Jf(n) ? Hr(n, ee(t, 1, Jf, !0)) : [];
    }),
        Bs = uu(function (n, t) {
      var r = jo(t);
      return Jf(r) && (r = X), Jf(n) ? Hr(n, ee(t, 1, Jf, !0), mi(r, 2)) : [];
    }),
        Ts = uu(function (n, t) {
      var r = jo(t);
      return Jf(r) && (r = X), Jf(n) ? Hr(n, ee(t, 1, Jf, !0), X, r) : [];
    }),
        $s = uu(function (n) {
      var t = c(n, ju);
      return t.length && t[0] === n[0] ? ke(t) : [];
    }),
        Ds = uu(function (n) {
      var t = jo(n),
          r = c(n, ju);
      return t === jo(r) ? t = X : r.pop(), r.length && r[0] === n[0] ? ke(r, mi(t, 2)) : [];
    }),
        Ms = uu(function (n) {
      var t = jo(n),
          r = c(n, ju);
      return t = "function" == typeof t ? t : X, t && r.pop(), r.length && r[0] === n[0] ? ke(r, X, t) : [];
    }),
        Fs = uu(Oo),
        Ns = gi(function (n, t) {
      var r = null == n ? 0 : n.length,
          e = Tr(n, t);
      return nu(n, c(t, function (n) {
        return Ci(n, r) ? +n : n;
      }).sort(Lu)), e;
    }),
        Ps = uu(function (n) {
      return gu(ee(n, 1, Jf, !0));
    }),
        qs = uu(function (n) {
      var t = jo(n);
      return Jf(t) && (t = X), gu(ee(n, 1, Jf, !0), mi(t, 2));
    }),
        Zs = uu(function (n) {
      var t = jo(n);
      return t = "function" == typeof t ? t : X, gu(ee(n, 1, Jf, !0), X, t);
    }),
        Ks = uu(function (n, t) {
      return Jf(n) ? Hr(n, t) : [];
    }),
        Vs = uu(function (n) {
      return mu(i(n, Jf));
    }),
        Gs = uu(function (n) {
      var t = jo(n);
      return Jf(t) && (t = X), mu(i(n, Jf), mi(t, 2));
    }),
        Hs = uu(function (n) {
      var t = jo(n);
      return t = "function" == typeof t ? t : X, mu(i(n, Jf), X, t);
    }),
        Js = uu(Go),
        Ys = uu(function (n) {
      var t = n.length,
          r = t > 1 ? n[t - 1] : X;
      return r = "function" == typeof r ? (n.pop(), r) : X, Ho(n, r);
    }),
        Qs = gi(function (n) {
      var t = n.length,
          r = t ? n[0] : 0,
          e = this.__wrapped__,
          u = function (t) {
        return Tr(t, n);
      };

      return !(t > 1 || this.__actions__.length) && e instanceof Ct && Ci(r) ? (e = e.slice(r, +r + (t ? 1 : 0)), e.__actions__.push({
        func: nf,
        args: [u],
        thisArg: X
      }), new Y(e, this.__chain__).thru(function (n) {
        return t && !n.length && n.push(X), n;
      })) : this.thru(u);
    }),
        Xs = Fu(function (n, t, r) {
      bl.call(n, r) ? ++n[r] : Br(n, r, 1);
    }),
        nh = Ju(ho),
        th = Ju(po),
        rh = Fu(function (n, t, r) {
      bl.call(n, r) ? n[r].push(t) : Br(n, r, [t]);
    }),
        eh = uu(function (t, r, e) {
      var u = -1,
          i = "function" == typeof r,
          o = Hf(t) ? il(t.length) : [];
      return ys(t, function (t) {
        o[++u] = i ? n(r, t, e) : Ie(t, r, e);
      }), o;
    }),
        uh = Fu(function (n, t, r) {
      Br(n, r, t);
    }),
        ih = Fu(function (n, t, r) {
      n[r ? 0 : 1].push(t);
    }, function () {
      return [[], []];
    }),
        oh = uu(function (n, t) {
      if (null == n) return [];
      var r = t.length;
      return r > 1 && Ui(n, t[0], t[1]) ? t = [] : r > 2 && Ui(t[0], t[1], t[2]) && (t = [t[0]]), He(n, ee(t, 1), []);
    }),
        fh = Dl || function () {
      return re.Date.now();
    },
        ch = uu(function (n, t, r) {
      var e = _n;

      if (r.length) {
        var u = N(r, wi(ch));
        e |= bn;
      }

      return ai(n, e, t, r, u);
    }),
        ah = uu(function (n, t, r) {
      var e = _n | vn;

      if (r.length) {
        var u = N(r, wi(ah));
        e |= bn;
      }

      return ai(t, e, n, r, u);
    }),
        lh = uu(function (n, t) {
      return Gr(n, 1, t);
    }),
        sh = uu(function (n, t, r) {
      return Gr(n, Ic(t) || 0, r);
    });

    Cf.Cache = sr;

    var hh = js(function (t, r) {
      r = 1 == r.length && bh(r[0]) ? c(r[0], z(mi())) : c(ee(r, 1), z(mi()));
      var e = r.length;
      return uu(function (u) {
        for (var i = -1, o = Hl(u.length, e); ++i < o;) u[i] = r[i].call(this, u[i]);

        return n(t, this, u);
      });
    }),
        ph = uu(function (n, t) {
      return ai(n, bn, X, t, N(t, wi(ph)));
    }),
        _h = uu(function (n, t) {
      return ai(n, wn, X, t, N(t, wi(_h)));
    }),
        vh = gi(function (n, t) {
      return ai(n, xn, X, X, X, t);
    }),
        gh = ii(me),
        yh = ii(function (n, t) {
      return n >= t;
    }),
        dh = Re(function () {
      return arguments;
    }()) ? Re : function (n) {
      return cc(n) && bl.call(n, "callee") && !Wl.call(n, "callee");
    },
        bh = il.isArray,
        wh = ce ? z(ce) : ze,
        mh = ql || qa,
        xh = ae ? z(ae) : Ee,
        jh = le ? z(le) : Le,
        Ah = se ? z(se) : Be,
        kh = he ? z(he) : Te,
        Oh = pe ? z(pe) : $e,
        Ih = ii(Ne),
        Rh = ii(function (n, t) {
      return n <= t;
    }),
        zh = Nu(function (n, t) {
      if (Mi(t) || Hf(t)) return $u(t, Pc(t), n), X;

      for (var r in t) bl.call(t, r) && Sr(n, r, t[r]);
    }),
        Eh = Nu(function (n, t) {
      $u(t, qc(t), n);
    }),
        Sh = Nu(function (n, t, r, e) {
      $u(t, qc(t), n, e);
    }),
        Wh = Nu(function (n, t, r, e) {
      $u(t, Pc(t), n, e);
    }),
        Lh = gi(Tr),
        Ch = uu(function (n, t) {
      n = ll(n);
      var r = -1,
          e = t.length,
          u = e > 2 ? t[2] : X;

      for (u && Ui(t[0], t[1], u) && (e = 1); ++r < e;) for (var i = t[r], o = qc(i), f = -1, c = o.length; ++f < c;) {
        var a = o[f],
            l = n[a];
        (l === X || Gf(l, gl[a]) && !bl.call(n, a)) && (n[a] = i[a]);
      }

      return n;
    }),
        Uh = uu(function (t) {
      return t.push(X, si), n(Mh, X, t);
    }),
        Bh = Xu(function (n, t, r) {
      null != t && "function" != typeof t.toString && (t = xl.call(t)), n[t] = r;
    }, Sa(La)),
        Th = Xu(function (n, t, r) {
      null != t && "function" != typeof t.toString && (t = xl.call(t)), bl.call(n, t) ? n[t].push(r) : n[t] = [r];
    }, mi),
        $h = uu(Ie),
        Dh = Nu(function (n, t, r) {
      Ke(n, t, r);
    }),
        Mh = Nu(function (n, t, r, e) {
      Ke(n, t, r, e);
    }),
        Fh = gi(function (n, t) {
      var r = {};
      if (null == n) return r;
      var e = !1;
      t = c(t, function (t) {
        return t = ku(t, n), e || (e = t.length > 1), t;
      }), $u(n, di(n), r), e && (r = Fr(r, an | ln | sn, hi));

      for (var u = t.length; u--;) yu(r, t[u]);

      return r;
    }),
        Nh = gi(function (n, t) {
      return null == n ? {} : Je(n, t);
    }),
        Ph = ci(Pc),
        qh = ci(qc),
        Zh = Vu(function (n, t, r) {
      return t = t.toLowerCase(), n + (r ? fa(t) : t);
    }),
        Kh = Vu(function (n, t, r) {
      return n + (r ? "-" : "") + t.toLowerCase();
    }),
        Vh = Vu(function (n, t, r) {
      return n + (r ? " " : "") + t.toLowerCase();
    }),
        Gh = Ku("toLowerCase"),
        Hh = Vu(function (n, t, r) {
      return n + (r ? "_" : "") + t.toLowerCase();
    }),
        Jh = Vu(function (n, t, r) {
      return n + (r ? " " : "") + Qh(t);
    }),
        Yh = Vu(function (n, t, r) {
      return n + (r ? " " : "") + t.toUpperCase();
    }),
        Qh = Ku("toUpperCase"),
        Xh = uu(function (t, r) {
      try {
        return n(t, X, r);
      } catch (n) {
        return rc(n) ? n : new fl(n);
      }
    }),
        np = gi(function (n, t) {
      return r(t, function (t) {
        t = no(t), Br(n, t, ch(n[t], n));
      }), n;
    }),
        tp = Yu(),
        rp = Yu(!0),
        ep = uu(function (n, t) {
      return function (r) {
        return Ie(r, n, t);
      };
    }),
        up = uu(function (n, t) {
      return function (r) {
        return Ie(n, r, t);
      };
    }),
        ip = ti(c),
        op = ti(u),
        fp = ti(h),
        cp = ui(),
        ap = ui(!0),
        lp = ni(function (n, t) {
      return n + t;
    }, 0),
        sp = fi("ceil"),
        hp = ni(function (n, t) {
      return n / t;
    }, 1),
        pp = fi("floor"),
        _p = ni(function (n, t) {
      return n * t;
    }, 1),
        vp = fi("round"),
        gp = ni(function (n, t) {
      return n - t;
    }, 0);

    return Z.after = If, Z.ary = Rf, Z.assign = zh, Z.assignIn = Eh, Z.assignInWith = Sh, Z.assignWith = Wh, Z.at = Lh, Z.before = zf, Z.bind = ch, Z.bindAll = np, Z.bindKey = ah, Z.castArray = Nf, Z.chain = Qo, Z.chunk = uo, Z.compact = io, Z.concat = oo, Z.cond = za, Z.conforms = Ea, Z.constant = Sa, Z.countBy = Xs, Z.create = Sc, Z.curry = Ef, Z.curryRight = Sf, Z.debounce = Wf, Z.defaults = Ch, Z.defaultsDeep = Uh, Z.defer = lh, Z.delay = sh, Z.difference = Us, Z.differenceBy = Bs, Z.differenceWith = Ts, Z.drop = fo, Z.dropRight = co, Z.dropRightWhile = ao, Z.dropWhile = lo, Z.fill = so, Z.filter = lf, Z.flatMap = sf, Z.flatMapDeep = hf, Z.flatMapDepth = pf, Z.flatten = _o, Z.flattenDeep = vo, Z.flattenDepth = go, Z.flip = Lf, Z.flow = tp, Z.flowRight = rp, Z.fromPairs = yo, Z.functions = $c, Z.functionsIn = Dc, Z.groupBy = rh, Z.initial = mo, Z.intersection = $s, Z.intersectionBy = Ds, Z.intersectionWith = Ms, Z.invert = Bh, Z.invertBy = Th, Z.invokeMap = eh, Z.iteratee = Ca, Z.keyBy = uh, Z.keys = Pc, Z.keysIn = qc, Z.map = yf, Z.mapKeys = Zc, Z.mapValues = Kc, Z.matches = Ua, Z.matchesProperty = Ba, Z.memoize = Cf, Z.merge = Dh, Z.mergeWith = Mh, Z.method = ep, Z.methodOf = up, Z.mixin = Ta, Z.negate = Uf, Z.nthArg = Ma, Z.omit = Fh, Z.omitBy = Vc, Z.once = Bf, Z.orderBy = df, Z.over = ip, Z.overArgs = hh, Z.overEvery = op, Z.overSome = fp, Z.partial = ph, Z.partialRight = _h, Z.partition = ih, Z.pick = Nh, Z.pickBy = Gc, Z.property = Fa, Z.propertyOf = Na, Z.pull = Fs, Z.pullAll = Oo, Z.pullAllBy = Io, Z.pullAllWith = Ro, Z.pullAt = Ns, Z.range = cp, Z.rangeRight = ap, Z.rearg = vh, Z.reject = mf, Z.remove = zo, Z.rest = Tf, Z.reverse = Eo, Z.sampleSize = jf, Z.set = Jc, Z.setWith = Yc, Z.shuffle = Af, Z.slice = So, Z.sortBy = oh, Z.sortedUniq = $o, Z.sortedUniqBy = Do, Z.split = da, Z.spread = $f, Z.tail = Mo, Z.take = Fo, Z.takeRight = No, Z.takeRightWhile = Po, Z.takeWhile = qo, Z.tap = Xo, Z.throttle = Df, Z.thru = nf, Z.toArray = jc, Z.toPairs = Ph, Z.toPairsIn = qh, Z.toPath = Ha, Z.toPlainObject = Rc, Z.transform = Qc, Z.unary = Mf, Z.union = Ps, Z.unionBy = qs, Z.unionWith = Zs, Z.uniq = Zo, Z.uniqBy = Ko, Z.uniqWith = Vo, Z.unset = Xc, Z.unzip = Go, Z.unzipWith = Ho, Z.update = na, Z.updateWith = ta, Z.values = ra, Z.valuesIn = ea, Z.without = Ks, Z.words = Ra, Z.wrap = Ff, Z.xor = Vs, Z.xorBy = Gs, Z.xorWith = Hs, Z.zip = Js, Z.zipObject = Jo, Z.zipObjectDeep = Yo, Z.zipWith = Ys, Z.entries = Ph, Z.entriesIn = qh, Z.extend = Eh, Z.extendWith = Sh, Ta(Z, Z), Z.add = lp, Z.attempt = Xh, Z.camelCase = Zh, Z.capitalize = fa, Z.ceil = sp, Z.clamp = ua, Z.clone = Pf, Z.cloneDeep = Zf, Z.cloneDeepWith = Kf, Z.cloneWith = qf, Z.conformsTo = Vf, Z.deburr = ca, Z.defaultTo = Wa, Z.divide = hp, Z.endsWith = aa, Z.eq = Gf, Z.escape = la, Z.escapeRegExp = sa, Z.every = af, Z.find = nh, Z.findIndex = ho, Z.findKey = Wc, Z.findLast = th, Z.findLastIndex = po, Z.findLastKey = Lc, Z.floor = pp, Z.forEach = _f, Z.forEachRight = vf, Z.forIn = Cc, Z.forInRight = Uc, Z.forOwn = Bc, Z.forOwnRight = Tc, Z.get = Mc, Z.gt = gh, Z.gte = yh, Z.has = Fc, Z.hasIn = Nc, Z.head = bo, Z.identity = La, Z.includes = gf, Z.indexOf = wo, Z.inRange = ia, Z.invoke = $h, Z.isArguments = dh, Z.isArray = bh, Z.isArrayBuffer = wh, Z.isArrayLike = Hf, Z.isArrayLikeObject = Jf, Z.isBoolean = Yf, Z.isBuffer = mh, Z.isDate = xh, Z.isElement = Qf, Z.isEmpty = Xf, Z.isEqual = nc, Z.isEqualWith = tc, Z.isError = rc, Z.isFinite = ec, Z.isFunction = uc, Z.isInteger = ic, Z.isLength = oc, Z.isMap = jh, Z.isMatch = ac, Z.isMatchWith = lc, Z.isNaN = sc, Z.isNative = hc, Z.isNil = _c, Z.isNull = pc, Z.isNumber = vc, Z.isObject = fc, Z.isObjectLike = cc, Z.isPlainObject = gc, Z.isRegExp = Ah, Z.isSafeInteger = yc, Z.isSet = kh, Z.isString = dc, Z.isSymbol = bc, Z.isTypedArray = Oh, Z.isUndefined = wc, Z.isWeakMap = mc, Z.isWeakSet = xc, Z.join = xo, Z.kebabCase = Kh, Z.last = jo, Z.lastIndexOf = Ao, Z.lowerCase = Vh, Z.lowerFirst = Gh, Z.lt = Ih, Z.lte = Rh, Z.max = Ya, Z.maxBy = Qa, Z.mean = Xa, Z.meanBy = nl, Z.min = tl, Z.minBy = rl, Z.stubArray = Pa, Z.stubFalse = qa, Z.stubObject = Za, Z.stubString = Ka, Z.stubTrue = Va, Z.multiply = _p, Z.nth = ko, Z.noConflict = $a, Z.noop = Da, Z.now = fh, Z.pad = ha, Z.padEnd = pa, Z.padStart = _a, Z.parseInt = va, Z.random = oa, Z.reduce = bf, Z.reduceRight = wf, Z.repeat = ga, Z.replace = ya, Z.result = Hc, Z.round = vp, Z.runInContext = p, Z.sample = xf, Z.size = kf, Z.snakeCase = Hh, Z.some = Of, Z.sortedIndex = Wo, Z.sortedIndexBy = Lo, Z.sortedIndexOf = Co, Z.sortedLastIndex = Uo, Z.sortedLastIndexBy = Bo, Z.sortedLastIndexOf = To, Z.startCase = Jh, Z.startsWith = ba, Z.subtract = gp, Z.sum = el, Z.sumBy = ul, Z.template = wa, Z.times = Ga, Z.toFinite = Ac, Z.toInteger = kc, Z.toLength = Oc, Z.toLower = ma, Z.toNumber = Ic, Z.toSafeInteger = zc, Z.toString = Ec, Z.toUpper = xa, Z.trim = ja, Z.trimEnd = Aa, Z.trimStart = ka, Z.truncate = Oa, Z.unescape = Ia, Z.uniqueId = Ja, Z.upperCase = Yh, Z.upperFirst = Qh, Z.each = _f, Z.eachRight = vf, Z.first = bo, Ta(Z, function () {
      var n = {};
      return ue(Z, function (t, r) {
        bl.call(Z.prototype, r) || (n[r] = t);
      }), n;
    }(), {
      chain: !1
    }), Z.VERSION = nn, r(["bind", "bindKey", "curry", "curryRight", "partial", "partialRight"], function (n) {
      Z[n].placeholder = Z;
    }), r(["drop", "take"], function (n, t) {
      Ct.prototype[n] = function (r) {
        r = r === X ? 1 : Gl(kc(r), 0);
        var e = this.__filtered__ && !t ? new Ct(this) : this.clone();
        return e.__filtered__ ? e.__takeCount__ = Hl(r, e.__takeCount__) : e.__views__.push({
          size: Hl(r, Un),
          type: n + (e.__dir__ < 0 ? "Right" : "")
        }), e;
      }, Ct.prototype[n + "Right"] = function (t) {
        return this.reverse()[n](t).reverse();
      };
    }), r(["filter", "map", "takeWhile"], function (n, t) {
      var r = t + 1,
          e = r == Rn || r == En;

      Ct.prototype[n] = function (n) {
        var t = this.clone();
        return t.__iteratees__.push({
          iteratee: mi(n, 3),
          type: r
        }), t.__filtered__ = t.__filtered__ || e, t;
      };
    }), r(["head", "last"], function (n, t) {
      var r = "take" + (t ? "Right" : "");

      Ct.prototype[n] = function () {
        return this[r](1).value()[0];
      };
    }), r(["initial", "tail"], function (n, t) {
      var r = "drop" + (t ? "" : "Right");

      Ct.prototype[n] = function () {
        return this.__filtered__ ? new Ct(this) : this[r](1);
      };
    }), Ct.prototype.compact = function () {
      return this.filter(La);
    }, Ct.prototype.find = function (n) {
      return this.filter(n).head();
    }, Ct.prototype.findLast = function (n) {
      return this.reverse().find(n);
    }, Ct.prototype.invokeMap = uu(function (n, t) {
      return "function" == typeof n ? new Ct(this) : this.map(function (r) {
        return Ie(r, n, t);
      });
    }), Ct.prototype.reject = function (n) {
      return this.filter(Uf(mi(n)));
    }, Ct.prototype.slice = function (n, t) {
      n = kc(n);
      var r = this;
      return r.__filtered__ && (n > 0 || t < 0) ? new Ct(r) : (n < 0 ? r = r.takeRight(-n) : n && (r = r.drop(n)), t !== X && (t = kc(t), r = t < 0 ? r.dropRight(-t) : r.take(t - n)), r);
    }, Ct.prototype.takeRightWhile = function (n) {
      return this.reverse().takeWhile(n).reverse();
    }, Ct.prototype.toArray = function () {
      return this.take(Un);
    }, ue(Ct.prototype, function (n, t) {
      var r = /^(?:filter|find|map|reject)|While$/.test(t),
          e = /^(?:head|last)$/.test(t),
          u = Z[e ? "take" + ("last" == t ? "Right" : "") : t],
          i = e || /^find/.test(t);
      u && (Z.prototype[t] = function () {
        var t = this.__wrapped__,
            o = e ? [1] : arguments,
            f = t instanceof Ct,
            c = o[0],
            l = f || bh(t),
            s = function (n) {
          var t = u.apply(Z, a([n], o));
          return e && h ? t[0] : t;
        };

        l && r && "function" == typeof c && 1 != c.length && (f = l = !1);

        var h = this.__chain__,
            p = !!this.__actions__.length,
            _ = i && !h,
            v = f && !p;

        if (!i && l) {
          t = v ? t : new Ct(this);
          var g = n.apply(t, o);
          return g.__actions__.push({
            func: nf,
            args: [s],
            thisArg: X
          }), new Y(g, h);
        }

        return _ && v ? n.apply(this, o) : (g = this.thru(s), _ ? e ? g.value()[0] : g.value() : g);
      });
    }), r(["pop", "push", "shift", "sort", "splice", "unshift"], function (n) {
      var t = _l[n],
          r = /^(?:push|sort|unshift)$/.test(n) ? "tap" : "thru",
          e = /^(?:pop|shift)$/.test(n);

      Z.prototype[n] = function () {
        var n = arguments;

        if (e && !this.__chain__) {
          var u = this.value();
          return t.apply(bh(u) ? u : [], n);
        }

        return this[r](function (r) {
          return t.apply(bh(r) ? r : [], n);
        });
      };
    }), ue(Ct.prototype, function (n, t) {
      var r = Z[t];

      if (r) {
        var e = r.name + "";
        bl.call(fs, e) || (fs[e] = []), fs[e].push({
          name: t,
          func: r
        });
      }
    }), fs[Qu(X, vn).name] = [{
      name: "wrapper",
      func: X
    }], Ct.prototype.clone = $t, Ct.prototype.reverse = Yt, Ct.prototype.value = Qt, Z.prototype.at = Qs, Z.prototype.chain = tf, Z.prototype.commit = rf, Z.prototype.next = ef, Z.prototype.plant = of, Z.prototype.reverse = ff, Z.prototype.toJSON = Z.prototype.valueOf = Z.prototype.value = cf, Z.prototype.first = Z.prototype.head, Ul && (Z.prototype[Ul] = uf), Z;
  },
      be = de();

  "function" == typeof define && "object" == typeof define.amd && define.amd ? (re._ = be, define(function () {
    return be;
  })) : ue ? ((ue.exports = be)._ = be, ee._ = be) : re._ = be;
}).call(this);

/***/ }),

/***/ "./node_modules/.f/_/log-update/4.0.0/log-update/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ansiEscapes = __webpack_require__("./node_modules/.f/_/ansi-escapes/4.3.1/ansi-escapes/index.js");

const cliCursor = __webpack_require__("./node_modules/.f/_/cli-cursor/3.1.0/cli-cursor/index.js");

const wrapAnsi = __webpack_require__("./node_modules/.f/_/wrap-ansi/6.2.0/wrap-ansi/index.js");

const sliceAnsi = __webpack_require__("./node_modules/.f/_/slice-ansi/4.0.0/slice-ansi/index.js");

const defaultTerminalHeight = 24;

const getWidth = stream => {
  const {
    columns
  } = stream;

  if (!columns) {
    return 80;
  }

  return columns;
};

const fitToTerminalHeight = (stream, text) => {
  const terminalHeight = stream.rows || defaultTerminalHeight;
  const lines = text.split('\n');
  const toRemove = lines.length - terminalHeight;

  if (toRemove <= 0) {
    return text;
  }

  return sliceAnsi(text, lines.slice(0, toRemove).join('\n').length + 1, text.length);
};

const main = (stream, {
  showCursor = false
} = {}) => {
  let previousLineCount = 0;
  let previousWidth = getWidth(stream);
  let previousOutput = '';

  const render = (...args) => {
    if (!showCursor) {
      cliCursor.hide();
    }

    let output = args.join(' ') + '\n';
    output = fitToTerminalHeight(stream, output);
    const width = getWidth(stream);

    if (output === previousOutput && previousWidth === width) {
      return;
    }

    previousOutput = output;
    previousWidth = width;
    output = wrapAnsi(output, width, {
      trim: false,
      hard: true,
      wordWrap: false
    });
    stream.write(ansiEscapes.eraseLines(previousLineCount) + output);
    previousLineCount = output.split('\n').length;
  };

  render.clear = () => {
    stream.write(ansiEscapes.eraseLines(previousLineCount));
    previousOutput = '';
    previousWidth = getWidth(stream);
    previousLineCount = 0;
  };

  render.done = () => {
    previousOutput = '';
    previousWidth = getWidth(stream);
    previousLineCount = 0;

    if (!showCursor) {
      cliCursor.show();
    }
  };

  return render;
};

module.exports = main(process.stdout);
module.exports.stderr = main(process.stderr);
module.exports.create = main;

/***/ }),

/***/ "./node_modules/.f/_/lru-cache/4.1.5/lru-cache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = LRUCache; // This will be a proper iterable 'Map' in engines that support it,
// or a fakey-fake PseudoMap in older versions.

var Map = __webpack_require__("./node_modules/.f/_/pseudomap/1.0.2/pseudomap/map.js");

var util = __webpack_require__("util"); // A linked list to keep track of recently-used-ness


var Yallist = __webpack_require__("./node_modules/.f/_/yallist/2.1.2/yallist/yallist.js"); // use symbols if possible, otherwise just _props


var hasSymbol = typeof Symbol === 'function' && process.env._nodeLRUCacheForceNoSymbol !== '1';
var makeSymbol;

if (hasSymbol) {
  makeSymbol = function (key) {
    return Symbol(key);
  };
} else {
  makeSymbol = function (key) {
    return '_' + key;
  };
}

var MAX = makeSymbol('max');
var LENGTH = makeSymbol('length');
var LENGTH_CALCULATOR = makeSymbol('lengthCalculator');
var ALLOW_STALE = makeSymbol('allowStale');
var MAX_AGE = makeSymbol('maxAge');
var DISPOSE = makeSymbol('dispose');
var NO_DISPOSE_ON_SET = makeSymbol('noDisposeOnSet');
var LRU_LIST = makeSymbol('lruList');
var CACHE = makeSymbol('cache');

function naiveLength() {
  return 1;
} // lruList is a yallist where the head is the youngest
// item, and the tail is the oldest.  the list contains the Hit
// objects as the entries.
// Each Hit object has a reference to its Yallist.Node.  This
// never changes.
//
// cache is a Map (or PseudoMap) that matches the keys to
// the Yallist.Node object.


function LRUCache(options) {
  if (!(this instanceof LRUCache)) {
    return new LRUCache(options);
  }

  if (typeof options === 'number') {
    options = {
      max: options
    };
  }

  if (!options) {
    options = {};
  }

  var max = this[MAX] = options.max; // Kind of weird to have a default max of Infinity, but oh well.

  if (!max || !(typeof max === 'number') || max <= 0) {
    this[MAX] = Infinity;
  }

  var lc = options.length || naiveLength;

  if (typeof lc !== 'function') {
    lc = naiveLength;
  }

  this[LENGTH_CALCULATOR] = lc;
  this[ALLOW_STALE] = options.stale || false;
  this[MAX_AGE] = options.maxAge || 0;
  this[DISPOSE] = options.dispose;
  this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
  this.reset();
} // resize the cache when the max changes.


Object.defineProperty(LRUCache.prototype, 'max', {
  set: function (mL) {
    if (!mL || !(typeof mL === 'number') || mL <= 0) {
      mL = Infinity;
    }

    this[MAX] = mL;
    trim(this);
  },
  get: function () {
    return this[MAX];
  },
  enumerable: true
});
Object.defineProperty(LRUCache.prototype, 'allowStale', {
  set: function (allowStale) {
    this[ALLOW_STALE] = !!allowStale;
  },
  get: function () {
    return this[ALLOW_STALE];
  },
  enumerable: true
});
Object.defineProperty(LRUCache.prototype, 'maxAge', {
  set: function (mA) {
    if (!mA || !(typeof mA === 'number') || mA < 0) {
      mA = 0;
    }

    this[MAX_AGE] = mA;
    trim(this);
  },
  get: function () {
    return this[MAX_AGE];
  },
  enumerable: true
}); // resize the cache when the lengthCalculator changes.

Object.defineProperty(LRUCache.prototype, 'lengthCalculator', {
  set: function (lC) {
    if (typeof lC !== 'function') {
      lC = naiveLength;
    }

    if (lC !== this[LENGTH_CALCULATOR]) {
      this[LENGTH_CALCULATOR] = lC;
      this[LENGTH] = 0;
      this[LRU_LIST].forEach(function (hit) {
        hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
        this[LENGTH] += hit.length;
      }, this);
    }

    trim(this);
  },
  get: function () {
    return this[LENGTH_CALCULATOR];
  },
  enumerable: true
});
Object.defineProperty(LRUCache.prototype, 'length', {
  get: function () {
    return this[LENGTH];
  },
  enumerable: true
});
Object.defineProperty(LRUCache.prototype, 'itemCount', {
  get: function () {
    return this[LRU_LIST].length;
  },
  enumerable: true
});

LRUCache.prototype.rforEach = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this[LRU_LIST].tail; walker !== null;) {
    var prev = walker.prev;
    forEachStep(this, fn, walker, thisp);
    walker = prev;
  }
};

function forEachStep(self, fn, node, thisp) {
  var hit = node.value;

  if (isStale(self, hit)) {
    del(self, node);

    if (!self[ALLOW_STALE]) {
      hit = undefined;
    }
  }

  if (hit) {
    fn.call(thisp, hit.value, hit.key, self);
  }
}

LRUCache.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this[LRU_LIST].head; walker !== null;) {
    var next = walker.next;
    forEachStep(this, fn, walker, thisp);
    walker = next;
  }
};

LRUCache.prototype.keys = function () {
  return this[LRU_LIST].toArray().map(function (k) {
    return k.key;
  }, this);
};

LRUCache.prototype.values = function () {
  return this[LRU_LIST].toArray().map(function (k) {
    return k.value;
  }, this);
};

LRUCache.prototype.reset = function () {
  if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
    this[LRU_LIST].forEach(function (hit) {
      this[DISPOSE](hit.key, hit.value);
    }, this);
  }

  this[CACHE] = new Map(); // hash of items by key

  this[LRU_LIST] = new Yallist(); // list of items in order of use recency

  this[LENGTH] = 0; // length of items in the list
};

LRUCache.prototype.dump = function () {
  return this[LRU_LIST].map(function (hit) {
    if (!isStale(this, hit)) {
      return {
        k: hit.key,
        v: hit.value,
        e: hit.now + (hit.maxAge || 0)
      };
    }
  }, this).toArray().filter(function (h) {
    return h;
  });
};

LRUCache.prototype.dumpLru = function () {
  return this[LRU_LIST];
};
/* istanbul ignore next */


LRUCache.prototype.inspect = function (n, opts) {
  var str = 'LRUCache {';
  var extras = false;
  var as = this[ALLOW_STALE];

  if (as) {
    str += '\n  allowStale: true';
    extras = true;
  }

  var max = this[MAX];

  if (max && max !== Infinity) {
    if (extras) {
      str += ',';
    }

    str += '\n  max: ' + util.inspect(max, opts);
    extras = true;
  }

  var maxAge = this[MAX_AGE];

  if (maxAge) {
    if (extras) {
      str += ',';
    }

    str += '\n  maxAge: ' + util.inspect(maxAge, opts);
    extras = true;
  }

  var lc = this[LENGTH_CALCULATOR];

  if (lc && lc !== naiveLength) {
    if (extras) {
      str += ',';
    }

    str += '\n  length: ' + util.inspect(this[LENGTH], opts);
    extras = true;
  }

  var didFirst = false;
  this[LRU_LIST].forEach(function (item) {
    if (didFirst) {
      str += ',\n  ';
    } else {
      if (extras) {
        str += ',\n';
      }

      didFirst = true;
      str += '\n  ';
    }

    var key = util.inspect(item.key).split('\n').join('\n  ');
    var val = {
      value: item.value
    };

    if (item.maxAge !== maxAge) {
      val.maxAge = item.maxAge;
    }

    if (lc !== naiveLength) {
      val.length = item.length;
    }

    if (isStale(this, item)) {
      val.stale = true;
    }

    val = util.inspect(val, opts).split('\n').join('\n  ');
    str += key + ' => ' + val;
  });

  if (didFirst || extras) {
    str += '\n';
  }

  str += '}';
  return str;
};

LRUCache.prototype.set = function (key, value, maxAge) {
  maxAge = maxAge || this[MAX_AGE];
  var now = maxAge ? Date.now() : 0;
  var len = this[LENGTH_CALCULATOR](value, key);

  if (this[CACHE].has(key)) {
    if (len > this[MAX]) {
      del(this, this[CACHE].get(key));
      return false;
    }

    var node = this[CACHE].get(key);
    var item = node.value; // dispose of the old one before overwriting
    // split out into 2 ifs for better coverage tracking

    if (this[DISPOSE]) {
      if (!this[NO_DISPOSE_ON_SET]) {
        this[DISPOSE](key, item.value);
      }
    }

    item.now = now;
    item.maxAge = maxAge;
    item.value = value;
    this[LENGTH] += len - item.length;
    item.length = len;
    this.get(key);
    trim(this);
    return true;
  }

  var hit = new Entry(key, value, len, now, maxAge); // oversized objects fall out of cache automatically.

  if (hit.length > this[MAX]) {
    if (this[DISPOSE]) {
      this[DISPOSE](key, value);
    }

    return false;
  }

  this[LENGTH] += hit.length;
  this[LRU_LIST].unshift(hit);
  this[CACHE].set(key, this[LRU_LIST].head);
  trim(this);
  return true;
};

LRUCache.prototype.has = function (key) {
  if (!this[CACHE].has(key)) return false;
  var hit = this[CACHE].get(key).value;

  if (isStale(this, hit)) {
    return false;
  }

  return true;
};

LRUCache.prototype.get = function (key) {
  return get(this, key, true);
};

LRUCache.prototype.peek = function (key) {
  return get(this, key, false);
};

LRUCache.prototype.pop = function () {
  var node = this[LRU_LIST].tail;
  if (!node) return null;
  del(this, node);
  return node.value;
};

LRUCache.prototype.del = function (key) {
  del(this, this[CACHE].get(key));
};

LRUCache.prototype.load = function (arr) {
  // reset the cache
  this.reset();
  var now = Date.now(); // A previous serialized cache has the most recent items first

  for (var l = arr.length - 1; l >= 0; l--) {
    var hit = arr[l];
    var expiresAt = hit.e || 0;

    if (expiresAt === 0) {
      // the item was created without expiration in a non aged cache
      this.set(hit.k, hit.v);
    } else {
      var maxAge = expiresAt - now; // dont add already expired items

      if (maxAge > 0) {
        this.set(hit.k, hit.v, maxAge);
      }
    }
  }
};

LRUCache.prototype.prune = function () {
  var self = this;
  this[CACHE].forEach(function (value, key) {
    get(self, key, false);
  });
};

function get(self, key, doUse) {
  var node = self[CACHE].get(key);

  if (node) {
    var hit = node.value;

    if (isStale(self, hit)) {
      del(self, node);
      if (!self[ALLOW_STALE]) hit = undefined;
    } else {
      if (doUse) {
        self[LRU_LIST].unshiftNode(node);
      }
    }

    if (hit) hit = hit.value;
  }

  return hit;
}

function isStale(self, hit) {
  if (!hit || !hit.maxAge && !self[MAX_AGE]) {
    return false;
  }

  var stale = false;
  var diff = Date.now() - hit.now;

  if (hit.maxAge) {
    stale = diff > hit.maxAge;
  } else {
    stale = self[MAX_AGE] && diff > self[MAX_AGE];
  }

  return stale;
}

function trim(self) {
  if (self[LENGTH] > self[MAX]) {
    for (var walker = self[LRU_LIST].tail; self[LENGTH] > self[MAX] && walker !== null;) {
      // We know that we're about to delete this one, and also
      // what the next least recently used key will be, so just
      // go ahead and set it now.
      var prev = walker.prev;
      del(self, walker);
      walker = prev;
    }
  }
}

function del(self, node) {
  if (node) {
    var hit = node.value;

    if (self[DISPOSE]) {
      self[DISPOSE](hit.key, hit.value);
    }

    self[LENGTH] -= hit.length;
    self[CACHE].delete(hit.key);
    self[LRU_LIST].removeNode(node);
  }
} // classy, since V8 prefers predictable objects.


function Entry(key, value, length, now, maxAge) {
  this.key = key;
  this.value = value;
  this.length = length;
  this.now = now;
  this.maxAge = maxAge || 0;
}

/***/ }),

/***/ "./node_modules/.f/_/lru-cache/5.1.1/lru-cache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // A linked list to keep track of recently-used-ness

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/3.1.1/yallist/yallist.js");

const MAX = Symbol('max');
const LENGTH = Symbol('length');
const LENGTH_CALCULATOR = Symbol('lengthCalculator');
const ALLOW_STALE = Symbol('allowStale');
const MAX_AGE = Symbol('maxAge');
const DISPOSE = Symbol('dispose');
const NO_DISPOSE_ON_SET = Symbol('noDisposeOnSet');
const LRU_LIST = Symbol('lruList');
const CACHE = Symbol('cache');
const UPDATE_AGE_ON_GET = Symbol('updateAgeOnGet');

const naiveLength = () => 1; // lruList is a yallist where the head is the youngest
// item, and the tail is the oldest.  the list contains the Hit
// objects as the entries.
// Each Hit object has a reference to its Yallist.Node.  This
// never changes.
//
// cache is a Map (or PseudoMap) that matches the keys to
// the Yallist.Node object.


class LRUCache {
  constructor(options) {
    if (typeof options === 'number') options = {
      max: options
    };
    if (!options) options = {};
    if (options.max && (typeof options.max !== 'number' || options.max < 0)) throw new TypeError('max must be a non-negative number'); // Kind of weird to have a default max of Infinity, but oh well.

    const max = this[MAX] = options.max || Infinity;
    const lc = options.length || naiveLength;
    this[LENGTH_CALCULATOR] = typeof lc !== 'function' ? naiveLength : lc;
    this[ALLOW_STALE] = options.stale || false;
    if (options.maxAge && typeof options.maxAge !== 'number') throw new TypeError('maxAge must be a number');
    this[MAX_AGE] = options.maxAge || 0;
    this[DISPOSE] = options.dispose;
    this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
    this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
    this.reset();
  } // resize the cache when the max changes.


  set max(mL) {
    if (typeof mL !== 'number' || mL < 0) throw new TypeError('max must be a non-negative number');
    this[MAX] = mL || Infinity;
    trim(this);
  }

  get max() {
    return this[MAX];
  }

  set allowStale(allowStale) {
    this[ALLOW_STALE] = !!allowStale;
  }

  get allowStale() {
    return this[ALLOW_STALE];
  }

  set maxAge(mA) {
    if (typeof mA !== 'number') throw new TypeError('maxAge must be a non-negative number');
    this[MAX_AGE] = mA;
    trim(this);
  }

  get maxAge() {
    return this[MAX_AGE];
  } // resize the cache when the lengthCalculator changes.


  set lengthCalculator(lC) {
    if (typeof lC !== 'function') lC = naiveLength;

    if (lC !== this[LENGTH_CALCULATOR]) {
      this[LENGTH_CALCULATOR] = lC;
      this[LENGTH] = 0;
      this[LRU_LIST].forEach(hit => {
        hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
        this[LENGTH] += hit.length;
      });
    }

    trim(this);
  }

  get lengthCalculator() {
    return this[LENGTH_CALCULATOR];
  }

  get length() {
    return this[LENGTH];
  }

  get itemCount() {
    return this[LRU_LIST].length;
  }

  rforEach(fn, thisp) {
    thisp = thisp || this;

    for (let walker = this[LRU_LIST].tail; walker !== null;) {
      const prev = walker.prev;
      forEachStep(this, fn, walker, thisp);
      walker = prev;
    }
  }

  forEach(fn, thisp) {
    thisp = thisp || this;

    for (let walker = this[LRU_LIST].head; walker !== null;) {
      const next = walker.next;
      forEachStep(this, fn, walker, thisp);
      walker = next;
    }
  }

  keys() {
    return this[LRU_LIST].toArray().map(k => k.key);
  }

  values() {
    return this[LRU_LIST].toArray().map(k => k.value);
  }

  reset() {
    if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
      this[LRU_LIST].forEach(hit => this[DISPOSE](hit.key, hit.value));
    }

    this[CACHE] = new Map(); // hash of items by key

    this[LRU_LIST] = new Yallist(); // list of items in order of use recency

    this[LENGTH] = 0; // length of items in the list
  }

  dump() {
    return this[LRU_LIST].map(hit => isStale(this, hit) ? false : {
      k: hit.key,
      v: hit.value,
      e: hit.now + (hit.maxAge || 0)
    }).toArray().filter(h => h);
  }

  dumpLru() {
    return this[LRU_LIST];
  }

  set(key, value, maxAge) {
    maxAge = maxAge || this[MAX_AGE];
    if (maxAge && typeof maxAge !== 'number') throw new TypeError('maxAge must be a number');
    const now = maxAge ? Date.now() : 0;
    const len = this[LENGTH_CALCULATOR](value, key);

    if (this[CACHE].has(key)) {
      if (len > this[MAX]) {
        del(this, this[CACHE].get(key));
        return false;
      }

      const node = this[CACHE].get(key);
      const item = node.value; // dispose of the old one before overwriting
      // split out into 2 ifs for better coverage tracking

      if (this[DISPOSE]) {
        if (!this[NO_DISPOSE_ON_SET]) this[DISPOSE](key, item.value);
      }

      item.now = now;
      item.maxAge = maxAge;
      item.value = value;
      this[LENGTH] += len - item.length;
      item.length = len;
      this.get(key);
      trim(this);
      return true;
    }

    const hit = new Entry(key, value, len, now, maxAge); // oversized objects fall out of cache automatically.

    if (hit.length > this[MAX]) {
      if (this[DISPOSE]) this[DISPOSE](key, value);
      return false;
    }

    this[LENGTH] += hit.length;
    this[LRU_LIST].unshift(hit);
    this[CACHE].set(key, this[LRU_LIST].head);
    trim(this);
    return true;
  }

  has(key) {
    if (!this[CACHE].has(key)) return false;
    const hit = this[CACHE].get(key).value;
    return !isStale(this, hit);
  }

  get(key) {
    return get(this, key, true);
  }

  peek(key) {
    return get(this, key, false);
  }

  pop() {
    const node = this[LRU_LIST].tail;
    if (!node) return null;
    del(this, node);
    return node.value;
  }

  del(key) {
    del(this, this[CACHE].get(key));
  }

  load(arr) {
    // reset the cache
    this.reset();
    const now = Date.now(); // A previous serialized cache has the most recent items first

    for (let l = arr.length - 1; l >= 0; l--) {
      const hit = arr[l];
      const expiresAt = hit.e || 0;
      if (expiresAt === 0) // the item was created without expiration in a non aged cache
        this.set(hit.k, hit.v);else {
        const maxAge = expiresAt - now; // dont add already expired items

        if (maxAge > 0) {
          this.set(hit.k, hit.v, maxAge);
        }
      }
    }
  }

  prune() {
    this[CACHE].forEach((value, key) => get(this, key, false));
  }

}

const get = (self, key, doUse) => {
  const node = self[CACHE].get(key);

  if (node) {
    const hit = node.value;

    if (isStale(self, hit)) {
      del(self, node);
      if (!self[ALLOW_STALE]) return undefined;
    } else {
      if (doUse) {
        if (self[UPDATE_AGE_ON_GET]) node.value.now = Date.now();
        self[LRU_LIST].unshiftNode(node);
      }
    }

    return hit.value;
  }
};

const isStale = (self, hit) => {
  if (!hit || !hit.maxAge && !self[MAX_AGE]) return false;
  const diff = Date.now() - hit.now;
  return hit.maxAge ? diff > hit.maxAge : self[MAX_AGE] && diff > self[MAX_AGE];
};

const trim = self => {
  if (self[LENGTH] > self[MAX]) {
    for (let walker = self[LRU_LIST].tail; self[LENGTH] > self[MAX] && walker !== null;) {
      // We know that we're about to delete this one, and also
      // what the next least recently used key will be, so just
      // go ahead and set it now.
      const prev = walker.prev;
      del(self, walker);
      walker = prev;
    }
  }
};

const del = (self, node) => {
  if (node) {
    const hit = node.value;
    if (self[DISPOSE]) self[DISPOSE](hit.key, hit.value);
    self[LENGTH] -= hit.length;
    self[CACHE].delete(hit.key);
    self[LRU_LIST].removeNode(node);
  }
};

class Entry {
  constructor(key, value, length, now, maxAge) {
    this.key = key;
    this.value = value;
    this.length = length;
    this.now = now;
    this.maxAge = maxAge || 0;
  }

}

const forEachStep = (self, fn, node, thisp) => {
  let hit = node.value;

  if (isStale(self, hit)) {
    del(self, node);
    if (!self[ALLOW_STALE]) hit = undefined;
  }

  if (hit) fn.call(thisp, hit.value, hit.key, self);
};

module.exports = LRUCache;

/***/ }),

/***/ "./node_modules/.f/_/lru-cache/6.0.0/lru-cache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // A linked list to keep track of recently-used-ness

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/4.0.0/yallist/yallist.js");

const MAX = Symbol('max');
const LENGTH = Symbol('length');
const LENGTH_CALCULATOR = Symbol('lengthCalculator');
const ALLOW_STALE = Symbol('allowStale');
const MAX_AGE = Symbol('maxAge');
const DISPOSE = Symbol('dispose');
const NO_DISPOSE_ON_SET = Symbol('noDisposeOnSet');
const LRU_LIST = Symbol('lruList');
const CACHE = Symbol('cache');
const UPDATE_AGE_ON_GET = Symbol('updateAgeOnGet');

const naiveLength = () => 1; // lruList is a yallist where the head is the youngest
// item, and the tail is the oldest.  the list contains the Hit
// objects as the entries.
// Each Hit object has a reference to its Yallist.Node.  This
// never changes.
//
// cache is a Map (or PseudoMap) that matches the keys to
// the Yallist.Node object.


class LRUCache {
  constructor(options) {
    if (typeof options === 'number') options = {
      max: options
    };
    if (!options) options = {};
    if (options.max && (typeof options.max !== 'number' || options.max < 0)) throw new TypeError('max must be a non-negative number'); // Kind of weird to have a default max of Infinity, but oh well.

    const max = this[MAX] = options.max || Infinity;
    const lc = options.length || naiveLength;
    this[LENGTH_CALCULATOR] = typeof lc !== 'function' ? naiveLength : lc;
    this[ALLOW_STALE] = options.stale || false;
    if (options.maxAge && typeof options.maxAge !== 'number') throw new TypeError('maxAge must be a number');
    this[MAX_AGE] = options.maxAge || 0;
    this[DISPOSE] = options.dispose;
    this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false;
    this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false;
    this.reset();
  } // resize the cache when the max changes.


  set max(mL) {
    if (typeof mL !== 'number' || mL < 0) throw new TypeError('max must be a non-negative number');
    this[MAX] = mL || Infinity;
    trim(this);
  }

  get max() {
    return this[MAX];
  }

  set allowStale(allowStale) {
    this[ALLOW_STALE] = !!allowStale;
  }

  get allowStale() {
    return this[ALLOW_STALE];
  }

  set maxAge(mA) {
    if (typeof mA !== 'number') throw new TypeError('maxAge must be a non-negative number');
    this[MAX_AGE] = mA;
    trim(this);
  }

  get maxAge() {
    return this[MAX_AGE];
  } // resize the cache when the lengthCalculator changes.


  set lengthCalculator(lC) {
    if (typeof lC !== 'function') lC = naiveLength;

    if (lC !== this[LENGTH_CALCULATOR]) {
      this[LENGTH_CALCULATOR] = lC;
      this[LENGTH] = 0;
      this[LRU_LIST].forEach(hit => {
        hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key);
        this[LENGTH] += hit.length;
      });
    }

    trim(this);
  }

  get lengthCalculator() {
    return this[LENGTH_CALCULATOR];
  }

  get length() {
    return this[LENGTH];
  }

  get itemCount() {
    return this[LRU_LIST].length;
  }

  rforEach(fn, thisp) {
    thisp = thisp || this;

    for (let walker = this[LRU_LIST].tail; walker !== null;) {
      const prev = walker.prev;
      forEachStep(this, fn, walker, thisp);
      walker = prev;
    }
  }

  forEach(fn, thisp) {
    thisp = thisp || this;

    for (let walker = this[LRU_LIST].head; walker !== null;) {
      const next = walker.next;
      forEachStep(this, fn, walker, thisp);
      walker = next;
    }
  }

  keys() {
    return this[LRU_LIST].toArray().map(k => k.key);
  }

  values() {
    return this[LRU_LIST].toArray().map(k => k.value);
  }

  reset() {
    if (this[DISPOSE] && this[LRU_LIST] && this[LRU_LIST].length) {
      this[LRU_LIST].forEach(hit => this[DISPOSE](hit.key, hit.value));
    }

    this[CACHE] = new Map(); // hash of items by key

    this[LRU_LIST] = new Yallist(); // list of items in order of use recency

    this[LENGTH] = 0; // length of items in the list
  }

  dump() {
    return this[LRU_LIST].map(hit => isStale(this, hit) ? false : {
      k: hit.key,
      v: hit.value,
      e: hit.now + (hit.maxAge || 0)
    }).toArray().filter(h => h);
  }

  dumpLru() {
    return this[LRU_LIST];
  }

  set(key, value, maxAge) {
    maxAge = maxAge || this[MAX_AGE];
    if (maxAge && typeof maxAge !== 'number') throw new TypeError('maxAge must be a number');
    const now = maxAge ? Date.now() : 0;
    const len = this[LENGTH_CALCULATOR](value, key);

    if (this[CACHE].has(key)) {
      if (len > this[MAX]) {
        del(this, this[CACHE].get(key));
        return false;
      }

      const node = this[CACHE].get(key);
      const item = node.value; // dispose of the old one before overwriting
      // split out into 2 ifs for better coverage tracking

      if (this[DISPOSE]) {
        if (!this[NO_DISPOSE_ON_SET]) this[DISPOSE](key, item.value);
      }

      item.now = now;
      item.maxAge = maxAge;
      item.value = value;
      this[LENGTH] += len - item.length;
      item.length = len;
      this.get(key);
      trim(this);
      return true;
    }

    const hit = new Entry(key, value, len, now, maxAge); // oversized objects fall out of cache automatically.

    if (hit.length > this[MAX]) {
      if (this[DISPOSE]) this[DISPOSE](key, value);
      return false;
    }

    this[LENGTH] += hit.length;
    this[LRU_LIST].unshift(hit);
    this[CACHE].set(key, this[LRU_LIST].head);
    trim(this);
    return true;
  }

  has(key) {
    if (!this[CACHE].has(key)) return false;
    const hit = this[CACHE].get(key).value;
    return !isStale(this, hit);
  }

  get(key) {
    return get(this, key, true);
  }

  peek(key) {
    return get(this, key, false);
  }

  pop() {
    const node = this[LRU_LIST].tail;
    if (!node) return null;
    del(this, node);
    return node.value;
  }

  del(key) {
    del(this, this[CACHE].get(key));
  }

  load(arr) {
    // reset the cache
    this.reset();
    const now = Date.now(); // A previous serialized cache has the most recent items first

    for (let l = arr.length - 1; l >= 0; l--) {
      const hit = arr[l];
      const expiresAt = hit.e || 0;
      if (expiresAt === 0) // the item was created without expiration in a non aged cache
        this.set(hit.k, hit.v);else {
        const maxAge = expiresAt - now; // dont add already expired items

        if (maxAge > 0) {
          this.set(hit.k, hit.v, maxAge);
        }
      }
    }
  }

  prune() {
    this[CACHE].forEach((value, key) => get(this, key, false));
  }

}

const get = (self, key, doUse) => {
  const node = self[CACHE].get(key);

  if (node) {
    const hit = node.value;

    if (isStale(self, hit)) {
      del(self, node);
      if (!self[ALLOW_STALE]) return undefined;
    } else {
      if (doUse) {
        if (self[UPDATE_AGE_ON_GET]) node.value.now = Date.now();
        self[LRU_LIST].unshiftNode(node);
      }
    }

    return hit.value;
  }
};

const isStale = (self, hit) => {
  if (!hit || !hit.maxAge && !self[MAX_AGE]) return false;
  const diff = Date.now() - hit.now;
  return hit.maxAge ? diff > hit.maxAge : self[MAX_AGE] && diff > self[MAX_AGE];
};

const trim = self => {
  if (self[LENGTH] > self[MAX]) {
    for (let walker = self[LRU_LIST].tail; self[LENGTH] > self[MAX] && walker !== null;) {
      // We know that we're about to delete this one, and also
      // what the next least recently used key will be, so just
      // go ahead and set it now.
      const prev = walker.prev;
      del(self, walker);
      walker = prev;
    }
  }
};

const del = (self, node) => {
  if (node) {
    const hit = node.value;
    if (self[DISPOSE]) self[DISPOSE](hit.key, hit.value);
    self[LENGTH] -= hit.length;
    self[CACHE].delete(hit.key);
    self[LRU_LIST].removeNode(node);
  }
};

class Entry {
  constructor(key, value, length, now, maxAge) {
    this.key = key;
    this.value = value;
    this.length = length;
    this.now = now;
    this.maxAge = maxAge || 0;
  }

}

const forEachStep = (self, fn, node, thisp) => {
  let hit = node.value;

  if (isStale(self, hit)) {
    del(self, node);
    if (!self[ALLOW_STALE]) hit = undefined;
  }

  if (hit) fn.call(thisp, hit.value, hit.key, self);
};

module.exports = LRUCache;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/4.1.5/lru-cache/index.js");

const url = __webpack_require__("url");

let AGENT_CACHE = new LRU({
  max: 50
});
let HttpsAgent;
let HttpAgent;
module.exports = getAgent;

function getAgent(uri, opts) {
  const parsedUri = url.parse(typeof uri === 'string' ? uri : uri.url);
  const isHttps = parsedUri.protocol === 'https:';
  const pxuri = getProxyUri(uri, opts);
  const key = [`https:${isHttps}`, pxuri ? `proxy:${pxuri.protocol}//${pxuri.host}:${pxuri.port}` : '>no-proxy<', `local-address:${opts.localAddress || '>no-local-address<'}`, `strict-ssl:${isHttps ? !!opts.strictSSL : '>no-strict-ssl<'}`, `ca:${isHttps && opts.ca || '>no-ca<'}`, `cert:${isHttps && opts.cert || '>no-cert<'}`, `key:${isHttps && opts.key || '>no-key<'}`].join(':');

  if (opts.agent != null) {
    // `agent: false` has special behavior!
    return opts.agent;
  }

  if (AGENT_CACHE.peek(key)) {
    return AGENT_CACHE.get(key);
  }

  if (pxuri) {
    const proxy = getProxy(pxuri, opts, isHttps);
    AGENT_CACHE.set(key, proxy);
    return proxy;
  }

  if (isHttps && !HttpsAgent) {
    HttpsAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/index.js").HttpsAgent;
  } else if (!isHttps && !HttpAgent) {
    HttpAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/3.5.2/agentkeepalive/index.js");
  } // If opts.timeout is zero, set the agentTimeout to zero as well. A timeout
  // of zero disables the timeout behavior (OS limits still apply). Else, if
  // opts.timeout is a non-zero value, set it to timeout + 1, to ensure that
  // the node-fetch-npm timeout will always fire first, giving us more
  // consistent errors.


  const agentTimeout = opts.timeout === 0 ? 0 : opts.timeout + 1;
  const agent = isHttps ? new HttpsAgent({
    maxSockets: opts.maxSockets || 15,
    ca: opts.ca,
    cert: opts.cert,
    key: opts.key,
    localAddress: opts.localAddress,
    rejectUnauthorized: opts.strictSSL,
    timeout: agentTimeout
  }) : new HttpAgent({
    maxSockets: opts.maxSockets || 15,
    localAddress: opts.localAddress,
    timeout: agentTimeout
  });
  AGENT_CACHE.set(key, agent);
  return agent;
}

function checkNoProxy(uri, opts) {
  const host = url.parse(uri).hostname.split('.').reverse();
  let noproxy = opts.noProxy || getProcessEnv('no_proxy');

  if (typeof noproxy === 'string') {
    noproxy = noproxy.split(/\s*,\s*/g);
  }

  return noproxy && noproxy.some(no => {
    const noParts = no.split('.').filter(x => x).reverse();

    if (!noParts.length) {
      return false;
    }

    for (let i = 0; i < noParts.length; i++) {
      if (host[i] !== noParts[i]) {
        return false;
      }
    }

    return true;
  });
}

module.exports.getProcessEnv = getProcessEnv;

function getProcessEnv(env) {
  if (!env) {
    return;
  }

  let value;

  if (Array.isArray(env)) {
    for (let e of env) {
      value = process.env[e] || process.env[e.toUpperCase()] || process.env[e.toLowerCase()];

      if (typeof value !== 'undefined') {
        break;
      }
    }
  }

  if (typeof env === 'string') {
    value = process.env[env] || process.env[env.toUpperCase()] || process.env[env.toLowerCase()];
  }

  return value;
}

function getProxyUri(uri, opts) {
  const protocol = url.parse(uri).protocol;
  const proxy = opts.proxy || protocol === 'https:' && getProcessEnv('https_proxy') || protocol === 'http:' && getProcessEnv(['https_proxy', 'http_proxy', 'proxy']);

  if (!proxy) {
    return null;
  }

  const parsedProxy = typeof proxy === 'string' ? url.parse(proxy) : proxy;
  return !checkNoProxy(uri, opts) && parsedProxy;
}

let HttpProxyAgent;
let HttpsProxyAgent;
let SocksProxyAgent;

function getProxy(proxyUrl, opts, isHttps) {
  let popts = {
    host: proxyUrl.hostname,
    port: proxyUrl.port,
    protocol: proxyUrl.protocol,
    path: proxyUrl.path,
    auth: proxyUrl.auth,
    ca: opts.ca,
    cert: opts.cert,
    key: opts.key,
    timeout: opts.timeout === 0 ? 0 : opts.timeout + 1,
    localAddress: opts.localAddress,
    maxSockets: opts.maxSockets || 15,
    rejectUnauthorized: opts.strictSSL
  };

  if (proxyUrl.protocol === 'http:' || proxyUrl.protocol === 'https:') {
    if (!isHttps) {
      if (!HttpProxyAgent) {
        HttpProxyAgent = __webpack_require__("./node_modules/.f/_/http-proxy-agent/2.1.0/http-proxy-agent/index.js");
      }

      return new HttpProxyAgent(popts);
    } else {
      if (!HttpsProxyAgent) {
        HttpsProxyAgent = __webpack_require__("./node_modules/.f/_/https-proxy-agent/2.2.4/https-proxy-agent/index.js");
      }

      return new HttpsProxyAgent(popts);
    }
  }

  if (proxyUrl.protocol.startsWith('socks')) {
    if (!SocksProxyAgent) {
      SocksProxyAgent = __webpack_require__("./node_modules/.f/_/socks-proxy-agent/4.0.2/socks-proxy-agent/index.js");
    }

    return new SocksProxyAgent(popts);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/cache.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/index.js");

const pipe = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe;

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const through = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").through;

const to = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").to;

const url = __webpack_require__("url");

const stream = __webpack_require__("stream");

const MAX_MEM_SIZE = 5 * 1024 * 1024; // 5MB

function cacheKey(req) {
  const parsed = url.parse(req.url);
  return `make-fetch-happen:request-cache:${url.format({
    protocol: parsed.protocol,
    slashes: parsed.slashes,
    host: parsed.host,
    hostname: parsed.hostname,
    pathname: parsed.pathname
  })}`;
} // This is a cacache-based implementation of the Cache standard,
// using node-fetch.
// docs: https://developer.mozilla.org/en-US/docs/Web/API/Cache
//


module.exports = class Cache {
  constructor(path, opts) {
    this._path = path;
    this._uid = opts && opts.uid;
    this._gid = opts && opts.gid;
    this.Promise = opts && opts.Promise || Promise;
  } // Returns a Promise that resolves to the response associated with the first
  // matching request in the Cache object.


  match(req, opts) {
    opts = opts || {};
    const key = opts.cacheKey || cacheKey(req);
    return cacache.get.info(this._path, key).then(info => {
      return info && cacache.get.hasContent(this._path, info.integrity, opts).then(exists => exists && info);
    }).then(info => {
      if (info && info.metadata && matchDetails(req, {
        url: info.metadata.url,
        reqHeaders: new fetch.Headers(info.metadata.reqHeaders),
        resHeaders: new fetch.Headers(info.metadata.resHeaders),
        cacheIntegrity: info.integrity,
        integrity: opts && opts.integrity
      })) {
        const resHeaders = new fetch.Headers(info.metadata.resHeaders);
        addCacheHeaders(resHeaders, this._path, key, info.integrity, info.time);

        if (req.method === 'HEAD') {
          const xres = new fetch.Response(null, {
            url: req.url,
            headers: resHeaders,
            status: 200
          });
          xres.cacheKey = key;
          xres.cacheIntegrity = info.integrity;
          return xres;
        }

        let body;
        const cachePath = this._path; // avoid opening cache file handles until a user actually tries to
        // read from it.

        if (opts.memoize !== false && info.size > MAX_MEM_SIZE) {
          body = new stream.PassThrough();
          const realRead = body._read;

          body._read = function (size) {
            body._read = realRead;
            pipe(cacache.get.stream.byDigest(cachePath, info.integrity, {
              memoize: opts.memoize
            }), body, err => body.emit(err));
            return realRead.call(this, size);
          };
        } else {
          let readOnce = false; // cacache is much faster at bulk reads

          body = new stream.Readable({
            read() {
              if (readOnce) return this.push(null);
              readOnce = true;
              cacache.get.byDigest(cachePath, info.integrity, {
                memoize: opts.memoize
              }).then(data => {
                this.push(data);
                this.push(null);
              }, err => this.emit('error', err));
            }

          });
        }

        const xres = new fetch.Response(body, {
          url: req.url,
          headers: resHeaders,
          status: 200,
          size: info.size
        });
        xres.cacheKey = key;
        xres.cacheIntegrity = info.integrity;
        return this.Promise.resolve(xres);
      }
    });
  } // Takes both a request and its response and adds it to the given cache.


  put(req, response, opts, cachedRes) {
    opts = opts || {};
    const size = response.headers.get('content-length');
    const fitInMemory = !!size && opts.memoize !== false && size < MAX_MEM_SIZE;
    const ckey = opts.cacheKey || cacheKey(req);
    const cacheOpts = {
      algorithms: opts.algorithms,
      metadata: {
        url: req.url,
        reqHeaders: req.headers.raw(),
        resHeaders: response.headers.raw()
      },
      uid: this._uid,
      gid: this._gid,
      size,
      memoize: fitInMemory && opts.memoize
    };

    if (cachedRes) {
      cacheOpts.existIntegrity = cachedRes.cacheIntegrity;
      cacheOpts.existKey = cachedRes.cacheKey;
    }

    if (req.method === 'HEAD' || response.status === 304) {
      // Update metadata without writing
      return cacache.get.info(this._path, ckey).then(info => {
        // Providing these will bypass content write
        cacheOpts.integrity = info.integrity;
        addCacheHeaders(response.headers, this._path, ckey, info.integrity, info.time);
        return new this.Promise((resolve, reject) => {
          pipe(cacache.get.stream.byDigest(this._path, info.integrity, cacheOpts), cacache.put.stream(this._path, ckey, cacheOpts), err => err ? reject(err) : resolve(response));
        });
      }).then(() => response);
    }

    let buf = [];
    let bufSize = 0;
    let cacheTargetStream = false;
    const cachePath = this._path;
    let cacheStream = to((chunk, enc, cb) => {
      if (!cacheTargetStream) {
        if (fitInMemory) {
          cacheTargetStream = to({
            highWaterMark: MAX_MEM_SIZE
          }, (chunk, enc, cb) => {
            buf.push(chunk);
            bufSize += chunk.length;
            cb();
          }, done => {
            cacache.put(cachePath, ckey, Buffer.concat(buf, bufSize), cacheOpts).then(() => done(), done);
          });
        } else {
          cacheTargetStream = cacache.put.stream(cachePath, ckey, cacheOpts);
        }
      }

      cacheTargetStream.write(chunk, enc, cb);
    }, done => {
      cacheTargetStream ? cacheTargetStream.end(done) : done();
    });
    const oldBody = response.body;
    const newBody = through({
      highWaterMark: fitInMemory && MAX_MEM_SIZE
    });
    response.body = newBody;
    oldBody.once('error', err => newBody.emit('error', err));
    newBody.once('error', err => oldBody.emit('error', err));
    cacheStream.once('error', err => newBody.emit('error', err));
    pipe(oldBody, to((chunk, enc, cb) => {
      cacheStream.write(chunk, enc, () => {
        newBody.write(chunk, enc, cb);
      });
    }, done => {
      cacheStream.end(() => {
        newBody.end(() => {
          done();
        });
      });
    }), err => err && newBody.emit('error', err));
    return response;
  } // Finds the Cache entry whose key is the request, and if found, deletes the
  // Cache entry and returns a Promise that resolves to true. If no Cache entry
  // is found, it returns false.


  'delete'(req, opts) {
    opts = opts || {};

    if (typeof opts.memoize === 'object') {
      if (opts.memoize.reset) {
        opts.memoize.reset();
      } else if (opts.memoize.clear) {
        opts.memoize.clear();
      } else {
        Object.keys(opts.memoize).forEach(k => {
          opts.memoize[k] = null;
        });
      }
    }

    return cacache.rm.entry(this._path, opts.cacheKey || cacheKey(req) // TODO - true/false
    ).then(() => false);
  }

};

function matchDetails(req, cached) {
  const reqUrl = url.parse(req.url);
  const cacheUrl = url.parse(cached.url);
  const vary = cached.resHeaders.get('Vary'); // https://tools.ietf.org/html/rfc7234#section-4.1

  if (vary) {
    if (vary.match(/\*/)) {
      return false;
    } else {
      const fieldsMatch = vary.split(/\s*,\s*/).every(field => {
        return cached.reqHeaders.get(field) === req.headers.get(field);
      });

      if (!fieldsMatch) {
        return false;
      }
    }
  }

  if (cached.integrity) {
    return ssri.parse(cached.integrity).match(cached.cacheIntegrity);
  }

  reqUrl.hash = null;
  cacheUrl.hash = null;
  return url.format(reqUrl) === url.format(cacheUrl);
}

function addCacheHeaders(resHeaders, path, key, hash, time) {
  resHeaders.set('X-Local-Cache', encodeURIComponent(path));
  resHeaders.set('X-Local-Cache-Key', encodeURIComponent(key));
  resHeaders.set('X-Local-Cache-Hash', encodeURIComponent(hash));
  resHeaders.set('X-Local-Cache-Time', new Date(time).toUTCString());
}

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


let Cache;

const url = __webpack_require__("url");

const CachePolicy = __webpack_require__("./node_modules/.f/_/http-cache-semantics/3.8.1/http-cache-semantics/node4/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/index.js");

const pkg = __webpack_require__("./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/package.json");

const retry = __webpack_require__("./node_modules/.f/_/promise-retry/1.1.1/promise-retry/index.js");

let ssri;

const Stream = __webpack_require__("stream");

const getAgent = __webpack_require__("./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/agent.js");

const setWarning = __webpack_require__("./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/warning.js");

const isURL = /^https?:/;
const USER_AGENT = `${pkg.name}/${pkg.version} (+https://npm.im/${pkg.name})`;
const RETRY_ERRORS = ['ECONNRESET', // remote socket closed on us
'ECONNREFUSED', // remote host refused to open connection
'EADDRINUSE', // failed to bind to a local port (proxy?)
'ETIMEDOUT' // someone in the transaction is WAY TOO SLOW
// Known codes we do NOT retry on:
// ENOTFOUND (getaddrinfo failure. Either bad hostname, or offline)
];
const RETRY_TYPES = ['request-timeout']; // https://fetch.spec.whatwg.org/#http-network-or-cache-fetch

module.exports = cachingFetch;

cachingFetch.defaults = function (_uri, _opts) {
  const fetch = this;

  if (typeof _uri === 'object') {
    _opts = _uri;
    _uri = null;
  }

  function defaultedFetch(uri, opts) {
    const finalOpts = Object.assign({}, _opts || {}, opts || {});
    return fetch(uri || _uri, finalOpts);
  }

  defaultedFetch.defaults = fetch.defaults;
  defaultedFetch.delete = fetch.delete;
  return defaultedFetch;
};

cachingFetch.delete = cacheDelete;

function cacheDelete(uri, opts) {
  opts = configureOptions(opts);

  if (opts.cacheManager) {
    const req = new fetch.Request(uri, {
      method: opts.method,
      headers: opts.headers
    });
    return opts.cacheManager.delete(req, opts);
  }
}

function initializeCache(opts) {
  if (typeof opts.cacheManager === 'string') {
    if (!Cache) {
      // Default cacache-based cache
      Cache = __webpack_require__("./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/cache.js");
    }

    opts.cacheManager = new Cache(opts.cacheManager, opts);
  }

  opts.cache = opts.cache || 'default';

  if (opts.cache === 'default' && isHeaderConditional(opts.headers)) {
    // If header list contains `If-Modified-Since`, `If-None-Match`,
    // `If-Unmodified-Since`, `If-Match`, or `If-Range`, fetch will set cache
    // mode to "no-store" if it is "default".
    opts.cache = 'no-store';
  }
}

function configureOptions(_opts) {
  const opts = Object.assign({}, _opts || {});
  opts.method = (opts.method || 'GET').toUpperCase();

  if (opts.retry && typeof opts.retry === 'number') {
    opts.retry = {
      retries: opts.retry
    };
  }

  if (opts.retry === false) {
    opts.retry = {
      retries: 0
    };
  }

  if (opts.cacheManager) {
    initializeCache(opts);
  }

  return opts;
}

function initializeSsri() {
  if (!ssri) {
    ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");
  }
}

function cachingFetch(uri, _opts) {
  const opts = configureOptions(_opts);

  if (opts.integrity) {
    initializeSsri(); // if verifying integrity, node-fetch must not decompress

    opts.compress = false;
  }

  const isCachable = (opts.method === 'GET' || opts.method === 'HEAD') && opts.cacheManager && opts.cache !== 'no-store' && opts.cache !== 'reload';

  if (isCachable) {
    const req = new fetch.Request(uri, {
      method: opts.method,
      headers: opts.headers
    });
    return opts.cacheManager.match(req, opts).then(res => {
      if (res) {
        const warningCode = (res.headers.get('Warning') || '').match(/^\d+/);

        if (warningCode && +warningCode >= 100 && +warningCode < 200) {
          // https://tools.ietf.org/html/rfc7234#section-4.3.4
          //
          // If a stored response is selected for update, the cache MUST:
          //
          // * delete any Warning header fields in the stored response with
          //   warn-code 1xx (see Section 5.5);
          //
          // * retain any Warning header fields in the stored response with
          //   warn-code 2xx;
          //
          res.headers.delete('Warning');
        }

        if (opts.cache === 'default' && !isStale(req, res)) {
          return res;
        }

        if (opts.cache === 'default' || opts.cache === 'no-cache') {
          return conditionalFetch(req, res, opts);
        }

        if (opts.cache === 'force-cache' || opts.cache === 'only-if-cached') {
          //   112 Disconnected operation
          // SHOULD be included if the cache is intentionally disconnected from
          // the rest of the network for a period of time.
          // (https://tools.ietf.org/html/rfc2616#section-14.46)
          setWarning(res, 112, 'Disconnected operation');
          return res;
        }
      }

      if (!res && opts.cache === 'only-if-cached') {
        const errorMsg = `request to ${uri} failed: cache mode is 'only-if-cached' but no cached response available.`;
        const err = new Error(errorMsg);
        err.code = 'ENOTCACHED';
        throw err;
      } // Missing cache entry, or mode is default (if stale), reload, no-store


      return remoteFetch(req.url, res, opts);
    });
  }

  return remoteFetch(uri, null, opts);
}

function iterableToObject(iter) {
  const obj = {};

  for (let k of iter.keys()) {
    obj[k] = iter.get(k);
  }

  return obj;
}

function makePolicy(req, res) {
  const _req = {
    url: req.url,
    method: req.method,
    headers: iterableToObject(req.headers)
  };
  const _res = {
    status: res.status,
    headers: iterableToObject(res.headers)
  };
  return new CachePolicy(_req, _res, {
    shared: false
  });
} // https://tools.ietf.org/html/rfc7234#section-4.2


function isStale(req, res) {
  if (!res) {
    return null;
  }

  const _req = {
    url: req.url,
    method: req.method,
    headers: iterableToObject(req.headers)
  };
  const policy = makePolicy(req, res);
  const responseTime = res.headers.get('x-local-cache-time') || res.headers.get('date') || 0;
  policy._responseTime = new Date(responseTime);
  const bool = !policy.satisfiesWithoutRevalidation(_req);
  return bool;
}

function mustRevalidate(res) {
  return (res.headers.get('cache-control') || '').match(/must-revalidate/i);
}

function conditionalFetch(req, cachedRes, opts) {
  const _req = {
    url: req.url,
    method: req.method,
    headers: Object.assign({}, opts.headers || {})
  };
  const policy = makePolicy(req, cachedRes);
  opts.headers = policy.revalidationHeaders(_req);
  return remoteFetch(req.url, cachedRes, opts).then(condRes => {
    const revalidatedPolicy = policy.revalidatedPolicy(_req, {
      status: condRes.status,
      headers: iterableToObject(condRes.headers)
    });

    if (condRes.status >= 500 && !mustRevalidate(cachedRes)) {
      //   111 Revalidation failed
      // MUST be included if a cache returns a stale response because an
      // attempt to revalidate the response failed, due to an inability to
      // reach the server.
      // (https://tools.ietf.org/html/rfc2616#section-14.46)
      setWarning(cachedRes, 111, 'Revalidation failed');
      return cachedRes;
    }

    if (condRes.status === 304) {
      // 304 Not Modified
      return cachedRes;
    }

    return condRes;
  }).then(res => res).catch(err => {
    if (mustRevalidate(cachedRes)) {
      throw err;
    } else {
      //   111 Revalidation failed
      // MUST be included if a cache returns a stale response because an
      // attempt to revalidate the response failed, due to an inability to
      // reach the server.
      // (https://tools.ietf.org/html/rfc2616#section-14.46)
      setWarning(cachedRes, 111, 'Revalidation failed'); //   199 Miscellaneous warning
      // The warning text MAY include arbitrary information to be presented to
      // a human user, or logged. A system receiving this warning MUST NOT take
      // any automated action, besides presenting the warning to the user.
      // (https://tools.ietf.org/html/rfc2616#section-14.46)

      setWarning(cachedRes, 199, `Miscellaneous Warning ${err.code}: ${err.message}`);
      return cachedRes;
    }
  });
}

function remoteFetchHandleIntegrity(res, integrity) {
  const oldBod = res.body;
  const newBod = ssri.integrityStream({
    integrity
  });
  oldBod.pipe(newBod);
  res.body = newBod;
  oldBod.once('error', err => {
    newBod.emit('error', err);
  });
  newBod.once('error', err => {
    oldBod.emit('error', err);
  });
}

function remoteFetch(uri, cachedRes, opts) {
  const agent = getAgent(uri, opts);
  const headers = Object.assign({
    'connection': agent ? 'keep-alive' : 'close',
    'user-agent': USER_AGENT
  }, opts.headers || {});
  const reqOpts = {
    agent,
    body: opts.body,
    compress: opts.compress,
    follow: opts.follow,
    headers: new fetch.Headers(headers),
    method: opts.method,
    redirect: 'manual',
    size: opts.size,
    counter: opts.counter,
    timeout: opts.timeout
  };
  return retry((retryHandler, attemptNum) => {
    const req = new fetch.Request(uri, reqOpts);
    return fetch(req).then(res => {
      res.headers.set('x-fetch-attempts', attemptNum);

      if (opts.integrity) {
        remoteFetchHandleIntegrity(res, opts.integrity);
      }

      const isStream = req.body instanceof Stream;

      if (opts.cacheManager) {
        const isMethodGetHead = req.method === 'GET' || req.method === 'HEAD'; // const isCachable = opts.cache !== 'no-store' &&
        //   isMethodGetHead &&
        //   makePolicy(req, res).storable() &&
        //   res.status === 200 // No other statuses should be stored!

        let isCachable = opts.cache !== 'no-store' && isMethodGetHead && res.status === 200;

        if (isCachable && opts.cachePolicy !== "ignore") {
          isCachable = makePolicy(req, res).storable();
        }

        if (isCachable) {
          return opts.cacheManager.put(req, res, opts, cachedRes);
        }

        if (!isMethodGetHead) {
          return opts.cacheManager.delete(req).then(() => {
            if (res.status >= 500 && req.method !== 'POST' && !isStream) {
              if (typeof opts.onRetry === 'function') {
                opts.onRetry(res);
              }

              return retryHandler(res);
            }

            return res;
          });
        }
      }

      const isRetriable = req.method !== 'POST' && !isStream && (res.status === 408 || // Request Timeout
      res.status === 420 || // Enhance Your Calm (usually Twitter rate-limit)
      res.status === 429 || // Too Many Requests ("standard" rate-limiting)
      res.status >= 500 // Assume server errors are momentary hiccups
      );

      if (isRetriable) {
        if (typeof opts.onRetry === 'function') {
          opts.onRetry(res);
        }

        return retryHandler(res);
      }

      if (!fetch.isRedirect(res.status) || opts.redirect === 'manual') {
        return res;
      } // handle redirects - matches behavior of npm-fetch: https://github.com/bitinn/node-fetch


      if (opts.redirect === 'error') {
        const err = new Error(`redirect mode is set to error: ${uri}`);
        err.code = 'ENOREDIRECT';
        throw err;
      }

      if (!res.headers.get('location')) {
        const err = new Error(`redirect location header missing at: ${uri}`);
        err.code = 'EINVALIDREDIRECT';
        throw err;
      }

      if (req.counter >= req.follow) {
        const err = new Error(`maximum redirect reached at: ${uri}`);
        err.code = 'EMAXREDIRECT';
        throw err;
      }

      const resolvedUrl = url.resolve(req.url, res.headers.get('location'));
      let redirectURL = url.parse(resolvedUrl);

      if (isURL.test(res.headers.get('location'))) {
        redirectURL = url.parse(res.headers.get('location'));
      } // Remove authorization if changing hostnames (but not if just
      // changing ports or protocols).  This matches the behavior of request:
      // https://github.com/request/request/blob/b12a6245/lib/redirect.js#L134-L138


      if (url.parse(req.url).hostname !== redirectURL.hostname) {
        req.headers.delete('authorization');
      } // for POST request with 301/302 response, or any request with 303 response,
      // use GET when following redirect


      if (res.status === 303 || (res.status === 301 || res.status === 302) && req.method === 'POST') {
        opts.method = 'GET';
        opts.body = null;
        req.headers.delete('content-length');
      }

      opts.headers = {};
      req.headers.forEach((value, name) => {
        opts.headers[name] = value;
      });
      opts.counter = ++req.counter;
      return cachingFetch(resolvedUrl, opts);
    }).catch(err => {
      const code = err.code === 'EPROMISERETRY' ? err.retried.code : err.code;
      const isRetryError = RETRY_ERRORS.indexOf(code) === -1 && RETRY_TYPES.indexOf(err.type) === -1;

      if (req.method === 'POST' || isRetryError) {
        throw err;
      }

      if (typeof opts.onRetry === 'function') {
        opts.onRetry(err);
      }

      return retryHandler(err);
    });
  }, opts.retry).catch(err => {
    if (err.status >= 400) {
      return err;
    }

    throw err;
  });
}

function isHeaderConditional(headers) {
  if (!headers || typeof headers !== 'object') {
    return false;
  }

  const modifiers = ['if-modified-since', 'if-none-match', 'if-unmodified-since', 'if-match', 'if-range'];
  return Object.keys(headers).some(h => modifiers.indexOf(h.toLowerCase()) !== -1);
}

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/warning.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const url = __webpack_require__("url");

module.exports = setWarning;

function setWarning(reqOrRes, code, message, replace) {
  //   Warning    = "Warning" ":" 1#warning-value
  // warning-value = warn-code SP warn-agent SP warn-text [SP warn-date]
  // warn-code  = 3DIGIT
  // warn-agent = ( host [ ":" port ] ) | pseudonym
  //                 ; the name or pseudonym of the server adding
  //                 ; the Warning header, for use in debugging
  // warn-text  = quoted-string
  // warn-date  = <"> HTTP-date <">
  // (https://tools.ietf.org/html/rfc2616#section-14.46)
  const host = url.parse(reqOrRes.url).host;
  const jsonMessage = JSON.stringify(message);
  const jsonDate = JSON.stringify(new Date().toUTCString());
  const header = replace ? 'set' : 'append';
  reqOrRes.headers[header]('Warning', `${code} ${host} ${jsonMessage} ${jsonDate}`);
}

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/agent.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/6.0.0/lru-cache/index.js");

const url = __webpack_require__("url");

const isLambda = __webpack_require__("./node_modules/.f/_/is-lambda/1.0.1/is-lambda/index.js");

const AGENT_CACHE = new LRU({
  max: 50
});

const HttpAgent = __webpack_require__("./node_modules/.f/_/agentkeepalive/4.1.4/agentkeepalive/index.js");

const HttpsAgent = HttpAgent.HttpsAgent;
module.exports = getAgent;

const getAgentTimeout = timeout => typeof timeout !== 'number' || !timeout ? 0 : timeout + 1;

const getMaxSockets = maxSockets => maxSockets || 15;

function getAgent(uri, opts) {
  const parsedUri = new url.URL(typeof uri === 'string' ? uri : uri.url);
  const isHttps = parsedUri.protocol === 'https:';
  const pxuri = getProxyUri(parsedUri.href, opts); // If opts.timeout is zero, set the agentTimeout to zero as well. A timeout
  // of zero disables the timeout behavior (OS limits still apply). Else, if
  // opts.timeout is a non-zero value, set it to timeout + 1, to ensure that
  // the node-fetch-npm timeout will always fire first, giving us more
  // consistent errors.

  const agentTimeout = getAgentTimeout(opts.timeout);
  const agentMaxSockets = getMaxSockets(opts.maxSockets);
  const key = [`https:${isHttps}`, pxuri ? `proxy:${pxuri.protocol}//${pxuri.host}:${pxuri.port}` : '>no-proxy<', `local-address:${opts.localAddress || '>no-local-address<'}`, `strict-ssl:${isHttps ? opts.rejectUnauthorized : '>no-strict-ssl<'}`, `ca:${isHttps && opts.ca || '>no-ca<'}`, `cert:${isHttps && opts.cert || '>no-cert<'}`, `key:${isHttps && opts.key || '>no-key<'}`, `timeout:${agentTimeout}`, `maxSockets:${agentMaxSockets}`].join(':');

  if (opts.agent != null) {
    // `agent: false` has special behavior!
    return opts.agent;
  } // keep alive in AWS lambda makes no sense


  const lambdaAgent = !isLambda ? null : isHttps ? __webpack_require__("https").globalAgent : __webpack_require__("http").globalAgent;
  if (isLambda && !pxuri) return lambdaAgent;
  if (AGENT_CACHE.peek(key)) return AGENT_CACHE.get(key);

  if (pxuri) {
    const pxopts = isLambda ? _objectSpread(_objectSpread({}, opts), {}, {
      agent: lambdaAgent
    }) : opts;
    const proxy = getProxy(pxuri, pxopts, isHttps);
    AGENT_CACHE.set(key, proxy);
    return proxy;
  }

  const agent = isHttps ? new HttpsAgent({
    maxSockets: agentMaxSockets,
    ca: opts.ca,
    cert: opts.cert,
    key: opts.key,
    localAddress: opts.localAddress,
    rejectUnauthorized: opts.rejectUnauthorized,
    timeout: agentTimeout
  }) : new HttpAgent({
    maxSockets: agentMaxSockets,
    localAddress: opts.localAddress,
    timeout: agentTimeout
  });
  AGENT_CACHE.set(key, agent);
  return agent;
}

function checkNoProxy(uri, opts) {
  const host = new url.URL(uri).hostname.split('.').reverse();
  let noproxy = opts.noProxy || getProcessEnv('no_proxy');
  if (typeof noproxy === 'string') noproxy = noproxy.split(/\s*,\s*/g);
  return noproxy && noproxy.some(no => {
    const noParts = no.split('.').filter(x => x).reverse();
    if (!noParts.length) return false;

    for (let i = 0; i < noParts.length; i++) {
      if (host[i] !== noParts[i]) return false;
    }

    return true;
  });
}

module.exports.getProcessEnv = getProcessEnv;

function getProcessEnv(env) {
  if (!env) return;
  let value;

  if (Array.isArray(env)) {
    for (const e of env) {
      value = process.env[e] || process.env[e.toUpperCase()] || process.env[e.toLowerCase()];
      if (typeof value !== 'undefined') break;
    }
  }

  if (typeof env === 'string') {
    value = process.env[env] || process.env[env.toUpperCase()] || process.env[env.toLowerCase()];
  }

  return value;
}

module.exports.getProxyUri = getProxyUri;

function getProxyUri(uri, opts) {
  const protocol = new url.URL(uri).protocol;
  const proxy = opts.proxy || protocol === 'https:' && getProcessEnv('https_proxy') || protocol === 'http:' && getProcessEnv(['https_proxy', 'http_proxy', 'proxy']);
  if (!proxy) return null;
  const parsedProxy = typeof proxy === 'string' ? new url.URL(proxy) : proxy;
  return !checkNoProxy(uri, opts) && parsedProxy;
}

const getAuth = u => u.username && u.password ? decodeURIComponent(`${u.username}:${u.password}`) : u.username ? decodeURIComponent(u.username) : null;

const getPath = u => u.pathname + u.search + u.hash;

const HttpProxyAgent = __webpack_require__("./node_modules/.f/_/http-proxy-agent/4.0.1/http-proxy-agent/dist/index.js");

const HttpsProxyAgent = __webpack_require__("./node_modules/.f/_/https-proxy-agent/5.0.0/https-proxy-agent/dist/index.js");

const SocksProxyAgent = __webpack_require__("./node_modules/.f/_/socks-proxy-agent/6.1.1/socks-proxy-agent/dist/index.js");

module.exports.getProxy = getProxy;

function getProxy(proxyUrl, opts, isHttps) {
  const popts = {
    host: proxyUrl.hostname,
    port: proxyUrl.port,
    protocol: proxyUrl.protocol,
    path: getPath(proxyUrl),
    auth: getAuth(proxyUrl),
    ca: opts.ca,
    cert: opts.cert,
    key: opts.key,
    timeout: getAgentTimeout(opts.timeout),
    localAddress: opts.localAddress,
    maxSockets: getMaxSockets(opts.maxSockets),
    rejectUnauthorized: opts.rejectUnauthorized
  };

  if (proxyUrl.protocol === 'http:' || proxyUrl.protocol === 'https:') {
    if (!isHttps) return new HttpProxyAgent(popts);else return new HttpsProxyAgent(popts);
  } else if (proxyUrl.protocol.startsWith('socks')) return new SocksProxyAgent(popts);else {
    throw Object.assign(new Error(`unsupported proxy protocol: '${proxyUrl.protocol}'`), {
      url: proxyUrl.href
    });
  }
}

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/entry.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  Request,
  Response
} = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/index.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const MinipassCollect = __webpack_require__("./node_modules/.f/_/minipass-collect/1.0.2/minipass-collect/index.js");

const MinipassFlush = __webpack_require__("./node_modules/.f/_/minipass-flush/1.0.5/minipass-flush/index.js");

const MinipassPipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/15.3.0/cacache/index.js");

const url = __webpack_require__("url");

const CachePolicy = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/policy.js");

const cacheKey = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/key.js");

const remote = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/remote.js");

const hasOwnProperty = (obj, prop) => Object.prototype.hasOwnProperty.call(obj, prop); // maximum amount of data we will buffer into memory
// if we'll exceed this, we switch to streaming


const MAX_MEM_SIZE = 5 * 1024 * 1024; // 5MB
// allow list for request headers that will be written to the cache index
// note: we will also store any request headers
// that are named in a response's vary header

const KEEP_REQUEST_HEADERS = ['accept-charset', 'accept-encoding', 'accept-language', 'accept', 'cache-control']; // allow list for response headers that will be written to the cache index
// note: we must not store the real response's age header, or when we load
// a cache policy based on the metadata it will think the cached response
// is always stale

const KEEP_RESPONSE_HEADERS = ['cache-control', 'content-encoding', 'content-language', 'content-type', 'date', 'etag', 'expires', 'last-modified', 'location', 'pragma', 'vary']; // return an object containing all metadata to be written to the index

const getMetadata = (request, response, options) => {
  const metadata = {
    time: Date.now(),
    url: request.url,
    reqHeaders: {},
    resHeaders: {}
  }; // only save the status if it's not a 200 or 304

  if (response.status !== 200 && response.status !== 304) metadata.status = response.status;

  for (const name of KEEP_REQUEST_HEADERS) {
    if (request.headers.has(name)) metadata.reqHeaders[name] = request.headers.get(name);
  } // if the request's host header differs from the host in the url
  // we need to keep it, otherwise it's just noise and we ignore it


  const host = request.headers.get('host');
  const parsedUrl = new url.URL(request.url);
  if (host && parsedUrl.host !== host) metadata.reqHeaders.host = host; // if the response has a vary header, make sure
  // we store the relevant request headers too

  if (response.headers.has('vary')) {
    const vary = response.headers.get('vary'); // a vary of "*" means every header causes a different response.
    // in that scenario, we do not include any additional headers
    // as the freshness check will always fail anyway and we don't
    // want to bloat the cache indexes

    if (vary !== '*') {
      // copy any other request headers that will vary the response
      const varyHeaders = vary.trim().toLowerCase().split(/\s*,\s*/);

      for (const name of varyHeaders) {
        // explicitly ignore accept-encoding here
        if (name !== 'accept-encoding' && request.headers.has(name)) metadata.reqHeaders[name] = request.headers.get(name);
      }
    }
  }

  for (const name of KEEP_RESPONSE_HEADERS) {
    if (response.headers.has(name)) metadata.resHeaders[name] = response.headers.get(name);
  } // we only store accept-encoding and content-encoding if the user
  // has disabled automatic compression and decompression in minipass-fetch
  // since if it's enabled (the default) then the content will have
  // already been decompressed making the header a lie


  if (options.compress === false) {
    metadata.reqHeaders['accept-encoding'] = request.headers.get('accept-encoding');
    metadata.resHeaders['content-encoding'] = response.headers.get('content-encoding');
  }

  return metadata;
}; // symbols used to hide objects that may be lazily evaluated in a getter


const _request = Symbol('request');

const _response = Symbol('response');

const _policy = Symbol('policy');

class CacheEntry {
  constructor({
    entry,
    request,
    response,
    options
  }) {
    if (entry) {
      this.key = entry.key;
      this.entry = entry; // previous versions of this module didn't write an explicit timestamp in
      // the metadata, so fall back to the entry's timestamp. we can't use the
      // entry timestamp to determine staleness because cacache will update it
      // when it verifies its data

      this.entry.metadata.time = this.entry.metadata.time || this.entry.time;
    } else this.key = cacheKey(request);

    this.options = options; // these properties are behind getters that lazily evaluate

    this[_request] = request;
    this[_response] = response;
    this[_policy] = null;
  } // returns a CacheEntry instance that satisfies the given request
  // or undefined if no existing entry satisfies


  static async find(request, options) {
    try {
      // compacts the index and returns an array of unique entries
      var matches = await cacache.index.compact(options.cachePath, cacheKey(request), (A, B) => {
        const entryA = new CacheEntry({
          entry: A,
          options
        });
        const entryB = new CacheEntry({
          entry: B,
          options
        });
        return entryA.policy.satisfies(entryB.request);
      }, {
        validateEntry: entry => {
          // if an integrity is null, it needs to have a status specified
          if (entry.integrity === null) return !!(entry.metadata && entry.metadata.status);
          return true;
        }
      });
    } catch (err) {
      // if the compact request fails, ignore the error and return
      return;
    } // a cache mode of 'reload' means to behave as though we have no cache
    // on the way to the network. return undefined to allow cacheFetch to
    // create a brand new request no matter what.


    if (options.cache === 'reload') return; // find the specific entry that satisfies the request

    let match;

    for (const entry of matches) {
      const _entry = new CacheEntry({
        entry,
        options
      });

      if (_entry.policy.satisfies(request)) {
        match = _entry;
        break;
      }
    }

    return match;
  } // if the user made a PUT/POST/PATCH then we invalidate our
  // cache for the same url by deleting the index entirely


  static async invalidate(request, options) {
    const key = cacheKey(request);

    try {
      await cacache.rm.entry(options.cachePath, key, {
        removeFully: true
      });
    } catch (err) {// ignore errors
    }
  }

  get request() {
    if (!this[_request]) {
      this[_request] = new Request(this.entry.metadata.url, {
        method: 'GET',
        headers: this.entry.metadata.reqHeaders
      });
    }

    return this[_request];
  }

  get response() {
    if (!this[_response]) {
      this[_response] = new Response(null, {
        url: this.entry.metadata.url,
        counter: this.options.counter,
        status: this.entry.metadata.status || 200,
        headers: _objectSpread(_objectSpread({}, this.entry.metadata.resHeaders), {}, {
          'content-length': this.entry.size
        })
      });
    }

    return this[_response];
  }

  get policy() {
    if (!this[_policy]) {
      this[_policy] = new CachePolicy({
        entry: this.entry,
        request: this.request,
        response: this.response,
        options: this.options
      });
    }

    return this[_policy];
  } // wraps the response in a pipeline that stores the data
  // in the cache while the user consumes it


  async store(status) {
    // if we got a status other than 200, 301, or 308,
    // or the CachePolicy forbid storage, append the
    // cache status header and return it untouched
    if (this.request.method !== 'GET' || ![200, 301, 308].includes(this.response.status) || !this.policy.storable()) {
      this.response.headers.set('x-local-cache-status', 'skip');
      return this.response;
    }

    const size = this.response.headers.get('content-length');
    const fitsInMemory = !!size && Number(size) < MAX_MEM_SIZE;
    const shouldBuffer = this.options.memoize !== false && fitsInMemory;
    const cacheOpts = {
      algorithms: this.options.algorithms,
      metadata: getMetadata(this.request, this.response, this.options),
      size,
      memoize: fitsInMemory && this.options.memoize
    };
    let body = null; // we only set a body if the status is a 200, redirects are
    // stored as metadata only

    if (this.response.status === 200) {
      let cacheWriteResolve, cacheWriteReject;
      const cacheWritePromise = new Promise((resolve, reject) => {
        cacheWriteResolve = resolve;
        cacheWriteReject = reject;
      });
      body = new MinipassPipeline(new MinipassFlush({
        flush() {
          return cacheWritePromise;
        }

      }));
      let abortStream, onResume;

      if (shouldBuffer) {
        // if the result fits in memory, use a collect stream to gather
        // the response and write it to cacache while also passing it through
        // to the user
        onResume = () => {
          const collector = new MinipassCollect.PassThrough();
          abortStream = collector;
          collector.on('collect', data => {
            // TODO if the cache write fails, log a warning but return the response anyway
            cacache.put(this.options.cachePath, this.key, data, cacheOpts).then(cacheWriteResolve, cacheWriteReject);
          });
          body.unshift(collector);
          body.unshift(this.response.body);
        };
      } else {
        // if it does not fit in memory, create a tee stream and use
        // that to pipe to both the cache and the user simultaneously
        onResume = () => {
          const tee = new Minipass();
          const cacheStream = cacache.put.stream(this.options.cachePath, this.key, cacheOpts);
          abortStream = cacheStream;
          tee.pipe(cacheStream); // TODO if the cache write fails, log a warning but return the response anyway

          cacheStream.promise().then(cacheWriteResolve, cacheWriteReject);
          body.unshift(tee);
          body.unshift(this.response.body);
        };
      }

      body.once('resume', onResume);
      body.once('end', () => body.removeListener('resume', onResume));
      this.response.body.on('error', err => {
        // the abortStream will either be a MinipassCollect if we buffer
        // or a cacache write stream, either way be sure to listen for
        // errors from the actual response and avoid writing data that we
        // know to be invalid to the cache
        abortStream.destroy(err);
      });
    } else await cacache.index.insert(this.options.cachePath, this.key, null, cacheOpts); // note: we do not set the x-local-cache-hash header because we do not know
    // the hash value until after the write to the cache completes, which doesn't
    // happen until after the response has been sent and it's too late to write
    // the header anyway


    this.response.headers.set('x-local-cache', encodeURIComponent(this.options.cachePath));
    this.response.headers.set('x-local-cache-key', encodeURIComponent(this.key));
    this.response.headers.set('x-local-cache-mode', shouldBuffer ? 'buffer' : 'stream');
    this.response.headers.set('x-local-cache-status', status);
    this.response.headers.set('x-local-cache-time', new Date().toISOString());
    const newResponse = new Response(body, {
      url: this.response.url,
      status: this.response.status,
      headers: this.response.headers,
      counter: this.options.counter
    });
    return newResponse;
  } // use the cached data to create a response and return it


  async respond(method, options, status) {
    let response;
    const size = Number(this.response.headers.get('content-length'));
    const fitsInMemory = !!size && size < MAX_MEM_SIZE;
    const shouldBuffer = this.options.memoize !== false && fitsInMemory;

    if (method === 'HEAD' || [301, 308].includes(this.response.status)) {
      // if the request is a HEAD, or the response is a redirect,
      // then the metadata in the entry already includes everything
      // we need to build a response
      response = this.response;
    } else {
      // we're responding with a full cached response, so create a body
      // that reads from cacache and attach it to a new Response
      const body = new Minipass();

      const removeOnResume = () => body.removeListener('resume', onResume);

      let onResume;

      if (shouldBuffer) {
        onResume = async () => {
          removeOnResume();

          try {
            const content = await cacache.get.byDigest(this.options.cachePath, this.entry.integrity, {
              memoize: this.options.memoize
            });
            body.end(content);
          } catch (err) {
            if (err.code === 'EINTEGRITY') await cacache.rm.content(this.options.cachePath, this.entry.integrity, {
              memoize: this.options.memoize
            });
            if (err.code === 'ENOENT' || err.code === 'EINTEGRITY') await CacheEntry.invalidate(this.request, this.options);
            body.emit('error', err);
          }
        };
      } else {
        onResume = () => {
          const cacheStream = cacache.get.stream.byDigest(this.options.cachePath, this.entry.integrity, {
            memoize: this.options.memoize
          });
          cacheStream.on('error', async err => {
            cacheStream.pause();
            if (err.code === 'EINTEGRITY') await cacache.rm.content(this.options.cachePath, this.entry.integrity, {
              memoize: this.options.memoize
            });
            if (err.code === 'ENOENT' || err.code === 'EINTEGRITY') await CacheEntry.invalidate(this.request, this.options);
            body.emit('error', err);
            cacheStream.resume();
          });
          cacheStream.pipe(body);
        };
      }

      body.once('resume', onResume);
      body.once('end', removeOnResume);
      response = new Response(body, {
        url: this.entry.metadata.url,
        counter: options.counter,
        status: 200,
        headers: _objectSpread({}, this.policy.responseHeaders())
      });
    }

    response.headers.set('x-local-cache', encodeURIComponent(this.options.cachePath));
    response.headers.set('x-local-cache-hash', encodeURIComponent(this.entry.integrity));
    response.headers.set('x-local-cache-key', encodeURIComponent(this.key));
    response.headers.set('x-local-cache-mode', shouldBuffer ? 'buffer' : 'stream');
    response.headers.set('x-local-cache-status', status);
    response.headers.set('x-local-cache-time', new Date(this.entry.metadata.time).toUTCString());
    return response;
  } // use the provided request along with this cache entry to
  // revalidate the stored response. returns a response, either
  // from the cache or from the update


  async revalidate(request, options) {
    const revalidateRequest = new Request(request, {
      headers: this.policy.revalidationHeaders(request)
    });

    try {
      // NOTE: be sure to remove the headers property from the
      // user supplied options, since we have already defined
      // them on the new request object. if they're still in the
      // options then those will overwrite the ones from the policy
      var response = await remote(revalidateRequest, _objectSpread(_objectSpread({}, options), {}, {
        headers: undefined
      }));
    } catch (err) {
      // if the network fetch fails, return the stale
      // cached response unless it has a cache-control
      // of 'must-revalidate'
      if (!this.policy.mustRevalidate) return this.respond(request.method, options, 'stale');
      throw err;
    }

    if (this.policy.revalidated(revalidateRequest, response)) {
      // we got a 304, write a new index to the cache and respond from cache
      const metadata = getMetadata(request, response, options); // 304 responses do not include headers that are specific to the response data
      // since they do not include a body, so we copy values for headers that were
      // in the old cache entry to the new one, if the new metadata does not already
      // include that header

      for (const name of KEEP_RESPONSE_HEADERS) {
        if (!hasOwnProperty(metadata.resHeaders, name) && hasOwnProperty(this.entry.metadata.resHeaders, name)) metadata.resHeaders[name] = this.entry.metadata.resHeaders[name];
      }

      try {
        await cacache.index.insert(options.cachePath, this.key, this.entry.integrity, {
          size: this.entry.size,
          metadata
        });
      } catch (err) {// if updating the cache index fails, we ignore it and
        // respond anyway
      }

      return this.respond(request.method, options, 'revalidated');
    } // if we got a modified response, create a new entry based on it


    const newEntry = new CacheEntry({
      request,
      response,
      options
    }); // respond with the new entry while writing it to the cache

    return newEntry.store('updated');
  }

}

module.exports = CacheEntry;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/errors.js":
/***/ ((module) => {

class NotCachedError extends Error {
  constructor(url) {
    super(`request to ${url} failed: cache mode is 'only-if-cached' but no cached response is available.`);
    this.code = 'ENOTCACHED';
  }

}

module.exports = {
  NotCachedError
};

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  NotCachedError
} = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/errors.js");

const CacheEntry = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/entry.js");

const remote = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/remote.js"); // do whatever is necessary to get a Response and return it


const cacheFetch = async (request, options) => {
  // try to find a cached entry that satisfies this request
  const entry = await CacheEntry.find(request, options);

  if (!entry) {
    // no cached result, if the cache mode is 'only-if-cached' that's a failure
    if (options.cache === 'only-if-cached') throw new NotCachedError(request.url); // otherwise, we make a request, store it and return it

    const response = await remote(request, options);
    const entry = new CacheEntry({
      request,
      response,
      options
    });
    return entry.store('miss');
  } // we have a cached response that satisfies this request, however if the cache
  // mode is 'no-cache' then we send the revalidation request no matter what


  if (options.cache === 'no-cache') return entry.revalidate(request, options); // if the cached entry is not stale, or if the cache mode is 'force-cache' or
  // 'only-if-cached' we can respond with the cached entry. set the status
  // based on the result of needsRevalidation and respond

  const _needsRevalidation = entry.policy.needsRevalidation(request);

  if (options.cache === 'force-cache' || options.cache === 'only-if-cached' || !_needsRevalidation) return entry.respond(request.method, options, _needsRevalidation ? 'stale' : 'hit'); // if we got here, the cache entry is stale so revalidate it

  return entry.revalidate(request, options);
};

cacheFetch.invalidate = async (request, options) => {
  if (!options.cachePath) return;
  return CacheEntry.invalidate(request, options);
};

module.exports = cacheFetch;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/key.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  URL,
  format
} = __webpack_require__("url"); // options passed to url.format() when generating a key


const formatOptions = {
  auth: false,
  fragment: false,
  search: true,
  unicode: false
}; // returns a string to be used as the cache key for the Request

const cacheKey = request => {
  const parsed = new URL(request.url);
  return `make-fetch-happen:request-cache:${format(parsed, formatOptions)}`;
};

module.exports = cacheKey;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/policy.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const CacheSemantics = __webpack_require__("./node_modules/.f/_/http-cache-semantics/4.1.0/http-cache-semantics/index.js");

const Negotiator = __webpack_require__("./node_modules/.f/_/negotiator/0.6.2/negotiator/index.js");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js"); // HACK: negotiator lazy loads several of its own modules
// as a micro optimization. we need to be sure that they're
// in memory as soon as possible at startup so that we do
// not try to lazy load them after the directory has been
// retired during a self update of the npm CLI, we do this
// by calling all of the methods that trigger a lazy load
// on a fake instance.


const preloadNegotiator = new Negotiator({
  headers: {}
});
preloadNegotiator.charsets();
preloadNegotiator.encodings();
preloadNegotiator.languages();
preloadNegotiator.mediaTypes(); // options passed to http-cache-semantics constructor

const policyOptions = {
  shared: false,
  ignoreCargoCult: true
}; // a fake empty response, used when only testing the
// request for storability

const emptyResponse = {
  status: 200,
  headers: {}
}; // returns a plain object representation of the Request

const requestObject = request => {
  const _obj = {
    method: request.method,
    url: request.url,
    headers: {}
  };
  request.headers.forEach((value, key) => {
    _obj.headers[key] = value;
  });
  return _obj;
}; // returns a plain object representation of the Response


const responseObject = response => {
  const _obj = {
    status: response.status,
    headers: {}
  };
  response.headers.forEach((value, key) => {
    _obj.headers[key] = value;
  });
  return _obj;
};

class CachePolicy {
  constructor({
    entry,
    request,
    response,
    options
  }) {
    this.entry = entry;
    this.request = requestObject(request);
    this.response = responseObject(response);
    this.options = options;
    this.policy = new CacheSemantics(this.request, this.response, policyOptions);

    if (this.entry) {
      // if we have an entry, copy the timestamp to the _responseTime
      // this is necessary because the CacheSemantics constructor forces
      // the value to Date.now() which means a policy created from a
      // cache entry is likely to always identify itself as stale
      this.policy._responseTime = this.entry.metadata.time;
    }
  } // static method to quickly determine if a request alone is storable


  static storable(request, options) {
    // no cachePath means no caching
    if (!options.cachePath) return false; // user explicitly asked not to cache

    if (options.cache === 'no-store') return false; // we only cache GET and HEAD requests

    if (!['GET', 'HEAD'].includes(request.method)) return false; // otherwise, let http-cache-semantics make the decision
    // based on the request's headers

    const policy = new CacheSemantics(requestObject(request), emptyResponse, policyOptions);
    return policy.storable();
  } // returns true if the policy satisfies the request


  satisfies(request) {
    const _req = requestObject(request);

    if (this.request.headers.host !== _req.headers.host) return false;
    const negotiatorA = new Negotiator(this.request);
    const negotiatorB = new Negotiator(_req);
    if (JSON.stringify(negotiatorA.mediaTypes()) !== JSON.stringify(negotiatorB.mediaTypes())) return false;
    if (JSON.stringify(negotiatorA.languages()) !== JSON.stringify(negotiatorB.languages())) return false;
    if (JSON.stringify(negotiatorA.encodings()) !== JSON.stringify(negotiatorB.encodings())) return false;
    if (this.options.integrity) return ssri.parse(this.options.integrity).match(this.entry.integrity);
    return true;
  } // returns true if the request and response allow caching


  storable() {
    return this.policy.storable();
  } // NOTE: this is a hack to avoid parsing the cache-control
  // header ourselves, it returns true if the response's
  // cache-control contains must-revalidate


  get mustRevalidate() {
    return !!this.policy._rescc['must-revalidate'];
  } // returns true if the cached response requires revalidation
  // for the given request


  needsRevalidation(request) {
    const _req = requestObject(request); // force method to GET because we only cache GETs
    // but can serve a HEAD from a cached GET


    _req.method = 'GET';
    return !this.policy.satisfiesWithoutRevalidation(_req);
  }

  responseHeaders() {
    return this.policy.responseHeaders();
  } // returns a new object containing the appropriate headers
  // to send a revalidation request


  revalidationHeaders(request) {
    const _req = requestObject(request);

    return this.policy.revalidationHeaders(_req);
  } // returns true if the request/response was revalidated
  // successfully. returns false if a new response was received


  revalidated(request, response) {
    const _req = requestObject(request);

    const _res = responseObject(response);

    const policy = this.policy.revalidatedPolicy(_req, _res);
    return !policy.modified;
  }

}

module.exports = CachePolicy;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/fetch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  FetchError,
  Request,
  isRedirect
} = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/index.js");

const url = __webpack_require__("url");

const CachePolicy = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/policy.js");

const cache = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/cache/index.js");

const remote = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/remote.js"); // given a Request, a Response and user options
// return true if the response is a redirect that
// can be followed. we throw errors that will result
// in the fetch being rejected if the redirect is
// possible but invalid for some reason


const canFollowRedirect = (request, response, options) => {
  if (!isRedirect(response.status)) return false;
  if (options.redirect === 'manual') return false;
  if (options.redirect === 'error') throw new FetchError(`redirect mode is set to error: ${request.url}`, 'no-redirect', {
    code: 'ENOREDIRECT'
  });
  if (!response.headers.has('location')) throw new FetchError(`redirect location header missing for: ${request.url}`, 'no-location', {
    code: 'EINVALIDREDIRECT'
  });
  if (request.counter >= request.follow) throw new FetchError(`maximum redirect reached at: ${request.url}`, 'max-redirect', {
    code: 'EMAXREDIRECT'
  });
  return true;
}; // given a Request, a Response, and the user's options return an object
// with a new Request and a new options object that will be used for
// following the redirect


const getRedirect = (request, response, options) => {
  const _opts = _objectSpread({}, options);

  const location = response.headers.get('location');
  const redirectUrl = new url.URL(location, /^https?:/.test(location) ? undefined : request.url); // Comment below is used under the following license:
  // Copyright (c) 2010-2012 Mikeal Rogers
  // Licensed under the Apache License, Version 2.0 (the "License");
  // you may not use this file except in compliance with the License.
  // You may obtain a copy of the License at
  // http://www.apache.org/licenses/LICENSE-2.0
  // Unless required by applicable law or agreed to in writing,
  // software distributed under the License is distributed on an "AS
  // IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  // express or implied. See the License for the specific language
  // governing permissions and limitations under the License.
  // Remove authorization if changing hostnames (but not if just
  // changing ports or protocols).  This matches the behavior of request:
  // https://github.com/request/request/blob/b12a6245/lib/redirect.js#L134-L138

  if (new url.URL(request.url).hostname !== redirectUrl.hostname) request.headers.delete('authorization'); // for POST request with 301/302 response, or any request with 303 response,
  // use GET when following redirect

  if (response.status === 303 || request.method === 'POST' && [301, 302].includes(response.status)) {
    _opts.method = 'GET';
    _opts.body = null;
    request.headers.delete('content-length');
  }

  _opts.headers = {};
  request.headers.forEach((value, key) => {
    _opts.headers[key] = value;
  });
  _opts.counter = ++request.counter;
  const redirectReq = new Request(url.format(redirectUrl), _opts);
  return {
    request: redirectReq,
    options: _opts
  };
};

const fetch = async (request, options) => {
  const response = CachePolicy.storable(request, options) ? await cache(request, options) : await remote(request, options); // if the request wasn't a GET or HEAD, and the response
  // status is between 200 and 399 inclusive, invalidate the
  // request url

  if (!['GET', 'HEAD'].includes(request.method) && response.status >= 200 && response.status <= 399) await cache.invalidate(request, options);
  if (!canFollowRedirect(request, response, options)) return response;
  const redirect = getRedirect(request, response, options);
  return fetch(redirect.request, redirect.options);
};

module.exports = fetch;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  FetchError,
  Headers,
  Request,
  Response
} = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/index.js");

const configureOptions = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/options.js");

const fetch = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/fetch.js");

const makeFetchHappen = (url, opts) => {
  const options = configureOptions(opts);
  const request = new Request(url, options);
  return fetch(request, options);
};

makeFetchHappen.defaults = (defaultUrl, defaultOptions = {}) => {
  if (typeof defaultUrl === 'object') {
    defaultOptions = defaultUrl;
    defaultUrl = null;
  }

  const defaultedFetch = (url, options = {}) => {
    const finalUrl = url || defaultUrl;

    const finalOptions = _objectSpread(_objectSpread(_objectSpread({}, defaultOptions), options), {}, {
      headers: _objectSpread(_objectSpread({}, defaultOptions.headers), options.headers)
    });

    return makeFetchHappen(finalUrl, finalOptions);
  };

  defaultedFetch.defaults = makeFetchHappen.defaults;
  return defaultedFetch;
};

module.exports = makeFetchHappen;
module.exports.FetchError = FetchError;
module.exports.Headers = Headers;
module.exports.Request = Request;
module.exports.Response = Response;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/options.js":
/***/ ((module) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const conditionalHeaders = ['if-modified-since', 'if-none-match', 'if-unmodified-since', 'if-match', 'if-range'];

const configureOptions = opts => {
  const _opts = _objectSpread({}, opts),
        {
    strictSSL
  } = _opts,
        options = _objectWithoutProperties(_opts, ["strictSSL"]);

  options.method = options.method ? options.method.toUpperCase() : 'GET';
  options.rejectUnauthorized = strictSSL !== false;
  if (!options.retry) options.retry = {
    retries: 0
  };else if (typeof options.retry === 'string') {
    const retries = parseInt(options.retry, 10);
    if (isFinite(retries)) options.retry = {
      retries
    };else options.retry = {
      retries: 0
    };
  } else if (typeof options.retry === 'number') options.retry = {
    retries: options.retry
  };else options.retry = _objectSpread({
    retries: 0
  }, options.retry);
  options.cache = options.cache || 'default';

  if (options.cache === 'default') {
    const hasConditionalHeader = Object.keys(options.headers || {}).some(name => {
      return conditionalHeaders.includes(name.toLowerCase());
    });
    if (hasConditionalHeader) options.cache = 'no-store';
  } // cacheManager is deprecated, but if it's set and
  // cachePath is not we should copy it to the new field


  if (options.cacheManager && !options.cachePath) options.cachePath = options.cacheManager;
  return options;
};

module.exports = configureOptions;

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/remote.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const MinipassPipeline = __webpack_require__("./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/index.js");

const promiseRetry = __webpack_require__("./node_modules/.f/_/promise-retry/2.0.1/promise-retry/index.js");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/8.0.1/ssri/index.js");

const getAgent = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/agent.js");

const pkg = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/package.json");

const USER_AGENT = `${pkg.name}/${pkg.version} (+https://npm.im/${pkg.name})`;
const RETRY_ERRORS = ['ECONNRESET', // remote socket closed on us
'ECONNREFUSED', // remote host refused to open connection
'EADDRINUSE', // failed to bind to a local port (proxy?)
'ETIMEDOUT', // someone in the transaction is WAY TOO SLOW
'ERR_SOCKET_TIMEOUT' // same as above, but this one comes from agentkeepalive
// Known codes we do NOT retry on:
// ENOTFOUND (getaddrinfo failure. Either bad hostname, or offline)
];
const RETRY_TYPES = ['request-timeout']; // make a request directly to the remote source,
// retrying certain classes of errors as well as
// following redirects (through the cache if necessary)
// and verifying response integrity

const remoteFetch = (request, options) => {
  const agent = getAgent(request.url, options);
  if (!request.headers.has('connection')) request.headers.set('connection', agent ? 'keep-alive' : 'close');
  if (!request.headers.has('user-agent')) request.headers.set('user-agent', USER_AGENT); // keep our own options since we're overriding the agent
  // and the redirect mode

  const _opts = _objectSpread(_objectSpread({}, options), {}, {
    agent,
    redirect: 'manual'
  });

  return promiseRetry(async (retryHandler, attemptNum) => {
    const req = new fetch.Request(request, _opts);

    try {
      let res = await fetch(req, _opts);

      if (_opts.integrity && res.status === 200) {
        // we got a 200 response and the user has specified an expected
        // integrity value, so wrap the response in an ssri stream to verify it
        const integrityStream = ssri.integrityStream({
          integrity: _opts.integrity
        });
        res = new fetch.Response(new MinipassPipeline(res.body, integrityStream), res);
      }

      res.headers.set('x-fetch-attempts', attemptNum); // do not retry POST requests, or requests with a streaming body
      // do retry requests with a 408, 420, 429 or 500+ status in the response

      const isStream = Minipass.isStream(req.body);
      const isRetriable = req.method !== 'POST' && !isStream && ([408, 420, 429].includes(res.status) || res.status >= 500);

      if (isRetriable) {
        if (typeof options.onRetry === 'function') options.onRetry(res);
        return retryHandler(res);
      }

      return res;
    } catch (err) {
      const code = err.code === 'EPROMISERETRY' ? err.retried.code : err.code; // err.retried will be the thing that was thrown from above
      // if it's a response, we just got a bad status code and we
      // can re-throw to allow the retry

      const isRetryError = err.retried instanceof fetch.Response || RETRY_ERRORS.includes(code) && RETRY_TYPES.includes(err.type);
      if (req.method === 'POST' || isRetryError) throw err;
      if (typeof options.onRetry === 'function') options.onRetry(err);
      return retryHandler(err);
    }
  }, options.retry).catch(err => {
    // don't reject for http errors, just return them
    if (err.status >= 400 && err.type !== 'system') return err;
    throw err;
  });
};

module.exports = remoteFetch;

/***/ }),

/***/ "./node_modules/.f/_/merge-stream/2.0.0/merge-stream/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const {
  PassThrough
} = __webpack_require__("stream");

module.exports = function
  /*streams...*/
() {
  var sources = [];
  var output = new PassThrough({
    objectMode: true
  });
  output.setMaxListeners(0);
  output.add = add;
  output.isEmpty = isEmpty;
  output.on('unpipe', remove);
  Array.prototype.slice.call(arguments).forEach(add);
  return output;

  function add(source) {
    if (Array.isArray(source)) {
      source.forEach(add);
      return this;
    }

    sources.push(source);
    source.once('end', remove.bind(null, source));
    source.once('error', output.emit.bind(output, 'error'));
    source.pipe(output, {
      end: false
    });
    return this;
  }

  function isEmpty() {
    return sources.length == 0;
  }

  function remove(source) {
    sources = sources.filter(function (it) {
      return it !== source;
    });

    if (!sources.length && output.readable) {
      output.end();
    }
  }
};

/***/ }),

/***/ "./node_modules/.f/_/mimic-fn/2.1.0/mimic-fn/index.js":
/***/ ((module) => {

"use strict";


const mimicFn = (to, from) => {
  for (const prop of Reflect.ownKeys(from)) {
    Object.defineProperty(to, prop, Object.getOwnPropertyDescriptor(from, prop));
  }

  return to;
};

module.exports = mimicFn; // TODO: Remove this for the next major release

module.exports["default"] = mimicFn;

/***/ }),

/***/ "./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = minimatch;
minimatch.Minimatch = Minimatch;
var path = {
  sep: '/'
};

try {
  path = __webpack_require__("path");
} catch (er) {}

var GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {};

var expand = __webpack_require__("./node_modules/.f/_/brace-expansion/1.1.11/brace-expansion/index.js");

var plTypes = {
  '!': {
    open: '(?:(?!(?:',
    close: '))[^/]*?)'
  },
  '?': {
    open: '(?:',
    close: ')?'
  },
  '+': {
    open: '(?:',
    close: ')+'
  },
  '*': {
    open: '(?:',
    close: ')*'
  },
  '@': {
    open: '(?:',
    close: ')'
  }
}; // any single thing other than /
// don't need to escape / when using new RegExp()

var qmark = '[^/]'; // * => any number of characters

var star = qmark + '*?'; // ** when dots are allowed.  Anything goes, except .. and .
// not (^ or / followed by one or two dots followed by $ or /),
// followed by anything, any number of times.

var twoStarDot = '(?:(?!(?:\\\/|^)(?:\\.{1,2})($|\\\/)).)*?'; // not a ^ or / followed by a dot,
// followed by anything, any number of times.

var twoStarNoDot = '(?:(?!(?:\\\/|^)\\.).)*?'; // characters that need to be escaped in RegExp.

var reSpecials = charSet('().*{}+?[]^$\\!'); // "abc" -> { a:true, b:true, c:true }

function charSet(s) {
  return s.split('').reduce(function (set, c) {
    set[c] = true;
    return set;
  }, {});
} // normalizes slashes.


var slashSplit = /\/+/;
minimatch.filter = filter;

function filter(pattern, options) {
  options = options || {};
  return function (p, i, list) {
    return minimatch(p, pattern, options);
  };
}

function ext(a, b) {
  a = a || {};
  b = b || {};
  var t = {};
  Object.keys(b).forEach(function (k) {
    t[k] = b[k];
  });
  Object.keys(a).forEach(function (k) {
    t[k] = a[k];
  });
  return t;
}

minimatch.defaults = function (def) {
  if (!def || !Object.keys(def).length) return minimatch;
  var orig = minimatch;

  var m = function minimatch(p, pattern, options) {
    return orig.minimatch(p, pattern, ext(def, options));
  };

  m.Minimatch = function Minimatch(pattern, options) {
    return new orig.Minimatch(pattern, ext(def, options));
  };

  return m;
};

Minimatch.defaults = function (def) {
  if (!def || !Object.keys(def).length) return Minimatch;
  return minimatch.defaults(def).Minimatch;
};

function minimatch(p, pattern, options) {
  if (typeof pattern !== 'string') {
    throw new TypeError('glob pattern string required');
  }

  if (!options) options = {}; // shortcut: comments match nothing.

  if (!options.nocomment && pattern.charAt(0) === '#') {
    return false;
  } // "" only matches ""


  if (pattern.trim() === '') return p === '';
  return new Minimatch(pattern, options).match(p);
}

function Minimatch(pattern, options) {
  if (!(this instanceof Minimatch)) {
    return new Minimatch(pattern, options);
  }

  if (typeof pattern !== 'string') {
    throw new TypeError('glob pattern string required');
  }

  if (!options) options = {};
  pattern = pattern.trim(); // windows support: need to use /, not \

  if (path.sep !== '/') {
    pattern = pattern.split(path.sep).join('/');
  }

  this.options = options;
  this.set = [];
  this.pattern = pattern;
  this.regexp = null;
  this.negate = false;
  this.comment = false;
  this.empty = false; // make the set of regexps etc.

  this.make();
}

Minimatch.prototype.debug = function () {};

Minimatch.prototype.make = make;

function make() {
  // don't do it more than once.
  if (this._made) return;
  var pattern = this.pattern;
  var options = this.options; // empty patterns and comments match nothing.

  if (!options.nocomment && pattern.charAt(0) === '#') {
    this.comment = true;
    return;
  }

  if (!pattern) {
    this.empty = true;
    return;
  } // step 1: figure out negation, etc.


  this.parseNegate(); // step 2: expand braces

  var set = this.globSet = this.braceExpand();
  if (options.debug) this.debug = console.error;
  this.debug(this.pattern, set); // step 3: now we have a set, so turn each one into a series of path-portion
  // matching patterns.
  // These will be regexps, except in the case of "**", which is
  // set to the GLOBSTAR object for globstar behavior,
  // and will not contain any / characters

  set = this.globParts = set.map(function (s) {
    return s.split(slashSplit);
  });
  this.debug(this.pattern, set); // glob --> regexps

  set = set.map(function (s, si, set) {
    return s.map(this.parse, this);
  }, this);
  this.debug(this.pattern, set); // filter out everything that didn't compile properly.

  set = set.filter(function (s) {
    return s.indexOf(false) === -1;
  });
  this.debug(this.pattern, set);
  this.set = set;
}

Minimatch.prototype.parseNegate = parseNegate;

function parseNegate() {
  var pattern = this.pattern;
  var negate = false;
  var options = this.options;
  var negateOffset = 0;
  if (options.nonegate) return;

  for (var i = 0, l = pattern.length; i < l && pattern.charAt(i) === '!'; i++) {
    negate = !negate;
    negateOffset++;
  }

  if (negateOffset) this.pattern = pattern.substr(negateOffset);
  this.negate = negate;
} // Brace expansion:
// a{b,c}d -> abd acd
// a{b,}c -> abc ac
// a{0..3}d -> a0d a1d a2d a3d
// a{b,c{d,e}f}g -> abg acdfg acefg
// a{b,c}d{e,f}g -> abdeg acdeg abdeg abdfg
//
// Invalid sets are not expanded.
// a{2..}b -> a{2..}b
// a{b}c -> a{b}c


minimatch.braceExpand = function (pattern, options) {
  return braceExpand(pattern, options);
};

Minimatch.prototype.braceExpand = braceExpand;

function braceExpand(pattern, options) {
  if (!options) {
    if (this instanceof Minimatch) {
      options = this.options;
    } else {
      options = {};
    }
  }

  pattern = typeof pattern === 'undefined' ? this.pattern : pattern;

  if (typeof pattern === 'undefined') {
    throw new TypeError('undefined pattern');
  }

  if (options.nobrace || !pattern.match(/\{.*\}/)) {
    // shortcut. no need to expand.
    return [pattern];
  }

  return expand(pattern);
} // parse a component of the expanded set.
// At this point, no pattern may contain "/" in it
// so we're going to return a 2d array, where each entry is the full
// pattern, split on '/', and then turned into a regular expression.
// A regexp is made at the end which joins each array with an
// escaped /, and another full one which joins each regexp with |.
//
// Following the lead of Bash 4.1, note that "**" only has special meaning
// when it is the *only* thing in a path portion.  Otherwise, any series
// of * is equivalent to a single *.  Globstar behavior is enabled by
// default, and can be disabled by setting options.noglobstar.


Minimatch.prototype.parse = parse;
var SUBPARSE = {};

function parse(pattern, isSub) {
  if (pattern.length > 1024 * 64) {
    throw new TypeError('pattern is too long');
  }

  var options = this.options; // shortcuts

  if (!options.noglobstar && pattern === '**') return GLOBSTAR;
  if (pattern === '') return '';
  var re = '';
  var hasMagic = !!options.nocase;
  var escaping = false; // ? => one single character

  var patternListStack = [];
  var negativeLists = [];
  var stateChar;
  var inClass = false;
  var reClassStart = -1;
  var classStart = -1; // . and .. never match anything that doesn't start with .,
  // even when options.dot is set.

  var patternStart = pattern.charAt(0) === '.' ? '' // anything
  // not (start or / followed by . or .. followed by / or end)
  : options.dot ? '(?!(?:^|\\\/)\\.{1,2}(?:$|\\\/))' : '(?!\\.)';
  var self = this;

  function clearStateChar() {
    if (stateChar) {
      // we had some state-tracking character
      // that wasn't consumed by this pass.
      switch (stateChar) {
        case '*':
          re += star;
          hasMagic = true;
          break;

        case '?':
          re += qmark;
          hasMagic = true;
          break;

        default:
          re += '\\' + stateChar;
          break;
      }

      self.debug('clearStateChar %j %j', stateChar, re);
      stateChar = false;
    }
  }

  for (var i = 0, len = pattern.length, c; i < len && (c = pattern.charAt(i)); i++) {
    this.debug('%s\t%s %s %j', pattern, i, re, c); // skip over any that are escaped.

    if (escaping && reSpecials[c]) {
      re += '\\' + c;
      escaping = false;
      continue;
    }

    switch (c) {
      case '/':
        // completely not allowed, even escaped.
        // Should already be path-split by now.
        return false;

      case '\\':
        clearStateChar();
        escaping = true;
        continue;
      // the various stateChar values
      // for the "extglob" stuff.

      case '?':
      case '*':
      case '+':
      case '@':
      case '!':
        this.debug('%s\t%s %s %j <-- stateChar', pattern, i, re, c); // all of those are literals inside a class, except that
        // the glob [!a] means [^a] in regexp

        if (inClass) {
          this.debug('  in class');
          if (c === '!' && i === classStart + 1) c = '^';
          re += c;
          continue;
        } // if we already have a stateChar, then it means
        // that there was something like ** or +? in there.
        // Handle the stateChar, then proceed with this one.


        self.debug('call clearStateChar %j', stateChar);
        clearStateChar();
        stateChar = c; // if extglob is disabled, then +(asdf|foo) isn't a thing.
        // just clear the statechar *now*, rather than even diving into
        // the patternList stuff.

        if (options.noext) clearStateChar();
        continue;

      case '(':
        if (inClass) {
          re += '(';
          continue;
        }

        if (!stateChar) {
          re += '\\(';
          continue;
        }

        patternListStack.push({
          type: stateChar,
          start: i - 1,
          reStart: re.length,
          open: plTypes[stateChar].open,
          close: plTypes[stateChar].close
        }); // negation is (?:(?!js)[^/]*)

        re += stateChar === '!' ? '(?:(?!(?:' : '(?:';
        this.debug('plType %j %j', stateChar, re);
        stateChar = false;
        continue;

      case ')':
        if (inClass || !patternListStack.length) {
          re += '\\)';
          continue;
        }

        clearStateChar();
        hasMagic = true;
        var pl = patternListStack.pop(); // negation is (?:(?!js)[^/]*)
        // The others are (?:<pattern>)<type>

        re += pl.close;

        if (pl.type === '!') {
          negativeLists.push(pl);
        }

        pl.reEnd = re.length;
        continue;

      case '|':
        if (inClass || !patternListStack.length || escaping) {
          re += '\\|';
          escaping = false;
          continue;
        }

        clearStateChar();
        re += '|';
        continue;
      // these are mostly the same in regexp and glob

      case '[':
        // swallow any state-tracking char before the [
        clearStateChar();

        if (inClass) {
          re += '\\' + c;
          continue;
        }

        inClass = true;
        classStart = i;
        reClassStart = re.length;
        re += c;
        continue;

      case ']':
        //  a right bracket shall lose its special
        //  meaning and represent itself in
        //  a bracket expression if it occurs
        //  first in the list.  -- POSIX.2 2.8.3.2
        if (i === classStart + 1 || !inClass) {
          re += '\\' + c;
          escaping = false;
          continue;
        } // handle the case where we left a class open.
        // "[z-a]" is valid, equivalent to "\[z-a\]"


        if (inClass) {
          // split where the last [ was, make sure we don't have
          // an invalid re. if so, re-walk the contents of the
          // would-be class to re-translate any characters that
          // were passed through as-is
          // TODO: It would probably be faster to determine this
          // without a try/catch and a new RegExp, but it's tricky
          // to do safely.  For now, this is safe and works.
          var cs = pattern.substring(classStart + 1, i);

          try {
            RegExp('[' + cs + ']');
          } catch (er) {
            // not a valid class!
            var sp = this.parse(cs, SUBPARSE);
            re = re.substr(0, reClassStart) + '\\[' + sp[0] + '\\]';
            hasMagic = hasMagic || sp[1];
            inClass = false;
            continue;
          }
        } // finish up the class.


        hasMagic = true;
        inClass = false;
        re += c;
        continue;

      default:
        // swallow any state char that wasn't consumed
        clearStateChar();

        if (escaping) {
          // no need
          escaping = false;
        } else if (reSpecials[c] && !(c === '^' && inClass)) {
          re += '\\';
        }

        re += c;
    } // switch

  } // for
  // handle the case where we left a class open.
  // "[abc" is valid, equivalent to "\[abc"


  if (inClass) {
    // split where the last [ was, and escape it
    // this is a huge pita.  We now have to re-walk
    // the contents of the would-be class to re-translate
    // any characters that were passed through as-is
    cs = pattern.substr(classStart + 1);
    sp = this.parse(cs, SUBPARSE);
    re = re.substr(0, reClassStart) + '\\[' + sp[0];
    hasMagic = hasMagic || sp[1];
  } // handle the case where we had a +( thing at the *end*
  // of the pattern.
  // each pattern list stack adds 3 chars, and we need to go through
  // and escape any | chars that were passed through as-is for the regexp.
  // Go through and escape them, taking care not to double-escape any
  // | chars that were already escaped.


  for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
    var tail = re.slice(pl.reStart + pl.open.length);
    this.debug('setting tail', re, pl); // maybe some even number of \, then maybe 1 \, followed by a |

    tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, function (_, $1, $2) {
      if (!$2) {
        // the | isn't already escaped, so escape it.
        $2 = '\\';
      } // need to escape all those slashes *again*, without escaping the
      // one that we need for escaping the | character.  As it works out,
      // escaping an even number of slashes can be done by simply repeating
      // it exactly after itself.  That's why this trick works.
      //
      // I am sorry that you have to see this.


      return $1 + $1 + $2 + '|';
    });
    this.debug('tail=%j\n   %s', tail, tail, pl, re);
    var t = pl.type === '*' ? star : pl.type === '?' ? qmark : '\\' + pl.type;
    hasMagic = true;
    re = re.slice(0, pl.reStart) + t + '\\(' + tail;
  } // handle trailing things that only matter at the very end.


  clearStateChar();

  if (escaping) {
    // trailing \\
    re += '\\\\';
  } // only need to apply the nodot start if the re starts with
  // something that could conceivably capture a dot


  var addPatternStart = false;

  switch (re.charAt(0)) {
    case '.':
    case '[':
    case '(':
      addPatternStart = true;
  } // Hack to work around lack of negative lookbehind in JS
  // A pattern like: *.!(x).!(y|z) needs to ensure that a name
  // like 'a.xyz.yz' doesn't match.  So, the first negative
  // lookahead, has to look ALL the way ahead, to the end of
  // the pattern.


  for (var n = negativeLists.length - 1; n > -1; n--) {
    var nl = negativeLists[n];
    var nlBefore = re.slice(0, nl.reStart);
    var nlFirst = re.slice(nl.reStart, nl.reEnd - 8);
    var nlLast = re.slice(nl.reEnd - 8, nl.reEnd);
    var nlAfter = re.slice(nl.reEnd);
    nlLast += nlAfter; // Handle nested stuff like *(*.js|!(*.json)), where open parens
    // mean that we should *not* include the ) in the bit that is considered
    // "after" the negated section.

    var openParensBefore = nlBefore.split('(').length - 1;
    var cleanAfter = nlAfter;

    for (i = 0; i < openParensBefore; i++) {
      cleanAfter = cleanAfter.replace(/\)[+*?]?/, '');
    }

    nlAfter = cleanAfter;
    var dollar = '';

    if (nlAfter === '' && isSub !== SUBPARSE) {
      dollar = '$';
    }

    var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast;
    re = newRe;
  } // if the re is not "" at this point, then we need to make sure
  // it doesn't match against an empty path part.
  // Otherwise a/* will match a/, which it should not.


  if (re !== '' && hasMagic) {
    re = '(?=.)' + re;
  }

  if (addPatternStart) {
    re = patternStart + re;
  } // parsing just a piece of a larger pattern.


  if (isSub === SUBPARSE) {
    return [re, hasMagic];
  } // skip the regexp for non-magical patterns
  // unescape anything in it, though, so that it'll be
  // an exact match against a file etc.


  if (!hasMagic) {
    return globUnescape(pattern);
  }

  var flags = options.nocase ? 'i' : '';

  try {
    var regExp = new RegExp('^' + re + '$', flags);
  } catch (er) {
    // If it was an invalid regular expression, then it can't match
    // anything.  This trick looks for a character after the end of
    // the string, which is of course impossible, except in multi-line
    // mode, but it's not a /m regex.
    return new RegExp('$.');
  }

  regExp._glob = pattern;
  regExp._src = re;
  return regExp;
}

minimatch.makeRe = function (pattern, options) {
  return new Minimatch(pattern, options || {}).makeRe();
};

Minimatch.prototype.makeRe = makeRe;

function makeRe() {
  if (this.regexp || this.regexp === false) return this.regexp; // at this point, this.set is a 2d array of partial
  // pattern strings, or "**".
  //
  // It's better to use .match().  This function shouldn't
  // be used, really, but it's pretty convenient sometimes,
  // when you just want to work with a regex.

  var set = this.set;

  if (!set.length) {
    this.regexp = false;
    return this.regexp;
  }

  var options = this.options;
  var twoStar = options.noglobstar ? star : options.dot ? twoStarDot : twoStarNoDot;
  var flags = options.nocase ? 'i' : '';
  var re = set.map(function (pattern) {
    return pattern.map(function (p) {
      return p === GLOBSTAR ? twoStar : typeof p === 'string' ? regExpEscape(p) : p._src;
    }).join('\\\/');
  }).join('|'); // must match entire pattern
  // ending in a * or ** will make it less strict.

  re = '^(?:' + re + ')$'; // can match anything, as long as it's not this.

  if (this.negate) re = '^(?!' + re + ').*$';

  try {
    this.regexp = new RegExp(re, flags);
  } catch (ex) {
    this.regexp = false;
  }

  return this.regexp;
}

minimatch.match = function (list, pattern, options) {
  options = options || {};
  var mm = new Minimatch(pattern, options);
  list = list.filter(function (f) {
    return mm.match(f);
  });

  if (mm.options.nonull && !list.length) {
    list.push(pattern);
  }

  return list;
};

Minimatch.prototype.match = match;

function match(f, partial) {
  this.debug('match', f, this.pattern); // short-circuit in the case of busted things.
  // comments, etc.

  if (this.comment) return false;
  if (this.empty) return f === '';
  if (f === '/' && partial) return true;
  var options = this.options; // windows: need to use /, not \

  if (path.sep !== '/') {
    f = f.split(path.sep).join('/');
  } // treat the test path as a set of pathparts.


  f = f.split(slashSplit);
  this.debug(this.pattern, 'split', f); // just ONE of the pattern sets in this.set needs to match
  // in order for it to be valid.  If negating, then just one
  // match means that we have failed.
  // Either way, return on the first hit.

  var set = this.set;
  this.debug(this.pattern, 'set', set); // Find the basename of the path by looking for the last non-empty segment

  var filename;
  var i;

  for (i = f.length - 1; i >= 0; i--) {
    filename = f[i];
    if (filename) break;
  }

  for (i = 0; i < set.length; i++) {
    var pattern = set[i];
    var file = f;

    if (options.matchBase && pattern.length === 1) {
      file = [filename];
    }

    var hit = this.matchOne(file, pattern, partial);

    if (hit) {
      if (options.flipNegate) return true;
      return !this.negate;
    }
  } // didn't get any hits.  this is success if it's a negative
  // pattern, failure otherwise.


  if (options.flipNegate) return false;
  return this.negate;
} // set partial to true to test if, for example,
// "/a/b" matches the start of "/*/b/*/d"
// Partial means, if you run out of file before you run
// out of pattern, then that's fine, as long as all
// the parts match.


Minimatch.prototype.matchOne = function (file, pattern, partial) {
  var options = this.options;
  this.debug('matchOne', {
    'this': this,
    file: file,
    pattern: pattern
  });
  this.debug('matchOne', file.length, pattern.length);

  for (var fi = 0, pi = 0, fl = file.length, pl = pattern.length; fi < fl && pi < pl; fi++, pi++) {
    this.debug('matchOne loop');
    var p = pattern[pi];
    var f = file[fi];
    this.debug(pattern, p, f); // should be impossible.
    // some invalid regexp stuff in the set.

    if (p === false) return false;

    if (p === GLOBSTAR) {
      this.debug('GLOBSTAR', [pattern, p, f]); // "**"
      // a/**/b/**/c would match the following:
      // a/b/x/y/z/c
      // a/x/y/z/b/c
      // a/b/x/b/x/c
      // a/b/c
      // To do this, take the rest of the pattern after
      // the **, and see if it would match the file remainder.
      // If so, return success.
      // If not, the ** "swallows" a segment, and try again.
      // This is recursively awful.
      //
      // a/**/b/**/c matching a/b/x/y/z/c
      // - a matches a
      // - doublestar
      //   - matchOne(b/x/y/z/c, b/**/c)
      //     - b matches b
      //     - doublestar
      //       - matchOne(x/y/z/c, c) -> no
      //       - matchOne(y/z/c, c) -> no
      //       - matchOne(z/c, c) -> no
      //       - matchOne(c, c) yes, hit

      var fr = fi;
      var pr = pi + 1;

      if (pr === pl) {
        this.debug('** at the end'); // a ** at the end will just swallow the rest.
        // We have found a match.
        // however, it will not swallow /.x, unless
        // options.dot is set.
        // . and .. are *never* matched by **, for explosively
        // exponential reasons.

        for (; fi < fl; fi++) {
          if (file[fi] === '.' || file[fi] === '..' || !options.dot && file[fi].charAt(0) === '.') return false;
        }

        return true;
      } // ok, let's see if we can swallow whatever we can.


      while (fr < fl) {
        var swallowee = file[fr];
        this.debug('\nglobstar while', file, fr, pattern, pr, swallowee); // XXX remove this slice.  Just pass the start index.

        if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
          this.debug('globstar found match!', fr, fl, swallowee); // found a match.

          return true;
        } else {
          // can't swallow "." or ".." ever.
          // can only swallow ".foo" when explicitly asked.
          if (swallowee === '.' || swallowee === '..' || !options.dot && swallowee.charAt(0) === '.') {
            this.debug('dot detected!', file, fr, pattern, pr);
            break;
          } // ** swallows a segment, and continue.


          this.debug('globstar swallow a segment, and continue');
          fr++;
        }
      } // no match was found.
      // However, in partial mode, we can't say this is necessarily over.
      // If there's more *pattern* left, then


      if (partial) {
        // ran out of file
        this.debug('\n>>> no match, partial?', file, fr, pattern, pr);
        if (fr === fl) return true;
      }

      return false;
    } // something other than **
    // non-magic patterns just have to match exactly
    // patterns with magic have been turned into regexps.


    var hit;

    if (typeof p === 'string') {
      if (options.nocase) {
        hit = f.toLowerCase() === p.toLowerCase();
      } else {
        hit = f === p;
      }

      this.debug('string match', p, f, hit);
    } else {
      hit = f.match(p);
      this.debug('pattern match', p, f, hit);
    }

    if (!hit) return false;
  } // Note: ending in / means that we'll get a final ""
  // at the end of the pattern.  This can only match a
  // corresponding "" at the end of the file.
  // If the file ends in /, then it can only match a
  // a pattern that ends in /, unless the pattern just
  // doesn't have any more for it. But, a/b/ should *not*
  // match "a/b/*", even though "" matches against the
  // [^/]*? pattern, except in partial mode, where it might
  // simply not be reached yet.
  // However, a/b/ should still satisfy a/*
  // now either we fell off the end of the pattern, or we're done.


  if (fi === fl && pi === pl) {
    // ran out of pattern and filename at the same time.
    // an exact hit!
    return true;
  } else if (fi === fl) {
    // ran out of file, but still had pattern left.
    // this is ok if we're doing the match as part of
    // a glob fs traversal.
    return partial;
  } else if (pi === pl) {
    // ran out of pattern, still have file left.
    // this is only acceptable if we're on the very last
    // empty segment of a file with a trailing slash.
    // a/* should match a/b/
    var emptyFileEnd = fi === fl - 1 && file[fi] === '';
    return emptyFileEnd;
  } // should be unreachable.


  throw new Error('wtf?');
}; // replace stuff like \* with *


function globUnescape(s) {
  return s.replace(/\\(.)/g, '$1');
}

function regExpEscape(s) {
  return s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&');
}

/***/ }),

/***/ "./node_modules/.f/_/minipass-collect/1.0.2/minipass-collect/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const _data = Symbol('_data');

const _length = Symbol('_length');

class Collect extends Minipass {
  constructor(options) {
    super(options);
    this[_data] = [];
    this[_length] = 0;
  }

  write(chunk, encoding, cb) {
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (!encoding) encoding = 'utf8';
    const c = Buffer.isBuffer(chunk) ? chunk : Buffer.from(chunk, encoding);

    this[_data].push(c);

    this[_length] += c.length;
    if (cb) cb();
    return true;
  }

  end(chunk, encoding, cb) {
    if (typeof chunk === 'function') cb = chunk, chunk = null;
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (chunk) this.write(chunk, encoding);
    const result = Buffer.concat(this[_data], this[_length]);
    super.write(result);
    return super.end(cb);
  }

}

module.exports = Collect; // it would be possible to DRY this a bit by doing something like
// this.collector = new Collect() and listening on its data event,
// but it's not much code, and we may as well save the extra obj

class CollectPassThrough extends Minipass {
  constructor(options) {
    super(options);
    this[_data] = [];
    this[_length] = 0;
  }

  write(chunk, encoding, cb) {
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (!encoding) encoding = 'utf8';
    const c = Buffer.isBuffer(chunk) ? chunk : Buffer.from(chunk, encoding);

    this[_data].push(c);

    this[_length] += c.length;
    return super.write(chunk, encoding, cb);
  }

  end(chunk, encoding, cb) {
    if (typeof chunk === 'function') cb = chunk, chunk = null;
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (chunk) this.write(chunk, encoding);
    const result = Buffer.concat(this[_data], this[_length]);
    this.emit('collect', result);
    return super.end(cb);
  }

}

module.exports.PassThrough = CollectPassThrough;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/abort-error.js":
/***/ ((module) => {

"use strict";


class AbortError extends Error {
  constructor(message) {
    super(message);
    this.code = 'FETCH_ABORTED';
    this.type = 'aborted';
    Error.captureStackTrace(this, this.constructor);
  }

  get name() {
    return 'AbortError';
  } // don't allow name to be overridden, but don't throw either


  set name(s) {}

}

module.exports = AbortError;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/blob.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const TYPE = Symbol('type');
const BUFFER = Symbol('buffer');

class Blob {
  constructor(blobParts, options) {
    this[TYPE] = '';
    const buffers = [];
    let size = 0;

    if (blobParts) {
      const a = blobParts;
      const length = Number(a.length);

      for (let i = 0; i < length; i++) {
        const element = a[i];
        const buffer = element instanceof Buffer ? element : ArrayBuffer.isView(element) ? Buffer.from(element.buffer, element.byteOffset, element.byteLength) : element instanceof ArrayBuffer ? Buffer.from(element) : element instanceof Blob ? element[BUFFER] : typeof element === 'string' ? Buffer.from(element) : Buffer.from(String(element));
        size += buffer.length;
        buffers.push(buffer);
      }
    }

    this[BUFFER] = Buffer.concat(buffers, size);
    const type = options && options.type !== undefined && String(options.type).toLowerCase();

    if (type && !/[^\u0020-\u007E]/.test(type)) {
      this[TYPE] = type;
    }
  }

  get size() {
    return this[BUFFER].length;
  }

  get type() {
    return this[TYPE];
  }

  text() {
    return Promise.resolve(this[BUFFER].toString());
  }

  arrayBuffer() {
    const buf = this[BUFFER];
    const off = buf.byteOffset;
    const len = buf.byteLength;
    const ab = buf.buffer.slice(off, off + len);
    return Promise.resolve(ab);
  }

  stream() {
    return new Minipass().end(this[BUFFER]);
  }

  slice(start, end, type) {
    const size = this.size;
    const relativeStart = start === undefined ? 0 : start < 0 ? Math.max(size + start, 0) : Math.min(start, size);
    const relativeEnd = end === undefined ? size : end < 0 ? Math.max(size + end, 0) : Math.min(end, size);
    const span = Math.max(relativeEnd - relativeStart, 0);
    const buffer = this[BUFFER];
    const slicedBuffer = buffer.slice(relativeStart, relativeStart + span);
    const blob = new Blob([], {
      type
    });
    blob[BUFFER] = slicedBuffer;
    return blob;
  }

  get [Symbol.toStringTag]() {
    return 'Blob';
  }

  static get BUFFER() {
    return BUFFER;
  }

}

Object.defineProperties(Blob.prototype, {
  size: {
    enumerable: true
  },
  type: {
    enumerable: true
  }
});
module.exports = Blob;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/body.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const MinipassSized = __webpack_require__("./node_modules/.f/_/minipass-sized/1.0.3/minipass-sized/index.js");

const Blob = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/blob.js");

const {
  BUFFER
} = Blob;

const FetchError = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/fetch-error.js"); // optional dependency on 'encoding'


let convert;

try {
  convert = __webpack_require__("./node_modules/.f/_/encoding/0.1.13/encoding/lib/encoding.js").convert;
} catch (e) {}

const INTERNALS = Symbol('Body internals');
const CONSUME_BODY = Symbol('consumeBody');

class Body {
  constructor(bodyArg, options = {}) {
    const {
      size = 0,
      timeout = 0
    } = options;
    const body = bodyArg === undefined || bodyArg === null ? null : isURLSearchParams(bodyArg) ? Buffer.from(bodyArg.toString()) : isBlob(bodyArg) ? bodyArg : Buffer.isBuffer(bodyArg) ? bodyArg : Object.prototype.toString.call(bodyArg) === '[object ArrayBuffer]' ? Buffer.from(bodyArg) : ArrayBuffer.isView(bodyArg) ? Buffer.from(bodyArg.buffer, bodyArg.byteOffset, bodyArg.byteLength) : Minipass.isStream(bodyArg) ? bodyArg : Buffer.from(String(bodyArg));
    this[INTERNALS] = {
      body,
      disturbed: false,
      error: null
    };
    this.size = size;
    this.timeout = timeout;

    if (Minipass.isStream(body)) {
      body.on('error', er => {
        const error = er.name === 'AbortError' ? er : new FetchError(`Invalid response while trying to fetch ${this.url}: ${er.message}`, 'system', er);
        this[INTERNALS].error = error;
      });
    }
  }

  get body() {
    return this[INTERNALS].body;
  }

  get bodyUsed() {
    return this[INTERNALS].disturbed;
  }

  arrayBuffer() {
    return this[CONSUME_BODY]().then(buf => buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength));
  }

  blob() {
    const ct = this.headers && this.headers.get('content-type') || '';
    return this[CONSUME_BODY]().then(buf => Object.assign(new Blob([], {
      type: ct.toLowerCase()
    }), {
      [BUFFER]: buf
    }));
  }

  json() {
    return this[CONSUME_BODY]().then(buf => {
      try {
        return JSON.parse(buf.toString());
      } catch (er) {
        return Promise.reject(new FetchError(`invalid json response body at ${this.url} reason: ${er.message}`, 'invalid-json'));
      }
    });
  }

  text() {
    return this[CONSUME_BODY]().then(buf => buf.toString());
  }

  buffer() {
    return this[CONSUME_BODY]();
  }

  textConverted() {
    return this[CONSUME_BODY]().then(buf => convertBody(buf, this.headers));
  }

  [CONSUME_BODY]() {
    if (this[INTERNALS].disturbed) return Promise.reject(new TypeError(`body used already for: ${this.url}`));
    this[INTERNALS].disturbed = true;
    if (this[INTERNALS].error) return Promise.reject(this[INTERNALS].error); // body is null

    if (this.body === null) {
      return Promise.resolve(Buffer.alloc(0));
    }

    if (Buffer.isBuffer(this.body)) return Promise.resolve(this.body);
    const upstream = isBlob(this.body) ? this.body.stream() : this.body;
    /* istanbul ignore if: should never happen */

    if (!Minipass.isStream(upstream)) return Promise.resolve(Buffer.alloc(0));
    const stream = this.size && upstream instanceof MinipassSized ? upstream : !this.size && upstream instanceof Minipass && !(upstream instanceof MinipassSized) ? upstream : this.size ? new MinipassSized({
      size: this.size
    }) : new Minipass(); // allow timeout on slow response body

    const resTimeout = this.timeout ? setTimeout(() => {
      stream.emit('error', new FetchError(`Response timeout while trying to fetch ${this.url} (over ${this.timeout}ms)`, 'body-timeout'));
    }, this.timeout) : null; // do not keep the process open just for this timeout, even
    // though we expect it'll get cleared eventually.

    if (resTimeout) {
      resTimeout.unref();
    } // do the pipe in the promise, because the pipe() can send too much
    // data through right away and upset the MP Sized object


    return new Promise((resolve, reject) => {
      // if the stream is some other kind of stream, then pipe through a MP
      // so we can collect it more easily.
      if (stream !== upstream) {
        upstream.on('error', er => stream.emit('error', er));
        upstream.pipe(stream);
      }

      resolve();
    }).then(() => stream.concat()).then(buf => {
      clearTimeout(resTimeout);
      return buf;
    }).catch(er => {
      clearTimeout(resTimeout); // request was aborted, reject with this Error

      if (er.name === 'AbortError' || er.name === 'FetchError') throw er;else if (er.name === 'RangeError') throw new FetchError(`Could not create Buffer from response body for ${this.url}: ${er.message}`, 'system', er);else // other errors, such as incorrect content-encoding or content-length
        throw new FetchError(`Invalid response body while trying to fetch ${this.url}: ${er.message}`, 'system', er);
    });
  }

  static clone(instance) {
    if (instance.bodyUsed) throw new Error('cannot clone body after it is used');
    const body = instance.body; // check that body is a stream and not form-data object
    // NB: can't clone the form-data object without having it as a dependency

    if (Minipass.isStream(body) && typeof body.getBoundary !== 'function') {
      // create a dedicated tee stream so that we don't lose data
      // potentially sitting in the body stream's buffer by writing it
      // immediately to p1 and not having it for p2.
      const tee = new Minipass();
      const p1 = new Minipass();
      const p2 = new Minipass();
      tee.on('error', er => {
        p1.emit('error', er);
        p2.emit('error', er);
      });
      body.on('error', er => tee.emit('error', er));
      tee.pipe(p1);
      tee.pipe(p2);
      body.pipe(tee); // set instance body to one fork, return the other

      instance[INTERNALS].body = p1;
      return p2;
    } else return instance.body;
  }

  static extractContentType(body) {
    return body === null || body === undefined ? null : typeof body === 'string' ? 'text/plain;charset=UTF-8' : isURLSearchParams(body) ? 'application/x-www-form-urlencoded;charset=UTF-8' : isBlob(body) ? body.type || null : Buffer.isBuffer(body) ? null : Object.prototype.toString.call(body) === '[object ArrayBuffer]' ? null : ArrayBuffer.isView(body) ? null : typeof body.getBoundary === 'function' ? `multipart/form-data;boundary=${body.getBoundary()}` : Minipass.isStream(body) ? null : 'text/plain;charset=UTF-8';
  }

  static getTotalBytes(instance) {
    const {
      body
    } = instance;
    return body === null || body === undefined ? 0 : isBlob(body) ? body.size : Buffer.isBuffer(body) ? body.length : body && typeof body.getLengthSync === 'function' && ( // detect form data input from form-data module
    body._lengthRetrievers &&
    /* istanbul ignore next */
    body._lengthRetrievers.length == 0 || // 1.x
    body.hasKnownLength && body.hasKnownLength()) // 2.x
    ? body.getLengthSync() : null;
  }

  static writeToStream(dest, instance) {
    const {
      body
    } = instance;
    if (body === null || body === undefined) dest.end();else if (Buffer.isBuffer(body) || typeof body === 'string') dest.end(body);else {
      // body is stream or blob
      const stream = isBlob(body) ? body.stream() : body;
      stream.on('error', er => dest.emit('error', er)).pipe(dest);
    }
    return dest;
  }

}

Object.defineProperties(Body.prototype, {
  body: {
    enumerable: true
  },
  bodyUsed: {
    enumerable: true
  },
  arrayBuffer: {
    enumerable: true
  },
  blob: {
    enumerable: true
  },
  json: {
    enumerable: true
  },
  text: {
    enumerable: true
  }
});

const isURLSearchParams = obj => // Duck-typing as a necessary condition.
typeof obj !== 'object' || typeof obj.append !== 'function' || typeof obj.delete !== 'function' || typeof obj.get !== 'function' || typeof obj.getAll !== 'function' || typeof obj.has !== 'function' || typeof obj.set !== 'function' ? false // Brand-checking and more duck-typing as optional condition.
: obj.constructor.name === 'URLSearchParams' || Object.prototype.toString.call(obj) === '[object URLSearchParams]' || typeof obj.sort === 'function';

const isBlob = obj => typeof obj === 'object' && typeof obj.arrayBuffer === 'function' && typeof obj.type === 'string' && typeof obj.stream === 'function' && typeof obj.constructor === 'function' && typeof obj.constructor.name === 'string' && /^(Blob|File)$/.test(obj.constructor.name) && /^(Blob|File)$/.test(obj[Symbol.toStringTag]);

const convertBody = (buffer, headers) => {
  /* istanbul ignore if */
  if (typeof convert !== 'function') throw new Error('The package `encoding` must be installed to use the textConverted() function');
  const ct = headers && headers.get('content-type');
  let charset = 'utf-8';
  let res, str; // header

  if (ct) res = /charset=([^;]*)/i.exec(ct); // no charset in content type, peek at response body for at most 1024 bytes

  str = buffer.slice(0, 1024).toString(); // html5

  if (!res && str) res = /<meta.+?charset=(['"])(.+?)\1/i.exec(str); // html4

  if (!res && str) {
    res = /<meta[\s]+?http-equiv=(['"])content-type\1[\s]+?content=(['"])(.+?)\2/i.exec(str);

    if (!res) {
      res = /<meta[\s]+?content=(['"])(.+?)\1[\s]+?http-equiv=(['"])content-type\3/i.exec(str);
      if (res) res.pop(); // drop last quote
    }

    if (res) res = /charset=(.*)/i.exec(res.pop());
  } // xml


  if (!res && str) res = /<\?xml.+?encoding=(['"])(.+?)\1/i.exec(str); // found charset

  if (res) {
    charset = res.pop(); // prevent decode issues when sites use incorrect encoding
    // ref: https://hsivonen.fi/encoding-menu/

    if (charset === 'gb2312' || charset === 'gbk') charset = 'gb18030';
  } // turn raw buffers into a single utf-8 buffer


  return convert(buffer, 'UTF-8', charset).toString();
};

module.exports = Body;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/fetch-error.js":
/***/ ((module) => {

"use strict";


class FetchError extends Error {
  constructor(message, type, systemError) {
    super(message);
    this.code = 'FETCH_ERROR'; // pick up code, expected, path, ...

    if (systemError) Object.assign(this, systemError);
    this.errno = this.code; // override anything the system error might've clobbered

    this.type = this.code === 'EBADSIZE' && this.found > this.expect ? 'max-size' : type;
    this.message = message;
    Error.captureStackTrace(this, this.constructor);
  }

  get name() {
    return 'FetchError';
  } // don't allow name to be overwritten


  set name(n) {}

  get [Symbol.toStringTag]() {
    return 'FetchError';
  }

}

module.exports = FetchError;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/headers.js":
/***/ ((module) => {

"use strict";


const invalidTokenRegex = /[^\^_`a-zA-Z\-0-9!#$%&'*+.|~]/;
const invalidHeaderCharRegex = /[^\t\x20-\x7e\x80-\xff]/;

const validateName = name => {
  name = `${name}`;
  if (invalidTokenRegex.test(name) || name === '') throw new TypeError(`${name} is not a legal HTTP header name`);
};

const validateValue = value => {
  value = `${value}`;
  if (invalidHeaderCharRegex.test(value)) throw new TypeError(`${value} is not a legal HTTP header value`);
};

const find = (map, name) => {
  name = name.toLowerCase();

  for (const key in map) {
    if (key.toLowerCase() === name) return key;
  }

  return undefined;
};

const MAP = Symbol('map');

class Headers {
  constructor(init = undefined) {
    this[MAP] = Object.create(null);

    if (init instanceof Headers) {
      const rawHeaders = init.raw();
      const headerNames = Object.keys(rawHeaders);

      for (const headerName of headerNames) {
        for (const value of rawHeaders[headerName]) {
          this.append(headerName, value);
        }
      }

      return;
    } // no-op


    if (init === undefined || init === null) return;

    if (typeof init === 'object') {
      const method = init[Symbol.iterator];

      if (method !== null && method !== undefined) {
        if (typeof method !== 'function') throw new TypeError('Header pairs must be iterable'); // sequence<sequence<ByteString>>
        // Note: per spec we have to first exhaust the lists then process them

        const pairs = [];

        for (const pair of init) {
          if (typeof pair !== 'object' || typeof pair[Symbol.iterator] !== 'function') throw new TypeError('Each header pair must be iterable');
          const arrPair = Array.from(pair);
          if (arrPair.length !== 2) throw new TypeError('Each header pair must be a name/value tuple');
          pairs.push(arrPair);
        }

        for (const pair of pairs) {
          this.append(pair[0], pair[1]);
        }
      } else {
        // record<ByteString, ByteString>
        for (const key of Object.keys(init)) {
          this.append(key, init[key]);
        }
      }
    } else throw new TypeError('Provided initializer must be an object');
  }

  get(name) {
    name = `${name}`;
    validateName(name);
    const key = find(this[MAP], name);
    if (key === undefined) return null;
    return this[MAP][key].join(', ');
  }

  forEach(callback, thisArg = undefined) {
    let pairs = getHeaders(this);

    for (let i = 0; i < pairs.length; i++) {
      const [name, value] = pairs[i];
      callback.call(thisArg, value, name, this); // refresh in case the callback added more headers

      pairs = getHeaders(this);
    }
  }

  set(name, value) {
    name = `${name}`;
    value = `${value}`;
    validateName(name);
    validateValue(value);
    const key = find(this[MAP], name);
    this[MAP][key !== undefined ? key : name] = [value];
  }

  append(name, value) {
    name = `${name}`;
    value = `${value}`;
    validateName(name);
    validateValue(value);
    const key = find(this[MAP], name);
    if (key !== undefined) this[MAP][key].push(value);else this[MAP][name] = [value];
  }

  has(name) {
    name = `${name}`;
    validateName(name);
    return find(this[MAP], name) !== undefined;
  }

  delete(name) {
    name = `${name}`;
    validateName(name);
    const key = find(this[MAP], name);
    if (key !== undefined) delete this[MAP][key];
  }

  raw() {
    return this[MAP];
  }

  keys() {
    return new HeadersIterator(this, 'key');
  }

  values() {
    return new HeadersIterator(this, 'value');
  }

  [Symbol.iterator]() {
    return new HeadersIterator(this, 'key+value');
  }

  entries() {
    return new HeadersIterator(this, 'key+value');
  }

  get [Symbol.toStringTag]() {
    return 'Headers';
  }

  static exportNodeCompatibleHeaders(headers) {
    const obj = Object.assign(Object.create(null), headers[MAP]); // http.request() only supports string as Host header. This hack makes
    // specifying custom Host header possible.

    const hostHeaderKey = find(headers[MAP], 'Host');
    if (hostHeaderKey !== undefined) obj[hostHeaderKey] = obj[hostHeaderKey][0];
    return obj;
  }

  static createHeadersLenient(obj) {
    const headers = new Headers();

    for (const name of Object.keys(obj)) {
      if (invalidTokenRegex.test(name)) continue;

      if (Array.isArray(obj[name])) {
        for (const val of obj[name]) {
          if (invalidHeaderCharRegex.test(val)) continue;
          if (headers[MAP][name] === undefined) headers[MAP][name] = [val];else headers[MAP][name].push(val);
        }
      } else if (!invalidHeaderCharRegex.test(obj[name])) headers[MAP][name] = [obj[name]];
    }

    return headers;
  }

}

Object.defineProperties(Headers.prototype, {
  get: {
    enumerable: true
  },
  forEach: {
    enumerable: true
  },
  set: {
    enumerable: true
  },
  append: {
    enumerable: true
  },
  has: {
    enumerable: true
  },
  delete: {
    enumerable: true
  },
  keys: {
    enumerable: true
  },
  values: {
    enumerable: true
  },
  entries: {
    enumerable: true
  }
});

const getHeaders = (headers, kind = 'key+value') => Object.keys(headers[MAP]).sort().map(kind === 'key' ? k => k.toLowerCase() : kind === 'value' ? k => headers[MAP][k].join(', ') : k => [k.toLowerCase(), headers[MAP][k].join(', ')]);

const INTERNAL = Symbol('internal');

class HeadersIterator {
  constructor(target, kind) {
    this[INTERNAL] = {
      target,
      kind,
      index: 0
    };
  }

  get [Symbol.toStringTag]() {
    return 'HeadersIterator';
  }

  next() {
    /* istanbul ignore if: should be impossible */
    if (!this || Object.getPrototypeOf(this) !== HeadersIterator.prototype) throw new TypeError('Value of `this` is not a HeadersIterator');
    const {
      target,
      kind,
      index
    } = this[INTERNAL];
    const values = getHeaders(target, kind);
    const len = values.length;

    if (index >= len) {
      return {
        value: undefined,
        done: true
      };
    }

    this[INTERNAL].index++;
    return {
      value: values[index],
      done: false
    };
  }

} // manually extend because 'extends' requires a ctor


Object.setPrototypeOf(HeadersIterator.prototype, Object.getPrototypeOf(Object.getPrototypeOf([][Symbol.iterator]())));
module.exports = Headers;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Url = __webpack_require__("url");

const http = __webpack_require__("http");

const https = __webpack_require__("https");

const zlib = __webpack_require__("./node_modules/.f/_/minizlib/2.1.2/minizlib/index.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const Body = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/body.js");

const {
  writeToStream,
  getTotalBytes
} = Body;

const Response = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/response.js");

const Headers = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/headers.js");

const {
  createHeadersLenient
} = Headers;

const Request = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/request.js");

const {
  getNodeRequestOptions
} = Request;

const FetchError = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/fetch-error.js");

const AbortError = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/abort-error.js");

const resolveUrl = Url.resolve;

const fetch = (url, opts) => {
  if (/^data:/.test(url)) {
    const request = new Request(url, opts);

    try {
      const split = url.split(',');
      const data = Buffer.from(split[1], 'base64');
      const type = split[0].match(/^data:(.*);base64$/)[1];
      return Promise.resolve(new Response(data, {
        headers: {
          'Content-Type': type,
          'Content-Length': data.length
        }
      }));
    } catch (er) {
      return Promise.reject(new FetchError(`[${request.method}] ${request.url} invalid URL, ${er.message}`, 'system', er));
    }
  }

  return new Promise((resolve, reject) => {
    // build request object
    const request = new Request(url, opts);
    let options;

    try {
      options = getNodeRequestOptions(request);
    } catch (er) {
      return reject(er);
    }

    const send = (options.protocol === 'https:' ? https : http).request;
    const {
      signal
    } = request;
    let response = null;

    const abort = () => {
      const error = new AbortError('The user aborted a request.');
      reject(error);

      if (Minipass.isStream(request.body) && typeof request.body.destroy === 'function') {
        request.body.destroy(error);
      }

      if (response && response.body) {
        response.body.emit('error', error);
      }
    };

    if (signal && signal.aborted) return abort();

    const abortAndFinalize = () => {
      abort();
      finalize();
    };

    const finalize = () => {
      req.abort();
      if (signal) signal.removeEventListener('abort', abortAndFinalize);
      clearTimeout(reqTimeout);
    }; // send request


    const req = send(options);
    if (signal) signal.addEventListener('abort', abortAndFinalize);
    let reqTimeout = null;

    if (request.timeout) {
      req.once('socket', socket => {
        reqTimeout = setTimeout(() => {
          reject(new FetchError(`network timeout at: ${request.url}`, 'request-timeout'));
          finalize();
        }, request.timeout);
      });
    }

    req.on('error', er => {
      // if a 'response' event is emitted before the 'error' event, then by the
      // time this handler is run it's too late to reject the Promise for the
      // response. instead, we forward the error event to the response stream
      // so that the error will surface to the user when they try to consume
      // the body. this is done as a side effect of aborting the request except
      // for in windows, where we must forward the event manually, otherwise
      // there is no longer a ref'd socket attached to the request and the
      // stream never ends so the event loop runs out of work and the process
      // exits without warning.
      // coverage skipped here due to the difficulty in testing
      // istanbul ignore next
      if (req.res) req.res.emit('error', er);
      reject(new FetchError(`request to ${request.url} failed, reason: ${er.message}`, 'system', er));
      finalize();
    });
    req.on('response', res => {
      clearTimeout(reqTimeout);
      const headers = createHeadersLenient(res.headers); // HTTP fetch step 5

      if (fetch.isRedirect(res.statusCode)) {
        // HTTP fetch step 5.2
        const location = headers.get('Location'); // HTTP fetch step 5.3

        const locationURL = location === null ? null : resolveUrl(request.url, location); // HTTP fetch step 5.5

        switch (request.redirect) {
          case 'error':
            reject(new FetchError(`uri requested responds with a redirect, redirect mode is set to error: ${request.url}`, 'no-redirect'));
            finalize();
            return;

          case 'manual':
            // node-fetch-specific step: make manual redirect a bit easier to
            // use by setting the Location header value to the resolved URL.
            if (locationURL !== null) {
              // handle corrupted header
              try {
                headers.set('Location', locationURL);
              } catch (err) {
                /* istanbul ignore next: nodejs server prevent invalid
                   response headers, we can't test this through normal
                   request */
                reject(err);
              }
            }

            break;

          case 'follow':
            // HTTP-redirect fetch step 2
            if (locationURL === null) {
              break;
            } // HTTP-redirect fetch step 5


            if (request.counter >= request.follow) {
              reject(new FetchError(`maximum redirect reached at: ${request.url}`, 'max-redirect'));
              finalize();
              return;
            } // HTTP-redirect fetch step 9


            if (res.statusCode !== 303 && request.body && getTotalBytes(request) === null) {
              reject(new FetchError('Cannot follow redirect with body being a readable stream', 'unsupported-redirect'));
              finalize();
              return;
            } // Update host due to redirection


            request.headers.set('host', Url.parse(locationURL).host); // HTTP-redirect fetch step 6 (counter increment)
            // Create a new Request object.

            const requestOpts = {
              headers: new Headers(request.headers),
              follow: request.follow,
              counter: request.counter + 1,
              agent: request.agent,
              compress: request.compress,
              method: request.method,
              body: request.body,
              signal: request.signal,
              timeout: request.timeout
            }; // HTTP-redirect fetch step 11

            if (res.statusCode === 303 || (res.statusCode === 301 || res.statusCode === 302) && request.method === 'POST') {
              requestOpts.method = 'GET';
              requestOpts.body = undefined;
              requestOpts.headers.delete('content-length');
            } // HTTP-redirect fetch step 15


            resolve(fetch(new Request(locationURL, requestOpts)));
            finalize();
            return;
        }
      } // end if(isRedirect)
      // prepare response


      res.once('end', () => signal && signal.removeEventListener('abort', abortAndFinalize));
      const body = new Minipass(); // exceedingly rare that the stream would have an error,
      // but just in case we proxy it to the stream in use.

      res.on('error',
      /* istanbul ignore next */
      er => body.emit('error', er));
      res.on('data', chunk => body.write(chunk));
      res.on('end', () => body.end());
      const responseOptions = {
        url: request.url,
        status: res.statusCode,
        statusText: res.statusMessage,
        headers: headers,
        size: request.size,
        timeout: request.timeout,
        counter: request.counter,
        trailer: new Promise(resolve => res.on('end', () => resolve(createHeadersLenient(res.trailers))))
      }; // HTTP-network fetch step 12.1.1.3

      const codings = headers.get('Content-Encoding'); // HTTP-network fetch step 12.1.1.4: handle content codings
      // in following scenarios we ignore compression support
      // 1. compression support is disabled
      // 2. HEAD request
      // 3. no Content-Encoding header
      // 4. no content response (204)
      // 5. content not modified response (304)

      if (!request.compress || request.method === 'HEAD' || codings === null || res.statusCode === 204 || res.statusCode === 304) {
        response = new Response(body, responseOptions);
        resolve(response);
        return;
      } // Be less strict when decoding compressed responses, since sometimes
      // servers send slightly invalid responses that are still accepted
      // by common browsers.
      // Always using Z_SYNC_FLUSH is what cURL does.


      const zlibOptions = {
        flush: zlib.constants.Z_SYNC_FLUSH,
        finishFlush: zlib.constants.Z_SYNC_FLUSH
      }; // for gzip

      if (codings == 'gzip' || codings == 'x-gzip') {
        const unzip = new zlib.Gunzip(zlibOptions);
        response = new Response( // exceedingly rare that the stream would have an error,
        // but just in case we proxy it to the stream in use.
        body.on('error',
        /* istanbul ignore next */
        er => unzip.emit('error', er)).pipe(unzip), responseOptions);
        resolve(response);
        return;
      } // for deflate


      if (codings == 'deflate' || codings == 'x-deflate') {
        // handle the infamous raw deflate response from old servers
        // a hack for old IIS and Apache servers
        const raw = res.pipe(new Minipass());
        raw.once('data', chunk => {
          // see http://stackoverflow.com/questions/37519828
          const decoder = (chunk[0] & 0x0F) === 0x08 ? new zlib.Inflate() : new zlib.InflateRaw(); // exceedingly rare that the stream would have an error,
          // but just in case we proxy it to the stream in use.

          body.on('error',
          /* istanbul ignore next */
          er => decoder.emit('error', er)).pipe(decoder);
          response = new Response(decoder, responseOptions);
          resolve(response);
        });
        return;
      } // for br


      if (codings == 'br') {
        // ignoring coverage so tests don't have to fake support (or lack of) for brotli
        // istanbul ignore next
        try {
          var decoder = new zlib.BrotliDecompress();
        } catch (err) {
          reject(err);
          finalize();
          return;
        } // exceedingly rare that the stream would have an error,
        // but just in case we proxy it to the stream in use.


        body.on('error',
        /* istanbul ignore next */
        er => decoder.emit('error', er)).pipe(decoder);
        response = new Response(decoder, responseOptions);
        resolve(response);
        return;
      } // otherwise, use response as-is


      response = new Response(body, responseOptions);
      resolve(response);
    });
    writeToStream(req, request);
  });
};

module.exports = fetch;

fetch.isRedirect = code => code === 301 || code === 302 || code === 303 || code === 307 || code === 308;

fetch.Headers = Headers;
fetch.Request = Request;
fetch.Response = Response;
fetch.FetchError = FetchError;

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/request.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Url = __webpack_require__("url");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const Headers = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/headers.js");

const {
  exportNodeCompatibleHeaders
} = Headers;

const Body = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/body.js");

const {
  clone,
  extractContentType,
  getTotalBytes
} = Body;

const version = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/package.json").version;

const defaultUserAgent = `minipass-fetch/${version} (+https://github.com/isaacs/minipass-fetch)`;
const INTERNALS = Symbol('Request internals');
const {
  parse: parseUrl,
  format: formatUrl
} = Url;

const isRequest = input => typeof input === 'object' && typeof input[INTERNALS] === 'object';

const isAbortSignal = signal => {
  const proto = signal && typeof signal === 'object' && Object.getPrototypeOf(signal);
  return !!(proto && proto.constructor.name === 'AbortSignal');
};

class Request extends Body {
  constructor(input, init = {}) {
    const parsedURL = isRequest(input) ? Url.parse(input.url) : input && input.href ? Url.parse(input.href) : Url.parse(`${input}`);
    if (isRequest(input)) init = _objectSpread(_objectSpread({}, input[INTERNALS]), init);else if (!input || typeof input === 'string') input = {};
    const method = (init.method || input.method || 'GET').toUpperCase();
    const isGETHEAD = method === 'GET' || method === 'HEAD';
    if ((init.body !== null && init.body !== undefined || isRequest(input) && input.body !== null) && isGETHEAD) throw new TypeError('Request with GET/HEAD method cannot have body');
    const inputBody = init.body !== null && init.body !== undefined ? init.body : isRequest(input) && input.body !== null ? clone(input) : null;
    super(inputBody, {
      timeout: init.timeout || input.timeout || 0,
      size: init.size || input.size || 0
    });
    const headers = new Headers(init.headers || input.headers || {});

    if (inputBody !== null && inputBody !== undefined && !headers.has('Content-Type')) {
      const contentType = extractContentType(inputBody);
      if (contentType) headers.append('Content-Type', contentType);
    }

    const signal = 'signal' in init ? init.signal : null;
    if (signal !== null && signal !== undefined && !isAbortSignal(signal)) throw new TypeError('Expected signal must be an instanceof AbortSignal'); // TLS specific options that are handled by node

    const {
      ca,
      cert,
      ciphers,
      clientCertEngine,
      crl,
      dhparam,
      ecdhCurve,
      family,
      honorCipherOrder,
      key,
      passphrase,
      pfx,
      rejectUnauthorized = process.env.NODE_TLS_REJECT_UNAUTHORIZED !== '0',
      secureOptions,
      secureProtocol,
      servername,
      sessionIdContext
    } = init;
    this[INTERNALS] = {
      method,
      redirect: init.redirect || input.redirect || 'follow',
      headers,
      parsedURL,
      signal,
      ca,
      cert,
      ciphers,
      clientCertEngine,
      crl,
      dhparam,
      ecdhCurve,
      family,
      honorCipherOrder,
      key,
      passphrase,
      pfx,
      rejectUnauthorized,
      secureOptions,
      secureProtocol,
      servername,
      sessionIdContext
    }; // node-fetch-only options

    this.follow = init.follow !== undefined ? init.follow : input.follow !== undefined ? input.follow : 20;
    this.compress = init.compress !== undefined ? init.compress : input.compress !== undefined ? input.compress : true;
    this.counter = init.counter || input.counter || 0;
    this.agent = init.agent || input.agent;
  }

  get method() {
    return this[INTERNALS].method;
  }

  get url() {
    return formatUrl(this[INTERNALS].parsedURL);
  }

  get headers() {
    return this[INTERNALS].headers;
  }

  get redirect() {
    return this[INTERNALS].redirect;
  }

  get signal() {
    return this[INTERNALS].signal;
  }

  clone() {
    return new Request(this);
  }

  get [Symbol.toStringTag]() {
    return 'Request';
  }

  static getNodeRequestOptions(request) {
    const parsedURL = request[INTERNALS].parsedURL;
    const headers = new Headers(request[INTERNALS].headers); // fetch step 1.3

    if (!headers.has('Accept')) headers.set('Accept', '*/*'); // Basic fetch

    if (!parsedURL.protocol || !parsedURL.hostname) throw new TypeError('Only absolute URLs are supported');
    if (!/^https?:$/.test(parsedURL.protocol)) throw new TypeError('Only HTTP(S) protocols are supported');

    if (request.signal && Minipass.isStream(request.body) && typeof request.body.destroy !== 'function') {
      throw new Error('Cancellation of streamed requests with AbortSignal is not supported');
    } // HTTP-network-or-cache fetch steps 2.4-2.7


    const contentLengthValue = (request.body === null || request.body === undefined) && /^(POST|PUT)$/i.test(request.method) ? '0' : request.body !== null && request.body !== undefined ? getTotalBytes(request) : null;
    if (contentLengthValue) headers.set('Content-Length', contentLengthValue + ''); // HTTP-network-or-cache fetch step 2.11

    if (!headers.has('User-Agent')) headers.set('User-Agent', defaultUserAgent); // HTTP-network-or-cache fetch step 2.15

    if (request.compress && !headers.has('Accept-Encoding')) headers.set('Accept-Encoding', 'gzip,deflate');
    const agent = typeof request.agent === 'function' ? request.agent(parsedURL) : request.agent;
    if (!headers.has('Connection') && !agent) headers.set('Connection', 'close'); // TLS specific options that are handled by node

    const {
      ca,
      cert,
      ciphers,
      clientCertEngine,
      crl,
      dhparam,
      ecdhCurve,
      family,
      honorCipherOrder,
      key,
      passphrase,
      pfx,
      rejectUnauthorized,
      secureOptions,
      secureProtocol,
      servername,
      sessionIdContext
    } = request[INTERNALS]; // HTTP-network fetch step 4.2
    // chunked encoding is handled by Node.js

    return _objectSpread(_objectSpread({}, parsedURL), {}, {
      method: request.method,
      headers: exportNodeCompatibleHeaders(headers),
      agent,
      ca,
      cert,
      ciphers,
      clientCertEngine,
      crl,
      dhparam,
      ecdhCurve,
      family,
      honorCipherOrder,
      key,
      passphrase,
      pfx,
      rejectUnauthorized,
      secureOptions,
      secureProtocol,
      servername,
      sessionIdContext
    });
  }

}

module.exports = Request;
Object.defineProperties(Request.prototype, {
  method: {
    enumerable: true
  },
  url: {
    enumerable: true
  },
  headers: {
    enumerable: true
  },
  redirect: {
    enumerable: true
  },
  clone: {
    enumerable: true
  },
  signal: {
    enumerable: true
  }
});

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/response.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const http = __webpack_require__("http");

const {
  STATUS_CODES
} = http;

const Headers = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/headers.js");

const Body = __webpack_require__("./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/lib/body.js");

const {
  clone,
  extractContentType
} = Body;
const INTERNALS = Symbol('Response internals');

class Response extends Body {
  constructor(body = null, opts = {}) {
    super(body, opts);
    const status = opts.status || 200;
    const headers = new Headers(opts.headers);

    if (body !== null && body !== undefined && !headers.has('Content-Type')) {
      const contentType = extractContentType(body);
      if (contentType) headers.append('Content-Type', contentType);
    }

    this[INTERNALS] = {
      url: opts.url,
      status,
      statusText: opts.statusText || STATUS_CODES[status],
      headers,
      counter: opts.counter,
      trailer: Promise.resolve(opts.trailer || new Headers())
    };
  }

  get trailer() {
    return this[INTERNALS].trailer;
  }

  get url() {
    return this[INTERNALS].url || '';
  }

  get status() {
    return this[INTERNALS].status;
  }

  get ok() {
    return this[INTERNALS].status >= 200 && this[INTERNALS].status < 300;
  }

  get redirected() {
    return this[INTERNALS].counter > 0;
  }

  get statusText() {
    return this[INTERNALS].statusText;
  }

  get headers() {
    return this[INTERNALS].headers;
  }

  clone() {
    return new Response(clone(this), {
      url: this.url,
      status: this.status,
      statusText: this.statusText,
      headers: this.headers,
      ok: this.ok,
      redirected: this.redirected,
      trailer: this.trailer
    });
  }

  get [Symbol.toStringTag]() {
    return 'Response';
  }

}

module.exports = Response;
Object.defineProperties(Response.prototype, {
  url: {
    enumerable: true
  },
  status: {
    enumerable: true
  },
  ok: {
    enumerable: true
  },
  redirected: {
    enumerable: true
  },
  statusText: {
    enumerable: true
  },
  headers: {
    enumerable: true
  },
  clone: {
    enumerable: true
  }
});

/***/ }),

/***/ "./node_modules/.f/_/minipass-flush/1.0.5/minipass-flush/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const _flush = Symbol('_flush');

const _flushed = Symbol('_flushed');

const _flushing = Symbol('_flushing');

class Flush extends Minipass {
  constructor(opt = {}) {
    if (typeof opt === 'function') opt = {
      flush: opt
    };
    super(opt); // or extend this class and provide a 'flush' method in your subclass

    if (typeof opt.flush !== 'function' && typeof this.flush !== 'function') throw new TypeError('must provide flush function in options');
    this[_flush] = opt.flush || this.flush;
  }

  emit(ev, ...data) {
    if (ev !== 'end' && ev !== 'finish' || this[_flushed]) return super.emit(ev, ...data);
    if (this[_flushing]) return;
    this[_flushing] = true;

    const afterFlush = er => {
      this[_flushed] = true;
      er ? super.emit('error', er) : super.emit('end');
    };

    const ret = this[_flush](afterFlush);

    if (ret && ret.then) ret.then(() => afterFlush(), er => afterFlush(er));
  }

}

module.exports = Flush;

/***/ }),

/***/ "./node_modules/.f/_/minipass-pipeline/1.2.4/minipass-pipeline/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const EE = __webpack_require__("events");

const isStream = s => s && s instanceof EE && (typeof s.pipe === 'function' || // readable
typeof s.write === 'function' && typeof s.end === 'function' // writable
);

const _head = Symbol('_head');

const _tail = Symbol('_tail');

const _linkStreams = Symbol('_linkStreams');

const _setHead = Symbol('_setHead');

const _setTail = Symbol('_setTail');

const _onError = Symbol('_onError');

const _onData = Symbol('_onData');

const _onEnd = Symbol('_onEnd');

const _onDrain = Symbol('_onDrain');

const _streams = Symbol('_streams');

class Pipeline extends Minipass {
  constructor(opts, ...streams) {
    if (isStream(opts)) {
      streams.unshift(opts);
      opts = {};
    }

    super(opts);
    this[_streams] = [];
    if (streams.length) this.push(...streams);
  }

  [_linkStreams](streams) {
    // reduce takes (left,right), and we return right to make it the
    // new left value.
    return streams.reduce((src, dest) => {
      src.on('error', er => dest.emit('error', er));
      src.pipe(dest);
      return dest;
    });
  }

  push(...streams) {
    this[_streams].push(...streams);

    if (this[_tail]) streams.unshift(this[_tail]);

    const linkRet = this[_linkStreams](streams);

    this[_setTail](linkRet);

    if (!this[_head]) this[_setHead](streams[0]);
  }

  unshift(...streams) {
    this[_streams].unshift(...streams);

    if (this[_head]) streams.push(this[_head]);

    const linkRet = this[_linkStreams](streams);

    this[_setHead](streams[0]);

    if (!this[_tail]) this[_setTail](linkRet);
  }

  destroy(er) {
    // set fire to the whole thing.
    this[_streams].forEach(s => typeof s.destroy === 'function' && s.destroy());

    return super.destroy(er);
  } // readable interface -> tail


  [_setTail](stream) {
    this[_tail] = stream;
    stream.on('error', er => this[_onError](stream, er));
    stream.on('data', chunk => this[_onData](stream, chunk));
    stream.on('end', () => this[_onEnd](stream));
    stream.on('finish', () => this[_onEnd](stream));
  } // errors proxied down the pipeline
  // they're considered part of the "read" interface


  [_onError](stream, er) {
    if (stream === this[_tail]) this.emit('error', er);
  }

  [_onData](stream, chunk) {
    if (stream === this[_tail]) super.write(chunk);
  }

  [_onEnd](stream) {
    if (stream === this[_tail]) super.end();
  }

  pause() {
    super.pause();
    return this[_tail] && this[_tail].pause && this[_tail].pause();
  } // NB: Minipass calls its internal private [RESUME] method during
  // pipe drains, to avoid hazards where stream.resume() is overridden.
  // Thus, we need to listen to the resume *event*, not override the
  // resume() method, and proxy *that* to the tail.


  emit(ev, ...args) {
    if (ev === 'resume' && this[_tail] && this[_tail].resume) this[_tail].resume();
    return super.emit(ev, ...args);
  } // writable interface -> head


  [_setHead](stream) {
    this[_head] = stream;
    stream.on('drain', () => this[_onDrain](stream));
  }

  [_onDrain](stream) {
    if (stream === this[_head]) this.emit('drain');
  }

  write(chunk, enc, cb) {
    return this[_head].write(chunk, enc, cb) && (this.flowing || this.buffer.length === 0);
  }

  end(chunk, enc, cb) {
    this[_head].end(chunk, enc, cb);

    return this;
  }

}

module.exports = Pipeline;

/***/ }),

/***/ "./node_modules/.f/_/minipass-sized/1.0.3/minipass-sized/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

class SizeError extends Error {
  constructor(found, expect) {
    super(`Bad data size: expected ${expect} bytes, but got ${found}`);
    this.expect = expect;
    this.found = found;
    this.code = 'EBADSIZE';
    Error.captureStackTrace(this, this.constructor);
  }

  get name() {
    return 'SizeError';
  }

}

class MinipassSized extends Minipass {
  constructor(options = {}) {
    super(options);
    if (options.objectMode) throw new TypeError(`${this.constructor.name} streams only work with string and buffer data`);
    this.found = 0;
    this.expect = options.size;
    if (typeof this.expect !== 'number' || this.expect > Number.MAX_SAFE_INTEGER || isNaN(this.expect) || this.expect < 0 || !isFinite(this.expect) || this.expect !== Math.floor(this.expect)) throw new Error('invalid expected size: ' + this.expect);
  }

  write(chunk, encoding, cb) {
    const buffer = Buffer.isBuffer(chunk) ? chunk : typeof chunk === 'string' ? Buffer.from(chunk, typeof encoding === 'string' ? encoding : 'utf8') : chunk;

    if (!Buffer.isBuffer(buffer)) {
      this.emit('error', new TypeError(`${this.constructor.name} streams only work with string and buffer data`));
      return false;
    }

    this.found += buffer.length;
    if (this.found > this.expect) this.emit('error', new SizeError(this.found, this.expect));
    return super.write(chunk, encoding, cb);
  }

  emit(ev, ...data) {
    if (ev === 'end') {
      if (this.found !== this.expect) this.emit('error', new SizeError(this.found, this.expect));
    }

    return super.emit(ev, ...data);
  }

}

MinipassSized.SizeError = SizeError;
module.exports = MinipassSized;

/***/ }),

/***/ "./node_modules/.f/_/minipass/2.9.0/minipass/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const EE = __webpack_require__("events");

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/3.1.1/yallist/yallist.js");

const SD = __webpack_require__("string_decoder").StringDecoder;

const EOF = Symbol('EOF');
const MAYBE_EMIT_END = Symbol('maybeEmitEnd');
const EMITTED_END = Symbol('emittedEnd');
const EMITTING_END = Symbol('emittingEnd');
const CLOSED = Symbol('closed');
const READ = Symbol('read');
const FLUSH = Symbol('flush');
const FLUSHCHUNK = Symbol('flushChunk');
const ENCODING = Symbol('encoding');
const DECODER = Symbol('decoder');
const FLOWING = Symbol('flowing');
const PAUSED = Symbol('paused');
const RESUME = Symbol('resume');
const BUFFERLENGTH = Symbol('bufferLength');
const BUFFERPUSH = Symbol('bufferPush');
const BUFFERSHIFT = Symbol('bufferShift');
const OBJECTMODE = Symbol('objectMode');
const DESTROYED = Symbol('destroyed'); // TODO remove when Node v8 support drops

const doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== '1';
const ASYNCITERATOR = doIter && Symbol.asyncIterator || Symbol('asyncIterator not implemented');
const ITERATOR = doIter && Symbol.iterator || Symbol('iterator not implemented'); // Buffer in node 4.x < 4.5.0 doesn't have working Buffer.from
// or Buffer.alloc, and Buffer in node 10 deprecated the ctor.
// .M, this is fine .\^/M..

const B = Buffer.alloc ? Buffer :
/* istanbul ignore next */
__webpack_require__("./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js").Buffer; // events that mean 'the stream is over'
// these are treated specially, and re-emitted
// if they are listened for after emitting.

const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish';

const isArrayBuffer = b => b instanceof ArrayBuffer || typeof b === 'object' && b.constructor && b.constructor.name === 'ArrayBuffer' && b.byteLength >= 0;

const isArrayBufferView = b => !B.isBuffer(b) && ArrayBuffer.isView(b);

module.exports = class Minipass extends EE {
  constructor(options) {
    super();
    this[FLOWING] = false; // whether we're explicitly paused

    this[PAUSED] = false;
    this.pipes = new Yallist();
    this.buffer = new Yallist();
    this[OBJECTMODE] = options && options.objectMode || false;
    if (this[OBJECTMODE]) this[ENCODING] = null;else this[ENCODING] = options && options.encoding || null;
    if (this[ENCODING] === 'buffer') this[ENCODING] = null;
    this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null;
    this[EOF] = false;
    this[EMITTED_END] = false;
    this[EMITTING_END] = false;
    this[CLOSED] = false;
    this.writable = true;
    this.readable = true;
    this[BUFFERLENGTH] = 0;
    this[DESTROYED] = false;
  }

  get bufferLength() {
    return this[BUFFERLENGTH];
  }

  get encoding() {
    return this[ENCODING];
  }

  set encoding(enc) {
    if (this[OBJECTMODE]) throw new Error('cannot set encoding in objectMode');
    if (this[ENCODING] && enc !== this[ENCODING] && (this[DECODER] && this[DECODER].lastNeed || this[BUFFERLENGTH])) throw new Error('cannot change encoding');

    if (this[ENCODING] !== enc) {
      this[DECODER] = enc ? new SD(enc) : null;
      if (this.buffer.length) this.buffer = this.buffer.map(chunk => this[DECODER].write(chunk));
    }

    this[ENCODING] = enc;
  }

  setEncoding(enc) {
    this.encoding = enc;
  }

  get objectMode() {
    return this[OBJECTMODE];
  }

  set objectMode(ॐ) {
    this[OBJECTMODE] = this[OBJECTMODE] || !!ॐ;
  }

  write(chunk, encoding, cb) {
    if (this[EOF]) throw new Error('write after end');

    if (this[DESTROYED]) {
      this.emit('error', Object.assign(new Error('Cannot call write after a stream was destroyed'), {
        code: 'ERR_STREAM_DESTROYED'
      }));
      return true;
    }

    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (!encoding) encoding = 'utf8'; // convert array buffers and typed array views into buffers
    // at some point in the future, we may want to do the opposite!
    // leave strings and buffers as-is
    // anything else switches us into object mode

    if (!this[OBJECTMODE] && !B.isBuffer(chunk)) {
      if (isArrayBufferView(chunk)) chunk = B.from(chunk.buffer, chunk.byteOffset, chunk.byteLength);else if (isArrayBuffer(chunk)) chunk = B.from(chunk);else if (typeof chunk !== 'string') // use the setter so we throw if we have encoding set
        this.objectMode = true;
    } // this ensures at this point that the chunk is a buffer or string
    // don't buffer it up or send it to the decoder


    if (!this.objectMode && !chunk.length) {
      const ret = this.flowing;
      if (this[BUFFERLENGTH] !== 0) this.emit('readable');
      if (cb) cb();
      return ret;
    } // fast-path writing strings of same encoding to a stream with
    // an empty buffer, skipping the buffer/decoder dance


    if (typeof chunk === 'string' && !this[OBJECTMODE] && // unless it is a string already ready for us to use
    !(encoding === this[ENCODING] && !this[DECODER].lastNeed)) {
      chunk = B.from(chunk, encoding);
    }

    if (B.isBuffer(chunk) && this[ENCODING]) chunk = this[DECODER].write(chunk);

    try {
      return this.flowing ? (this.emit('data', chunk), this.flowing) : (this[BUFFERPUSH](chunk), false);
    } finally {
      if (this[BUFFERLENGTH] !== 0) this.emit('readable');
      if (cb) cb();
    }
  }

  read(n) {
    if (this[DESTROYED]) return null;

    try {
      if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) return null;
      if (this[OBJECTMODE]) n = null;

      if (this.buffer.length > 1 && !this[OBJECTMODE]) {
        if (this.encoding) this.buffer = new Yallist([Array.from(this.buffer).join('')]);else this.buffer = new Yallist([B.concat(Array.from(this.buffer), this[BUFFERLENGTH])]);
      }

      return this[READ](n || null, this.buffer.head.value);
    } finally {
      this[MAYBE_EMIT_END]();
    }
  }

  [READ](n, chunk) {
    if (n === chunk.length || n === null) this[BUFFERSHIFT]();else {
      this.buffer.head.value = chunk.slice(n);
      chunk = chunk.slice(0, n);
      this[BUFFERLENGTH] -= n;
    }
    this.emit('data', chunk);
    if (!this.buffer.length && !this[EOF]) this.emit('drain');
    return chunk;
  }

  end(chunk, encoding, cb) {
    if (typeof chunk === 'function') cb = chunk, chunk = null;
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (chunk) this.write(chunk, encoding);
    if (cb) this.once('end', cb);
    this[EOF] = true;
    this.writable = false; // if we haven't written anything, then go ahead and emit,
    // even if we're not reading.
    // we'll re-emit if a new 'end' listener is added anyway.
    // This makes MP more suitable to write-only use cases.

    if (this.flowing || !this[PAUSED]) this[MAYBE_EMIT_END]();
    return this;
  } // don't let the internal resume be overwritten


  [RESUME]() {
    if (this[DESTROYED]) return;
    this[PAUSED] = false;
    this[FLOWING] = true;
    this.emit('resume');
    if (this.buffer.length) this[FLUSH]();else if (this[EOF]) this[MAYBE_EMIT_END]();else this.emit('drain');
  }

  resume() {
    return this[RESUME]();
  }

  pause() {
    this[FLOWING] = false;
    this[PAUSED] = true;
  }

  get destroyed() {
    return this[DESTROYED];
  }

  get flowing() {
    return this[FLOWING];
  }

  get paused() {
    return this[PAUSED];
  }

  [BUFFERPUSH](chunk) {
    if (this[OBJECTMODE]) this[BUFFERLENGTH] += 1;else this[BUFFERLENGTH] += chunk.length;
    return this.buffer.push(chunk);
  }

  [BUFFERSHIFT]() {
    if (this.buffer.length) {
      if (this[OBJECTMODE]) this[BUFFERLENGTH] -= 1;else this[BUFFERLENGTH] -= this.buffer.head.value.length;
    }

    return this.buffer.shift();
  }

  [FLUSH]() {
    do {} while (this[FLUSHCHUNK](this[BUFFERSHIFT]()));

    if (!this.buffer.length && !this[EOF]) this.emit('drain');
  }

  [FLUSHCHUNK](chunk) {
    return chunk ? (this.emit('data', chunk), this.flowing) : false;
  }

  pipe(dest, opts) {
    if (this[DESTROYED]) return;
    const ended = this[EMITTED_END];
    opts = opts || {};
    if (dest === process.stdout || dest === process.stderr) opts.end = false;else opts.end = opts.end !== false;
    const p = {
      dest: dest,
      opts: opts,
      ondrain: _ => this[RESUME]()
    };
    this.pipes.push(p);
    dest.on('drain', p.ondrain);
    this[RESUME](); // piping an ended stream ends immediately

    if (ended && p.opts.end) p.dest.end();
    return dest;
  }

  addListener(ev, fn) {
    return this.on(ev, fn);
  }

  on(ev, fn) {
    try {
      return super.on(ev, fn);
    } finally {
      if (ev === 'data' && !this.pipes.length && !this.flowing) this[RESUME]();else if (isEndish(ev) && this[EMITTED_END]) {
        super.emit(ev);
        this.removeAllListeners(ev);
      }
    }
  }

  get emittedEnd() {
    return this[EMITTED_END];
  }

  [MAYBE_EMIT_END]() {
    if (!this[EMITTING_END] && !this[EMITTED_END] && !this[DESTROYED] && this.buffer.length === 0 && this[EOF]) {
      this[EMITTING_END] = true;
      this.emit('end');
      this.emit('prefinish');
      this.emit('finish');
      if (this[CLOSED]) this.emit('close');
      this[EMITTING_END] = false;
    }
  }

  emit(ev, data) {
    // error and close are only events allowed after calling destroy()
    if (ev !== 'error' && ev !== 'close' && ev !== DESTROYED && this[DESTROYED]) return;else if (ev === 'data') {
      if (!data) return;
      if (this.pipes.length) this.pipes.forEach(p => p.dest.write(data) === false && this.pause());
    } else if (ev === 'end') {
      // only actual end gets this treatment
      if (this[EMITTED_END] === true) return;
      this[EMITTED_END] = true;
      this.readable = false;

      if (this[DECODER]) {
        data = this[DECODER].end();

        if (data) {
          this.pipes.forEach(p => p.dest.write(data));
          super.emit('data', data);
        }
      }

      this.pipes.forEach(p => {
        p.dest.removeListener('drain', p.ondrain);
        if (p.opts.end) p.dest.end();
      });
    } else if (ev === 'close') {
      this[CLOSED] = true; // don't emit close before 'end' and 'finish'

      if (!this[EMITTED_END] && !this[DESTROYED]) return;
    } // TODO: replace with a spread operator when Node v4 support drops

    const args = new Array(arguments.length);
    args[0] = ev;
    args[1] = data;

    if (arguments.length > 2) {
      for (let i = 2; i < arguments.length; i++) {
        args[i] = arguments[i];
      }
    }

    try {
      return super.emit.apply(this, args);
    } finally {
      if (!isEndish(ev)) this[MAYBE_EMIT_END]();else this.removeAllListeners(ev);
    }
  } // const all = await stream.collect()


  collect() {
    const buf = [];
    buf.dataLength = 0;
    this.on('data', c => {
      buf.push(c);
      buf.dataLength += c.length;
    });
    return this.promise().then(() => buf);
  } // const data = await stream.concat()


  concat() {
    return this[OBJECTMODE] ? Promise.reject(new Error('cannot concat in objectMode')) : this.collect().then(buf => this[OBJECTMODE] ? Promise.reject(new Error('cannot concat in objectMode')) : this[ENCODING] ? buf.join('') : B.concat(buf, buf.dataLength));
  } // stream.promise().then(() => done, er => emitted error)


  promise() {
    return new Promise((resolve, reject) => {
      this.on(DESTROYED, () => reject(new Error('stream destroyed')));
      this.on('end', () => resolve());
      this.on('error', er => reject(er));
    });
  } // for await (let chunk of stream)


  [ASYNCITERATOR]() {
    const next = () => {
      const res = this.read();
      if (res !== null) return Promise.resolve({
        done: false,
        value: res
      });
      if (this[EOF]) return Promise.resolve({
        done: true
      });
      let resolve = null;
      let reject = null;

      const onerr = er => {
        this.removeListener('data', ondata);
        this.removeListener('end', onend);
        reject(er);
      };

      const ondata = value => {
        this.removeListener('error', onerr);
        this.removeListener('end', onend);
        this.pause();
        resolve({
          value: value,
          done: !!this[EOF]
        });
      };

      const onend = () => {
        this.removeListener('error', onerr);
        this.removeListener('data', ondata);
        resolve({
          done: true
        });
      };

      const ondestroy = () => onerr(new Error('stream destroyed'));

      return new Promise((res, rej) => {
        reject = rej;
        resolve = res;
        this.once(DESTROYED, ondestroy);
        this.once('error', onerr);
        this.once('end', onend);
        this.once('data', ondata);
      });
    };

    return {
      next
    };
  } // for (let chunk of stream)


  [ITERATOR]() {
    const next = () => {
      const value = this.read();
      const done = value === null;
      return {
        value,
        done
      };
    };

    return {
      next
    };
  }

  destroy(er) {
    if (this[DESTROYED]) {
      if (er) this.emit('error', er);else this.emit(DESTROYED);
      return this;
    }

    this[DESTROYED] = true; // throw away all buffered data, it's never coming out

    this.buffer = new Yallist();
    this[BUFFERLENGTH] = 0;
    if (typeof this.close === 'function' && !this[CLOSED]) this.close();
    if (er) this.emit('error', er);else // if no error to emit, still reject pending promises
      this.emit(DESTROYED);
    return this;
  }

  static isStream(s) {
    return !!s && (s instanceof Minipass || s instanceof EE && (typeof s.pipe === 'function' || // readable
    typeof s.write === 'function' && typeof s.end === 'function' // writable
    ));
  }

};

/***/ }),

/***/ "./node_modules/.f/_/minipass/3.1.6/minipass/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const proc = typeof process === 'object' && process ? process : {
  stdout: null,
  stderr: null
};

const EE = __webpack_require__("events");

const Stream = __webpack_require__("stream");

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/4.0.0/yallist/yallist.js");

const SD = __webpack_require__("string_decoder").StringDecoder;

const EOF = Symbol('EOF');
const MAYBE_EMIT_END = Symbol('maybeEmitEnd');
const EMITTED_END = Symbol('emittedEnd');
const EMITTING_END = Symbol('emittingEnd');
const EMITTED_ERROR = Symbol('emittedError');
const CLOSED = Symbol('closed');
const READ = Symbol('read');
const FLUSH = Symbol('flush');
const FLUSHCHUNK = Symbol('flushChunk');
const ENCODING = Symbol('encoding');
const DECODER = Symbol('decoder');
const FLOWING = Symbol('flowing');
const PAUSED = Symbol('paused');
const RESUME = Symbol('resume');
const BUFFERLENGTH = Symbol('bufferLength');
const BUFFERPUSH = Symbol('bufferPush');
const BUFFERSHIFT = Symbol('bufferShift');
const OBJECTMODE = Symbol('objectMode');
const DESTROYED = Symbol('destroyed'); // TODO remove when Node v8 support drops

const doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== '1';
const ASYNCITERATOR = doIter && Symbol.asyncIterator || Symbol('asyncIterator not implemented');
const ITERATOR = doIter && Symbol.iterator || Symbol('iterator not implemented'); // events that mean 'the stream is over'
// these are treated specially, and re-emitted
// if they are listened for after emitting.

const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish';

const isArrayBuffer = b => b instanceof ArrayBuffer || typeof b === 'object' && b.constructor && b.constructor.name === 'ArrayBuffer' && b.byteLength >= 0;

const isArrayBufferView = b => !Buffer.isBuffer(b) && ArrayBuffer.isView(b);

module.exports = class Minipass extends Stream {
  constructor(options) {
    super();
    this[FLOWING] = false; // whether we're explicitly paused

    this[PAUSED] = false;
    this.pipes = new Yallist();
    this.buffer = new Yallist();
    this[OBJECTMODE] = options && options.objectMode || false;
    if (this[OBJECTMODE]) this[ENCODING] = null;else this[ENCODING] = options && options.encoding || null;
    if (this[ENCODING] === 'buffer') this[ENCODING] = null;
    this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null;
    this[EOF] = false;
    this[EMITTED_END] = false;
    this[EMITTING_END] = false;
    this[CLOSED] = false;
    this[EMITTED_ERROR] = null;
    this.writable = true;
    this.readable = true;
    this[BUFFERLENGTH] = 0;
    this[DESTROYED] = false;
  }

  get bufferLength() {
    return this[BUFFERLENGTH];
  }

  get encoding() {
    return this[ENCODING];
  }

  set encoding(enc) {
    if (this[OBJECTMODE]) throw new Error('cannot set encoding in objectMode');
    if (this[ENCODING] && enc !== this[ENCODING] && (this[DECODER] && this[DECODER].lastNeed || this[BUFFERLENGTH])) throw new Error('cannot change encoding');

    if (this[ENCODING] !== enc) {
      this[DECODER] = enc ? new SD(enc) : null;
      if (this.buffer.length) this.buffer = this.buffer.map(chunk => this[DECODER].write(chunk));
    }

    this[ENCODING] = enc;
  }

  setEncoding(enc) {
    this.encoding = enc;
  }

  get objectMode() {
    return this[OBJECTMODE];
  }

  set objectMode(om) {
    this[OBJECTMODE] = this[OBJECTMODE] || !!om;
  }

  write(chunk, encoding, cb) {
    if (this[EOF]) throw new Error('write after end');

    if (this[DESTROYED]) {
      this.emit('error', Object.assign(new Error('Cannot call write after a stream was destroyed'), {
        code: 'ERR_STREAM_DESTROYED'
      }));
      return true;
    }

    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (!encoding) encoding = 'utf8'; // convert array buffers and typed array views into buffers
    // at some point in the future, we may want to do the opposite!
    // leave strings and buffers as-is
    // anything else switches us into object mode

    if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
      if (isArrayBufferView(chunk)) chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength);else if (isArrayBuffer(chunk)) chunk = Buffer.from(chunk);else if (typeof chunk !== 'string') // use the setter so we throw if we have encoding set
        this.objectMode = true;
    } // this ensures at this point that the chunk is a buffer or string
    // don't buffer it up or send it to the decoder


    if (!this.objectMode && !chunk.length) {
      if (this[BUFFERLENGTH] !== 0) this.emit('readable');
      if (cb) cb();
      return this.flowing;
    } // fast-path writing strings of same encoding to a stream with
    // an empty buffer, skipping the buffer/decoder dance


    if (typeof chunk === 'string' && !this[OBJECTMODE] && // unless it is a string already ready for us to use
    !(encoding === this[ENCODING] && !this[DECODER].lastNeed)) {
      chunk = Buffer.from(chunk, encoding);
    }

    if (Buffer.isBuffer(chunk) && this[ENCODING]) chunk = this[DECODER].write(chunk);

    if (this.flowing) {
      // if we somehow have something in the buffer, but we think we're
      // flowing, then we need to flush all that out first, or we get
      // chunks coming in out of order.  Can't emit 'drain' here though,
      // because we're mid-write, so that'd be bad.
      if (this[BUFFERLENGTH] !== 0) this[FLUSH](true); // if we are still flowing after flushing the buffer we can emit the
      // chunk otherwise we have to buffer it.

      this.flowing ? this.emit('data', chunk) : this[BUFFERPUSH](chunk);
    } else this[BUFFERPUSH](chunk);

    if (this[BUFFERLENGTH] !== 0) this.emit('readable');
    if (cb) cb();
    return this.flowing;
  }

  read(n) {
    if (this[DESTROYED]) return null;

    try {
      if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) return null;
      if (this[OBJECTMODE]) n = null;

      if (this.buffer.length > 1 && !this[OBJECTMODE]) {
        if (this.encoding) this.buffer = new Yallist([Array.from(this.buffer).join('')]);else this.buffer = new Yallist([Buffer.concat(Array.from(this.buffer), this[BUFFERLENGTH])]);
      }

      return this[READ](n || null, this.buffer.head.value);
    } finally {
      this[MAYBE_EMIT_END]();
    }
  }

  [READ](n, chunk) {
    if (n === chunk.length || n === null) this[BUFFERSHIFT]();else {
      this.buffer.head.value = chunk.slice(n);
      chunk = chunk.slice(0, n);
      this[BUFFERLENGTH] -= n;
    }
    this.emit('data', chunk);
    if (!this.buffer.length && !this[EOF]) this.emit('drain');
    return chunk;
  }

  end(chunk, encoding, cb) {
    if (typeof chunk === 'function') cb = chunk, chunk = null;
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (chunk) this.write(chunk, encoding);
    if (cb) this.once('end', cb);
    this[EOF] = true;
    this.writable = false; // if we haven't written anything, then go ahead and emit,
    // even if we're not reading.
    // we'll re-emit if a new 'end' listener is added anyway.
    // This makes MP more suitable to write-only use cases.

    if (this.flowing || !this[PAUSED]) this[MAYBE_EMIT_END]();
    return this;
  } // don't let the internal resume be overwritten


  [RESUME]() {
    if (this[DESTROYED]) return;
    this[PAUSED] = false;
    this[FLOWING] = true;
    this.emit('resume');
    if (this.buffer.length) this[FLUSH]();else if (this[EOF]) this[MAYBE_EMIT_END]();else this.emit('drain');
  }

  resume() {
    return this[RESUME]();
  }

  pause() {
    this[FLOWING] = false;
    this[PAUSED] = true;
  }

  get destroyed() {
    return this[DESTROYED];
  }

  get flowing() {
    return this[FLOWING];
  }

  get paused() {
    return this[PAUSED];
  }

  [BUFFERPUSH](chunk) {
    if (this[OBJECTMODE]) this[BUFFERLENGTH] += 1;else this[BUFFERLENGTH] += chunk.length;
    return this.buffer.push(chunk);
  }

  [BUFFERSHIFT]() {
    if (this.buffer.length) {
      if (this[OBJECTMODE]) this[BUFFERLENGTH] -= 1;else this[BUFFERLENGTH] -= this.buffer.head.value.length;
    }

    return this.buffer.shift();
  }

  [FLUSH](noDrain) {
    do {} while (this[FLUSHCHUNK](this[BUFFERSHIFT]()));

    if (!noDrain && !this.buffer.length && !this[EOF]) this.emit('drain');
  }

  [FLUSHCHUNK](chunk) {
    return chunk ? (this.emit('data', chunk), this.flowing) : false;
  }

  pipe(dest, opts) {
    if (this[DESTROYED]) return;
    const ended = this[EMITTED_END];
    opts = opts || {};
    if (dest === proc.stdout || dest === proc.stderr) opts.end = false;else opts.end = opts.end !== false;
    const p = {
      dest: dest,
      opts: opts,
      ondrain: _ => this[RESUME]()
    };
    this.pipes.push(p);
    dest.on('drain', p.ondrain);
    this[RESUME](); // piping an ended stream ends immediately

    if (ended && p.opts.end) p.dest.end();
    return dest;
  }

  addListener(ev, fn) {
    return this.on(ev, fn);
  }

  on(ev, fn) {
    try {
      return super.on(ev, fn);
    } finally {
      if (ev === 'data' && !this.pipes.length && !this.flowing) this[RESUME]();else if (isEndish(ev) && this[EMITTED_END]) {
        super.emit(ev);
        this.removeAllListeners(ev);
      } else if (ev === 'error' && this[EMITTED_ERROR]) {
        fn.call(this, this[EMITTED_ERROR]);
      }
    }
  }

  get emittedEnd() {
    return this[EMITTED_END];
  }

  [MAYBE_EMIT_END]() {
    if (!this[EMITTING_END] && !this[EMITTED_END] && !this[DESTROYED] && this.buffer.length === 0 && this[EOF]) {
      this[EMITTING_END] = true;
      this.emit('end');
      this.emit('prefinish');
      this.emit('finish');
      if (this[CLOSED]) this.emit('close');
      this[EMITTING_END] = false;
    }
  }

  emit(ev, data) {
    // error and close are only events allowed after calling destroy()
    if (ev !== 'error' && ev !== 'close' && ev !== DESTROYED && this[DESTROYED]) return;else if (ev === 'data') {
      if (!data) return;
      if (this.pipes.length) this.pipes.forEach(p => p.dest.write(data) === false && this.pause());
    } else if (ev === 'end') {
      // only actual end gets this treatment
      if (this[EMITTED_END] === true) return;
      this[EMITTED_END] = true;
      this.readable = false;

      if (this[DECODER]) {
        data = this[DECODER].end();

        if (data) {
          this.pipes.forEach(p => p.dest.write(data));
          super.emit('data', data);
        }
      }

      this.pipes.forEach(p => {
        p.dest.removeListener('drain', p.ondrain);
        if (p.opts.end) p.dest.end();
      });
    } else if (ev === 'close') {
      this[CLOSED] = true; // don't emit close before 'end' and 'finish'

      if (!this[EMITTED_END] && !this[DESTROYED]) return;
    } else if (ev === 'error') {
      this[EMITTED_ERROR] = data;
    } // TODO: replace with a spread operator when Node v4 support drops

    const args = new Array(arguments.length);
    args[0] = ev;
    args[1] = data;

    if (arguments.length > 2) {
      for (let i = 2; i < arguments.length; i++) {
        args[i] = arguments[i];
      }
    }

    try {
      return super.emit.apply(this, args);
    } finally {
      if (!isEndish(ev)) this[MAYBE_EMIT_END]();else this.removeAllListeners(ev);
    }
  } // const all = await stream.collect()


  collect() {
    const buf = [];
    if (!this[OBJECTMODE]) buf.dataLength = 0; // set the promise first, in case an error is raised
    // by triggering the flow here.

    const p = this.promise();
    this.on('data', c => {
      buf.push(c);
      if (!this[OBJECTMODE]) buf.dataLength += c.length;
    });
    return p.then(() => buf);
  } // const data = await stream.concat()


  concat() {
    return this[OBJECTMODE] ? Promise.reject(new Error('cannot concat in objectMode')) : this.collect().then(buf => this[OBJECTMODE] ? Promise.reject(new Error('cannot concat in objectMode')) : this[ENCODING] ? buf.join('') : Buffer.concat(buf, buf.dataLength));
  } // stream.promise().then(() => done, er => emitted error)


  promise() {
    return new Promise((resolve, reject) => {
      this.on(DESTROYED, () => reject(new Error('stream destroyed')));
      this.on('error', er => reject(er));
      this.on('end', () => resolve());
    });
  } // for await (let chunk of stream)


  [ASYNCITERATOR]() {
    const next = () => {
      const res = this.read();
      if (res !== null) return Promise.resolve({
        done: false,
        value: res
      });
      if (this[EOF]) return Promise.resolve({
        done: true
      });
      let resolve = null;
      let reject = null;

      const onerr = er => {
        this.removeListener('data', ondata);
        this.removeListener('end', onend);
        reject(er);
      };

      const ondata = value => {
        this.removeListener('error', onerr);
        this.removeListener('end', onend);
        this.pause();
        resolve({
          value: value,
          done: !!this[EOF]
        });
      };

      const onend = () => {
        this.removeListener('error', onerr);
        this.removeListener('data', ondata);
        resolve({
          done: true
        });
      };

      const ondestroy = () => onerr(new Error('stream destroyed'));

      return new Promise((res, rej) => {
        reject = rej;
        resolve = res;
        this.once(DESTROYED, ondestroy);
        this.once('error', onerr);
        this.once('end', onend);
        this.once('data', ondata);
      });
    };

    return {
      next
    };
  } // for (let chunk of stream)


  [ITERATOR]() {
    const next = () => {
      const value = this.read();
      const done = value === null;
      return {
        value,
        done
      };
    };

    return {
      next
    };
  }

  destroy(er) {
    if (this[DESTROYED]) {
      if (er) this.emit('error', er);else this.emit(DESTROYED);
      return this;
    }

    this[DESTROYED] = true; // throw away all buffered data, it's never coming out

    this.buffer = new Yallist();
    this[BUFFERLENGTH] = 0;
    if (typeof this.close === 'function' && !this[CLOSED]) this.close();
    if (er) this.emit('error', er);else // if no error to emit, still reject pending promises
      this.emit(DESTROYED);
    return this;
  }

  static isStream(s) {
    return !!s && (s instanceof Minipass || s instanceof Stream || s instanceof EE && (typeof s.pipe === 'function' || // readable
    typeof s.write === 'function' && typeof s.end === 'function' // writable
    ));
  }

};

/***/ }),

/***/ "./node_modules/.f/_/minizlib/1.3.3/minizlib/constants.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Update with any zlib constants that are added or changed in the future.
// Node v6 didn't export this, so we just hard code the version and rely
// on all the other hard-coded values from zlib v4736.  When node v6
// support drops, we can just export the realZlibConstants object.
const realZlibConstants = __webpack_require__("zlib").constants ||
/* istanbul ignore next */
{
  ZLIB_VERNUM: 4736
};
module.exports = Object.freeze(Object.assign(Object.create(null), {
  Z_NO_FLUSH: 0,
  Z_PARTIAL_FLUSH: 1,
  Z_SYNC_FLUSH: 2,
  Z_FULL_FLUSH: 3,
  Z_FINISH: 4,
  Z_BLOCK: 5,
  Z_OK: 0,
  Z_STREAM_END: 1,
  Z_NEED_DICT: 2,
  Z_ERRNO: -1,
  Z_STREAM_ERROR: -2,
  Z_DATA_ERROR: -3,
  Z_MEM_ERROR: -4,
  Z_BUF_ERROR: -5,
  Z_VERSION_ERROR: -6,
  Z_NO_COMPRESSION: 0,
  Z_BEST_SPEED: 1,
  Z_BEST_COMPRESSION: 9,
  Z_DEFAULT_COMPRESSION: -1,
  Z_FILTERED: 1,
  Z_HUFFMAN_ONLY: 2,
  Z_RLE: 3,
  Z_FIXED: 4,
  Z_DEFAULT_STRATEGY: 0,
  DEFLATE: 1,
  INFLATE: 2,
  GZIP: 3,
  GUNZIP: 4,
  DEFLATERAW: 5,
  INFLATERAW: 6,
  UNZIP: 7,
  BROTLI_DECODE: 8,
  BROTLI_ENCODE: 9,
  Z_MIN_WINDOWBITS: 8,
  Z_MAX_WINDOWBITS: 15,
  Z_DEFAULT_WINDOWBITS: 15,
  Z_MIN_CHUNK: 64,
  Z_MAX_CHUNK: Infinity,
  Z_DEFAULT_CHUNK: 16384,
  Z_MIN_MEMLEVEL: 1,
  Z_MAX_MEMLEVEL: 9,
  Z_DEFAULT_MEMLEVEL: 8,
  Z_MIN_LEVEL: -1,
  Z_MAX_LEVEL: 9,
  Z_DEFAULT_LEVEL: -1,
  BROTLI_OPERATION_PROCESS: 0,
  BROTLI_OPERATION_FLUSH: 1,
  BROTLI_OPERATION_FINISH: 2,
  BROTLI_OPERATION_EMIT_METADATA: 3,
  BROTLI_MODE_GENERIC: 0,
  BROTLI_MODE_TEXT: 1,
  BROTLI_MODE_FONT: 2,
  BROTLI_DEFAULT_MODE: 0,
  BROTLI_MIN_QUALITY: 0,
  BROTLI_MAX_QUALITY: 11,
  BROTLI_DEFAULT_QUALITY: 11,
  BROTLI_MIN_WINDOW_BITS: 10,
  BROTLI_MAX_WINDOW_BITS: 24,
  BROTLI_LARGE_MAX_WINDOW_BITS: 30,
  BROTLI_DEFAULT_WINDOW: 22,
  BROTLI_MIN_INPUT_BLOCK_BITS: 16,
  BROTLI_MAX_INPUT_BLOCK_BITS: 24,
  BROTLI_PARAM_MODE: 0,
  BROTLI_PARAM_QUALITY: 1,
  BROTLI_PARAM_LGWIN: 2,
  BROTLI_PARAM_LGBLOCK: 3,
  BROTLI_PARAM_DISABLE_LITERAL_CONTEXT_MODELING: 4,
  BROTLI_PARAM_SIZE_HINT: 5,
  BROTLI_PARAM_LARGE_WINDOW: 6,
  BROTLI_PARAM_NPOSTFIX: 7,
  BROTLI_PARAM_NDIRECT: 8,
  BROTLI_DECODER_RESULT_ERROR: 0,
  BROTLI_DECODER_RESULT_SUCCESS: 1,
  BROTLI_DECODER_RESULT_NEEDS_MORE_INPUT: 2,
  BROTLI_DECODER_RESULT_NEEDS_MORE_OUTPUT: 3,
  BROTLI_DECODER_PARAM_DISABLE_RING_BUFFER_REALLOCATION: 0,
  BROTLI_DECODER_PARAM_LARGE_WINDOW: 1,
  BROTLI_DECODER_NO_ERROR: 0,
  BROTLI_DECODER_SUCCESS: 1,
  BROTLI_DECODER_NEEDS_MORE_INPUT: 2,
  BROTLI_DECODER_NEEDS_MORE_OUTPUT: 3,
  BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_NIBBLE: -1,
  BROTLI_DECODER_ERROR_FORMAT_RESERVED: -2,
  BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_META_NIBBLE: -3,
  BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_ALPHABET: -4,
  BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_SAME: -5,
  BROTLI_DECODER_ERROR_FORMAT_CL_SPACE: -6,
  BROTLI_DECODER_ERROR_FORMAT_HUFFMAN_SPACE: -7,
  BROTLI_DECODER_ERROR_FORMAT_CONTEXT_MAP_REPEAT: -8,
  BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_1: -9,
  BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_2: -10,
  BROTLI_DECODER_ERROR_FORMAT_TRANSFORM: -11,
  BROTLI_DECODER_ERROR_FORMAT_DICTIONARY: -12,
  BROTLI_DECODER_ERROR_FORMAT_WINDOW_BITS: -13,
  BROTLI_DECODER_ERROR_FORMAT_PADDING_1: -14,
  BROTLI_DECODER_ERROR_FORMAT_PADDING_2: -15,
  BROTLI_DECODER_ERROR_FORMAT_DISTANCE: -16,
  BROTLI_DECODER_ERROR_DICTIONARY_NOT_SET: -19,
  BROTLI_DECODER_ERROR_INVALID_ARGUMENTS: -20,
  BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MODES: -21,
  BROTLI_DECODER_ERROR_ALLOC_TREE_GROUPS: -22,
  BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MAP: -25,
  BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_1: -26,
  BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_2: -27,
  BROTLI_DECODER_ERROR_ALLOC_BLOCK_TYPE_TREES: -30,
  BROTLI_DECODER_ERROR_UNREACHABLE: -31
}, realZlibConstants));

/***/ }),

/***/ "./node_modules/.f/_/minizlib/1.3.3/minizlib/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const assert = __webpack_require__("assert");

const Buffer = __webpack_require__("buffer").Buffer;

const realZlib = __webpack_require__("zlib");

const constants = exports.constants = __webpack_require__("./node_modules/.f/_/minizlib/1.3.3/minizlib/constants.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const OriginalBufferConcat = Buffer.concat;

class ZlibError extends Error {
  constructor(err) {
    super('zlib: ' + err.message);
    this.code = err.code;
    this.errno = err.errno;
    /* istanbul ignore if */

    if (!this.code) this.code = 'ZLIB_ERROR';
    this.message = 'zlib: ' + err.message;
    Error.captureStackTrace(this, this.constructor);
  }

  get name() {
    return 'ZlibError';
  }

} // the Zlib class they all inherit from
// This thing manages the queue of requests, and returns
// true or false if there is anything in the queue when
// you call the .write() method.


const _opts = Symbol('opts');

const _flushFlag = Symbol('flushFlag');

const _finishFlushFlag = Symbol('finishFlushFlag');

const _fullFlushFlag = Symbol('fullFlushFlag');

const _handle = Symbol('handle');

const _onError = Symbol('onError');

const _sawError = Symbol('sawError');

const _level = Symbol('level');

const _strategy = Symbol('strategy');

const _ended = Symbol('ended');

const _defaultFullFlush = Symbol('_defaultFullFlush');

class ZlibBase extends Minipass {
  constructor(opts, mode) {
    if (!opts || typeof opts !== 'object') throw new TypeError('invalid options for ZlibBase constructor');
    super(opts);
    this[_ended] = false;
    this[_opts] = opts;
    this[_flushFlag] = opts.flush;
    this[_finishFlushFlag] = opts.finishFlush; // this will throw if any options are invalid for the class selected

    try {
      this[_handle] = new realZlib[mode](opts);
    } catch (er) {
      // make sure that all errors get decorated properly
      throw new ZlibError(er);
    }

    this[_onError] = err => {
      this[_sawError] = true; // there is no way to cleanly recover.
      // continuing only obscures problems.

      this.close();
      this.emit('error', err);
    };

    this[_handle].on('error', er => this[_onError](new ZlibError(er)));

    this.once('end', () => this.close);
  }

  close() {
    if (this[_handle]) {
      this[_handle].close();

      this[_handle] = null;
      this.emit('close');
    }
  }

  reset() {
    if (!this[_sawError]) {
      assert(this[_handle], 'zlib binding closed');
      return this[_handle].reset();
    }
  }

  flush(flushFlag) {
    if (this.ended) return;
    if (typeof flushFlag !== 'number') flushFlag = this[_fullFlushFlag];
    this.write(Object.assign(Buffer.alloc(0), {
      [_flushFlag]: flushFlag
    }));
  }

  end(chunk, encoding, cb) {
    if (chunk) this.write(chunk, encoding);
    this.flush(this[_finishFlushFlag]);
    this[_ended] = true;
    return super.end(null, null, cb);
  }

  get ended() {
    return this[_ended];
  }

  write(chunk, encoding, cb) {
    // process the chunk using the sync process
    // then super.write() all the outputted chunks
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (typeof chunk === 'string') chunk = Buffer.from(chunk, encoding);
    if (this[_sawError]) return;
    assert(this[_handle], 'zlib binding closed'); // _processChunk tries to .close() the native handle after it's done, so we
    // intercept that by temporarily making it a no-op.

    const nativeHandle = this[_handle]._handle;
    const originalNativeClose = nativeHandle.close;

    nativeHandle.close = () => {};

    const originalClose = this[_handle].close;

    this[_handle].close = () => {}; // It also calls `Buffer.concat()` at the end, which may be convenient
    // for some, but which we are not interested in as it slows us down.


    Buffer.concat = args => args;

    let result;

    try {
      const flushFlag = typeof chunk[_flushFlag] === 'number' ? chunk[_flushFlag] : this[_flushFlag];
      result = this[_handle]._processChunk(chunk, flushFlag); // if we don't throw, reset it back how it was

      Buffer.concat = OriginalBufferConcat;
    } catch (err) {
      // or if we do, put Buffer.concat() back before we emit error
      // Error events call into user code, which may call Buffer.concat()
      Buffer.concat = OriginalBufferConcat;

      this[_onError](new ZlibError(err));
    } finally {
      if (this[_handle]) {
        // Core zlib resets `_handle` to null after attempting to close the
        // native handle. Our no-op handler prevented actual closure, but we
        // need to restore the `._handle` property.
        this[_handle]._handle = nativeHandle;
        nativeHandle.close = originalNativeClose;
        this[_handle].close = originalClose; // `_processChunk()` adds an 'error' listener. If we don't remove it
        // after each call, these handlers start piling up.

        this[_handle].removeAllListeners('error');
      }
    }

    let writeReturn;

    if (result) {
      if (Array.isArray(result) && result.length > 0) {
        // The first buffer is always `handle._outBuffer`, which would be
        // re-used for later invocations; so, we always have to copy that one.
        writeReturn = super.write(Buffer.from(result[0]));

        for (let i = 1; i < result.length; i++) {
          writeReturn = super.write(result[i]);
        }
      } else {
        writeReturn = super.write(Buffer.from(result));
      }
    }

    if (cb) cb();
    return writeReturn;
  }

}

class Zlib extends ZlibBase {
  constructor(opts, mode) {
    opts = opts || {};
    opts.flush = opts.flush || constants.Z_NO_FLUSH;
    opts.finishFlush = opts.finishFlush || constants.Z_FINISH;
    super(opts, mode);
    this[_fullFlushFlag] = constants.Z_FULL_FLUSH;
    this[_level] = opts.level;
    this[_strategy] = opts.strategy;
  }

  params(level, strategy) {
    if (this[_sawError]) return;
    if (!this[_handle]) throw new Error('cannot switch params when binding is closed'); // no way to test this without also not supporting params at all

    /* istanbul ignore if */

    if (!this[_handle].params) throw new Error('not supported in this implementation');

    if (this[_level] !== level || this[_strategy] !== strategy) {
      this.flush(constants.Z_SYNC_FLUSH);
      assert(this[_handle], 'zlib binding closed'); // .params() calls .flush(), but the latter is always async in the
      // core zlib. We override .flush() temporarily to intercept that and
      // flush synchronously.

      const origFlush = this[_handle].flush;

      this[_handle].flush = (flushFlag, cb) => {
        this.flush(flushFlag);
        cb();
      };

      try {
        this[_handle].params(level, strategy);
      } finally {
        this[_handle].flush = origFlush;
      }
      /* istanbul ignore else */


      if (this[_handle]) {
        this[_level] = level;
        this[_strategy] = strategy;
      }
    }
  }

} // minimal 2-byte header


class Deflate extends Zlib {
  constructor(opts) {
    super(opts, 'Deflate');
  }

}

class Inflate extends Zlib {
  constructor(opts) {
    super(opts, 'Inflate');
  }

} // gzip - bigger header, same deflate compression


class Gzip extends Zlib {
  constructor(opts) {
    super(opts, 'Gzip');
  }

}

class Gunzip extends Zlib {
  constructor(opts) {
    super(opts, 'Gunzip');
  }

} // raw - no header


class DeflateRaw extends Zlib {
  constructor(opts) {
    super(opts, 'DeflateRaw');
  }

}

class InflateRaw extends Zlib {
  constructor(opts) {
    super(opts, 'InflateRaw');
  }

} // auto-detect header.


class Unzip extends Zlib {
  constructor(opts) {
    super(opts, 'Unzip');
  }

}

class Brotli extends ZlibBase {
  constructor(opts, mode) {
    opts = opts || {};
    opts.flush = opts.flush || constants.BROTLI_OPERATION_PROCESS;
    opts.finishFlush = opts.finishFlush || constants.BROTLI_OPERATION_FINISH;
    super(opts, mode);
    this[_fullFlushFlag] = constants.BROTLI_OPERATION_FLUSH;
  }

}

class BrotliCompress extends Brotli {
  constructor(opts) {
    super(opts, 'BrotliCompress');
  }

}

class BrotliDecompress extends Brotli {
  constructor(opts) {
    super(opts, 'BrotliDecompress');
  }

}

exports.Deflate = Deflate;
exports.Inflate = Inflate;
exports.Gzip = Gzip;
exports.Gunzip = Gunzip;
exports.DeflateRaw = DeflateRaw;
exports.InflateRaw = InflateRaw;
exports.Unzip = Unzip;
/* istanbul ignore else */

if (typeof realZlib.BrotliCompress === 'function') {
  exports.BrotliCompress = BrotliCompress;
  exports.BrotliDecompress = BrotliDecompress;
} else {
  exports.BrotliCompress = exports.BrotliDecompress = class {
    constructor() {
      throw new Error('Brotli is not supported in this version of Node.js');
    }

  };
}

/***/ }),

/***/ "./node_modules/.f/_/minizlib/2.1.2/minizlib/constants.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Update with any zlib constants that are added or changed in the future.
// Node v6 didn't export this, so we just hard code the version and rely
// on all the other hard-coded values from zlib v4736.  When node v6
// support drops, we can just export the realZlibConstants object.
const realZlibConstants = __webpack_require__("zlib").constants ||
/* istanbul ignore next */
{
  ZLIB_VERNUM: 4736
};
module.exports = Object.freeze(Object.assign(Object.create(null), {
  Z_NO_FLUSH: 0,
  Z_PARTIAL_FLUSH: 1,
  Z_SYNC_FLUSH: 2,
  Z_FULL_FLUSH: 3,
  Z_FINISH: 4,
  Z_BLOCK: 5,
  Z_OK: 0,
  Z_STREAM_END: 1,
  Z_NEED_DICT: 2,
  Z_ERRNO: -1,
  Z_STREAM_ERROR: -2,
  Z_DATA_ERROR: -3,
  Z_MEM_ERROR: -4,
  Z_BUF_ERROR: -5,
  Z_VERSION_ERROR: -6,
  Z_NO_COMPRESSION: 0,
  Z_BEST_SPEED: 1,
  Z_BEST_COMPRESSION: 9,
  Z_DEFAULT_COMPRESSION: -1,
  Z_FILTERED: 1,
  Z_HUFFMAN_ONLY: 2,
  Z_RLE: 3,
  Z_FIXED: 4,
  Z_DEFAULT_STRATEGY: 0,
  DEFLATE: 1,
  INFLATE: 2,
  GZIP: 3,
  GUNZIP: 4,
  DEFLATERAW: 5,
  INFLATERAW: 6,
  UNZIP: 7,
  BROTLI_DECODE: 8,
  BROTLI_ENCODE: 9,
  Z_MIN_WINDOWBITS: 8,
  Z_MAX_WINDOWBITS: 15,
  Z_DEFAULT_WINDOWBITS: 15,
  Z_MIN_CHUNK: 64,
  Z_MAX_CHUNK: Infinity,
  Z_DEFAULT_CHUNK: 16384,
  Z_MIN_MEMLEVEL: 1,
  Z_MAX_MEMLEVEL: 9,
  Z_DEFAULT_MEMLEVEL: 8,
  Z_MIN_LEVEL: -1,
  Z_MAX_LEVEL: 9,
  Z_DEFAULT_LEVEL: -1,
  BROTLI_OPERATION_PROCESS: 0,
  BROTLI_OPERATION_FLUSH: 1,
  BROTLI_OPERATION_FINISH: 2,
  BROTLI_OPERATION_EMIT_METADATA: 3,
  BROTLI_MODE_GENERIC: 0,
  BROTLI_MODE_TEXT: 1,
  BROTLI_MODE_FONT: 2,
  BROTLI_DEFAULT_MODE: 0,
  BROTLI_MIN_QUALITY: 0,
  BROTLI_MAX_QUALITY: 11,
  BROTLI_DEFAULT_QUALITY: 11,
  BROTLI_MIN_WINDOW_BITS: 10,
  BROTLI_MAX_WINDOW_BITS: 24,
  BROTLI_LARGE_MAX_WINDOW_BITS: 30,
  BROTLI_DEFAULT_WINDOW: 22,
  BROTLI_MIN_INPUT_BLOCK_BITS: 16,
  BROTLI_MAX_INPUT_BLOCK_BITS: 24,
  BROTLI_PARAM_MODE: 0,
  BROTLI_PARAM_QUALITY: 1,
  BROTLI_PARAM_LGWIN: 2,
  BROTLI_PARAM_LGBLOCK: 3,
  BROTLI_PARAM_DISABLE_LITERAL_CONTEXT_MODELING: 4,
  BROTLI_PARAM_SIZE_HINT: 5,
  BROTLI_PARAM_LARGE_WINDOW: 6,
  BROTLI_PARAM_NPOSTFIX: 7,
  BROTLI_PARAM_NDIRECT: 8,
  BROTLI_DECODER_RESULT_ERROR: 0,
  BROTLI_DECODER_RESULT_SUCCESS: 1,
  BROTLI_DECODER_RESULT_NEEDS_MORE_INPUT: 2,
  BROTLI_DECODER_RESULT_NEEDS_MORE_OUTPUT: 3,
  BROTLI_DECODER_PARAM_DISABLE_RING_BUFFER_REALLOCATION: 0,
  BROTLI_DECODER_PARAM_LARGE_WINDOW: 1,
  BROTLI_DECODER_NO_ERROR: 0,
  BROTLI_DECODER_SUCCESS: 1,
  BROTLI_DECODER_NEEDS_MORE_INPUT: 2,
  BROTLI_DECODER_NEEDS_MORE_OUTPUT: 3,
  BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_NIBBLE: -1,
  BROTLI_DECODER_ERROR_FORMAT_RESERVED: -2,
  BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_META_NIBBLE: -3,
  BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_ALPHABET: -4,
  BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_SAME: -5,
  BROTLI_DECODER_ERROR_FORMAT_CL_SPACE: -6,
  BROTLI_DECODER_ERROR_FORMAT_HUFFMAN_SPACE: -7,
  BROTLI_DECODER_ERROR_FORMAT_CONTEXT_MAP_REPEAT: -8,
  BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_1: -9,
  BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_2: -10,
  BROTLI_DECODER_ERROR_FORMAT_TRANSFORM: -11,
  BROTLI_DECODER_ERROR_FORMAT_DICTIONARY: -12,
  BROTLI_DECODER_ERROR_FORMAT_WINDOW_BITS: -13,
  BROTLI_DECODER_ERROR_FORMAT_PADDING_1: -14,
  BROTLI_DECODER_ERROR_FORMAT_PADDING_2: -15,
  BROTLI_DECODER_ERROR_FORMAT_DISTANCE: -16,
  BROTLI_DECODER_ERROR_DICTIONARY_NOT_SET: -19,
  BROTLI_DECODER_ERROR_INVALID_ARGUMENTS: -20,
  BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MODES: -21,
  BROTLI_DECODER_ERROR_ALLOC_TREE_GROUPS: -22,
  BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MAP: -25,
  BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_1: -26,
  BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_2: -27,
  BROTLI_DECODER_ERROR_ALLOC_BLOCK_TYPE_TREES: -30,
  BROTLI_DECODER_ERROR_UNREACHABLE: -31
}, realZlibConstants));

/***/ }),

/***/ "./node_modules/.f/_/minizlib/2.1.2/minizlib/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const assert = __webpack_require__("assert");

const Buffer = __webpack_require__("buffer").Buffer;

const realZlib = __webpack_require__("zlib");

const constants = exports.constants = __webpack_require__("./node_modules/.f/_/minizlib/2.1.2/minizlib/constants.js");

const Minipass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const OriginalBufferConcat = Buffer.concat;

const _superWrite = Symbol('_superWrite');

class ZlibError extends Error {
  constructor(err) {
    super('zlib: ' + err.message);
    this.code = err.code;
    this.errno = err.errno;
    /* istanbul ignore if */

    if (!this.code) this.code = 'ZLIB_ERROR';
    this.message = 'zlib: ' + err.message;
    Error.captureStackTrace(this, this.constructor);
  }

  get name() {
    return 'ZlibError';
  }

} // the Zlib class they all inherit from
// This thing manages the queue of requests, and returns
// true or false if there is anything in the queue when
// you call the .write() method.


const _opts = Symbol('opts');

const _flushFlag = Symbol('flushFlag');

const _finishFlushFlag = Symbol('finishFlushFlag');

const _fullFlushFlag = Symbol('fullFlushFlag');

const _handle = Symbol('handle');

const _onError = Symbol('onError');

const _sawError = Symbol('sawError');

const _level = Symbol('level');

const _strategy = Symbol('strategy');

const _ended = Symbol('ended');

const _defaultFullFlush = Symbol('_defaultFullFlush');

class ZlibBase extends Minipass {
  constructor(opts, mode) {
    if (!opts || typeof opts !== 'object') throw new TypeError('invalid options for ZlibBase constructor');
    super(opts);
    this[_sawError] = false;
    this[_ended] = false;
    this[_opts] = opts;
    this[_flushFlag] = opts.flush;
    this[_finishFlushFlag] = opts.finishFlush; // this will throw if any options are invalid for the class selected

    try {
      this[_handle] = new realZlib[mode](opts);
    } catch (er) {
      // make sure that all errors get decorated properly
      throw new ZlibError(er);
    }

    this[_onError] = err => {
      // no sense raising multiple errors, since we abort on the first one.
      if (this[_sawError]) return;
      this[_sawError] = true; // there is no way to cleanly recover.
      // continuing only obscures problems.

      this.close();
      this.emit('error', err);
    };

    this[_handle].on('error', er => this[_onError](new ZlibError(er)));

    this.once('end', () => this.close);
  }

  close() {
    if (this[_handle]) {
      this[_handle].close();

      this[_handle] = null;
      this.emit('close');
    }
  }

  reset() {
    if (!this[_sawError]) {
      assert(this[_handle], 'zlib binding closed');
      return this[_handle].reset();
    }
  }

  flush(flushFlag) {
    if (this.ended) return;
    if (typeof flushFlag !== 'number') flushFlag = this[_fullFlushFlag];
    this.write(Object.assign(Buffer.alloc(0), {
      [_flushFlag]: flushFlag
    }));
  }

  end(chunk, encoding, cb) {
    if (chunk) this.write(chunk, encoding);
    this.flush(this[_finishFlushFlag]);
    this[_ended] = true;
    return super.end(null, null, cb);
  }

  get ended() {
    return this[_ended];
  }

  write(chunk, encoding, cb) {
    // process the chunk using the sync process
    // then super.write() all the outputted chunks
    if (typeof encoding === 'function') cb = encoding, encoding = 'utf8';
    if (typeof chunk === 'string') chunk = Buffer.from(chunk, encoding);
    if (this[_sawError]) return;
    assert(this[_handle], 'zlib binding closed'); // _processChunk tries to .close() the native handle after it's done, so we
    // intercept that by temporarily making it a no-op.

    const nativeHandle = this[_handle]._handle;
    const originalNativeClose = nativeHandle.close;

    nativeHandle.close = () => {};

    const originalClose = this[_handle].close;

    this[_handle].close = () => {}; // It also calls `Buffer.concat()` at the end, which may be convenient
    // for some, but which we are not interested in as it slows us down.


    Buffer.concat = args => args;

    let result;

    try {
      const flushFlag = typeof chunk[_flushFlag] === 'number' ? chunk[_flushFlag] : this[_flushFlag];
      result = this[_handle]._processChunk(chunk, flushFlag); // if we don't throw, reset it back how it was

      Buffer.concat = OriginalBufferConcat;
    } catch (err) {
      // or if we do, put Buffer.concat() back before we emit error
      // Error events call into user code, which may call Buffer.concat()
      Buffer.concat = OriginalBufferConcat;

      this[_onError](new ZlibError(err));
    } finally {
      if (this[_handle]) {
        // Core zlib resets `_handle` to null after attempting to close the
        // native handle. Our no-op handler prevented actual closure, but we
        // need to restore the `._handle` property.
        this[_handle]._handle = nativeHandle;
        nativeHandle.close = originalNativeClose;
        this[_handle].close = originalClose; // `_processChunk()` adds an 'error' listener. If we don't remove it
        // after each call, these handlers start piling up.

        this[_handle].removeAllListeners('error'); // make sure OUR error listener is still attached tho

      }
    }

    if (this[_handle]) this[_handle].on('error', er => this[_onError](new ZlibError(er)));
    let writeReturn;

    if (result) {
      if (Array.isArray(result) && result.length > 0) {
        // The first buffer is always `handle._outBuffer`, which would be
        // re-used for later invocations; so, we always have to copy that one.
        writeReturn = this[_superWrite](Buffer.from(result[0]));

        for (let i = 1; i < result.length; i++) {
          writeReturn = this[_superWrite](result[i]);
        }
      } else {
        writeReturn = this[_superWrite](Buffer.from(result));
      }
    }

    if (cb) cb();
    return writeReturn;
  }

  [_superWrite](data) {
    return super.write(data);
  }

}

class Zlib extends ZlibBase {
  constructor(opts, mode) {
    opts = opts || {};
    opts.flush = opts.flush || constants.Z_NO_FLUSH;
    opts.finishFlush = opts.finishFlush || constants.Z_FINISH;
    super(opts, mode);
    this[_fullFlushFlag] = constants.Z_FULL_FLUSH;
    this[_level] = opts.level;
    this[_strategy] = opts.strategy;
  }

  params(level, strategy) {
    if (this[_sawError]) return;
    if (!this[_handle]) throw new Error('cannot switch params when binding is closed'); // no way to test this without also not supporting params at all

    /* istanbul ignore if */

    if (!this[_handle].params) throw new Error('not supported in this implementation');

    if (this[_level] !== level || this[_strategy] !== strategy) {
      this.flush(constants.Z_SYNC_FLUSH);
      assert(this[_handle], 'zlib binding closed'); // .params() calls .flush(), but the latter is always async in the
      // core zlib. We override .flush() temporarily to intercept that and
      // flush synchronously.

      const origFlush = this[_handle].flush;

      this[_handle].flush = (flushFlag, cb) => {
        this.flush(flushFlag);
        cb();
      };

      try {
        this[_handle].params(level, strategy);
      } finally {
        this[_handle].flush = origFlush;
      }
      /* istanbul ignore else */


      if (this[_handle]) {
        this[_level] = level;
        this[_strategy] = strategy;
      }
    }
  }

} // minimal 2-byte header


class Deflate extends Zlib {
  constructor(opts) {
    super(opts, 'Deflate');
  }

}

class Inflate extends Zlib {
  constructor(opts) {
    super(opts, 'Inflate');
  }

} // gzip - bigger header, same deflate compression


const _portable = Symbol('_portable');

class Gzip extends Zlib {
  constructor(opts) {
    super(opts, 'Gzip');
    this[_portable] = opts && !!opts.portable;
  }

  [_superWrite](data) {
    if (!this[_portable]) return super[_superWrite](data); // we'll always get the header emitted in one first chunk
    // overwrite the OS indicator byte with 0xFF

    this[_portable] = false;
    data[9] = 255;
    return super[_superWrite](data);
  }

}

class Gunzip extends Zlib {
  constructor(opts) {
    super(opts, 'Gunzip');
  }

} // raw - no header


class DeflateRaw extends Zlib {
  constructor(opts) {
    super(opts, 'DeflateRaw');
  }

}

class InflateRaw extends Zlib {
  constructor(opts) {
    super(opts, 'InflateRaw');
  }

} // auto-detect header.


class Unzip extends Zlib {
  constructor(opts) {
    super(opts, 'Unzip');
  }

}

class Brotli extends ZlibBase {
  constructor(opts, mode) {
    opts = opts || {};
    opts.flush = opts.flush || constants.BROTLI_OPERATION_PROCESS;
    opts.finishFlush = opts.finishFlush || constants.BROTLI_OPERATION_FINISH;
    super(opts, mode);
    this[_fullFlushFlag] = constants.BROTLI_OPERATION_FLUSH;
  }

}

class BrotliCompress extends Brotli {
  constructor(opts) {
    super(opts, 'BrotliCompress');
  }

}

class BrotliDecompress extends Brotli {
  constructor(opts) {
    super(opts, 'BrotliDecompress');
  }

}

exports.Deflate = Deflate;
exports.Inflate = Inflate;
exports.Gzip = Gzip;
exports.Gunzip = Gunzip;
exports.DeflateRaw = DeflateRaw;
exports.InflateRaw = InflateRaw;
exports.Unzip = Unzip;
/* istanbul ignore else */

if (typeof realZlib.BrotliCompress === 'function') {
  exports.BrotliCompress = BrotliCompress;
  exports.BrotliDecompress = BrotliDecompress;
} else {
  exports.BrotliCompress = exports.BrotliDecompress = class {
    constructor() {
      throw new Error('Brotli is not supported in this version of Node.js');
    }

  };
}

/***/ }),

/***/ "./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports.pipe = __webpack_require__("./node_modules/.f/_/pump/3.0.0/pump/index.js");
module.exports.each = __webpack_require__("./node_modules/.f/_/stream-each/1.2.3/stream-each/index.js");
module.exports.pipeline = __webpack_require__("./node_modules/.f/_/pumpify/1.5.1/pumpify/index.js");
module.exports.duplex = __webpack_require__("./node_modules/.f/_/duplexify/3.7.1/duplexify/index.js");
module.exports.through = __webpack_require__("./node_modules/.f/_/through2/2.0.5/through2/through2.js");
module.exports.concat = __webpack_require__("./node_modules/.f/_/concat-stream/1.6.2/concat-stream/index.js");
module.exports.finished = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");
module.exports.from = __webpack_require__("./node_modules/.f/_/from2/2.3.0/from2/index.js");
module.exports.to = __webpack_require__("./node_modules/.f/_/flush-write-stream/1.1.1/flush-write-stream/index.js");
module.exports.parallel = __webpack_require__("./node_modules/.f/_/parallel-transform/1.2.0/parallel-transform/index.js");

/***/ }),

/***/ "./node_modules/.f/_/mississippi/4.0.0/mississippi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports.pipe = __webpack_require__("./node_modules/.f/_/pump/3.0.0/pump/index.js");
module.exports.each = __webpack_require__("./node_modules/.f/_/stream-each/1.2.3/stream-each/index.js");
module.exports.pipeline = __webpack_require__("./node_modules/.f/_/pumpify/1.5.1/pumpify/index.js");
module.exports.duplex = __webpack_require__("./node_modules/.f/_/duplexify/4.1.1/duplexify/index.js");
module.exports.through = __webpack_require__("./node_modules/.f/_/through2/3.0.2/through2/through2.js");
module.exports.concat = __webpack_require__("./node_modules/.f/_/concat-stream/2.0.0/concat-stream/index.js");
module.exports.finished = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");
module.exports.from = __webpack_require__("./node_modules/.f/_/from2/2.3.0/from2/index.js");
module.exports.to = __webpack_require__("./node_modules/.f/_/flush-write-stream/2.0.0/flush-write-stream/index.js");
module.exports.parallel = __webpack_require__("./node_modules/.f/_/parallel-transform/1.2.0/parallel-transform/index.js");

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var path = __webpack_require__("path");

var fs = __webpack_require__("fs");

var _0777 = parseInt('0777', 8);

module.exports = mkdirP.mkdirp = mkdirP.mkdirP = mkdirP;

function mkdirP(p, opts, f, made) {
  if (typeof opts === 'function') {
    f = opts;
    opts = {};
  } else if (!opts || typeof opts !== 'object') {
    opts = {
      mode: opts
    };
  }

  var mode = opts.mode;
  var xfs = opts.fs || fs;

  if (mode === undefined) {
    mode = _0777;
  }

  if (!made) made = null;

  var cb = f || function () {};

  p = path.resolve(p);
  xfs.mkdir(p, mode, function (er) {
    if (!er) {
      made = made || p;
      return cb(null, made);
    }

    switch (er.code) {
      case 'ENOENT':
        if (path.dirname(p) === p) return cb(er);
        mkdirP(path.dirname(p), opts, function (er, made) {
          if (er) cb(er, made);else mkdirP(p, opts, cb, made);
        });
        break;
      // In the case of any other error, just see if there's a dir
      // there already.  If so, then hooray!  If not, then something
      // is borked.

      default:
        xfs.stat(p, function (er2, stat) {
          // if the stat fails, then that's super weird.
          // let the original error be the failure reason.
          if (er2 || !stat.isDirectory()) cb(er, made);else cb(null, made);
        });
        break;
    }
  });
}

mkdirP.sync = function sync(p, opts, made) {
  if (!opts || typeof opts !== 'object') {
    opts = {
      mode: opts
    };
  }

  var mode = opts.mode;
  var xfs = opts.fs || fs;

  if (mode === undefined) {
    mode = _0777;
  }

  if (!made) made = null;
  p = path.resolve(p);

  try {
    xfs.mkdirSync(p, mode);
    made = made || p;
  } catch (err0) {
    switch (err0.code) {
      case 'ENOENT':
        made = sync(path.dirname(p), opts, made);
        sync(p, opts, made);
        break;
      // In the case of any other error, just see if there's a dir
      // there already.  If so, then hooray!  If not, then something
      // is borked.

      default:
        var stat;

        try {
          stat = xfs.statSync(p);
        } catch (err1) {
          throw err0;
        }

        if (!stat.isDirectory()) throw err0;
        break;
    }
  }

  return made;
};

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const optsArg = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/opts-arg.js");

const pathArg = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/path-arg.js");

const {
  mkdirpNative,
  mkdirpNativeSync
} = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/mkdirp-native.js");

const {
  mkdirpManual,
  mkdirpManualSync
} = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/mkdirp-manual.js");

const {
  useNative,
  useNativeSync
} = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/use-native.js");

const mkdirp = (path, opts) => {
  path = pathArg(path);
  opts = optsArg(opts);
  return useNative(opts) ? mkdirpNative(path, opts) : mkdirpManual(path, opts);
};

const mkdirpSync = (path, opts) => {
  path = pathArg(path);
  opts = optsArg(opts);
  return useNativeSync(opts) ? mkdirpNativeSync(path, opts) : mkdirpManualSync(path, opts);
};

mkdirp.sync = mkdirpSync;

mkdirp.native = (path, opts) => mkdirpNative(pathArg(path), optsArg(opts));

mkdirp.manual = (path, opts) => mkdirpManual(pathArg(path), optsArg(opts));

mkdirp.nativeSync = (path, opts) => mkdirpNativeSync(pathArg(path), optsArg(opts));

mkdirp.manualSync = (path, opts) => mkdirpManualSync(pathArg(path), optsArg(opts));

module.exports = mkdirp;

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/find-made.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  dirname
} = __webpack_require__("path");

const findMade = (opts, parent, path = undefined) => {
  // we never want the 'made' return value to be a root directory
  if (path === parent) return Promise.resolve();
  return opts.statAsync(parent).then(st => st.isDirectory() ? path : undefined, // will fail later
  er => er.code === 'ENOENT' ? findMade(opts, dirname(parent), parent) : undefined);
};

const findMadeSync = (opts, parent, path = undefined) => {
  if (path === parent) return undefined;

  try {
    return opts.statSync(parent).isDirectory() ? path : undefined;
  } catch (er) {
    return er.code === 'ENOENT' ? findMadeSync(opts, dirname(parent), parent) : undefined;
  }
};

module.exports = {
  findMade,
  findMadeSync
};

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/mkdirp-manual.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  dirname
} = __webpack_require__("path");

const mkdirpManual = (path, opts, made) => {
  opts.recursive = false;
  const parent = dirname(path);

  if (parent === path) {
    return opts.mkdirAsync(path, opts).catch(er => {
      // swallowed by recursive implementation on posix systems
      // any other error is a failure
      if (er.code !== 'EISDIR') throw er;
    });
  }

  return opts.mkdirAsync(path, opts).then(() => made || path, er => {
    if (er.code === 'ENOENT') return mkdirpManual(parent, opts).then(made => mkdirpManual(path, opts, made));
    if (er.code !== 'EEXIST' && er.code !== 'EROFS') throw er;
    return opts.statAsync(path).then(st => {
      if (st.isDirectory()) return made;else throw er;
    }, () => {
      throw er;
    });
  });
};

const mkdirpManualSync = (path, opts, made) => {
  const parent = dirname(path);
  opts.recursive = false;

  if (parent === path) {
    try {
      return opts.mkdirSync(path, opts);
    } catch (er) {
      // swallowed by recursive implementation on posix systems
      // any other error is a failure
      if (er.code !== 'EISDIR') throw er;else return;
    }
  }

  try {
    opts.mkdirSync(path, opts);
    return made || path;
  } catch (er) {
    if (er.code === 'ENOENT') return mkdirpManualSync(path, opts, mkdirpManualSync(parent, opts, made));
    if (er.code !== 'EEXIST' && er.code !== 'EROFS') throw er;

    try {
      if (!opts.statSync(path).isDirectory()) throw er;
    } catch (_) {
      throw er;
    }
  }
};

module.exports = {
  mkdirpManual,
  mkdirpManualSync
};

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/mkdirp-native.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  dirname
} = __webpack_require__("path");

const {
  findMade,
  findMadeSync
} = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/find-made.js");

const {
  mkdirpManual,
  mkdirpManualSync
} = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/mkdirp-manual.js");

const mkdirpNative = (path, opts) => {
  opts.recursive = true;
  const parent = dirname(path);
  if (parent === path) return opts.mkdirAsync(path, opts);
  return findMade(opts, path).then(made => opts.mkdirAsync(path, opts).then(() => made).catch(er => {
    if (er.code === 'ENOENT') return mkdirpManual(path, opts);else throw er;
  }));
};

const mkdirpNativeSync = (path, opts) => {
  opts.recursive = true;
  const parent = dirname(path);
  if (parent === path) return opts.mkdirSync(path, opts);
  const made = findMadeSync(opts, path);

  try {
    opts.mkdirSync(path, opts);
    return made;
  } catch (er) {
    if (er.code === 'ENOENT') return mkdirpManualSync(path, opts);else throw er;
  }
};

module.exports = {
  mkdirpNative,
  mkdirpNativeSync
};

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/opts-arg.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  promisify
} = __webpack_require__("util");

const fs = __webpack_require__("fs");

const optsArg = opts => {
  if (!opts) opts = {
    mode: 0o777,
    fs
  };else if (typeof opts === 'object') opts = _objectSpread({
    mode: 0o777,
    fs
  }, opts);else if (typeof opts === 'number') opts = {
    mode: opts,
    fs
  };else if (typeof opts === 'string') opts = {
    mode: parseInt(opts, 8),
    fs
  };else throw new TypeError('invalid options argument');
  opts.mkdir = opts.mkdir || opts.fs.mkdir || fs.mkdir;
  opts.mkdirAsync = promisify(opts.mkdir);
  opts.stat = opts.stat || opts.fs.stat || fs.stat;
  opts.statAsync = promisify(opts.stat);
  opts.statSync = opts.statSync || opts.fs.statSync || fs.statSync;
  opts.mkdirSync = opts.mkdirSync || opts.fs.mkdirSync || fs.mkdirSync;
  return opts;
};

module.exports = optsArg;

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/path-arg.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const platform = process.env.__TESTING_MKDIRP_PLATFORM__ || process.platform;

const {
  resolve,
  parse
} = __webpack_require__("path");

const pathArg = path => {
  if (/\0/.test(path)) {
    // simulate same failure that node raises
    throw Object.assign(new TypeError('path must be a string without null bytes'), {
      path,
      code: 'ERR_INVALID_ARG_VALUE'
    });
  }

  path = resolve(path);

  if (platform === 'win32') {
    const badWinChars = /[*|"<>?:]/;
    const {
      root
    } = parse(path);

    if (badWinChars.test(path.substr(root.length))) {
      throw Object.assign(new Error('Illegal characters in path.'), {
        path,
        code: 'EINVAL'
      });
    }
  }

  return path;
};

module.exports = pathArg;

/***/ }),

/***/ "./node_modules/.f/_/mkdirp/1.0.4/mkdirp/lib/use-native.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const fs = __webpack_require__("fs");

const version = process.env.__TESTING_MKDIRP_NODE_VERSION__ || process.version;
const versArr = version.replace(/^v/, '').split('.');
const hasNative = +versArr[0] > 10 || +versArr[0] === 10 && +versArr[1] >= 12;
const useNative = !hasNative ? () => false : opts => opts.mkdir === fs.mkdir;
const useNativeSync = !hasNative ? () => false : opts => opts.mkdirSync === fs.mkdirSync;
module.exports = {
  useNative,
  useNativeSync
};

/***/ }),

/***/ "./node_modules/.f/_/move-concurrently/1.0.1/move-concurrently/move.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = move;

var nodeFs = __webpack_require__("fs");

var rimraf = __webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js");

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

var copy = __webpack_require__("./node_modules/.f/_/copy-concurrently/1.0.5/copy-concurrently/copy.js");

var RunQueue = __webpack_require__("./node_modules/.f/_/run-queue/1.0.3/run-queue/queue.js");

var extend = Object.assign || __webpack_require__("util")._extend;

function promisify(Promise, fn) {
  return function () {
    var args = [].slice.call(arguments);
    return new Promise(function (resolve, reject) {
      return fn.apply(null, args.concat(function (err, value) {
        if (err) {
          reject(err);
        } else {
          resolve(value);
        }
      }));
    });
  };
}

function move(from, to, opts) {
  validate('SSO|SS', arguments);
  opts = extend({}, opts || {});
  var Promise = opts.Promise || global.Promise;
  var fs = opts.fs || nodeFs;
  var rimrafAsync = promisify(Promise, rimraf);
  var renameAsync = promisify(Promise, fs.rename);
  opts.top = from;
  var queue = new RunQueue({
    maxConcurrency: opts.maxConcurrency,
    Promise: Promise
  });
  opts.queue = queue;
  opts.recurseWith = rename;
  queue.add(0, rename, [from, to, opts]);
  return queue.run().then(function () {
    return remove(from);
  }, function (err) {
    // if the target already exists don't clobber it
    if (err.code === 'EEXIST' || err.code === 'EPERM') {
      return passThroughError();
    } else {
      return remove(to).then(passThroughError, passThroughError);
    }

    function passThroughError() {
      return Promise.reject(err);
    }
  });

  function remove(target) {
    var opts = {
      unlink: fs.unlink,
      chmod: fs.chmod,
      stat: fs.stat,
      lstat: fs.lstat,
      rmdir: fs.rmdir,
      readdir: fs.readdir,
      glob: false
    };
    return rimrafAsync(target, opts);
  }

  function rename(from, to, opts, done) {
    return renameAsync(from, to).catch(function (err) {
      if (err.code !== 'EXDEV') {
        return Promise.reject(err);
      } else {
        return remove(to).then(function () {
          return copy.item(from, to, opts);
        });
      }
    });
  }
}

/***/ }),

/***/ "./node_modules/.f/_/ms/2.1.2/ms/index.js":
/***/ ((module) => {

/**
 * Helpers.
 */
var s = 1000;
var m = s * 60;
var h = m * 60;
var d = h * 24;
var w = d * 7;
var y = d * 365.25;
/**
 * Parse or format the given `val`.
 *
 * Options:
 *
 *  - `long` verbose formatting [false]
 *
 * @param {String|Number} val
 * @param {Object} [options]
 * @throws {Error} throw an error if val is not a non-empty string or a number
 * @return {String|Number}
 * @api public
 */

module.exports = function (val, options) {
  options = options || {};
  var type = typeof val;

  if (type === 'string' && val.length > 0) {
    return parse(val);
  } else if (type === 'number' && isFinite(val)) {
    return options.long ? fmtLong(val) : fmtShort(val);
  }

  throw new Error('val is not a non-empty string or a valid number. val=' + JSON.stringify(val));
};
/**
 * Parse the given `str` and return milliseconds.
 *
 * @param {String} str
 * @return {Number}
 * @api private
 */


function parse(str) {
  str = String(str);

  if (str.length > 100) {
    return;
  }

  var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(str);

  if (!match) {
    return;
  }

  var n = parseFloat(match[1]);
  var type = (match[2] || 'ms').toLowerCase();

  switch (type) {
    case 'years':
    case 'year':
    case 'yrs':
    case 'yr':
    case 'y':
      return n * y;

    case 'weeks':
    case 'week':
    case 'w':
      return n * w;

    case 'days':
    case 'day':
    case 'd':
      return n * d;

    case 'hours':
    case 'hour':
    case 'hrs':
    case 'hr':
    case 'h':
      return n * h;

    case 'minutes':
    case 'minute':
    case 'mins':
    case 'min':
    case 'm':
      return n * m;

    case 'seconds':
    case 'second':
    case 'secs':
    case 'sec':
    case 's':
      return n * s;

    case 'milliseconds':
    case 'millisecond':
    case 'msecs':
    case 'msec':
    case 'ms':
      return n;

    default:
      return undefined;
  }
}
/**
 * Short format for `ms`.
 *
 * @param {Number} ms
 * @return {String}
 * @api private
 */


function fmtShort(ms) {
  var msAbs = Math.abs(ms);

  if (msAbs >= d) {
    return Math.round(ms / d) + 'd';
  }

  if (msAbs >= h) {
    return Math.round(ms / h) + 'h';
  }

  if (msAbs >= m) {
    return Math.round(ms / m) + 'm';
  }

  if (msAbs >= s) {
    return Math.round(ms / s) + 's';
  }

  return ms + 'ms';
}
/**
 * Long format for `ms`.
 *
 * @param {Number} ms
 * @return {String}
 * @api private
 */


function fmtLong(ms) {
  var msAbs = Math.abs(ms);

  if (msAbs >= d) {
    return plural(ms, msAbs, d, 'day');
  }

  if (msAbs >= h) {
    return plural(ms, msAbs, h, 'hour');
  }

  if (msAbs >= m) {
    return plural(ms, msAbs, m, 'minute');
  }

  if (msAbs >= s) {
    return plural(ms, msAbs, s, 'second');
  }

  return ms + ' ms';
}
/**
 * Pluralization helper.
 */


function plural(ms, msAbs, n, name) {
  var isPlural = msAbs >= n * 1.5;
  return Math.round(ms / n) + ' ' + name + (isPlural ? 's' : '');
}

/***/ }),

/***/ "./node_modules/.f/_/negotiator/0.6.2/negotiator/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/*!
 * negotiator
 * Copyright(c) 2012 Federico Romero
 * Copyright(c) 2012-2014 Isaac Z. Schlueter
 * Copyright(c) 2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Cached loaded submodules.
 * @private
 */

var modules = Object.create(null);
/**
 * Module exports.
 * @public
 */

module.exports = Negotiator;
module.exports.Negotiator = Negotiator;
/**
 * Create a Negotiator instance from a request.
 * @param {object} request
 * @public
 */

function Negotiator(request) {
  if (!(this instanceof Negotiator)) {
    return new Negotiator(request);
  }

  this.request = request;
}

Negotiator.prototype.charset = function charset(available) {
  var set = this.charsets(available);
  return set && set[0];
};

Negotiator.prototype.charsets = function charsets(available) {
  var preferredCharsets = loadModule('charset').preferredCharsets;
  return preferredCharsets(this.request.headers['accept-charset'], available);
};

Negotiator.prototype.encoding = function encoding(available) {
  var set = this.encodings(available);
  return set && set[0];
};

Negotiator.prototype.encodings = function encodings(available) {
  var preferredEncodings = loadModule('encoding').preferredEncodings;
  return preferredEncodings(this.request.headers['accept-encoding'], available);
};

Negotiator.prototype.language = function language(available) {
  var set = this.languages(available);
  return set && set[0];
};

Negotiator.prototype.languages = function languages(available) {
  var preferredLanguages = loadModule('language').preferredLanguages;
  return preferredLanguages(this.request.headers['accept-language'], available);
};

Negotiator.prototype.mediaType = function mediaType(available) {
  var set = this.mediaTypes(available);
  return set && set[0];
};

Negotiator.prototype.mediaTypes = function mediaTypes(available) {
  var preferredMediaTypes = loadModule('mediaType').preferredMediaTypes;
  return preferredMediaTypes(this.request.headers.accept, available);
}; // Backwards compatibility


Negotiator.prototype.preferredCharset = Negotiator.prototype.charset;
Negotiator.prototype.preferredCharsets = Negotiator.prototype.charsets;
Negotiator.prototype.preferredEncoding = Negotiator.prototype.encoding;
Negotiator.prototype.preferredEncodings = Negotiator.prototype.encodings;
Negotiator.prototype.preferredLanguage = Negotiator.prototype.language;
Negotiator.prototype.preferredLanguages = Negotiator.prototype.languages;
Negotiator.prototype.preferredMediaType = Negotiator.prototype.mediaType;
Negotiator.prototype.preferredMediaTypes = Negotiator.prototype.mediaTypes;
/**
 * Load the given module.
 * @private
 */

function loadModule(moduleName) {
  var module = modules[moduleName];

  if (module !== undefined) {
    return module;
  } // This uses a switch for static require analysis


  switch (moduleName) {
    case 'charset':
      module = __webpack_require__("./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/charset.js");
      break;

    case 'encoding':
      module = __webpack_require__("./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/encoding.js");
      break;

    case 'language':
      module = __webpack_require__("./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/language.js");
      break;

    case 'mediaType':
      module = __webpack_require__("./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/mediaType.js");
      break;

    default:
      throw new Error('Cannot find module \'' + moduleName + '\'');
  } // Store to prevent invoking require()


  modules[moduleName] = module;
  return module;
}

/***/ }),

/***/ "./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/charset.js":
/***/ ((module) => {

"use strict";
/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 * @public
 */

module.exports = preferredCharsets;
module.exports.preferredCharsets = preferredCharsets;
/**
 * Module variables.
 * @private
 */

var simpleCharsetRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
/**
 * Parse the Accept-Charset header.
 * @private
 */

function parseAcceptCharset(accept) {
  var accepts = accept.split(',');

  for (var i = 0, j = 0; i < accepts.length; i++) {
    var charset = parseCharset(accepts[i].trim(), i);

    if (charset) {
      accepts[j++] = charset;
    }
  } // trim accepts


  accepts.length = j;
  return accepts;
}
/**
 * Parse a charset from the Accept-Charset header.
 * @private
 */


function parseCharset(str, i) {
  var match = simpleCharsetRegExp.exec(str);
  if (!match) return null;
  var charset = match[1];
  var q = 1;

  if (match[2]) {
    var params = match[2].split(';');

    for (var j = 0; j < params.length; j++) {
      var p = params[j].trim().split('=');

      if (p[0] === 'q') {
        q = parseFloat(p[1]);
        break;
      }
    }
  }

  return {
    charset: charset,
    q: q,
    i: i
  };
}
/**
 * Get the priority of a charset.
 * @private
 */


function getCharsetPriority(charset, accepted, index) {
  var priority = {
    o: -1,
    q: 0,
    s: 0
  };

  for (var i = 0; i < accepted.length; i++) {
    var spec = specify(charset, accepted[i], index);

    if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
      priority = spec;
    }
  }

  return priority;
}
/**
 * Get the specificity of the charset.
 * @private
 */


function specify(charset, spec, index) {
  var s = 0;

  if (spec.charset.toLowerCase() === charset.toLowerCase()) {
    s |= 1;
  } else if (spec.charset !== '*') {
    return null;
  }

  return {
    i: index,
    o: spec.i,
    q: spec.q,
    s: s
  };
}
/**
 * Get the preferred charsets from an Accept-Charset header.
 * @public
 */


function preferredCharsets(accept, provided) {
  // RFC 2616 sec 14.2: no header = *
  var accepts = parseAcceptCharset(accept === undefined ? '*' : accept || '');

  if (!provided) {
    // sorted list of all charsets
    return accepts.filter(isQuality).sort(compareSpecs).map(getFullCharset);
  }

  var priorities = provided.map(function getPriority(type, index) {
    return getCharsetPriority(type, accepts, index);
  }); // sorted list of accepted charsets

  return priorities.filter(isQuality).sort(compareSpecs).map(function getCharset(priority) {
    return provided[priorities.indexOf(priority)];
  });
}
/**
 * Compare two specs.
 * @private
 */


function compareSpecs(a, b) {
  return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0;
}
/**
 * Get full charset string.
 * @private
 */


function getFullCharset(spec) {
  return spec.charset;
}
/**
 * Check if a spec has any quality.
 * @private
 */


function isQuality(spec) {
  return spec.q > 0;
}

/***/ }),

/***/ "./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/encoding.js":
/***/ ((module) => {

"use strict";
/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 * @public
 */

module.exports = preferredEncodings;
module.exports.preferredEncodings = preferredEncodings;
/**
 * Module variables.
 * @private
 */

var simpleEncodingRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
/**
 * Parse the Accept-Encoding header.
 * @private
 */

function parseAcceptEncoding(accept) {
  var accepts = accept.split(',');
  var hasIdentity = false;
  var minQuality = 1;

  for (var i = 0, j = 0; i < accepts.length; i++) {
    var encoding = parseEncoding(accepts[i].trim(), i);

    if (encoding) {
      accepts[j++] = encoding;
      hasIdentity = hasIdentity || specify('identity', encoding);
      minQuality = Math.min(minQuality, encoding.q || 1);
    }
  }

  if (!hasIdentity) {
    /*
     * If identity doesn't explicitly appear in the accept-encoding header,
     * it's added to the list of acceptable encoding with the lowest q
     */
    accepts[j++] = {
      encoding: 'identity',
      q: minQuality,
      i: i
    };
  } // trim accepts


  accepts.length = j;
  return accepts;
}
/**
 * Parse an encoding from the Accept-Encoding header.
 * @private
 */


function parseEncoding(str, i) {
  var match = simpleEncodingRegExp.exec(str);
  if (!match) return null;
  var encoding = match[1];
  var q = 1;

  if (match[2]) {
    var params = match[2].split(';');

    for (var j = 0; j < params.length; j++) {
      var p = params[j].trim().split('=');

      if (p[0] === 'q') {
        q = parseFloat(p[1]);
        break;
      }
    }
  }

  return {
    encoding: encoding,
    q: q,
    i: i
  };
}
/**
 * Get the priority of an encoding.
 * @private
 */


function getEncodingPriority(encoding, accepted, index) {
  var priority = {
    o: -1,
    q: 0,
    s: 0
  };

  for (var i = 0; i < accepted.length; i++) {
    var spec = specify(encoding, accepted[i], index);

    if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
      priority = spec;
    }
  }

  return priority;
}
/**
 * Get the specificity of the encoding.
 * @private
 */


function specify(encoding, spec, index) {
  var s = 0;

  if (spec.encoding.toLowerCase() === encoding.toLowerCase()) {
    s |= 1;
  } else if (spec.encoding !== '*') {
    return null;
  }

  return {
    i: index,
    o: spec.i,
    q: spec.q,
    s: s
  };
}

;
/**
 * Get the preferred encodings from an Accept-Encoding header.
 * @public
 */

function preferredEncodings(accept, provided) {
  var accepts = parseAcceptEncoding(accept || '');

  if (!provided) {
    // sorted list of all encodings
    return accepts.filter(isQuality).sort(compareSpecs).map(getFullEncoding);
  }

  var priorities = provided.map(function getPriority(type, index) {
    return getEncodingPriority(type, accepts, index);
  }); // sorted list of accepted encodings

  return priorities.filter(isQuality).sort(compareSpecs).map(function getEncoding(priority) {
    return provided[priorities.indexOf(priority)];
  });
}
/**
 * Compare two specs.
 * @private
 */


function compareSpecs(a, b) {
  return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0;
}
/**
 * Get full encoding string.
 * @private
 */


function getFullEncoding(spec) {
  return spec.encoding;
}
/**
 * Check if a spec has any quality.
 * @private
 */


function isQuality(spec) {
  return spec.q > 0;
}

/***/ }),

/***/ "./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/language.js":
/***/ ((module) => {

"use strict";
/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 * @public
 */

module.exports = preferredLanguages;
module.exports.preferredLanguages = preferredLanguages;
/**
 * Module variables.
 * @private
 */

var simpleLanguageRegExp = /^\s*([^\s\-;]+)(?:-([^\s;]+))?\s*(?:;(.*))?$/;
/**
 * Parse the Accept-Language header.
 * @private
 */

function parseAcceptLanguage(accept) {
  var accepts = accept.split(',');

  for (var i = 0, j = 0; i < accepts.length; i++) {
    var language = parseLanguage(accepts[i].trim(), i);

    if (language) {
      accepts[j++] = language;
    }
  } // trim accepts


  accepts.length = j;
  return accepts;
}
/**
 * Parse a language from the Accept-Language header.
 * @private
 */


function parseLanguage(str, i) {
  var match = simpleLanguageRegExp.exec(str);
  if (!match) return null;
  var prefix = match[1],
      suffix = match[2],
      full = prefix;
  if (suffix) full += "-" + suffix;
  var q = 1;

  if (match[3]) {
    var params = match[3].split(';');

    for (var j = 0; j < params.length; j++) {
      var p = params[j].split('=');
      if (p[0] === 'q') q = parseFloat(p[1]);
    }
  }

  return {
    prefix: prefix,
    suffix: suffix,
    q: q,
    i: i,
    full: full
  };
}
/**
 * Get the priority of a language.
 * @private
 */


function getLanguagePriority(language, accepted, index) {
  var priority = {
    o: -1,
    q: 0,
    s: 0
  };

  for (var i = 0; i < accepted.length; i++) {
    var spec = specify(language, accepted[i], index);

    if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
      priority = spec;
    }
  }

  return priority;
}
/**
 * Get the specificity of the language.
 * @private
 */


function specify(language, spec, index) {
  var p = parseLanguage(language);
  if (!p) return null;
  var s = 0;

  if (spec.full.toLowerCase() === p.full.toLowerCase()) {
    s |= 4;
  } else if (spec.prefix.toLowerCase() === p.full.toLowerCase()) {
    s |= 2;
  } else if (spec.full.toLowerCase() === p.prefix.toLowerCase()) {
    s |= 1;
  } else if (spec.full !== '*') {
    return null;
  }

  return {
    i: index,
    o: spec.i,
    q: spec.q,
    s: s
  };
}

;
/**
 * Get the preferred languages from an Accept-Language header.
 * @public
 */

function preferredLanguages(accept, provided) {
  // RFC 2616 sec 14.4: no header = *
  var accepts = parseAcceptLanguage(accept === undefined ? '*' : accept || '');

  if (!provided) {
    // sorted list of all languages
    return accepts.filter(isQuality).sort(compareSpecs).map(getFullLanguage);
  }

  var priorities = provided.map(function getPriority(type, index) {
    return getLanguagePriority(type, accepts, index);
  }); // sorted list of accepted languages

  return priorities.filter(isQuality).sort(compareSpecs).map(function getLanguage(priority) {
    return provided[priorities.indexOf(priority)];
  });
}
/**
 * Compare two specs.
 * @private
 */


function compareSpecs(a, b) {
  return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0;
}
/**
 * Get full language string.
 * @private
 */


function getFullLanguage(spec) {
  return spec.full;
}
/**
 * Check if a spec has any quality.
 * @private
 */


function isQuality(spec) {
  return spec.q > 0;
}

/***/ }),

/***/ "./node_modules/.f/_/negotiator/0.6.2/negotiator/lib/mediaType.js":
/***/ ((module) => {

"use strict";
/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */

/**
 * Module exports.
 * @public
 */

module.exports = preferredMediaTypes;
module.exports.preferredMediaTypes = preferredMediaTypes;
/**
 * Module variables.
 * @private
 */

var simpleMediaTypeRegExp = /^\s*([^\s\/;]+)\/([^;\s]+)\s*(?:;(.*))?$/;
/**
 * Parse the Accept header.
 * @private
 */

function parseAccept(accept) {
  var accepts = splitMediaTypes(accept);

  for (var i = 0, j = 0; i < accepts.length; i++) {
    var mediaType = parseMediaType(accepts[i].trim(), i);

    if (mediaType) {
      accepts[j++] = mediaType;
    }
  } // trim accepts


  accepts.length = j;
  return accepts;
}
/**
 * Parse a media type from the Accept header.
 * @private
 */


function parseMediaType(str, i) {
  var match = simpleMediaTypeRegExp.exec(str);
  if (!match) return null;
  var params = Object.create(null);
  var q = 1;
  var subtype = match[2];
  var type = match[1];

  if (match[3]) {
    var kvps = splitParameters(match[3]).map(splitKeyValuePair);

    for (var j = 0; j < kvps.length; j++) {
      var pair = kvps[j];
      var key = pair[0].toLowerCase();
      var val = pair[1]; // get the value, unwrapping quotes

      var value = val && val[0] === '"' && val[val.length - 1] === '"' ? val.substr(1, val.length - 2) : val;

      if (key === 'q') {
        q = parseFloat(value);
        break;
      } // store parameter


      params[key] = value;
    }
  }

  return {
    type: type,
    subtype: subtype,
    params: params,
    q: q,
    i: i
  };
}
/**
 * Get the priority of a media type.
 * @private
 */


function getMediaTypePriority(type, accepted, index) {
  var priority = {
    o: -1,
    q: 0,
    s: 0
  };

  for (var i = 0; i < accepted.length; i++) {
    var spec = specify(type, accepted[i], index);

    if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
      priority = spec;
    }
  }

  return priority;
}
/**
 * Get the specificity of the media type.
 * @private
 */


function specify(type, spec, index) {
  var p = parseMediaType(type);
  var s = 0;

  if (!p) {
    return null;
  }

  if (spec.type.toLowerCase() == p.type.toLowerCase()) {
    s |= 4;
  } else if (spec.type != '*') {
    return null;
  }

  if (spec.subtype.toLowerCase() == p.subtype.toLowerCase()) {
    s |= 2;
  } else if (spec.subtype != '*') {
    return null;
  }

  var keys = Object.keys(spec.params);

  if (keys.length > 0) {
    if (keys.every(function (k) {
      return spec.params[k] == '*' || (spec.params[k] || '').toLowerCase() == (p.params[k] || '').toLowerCase();
    })) {
      s |= 1;
    } else {
      return null;
    }
  }

  return {
    i: index,
    o: spec.i,
    q: spec.q,
    s: s
  };
}
/**
 * Get the preferred media types from an Accept header.
 * @public
 */


function preferredMediaTypes(accept, provided) {
  // RFC 2616 sec 14.2: no header = */*
  var accepts = parseAccept(accept === undefined ? '*/*' : accept || '');

  if (!provided) {
    // sorted list of all types
    return accepts.filter(isQuality).sort(compareSpecs).map(getFullType);
  }

  var priorities = provided.map(function getPriority(type, index) {
    return getMediaTypePriority(type, accepts, index);
  }); // sorted list of accepted types

  return priorities.filter(isQuality).sort(compareSpecs).map(function getType(priority) {
    return provided[priorities.indexOf(priority)];
  });
}
/**
 * Compare two specs.
 * @private
 */


function compareSpecs(a, b) {
  return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0;
}
/**
 * Get full type string.
 * @private
 */


function getFullType(spec) {
  return spec.type + '/' + spec.subtype;
}
/**
 * Check if a spec has any quality.
 * @private
 */


function isQuality(spec) {
  return spec.q > 0;
}
/**
 * Count the number of quotes in a string.
 * @private
 */


function quoteCount(string) {
  var count = 0;
  var index = 0;

  while ((index = string.indexOf('"', index)) !== -1) {
    count++;
    index++;
  }

  return count;
}
/**
 * Split a key value pair.
 * @private
 */


function splitKeyValuePair(str) {
  var index = str.indexOf('=');
  var key;
  var val;

  if (index === -1) {
    key = str;
  } else {
    key = str.substr(0, index);
    val = str.substr(index + 1);
  }

  return [key, val];
}
/**
 * Split an Accept header into media types.
 * @private
 */


function splitMediaTypes(accept) {
  var accepts = accept.split(',');

  for (var i = 1, j = 0; i < accepts.length; i++) {
    if (quoteCount(accepts[j]) % 2 == 0) {
      accepts[++j] = accepts[i];
    } else {
      accepts[j] += ',' + accepts[i];
    }
  } // trim accepts


  accepts.length = j + 1;
  return accepts;
}
/**
 * Split a string of parameters.
 * @private
 */


function splitParameters(str) {
  var parameters = str.split(';');

  for (var i = 1, j = 0; i < parameters.length; i++) {
    if (quoteCount(parameters[j]) % 2 == 0) {
      parameters[++j] = parameters[i];
    } else {
      parameters[j] += ';' + parameters[i];
    }
  } // trim parameters


  parameters.length = j + 1;

  for (var i = 0; i < parameters.length; i++) {
    parameters[i] = parameters[i].trim();
  }

  return parameters;
}

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/command.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-statements, no-magic-numbers */

const assert = __webpack_require__("assert");

const Options = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/options.js");

const xtil = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js");

const cbOrVal = xtil.cbOrVal;
const dup = xtil.dup;
const makeDefaults = xtil.makeDefaults;
const applyDefaults = xtil.applyDefaults;
const SUPPORT_TYPES = ["number", "string", "float", "boolean"];
/*
 * Command
 */

class Command {
  constructor(name, command) {
    try {
      const cmd = dup(command);
      this._cmd = cmd;
      cmd.alias = [].concat(cmd.aliases || cmd.alias || []);
      cmd.name = name;
      cmd.desc = cmd.desc || cmd.describe || cmd.description;
      this._args = [];
      this._defaults = makeDefaults(cmd.options);
      this._options = new Options(cmd.options);
      this._needArgs = 0;
      this._expectArgs = 0;
      this.processArgs();
    } catch (e) {
      throw new Error(`Init command ${name} failed - ${e.message}`);
    }
  }

  processArgs() {
    const cmd = this._cmd;
    const args = cmd.args;
    if (!args) return; //
    // check "<arg1> <arg2> [arg3]"
    //

    args.replace(/([<[])([^>\]]+)([>\]])/g, (a, mark, xname) => {
      assert(!this._variadic, `only last arg can be variadic`);
      let name = xname.replace(/\.+$/, "");
      let variadic;

      if (xname.length > name.length) {
        variadic = true;
        this._variadic = true;
      }

      const isValidType = type => {
        if (SUPPORT_TYPES.indexOf(type) >= 0) return true;
        return cmd.hasOwnProperty(type);
      };

      let type;

      if (name) {
        const splits = name.split(" ").map(x => x.trim()).filter(x => x);
        assert(splits.length > 0 && splits.length <= 2, `argument ${a} is invalid`);

        if (splits.length > 1) {
          type = splits[0];
          name = splits[1];
          assert(isValidType(type), `unknown argument ${a} type ${type}`);
        } else {
          name = splits[0];
        }
      }

      const required = mark === "<";

      if (required) {
        this._needArgs++;
      }

      this._expectArgs++;

      this._args.push({
        required,
        name,
        type,
        variadic
      });

      return "";
    });
    assert(!this.isDefault || this._needArgs === 0, `Command ${this.name} set as default but requires arguments`);
    assert(!this.isDefault || typeof this.exec === "function", `Command ${this.name} set as default but has no exec handler`);
  }

  applyDefaults(ctx) {
    applyDefaults(this._defaults, ctx);
  }

  isVariadicArgs() {
    return this._variadic;
  }

  get options() {
    return this._options;
  }

  get needArgs() {
    return this._needArgs;
  }

  get expectArgs() {
    return this._expectArgs;
  }

  get args() {
    return this._args;
  }

  get verbatimArgs() {
    return this._cmd.args || "";
  }

  get name() {
    return this._cmd.name;
  }

  get desc() {
    return cbOrVal(this._cmd.desc);
  }

  get usage() {
    return cbOrVal(this._cmd.usage);
  }

  get exec() {
    return this._cmd.exec;
  }

  get alias() {
    return this._cmd.alias;
  }

  get isDefault() {
    return Boolean(this._cmd.default);
  }

  get spec() {
    return this._cmd;
  }

}

module.exports = Command;

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/commands.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers */

const assert = __webpack_require__("assert");

const Command = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/command.js");

const CMD = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/symbols.js").CMD;

const xtil = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js");

const objEach = xtil.objEach;
const fitLines = xtil.fitLines;
/*
 * Commands
 */

class Commands {
  constructor(commands) {
    this._commands = {};
    this._alias = {};
    this._count = 0;
    this._execCount = 0;
    objEach(commands || {}, (cmd, name) => {
      this._count++;

      if (cmd.exec) {
        this._execCount++;
      }

      this._commands[name] = new Command(name, cmd);
      const isDefault = this._commands[name].isDefault;

      if (isDefault) {
        assert(!this._defaultCmd, `Trying to set command ${name} as default but ${this._defaultCmd} is already set.`);
        this._defaultCmd = name;
      }

      if (!cmd.alias) return;
      const alias = Array.isArray(cmd.alias) ? cmd.alias : [cmd.alias];
      alias.forEach(a => {
        assert(!this._alias.hasOwnProperty(a), `Command ${name} alias ${a} already used by command ${this._alias[a]}`);
        this._alias[a] = name;
      });
    });
  }

  get count() {
    return this._count;
  }

  get execCount() {
    return this._execCount;
  }

  get defaultCmd() {
    return this._defaultCmd;
  }

  get list() {
    return this._commands;
  }

  getContext(name) {
    let cmd = this._commands[name];
    let long = name;
    let unknown = false;

    if (!cmd) {
      long = this._alias[name];

      if (long) {
        cmd = this._commands[long];
      } else {
        long = name;
        unknown = true;
        cmd = new Command(name, {});
      }
    }

    return {
      name,
      long,
      unknown,
      [CMD]: cmd,
      args: {},
      argList: [],
      opts: {},
      source: {},
      verbatim: {}
    };
  }

  makeHelp(progName) {
    if (progName) {
      progName = `${progName} `;
    } else {
      progName = "";
    }

    const data = [];
    objEach(this._commands, (cmd, name) => {
      let args = cmd.verbatimArgs;
      args = args ? ` ${args}` : "";
      const strs = [`${progName}${name}${args}`, cmd.desc ? ` ${cmd.desc.trim()}` : ""];
      const alias = cmd.alias.join(" ");
      strs.push(alias.length > 0 ? `[aliases: ${alias}]` : "");
      data.push(strs);
    });
    const cmdWidth = data.reduce((max, n) => n[0].length > max ? n[0].length : max, 0);
    return data.reduce((help, strs) => help.concat(fitLines(strs, "  ", "    ", cmdWidth, 80)), []);
  }

}

module.exports = Commands;

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/nix-clap.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers,no-process-exit,max-statements,prefer-template,complexity */

const assert = __webpack_require__("assert");

const Path = __webpack_require__("path");

const xtil = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js");

const symbols = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/symbols.js");

const Options = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/options.js");

const Commands = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/commands.js");

const EventEmitter = __webpack_require__("events");

const Parser = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/parser.js");

const objEach = xtil.objEach;
const makeDefaults = xtil.makeDefaults;
const applyDefaults = xtil.applyDefaults;
const CMD = symbols.CMD;
const HELP = Symbol("help");

class NixClap extends EventEmitter {
  constructor(config) {
    super();
    config = config || {};
    this._name = config.name;
    this._version = config.version || false;
    this._versionAlias = config.versionAlias;
    this._helpOpt = config.hasOwnProperty("help") ? config.help : {
      [HELP]: true,
      alias: config.helpAlias || ["?", "h"],
      type: "string",
      desc: () => {
        const cmdText = this._commands.count > 0 ? " Add a command to show its help" : "";
        return `Show help.${cmdText}`;
      }
    };
    this._usage = config.usage || "$0";
    this._cmdUsage = config.cmdUsage || "$0 $1";

    this.exit = config.exit || (n => this.emit("exit", n));

    this.output = config.output || (s => process.stdout.write(s));

    this._evtHandlers = {
      "pre-help": () => {},
      help: parsed => this.showHelp(null, parsed.opts.help || parsed.optCmd.help),
      "post-help": () => {},
      version: () => this.showVersion(),
      "parse-fail": parsed => this.showHelp(parsed.error),
      parsed: () => undefined,
      "unknown-option": name => {
        throw new Error(`Unknown option ${name}`);
      },
      "unknown-options-v2": xtil.noop,
      "unknown-command": ctx => {
        throw new Error(`Unknown command ${ctx.name}`);
      },
      "no-action": () => this.showHelp(new Error("No command given")),
      "new-command": xtil.noop,
      exit: code => process.exit(code)
    };
    const handlers = config.handlers || {};
    objEach(this._evtHandlers, (handler, name) => {
      handler = handlers.hasOwnProperty(name) ? handlers[name] : handler;
      if (typeof handler === "function") this.on(name, handler);
    });
    this._skipExec = config.skipExec;
    this._skipExecDefault = config.skipExecDefault;
    this.Promise = config.Promise || Promise;
  }

  _getVersionOpt(verAlias) {
    return {
      alias: this._versionAlias || verAlias,
      desc: "Show version number"
    };
  }

  removeDefaultHandlers(x) {
    const evts = x === "*" ? Object.keys(this._evtHandlers) : arguments;

    for (let i = 0; i < evts.length; i++) {
      const evtName = evts[i];
      this.removeListener(evtName, this._evtHandlers[evtName]);
    }

    return this;
  }

  applyConfig(config, parsed, src) {
    const source = parsed.source;

    for (const x in config) {
      if (!source.hasOwnProperty(x) || source[x] !== "cli") {
        parsed.opts[x] = config[x];
        source[x] = src || "user";
      }
    }

    return this;
  }

  init(options, commands) {
    options = Object.assign({}, options);

    if (this._version) {
      let verAlias = ["V", "v"];
      Object.keys(options).forEach(k => {
        const opt = options[k];
        if (opt.alias) verAlias = verAlias.filter(x => opt.alias.indexOf(x) < 0);
      });
      options.version = this._getVersionOpt(verAlias);
    }

    if (this._helpOpt) {
      options.help = this._helpOpt;
    }

    this._cliOptions = new Options(options);
    this._commands = new Commands(commands);

    this._verifyOptions();

    this._defaults = makeDefaults(options);
    return this;
  }

  usage(msg) {
    this._usage = msg;
    return this;
  }

  cmdUsage(msg) {
    this._cmdUsage = msg;
    return this;
  }

  version(v) {
    this._version = v;
    return this;
  }

  help(custom) {
    this._helpOpt = custom;
    return this;
  }

  get commands() {
    return this._commands;
  }

  get cliOptions() {
    return this._cliOptions;
  }

  showVersion() {
    this.output(`${this._version}\n`);
    return this.exit(0);
  }

  makeHelp(cmdName) {
    let cmdCtx;
    let cmd;

    if (cmdName) {
      cmdCtx = this._commands.getContext(cmdName);

      if (cmdCtx.unknown) {
        return [`Unknown command: ${cmdName}`];
      }

      cmd = cmdCtx[CMD];
    }

    const usage = [""];
    let usageMsg;

    if (cmd) {
      usageMsg = cmd.usage || this._cmdUsage;
    }

    if (!usageMsg) {
      usageMsg = this._usage;
    }

    if (usageMsg) {
      usageMsg = usageMsg.replace("$0", this._name || "").replace("$1", cmdName || "");
      usage.push(`Usage: ${usageMsg}`.trim(), "");
    }

    const options = this._cliOptions.makeHelp();

    const optionHelp = options && options.length ? ["Options:"].concat(options) : [];
    let commandsHelp = [];

    if (!cmd) {
      const cmds = this._commands.makeHelp(this._name);

      commandsHelp = cmds && cmds.length ? ["Commands:"].concat(cmds, "") : [];
    } else if (cmd.desc) {
      usage.push(`  ${cmd.desc}`, "");
    }

    let cmdHelp = [];

    if (cmd) {
      cmdHelp.push("");

      if (cmdCtx.name !== cmdCtx.long) {
        cmdHelp.push(`Command ${cmdName} is alias for ${cmdCtx.long}`);
      }

      const cmdOptions = cmd.options.makeHelp();

      if (cmdOptions.length) {
        cmdHelp = cmdHelp.concat(`Command "${cmdCtx.long}" options:`, cmdOptions);
      } else {
        cmdHelp.push(`Command ${cmdCtx.long} has no options`);
      }
    }

    return usage.concat(commandsHelp, optionHelp, cmdHelp);
  }

  showHelp(err, cmdName) {
    this.emit("pre-help", {
      self: this
    });
    this.output(`${this.makeHelp(cmdName).join("\n")}\n`);
    let code = 0;

    if (err) {
      this.output(`\nError: ${err.message}\n`);
      code = 1;
    }

    this.output("\n");
    this.emit("post-help", {
      self: this
    });
    return this.exit(code);
  }

  checkRequireOptions(parsed) {
    const missing = Object.keys(this._cliOptions._options).filter(name => {
      const opt = this._cliOptions._options[name];
      return opt.require && !parsed.opts.hasOwnProperty(name);
    }).map(x => `'${x}'`);

    if (missing.length > 0) {
      parsed.error = Error(`Required option ${missing.join(", ")} missing`);
    }
  }

  skipExec() {
    this._skipExec = true;
    this._skipExecDefault = true;
  }

  parse(argv, start, parsed) {
    parsed = this._parse(argv, start, parsed);

    if (!this._skipExec && this.runExec(parsed, this._skipExecDefault) === 0) {
      if (this._commands.execCount > 0) {
        this.emit("no-action");
      }
    }

    return parsed;
  }

  parseAsync(argv, start, parsed) {
    parsed = this._parse(argv, start, parsed);
    if (this._skipExec) return this.Promise.resolve(parsed);
    return this.runExecAsync(parsed, this._skipExecDefault).then(count => {
      if (count === 0 && this._commands.execCount > 0) {
        this.emit("no-action");
      }

      return parsed;
    });
  }

  _parse(argv, start, parsed) {
    if (argv === undefined) {
      argv = process.argv;

      if (this._name === undefined) {
        this._name = Path.basename(argv[1], ".js");
      }

      start = 2;
    }

    const parser = new Parser(this);
    parsed = parser.parse(argv, start, parsed);
    Object.defineProperties(parsed, {
      _: {
        value: argv.slice(parsed.index + 1),
        enumerable: false
      },
      argv: {
        value: argv,
        enumerable: false
      }
    });

    if (!parsed.error) {
      this.checkRequireOptions(parsed);
    }

    if (parsed.error) {
      this.emit("parse-fail", parsed);
      return parsed;
    }

    if (this._version && parsed.opts.version) {
      this.emit("version", parsed);
      return parsed;
    } else if (this._helpOpt && this._helpOpt[HELP] && parsed.source.help === "cli") {
      this.emit("help", parsed);
      return parsed;
    }

    applyDefaults(this._defaults, parsed);
    parsed.commands.forEach(cmdCtx => {
      cmdCtx[CMD].applyDefaults(cmdCtx);
    });
    this.emit("parsed", {
      nixClap: this,
      parsed
    });
    return parsed;
  }

  runExec(parsed, skipDefault) {
    const count = this._execCmds(parsed);

    if (count > 0) return count;
    if (skipDefault === true) return 0;
    return this._runDefaultCmd(parsed);
  }

  runExecAsync(parsed, skipDefault) {
    return this._execCmdsAsync(parsed).then(count => {
      if (count > 0) return count;
      if (skipDefault === true) return 0;
      return this._runDefaultCmd(parsed);
    });
  }

  _runDefaultCmd(parsed) {
    const defaultCmd = this._commands.defaultCmd;
    if (!defaultCmd) return 0;

    const defaultParsed = this._parse([defaultCmd], 0);

    const defaultCmdCtx = defaultParsed.commands[0];
    return this._doExec(parsed, defaultCmdCtx);
  }

  _verifyOptions() {
    const top = this.cliOptions.list;
    const topAlias = this.cliOptions.alias;
    objEach(this.commands.list, (cmd, cmdName) => {
      objEach(cmd.options.list, (opt, optName) => {
        assert(!top.hasOwnProperty(optName), `Command ${cmdName} option ${optName} conflicts with top level option`);
        assert(!topAlias.hasOwnProperty(optName), `Command ${cmdName} option ${optName} conflicts with top level alias`);
      });
      objEach(cmd.options.alias, (optName, aliasName) => {
        assert(!top.hasOwnProperty(aliasName), `Command ${cmdName} option ${optName} alias ${aliasName} conflicts with top level option`);
        assert(!topAlias.hasOwnProperty(aliasName), `Command ${cmdName} option ${optName} alias ${aliasName} conflicts with top level alias`);
      });
    });
  }

  _doExec(parsed, cmdCtx) {
    const cmd = cmdCtx[CMD];

    if (cmd.exec) {
      const source = Object.assign({}, parsed.source, cmdCtx.source);
      const opts = Object.assign({}, parsed.opts, cmdCtx.opts);
      return cmd.exec({
        name: cmdCtx.name,
        long: cmdCtx.long,
        source,
        opts,
        args: cmdCtx.args,
        argList: cmdCtx.argList
      }, parsed) || true;
    }

    return false;
  }

  _execCmds(parsed) {
    let count = 0;
    parsed.commands.forEach(cmdCtx => {
      count += this._doExec(parsed, cmdCtx) ? 1 : 0;
    });
    return count;
  }

  _execCmdsAsync(parsed) {
    let count = 0;
    return parsed.commands.reduce((promise, cmdCtx) => {
      return promise.then(() => {
        const r = this._doExec(parsed, cmdCtx);

        if (r) count++;
        return r;
      });
    }, this.Promise.resolve()).then(() => count);
  }

}

module.exports = NixClap;

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/options.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-statements, no-magic-numbers */

const assert = __webpack_require__("assert");

const xtil = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js");

const SUPPORT_TYPES = ["count", "string", "number", "float", "boolean"];
const OPTION_FIELDS = {
  alias: ["string", "array"],
  type: ["string"],
  desc: ["string", "function"],
  describe: ["string", "function"],
  description: ["string", "function"],
  default: [],
  require: ["boolean"],
  requireArg: ["boolean"],
  allowCmd: ["array"]
};
const cbOrVal = xtil.cbOrVal;
const camelCase = xtil.camelCase;
const dup = xtil.dup;
const fitLines = xtil.fitLines;
const objEach = xtil.objEach;
/*
 * Options
 */

class Options {
  constructor(options) {
    this._options = dup(options);
    this._alias = {};
    this.processOptions();
  }

  prefixFlag(name) {
    return name.length > 1 ? `--${name}` : `-${name}`;
  }

  validateOptionFields(opt, name) {
    Object.keys(opt).forEach(f => {
      if (!OPTION_FIELDS.hasOwnProperty(f)) {
        if (opt.type && opt.type.indexOf(f) >= 0) return;
        throw new Error(`option '${name}' field '${f}' is not valid`);
      }

      const tof = Array.isArray(opt[f]) ? "array" : typeof opt[f];
      const typeOk = OPTION_FIELDS[f].find(t => t === tof);

      if (OPTION_FIELDS[f].length > 0 && !typeOk) {
        const expect = OPTION_FIELDS[f].join(", ");
        throw new Error(`option '${name}' field '${f}' type '${tof}' is not valid: expect ${expect}`);
      }
    });
  }

  processOptions() {
    objEach(this._options, (opt, name) => {
      const isValidType = type => {
        if (SUPPORT_TYPES.indexOf(type) >= 0) return true;
        return opt.hasOwnProperty(type);
      };

      this.validateOptionFields(opt, name);
      const help = [`--${name}`];
      const type = opt.type;

      if (type) {
        if (type.indexOf("array") >= 0) {
          const splits = type.split(" ");

          if (splits.length > 1) {
            opt.type = "array";
            opt.subtype = splits[0];
            assert(isValidType(opt.subtype), `Unknown array argument type ${opt.subtype} for option ${name}`);
          }
        } else {
          assert(isValidType(type), `Unknown argument type ${type} for option ${name}`);
        }
      }

      opt.name = name;

      if (opt.alias) {
        if (!Array.isArray(opt.alias)) opt.alias = [opt.alias];
        opt.alias.forEach(a => {
          assert(!this._alias.hasOwnProperty(a), `Option alias ${a} already used by option ${this._alias[a]}`);
          this._alias[a] = name;
          help.push(this.prefixFlag(a));
        });
      }

      opt.help = help.join(", ");
      opt.desc = opt.desc || opt.describe || opt.description;
    });
  }

  setSingle(name, parsed) {
    const long = this._alias[name];

    if (long) {
      const ccLong = camelCase(long);
      parsed.source[ccLong] = "cli";
      const opt = this._options[long];

      if (opt.type === "count") {
        parsed.opts[ccLong] = (parsed.opts[ccLong] || 0) + 1;
      } else {
        parsed.opts[ccLong] = true;
      }

      return true;
    }

    return false;
  }

  parse(name) {
    let long;
    let opt = this._options[name];

    if (opt) {
      long = name;
    } else if (this._alias[name]) {
      long = this._alias[name];
      opt = this._options[long];
    } else {
      return false;
    }

    const ccLong = camelCase(long);
    return {
      name,
      opt,
      long,
      ccLong
    };
  }

  get list() {
    return this._options;
  }

  get alias() {
    return this._alias;
  }

  findLongestOption() {
    let max = 0;
    objEach(this._options, opt => {
      max = opt.help.length > max ? opt.help.length : max;
    });
    return max;
  }

  makeHelp() {
    const width = this.findLongestOption();
    let help = [];
    objEach(this._options, opt => {
      const tail = [];
      const type = [opt.subtype, opt.type].filter(x => x).join(" ");
      if (type) tail.push(`[${type}]`);

      if (opt.hasOwnProperty("default")) {
        tail.push(`[default: ${JSON.stringify(opt.default)}]`);
      }

      const desc = (cbOrVal(opt.desc) || "").trim();
      const strs = [opt.help, ` ${desc}`, tail.filter(x => x).join(" ")];
      help = help.concat(fitLines(strs, "  ", "    ", width, 80));
    });
    return help;
  }

}

module.exports = Options;

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/parser.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable one-var, max-statements, no-magic-numbers */

const assert = __webpack_require__("assert");

const PARSING = 1;
const GATHERING_OPT_PARAMS = 2;
const PARSING_CMD = 3;

const symbols = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/symbols.js");

const CMD = symbols.CMD;
const OPTIONS = symbols.OPTIONS;
const TARGET = symbols.TARGET;

const xtil = __webpack_require__("./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js");

const camelCase = xtil.camelCase;
const convertValue = xtil.convertValue;
/*
 * Parser
 */

class Parser {
  constructor(nc) {
    this._nc = nc;
    this._cliOptions = nc.cliOptions;
    this._commands = nc.commands;
    this._states = [];
    this._state = PARSING;
    this._optType = undefined;
    this._optArgs = undefined;
    this._cmdArgs = undefined;
    this._parsed = undefined;
    this._optCtx = undefined;
    this._cmdCtx = undefined;
    this._multiCommand = true; // allow specifying multiple commands at the same time?
  }

  getCmd(name) {
    const ctx = this._commands.getContext(name); // remember command context so any options that follow can be
    // checked to apply against its private options


    this._cmdCtx = ctx;

    this._nc.emit("new-command", {
      context: ctx,
      parsed: this._parsed,
      nixClap: this._nc
    });

    if (ctx.unknown) {
      this._nc.emit("unknown-command", ctx);
    }

    this._parsed.commands.push(ctx);

    if (ctx[CMD].args.length > 0) {
      this._states.push(this._state);

      this._state = PARSING_CMD;
      this._cmdArgs = [];
    }
  }

  convertOptValueType(ctx, value, verbatim) {
    const ccLong = ctx.ccLong;
    const opt = ctx.opt;
    const type = opt.type;

    if (verbatim !== undefined) {
      ctx[TARGET].verbatim[ccLong] = verbatim;
    }

    if (type === "count") {
      value = (ctx[TARGET].opts[ccLong] || 0) + 1;
    } else if (type === "array") {
      if (opt.subtype) {
        value = value.map(v => convertValue(opt.subtype, v, opt));
      }
    } else {
      value = convertValue(type, value[0], opt);
    }

    ctx[TARGET].opts[ccLong] = value;
  }

  checkOptionAllowCmd(ctx) {
    const opt = ctx.opt;
    if (!opt.allowCmd || opt.allowCmd.length < 1) return;
    const valid = this._cmdCtx && opt.allowCmd.indexOf(this._cmdCtx.long) >= 0;
    assert(valid, `option ${ctx.name} must follow one of these commands ${opt.allowCmd.join(", ")}`);
  }

  findApplyOptions(options, target, name) {
    const ctx = options.parse(name);

    if (ctx) {
      this.checkOptionAllowCmd(ctx);
      ctx[TARGET] = target;
      ctx[OPTIONS] = options;
      this._optCtx = ctx;
    }

    return ctx;
  }

  setUnknownOption(name, value, verbatim) {
    this._nc.emit("unknown-option", name);

    const target = this._cmdCtx || this._parsed;

    this._nc.emit("unknown-option-v2", {
      name,
      parsed: this._parsed,
      target,
      nixClap: this._nc
    });

    const ccName = camelCase(name);

    if (verbatim !== undefined) {
      target.verbatim[ccName] = verbatim;
    }

    target.opts[ccName] = value !== undefined ? value[0] : true;
    target.source[ccName] = "cli";
  }

  setOptValue(name, value, verbatim) {
    const ctx = // first check if option should be applied to a command
    this._cmdCtx && this.findApplyOptions(this._cmdCtx[CMD].options, this._cmdCtx, name) || // then the top level
    this.findApplyOptions(this._cliOptions, this._parsed, name);

    if (!ctx) {
      this.setUnknownOption(name, value, verbatim);
      return;
    }

    const ccLong = ctx.ccLong;
    const opt = ctx.opt;
    ctx[TARGET].source[ccLong] = "cli";

    if (ctx[TARGET].optCmd && this._cmdCtx) {
      ctx[TARGET].optCmd[ccLong] = this._cmdCtx.name;
    }

    if (value !== undefined || opt.type === "count") {
      this.convertOptValueType(ctx, value, verbatim);
    } else {
      this._states.push(this._state);

      this._state = GATHERING_OPT_PARAMS;
      this._optType = opt.type || "";
      this._optArgs = [];
    }
  }

  get applyOptions() {
    if (this._optCtx) return this._optCtx[OPTIONS];
    return this._cliOptions;
  }

  get applyTarget() {
    if (this._optCtx) return this._optCtx[TARGET];
    return this._parsed;
  }

  setInsideSingle(name) {
    const singleOpts = name.split("");

    if (singleOpts.length > 1) {
      singleOpts.slice(0, singleOpts.length - 1).forEach(x => this.applyOptions.setSingle(x, this.applyTarget));
    }

    return singleOpts[singleOpts.length - 1];
  }

  getOpt(arg) {
    let name, value, verbatim;

    if (arg.startsWith("--no-")) {
      name = arg.substr(5);
      value = [false];
      verbatim = ["no-"];
    } else {
      const dashes = arg.startsWith("--") ? 2 : 1;
      name = arg.substr(dashes);
      const eqX = name.indexOf("=");

      if (eqX > 0) {
        value = [name.substr(eqX + 1)];
        name = name.substr(0, eqX);
      }

      if (dashes === 1) {
        name = this.setInsideSingle(name);
      }

      verbatim = value;
    }

    this.setOptValue(name, value, verbatim);
  }

  optEndGather() {
    if (this._optArgs.length > 0) {
      this.convertOptValueType(this._optCtx, this._optArgs, this._optArgs);
    } else if (!this._optType || this._optType.indexOf("boolean") >= 0) {
      this._optCtx[TARGET].opts[this._optCtx.ccLong] = true;
    } else {
      const ra = this._optCtx.opt.requireArg || this._optCtx.opt.requiresArg;
      assert(!ra, `option ${this._optCtx.name} requires argument`); // note: still leave source as "cli" since assigning default is due to
      // user specifying the option on the command line

      this._optCtx[TARGET].opts[this._optCtx.ccLong] = this._optCtx.opt.default;
    }

    this._optType = undefined;
    this._optArgs = undefined;
    this._state = this._states.pop();
  }

  cmdEndGatherArgs() {
    const ctx = this._cmdCtx;
    const cmd = ctx[CMD];
    const args = cmd.args;
    ctx.argList = this._cmdArgs;
    assert(this._cmdArgs.length >= cmd.needArgs, `Not enough arguments for command ${cmd.name}
- Note that options for a command must be after its arguments.
  ie: 'cli ${cmd.name} arg1 arg2 --opt1 --opt2', NOT: 'cli ${cmd.name} --opt1 --opt2 arg1 arg2'`);

    const setArg = (name, type, value) => {
      if (!name) return;

      if (type) {
        ctx.args[name] = Array.isArray(value) ? value.map(v => convertValue(type, v, cmd.spec)) : convertValue(type, value, cmd.spec);
      } else {
        ctx.args[name] = value;
      }
    };

    for (let i = 0; i < args.length && i < ctx.argList.length; i++) {
      setArg(args[i].name, args[i].type, ctx.argList[i]);
    }

    if (cmd.isVariadicArgs()) {
      const lastIx = args.length - 1;

      if (ctx.argList.length > lastIx) {
        setArg(args[lastIx].name, args[lastIx].type, ctx.argList.slice(lastIx));
      }
    }
  }

  cmdEndGather() {
    this.cmdEndGatherArgs();
    this._cmdArgs = undefined;
    this._state = this._states.pop();
  }

  gatherOptParams(arg) {
    const isOpt = arg.startsWith("-");
    let endGather; // if opt type is boolean, then only accept true/false as arg

    if (this._optType === "boolean") {
      const larg = arg.toLowerCase();
      endGather = larg !== "true" && larg !== "false";
    } else {
      endGather = isOpt;
    }

    if (endGather) {
      // another opt, end of gathering
      this.optEndGather(); // allow -. or --. as terminator for variadic options arguments

      if (arg !== "-." && arg !== "--.") {
        if (isOpt) this.getOpt(arg);else this.parseArg(arg);
      }
    } else {
      // save
      this._optArgs.push(arg); // check if gathered everything


      if (this._optType.indexOf("array") < 0) {
        // if so, end gathering, resume parsing
        this.optEndGather();
      }
    }
  }

  gatherCmdParams(arg) {
    const cmd = this._cmdCtx[CMD];

    this._cmdArgs.push(arg);

    if (this._cmdArgs.length === cmd.expectArgs && !cmd.isVariadicArgs()) {
      this.cmdEndGather();
    }
  }

  parseArg(arg) {
    const state = this._state;

    if (state === GATHERING_OPT_PARAMS) {
      return this.gatherOptParams(arg);
    } // terminate parsing for command in multi commands mode


    if (this._multiCommand && (arg === "-." || arg === "--.") && state === PARSING_CMD) {
      return this.cmdEndGather();
    } // an option


    if (arg.startsWith("-")) {
      // are we in PARSING_CMD mode
      if (state === PARSING_CMD) {
        // any -/-- opt terminates command arg gathering
        this.cmdEndGatherArgs();
      }

      return this.getOpt(arg);
    }

    if (state === PARSING_CMD) {
      return this.gatherCmdParams(arg);
    }

    assert(state === PARSING, `bug: unknown parsing state ${state}`); // a command

    return this.getCmd(arg);
  }

  parseArgIndex(x) {
    this.parseArg(this._argv[x]);
  }

  checkTerminator() {
    const state = this._state;

    if (state === GATHERING_OPT_PARAMS) {
      this.optEndGather();
    } else if (state === PARSING_CMD) {
      this.cmdEndGather();
    }
  }

  get _defaultParsedObjet() {
    const parsed = {
      source: {},
      commands: [],
      opts: {},
      optCmd: {},
      verbatim: {},
      nixClap: this._nc
    };
    Object.defineProperty(parsed, "nixClap", {
      enumerable: false
    });
    return parsed;
  }

  parse(argv, start, parsed) {
    this._argv = argv;
    this._parsed = parsed || this._defaultParsedObjet;
    let index = start !== undefined ? start : 0;

    try {
      for (; index < argv.length; index++) {
        if (argv[index] === "--") {
          this.checkTerminator();
          break;
        } else {
          this.parseArgIndex(index);
        }
      }

      if (this._state === GATHERING_OPT_PARAMS) {
        this.optEndGather();
      } else if (this._state === PARSING_CMD) {
        this.cmdEndGather();
      }
    } catch (e) {
      this._parsed.error = e;
    }

    this._parsed.index = index;
    return this._parsed;
  }

}

module.exports = Parser;

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/symbols.js":
/***/ ((module) => {

"use strict";


module.exports = {
  CMD: Symbol("cmd"),
  OPTIONS: Symbol("options"),
  TARGET: Symbol("target")
};

/***/ }),

/***/ "./node_modules/.f/_/nix-clap/1.3.13/nix-clap/lib/xtil.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/4.0.0/strip-ansi/index.js");
/* eslint-disable no-magic-numbers,max-params, */


function camelCase(str) {
  return str.split("-").reduce((cc, w) => `${cc}${w[0].toUpperCase()}${w.slice(1)}`);
}

function objEach(obj, iterator) {
  for (const key in obj) {
    iterator(obj[key], key);
  }
}

function cbOrVal(x) {
  return typeof x === "function" ? x() : x;
} // specialized obj dup for nix-clap


function dup(obj) {
  const copy = {};

  if (obj) {
    objEach(obj, (val, key) => {
      copy[key] = val && val.constructor.name === "Object" ? Object.assign({}, val) : val;
    });
  }

  return copy;
}

function noAnsiLen(str) {
  return stripAnsi(str).length;
}

function padStr(str, w) {
  const len = Math.max(0, w - noAnsiLen(str));
  return `${str}${Array(len + 1).join(" ")}`;
}

function padStrRight(str, w) {
  const len = w - noAnsiLen(str);
  return `${Array(len + 1).join(" ")}${str}`;
}

function fitLine(strs, margin, indent, lineWidth) {
  const out = [margin + strs[0]];

  const add = (str, last) => {
    let line = out[out.length - 1];

    if (noAnsiLen(line) + str.length + 1 > lineWidth) {
      out.push("");
      line = margin + indent;
    } else {
      line += " ";
    }

    if (last) {
      line += padStrRight(str, lineWidth - noAnsiLen(line));
    } else {
      line += str;
    }

    out[out.length - 1] = line;
  };

  const lastIx = strs.length - 1;

  for (let i = 1; i < strs.length; i++) {
    add(strs[i], i === lastIx);
  }

  return out.map(x => x.trimRight());
}

function fitLines(strs, margin, indent, leftWidth, lineWidth) {
  if (strs.length === 0) return [];
  if (strs.length === 1) return [`${margin}${strs[0]}`];

  if (noAnsiLen(strs[0]) > leftWidth) {
    const output = [`${margin}${strs[0]}`];
    return output.concat(fitLine([indent].concat(strs.slice(1)), margin, indent, lineWidth));
  } else {
    return fitLine([padStr(strs[0], leftWidth)].concat(strs.slice(1)), margin, indent, lineWidth);
  }
}

function makeDefaults(options) {
  const defaults = {};
  objEach(options, (opt, name) => {
    if (opt.hasOwnProperty("default")) {
      defaults[camelCase(name)] = opt.default;
    }
  });
  return defaults;
}

function applyDefaults(defaults, ctx, src) {
  objEach(defaults, (val, key) => {
    if (!ctx.opts.hasOwnProperty(key)) {
      ctx.opts[key] = val;
      ctx.source[key] = src || "default";
    }
  });
}

function toBoolean(value) {
  const x = value.toUpperCase();
  return x && x !== "0" && x !== "FALSE" && x !== "NO";
}

function convertValue(type, value, spec) {
  if (typeof value !== "string") return value;

  if (type === "number") {
    return parseInt(value, 10);
  } else if (type === "float") {
    return parseFloat(value);
  } else if (!type || type === "boolean") {
    return toBoolean(value);
  } else if (spec && spec[type]) {
    const customType = spec[type].constructor.name;

    if (customType === "Function") {
      return spec[type](value);
    } else if (customType === "RegExp") {
      const mx = value.match(spec[type]);
      return mx ? mx[0] : undefined;
    } else {
      return spec[type];
    }
  }

  return value;
}

module.exports = {
  camelCase,
  objEach,
  cbOrVal,
  dup,
  fitLines,
  padStr,
  padStrRight,
  makeDefaults,
  applyDefaults,
  toBoolean,
  convertValue,
  noop: () => {}
};

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/blob.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";
 // Based on https://github.com/tmpvar/jsdom/blob/aa85b2abf07766ff7bf5c1f6daafb3726f2f2db5/lib/jsdom/living/blob.js
//
// Used under the terms of the MIT license, shown below.
//
// Copyright (c) 2010 Elijah Insua
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.

const Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js").Buffer;

const BUFFER = Symbol('buffer');
const TYPE = Symbol('type');
const CLOSED = Symbol('closed');

class Blob {
  constructor() {
    Object.defineProperty(this, Symbol.toStringTag, {
      value: 'Blob',
      writable: false,
      enumerable: false,
      configurable: true
    });
    this[CLOSED] = false;
    this[TYPE] = '';
    const blobParts = arguments[0];
    const options = arguments[1];
    const buffers = [];

    if (blobParts) {
      const a = blobParts;
      const length = Number(a.length);

      for (let i = 0; i < length; i++) {
        const element = a[i];
        let buffer;

        if (Buffer.isBuffer(element)) {
          buffer = element;
        } else if (ArrayBuffer.isView(element)) {
          buffer = Buffer.from(new Uint8Array(element.buffer, element.byteOffset, element.byteLength));
        } else if (element instanceof ArrayBuffer) {
          buffer = Buffer.from(new Uint8Array(element));
        } else if (element instanceof Blob) {
          buffer = element[BUFFER];
        } else {
          buffer = Buffer.from(typeof element === 'string' ? element : String(element));
        }

        buffers.push(buffer);
      }
    }

    this[BUFFER] = Buffer.concat(buffers);
    let type = options && options.type !== undefined && String(options.type).toLowerCase();

    if (type && !/[^\u0020-\u007E]/.test(type)) {
      this[TYPE] = type;
    }
  }

  get size() {
    return this[CLOSED] ? 0 : this[BUFFER].length;
  }

  get type() {
    return this[TYPE];
  }

  get isClosed() {
    return this[CLOSED];
  }

  slice() {
    const size = this.size;
    const start = arguments[0];
    const end = arguments[1];
    let relativeStart, relativeEnd;

    if (start === undefined) {
      relativeStart = 0;
    } else if (start < 0) {
      relativeStart = Math.max(size + start, 0);
    } else {
      relativeStart = Math.min(start, size);
    }

    if (end === undefined) {
      relativeEnd = size;
    } else if (end < 0) {
      relativeEnd = Math.max(size + end, 0);
    } else {
      relativeEnd = Math.min(end, size);
    }

    const span = Math.max(relativeEnd - relativeStart, 0);
    const buffer = this[BUFFER];
    const slicedBuffer = buffer.slice(relativeStart, relativeStart + span);
    const blob = new Blob([], {
      type: arguments[2]
    });
    blob[BUFFER] = slicedBuffer;
    blob[CLOSED] = this[CLOSED];
    return blob;
  }

  close() {
    this[CLOSED] = true;
  }

}

exports = module.exports = Blob;
exports.BUFFER = BUFFER;
Object.defineProperty(Blob.prototype, Symbol.toStringTag, {
  value: 'BlobPrototype',
  writable: false,
  enumerable: false,
  configurable: true
});

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/body.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";

/**
 * body.js
 *
 * Body interface provides common methods for Request and Response
 */

const Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js").Buffer;

const Blob = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/blob.js");

const BUFFER = Blob.BUFFER;

const convert = __webpack_require__("./node_modules/.f/_/encoding/0.1.13/encoding/lib/encoding.js").convert;

const parseJson = __webpack_require__("./node_modules/.f/_/json-parse-better-errors/1.0.2/json-parse-better-errors/index.js");

const FetchError = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/fetch-error.js");

const Stream = __webpack_require__("stream");

const PassThrough = Stream.PassThrough;
const DISTURBED = Symbol('disturbed');
/**
 * Body class
 *
 * Cannot use ES6 class because Body must be called with .call().
 *
 * @param   Stream  body  Readable stream
 * @param   Object  opts  Response options
 * @return  Void
 */

exports = module.exports = Body;

function Body(body, opts) {
  if (!opts) opts = {};
  const size = opts.size == null ? 0 : opts.size;
  const timeout = opts.timeout == null ? 0 : opts.timeout;

  if (body == null) {
    // body is undefined or null
    body = null;
  } else if (typeof body === 'string') {// body is string
  } else if (body instanceof Blob) {// body is blob
  } else if (Buffer.isBuffer(body)) {// body is buffer
  } else if (body instanceof Stream) {// body is stream
  } else {
    // none of the above
    // coerce to string
    body = String(body);
  }

  this.body = body;
  this[DISTURBED] = false;
  this.size = size;
  this.timeout = timeout;
}

Body.prototype = {
  get bodyUsed() {
    return this[DISTURBED];
  },

  /**
   * Decode response as ArrayBuffer
   *
   * @return  Promise
   */
  arrayBuffer() {
    return consumeBody.call(this).then(buf => buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength));
  },

  /**
   * Return raw response as Blob
   *
   * @return Promise
   */
  blob() {
    let ct = this.headers && this.headers.get('content-type') || '';
    return consumeBody.call(this).then(buf => Object.assign( // Prevent copying
    new Blob([], {
      type: ct.toLowerCase()
    }), {
      [BUFFER]: buf
    }));
  },

  /**
   * Decode response as json
   *
   * @return  Promise
   */
  json() {
    return consumeBody.call(this).then(buffer => parseJson(buffer.toString()));
  },

  /**
   * Decode response as text
   *
   * @return  Promise
   */
  text() {
    return consumeBody.call(this).then(buffer => buffer.toString());
  },

  /**
   * Decode response as buffer (non-spec api)
   *
   * @return  Promise
   */
  buffer() {
    return consumeBody.call(this);
  },

  /**
   * Decode response as text, while automatically detecting the encoding and
   * trying to decode to UTF-8 (non-spec api)
   *
   * @return  Promise
   */
  textConverted() {
    return consumeBody.call(this).then(buffer => convertBody(buffer, this.headers));
  }

};

Body.mixIn = function (proto) {
  for (const name of Object.getOwnPropertyNames(Body.prototype)) {
    // istanbul ignore else: future proof
    if (!(name in proto)) {
      const desc = Object.getOwnPropertyDescriptor(Body.prototype, name);
      Object.defineProperty(proto, name, desc);
    }
  }
};
/**
 * Decode buffers into utf-8 string
 *
 * @return  Promise
 */


function consumeBody(body) {
  if (this[DISTURBED]) {
    return Body.Promise.reject(new Error(`body used already for: ${this.url}`));
  }

  this[DISTURBED] = true; // body is null

  if (this.body === null) {
    return Body.Promise.resolve(Buffer.alloc(0));
  } // body is string


  if (typeof this.body === 'string') {
    return Body.Promise.resolve(Buffer.from(this.body));
  } // body is blob


  if (this.body instanceof Blob) {
    return Body.Promise.resolve(this.body[BUFFER]);
  } // body is buffer


  if (Buffer.isBuffer(this.body)) {
    return Body.Promise.resolve(this.body);
  } // istanbul ignore if: should never happen


  if (!(this.body instanceof Stream)) {
    return Body.Promise.resolve(Buffer.alloc(0));
  } // body is stream
  // get ready to actually consume the body


  let accum = [];
  let accumBytes = 0;
  let abort = false;
  return new Body.Promise((resolve, reject) => {
    let resTimeout; // allow timeout on slow response body

    if (this.timeout) {
      resTimeout = setTimeout(() => {
        abort = true;
        reject(new FetchError(`Response timeout while trying to fetch ${this.url} (over ${this.timeout}ms)`, 'body-timeout'));
      }, this.timeout);
    } // handle stream error, such as incorrect content-encoding


    this.body.on('error', err => {
      reject(new FetchError(`Invalid response body while trying to fetch ${this.url}: ${err.message}`, 'system', err));
    });
    this.body.on('data', chunk => {
      if (abort || chunk === null) {
        return;
      }

      if (this.size && accumBytes + chunk.length > this.size) {
        abort = true;
        reject(new FetchError(`content size at ${this.url} over limit: ${this.size}`, 'max-size'));
        return;
      }

      accumBytes += chunk.length;
      accum.push(chunk);
    });
    this.body.on('end', () => {
      if (abort) {
        return;
      }

      clearTimeout(resTimeout);
      resolve(Buffer.concat(accum));
    });
  });
}
/**
 * Detect buffer encoding and convert to target encoding
 * ref: http://www.w3.org/TR/2011/WD-html5-20110113/parsing.html#determining-the-character-encoding
 *
 * @param   Buffer  buffer    Incoming buffer
 * @param   String  encoding  Target encoding
 * @return  String
 */


function convertBody(buffer, headers) {
  const ct = headers.get('content-type');
  let charset = 'utf-8';
  let res, str; // header

  if (ct) {
    res = /charset=([^;]*)/i.exec(ct);
  } // no charset in content type, peek at response body for at most 1024 bytes


  str = buffer.slice(0, 1024).toString(); // html5

  if (!res && str) {
    res = /<meta.+?charset=(['"])(.+?)\1/i.exec(str);
  } // html4


  if (!res && str) {
    res = /<meta[\s]+?http-equiv=(['"])content-type\1[\s]+?content=(['"])(.+?)\2/i.exec(str);

    if (res) {
      res = /charset=(.*)/i.exec(res.pop());
    }
  } // xml


  if (!res && str) {
    res = /<\?xml.+?encoding=(['"])(.+?)\1/i.exec(str);
  } // found charset


  if (res) {
    charset = res.pop(); // prevent decode issues when sites use incorrect encoding
    // ref: https://hsivonen.fi/encoding-menu/

    if (charset === 'gb2312' || charset === 'gbk') {
      charset = 'gb18030';
    }
  } // turn raw buffers into a single utf-8 buffer


  return convert(buffer, 'UTF-8', charset).toString();
}
/**
 * Clone body given Res/Req instance
 *
 * @param   Mixed  instance  Response or Request instance
 * @return  Mixed
 */


exports.clone = function clone(instance) {
  let p1, p2;
  let body = instance.body; // don't allow cloning a used body

  if (instance.bodyUsed) {
    throw new Error('cannot clone body after it is used');
  } // check that body is a stream and not form-data object
  // note: we can't clone the form-data object without having it as a dependency


  if (body instanceof Stream && typeof body.getBoundary !== 'function') {
    // tee instance body
    p1 = new PassThrough();
    p2 = new PassThrough();
    body.pipe(p1);
    body.pipe(p2); // set instance body to teed body and return the other teed body

    instance.body = p1;
    body = p2;
  }

  return body;
};
/**
 * Performs the operation "extract a `Content-Type` value from |object|" as
 * specified in the specification:
 * https://fetch.spec.whatwg.org/#concept-bodyinit-extract
 *
 * This function assumes that instance.body is present and non-null.
 *
 * @param   Mixed  instance  Response or Request instance
 */


exports.extractContentType = function extractContentType(instance) {
  const body = instance.body; // istanbul ignore if: Currently, because of a guard in Request, body
  // can never be null. Included here for completeness.

  if (body === null) {
    // body is null
    return null;
  } else if (typeof body === 'string') {
    // body is string
    return 'text/plain;charset=UTF-8';
  } else if (body instanceof Blob) {
    // body is blob
    return body.type || null;
  } else if (Buffer.isBuffer(body)) {
    // body is buffer
    return null;
  } else if (typeof body.getBoundary === 'function') {
    // detect form data input from form-data module
    return `multipart/form-data;boundary=${body.getBoundary()}`;
  } else {
    // body is stream
    // can't really do much about this
    return null;
  }
};

exports.getTotalBytes = function getTotalBytes(instance) {
  const body = instance.body; // istanbul ignore if: included for completion

  if (body === null) {
    // body is null
    return 0;
  } else if (typeof body === 'string') {
    // body is string
    return Buffer.byteLength(body);
  } else if (body instanceof Blob) {
    // body is blob
    return body.size;
  } else if (Buffer.isBuffer(body)) {
    // body is buffer
    return body.length;
  } else if (body && typeof body.getLengthSync === 'function') {
    // detect form data input from form-data module
    if ( // 1.x
    body._lengthRetrievers && body._lengthRetrievers.length === 0 || // 2.x
    body.hasKnownLength && body.hasKnownLength()) {
      return body.getLengthSync();
    }

    return null;
  } else {
    // body is stream
    // can't really do much about this
    return null;
  }
};

exports.writeToStream = function writeToStream(dest, instance) {
  const body = instance.body;

  if (body === null) {
    // body is null
    dest.end();
  } else if (typeof body === 'string') {
    // body is string
    dest.write(body);
    dest.end();
  } else if (body instanceof Blob) {
    // body is blob
    dest.write(body[BUFFER]);
    dest.end();
  } else if (Buffer.isBuffer(body)) {
    // body is buffer
    dest.write(body);
    dest.end();
  } else {
    // body is stream
    body.pipe(dest);
  }
}; // expose Promise


Body.Promise = global.Promise;

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/common.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/**
 * A set of utilities borrowed from Node.js' _http_common.js
 */

/**
 * Verifies that the given val is a valid HTTP token
 * per the rules defined in RFC 7230
 * See https://tools.ietf.org/html/rfc7230#section-3.2.6
 *
 * Allowed characters in an HTTP token:
 * ^_`a-z  94-122
 * A-Z     65-90
 * -       45
 * 0-9     48-57
 * !       33
 * #$%&'   35-39
 * *+      42-43
 * .       46
 * |       124
 * ~       126
 *
 * This implementation of checkIsHttpToken() loops over the string instead of
 * using a regular expression since the former is up to 180% faster with v8 4.9
 * depending on the string length (the shorter the string, the larger the
 * performance difference)
 *
 * Additionally, checkIsHttpToken() is currently designed to be inlinable by v8,
 * so take care when making changes to the implementation so that the source
 * code size does not exceed v8's default max_inlined_source_size setting.
 **/

/* istanbul ignore next */

function isValidTokenChar(ch) {
  if (ch >= 94 && ch <= 122) {
    return true;
  }

  if (ch >= 65 && ch <= 90) {
    return true;
  }

  if (ch === 45) {
    return true;
  }

  if (ch >= 48 && ch <= 57) {
    return true;
  }

  if (ch === 34 || ch === 40 || ch === 41 || ch === 44) {
    return false;
  }

  if (ch >= 33 && ch <= 46) {
    return true;
  }

  if (ch === 124 || ch === 126) {
    return true;
  }

  return false;
}
/* istanbul ignore next */


function checkIsHttpToken(val) {
  if (typeof val !== 'string' || val.length === 0) {
    return false;
  }

  if (!isValidTokenChar(val.charCodeAt(0))) {
    return false;
  }

  const len = val.length;

  if (len > 1) {
    if (!isValidTokenChar(val.charCodeAt(1))) {
      return false;
    }

    if (len > 2) {
      if (!isValidTokenChar(val.charCodeAt(2))) {
        return false;
      }

      if (len > 3) {
        if (!isValidTokenChar(val.charCodeAt(3))) {
          return false;
        }

        for (var i = 4; i < len; i++) {
          if (!isValidTokenChar(val.charCodeAt(i))) {
            return false;
          }
        }
      }
    }
  }

  return true;
}

exports.checkIsHttpToken = checkIsHttpToken;
/**
 * True if val contains an invalid field-vchar
 *  field-value    = *( field-content / obs-fold )
 *  field-content  = field-vchar [ 1*( SP / HTAB ) field-vchar ]
 *  field-vchar    = VCHAR / obs-text
 *
 * checkInvalidHeaderChar() is currently designed to be inlinable by v8,
 * so take care when making changes to the implementation so that the source
 * code size does not exceed v8's default max_inlined_source_size setting.
 **/

/* istanbul ignore next */

function checkInvalidHeaderChar(val) {
  val += '';

  if (val.length < 1) {
    return false;
  }

  var c = val.charCodeAt(0);

  if (c <= 31 && c !== 9 || c > 255 || c === 127) {
    return true;
  }

  if (val.length < 2) {
    return false;
  }

  c = val.charCodeAt(1);

  if (c <= 31 && c !== 9 || c > 255 || c === 127) {
    return true;
  }

  if (val.length < 3) {
    return false;
  }

  c = val.charCodeAt(2);

  if (c <= 31 && c !== 9 || c > 255 || c === 127) {
    return true;
  }

  for (var i = 3; i < val.length; ++i) {
    c = val.charCodeAt(i);

    if (c <= 31 && c !== 9 || c > 255 || c === 127) {
      return true;
    }
  }

  return false;
}

exports.checkInvalidHeaderChar = checkInvalidHeaderChar;

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/fetch-error.js":
/***/ ((module) => {

"use strict";

/**
 * fetch-error.js
 *
 * FetchError interface for operational errors
 */

/**
 * Create FetchError instance
 *
 * @param   String      message      Error message for human
 * @param   String      type         Error type for machine
 * @param   String      systemError  For Node.js system error
 * @return  FetchError
 */

module.exports = FetchError;

function FetchError(message, type, systemError) {
  Error.call(this, message);
  this.message = message;
  this.type = type; // when err.type is `system`, err.code contains system error code

  if (systemError) {
    this.code = this.errno = systemError.code;
  } // hide custom error implementation details from end-users


  Error.captureStackTrace(this, this.constructor);
}

FetchError.prototype = Object.create(Error.prototype);
FetchError.prototype.constructor = FetchError;
FetchError.prototype.name = 'FetchError';

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/headers.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/**
 * headers.js
 *
 * Headers class offers convenient helpers
 */

const common = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/common.js");

const checkInvalidHeaderChar = common.checkInvalidHeaderChar;
const checkIsHttpToken = common.checkIsHttpToken;

function sanitizeName(name) {
  name += '';

  if (!checkIsHttpToken(name)) {
    throw new TypeError(`${name} is not a legal HTTP header name`);
  }

  return name.toLowerCase();
}

function sanitizeValue(value) {
  value += '';

  if (checkInvalidHeaderChar(value)) {
    throw new TypeError(`${value} is not a legal HTTP header value`);
  }

  return value;
}

const MAP = Symbol('map');

class Headers {
  /**
   * Headers class
   *
   * @param   Object  headers  Response headers
   * @return  Void
   */
  constructor(init) {
    this[MAP] = Object.create(null);

    if (init instanceof Headers) {
      const rawHeaders = init.raw();
      const headerNames = Object.keys(rawHeaders);

      for (const headerName of headerNames) {
        for (const value of rawHeaders[headerName]) {
          this.append(headerName, value);
        }
      }

      return;
    } // We don't worry about converting prop to ByteString here as append()
    // will handle it.


    if (init == null) {// no op
    } else if (typeof init === 'object') {
      const method = init[Symbol.iterator];

      if (method != null) {
        if (typeof method !== 'function') {
          throw new TypeError('Header pairs must be iterable');
        } // sequence<sequence<ByteString>>
        // Note: per spec we have to first exhaust the lists then process them


        const pairs = [];

        for (const pair of init) {
          if (typeof pair !== 'object' || typeof pair[Symbol.iterator] !== 'function') {
            throw new TypeError('Each header pair must be iterable');
          }

          pairs.push(Array.from(pair));
        }

        for (const pair of pairs) {
          if (pair.length !== 2) {
            throw new TypeError('Each header pair must be a name/value tuple');
          }

          this.append(pair[0], pair[1]);
        }
      } else {
        // record<ByteString, ByteString>
        for (const key of Object.keys(init)) {
          const value = init[key];
          this.append(key, value);
        }
      }
    } else {
      throw new TypeError('Provided initializer must be an object');
    }

    Object.defineProperty(this, Symbol.toStringTag, {
      value: 'Headers',
      writable: false,
      enumerable: false,
      configurable: true
    });
  }
  /**
   * Return first header value given name
   *
   * @param   String  name  Header name
   * @return  Mixed
   */


  get(name) {
    const list = this[MAP][sanitizeName(name)];

    if (!list) {
      return null;
    }

    return list.join(', ');
  }
  /**
   * Iterate over all headers
   *
   * @param   Function  callback  Executed for each item with parameters (value, name, thisArg)
   * @param   Boolean   thisArg   `this` context for callback function
   * @return  Void
   */


  forEach(callback, thisArg) {
    let pairs = getHeaderPairs(this);
    let i = 0;

    while (i < pairs.length) {
      const name = pairs[i][0];
      const value = pairs[i][1];
      callback.call(thisArg, value, name, this);
      pairs = getHeaderPairs(this);
      i++;
    }
  }
  /**
   * Overwrite header values given name
   *
   * @param   String  name   Header name
   * @param   String  value  Header value
   * @return  Void
   */


  set(name, value) {
    this[MAP][sanitizeName(name)] = [sanitizeValue(value)];
  }
  /**
   * Append a value onto existing header
   *
   * @param   String  name   Header name
   * @param   String  value  Header value
   * @return  Void
   */


  append(name, value) {
    if (!this.has(name)) {
      this.set(name, value);
      return;
    }

    this[MAP][sanitizeName(name)].push(sanitizeValue(value));
  }
  /**
   * Check for header name existence
   *
   * @param   String   name  Header name
   * @return  Boolean
   */


  has(name) {
    return !!this[MAP][sanitizeName(name)];
  }
  /**
   * Delete all header values given name
   *
   * @param   String  name  Header name
   * @return  Void
   */


  delete(name) {
    delete this[MAP][sanitizeName(name)];
  }

  /**
   * Return raw headers (non-spec api)
   *
   * @return  Object
   */
  raw() {
    return this[MAP];
  }
  /**
   * Get an iterator on keys.
   *
   * @return  Iterator
   */


  keys() {
    return createHeadersIterator(this, 'key');
  }
  /**
   * Get an iterator on values.
   *
   * @return  Iterator
   */


  values() {
    return createHeadersIterator(this, 'value');
  }
  /**
   * Get an iterator on entries.
   *
   * This is the default iterator of the Headers object.
   *
   * @return  Iterator
   */


  [Symbol.iterator]() {
    return createHeadersIterator(this, 'key+value');
  }

}

Headers.prototype.entries = Headers.prototype[Symbol.iterator];
Object.defineProperty(Headers.prototype, Symbol.toStringTag, {
  value: 'HeadersPrototype',
  writable: false,
  enumerable: false,
  configurable: true
});

function getHeaderPairs(headers, kind) {
  const keys = Object.keys(headers[MAP]).sort();
  return keys.map(kind === 'key' ? k => [k] : k => [k, headers.get(k)]);
}

const INTERNAL = Symbol('internal');

function createHeadersIterator(target, kind) {
  const iterator = Object.create(HeadersIteratorPrototype);
  iterator[INTERNAL] = {
    target,
    kind,
    index: 0
  };
  return iterator;
}

const HeadersIteratorPrototype = Object.setPrototypeOf({
  next() {
    // istanbul ignore if
    if (!this || Object.getPrototypeOf(this) !== HeadersIteratorPrototype) {
      throw new TypeError('Value of `this` is not a HeadersIterator');
    }

    const target = this[INTERNAL].target;
    const kind = this[INTERNAL].kind;
    const index = this[INTERNAL].index;
    const values = getHeaderPairs(target, kind);
    const len = values.length;

    if (index >= len) {
      return {
        value: undefined,
        done: true
      };
    }

    const pair = values[index];
    this[INTERNAL].index = index + 1;
    let result;

    if (kind === 'key') {
      result = pair[0];
    } else if (kind === 'value') {
      result = pair[1];
    } else {
      result = pair;
    }

    return {
      value: result,
      done: false
    };
  }

}, Object.getPrototypeOf(Object.getPrototypeOf([][Symbol.iterator]())));
Object.defineProperty(HeadersIteratorPrototype, Symbol.toStringTag, {
  value: 'HeadersIterator',
  writable: false,
  enumerable: false,
  configurable: true
});
module.exports = Headers;

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/index.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";

/**
 * index.js
 *
 * a request API compatible with window.fetch
 */

const url = __webpack_require__("url");

const http = __webpack_require__("http");

const https = __webpack_require__("https");

const zlib = __webpack_require__("zlib");

const PassThrough = __webpack_require__("stream").PassThrough;

const Body = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/body.js");

const writeToStream = Body.writeToStream;

const Response = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/response.js");

const Headers = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/headers.js");

const Request = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/request.js");

const getNodeRequestOptions = Request.getNodeRequestOptions;

const FetchError = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/fetch-error.js");

const isURL = /^https?:/;
/**
 * Fetch function
 *
 * @param   Mixed    url   Absolute url or Request instance
 * @param   Object   opts  Fetch options
 * @return  Promise
 */

exports = module.exports = fetch;

function fetch(uri, opts) {
  // allow custom promise
  if (!fetch.Promise) {
    throw new Error('native promise missing, set fetch.Promise to your favorite alternative');
  }

  Body.Promise = fetch.Promise; // wrap http.request into fetch

  return new fetch.Promise((resolve, reject) => {
    // build request object
    const request = new Request(uri, opts);
    const options = getNodeRequestOptions(request);
    const send = (options.protocol === 'https:' ? https : http).request; // http.request only support string as host header, this hack make custom host header possible

    if (options.headers.host) {
      options.headers.host = options.headers.host[0];
    } // send request


    const req = send(options);
    let reqTimeout;

    if (request.timeout) {
      req.once('socket', socket => {
        reqTimeout = setTimeout(() => {
          req.abort();
          reject(new FetchError(`network timeout at: ${request.url}`, 'request-timeout'));
        }, request.timeout);
      });
    }

    req.on('error', err => {
      clearTimeout(reqTimeout);
      reject(new FetchError(`request to ${request.url} failed, reason: ${err.message}`, 'system', err));
    });
    req.on('response', res => {
      clearTimeout(reqTimeout); // handle redirect

      if (fetch.isRedirect(res.statusCode) && request.redirect !== 'manual') {
        if (request.redirect === 'error') {
          reject(new FetchError(`redirect mode is set to error: ${request.url}`, 'no-redirect'));
          return;
        }

        if (request.counter >= request.follow) {
          reject(new FetchError(`maximum redirect reached at: ${request.url}`, 'max-redirect'));
          return;
        }

        if (!res.headers.location) {
          reject(new FetchError(`redirect location header missing at: ${request.url}`, 'invalid-redirect'));
          return;
        } // Comment and logic below is used under the following license:
        // Copyright (c) 2010-2012 Mikeal Rogers
        // Licensed under the Apache License, Version 2.0 (the "License");
        // you may not use this file except in compliance with the License.
        // You may obtain a copy of the License at
        // http://www.apache.org/licenses/LICENSE-2.0
        // Unless required by applicable law or agreed to in writing,
        // software distributed under the License is distributed on an "AS
        // IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
        // express or implied. See the License for the specific language
        // governing permissions and limitations under the License.
        // Remove authorization if changing hostnames (but not if just
        // changing ports or protocols).  This matches the behavior of request:
        // https://github.com/request/request/blob/b12a6245/lib/redirect.js#L134-L138


        const resolvedUrl = url.resolve(request.url, res.headers.location);
        let redirectURL = '';

        if (!isURL.test(res.headers.location)) {
          redirectURL = url.parse(resolvedUrl);
        } else {
          redirectURL = url.parse(res.headers.location);
        }

        if (url.parse(request.url).hostname !== redirectURL.hostname) {
          request.headers.delete('authorization');
        } // per fetch spec, for POST request with 301/302 response, or any request with 303 response, use GET when following redirect


        if (res.statusCode === 303 || (res.statusCode === 301 || res.statusCode === 302) && request.method === 'POST') {
          request.method = 'GET';
          request.body = null;
          request.headers.delete('content-length');
        }

        request.counter++;
        resolve(fetch(resolvedUrl, request));
        return;
      } // normalize location header for manual redirect mode


      const headers = new Headers();

      for (const name of Object.keys(res.headers)) {
        if (Array.isArray(res.headers[name])) {
          for (const val of res.headers[name]) {
            headers.append(name, val);
          }
        } else {
          headers.append(name, res.headers[name]);
        }
      }

      if (request.redirect === 'manual' && headers.has('location')) {
        headers.set('location', url.resolve(request.url, headers.get('location')));
      } // prepare response


      let body = res.pipe(new PassThrough());
      const responseOptions = {
        url: request.url,
        status: res.statusCode,
        statusText: res.statusMessage,
        headers: headers,
        size: request.size,
        timeout: request.timeout
      }; // HTTP-network fetch step 16.1.2

      const codings = headers.get('Content-Encoding'); // HTTP-network fetch step 16.1.3: handle content codings
      // in following scenarios we ignore compression support
      // 1. compression support is disabled
      // 2. HEAD request
      // 3. no Content-Encoding header
      // 4. no content response (204)
      // 5. content not modified response (304)

      if (!request.compress || request.method === 'HEAD' || codings === null || res.statusCode === 204 || res.statusCode === 304) {
        resolve(new Response(body, responseOptions));
        return;
      } // Be less strict when decoding compressed responses, since sometimes
      // servers send slightly invalid responses that are still accepted
      // by common browsers.
      // Always using Z_SYNC_FLUSH is what cURL does.


      const zlibOptions = {
        flush: zlib.Z_SYNC_FLUSH,
        finishFlush: zlib.Z_SYNC_FLUSH
      }; // for gzip

      if (codings === 'gzip' || codings === 'x-gzip') {
        body = body.pipe(zlib.createGunzip(zlibOptions));
        resolve(new Response(body, responseOptions));
        return;
      } // for deflate


      if (codings === 'deflate' || codings === 'x-deflate') {
        // handle the infamous raw deflate response from old servers
        // a hack for old IIS and Apache servers
        const raw = res.pipe(new PassThrough());
        raw.once('data', chunk => {
          // see http://stackoverflow.com/questions/37519828
          if ((chunk[0] & 0x0F) === 0x08) {
            body = body.pipe(zlib.createInflate(zlibOptions));
          } else {
            body = body.pipe(zlib.createInflateRaw(zlibOptions));
          }

          resolve(new Response(body, responseOptions));
        });
        return;
      } // otherwise, use response as-is


      resolve(new Response(body, responseOptions));
    });
    writeToStream(req, request);
  });
}

;
/**
 * Redirect code matching
 *
 * @param   Number   code  Status code
 * @return  Boolean
 */

fetch.isRedirect = code => code === 301 || code === 302 || code === 303 || code === 307 || code === 308; // expose Promise


fetch.Promise = global.Promise;
exports.Headers = Headers;
exports.Request = Request;
exports.Response = Response;
exports.FetchError = FetchError;

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/request.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";

/**
 * request.js
 *
 * Request class contains server only options
 */

const url = __webpack_require__("url");

const Headers = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/headers.js");

const Body = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/body.js");

const clone = Body.clone;
const extractContentType = Body.extractContentType;
const getTotalBytes = Body.getTotalBytes;
const PARSED_URL = Symbol('url');
/**
 * Request class
 *
 * @param   Mixed   input  Url or Request instance
 * @param   Object  init   Custom options
 * @return  Void
 */

class Request {
  constructor(input, init) {
    if (!init) init = {};
    let parsedURL; // normalize input

    if (!(input instanceof Request)) {
      if (input && input.href) {
        // in order to support Node.js' Url objects; though WHATWG's URL objects
        // will fall into this branch also (since their `toString()` will return
        // `href` property anyway)
        parsedURL = url.parse(input.href);
      } else {
        // coerce input to a string before attempting to parse
        parsedURL = url.parse(`${input}`);
      }

      input = {};
    } else {
      parsedURL = url.parse(input.url);
    }

    let method = init.method || input.method || 'GET';

    if ((init.body != null || input instanceof Request && input.body !== null) && (method === 'GET' || method === 'HEAD')) {
      throw new TypeError('Request with GET/HEAD method cannot have body');
    }

    let inputBody = init.body != null ? init.body : input instanceof Request && input.body !== null ? clone(input) : null;
    Body.call(this, inputBody, {
      timeout: init.timeout || input.timeout || 0,
      size: init.size || input.size || 0
    }); // fetch spec options

    this.method = method.toUpperCase();
    this.redirect = init.redirect || input.redirect || 'follow';
    this.headers = new Headers(init.headers || input.headers || {});

    if (init.body != null) {
      const contentType = extractContentType(this);

      if (contentType !== null && !this.headers.has('Content-Type')) {
        this.headers.append('Content-Type', contentType);
      }
    } // server only options


    this.follow = init.follow !== undefined ? init.follow : input.follow !== undefined ? input.follow : 20;
    this.compress = init.compress !== undefined ? init.compress : input.compress !== undefined ? input.compress : true;
    this.counter = init.counter || input.counter || 0;
    this.agent = init.agent || input.agent;
    this[PARSED_URL] = parsedURL;
    Object.defineProperty(this, Symbol.toStringTag, {
      value: 'Request',
      writable: false,
      enumerable: false,
      configurable: true
    });
  }

  get url() {
    return url.format(this[PARSED_URL]);
  }
  /**
   * Clone this request
   *
   * @return  Request
   */


  clone() {
    return new Request(this);
  }

}

Body.mixIn(Request.prototype);
Object.defineProperty(Request.prototype, Symbol.toStringTag, {
  value: 'RequestPrototype',
  writable: false,
  enumerable: false,
  configurable: true
});
exports = module.exports = Request;

exports.getNodeRequestOptions = function getNodeRequestOptions(request) {
  const parsedURL = request[PARSED_URL];
  const headers = new Headers(request.headers); // fetch step 3

  if (!headers.has('Accept')) {
    headers.set('Accept', '*/*');
  } // Basic fetch


  if (!parsedURL.protocol || !parsedURL.hostname) {
    throw new TypeError('Only absolute URLs are supported');
  }

  if (!/^https?:$/.test(parsedURL.protocol)) {
    throw new TypeError('Only HTTP(S) protocols are supported');
  } // HTTP-network-or-cache fetch steps 5-9


  let contentLengthValue = null;

  if (request.body == null && /^(POST|PUT)$/i.test(request.method)) {
    contentLengthValue = '0';
  }

  if (request.body != null) {
    const totalBytes = getTotalBytes(request);

    if (typeof totalBytes === 'number') {
      contentLengthValue = String(totalBytes);
    }
  }

  if (contentLengthValue) {
    headers.set('Content-Length', contentLengthValue);
  } // HTTP-network-or-cache fetch step 12


  if (!headers.has('User-Agent')) {
    headers.set('User-Agent', 'node-fetch/1.0 (+https://github.com/bitinn/node-fetch)');
  } // HTTP-network-or-cache fetch step 16


  if (request.compress) {
    headers.set('Accept-Encoding', 'gzip,deflate');
  }

  if (!headers.has('Connection') && !request.agent) {
    headers.set('Connection', 'close');
  } // HTTP-network fetch step 4
  // chunked encoding is handled by Node.js


  return Object.assign({}, parsedURL, {
    method: request.method,
    headers: headers.raw(),
    agent: request.agent
  });
};

/***/ }),

/***/ "./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/response.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/**
 * response.js
 *
 * Response class provides content decoding
 */

const STATUS_CODES = __webpack_require__("http").STATUS_CODES;

const Headers = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/headers.js");

const Body = __webpack_require__("./node_modules/.f/_/node-fetch-npm/2.0.4/node-fetch-npm/src/body.js");

const clone = Body.clone;
/**
 * Response class
 *
 * @param   Stream  body  Readable stream
 * @param   Object  opts  Response options
 * @return  Void
 */

class Response {
  constructor(body, opts) {
    if (!opts) opts = {};
    Body.call(this, body, opts);
    this.url = opts.url;
    this.status = opts.status || 200;
    this.statusText = opts.statusText || STATUS_CODES[this.status];
    this.headers = new Headers(opts.headers);
    Object.defineProperty(this, Symbol.toStringTag, {
      value: 'Response',
      writable: false,
      enumerable: false,
      configurable: true
    });
  }
  /**
   * Convenience property representing if the request ended normally
   */


  get ok() {
    return this.status >= 200 && this.status < 300;
  }
  /**
   * Clone this response
   *
   * @return  Response
   */


  clone() {
    return new Response(clone(this), {
      url: this.url,
      status: this.status,
      statusText: this.statusText,
      headers: this.headers,
      ok: this.ok
    });
  }

}

Body.mixIn(Response.prototype);
Object.defineProperty(Response.prototype, Symbol.toStringTag, {
  value: 'ResponsePrototype',
  writable: false,
  enumerable: false,
  configurable: true
});
module.exports = Response;

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/bin/node-gyp.js":
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
//#!/usr/bin/env node


process.title = 'node-gyp';

const envPaths = __webpack_require__("./node_modules/.f/_/env-paths/2.2.1/env-paths/index.js");

const gyp = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/node-gyp.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const os = __webpack_require__("os");
/**
 * Process and execute the selected commands.
 */


const prog = gyp();
var completed = false;
prog.parseArgv(process.argv);
prog.devDir = prog.opts.devdir;
var homeDir = os.homedir();

if (prog.devDir) {
  prog.devDir = prog.devDir.replace(/^~/, homeDir);
} else if (homeDir) {
  prog.devDir = envPaths('node-gyp', {
    suffix: ''
  }).cache;
} else {
  throw new Error("node-gyp requires that the user's home directory is specified " + 'in either of the environmental variables HOME or USERPROFILE. ' + 'Overide with: --devdir /path/to/.node-gyp');
}

if (prog.todo.length === 0) {
  if (~process.argv.indexOf('-v') || ~process.argv.indexOf('--version')) {
    console.log('v%s', prog.version);
  } else {
    console.log('%s', prog.usage());
  }

  process.exit(0);
}

log.info('it worked if it ends with', 'ok');
log.verbose('cli', process.argv);
log.info('using', 'node-gyp@%s', prog.version);
log.info('using', 'node@%s | %s | %s', process.versions.node, process.platform, process.arch);
/**
 * Change dir if -C/--directory was passed.
 */

var dir = prog.opts.directory;

if (dir) {
  var fs = __webpack_require__("fs");

  try {
    var stat = fs.statSync(dir);

    if (stat.isDirectory()) {
      log.info('chdir', dir);
      process.chdir(dir);
    } else {
      log.warn('chdir', dir + ' is not a directory');
    }
  } catch (e) {
    if (e.code === 'ENOENT') {
      log.warn('chdir', dir + ' is not a directory');
    } else {
      log.warn('chdir', 'error during chdir() "%s"', e.message);
    }
  }
}

function run() {
  var command = prog.todo.shift();

  if (!command) {
    // done!
    completed = true;
    log.info('ok');
    return;
  }

  prog.commands[command.name](command.args, function (err) {
    if (err) {
      log.error(command.name + ' error');
      log.error('stack', err.stack);
      errorMessage();
      log.error('not ok');
      return process.exit(1);
    }

    if (command.name === 'list') {
      var versions = arguments[1];

      if (versions.length > 0) {
        versions.forEach(function (version) {
          console.log(version);
        });
      } else {
        console.log('No node development files installed. Use `node-gyp install` to install a version.');
      }
    } else if (arguments.length >= 2) {
      console.log.apply(console, [].slice.call(arguments, 1));
    } // now run the next command in the queue


    process.nextTick(run);
  });
}

process.on('exit', function (code) {
  if (!completed && !code) {
    log.error('Completion callback never invoked!');
    issueMessage();
    process.exit(6);
  }
});
process.on('uncaughtException', function (err) {
  log.error('UNCAUGHT EXCEPTION');
  log.error('stack', err.stack);
  issueMessage();
  process.exit(7);
});

function errorMessage() {
  // copied from npm's lib/utils/error-handler.js
  var os = __webpack_require__("os");

  log.error('System', os.type() + ' ' + os.release());
  log.error('command', process.argv.map(JSON.stringify).join(' '));
  log.error('cwd', process.cwd());
  log.error('node -v', process.version);
  log.error('node-gyp -v', 'v' + prog.package.version);
}

function issueMessage() {
  errorMessage();
  log.error('', ['Node-gyp failed to build your package.', 'Try to update npm and/or node-gyp and if it does not help file an issue with the package author.'].join('\n'));
} // start running the given commands!


run();

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/build.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const path = __webpack_require__("path");

const glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const which = __webpack_require__("./node_modules/.f/_/which/2.0.2/which/which.js");

const win = process.platform === 'win32';

function build(gyp, argv, callback) {
  var platformMake = 'make';

  if (process.platform === 'aix') {
    platformMake = 'gmake';
  } else if (process.platform.indexOf('bsd') !== -1) {
    platformMake = 'gmake';
  } else if (win && argv.length > 0) {
    argv = argv.map(function (target) {
      return '/t:' + target;
    });
  }

  var makeCommand = gyp.opts.make || process.env.MAKE || platformMake;
  var command = win ? 'msbuild' : makeCommand;
  var jobs = gyp.opts.jobs || process.env.JOBS;
  var buildType;
  var config;
  var arch;
  var nodeDir;
  var guessedSolution;
  loadConfigGypi();
  /**
   * Load the "config.gypi" file that was generated during "configure".
   */

  function loadConfigGypi() {
    var configPath = path.resolve('build', 'config.gypi');
    fs.readFile(configPath, 'utf8', function (err, data) {
      if (err) {
        if (err.code === 'ENOENT') {
          callback(new Error('You must run `node-gyp configure` first!'));
        } else {
          callback(err);
        }

        return;
      }

      config = JSON.parse(data.replace(/#.+\n/, '')); // get the 'arch', 'buildType', and 'nodeDir' vars from the config

      buildType = config.target_defaults.default_configuration;
      arch = config.variables.target_arch;
      nodeDir = config.variables.nodedir;

      if ('debug' in gyp.opts) {
        buildType = gyp.opts.debug ? 'Debug' : 'Release';
      }

      if (!buildType) {
        buildType = 'Release';
      }

      log.verbose('build type', buildType);
      log.verbose('architecture', arch);
      log.verbose('node dev dir', nodeDir);

      if (win) {
        findSolutionFile();
      } else {
        doWhich();
      }
    });
  }
  /**
   * On Windows, find the first build/*.sln file.
   */


  function findSolutionFile() {
    glob('build/*.sln', function (err, files) {
      if (err) {
        return callback(err);
      }

      if (files.length === 0) {
        return callback(new Error('Could not find *.sln file. Did you run "configure"?'));
      }

      guessedSolution = files[0];
      log.verbose('found first Solution file', guessedSolution);
      doWhich();
    });
  }
  /**
   * Uses node-which to locate the msbuild / make executable.
   */


  function doWhich() {
    // On Windows use msbuild provided by node-gyp configure
    if (win) {
      if (!config.variables.msbuild_path) {
        return callback(new Error('MSBuild is not set, please run `node-gyp configure`.'));
      }

      command = config.variables.msbuild_path;
      log.verbose('using MSBuild:', command);
      doBuild();
      return;
    } // First make sure we have the build command in the PATH


    which(command, function (err, execPath) {
      if (err) {
        // Some other error or 'make' not found on Unix, report that to the user
        callback(err);
        return;
      }

      log.verbose('`which` succeeded for `' + command + '`', execPath);
      doBuild();
    });
  }
  /**
   * Actually spawn the process and compile the module.
   */


  function doBuild() {
    // Enable Verbose build
    var verbose = log.levels[log.level] <= log.levels.verbose;
    var j;

    if (!win && verbose) {
      argv.push('V=1');
    }

    if (win && !verbose) {
      argv.push('/clp:Verbosity=minimal');
    }

    if (win) {
      // Turn off the Microsoft logo on Windows
      argv.push('/nologo');
    } // Specify the build type, Release by default


    if (win) {
      // Convert .gypi config target_arch to MSBuild /Platform
      // Since there are many ways to state '32-bit Intel', default to it.
      // N.B. msbuild's Condition string equality tests are case-insensitive.
      var archLower = arch.toLowerCase();
      var p = archLower === 'x64' ? 'x64' : archLower === 'arm' ? 'ARM' : archLower === 'arm64' ? 'ARM64' : 'Win32';
      argv.push('/p:Configuration=' + buildType + ';Platform=' + p);

      if (jobs) {
        j = parseInt(jobs, 10);

        if (!isNaN(j) && j > 0) {
          argv.push('/m:' + j);
        } else if (jobs.toUpperCase() === 'MAX') {
          argv.push('/m:' + __webpack_require__("os").cpus().length);
        }
      }
    } else {
      argv.push('BUILDTYPE=' + buildType); // Invoke the Makefile in the 'build' dir.

      argv.push('-C');
      argv.push('build');

      if (jobs) {
        j = parseInt(jobs, 10);

        if (!isNaN(j) && j > 0) {
          argv.push('--jobs');
          argv.push(j);
        } else if (jobs.toUpperCase() === 'MAX') {
          argv.push('--jobs');
          argv.push(__webpack_require__("os").cpus().length);
        }
      }
    }

    if (win) {
      // did the user specify their own .sln file?
      var hasSln = argv.some(function (arg) {
        return path.extname(arg) === '.sln';
      });

      if (!hasSln) {
        argv.unshift(gyp.opts.solution || guessedSolution);
      }
    }

    var proc = gyp.spawn(command, argv);
    proc.on('exit', onExit);
  }

  function onExit(code, signal) {
    if (code !== 0) {
      return callback(new Error('`' + command + '` failed with exit code: ' + code));
    }

    if (signal) {
      return callback(new Error('`' + command + '` got signal: ' + signal));
    }

    callback();
  }
}

module.exports = build;
module.exports.usage = 'Invokes `' + (win ? 'msbuild' : 'make') + '` and builds the module';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/clean.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const rm = __webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

function clean(gyp, argv, callback) {
  // Remove the 'build' dir
  var buildDir = 'build';
  log.verbose('clean', 'removing "%s" directory', buildDir);
  rm(buildDir, callback);
}

module.exports = clean;
module.exports.usage = 'Removes any generated build files and the "out" dir';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/configure.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const path = __webpack_require__("path");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const os = __webpack_require__("os");

const processRelease = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/process-release.js");

const win = process.platform === 'win32';

const findNodeDirectory = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-node-directory.js");

const createConfigGypi = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/create-config-gypi.js");

const msgFormat = __webpack_require__("util").format;

var findPython = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-python.js");

if (win) {
  var findVisualStudio = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-visualstudio.js");
}

function configure(gyp, argv, callback) {
  var python;
  var buildDir = path.resolve('build');
  var configNames = ['config.gypi', 'common.gypi'];
  var configs = [];
  var nodeDir;
  var release = processRelease(argv, gyp, process.version, process.release);
  findPython(gyp.opts.python, function (err, found) {
    if (err) {
      callback(err);
    } else {
      python = found;
      getNodeDir();
    }
  });

  function getNodeDir() {
    // 'python' should be set by now
    process.env.PYTHON = python;

    if (gyp.opts.nodedir) {
      // --nodedir was specified. use that for the dev files
      nodeDir = gyp.opts.nodedir.replace(/^~/, os.homedir());
      log.verbose('get node dir', 'compiling against specified --nodedir dev files: %s', nodeDir);
      createBuildDir();
    } else {
      // if no --nodedir specified, ensure node dependencies are installed
      if ('v' + release.version !== process.version) {
        // if --target was given, then determine a target version to compile for
        log.verbose('get node dir', 'compiling against --target node version: %s', release.version);
      } else {
        // if no --target was specified then use the current host node version
        log.verbose('get node dir', 'no --target version specified, falling back to host node version: %s', release.version);
      }

      if (!release.semver) {
        // could not parse the version string with semver
        return callback(new Error('Invalid version number: ' + release.version));
      } // If the tarball option is set, always remove and reinstall the headers
      // into devdir. Otherwise only install if they're not already there.


      gyp.opts.ensure = !gyp.opts.tarball;
      gyp.commands.install([release.version], function (err) {
        if (err) {
          return callback(err);
        }

        log.verbose('get node dir', 'target node version installed:', release.versionDir);
        nodeDir = path.resolve(gyp.devDir, release.versionDir);
        createBuildDir();
      });
    }
  }

  function createBuildDir() {
    log.verbose('build dir', 'attempting to create "build" dir: %s', buildDir);
    fs.mkdir(buildDir, {
      recursive: true
    }, function (err, isNew) {
      if (err) {
        return callback(err);
      }

      log.verbose('build dir', '"build" dir needed to be created?', isNew ? 'Yes' : 'No');

      if (win) {
        findVisualStudio(release.semver, gyp.opts.msvs_version, createConfigFile);
      } else {
        createConfigFile();
      }
    });
  }

  function createConfigFile(err, vsInfo) {
    if (err) {
      return callback(err);
    }

    if (process.platform === 'win32') {
      process.env.GYP_MSVS_VERSION = Math.min(vsInfo.versionYear, 2015);
      process.env.GYP_MSVS_OVERRIDE_PATH = vsInfo.path;
    }

    createConfigGypi({
      gyp,
      buildDir,
      nodeDir,
      vsInfo
    }).then(configPath => {
      configs.push(configPath);
      findConfigs();
    }).catch(err => {
      callback(err);
    });
  }

  function findConfigs() {
    var name = configNames.shift();

    if (!name) {
      return runGyp();
    }

    var fullPath = path.resolve(name);
    log.verbose(name, 'checking for gypi file: %s', fullPath);
    fs.stat(fullPath, function (err) {
      if (err) {
        if (err.code === 'ENOENT') {
          findConfigs(); // check next gypi filename
        } else {
          callback(err);
        }
      } else {
        log.verbose(name, 'found gypi file');
        configs.push(fullPath);
        findConfigs();
      }
    });
  }

  function runGyp(err) {
    if (err) {
      return callback(err);
    }

    if (!~argv.indexOf('-f') && !~argv.indexOf('--format')) {
      if (win) {
        log.verbose('gyp', 'gyp format was not specified; forcing "msvs"'); // force the 'make' target for non-Windows

        argv.push('-f', 'msvs');
      } else {
        log.verbose('gyp', 'gyp format was not specified; forcing "make"'); // force the 'make' target for non-Windows

        argv.push('-f', 'make');
      }
    } // include all the ".gypi" files that were found


    configs.forEach(function (config) {
      argv.push('-I', config);
    }); // For AIX and z/OS we need to set up the path to the exports file
    // which contains the symbols needed for linking.

    var nodeExpFile;

    if (process.platform === 'aix' || process.platform === 'os390') {
      var ext = process.platform === 'aix' ? 'exp' : 'x';
      var nodeRootDir = findNodeDirectory();
      var candidates;

      if (process.platform === 'aix') {
        candidates = ['include/node/node', 'out/Release/node', 'out/Debug/node', 'node'].map(function (file) {
          return file + '.' + ext;
        });
      } else {
        candidates = ['out/Release/obj.target/libnode', 'out/Debug/obj.target/libnode', 'lib/libnode'].map(function (file) {
          return file + '.' + ext;
        });
      }

      var logprefix = 'find exports file';
      nodeExpFile = findAccessibleSync(logprefix, nodeRootDir, candidates);

      if (nodeExpFile !== undefined) {
        log.verbose(logprefix, 'Found exports file: %s', nodeExpFile);
      } else {
        var msg = msgFormat('Could not find node.%s file in %s', ext, nodeRootDir);
        log.error(logprefix, 'Could not find exports file');
        return callback(new Error(msg));
      }
    } // this logic ported from the old `gyp_addon` python file


    var gypScript = path.resolve(__dirname, '..', 'gyp', 'gyp_main.py');
    var addonGypi = path.resolve(__dirname, '..', 'addon.gypi');
    var commonGypi = path.resolve(nodeDir, 'include/node/common.gypi');
    fs.stat(commonGypi, function (err) {
      if (err) {
        commonGypi = path.resolve(nodeDir, 'common.gypi');
      }

      var outputDir = 'build';

      if (win) {
        // Windows expects an absolute path
        outputDir = buildDir;
      }

      var nodeGypDir = path.resolve(__dirname, '..');
      var nodeLibFile = path.join(nodeDir, !gyp.opts.nodedir ? '<(target_arch)' : '$(Configuration)', release.name + '.lib');
      argv.push('-I', addonGypi);
      argv.push('-I', commonGypi);
      argv.push('-Dlibrary=shared_library');
      argv.push('-Dvisibility=default');
      argv.push('-Dnode_root_dir=' + nodeDir);

      if (process.platform === 'aix' || process.platform === 'os390') {
        argv.push('-Dnode_exp_file=' + nodeExpFile);
      }

      argv.push('-Dnode_gyp_dir=' + nodeGypDir); // Do this to keep Cygwin environments happy, else the unescaped '\' gets eaten up,
      // resulting in bad paths, Ex c:parentFolderfolderanotherFolder instead of c:\parentFolder\folder\anotherFolder

      if (win) {
        nodeLibFile = nodeLibFile.replace(/\\/g, '\\\\');
      }

      argv.push('-Dnode_lib_file=' + nodeLibFile);
      argv.push('-Dmodule_root_dir=' + process.cwd());
      argv.push('-Dnode_engine=' + (gyp.opts.node_engine || process.jsEngine || 'v8'));
      argv.push('--depth=.');
      argv.push('--no-parallel'); // tell gyp to write the Makefile/Solution files into output_dir

      argv.push('--generator-output', outputDir); // tell make to write its output into the same dir

      argv.push('-Goutput_dir=.'); // enforce use of the "binding.gyp" file

      argv.unshift('binding.gyp'); // execute `gyp` from the current target nodedir

      argv.unshift(gypScript); // make sure python uses files that came with this particular node package

      var pypath = [path.join(__dirname, '..', 'gyp', 'pylib')];

      if (process.env.PYTHONPATH) {
        pypath.push(process.env.PYTHONPATH);
      }

      process.env.PYTHONPATH = pypath.join(win ? ';' : ':');
      var cp = gyp.spawn(python, argv);
      cp.on('exit', onCpExit);
    });
  }

  function onCpExit(code) {
    if (code !== 0) {
      callback(new Error('`gyp` failed with exit code: ' + code));
    } else {
      // we're done
      callback();
    }
  }
}
/**
 * Returns the first file or directory from an array of candidates that is
 * readable by the current user, or undefined if none of the candidates are
 * readable.
 */


function findAccessibleSync(logprefix, dir, candidates) {
  for (var next = 0; next < candidates.length; next++) {
    var candidate = path.resolve(dir, candidates[next]);

    try {
      var fd = fs.openSync(candidate, 'r');
    } catch (e) {
      // this candidate was not found or not readable, do nothing
      log.silly(logprefix, 'Could not open %s: %s', candidate, e.message);
      continue;
    }

    fs.closeSync(fd);
    log.silly(logprefix, 'Found readable %s', candidate);
    return candidate;
  }

  return undefined;
}

module.exports = configure;
module.exports.test = {
  findAccessibleSync: findAccessibleSync
};
module.exports.usage = 'Generates ' + (win ? 'MSVC project files' : 'a Makefile') + ' for the current module';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/create-config-gypi.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const path = __webpack_require__("path");

function parseConfigGypi(config) {
  // translated from tools/js2c.py of Node.js
  // 1. string comments
  config = config.replace(/#.*/g, ''); // 2. join multiline strings

  config = config.replace(/'$\s+'/mg, ''); // 3. normalize string literals from ' into "

  config = config.replace(/'/g, '"');
  return JSON.parse(config);
}

async function getBaseConfigGypi({
  gyp,
  nodeDir
}) {
  // try reading $nodeDir/include/node/config.gypi first when:
  // 1. --dist-url or --nodedir is specified
  // 2. and --force-process-config is not specified
  const shouldReadConfigGypi = (gyp.opts.nodedir || gyp.opts['dist-url']) && !gyp.opts['force-process-config'];

  if (shouldReadConfigGypi && nodeDir) {
    try {
      const baseConfigGypiPath = path.resolve(nodeDir, 'include/node/config.gypi');
      const baseConfigGypi = await fs.promises.readFile(baseConfigGypiPath);
      return parseConfigGypi(baseConfigGypi.toString());
    } catch (err) {
      log.warn('read config.gypi', err.message);
    }
  } // fallback to process.config if it is invalid


  return JSON.parse(JSON.stringify(process.config));
}

async function getCurrentConfigGypi({
  gyp,
  nodeDir,
  vsInfo
}) {
  const config = await getBaseConfigGypi({
    gyp,
    nodeDir
  });

  if (!config.target_defaults) {
    config.target_defaults = {};
  }

  if (!config.variables) {
    config.variables = {};
  }

  const defaults = config.target_defaults;
  const variables = config.variables; // don't inherit the "defaults" from the base config.gypi.
  // doing so could cause problems in cases where the `node` executable was
  // compiled on a different machine (with different lib/include paths) than
  // the machine where the addon is being built to

  defaults.cflags = [];
  defaults.defines = [];
  defaults.include_dirs = [];
  defaults.libraries = []; // set the default_configuration prop

  if ('debug' in gyp.opts) {
    defaults.default_configuration = gyp.opts.debug ? 'Debug' : 'Release';
  }

  if (!defaults.default_configuration) {
    defaults.default_configuration = 'Release';
  } // set the target_arch variable


  variables.target_arch = gyp.opts.arch || process.arch || 'ia32';

  if (variables.target_arch === 'arm64') {
    defaults.msvs_configuration_platform = 'ARM64';
    defaults.xcode_configuration_platform = 'arm64';
  } // set the node development directory


  variables.nodedir = nodeDir; // disable -T "thin" static archives by default

  variables.standalone_static_library = gyp.opts.thin ? 0 : 1;

  if (process.platform === 'win32') {
    defaults.msbuild_toolset = vsInfo.toolset;

    if (vsInfo.sdk) {
      defaults.msvs_windows_target_platform_version = vsInfo.sdk;
    }

    if (variables.target_arch === 'arm64') {
      if (vsInfo.versionMajor > 15 || vsInfo.versionMajor === 15 && vsInfo.versionMajor >= 9) {
        defaults.msvs_enable_marmasm = 1;
      } else {
        log.warn('Compiling ARM64 assembly is only available in\n' + 'Visual Studio 2017 version 15.9 and above');
      }
    }

    variables.msbuild_path = vsInfo.msBuild;
  } // loop through the rest of the opts and add the unknown ones as variables.
  // this allows for module-specific configure flags like:
  //
  //   $ node-gyp configure --shared-libxml2


  Object.keys(gyp.opts).forEach(function (opt) {
    if (opt === 'argv') {
      return;
    }

    if (opt in gyp.configDefs) {
      return;
    }

    variables[opt.replace(/-/g, '_')] = gyp.opts[opt];
  });
  return config;
}

async function createConfigGypi({
  gyp,
  buildDir,
  nodeDir,
  vsInfo
}) {
  const configFilename = 'config.gypi';
  const configPath = path.resolve(buildDir, configFilename);
  log.verbose('build/' + configFilename, 'creating config file');
  const config = await getCurrentConfigGypi({
    gyp,
    nodeDir,
    vsInfo
  }); // ensures that any boolean values in config.gypi get stringified

  function boolsToString(k, v) {
    if (typeof v === 'boolean') {
      return String(v);
    }

    return v;
  }

  log.silly('build/' + configFilename, config); // now write out the config.gypi file to the build/ dir

  const prefix = '# Do not edit. File was generated by node-gyp\'s "configure" step';
  const json = JSON.stringify(config, boolsToString, 2);
  log.verbose('build/' + configFilename, 'writing out config file: %s', configPath);
  await fs.promises.writeFile(configPath, [prefix, json, ''].join('\n'));
  return configPath;
}

module.exports = createConfigGypi;
module.exports.test = {
  parseConfigGypi: parseConfigGypi,
  getCurrentConfigGypi: getCurrentConfigGypi
};

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-node-directory.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

function findNodeDirectory(scriptLocation, processObj) {
  // set dirname and process if not passed in
  // this facilitates regression tests
  if (scriptLocation === undefined) {
    scriptLocation = __dirname;
  }

  if (processObj === undefined) {
    processObj = process;
  } // Have a look to see what is above us, to try and work out where we are


  var npmParentDirectory = path.join(scriptLocation, '../../../..');
  log.verbose('node-gyp root', 'npm_parent_directory is ' + path.basename(npmParentDirectory));
  var nodeRootDir = '';
  log.verbose('node-gyp root', 'Finding node root directory');

  if (path.basename(npmParentDirectory) === 'deps') {
    // We are in a build directory where this script lives in
    // deps/npm/node_modules/node-gyp/lib
    nodeRootDir = path.join(npmParentDirectory, '..');
    log.verbose('node-gyp root', 'in build directory, root = ' + nodeRootDir);
  } else if (path.basename(npmParentDirectory) === 'node_modules') {
    // We are in a node install directory where this script lives in
    // lib/node_modules/npm/node_modules/node-gyp/lib or
    // node_modules/npm/node_modules/node-gyp/lib depending on the
    // platform
    if (processObj.platform === 'win32') {
      nodeRootDir = path.join(npmParentDirectory, '..');
    } else {
      nodeRootDir = path.join(npmParentDirectory, '../..');
    }

    log.verbose('node-gyp root', 'in install directory, root = ' + nodeRootDir);
  } else {
    // We don't know where we are, try working it out from the location
    // of the node binary
    var nodeDir = path.dirname(processObj.execPath);
    var directoryUp = path.basename(nodeDir);

    if (directoryUp === 'bin') {
      nodeRootDir = path.join(nodeDir, '..');
    } else if (directoryUp === 'Release' || directoryUp === 'Debug') {
      // If we are a recently built node, and the directory structure
      // is that of a repository. If we are on Windows then we only need
      // to go one level up, everything else, two
      if (processObj.platform === 'win32') {
        nodeRootDir = path.join(nodeDir, '..');
      } else {
        nodeRootDir = path.join(nodeDir, '../..');
      }
    } // Else return the default blank, "".

  }

  return nodeRootDir;
}

module.exports = findNodeDirectory;

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-python.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const cp = __webpack_require__("child_process");

const extend = __webpack_require__("util")._extend; // eslint-disable-line


const win = process.platform === 'win32';

const logWithPrefix = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js").logWithPrefix;

const systemDrive = process.env.SystemDrive || 'C:';
const username = process.env.USERNAME || process.env.USER || getOsUserInfo();
const localAppData = process.env.LOCALAPPDATA || `${systemDrive}\\${username}\\AppData\\Local`;
const foundLocalAppData = process.env.LOCALAPPDATA || username;
const programFiles = process.env.ProgramW6432 || process.env.ProgramFiles || `${systemDrive}\\Program Files`;
const programFilesX86 = process.env['ProgramFiles(x86)'] || `${programFiles} (x86)`;
const winDefaultLocationsArray = [];

for (const majorMinor of ['39', '38', '37', '36']) {
  if (foundLocalAppData) {
    winDefaultLocationsArray.push(`${localAppData}\\Programs\\Python\\Python${majorMinor}\\python.exe`, `${programFiles}\\Python${majorMinor}\\python.exe`, `${localAppData}\\Programs\\Python\\Python${majorMinor}-32\\python.exe`, `${programFiles}\\Python${majorMinor}-32\\python.exe`, `${programFilesX86}\\Python${majorMinor}-32\\python.exe`);
  } else {
    winDefaultLocationsArray.push(`${programFiles}\\Python${majorMinor}\\python.exe`, `${programFiles}\\Python${majorMinor}-32\\python.exe`, `${programFilesX86}\\Python${majorMinor}-32\\python.exe`);
  }
}

function getOsUserInfo() {
  try {
    return __webpack_require__("os").userInfo().username;
  } catch (e) {}
}

function PythonFinder(configPython, callback) {
  this.callback = callback;
  this.configPython = configPython;
  this.errorLog = [];
}

PythonFinder.prototype = {
  log: logWithPrefix(log, 'find Python'),
  argsExecutable: ['-c', 'import sys; print(sys.executable);'],
  argsVersion: ['-c', 'import sys; print("%s.%s.%s" % sys.version_info[:3]);'],
  semverRange: '>=3.6.0',
  // These can be overridden for testing:
  execFile: cp.execFile,
  env: process.env,
  win: win,
  pyLauncher: 'py.exe',
  winDefaultLocations: winDefaultLocationsArray,
  // Logs a message at verbose level, but also saves it to be displayed later
  // at error level if an error occurs. This should help diagnose the problem.
  addLog: function addLog(message) {
    this.log.verbose(message);
    this.errorLog.push(message);
  },
  // Find Python by trying a sequence of possibilities.
  // Ignore errors, keep trying until Python is found.
  findPython: function findPython() {
    const SKIP = 0;
    const FAIL = 1;
    var toCheck = getChecks.apply(this);

    function getChecks() {
      if (this.env.NODE_GYP_FORCE_PYTHON) {
        return [{
          before: () => {
            this.addLog('checking Python explicitly set from NODE_GYP_FORCE_PYTHON');
            this.addLog('- process.env.NODE_GYP_FORCE_PYTHON is ' + `"${this.env.NODE_GYP_FORCE_PYTHON}"`);
          },
          check: this.checkCommand,
          arg: this.env.NODE_GYP_FORCE_PYTHON
        }];
      }

      var checks = [{
        before: () => {
          if (!this.configPython) {
            this.addLog('Python is not set from command line or npm configuration');
            return SKIP;
          }

          this.addLog('checking Python explicitly set from command line or ' + 'npm configuration');
          this.addLog('- "--python=" or "npm config get python" is ' + `"${this.configPython}"`);
        },
        check: this.checkCommand,
        arg: this.configPython
      }, {
        before: () => {
          if (!this.env.PYTHON) {
            this.addLog('Python is not set from environment variable ' + 'PYTHON');
            return SKIP;
          }

          this.addLog('checking Python explicitly set from environment ' + 'variable PYTHON');
          this.addLog(`- process.env.PYTHON is "${this.env.PYTHON}"`);
        },
        check: this.checkCommand,
        arg: this.env.PYTHON
      }, {
        before: () => {
          this.addLog('checking if "python3" can be used');
        },
        check: this.checkCommand,
        arg: 'python3'
      }, {
        before: () => {
          this.addLog('checking if "python" can be used');
        },
        check: this.checkCommand,
        arg: 'python'
      }];

      if (this.win) {
        for (var i = 0; i < this.winDefaultLocations.length; ++i) {
          const location = this.winDefaultLocations[i];
          checks.push({
            before: () => {
              this.addLog('checking if Python is ' + `${location}`);
            },
            check: this.checkExecPath,
            arg: location
          });
        }

        checks.push({
          before: () => {
            this.addLog('checking if the py launcher can be used to find Python 3');
          },
          check: this.checkPyLauncher
        });
      }

      return checks;
    }

    function runChecks(err) {
      this.log.silly('runChecks: err = %j', err && err.stack || err);
      const check = toCheck.shift();

      if (!check) {
        return this.fail();
      }

      const before = check.before.apply(this);

      if (before === SKIP) {
        return runChecks.apply(this);
      }

      if (before === FAIL) {
        return this.fail();
      }

      const args = [runChecks.bind(this)];

      if (check.arg) {
        args.unshift(check.arg);
      }

      check.check.apply(this, args);
    }

    runChecks.apply(this);
  },
  // Check if command is a valid Python to use.
  // Will exit the Python finder on success.
  // If on Windows, run in a CMD shell to support BAT/CMD launchers.
  checkCommand: function checkCommand(command, errorCallback) {
    var exec = command;
    var args = this.argsExecutable;
    var shell = false;

    if (this.win) {
      // Arguments have to be manually quoted
      exec = `"${exec}"`;
      args = args.map(a => `"${a}"`);
      shell = true;
    }

    this.log.verbose(`- executing "${command}" to get executable path`);
    this.run(exec, args, shell, function (err, execPath) {
      // Possible outcomes:
      // - Error: not in PATH, not executable or execution fails
      // - Gibberish: the next command to check version will fail
      // - Absolute path to executable
      if (err) {
        this.addLog(`- "${command}" is not in PATH or produced an error`);
        return errorCallback(err);
      }

      this.addLog(`- executable path is "${execPath}"`);
      this.checkExecPath(execPath, errorCallback);
    }.bind(this));
  },
  // Check if the py launcher can find a valid Python to use.
  // Will exit the Python finder on success.
  // Distributions of Python on Windows by default install with the "py.exe"
  // Python launcher which is more likely to exist than the Python executable
  // being in the $PATH.
  // Because the Python launcher supports Python 2 and Python 3, we should
  // explicitly request a Python 3 version. This is done by supplying "-3" as
  // the first command line argument. Since "py.exe -3" would be an invalid
  // executable for "execFile", we have to use the launcher to figure out
  // where the actual "python.exe" executable is located.
  checkPyLauncher: function checkPyLauncher(errorCallback) {
    this.log.verbose(`- executing "${this.pyLauncher}" to get Python 3 executable path`);
    this.run(this.pyLauncher, ['-3', ...this.argsExecutable], false, function (err, execPath) {
      // Possible outcomes: same as checkCommand
      if (err) {
        this.addLog(`- "${this.pyLauncher}" is not in PATH or produced an error`);
        return errorCallback(err);
      }

      this.addLog(`- executable path is "${execPath}"`);
      this.checkExecPath(execPath, errorCallback);
    }.bind(this));
  },
  // Check if a Python executable is the correct version to use.
  // Will exit the Python finder on success.
  checkExecPath: function checkExecPath(execPath, errorCallback) {
    this.log.verbose(`- executing "${execPath}" to get version`);
    this.run(execPath, this.argsVersion, false, function (err, version) {
      // Possible outcomes:
      // - Error: executable can not be run (likely meaning the command wasn't
      //   a Python executable and the previous command produced gibberish)
      // - Gibberish: somehow the last command produced an executable path,
      //   this will fail when verifying the version
      // - Version of the Python executable
      if (err) {
        this.addLog(`- "${execPath}" could not be run`);
        return errorCallback(err);
      }

      this.addLog(`- version is "${version}"`);
      const range = new semver.Range(this.semverRange);
      var valid = false;

      try {
        valid = range.test(version);
      } catch (err) {
        this.log.silly('range.test() threw:\n%s', err.stack);
        this.addLog(`- "${execPath}" does not have a valid version`);
        this.addLog('- is it a Python executable?');
        return errorCallback(err);
      }

      if (!valid) {
        this.addLog(`- version is ${version} - should be ${this.semverRange}`);
        this.addLog('- THIS VERSION OF PYTHON IS NOT SUPPORTED');
        return errorCallback(new Error(`Found unsupported Python version ${version}`));
      }

      this.succeed(execPath, version);
    }.bind(this));
  },
  // Run an executable or shell command, trimming the output.
  run: function run(exec, args, shell, callback) {
    var env = extend({}, this.env);
    env.TERM = 'dumb';
    const opts = {
      env: env,
      shell: shell
    };
    this.log.silly('execFile: exec = %j', exec);
    this.log.silly('execFile: args = %j', args);
    this.log.silly('execFile: opts = %j', opts);

    try {
      this.execFile(exec, args, opts, execFileCallback.bind(this));
    } catch (err) {
      this.log.silly('execFile: threw:\n%s', err.stack);
      return callback(err);
    }

    function execFileCallback(err, stdout, stderr) {
      this.log.silly('execFile result: err = %j', err && err.stack || err);
      this.log.silly('execFile result: stdout = %j', stdout);
      this.log.silly('execFile result: stderr = %j', stderr);

      if (err) {
        return callback(err);
      }

      const execPath = stdout.trim();
      callback(null, execPath);
    }
  },
  succeed: function succeed(execPath, version) {
    this.log.info(`using Python version ${version} found at "${execPath}"`);
    process.nextTick(this.callback.bind(null, null, execPath));
  },
  fail: function fail() {
    const errorLog = this.errorLog.join('\n');
    const pathExample = this.win ? 'C:\\Path\\To\\python.exe' : '/path/to/pythonexecutable'; // For Windows 80 col console, use up to the column before the one marked
    // with X (total 79 chars including logger prefix, 58 chars usable here):
    //                                                           X

    const info = ['**********************************************************', 'You need to install the latest version of Python.', 'Node-gyp should be able to find and use Python. If not,', 'you can try one of the following options:', `- Use the switch --python="${pathExample}"`, '  (accepted by both node-gyp and npm)', '- Set the environment variable PYTHON', '- Set the npm configuration variable python:', `  npm config set python "${pathExample}"`, 'For more information consult the documentation at:', 'https://github.com/nodejs/node-gyp#installation', '**********************************************************'].join('\n');
    this.log.error(`\n${errorLog}\n\n${info}\n`);
    process.nextTick(this.callback.bind(null, new Error('Could not find any Python installation to use')));
  }
};

function findPython(configPython, callback) {
  var finder = new PythonFinder(configPython, callback);
  finder.findPython();
}

module.exports = findPython;
module.exports.test = {
  PythonFinder: PythonFinder,
  findPython: findPython
};

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-visualstudio.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const execFile = __webpack_require__("child_process").execFile;

const fs = __webpack_require__("fs");

const path = __webpack_require__("path").win32;

const logWithPrefix = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js").logWithPrefix;

const regSearchKeys = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js").regSearchKeys;

function findVisualStudio(nodeSemver, configMsvsVersion, callback) {
  const finder = new VisualStudioFinder(nodeSemver, configMsvsVersion, callback);
  finder.findVisualStudio();
}

function VisualStudioFinder(nodeSemver, configMsvsVersion, callback) {
  this.nodeSemver = nodeSemver;
  this.configMsvsVersion = configMsvsVersion;
  this.callback = callback;
  this.errorLog = [];
  this.validVersions = [];
}

VisualStudioFinder.prototype = {
  log: logWithPrefix(log, 'find VS'),
  regSearchKeys: regSearchKeys,
  // Logs a message at verbose level, but also saves it to be displayed later
  // at error level if an error occurs. This should help diagnose the problem.
  addLog: function addLog(message) {
    this.log.verbose(message);
    this.errorLog.push(message);
  },
  findVisualStudio: function findVisualStudio() {
    this.configVersionYear = null;
    this.configPath = null;

    if (this.configMsvsVersion) {
      this.addLog('msvs_version was set from command line or npm config');

      if (this.configMsvsVersion.match(/^\d{4}$/)) {
        this.configVersionYear = parseInt(this.configMsvsVersion, 10);
        this.addLog(`- looking for Visual Studio version ${this.configVersionYear}`);
      } else {
        this.configPath = path.resolve(this.configMsvsVersion);
        this.addLog(`- looking for Visual Studio installed in "${this.configPath}"`);
      }
    } else {
      this.addLog('msvs_version not set from command line or npm config');
    }

    if (process.env.VCINSTALLDIR) {
      this.envVcInstallDir = path.resolve(process.env.VCINSTALLDIR, '..');
      this.addLog('running in VS Command Prompt, installation path is:\n' + `"${this.envVcInstallDir}"\n- will only use this version`);
    } else {
      this.addLog('VCINSTALLDIR not set, not running in VS Command Prompt');
    }

    this.findVisualStudio2017OrNewer(info => {
      if (info) {
        return this.succeed(info);
      }

      this.findVisualStudio2015(info => {
        if (info) {
          return this.succeed(info);
        }

        this.findVisualStudio2013(info => {
          if (info) {
            return this.succeed(info);
          }

          this.fail();
        });
      });
    });
  },
  succeed: function succeed(info) {
    this.log.info(`using VS${info.versionYear} (${info.version}) found at:` + `\n"${info.path}"` + '\nrun with --verbose for detailed information');
    process.nextTick(this.callback.bind(null, null, info));
  },
  fail: function fail() {
    if (this.configMsvsVersion && this.envVcInstallDir) {
      this.errorLog.push('msvs_version does not match this VS Command Prompt or the', 'installation cannot be used.');
    } else if (this.configMsvsVersion) {
      // If msvs_version was specified but finding VS failed, print what would
      // have been accepted
      this.errorLog.push('');

      if (this.validVersions) {
        this.errorLog.push('valid versions for msvs_version:');
        this.validVersions.forEach(version => {
          this.errorLog.push(`- "${version}"`);
        });
      } else {
        this.errorLog.push('no valid versions for msvs_version were found');
      }
    }

    const errorLog = this.errorLog.join('\n'); // For Windows 80 col console, use up to the column before the one marked
    // with X (total 79 chars including logger prefix, 62 chars usable here):
    //                                                               X

    const infoLog = ['**************************************************************', 'You need to install the latest version of Visual Studio', 'including the "Desktop development with C++" workload.', 'For more information consult the documentation at:', 'https://github.com/nodejs/node-gyp#on-windows', '**************************************************************'].join('\n');
    this.log.error(`\n${errorLog}\n\n${infoLog}\n`);
    process.nextTick(this.callback.bind(null, new Error('Could not find any Visual Studio installation to use')));
  },
  // Invoke the PowerShell script to get information about Visual Studio 2017
  // or newer installations
  findVisualStudio2017OrNewer: function findVisualStudio2017OrNewer(cb) {
    var ps = path.join(process.env.SystemRoot, 'System32', 'WindowsPowerShell', 'v1.0', 'powershell.exe');
    var csFile = path.join(__dirname, 'Find-VisualStudio.cs');
    var psArgs = ['-ExecutionPolicy', 'Unrestricted', '-NoProfile', '-Command', '&{Add-Type -Path \'' + csFile + '\';' + '[VisualStudioConfiguration.Main]::PrintJson()}'];
    this.log.silly('Running', ps, psArgs);
    var child = execFile(ps, psArgs, {
      encoding: 'utf8'
    }, (err, stdout, stderr) => {
      this.parseData(err, stdout, stderr, cb);
    });
    child.stdin.end();
  },
  // Parse the output of the PowerShell script and look for an installation
  // of Visual Studio 2017 or newer to use
  parseData: function parseData(err, stdout, stderr, cb) {
    this.log.silly('PS stderr = %j', stderr);

    const failPowershell = () => {
      this.addLog('could not use PowerShell to find Visual Studio 2017 or newer, try re-running with \'--loglevel silly\' for more details');
      cb(null);
    };

    if (err) {
      this.log.silly('PS err = %j', err && (err.stack || err));
      return failPowershell();
    }

    var vsInfo;

    try {
      vsInfo = JSON.parse(stdout);
    } catch (e) {
      this.log.silly('PS stdout = %j', stdout);
      this.log.silly(e);
      return failPowershell();
    }

    if (!Array.isArray(vsInfo)) {
      this.log.silly('PS stdout = %j', stdout);
      return failPowershell();
    }

    vsInfo = vsInfo.map(info => {
      this.log.silly(`processing installation: "${info.path}"`);
      info.path = path.resolve(info.path);
      var ret = this.getVersionInfo(info);
      ret.path = info.path;
      ret.msBuild = this.getMSBuild(info, ret.versionYear);
      ret.toolset = this.getToolset(info, ret.versionYear);
      ret.sdk = this.getSDK(info);
      return ret;
    });
    this.log.silly('vsInfo:', vsInfo); // Remove future versions or errors parsing version number

    vsInfo = vsInfo.filter(info => {
      if (info.versionYear) {
        return true;
      }

      this.addLog(`unknown version "${info.version}" found at "${info.path}"`);
      return false;
    }); // Sort to place newer versions first

    vsInfo.sort((a, b) => b.versionYear - a.versionYear);

    for (var i = 0; i < vsInfo.length; ++i) {
      const info = vsInfo[i];
      this.addLog(`checking VS${info.versionYear} (${info.version}) found ` + `at:\n"${info.path}"`);

      if (info.msBuild) {
        this.addLog('- found "Visual Studio C++ core features"');
      } else {
        this.addLog('- "Visual Studio C++ core features" missing');
        continue;
      }

      if (info.toolset) {
        this.addLog(`- found VC++ toolset: ${info.toolset}`);
      } else {
        this.addLog('- missing any VC++ toolset');
        continue;
      }

      if (info.sdk) {
        this.addLog(`- found Windows SDK: ${info.sdk}`);
      } else {
        this.addLog('- missing any Windows SDK');
        continue;
      }

      if (!this.checkConfigVersion(info.versionYear, info.path)) {
        continue;
      }

      return cb(info);
    }

    this.addLog('could not find a version of Visual Studio 2017 or newer to use');
    cb(null);
  },
  // Helper - process version information
  getVersionInfo: function getVersionInfo(info) {
    const match = /^(\d+)\.(\d+)\..*/.exec(info.version);

    if (!match) {
      this.log.silly('- failed to parse version:', info.version);
      return {};
    }

    this.log.silly('- version match = %j', match);
    var ret = {
      version: info.version,
      versionMajor: parseInt(match[1], 10),
      versionMinor: parseInt(match[2], 10)
    };

    if (ret.versionMajor === 15) {
      ret.versionYear = 2017;
      return ret;
    }

    if (ret.versionMajor === 16) {
      ret.versionYear = 2019;
      return ret;
    }

    if (ret.versionMajor === 17) {
      ret.versionYear = 2022;
      return ret;
    }

    this.log.silly('- unsupported version:', ret.versionMajor);
    return {};
  },
  // Helper - process MSBuild information
  getMSBuild: function getMSBuild(info, versionYear) {
    const pkg = 'Microsoft.VisualStudio.VC.MSBuild.Base';
    const msbuildPath = path.join(info.path, 'MSBuild', 'Current', 'Bin', 'MSBuild.exe');

    if (info.packages.indexOf(pkg) !== -1) {
      this.log.silly('- found VC.MSBuild.Base');

      if (versionYear === 2017) {
        return path.join(info.path, 'MSBuild', '15.0', 'Bin', 'MSBuild.exe');
      }

      if (versionYear === 2019) {
        return msbuildPath;
      }
    } // visual studio 2022 don't has msbuild pkg


    if (fs.existsSync(msbuildPath)) {
      return msbuildPath;
    }

    return null;
  },
  // Helper - process toolset information
  getToolset: function getToolset(info, versionYear) {
    const pkg = 'Microsoft.VisualStudio.Component.VC.Tools.x86.x64';
    const express = 'Microsoft.VisualStudio.WDExpress';

    if (info.packages.indexOf(pkg) !== -1) {
      this.log.silly('- found VC.Tools.x86.x64');
    } else if (info.packages.indexOf(express) !== -1) {
      this.log.silly('- found Visual Studio Express (looking for toolset)');
    } else {
      return null;
    }

    if (versionYear === 2017) {
      return 'v141';
    } else if (versionYear === 2019) {
      return 'v142';
    } else if (versionYear === 2022) {
      return 'v143';
    }

    this.log.silly('- invalid versionYear:', versionYear);
    return null;
  },
  // Helper - process Windows SDK information
  getSDK: function getSDK(info) {
    const win8SDK = 'Microsoft.VisualStudio.Component.Windows81SDK';
    const win10SDKPrefix = 'Microsoft.VisualStudio.Component.Windows10SDK.';
    var Win10SDKVer = 0;
    info.packages.forEach(pkg => {
      if (!pkg.startsWith(win10SDKPrefix)) {
        return;
      }

      const parts = pkg.split('.');

      if (parts.length > 5 && parts[5] !== 'Desktop') {
        this.log.silly('- ignoring non-Desktop Win10SDK:', pkg);
        return;
      }

      const foundSdkVer = parseInt(parts[4], 10);

      if (isNaN(foundSdkVer)) {
        // Microsoft.VisualStudio.Component.Windows10SDK.IpOverUsb
        this.log.silly('- failed to parse Win10SDK number:', pkg);
        return;
      }

      this.log.silly('- found Win10SDK:', foundSdkVer);
      Win10SDKVer = Math.max(Win10SDKVer, foundSdkVer);
    });

    if (Win10SDKVer !== 0) {
      return `10.0.${Win10SDKVer}.0`;
    } else if (info.packages.indexOf(win8SDK) !== -1) {
      this.log.silly('- found Win8SDK');
      return '8.1';
    }

    return null;
  },
  // Find an installation of Visual Studio 2015 to use
  findVisualStudio2015: function findVisualStudio2015(cb) {
    return this.findOldVS({
      version: '14.0',
      versionMajor: 14,
      versionMinor: 0,
      versionYear: 2015,
      toolset: 'v140'
    }, cb);
  },
  // Find an installation of Visual Studio 2013 to use
  findVisualStudio2013: function findVisualStudio2013(cb) {
    if (this.nodeSemver.major >= 9) {
      this.addLog('not looking for VS2013 as it is only supported up to Node.js 8');
      return cb(null);
    }

    return this.findOldVS({
      version: '12.0',
      versionMajor: 12,
      versionMinor: 0,
      versionYear: 2013,
      toolset: 'v120'
    }, cb);
  },
  // Helper - common code for VS2013 and VS2015
  findOldVS: function findOldVS(info, cb) {
    const regVC7 = ['HKLM\\Software\\Microsoft\\VisualStudio\\SxS\\VC7', 'HKLM\\Software\\Wow6432Node\\Microsoft\\VisualStudio\\SxS\\VC7'];
    const regMSBuild = 'HKLM\\Software\\Microsoft\\MSBuild\\ToolsVersions';
    this.addLog(`looking for Visual Studio ${info.versionYear}`);
    this.regSearchKeys(regVC7, info.version, [], (err, res) => {
      if (err) {
        this.addLog('- not found');
        return cb(null);
      }

      const vsPath = path.resolve(res, '..');
      this.addLog(`- found in "${vsPath}"`);
      const msBuildRegOpts = process.arch === 'ia32' ? [] : ['/reg:32'];
      this.regSearchKeys([`${regMSBuild}\\${info.version}`], 'MSBuildToolsPath', msBuildRegOpts, (err, res) => {
        if (err) {
          this.addLog('- could not find MSBuild in registry for this version');
          return cb(null);
        }

        const msBuild = path.join(res, 'MSBuild.exe');
        this.addLog(`- MSBuild in "${msBuild}"`);

        if (!this.checkConfigVersion(info.versionYear, vsPath)) {
          return cb(null);
        }

        info.path = vsPath;
        info.msBuild = msBuild;
        info.sdk = null;
        cb(info);
      });
    });
  },
  // After finding a usable version of Visual Studio:
  // - add it to validVersions to be displayed at the end if a specific
  //   version was requested and not found;
  // - check if this is the version that was requested.
  // - check if this matches the Visual Studio Command Prompt
  checkConfigVersion: function checkConfigVersion(versionYear, vsPath) {
    this.validVersions.push(versionYear);
    this.validVersions.push(vsPath);

    if (this.configVersionYear && this.configVersionYear !== versionYear) {
      this.addLog('- msvs_version does not match this version');
      return false;
    }

    if (this.configPath && path.relative(this.configPath, vsPath) !== '') {
      this.addLog('- msvs_version does not point to this installation');
      return false;
    }

    if (this.envVcInstallDir && path.relative(this.envVcInstallDir, vsPath) !== '') {
      this.addLog('- does not match this Visual Studio Command Prompt');
      return false;
    }

    return true;
  }
};
module.exports = findVisualStudio;
module.exports.test = {
  VisualStudioFinder: VisualStudioFinder,
  findVisualStudio: findVisualStudio
};

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/install.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const os = __webpack_require__("os");

const tar = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/index.js");

const path = __webpack_require__("path");

const util = __webpack_require__("util");

const stream = __webpack_require__("stream");

const crypto = __webpack_require__("crypto");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/lib/index.js");

const processRelease = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/process-release.js");

const win = process.platform === 'win32';
const streamPipeline = util.promisify(stream.pipeline);
/**
 * @param {typeof import('graceful-fs')} fs
 */

async function install(fs, gyp, argv) {
  const release = processRelease(argv, gyp, process.version, process.release); // Determine which node dev files version we are installing

  log.verbose('install', 'input version string %j', release.version);

  if (!release.semver) {
    // could not parse the version string with semver
    throw new Error('Invalid version number: ' + release.version);
  }

  if (semver.lt(release.version, '0.8.0')) {
    throw new Error('Minimum target version is `0.8.0` or greater. Got: ' + release.version);
  } // 0.x.y-pre versions are not published yet and cannot be installed. Bail.


  if (release.semver.prerelease[0] === 'pre') {
    log.verbose('detected "pre" node version', release.version);

    if (!gyp.opts.nodedir) {
      throw new Error('"pre" versions of node cannot be installed, use the --nodedir flag instead');
    }

    log.verbose('--nodedir flag was passed; skipping install', gyp.opts.nodedir);
    return;
  } // flatten version into String


  log.verbose('install', 'installing version: %s', release.versionDir); // the directory where the dev files will be installed

  const devDir = path.resolve(gyp.devDir, release.versionDir); // If '--ensure' was passed, then don't *always* install the version;
  // check if it is already installed, and only install when needed

  if (gyp.opts.ensure) {
    log.verbose('install', '--ensure was passed, so won\'t reinstall if already installed');

    try {
      await fs.promises.stat(devDir);
    } catch (err) {
      if (err.code === 'ENOENT') {
        log.verbose('install', 'version not already installed, continuing with install', release.version);

        try {
          return await go();
        } catch (err) {
          return rollback(err);
        }
      } else if (err.code === 'EACCES') {
        return eaccesFallback(err);
      }

      throw err;
    }

    log.verbose('install', 'version is already installed, need to check "installVersion"');
    const installVersionFile = path.resolve(devDir, 'installVersion');
    let installVersion = 0;

    try {
      const ver = await fs.promises.readFile(installVersionFile, 'ascii');
      installVersion = parseInt(ver, 10) || 0;
    } catch (err) {
      if (err.code !== 'ENOENT') {
        throw err;
      }
    }

    log.verbose('got "installVersion"', installVersion);
    log.verbose('needs "installVersion"', gyp.package.installVersion);

    if (installVersion < gyp.package.installVersion) {
      log.verbose('install', 'version is no good; reinstalling');

      try {
        return await go();
      } catch (err) {
        return rollback(err);
      }
    }

    log.verbose('install', 'version is good');
  } else {
    try {
      return await go();
    } catch (err) {
      return rollback(err);
    }
  }

  async function go() {
    log.verbose('ensuring nodedir is created', devDir); // first create the dir for the node dev files

    try {
      const created = await fs.promises.mkdir(devDir, {
        recursive: true
      });

      if (created) {
        log.verbose('created nodedir', created);
      }
    } catch (err) {
      if (err.code === 'EACCES') {
        return eaccesFallback(err);
      }

      throw err;
    } // now download the node tarball


    const tarPath = gyp.opts.tarball;
    let extractCount = 0;
    const contentShasums = {};
    const expectShasums = {}; // checks if a file to be extracted from the tarball is valid.
    // only .h header files and the gyp files get extracted

    function isValid(path) {
      const isValid = valid(path);

      if (isValid) {
        log.verbose('extracted file from tarball', path);
        extractCount++;
      } else {
        // invalid
        log.silly('ignoring from tarball', path);
      }

      return isValid;
    } // download the tarball and extract!


    if (tarPath) {
      await tar.extract({
        file: tarPath,
        strip: 1,
        filter: isValid,
        cwd: devDir
      });
    } else {
      try {
        const res = await download(gyp, release.tarballUrl);

        if (res.status !== 200) {
          throw new Error(`${res.status} response downloading ${release.tarballUrl}`);
        }

        await streamPipeline(res.body, // content checksum
        new ShaSum((_, checksum) => {
          const filename = path.basename(release.tarballUrl).trim();
          contentShasums[filename] = checksum;
          log.verbose('content checksum', filename, checksum);
        }), tar.extract({
          strip: 1,
          cwd: devDir,
          filter: isValid
        }));
      } catch (err) {
        // something went wrong downloading the tarball?
        if (err.code === 'ENOTFOUND') {
          throw new Error('This is most likely not a problem with node-gyp or the package itself and\n' + 'is related to network connectivity. In most cases you are behind a proxy or have bad \n' + 'network settings.');
        }

        throw err;
      }
    } // invoked after the tarball has finished being extracted


    if (extractCount === 0) {
      throw new Error('There was a fatal problem while downloading/extracting the tarball');
    }

    log.verbose('tarball', 'done parsing tarball');
    const installVersionPath = path.resolve(devDir, 'installVersion');
    await Promise.all([// need to download node.lib
    ...(win ? downloadNodeLib() : []), // write the "installVersion" file
    fs.promises.writeFile(installVersionPath, gyp.package.installVersion + '\n'), // Only download SHASUMS.txt if we downloaded something in need of SHA verification
    ...(!tarPath || win ? [downloadShasums()] : [])]);
    log.verbose('download contents checksum', JSON.stringify(contentShasums)); // check content shasums

    for (const k in contentShasums) {
      log.verbose('validating download checksum for ' + k, '(%s == %s)', contentShasums[k], expectShasums[k]);

      if (contentShasums[k] !== expectShasums[k]) {
        throw new Error(k + ' local checksum ' + contentShasums[k] + ' not match remote ' + expectShasums[k]);
      }
    }

    async function downloadShasums() {
      log.verbose('check download content checksum, need to download `SHASUMS256.txt`...');
      log.verbose('checksum url', release.shasumsUrl);
      const res = await download(gyp, release.shasumsUrl);

      if (res.status !== 200) {
        throw new Error(`${res.status}  status code downloading checksum`);
      }

      for (const line of (await res.text()).trim().split('\n')) {
        const items = line.trim().split(/\s+/);

        if (items.length !== 2) {
          return;
        } // 0035d18e2dcf9aad669b1c7c07319e17abfe3762  ./node-v0.11.4.tar.gz


        const name = items[1].replace(/^\.\//, '');
        expectShasums[name] = items[0];
      }

      log.verbose('checksum data', JSON.stringify(expectShasums));
    }

    function downloadNodeLib() {
      log.verbose('on Windows; need to download `' + release.name + '.lib`...');
      const archs = ['ia32', 'x64', 'arm64'];
      return archs.map(async arch => {
        const dir = path.resolve(devDir, arch);
        const targetLibPath = path.resolve(dir, release.name + '.lib');
        const {
          libUrl,
          libPath
        } = release[arch];
        const name = `${arch} ${release.name}.lib`;
        log.verbose(name, 'dir', dir);
        log.verbose(name, 'url', libUrl);
        await fs.promises.mkdir(dir, {
          recursive: true
        });
        log.verbose('streaming', name, 'to:', targetLibPath);
        const res = await download(gyp, libUrl);

        if (res.status === 403 || res.status === 404) {
          if (arch === 'arm64') {
            // Arm64 is a newer platform on Windows and not all node distributions provide it.
            log.verbose(`${name} was not found in ${libUrl}`);
          } else {
            log.warn(`${name} was not found in ${libUrl}`);
          }

          return;
        } else if (res.status !== 200) {
          throw new Error(`${res.status} status code downloading ${name}`);
        }

        return streamPipeline(res.body, new ShaSum((_, checksum) => {
          contentShasums[libPath] = checksum;
          log.verbose('content checksum', libPath, checksum);
        }), fs.createWriteStream(targetLibPath));
      });
    } // downloadNodeLib()

  } // go()

  /**
   * Checks if a given filename is "valid" for this installation.
   */


  function valid(file) {
    // header files
    const extname = path.extname(file);
    return extname === '.h' || extname === '.gypi';
  }

  async function rollback(err) {
    log.warn('install', 'got an error, rolling back install'); // roll-back the install if anything went wrong

    await util.promisify(gyp.commands.remove)([release.versionDir]);
    throw err;
  }
  /**
   * The EACCES fallback is a workaround for npm's `sudo` behavior, where
   * it drops the permissions before invoking any child processes (like
   * node-gyp). So what happens is the "nobody" user doesn't have
   * permission to create the dev dir. As a fallback, make the tmpdir() be
   * the dev dir for this installation. This is not ideal, but at least
   * the compilation will succeed...
   */


  async function eaccesFallback(err) {
    const noretry = '--node_gyp_internal_noretry';

    if (argv.indexOf(noretry) !== -1) {
      throw err;
    }

    const tmpdir = os.tmpdir();
    gyp.devDir = path.resolve(tmpdir, '.node-gyp');
    let userString = '';

    try {
      // os.userInfo can fail on some systems, it's not critical here
      userString = ` ("${os.userInfo().username}")`;
    } catch (e) {}

    log.warn('EACCES', 'current user%s does not have permission to access the dev dir "%s"', userString, devDir);
    log.warn('EACCES', 'attempting to reinstall using temporary dev dir "%s"', gyp.devDir);

    if (process.cwd() === tmpdir) {
      log.verbose('tmpdir == cwd', 'automatically will remove dev files after to save disk space');
      gyp.todo.push({
        name: 'remove',
        args: argv
      });
    }

    return util.promisify(gyp.commands.install)([noretry].concat(argv));
  }
}

class ShaSum extends stream.Transform {
  constructor(callback) {
    super();
    this._callback = callback;
    this._digester = crypto.createHash('sha256');
  }

  _transform(chunk, _, callback) {
    this._digester.update(chunk);

    callback(null, chunk);
  }

  _flush(callback) {
    this._callback(null, this._digester.digest('hex'));

    callback();
  }

}

async function download(gyp, url) {
  log.http('GET', url);
  const requestOpts = {
    headers: {
      'User-Agent': `node-gyp v${gyp.version} (node ${process.version})`,
      Connection: 'keep-alive'
    },
    proxy: gyp.opts.proxy,
    noProxy: gyp.opts.noproxy
  };
  const cafile = gyp.opts.cafile;

  if (cafile) {
    requestOpts.ca = await readCAFile(cafile);
  }

  const res = await fetch(url, requestOpts);
  log.http(res.status, res.url);
  return res;
}

async function readCAFile(filename) {
  // The CA file can contain multiple certificates so split on certificate
  // boundaries.  [\S\s]*? is used to match everything including newlines.
  const ca = await fs.promises.readFile(filename, 'utf8');
  const re = /(-----BEGIN CERTIFICATE-----[\S\s]*?-----END CERTIFICATE-----)/g;
  return ca.match(re);
}

module.exports = function (gyp, argv, callback) {
  install(fs, gyp, argv).then(callback.bind(undefined, null), callback);
};

module.exports.test = {
  download,
  install,
  readCAFile
};
module.exports.usage = 'Install node development files for the specified node version.';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/list.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

function list(gyp, args, callback) {
  var devDir = gyp.devDir;
  log.verbose('list', 'using node-gyp dir:', devDir);
  fs.readdir(devDir, onreaddir);

  function onreaddir(err, versions) {
    if (err && err.code !== 'ENOENT') {
      return callback(err);
    }

    if (Array.isArray(versions)) {
      versions = versions.filter(function (v) {
        return v !== 'current';
      });
    } else {
      versions = [];
    }

    callback(null, versions);
  }
}

module.exports = list;
module.exports.usage = 'Prints a listing of the currently installed node development files';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/node-gyp.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


const path = __webpack_require__("path");

const nopt = __webpack_require__("./node_modules/.f/_/nopt/5.0.0/nopt/lib/nopt.js");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const childProcess = __webpack_require__("child_process");

const EE = __webpack_require__("events").EventEmitter;

const inherits = __webpack_require__("util").inherits;

const commands = [// Module build commands
'build', 'clean', 'configure', 'rebuild', // Development Header File management commands
'install', 'list', 'remove'];
const aliases = {
  ls: 'list',
  rm: 'remove'
}; // differentiate node-gyp's logs from npm's

log.heading = 'gyp';

function gyp() {
  return new Gyp();
}

function Gyp() {
  var self = this;
  this.devDir = '';
  this.commands = {};
  commands.forEach(function (command) {
    self.commands[command] = function (argv, callback) {
      log.verbose('command', command, argv);
      return __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib sync recursive ^\\.\\/.*$")("./" + command)(self, argv, callback);
    };
  });
}

inherits(Gyp, EE);
exports.Gyp = Gyp;
var proto = Gyp.prototype;
/**
 * Export the contents of the package.json.
 */

proto.package = __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/package.json");
/**
 * nopt configuration definitions
 */

proto.configDefs = {
  help: Boolean,
  // everywhere
  arch: String,
  // 'configure'
  cafile: String,
  // 'install'
  debug: Boolean,
  // 'build'
  directory: String,
  // bin
  make: String,
  // 'build'
  msvs_version: String,
  // 'configure'
  ensure: Boolean,
  // 'install'
  solution: String,
  // 'build' (windows only)
  proxy: String,
  // 'install'
  noproxy: String,
  // 'install'
  devdir: String,
  // everywhere
  nodedir: String,
  // 'configure'
  loglevel: String,
  // everywhere
  python: String,
  // 'configure'
  'dist-url': String,
  // 'install'
  tarball: String,
  // 'install'
  jobs: String,
  // 'build'
  thin: String,
  // 'configure'
  'force-process-config': Boolean // 'configure'

};
/**
 * nopt shorthands
 */

proto.shorthands = {
  release: '--no-debug',
  C: '--directory',
  debug: '--debug',
  j: '--jobs',
  silly: '--loglevel=silly',
  verbose: '--loglevel=verbose',
  silent: '--loglevel=silent'
};
/**
 * expose the command aliases for the bin file to use.
 */

proto.aliases = aliases;
/**
 * Parses the given argv array and sets the 'opts',
 * 'argv' and 'command' properties.
 */

proto.parseArgv = function parseOpts(argv) {
  this.opts = nopt(this.configDefs, this.shorthands, argv);
  this.argv = this.opts.argv.remain.slice();
  var commands = this.todo = []; // create a copy of the argv array with aliases mapped

  argv = this.argv.map(function (arg) {
    // is this an alias?
    if (arg in this.aliases) {
      arg = this.aliases[arg];
    }

    return arg;
  }, this); // process the mapped args into "command" objects ("name" and "args" props)

  argv.slice().forEach(function (arg) {
    if (arg in this.commands) {
      var args = argv.splice(0, argv.indexOf(arg));
      argv.shift();

      if (commands.length > 0) {
        commands[commands.length - 1].args = args;
      }

      commands.push({
        name: arg,
        args: []
      });
    }
  }, this);

  if (commands.length > 0) {
    commands[commands.length - 1].args = argv.splice(0);
  } // support for inheriting config env variables from npm


  var npmConfigPrefix = 'npm_config_';
  Object.keys(process.env).forEach(function (name) {
    if (name.indexOf(npmConfigPrefix) !== 0) {
      return;
    }

    var val = process.env[name];

    if (name === npmConfigPrefix + 'loglevel') {
      log.level = val;
    } else {
      // add the user-defined options to the config
      name = name.substring(npmConfigPrefix.length); // gyp@741b7f1 enters an infinite loop when it encounters
      // zero-length options so ensure those don't get through.

      if (name) {
        this.opts[name] = val;
      }
    }
  }, this);

  if (this.opts.loglevel) {
    log.level = this.opts.loglevel;
  }

  log.resume();
};
/**
 * Spawns a child process and emits a 'spawn' event.
 */


proto.spawn = function spawn(command, args, opts) {
  if (!opts) {
    opts = {};
  }

  if (!opts.silent && !opts.stdio) {
    opts.stdio = [0, 1, 2];
  }

  var cp = childProcess.spawn(command, args, opts);
  log.info('spawn', command);
  log.info('spawn args', args);
  return cp;
};
/**
 * Returns the usage instructions for node-gyp.
 */


proto.usage = function usage() {
  var str = ['', '  Usage: node-gyp <command> [options]', '', '  where <command> is one of:', commands.map(function (c) {
    return '    - ' + c + ' - ' + __webpack_require__("./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib sync recursive ^\\.\\/.*$")("./" + c).usage;
  }).join('\n'), '', 'node-gyp@' + this.version + '  ' + path.resolve(__dirname, '..'), 'node@' + process.versions.node].join('\n');
  return str;
};
/**
 * Version number getter.
 */


Object.defineProperty(proto, 'version', {
  get: function () {
    return this.package.version;
  },
  enumerable: true
});
module.exports = exports = gyp;

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/process-release.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/* eslint-disable node/no-deprecated-api */


const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

const url = __webpack_require__("url");

const path = __webpack_require__("path");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js"); // versions where -headers.tar.gz started shipping


const headersTarballRange = '>= 3.0.0 || ~0.12.10 || ~0.10.42';
const bitsre = /\/win-(x86|x64|arm64)\//;
const bitsreV3 = /\/win-(x86|ia32|x64)\//; // io.js v3.x.x shipped with "ia32" but should
// have been "x86"
// Captures all the logic required to determine download URLs, local directory and
// file names. Inputs come from command-line switches (--target, --dist-url),
// `process.version` and `process.release` where it exists.

function processRelease(argv, gyp, defaultVersion, defaultRelease) {
  var version = semver.valid(argv[0]) && argv[0] || gyp.opts.target || defaultVersion;
  var versionSemver = semver.parse(version);
  var overrideDistUrl = gyp.opts['dist-url'] || gyp.opts.disturl;
  var isDefaultVersion;
  var isNamedForLegacyIojs;
  var name;
  var distBaseUrl;
  var baseUrl;
  var libUrl32;
  var libUrl64;
  var libUrlArm64;
  var tarballUrl;
  var canGetHeaders;

  if (!versionSemver) {
    // not a valid semver string, nothing we can do
    return {
      version: version
    };
  } // flatten version into String


  version = versionSemver.version; // defaultVersion should come from process.version so ought to be valid semver

  isDefaultVersion = version === semver.parse(defaultVersion).version; // can't use process.release if we're using --target=x.y.z

  if (!isDefaultVersion) {
    defaultRelease = null;
  }

  if (defaultRelease) {
    // v3 onward, has process.release
    name = defaultRelease.name.replace(/io\.js/, 'iojs'); // remove the '.' for directory naming purposes
  } else {
    // old node or alternative --target=
    // semver.satisfies() doesn't like prerelease tags so test major directly
    isNamedForLegacyIojs = versionSemver.major >= 1 && versionSemver.major < 4; // isNamedForLegacyIojs is required to support Electron < 4 (in particular Electron 3)
    // as previously this logic was used to ensure "iojs" was used to download iojs releases
    // and "node" for node releases.  Unfortunately the logic was broad enough that electron@3
    // published release assets as "iojs" so that the node-gyp logic worked.  Once Electron@3 has
    // been EOL for a while (late 2019) we should remove this hack.

    name = isNamedForLegacyIojs ? 'iojs' : 'node';
  } // check for the nvm.sh standard mirror env variables


  if (!overrideDistUrl && process.env.NODEJS_ORG_MIRROR) {
    overrideDistUrl = process.env.NODEJS_ORG_MIRROR;
  }

  if (overrideDistUrl) {
    log.verbose('download', 'using dist-url', overrideDistUrl);
  }

  if (overrideDistUrl) {
    distBaseUrl = overrideDistUrl.replace(/\/+$/, '');
  } else {
    distBaseUrl = 'https://nodejs.org/dist';
  }

  distBaseUrl += '/v' + version + '/'; // new style, based on process.release so we have a lot of the data we need

  if (defaultRelease && defaultRelease.headersUrl && !overrideDistUrl) {
    baseUrl = url.resolve(defaultRelease.headersUrl, './');
    libUrl32 = resolveLibUrl(name, defaultRelease.libUrl || baseUrl || distBaseUrl, 'x86', versionSemver.major);
    libUrl64 = resolveLibUrl(name, defaultRelease.libUrl || baseUrl || distBaseUrl, 'x64', versionSemver.major);
    libUrlArm64 = resolveLibUrl(name, defaultRelease.libUrl || baseUrl || distBaseUrl, 'arm64', versionSemver.major);
    tarballUrl = defaultRelease.headersUrl;
  } else {
    // older versions without process.release are captured here and we have to make
    // a lot of assumptions, additionally if you --target=x.y.z then we can't use the
    // current process.release
    baseUrl = distBaseUrl;
    libUrl32 = resolveLibUrl(name, baseUrl, 'x86', versionSemver.major);
    libUrl64 = resolveLibUrl(name, baseUrl, 'x64', versionSemver.major);
    libUrlArm64 = resolveLibUrl(name, baseUrl, 'arm64', versionSemver.major); // making the bold assumption that anything with a version number >3.0.0 will
    // have a *-headers.tar.gz file in its dist location, even some frankenstein
    // custom version

    canGetHeaders = semver.satisfies(versionSemver, headersTarballRange);
    tarballUrl = url.resolve(baseUrl, name + '-v' + version + (canGetHeaders ? '-headers' : '') + '.tar.gz');
  }

  return {
    version: version,
    semver: versionSemver,
    name: name,
    baseUrl: baseUrl,
    tarballUrl: tarballUrl,
    shasumsUrl: url.resolve(baseUrl, 'SHASUMS256.txt'),
    versionDir: (name !== 'node' ? name + '-' : '') + version,
    ia32: {
      libUrl: libUrl32,
      libPath: normalizePath(path.relative(url.parse(baseUrl).path, url.parse(libUrl32).path))
    },
    x64: {
      libUrl: libUrl64,
      libPath: normalizePath(path.relative(url.parse(baseUrl).path, url.parse(libUrl64).path))
    },
    arm64: {
      libUrl: libUrlArm64,
      libPath: normalizePath(path.relative(url.parse(baseUrl).path, url.parse(libUrlArm64).path))
    }
  };
}

function normalizePath(p) {
  return path.normalize(p).replace(/\\/g, '/');
}

function resolveLibUrl(name, defaultUrl, arch, versionMajor) {
  var base = url.resolve(defaultUrl, './');
  var hasLibUrl = bitsre.test(defaultUrl) || versionMajor === 3 && bitsreV3.test(defaultUrl);

  if (!hasLibUrl) {
    // let's assume it's a baseUrl then
    if (versionMajor >= 1) {
      return url.resolve(base, 'win-' + arch + '/' + name + '.lib');
    } // prior to io.js@1.0.0 32-bit node.lib lives in /, 64-bit lives in /x64/


    return url.resolve(base, (arch === 'x86' ? '' : arch + '/') + name + '.lib');
  } // else we have a proper url to a .lib, just make sure it's the right arch


  return defaultUrl.replace(versionMajor === 3 ? bitsreV3 : bitsre, '/win-' + arch + '/');
}

module.exports = processRelease;

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/rebuild.js":
/***/ ((module) => {

"use strict";


function rebuild(gyp, argv, callback) {
  gyp.todo.push({
    name: 'clean',
    args: []
  }, {
    name: 'configure',
    args: argv
  }, {
    name: 'build',
    args: []
  });
  process.nextTick(callback);
}

module.exports = rebuild;
module.exports.usage = 'Runs "clean", "configure" and "build" all at once';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/remove.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const rm = __webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js");

const path = __webpack_require__("path");

const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const semver = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/index.js");

function remove(gyp, argv, callback) {
  var devDir = gyp.devDir;
  log.verbose('remove', 'using node-gyp dir:', devDir); // get the user-specified version to remove

  var version = argv[0] || gyp.opts.target;
  log.verbose('remove', 'removing target version:', version);

  if (!version) {
    return callback(new Error('You must specify a version number to remove. Ex: "' + process.version + '"'));
  }

  var versionSemver = semver.parse(version);

  if (versionSemver) {
    // flatten the version Array into a String
    version = versionSemver.version;
  }

  var versionPath = path.resolve(gyp.devDir, version);
  log.verbose('remove', 'removing development files for version:', version); // first check if its even installed

  fs.stat(versionPath, function (err) {
    if (err) {
      if (err.code === 'ENOENT') {
        callback(null, 'version was already uninstalled: ' + version);
      } else {
        callback(err);
      }

      return;
    } // Go ahead and delete the dir


    rm(versionPath, callback);
  });
}

module.exports = exports = remove;
module.exports.usage = 'Removes the node development files for the specified version';

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const log = __webpack_require__("./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js");

const execFile = __webpack_require__("child_process").execFile;

const path = __webpack_require__("path");

function logWithPrefix(log, prefix) {
  function setPrefix(logFunction) {
    return (...args) => logFunction.apply(null, [prefix, ...args]); // eslint-disable-line
  }

  return {
    silly: setPrefix(log.silly),
    verbose: setPrefix(log.verbose),
    info: setPrefix(log.info),
    warn: setPrefix(log.warn),
    error: setPrefix(log.error)
  };
}

function regGetValue(key, value, addOpts, cb) {
  const outReValue = value.replace(/\W/g, '.');
  const outRe = new RegExp(`^\\s+${outReValue}\\s+REG_\\w+\\s+(\\S.*)$`, 'im');
  const reg = path.join(process.env.SystemRoot, 'System32', 'reg.exe');
  const regArgs = ['query', key, '/v', value].concat(addOpts);
  log.silly('reg', 'running', reg, regArgs);
  const child = execFile(reg, regArgs, {
    encoding: 'utf8'
  }, function (err, stdout, stderr) {
    log.silly('reg', 'reg.exe stdout = %j', stdout);

    if (err || stderr.trim() !== '') {
      log.silly('reg', 'reg.exe err = %j', err && (err.stack || err));
      log.silly('reg', 'reg.exe stderr = %j', stderr);
      return cb(err, stderr);
    }

    const result = outRe.exec(stdout);

    if (!result) {
      log.silly('reg', 'error parsing stdout');
      return cb(new Error('Could not parse output of reg.exe'));
    }

    log.silly('reg', 'found: %j', result[1]);
    cb(null, result[1]);
  });
  child.stdin.end();
}

function regSearchKeys(keys, value, addOpts, cb) {
  var i = 0;

  const search = () => {
    log.silly('reg-search', 'looking for %j in %j', value, keys[i]);
    regGetValue(keys[i], value, addOpts, (err, res) => {
      ++i;

      if (err && i < keys.length) {
        return search();
      }

      cb(err, res);
    });
  };

  search();
}

module.exports = {
  logWithPrefix: logWithPrefix,
  regGetValue: regGetValue,
  regSearchKeys: regSearchKeys
};

/***/ }),

/***/ "./node_modules/.f/_/nopt/5.0.0/nopt/lib/nopt.js":
/***/ ((module, exports, __webpack_require__) => {

// info about each config option.
var debug = process.env.DEBUG_NOPT || process.env.NOPT_DEBUG ? function () {
  console.error.apply(console, arguments);
} : function () {};

var url = __webpack_require__("url"),
    path = __webpack_require__("path"),
    Stream = __webpack_require__("stream").Stream,
    abbrev = __webpack_require__("./node_modules/.f/_/abbrev/1.1.1/abbrev/abbrev.js"),
    os = __webpack_require__("os");

module.exports = exports = nopt;
exports.clean = clean;
exports.typeDefs = {
  String: {
    type: String,
    validate: validateString
  },
  Boolean: {
    type: Boolean,
    validate: validateBoolean
  },
  url: {
    type: url,
    validate: validateUrl
  },
  Number: {
    type: Number,
    validate: validateNumber
  },
  path: {
    type: path,
    validate: validatePath
  },
  Stream: {
    type: Stream,
    validate: validateStream
  },
  Date: {
    type: Date,
    validate: validateDate
  }
};

function nopt(types, shorthands, args, slice) {
  args = args || process.argv;
  types = types || {};
  shorthands = shorthands || {};
  if (typeof slice !== "number") slice = 2;
  debug(types, shorthands, args, slice);
  args = args.slice(slice);
  var data = {},
      key,
      argv = {
    remain: [],
    cooked: args,
    original: args.slice(0)
  };
  parse(args, data, argv.remain, types, shorthands); // now data is full

  clean(data, types, exports.typeDefs);
  data.argv = argv;
  Object.defineProperty(data.argv, 'toString', {
    value: function () {
      return this.original.map(JSON.stringify).join(" ");
    },
    enumerable: false
  });
  return data;
}

function clean(data, types, typeDefs) {
  typeDefs = typeDefs || exports.typeDefs;
  var remove = {},
      typeDefault = [false, true, null, String, Array];
  Object.keys(data).forEach(function (k) {
    if (k === "argv") return;
    var val = data[k],
        isArray = Array.isArray(val),
        type = types[k];
    if (!isArray) val = [val];
    if (!type) type = typeDefault;
    if (type === Array) type = typeDefault.concat(Array);
    if (!Array.isArray(type)) type = [type];
    debug("val=%j", val);
    debug("types=", type);
    val = val.map(function (val) {
      // if it's an unknown value, then parse false/true/null/numbers/dates
      if (typeof val === "string") {
        debug("string %j", val);
        val = val.trim();

        if (val === "null" && ~type.indexOf(null) || val === "true" && (~type.indexOf(true) || ~type.indexOf(Boolean)) || val === "false" && (~type.indexOf(false) || ~type.indexOf(Boolean))) {
          val = JSON.parse(val);
          debug("jsonable %j", val);
        } else if (~type.indexOf(Number) && !isNaN(val)) {
          debug("convert to number", val);
          val = +val;
        } else if (~type.indexOf(Date) && !isNaN(Date.parse(val))) {
          debug("convert to date", val);
          val = new Date(val);
        }
      }

      if (!types.hasOwnProperty(k)) {
        return val;
      } // allow `--no-blah` to set 'blah' to null if null is allowed


      if (val === false && ~type.indexOf(null) && !(~type.indexOf(false) || ~type.indexOf(Boolean))) {
        val = null;
      }

      var d = {};
      d[k] = val;
      debug("prevalidated val", d, val, types[k]);

      if (!validate(d, k, val, types[k], typeDefs)) {
        if (exports.invalidHandler) {
          exports.invalidHandler(k, val, types[k], data);
        } else if (exports.invalidHandler !== false) {
          debug("invalid: " + k + "=" + val, types[k]);
        }

        return remove;
      }

      debug("validated val", d, val, types[k]);
      return d[k];
    }).filter(function (val) {
      return val !== remove;
    }); // if we allow Array specifically, then an empty array is how we
    // express 'no value here', not null.  Allow it.

    if (!val.length && type.indexOf(Array) === -1) {
      debug('VAL HAS NO LENGTH, DELETE IT', val, k, type.indexOf(Array));
      delete data[k];
    } else if (isArray) {
      debug(isArray, data[k], val);
      data[k] = val;
    } else data[k] = val[0];

    debug("k=%s val=%j", k, val, data[k]);
  });
}

function validateString(data, k, val) {
  data[k] = String(val);
}

function validatePath(data, k, val) {
  if (val === true) return false;
  if (val === null) return true;
  val = String(val);
  var isWin = process.platform === 'win32',
      homePattern = isWin ? /^~(\/|\\)/ : /^~\//,
      home = os.homedir();

  if (home && val.match(homePattern)) {
    data[k] = path.resolve(home, val.substr(2));
  } else {
    data[k] = path.resolve(val);
  }

  return true;
}

function validateNumber(data, k, val) {
  debug("validate Number %j %j %j", k, val, isNaN(val));
  if (isNaN(val)) return false;
  data[k] = +val;
}

function validateDate(data, k, val) {
  var s = Date.parse(val);
  debug("validate Date %j %j %j", k, val, s);
  if (isNaN(s)) return false;
  data[k] = new Date(val);
}

function validateBoolean(data, k, val) {
  if (val instanceof Boolean) val = val.valueOf();else if (typeof val === "string") {
    if (!isNaN(val)) val = !!+val;else if (val === "null" || val === "false") val = false;else val = true;
  } else val = !!val;
  data[k] = val;
}

function validateUrl(data, k, val) {
  val = url.parse(String(val));
  if (!val.host) return false;
  data[k] = val.href;
}

function validateStream(data, k, val) {
  if (!(val instanceof Stream)) return false;
  data[k] = val;
}

function validate(data, k, val, type, typeDefs) {
  // arrays are lists of types.
  if (Array.isArray(type)) {
    for (var i = 0, l = type.length; i < l; i++) {
      if (type[i] === Array) continue;
      if (validate(data, k, val, type[i], typeDefs)) return true;
    }

    delete data[k];
    return false;
  } // an array of anything?


  if (type === Array) return true; // NaN is poisonous.  Means that something is not allowed.

  if (type !== type) {
    debug("Poison NaN", k, val, type);
    delete data[k];
    return false;
  } // explicit list of values


  if (val === type) {
    debug("Explicitly allowed %j", val); // if (isArray) (data[k] = data[k] || []).push(val)
    // else data[k] = val

    data[k] = val;
    return true;
  } // now go through the list of typeDefs, validate against each one.


  var ok = false,
      types = Object.keys(typeDefs);

  for (var i = 0, l = types.length; i < l; i++) {
    debug("test type %j %j %j", k, val, types[i]);
    var t = typeDefs[types[i]];

    if (t && (type && type.name && t.type && t.type.name ? type.name === t.type.name : type === t.type)) {
      var d = {};
      ok = false !== t.validate(d, k, val);
      val = d[k];

      if (ok) {
        // if (isArray) (data[k] = data[k] || []).push(val)
        // else data[k] = val
        data[k] = val;
        break;
      }
    }
  }

  debug("OK? %j (%j %j %j)", ok, k, val, types[i]);
  if (!ok) delete data[k];
  return ok;
}

function parse(args, data, remain, types, shorthands) {
  debug("parse", args, data, remain);
  var key = null,
      abbrevs = abbrev(Object.keys(types)),
      shortAbbr = abbrev(Object.keys(shorthands));

  for (var i = 0; i < args.length; i++) {
    var arg = args[i];
    debug("arg", arg);

    if (arg.match(/^-{2,}$/)) {
      // done with keys.
      // the rest are args.
      remain.push.apply(remain, args.slice(i + 1));
      args[i] = "--";
      break;
    }

    var hadEq = false;

    if (arg.charAt(0) === "-" && arg.length > 1) {
      var at = arg.indexOf('=');

      if (at > -1) {
        hadEq = true;
        var v = arg.substr(at + 1);
        arg = arg.substr(0, at);
        args.splice(i, 1, arg, v);
      } // see if it's a shorthand
      // if so, splice and back up to re-parse it.


      var shRes = resolveShort(arg, shorthands, shortAbbr, abbrevs);
      debug("arg=%j shRes=%j", arg, shRes);

      if (shRes) {
        debug(arg, shRes);
        args.splice.apply(args, [i, 1].concat(shRes));

        if (arg !== shRes[0]) {
          i--;
          continue;
        }
      }

      arg = arg.replace(/^-+/, "");
      var no = null;

      while (arg.toLowerCase().indexOf("no-") === 0) {
        no = !no;
        arg = arg.substr(3);
      }

      if (abbrevs[arg]) arg = abbrevs[arg];
      var argType = types[arg];
      var isTypeArray = Array.isArray(argType);

      if (isTypeArray && argType.length === 1) {
        isTypeArray = false;
        argType = argType[0];
      }

      var isArray = argType === Array || isTypeArray && argType.indexOf(Array) !== -1; // allow unknown things to be arrays if specified multiple times.

      if (!types.hasOwnProperty(arg) && data.hasOwnProperty(arg)) {
        if (!Array.isArray(data[arg])) data[arg] = [data[arg]];
        isArray = true;
      }

      var val,
          la = args[i + 1];
      var isBool = typeof no === 'boolean' || argType === Boolean || isTypeArray && argType.indexOf(Boolean) !== -1 || typeof argType === 'undefined' && !hadEq || la === "false" && (argType === null || isTypeArray && ~argType.indexOf(null));

      if (isBool) {
        // just set and move along
        val = !no; // however, also support --bool true or --bool false

        if (la === "true" || la === "false") {
          val = JSON.parse(la);
          la = null;
          if (no) val = !val;
          i++;
        } // also support "foo":[Boolean, "bar"] and "--foo bar"


        if (isTypeArray && la) {
          if (~argType.indexOf(la)) {
            // an explicit type
            val = la;
            i++;
          } else if (la === "null" && ~argType.indexOf(null)) {
            // null allowed
            val = null;
            i++;
          } else if (!la.match(/^-{2,}[^-]/) && !isNaN(la) && ~argType.indexOf(Number)) {
            // number
            val = +la;
            i++;
          } else if (!la.match(/^-[^-]/) && ~argType.indexOf(String)) {
            // string
            val = la;
            i++;
          }
        }

        if (isArray) (data[arg] = data[arg] || []).push(val);else data[arg] = val;
        continue;
      }

      if (argType === String) {
        if (la === undefined) {
          la = "";
        } else if (la.match(/^-{1,2}[^-]+/)) {
          la = "";
          i--;
        }
      }

      if (la && la.match(/^-{2,}$/)) {
        la = undefined;
        i--;
      }

      val = la === undefined ? true : la;
      if (isArray) (data[arg] = data[arg] || []).push(val);else data[arg] = val;
      i++;
      continue;
    }

    remain.push(arg);
  }
}

function resolveShort(arg, shorthands, shortAbbr, abbrevs) {
  // handle single-char shorthands glommed together, like
  // npm ls -glp, but only if there is one dash, and only if
  // all of the chars are single-char shorthands, and it's
  // not a match to some other abbrev.
  arg = arg.replace(/^-+/, ''); // if it's an exact known option, then don't go any further

  if (abbrevs[arg] === arg) return null; // if it's an exact known shortopt, same deal

  if (shorthands[arg]) {
    // make it an array, if it's a list of words
    if (shorthands[arg] && !Array.isArray(shorthands[arg])) shorthands[arg] = shorthands[arg].split(/\s+/);
    return shorthands[arg];
  } // first check to see if this arg is a set of single-char shorthands


  var singles = shorthands.___singles;

  if (!singles) {
    singles = Object.keys(shorthands).filter(function (s) {
      return s.length === 1;
    }).reduce(function (l, r) {
      l[r] = true;
      return l;
    }, {});
    shorthands.___singles = singles;
    debug('shorthand singles', singles);
  }

  var chrs = arg.split("").filter(function (c) {
    return singles[c];
  });
  if (chrs.join("") === arg) return chrs.map(function (c) {
    return shorthands[c];
  }).reduce(function (l, r) {
    return l.concat(r);
  }, []); // if it's an arg abbrev, and not a literal shorthand, then prefer the arg

  if (abbrevs[arg] && !shorthands[arg]) return null; // if it's an abbr for a shorthand, then use that

  if (shortAbbr[arg]) arg = shortAbbr[arg]; // make it an array, if it's a list of words

  if (shorthands[arg] && !Array.isArray(shorthands[arg])) shorthands[arg] = shorthands[arg].split(/\s+/);
  return shorthands[arg];
}

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/extract_description.js":
/***/ ((module) => {

module.exports = extractDescription; // Extracts description from contents of a readme file in markdown format

function extractDescription(d) {
  if (!d) return;
  if (d === "ERROR: No README data found!") return; // the first block of text before the first heading
  // that isn't the first line heading

  d = d.trim().split('\n');

  for (var s = 0; d[s] && d[s].trim().match(/^(#|$)/); s++);

  var l = d.length;

  for (var e = s + 1; e < l && d[e].trim(); e++);

  return d.slice(s, e).join(' ').trim();
}

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/fixer.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var semver = __webpack_require__("./node_modules/.f/_/semver/5.7.1/semver/semver.js");

var validateLicense = __webpack_require__("./node_modules/.f/_/validate-npm-package-license/3.0.4/validate-npm-package-license/index.js");

var hostedGitInfo = __webpack_require__("./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/index.js");

var isBuiltinModule = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/index.js").isCore;

var depTypes = ["dependencies", "devDependencies", "optionalDependencies"];

var extractDescription = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/extract_description.js");

var url = __webpack_require__("url");

var typos = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/typos.json");

var fixer = module.exports = {
  // default warning function
  warn: function () {},
  fixRepositoryField: function (data) {
    if (data.repositories) {
      this.warn("repositories");
      data.repository = data.repositories[0];
    }

    if (!data.repository) return this.warn("missingRepository");

    if (typeof data.repository === "string") {
      data.repository = {
        type: "git",
        url: data.repository
      };
    }

    var r = data.repository.url || "";

    if (r) {
      var hosted = hostedGitInfo.fromUrl(r);

      if (hosted) {
        r = data.repository.url = hosted.getDefaultRepresentation() == "shortcut" ? hosted.https() : hosted.toString();
      }
    }

    if (r.match(/github.com\/[^\/]+\/[^\/]+\.git\.git$/)) {
      this.warn("brokenGitUrl", r);
    }
  },
  fixTypos: function (data) {
    Object.keys(typos.topLevel).forEach(function (d) {
      if (data.hasOwnProperty(d)) {
        this.warn("typo", d, typos.topLevel[d]);
      }
    }, this);
  },
  fixScriptsField: function (data) {
    if (!data.scripts) return;

    if (typeof data.scripts !== "object") {
      this.warn("nonObjectScripts");
      delete data.scripts;
      return;
    }

    Object.keys(data.scripts).forEach(function (k) {
      if (typeof data.scripts[k] !== "string") {
        this.warn("nonStringScript");
        delete data.scripts[k];
      } else if (typos.script[k] && !data.scripts[typos.script[k]]) {
        this.warn("typo", k, typos.script[k], "scripts");
      }
    }, this);
  },
  fixFilesField: function (data) {
    var files = data.files;

    if (files && !Array.isArray(files)) {
      this.warn("nonArrayFiles");
      delete data.files;
    } else if (data.files) {
      data.files = data.files.filter(function (file) {
        if (!file || typeof file !== "string") {
          this.warn("invalidFilename", file);
          return false;
        } else {
          return true;
        }
      }, this);
    }
  },
  fixBinField: function (data) {
    if (!data.bin) return;

    if (typeof data.bin === "string") {
      var b = {};
      var match;

      if (match = data.name.match(/^@[^/]+[/](.*)$/)) {
        b[match[1]] = data.bin;
      } else {
        b[data.name] = data.bin;
      }

      data.bin = b;
    }
  },
  fixManField: function (data) {
    if (!data.man) return;

    if (typeof data.man === "string") {
      data.man = [data.man];
    }
  },
  fixBundleDependenciesField: function (data) {
    var bdd = "bundledDependencies";
    var bd = "bundleDependencies";

    if (data[bdd] && !data[bd]) {
      data[bd] = data[bdd];
      delete data[bdd];
    }

    if (data[bd] && !Array.isArray(data[bd])) {
      this.warn("nonArrayBundleDependencies");
      delete data[bd];
    } else if (data[bd]) {
      data[bd] = data[bd].filter(function (bd) {
        if (!bd || typeof bd !== 'string') {
          this.warn("nonStringBundleDependency", bd);
          return false;
        } else {
          if (!data.dependencies) {
            data.dependencies = {};
          }

          if (!data.dependencies.hasOwnProperty(bd)) {
            this.warn("nonDependencyBundleDependency", bd);
            data.dependencies[bd] = "*";
          }

          return true;
        }
      }, this);
    }
  },
  fixDependencies: function (data, strict) {
    var loose = !strict;
    objectifyDeps(data, this.warn);
    addOptionalDepsToDeps(data, this.warn);
    this.fixBundleDependenciesField(data);
    ['dependencies', 'devDependencies'].forEach(function (deps) {
      if (!(deps in data)) return;

      if (!data[deps] || typeof data[deps] !== "object") {
        this.warn("nonObjectDependencies", deps);
        delete data[deps];
        return;
      }

      Object.keys(data[deps]).forEach(function (d) {
        var r = data[deps][d];

        if (typeof r !== 'string') {
          this.warn("nonStringDependency", d, JSON.stringify(r));
          delete data[deps][d];
        }

        var hosted = hostedGitInfo.fromUrl(data[deps][d]);
        if (hosted) data[deps][d] = hosted.toString();
      }, this);
    }, this);
  },
  fixModulesField: function (data) {
    if (data.modules) {
      this.warn("deprecatedModules");
      delete data.modules;
    }
  },
  fixKeywordsField: function (data) {
    if (typeof data.keywords === "string") {
      data.keywords = data.keywords.split(/,\s+/);
    }

    if (data.keywords && !Array.isArray(data.keywords)) {
      delete data.keywords;
      this.warn("nonArrayKeywords");
    } else if (data.keywords) {
      data.keywords = data.keywords.filter(function (kw) {
        if (typeof kw !== "string" || !kw) {
          this.warn("nonStringKeyword");
          return false;
        } else {
          return true;
        }
      }, this);
    }
  },
  fixVersionField: function (data, strict) {
    // allow "loose" semver 1.0 versions in non-strict mode
    // enforce strict semver 2.0 compliance in strict mode
    var loose = !strict;

    if (!data.version) {
      data.version = "";
      return true;
    }

    if (!semver.valid(data.version, loose)) {
      throw new Error('Invalid version: "' + data.version + '"');
    }

    data.version = semver.clean(data.version, loose);
    return true;
  },
  fixPeople: function (data) {
    modifyPeople(data, unParsePerson);
    modifyPeople(data, parsePerson);
  },
  fixNameField: function (data, options) {
    if (typeof options === "boolean") options = {
      strict: options
    };else if (typeof options === "undefined") options = {};
    var strict = options.strict;

    if (!data.name && !strict) {
      data.name = "";
      return;
    }

    if (typeof data.name !== "string") {
      throw new Error("name field must be a string.");
    }

    if (!strict) data.name = data.name.trim();
    ensureValidName(data.name, strict, options.allowLegacyCase);
    if (isBuiltinModule(data.name)) this.warn("conflictingName", data.name);
  },
  fixDescriptionField: function (data) {
    if (data.description && typeof data.description !== 'string') {
      this.warn("nonStringDescription");
      delete data.description;
    }

    if (data.readme && !data.description) data.description = extractDescription(data.readme);
    if (data.description === undefined) delete data.description;
    if (!data.description) this.warn("missingDescription");
  },
  fixReadmeField: function (data) {
    if (!data.readme) {
      this.warn("missingReadme");
      data.readme = "ERROR: No README data found!";
    }
  },
  fixBugsField: function (data) {
    if (!data.bugs && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url);

      if (hosted && hosted.bugs()) {
        data.bugs = {
          url: hosted.bugs()
        };
      }
    } else if (data.bugs) {
      var emailRe = /^.+@.*\..+$/;

      if (typeof data.bugs == "string") {
        if (emailRe.test(data.bugs)) data.bugs = {
          email: data.bugs
        };else if (url.parse(data.bugs).protocol) data.bugs = {
          url: data.bugs
        };else this.warn("nonEmailUrlBugsString");
      } else {
        bugsTypos(data.bugs, this.warn);
        var oldBugs = data.bugs;
        data.bugs = {};

        if (oldBugs.url) {
          if (typeof oldBugs.url == "string" && url.parse(oldBugs.url).protocol) data.bugs.url = oldBugs.url;else this.warn("nonUrlBugsUrlField");
        }

        if (oldBugs.email) {
          if (typeof oldBugs.email == "string" && emailRe.test(oldBugs.email)) data.bugs.email = oldBugs.email;else this.warn("nonEmailBugsEmailField");
        }
      }

      if (!data.bugs.email && !data.bugs.url) {
        delete data.bugs;
        this.warn("emptyNormalizedBugs");
      }
    }
  },
  fixHomepageField: function (data) {
    if (!data.homepage && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url);
      if (hosted && hosted.docs()) data.homepage = hosted.docs();
    }

    if (!data.homepage) return;

    if (typeof data.homepage !== "string") {
      this.warn("nonUrlHomepage");
      return delete data.homepage;
    }

    if (!url.parse(data.homepage).protocol) {
      data.homepage = "http://" + data.homepage;
    }
  },
  fixLicenseField: function (data) {
    if (!data.license) {
      return this.warn("missingLicense");
    } else {
      if (typeof data.license !== 'string' || data.license.length < 1 || data.license.trim() === '') {
        this.warn("invalidLicense");
      } else {
        if (!validateLicense(data.license).validForNewPackages) this.warn("invalidLicense");
      }
    }
  }
};

function isValidScopedPackageName(spec) {
  if (spec.charAt(0) !== '@') return false;
  var rest = spec.slice(1).split('/');
  if (rest.length !== 2) return false;
  return rest[0] && rest[1] && rest[0] === encodeURIComponent(rest[0]) && rest[1] === encodeURIComponent(rest[1]);
}

function isCorrectlyEncodedName(spec) {
  return !spec.match(/[\/@\s\+%:]/) && spec === encodeURIComponent(spec);
}

function ensureValidName(name, strict, allowLegacyCase) {
  if (name.charAt(0) === "." || !(isValidScopedPackageName(name) || isCorrectlyEncodedName(name)) || strict && !allowLegacyCase && name !== name.toLowerCase() || name.toLowerCase() === "node_modules" || name.toLowerCase() === "favicon.ico") {
    throw new Error("Invalid name: " + JSON.stringify(name));
  }
}

function modifyPeople(data, fn) {
  if (data.author) data.author = fn(data.author);
  ["maintainers", "contributors"].forEach(function (set) {
    if (!Array.isArray(data[set])) return;
    data[set] = data[set].map(fn);
  });
  return data;
}

function unParsePerson(person) {
  if (typeof person === "string") return person;
  var name = person.name || "";
  var u = person.url || person.web;
  var url = u ? " (" + u + ")" : "";
  var e = person.email || person.mail;
  var email = e ? " <" + e + ">" : "";
  return name + email + url;
}

function parsePerson(person) {
  if (typeof person !== "string") return person;
  var name = person.match(/^([^\(<]+)/);
  var url = person.match(/\(([^\)]+)\)/);
  var email = person.match(/<([^>]+)>/);
  var obj = {};
  if (name && name[0].trim()) obj.name = name[0].trim();
  if (email) obj.email = email[1];
  if (url) obj.url = url[1];
  return obj;
}

function addOptionalDepsToDeps(data, warn) {
  var o = data.optionalDependencies;
  if (!o) return;
  var d = data.dependencies || {};
  Object.keys(o).forEach(function (k) {
    d[k] = o[k];
  });
  data.dependencies = d;
}

function depObjectify(deps, type, warn) {
  if (!deps) return {};

  if (typeof deps === "string") {
    deps = deps.trim().split(/[\n\r\s\t ,]+/);
  }

  if (!Array.isArray(deps)) return deps;
  warn("deprecatedArrayDependencies", type);
  var o = {};
  deps.filter(function (d) {
    return typeof d === "string";
  }).forEach(function (d) {
    d = d.trim().split(/(:?[@\s><=])/);
    var dn = d.shift();
    var dv = d.join("");
    dv = dv.trim();
    dv = dv.replace(/^@/, "");
    o[dn] = dv;
  });
  return o;
}

function objectifyDeps(data, warn) {
  depTypes.forEach(function (type) {
    if (!data[type]) return;
    data[type] = depObjectify(data[type], type, warn);
  });
}

function bugsTypos(bugs, warn) {
  if (!bugs) return;
  Object.keys(bugs).forEach(function (k) {
    if (typos.bugs[k]) {
      warn("typo", k, typos.bugs[k], "bugs");
      bugs[typos.bugs[k]] = bugs[k];
      delete bugs[k];
    }
  });
}

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/make_warning.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var util = __webpack_require__("util");

var messages = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/warning_messages.json");

module.exports = function () {
  var args = Array.prototype.slice.call(arguments, 0);
  var warningName = args.shift();

  if (warningName == "typo") {
    return makeTypoWarning.apply(null, args);
  } else {
    var msgTemplate = messages[warningName] ? messages[warningName] : warningName + ": '%s'";
    args.unshift(msgTemplate);
    return util.format.apply(null, args);
  }
};

function makeTypoWarning(providedName, probableName, field) {
  if (field) {
    providedName = field + "['" + providedName + "']";
    probableName = field + "['" + probableName + "']";
  }

  return util.format(messages.typo, providedName, probableName);
}

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/normalize.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = normalize;

var fixer = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/fixer.js");

normalize.fixer = fixer;

var makeWarning = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/make_warning.js");

var fieldsToFix = ['name', 'version', 'description', 'repository', 'modules', 'scripts', 'files', 'bin', 'man', 'bugs', 'keywords', 'readme', 'homepage', 'license'];
var otherThingsToFix = ['dependencies', 'people', 'typos'];
var thingsToFix = fieldsToFix.map(function (fieldName) {
  return ucFirst(fieldName) + "Field";
}); // two ways to do this in CoffeeScript on only one line, sub-70 chars:
// thingsToFix = fieldsToFix.map (name) -> ucFirst(name) + "Field"
// thingsToFix = (ucFirst(name) + "Field" for name in fieldsToFix)

thingsToFix = thingsToFix.concat(otherThingsToFix);

function normalize(data, warn, strict) {
  if (warn === true) warn = null, strict = true;
  if (!strict) strict = false;
  if (!warn || data.private) warn = function (msg) {
    /* noop */
  };

  if (data.scripts && data.scripts.install === "node-gyp rebuild" && !data.scripts.preinstall) {
    data.gypfile = true;
  }

  fixer.warn = function () {
    warn(makeWarning.apply(null, arguments));
  };

  thingsToFix.forEach(function (thingName) {
    fixer["fix" + ucFirst(thingName)](data, strict);
  });
  data._id = data.name + "@" + data.version;
}

function ucFirst(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}

/***/ }),

/***/ "./node_modules/.f/_/npm-bundled/1.1.1/npm-bundled/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // walk the tree of deps starting from the top level list of bundled deps
// Any deps at the top level that are depended on by a bundled dep that
// does not have that dep in its own node_modules folder are considered
// bundled deps as well.  This list of names can be passed to npm-packlist
// as the "bundled" argument.  Additionally, packageJsonCache is shared so
// packlist doesn't have to re-read files already consumed in this pass

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const EE = __webpack_require__("events").EventEmitter; // we don't care about the package bins, but we share a pj cache
// with other modules that DO care about it, so keep it nice.


const normalizePackageBin = __webpack_require__("./node_modules/.f/_/npm-normalize-package-bin/1.0.1/npm-normalize-package-bin/index.js");

class BundleWalker extends EE {
  constructor(opt) {
    opt = opt || {};
    super(opt);
    this.path = path.resolve(opt.path || process.cwd());
    this.parent = opt.parent || null;

    if (this.parent) {
      this.result = this.parent.result; // only collect results in node_modules folders at the top level
      // since the node_modules in a bundled dep is included always

      if (!this.parent.parent) {
        const base = path.basename(this.path);
        const scope = path.basename(path.dirname(this.path));
        this.result.add(/^@/.test(scope) ? scope + '/' + base : base);
      }

      this.root = this.parent.root;
      this.packageJsonCache = this.parent.packageJsonCache;
    } else {
      this.result = new Set();
      this.root = this.path;
      this.packageJsonCache = opt.packageJsonCache || new Map();
    }

    this.seen = new Set();
    this.didDone = false;
    this.children = 0;
    this.node_modules = [];
    this.package = null;
    this.bundle = null;
  }

  addListener(ev, fn) {
    return this.on(ev, fn);
  }

  on(ev, fn) {
    const ret = super.on(ev, fn);

    if (ev === 'done' && this.didDone) {
      this.emit('done', this.result);
    }

    return ret;
  }

  done() {
    if (!this.didDone) {
      this.didDone = true;

      if (!this.parent) {
        const res = Array.from(this.result);
        this.result = res;
        this.emit('done', res);
      } else {
        this.emit('done');
      }
    }
  }

  start() {
    const pj = path.resolve(this.path, 'package.json');
    if (this.packageJsonCache.has(pj)) this.onPackage(this.packageJsonCache.get(pj));else this.readPackageJson(pj);
    return this;
  }

  readPackageJson(pj) {
    fs.readFile(pj, (er, data) => er ? this.done() : this.onPackageJson(pj, data));
  }

  onPackageJson(pj, data) {
    try {
      this.package = normalizePackageBin(JSON.parse(data + ''));
    } catch (er) {
      return this.done();
    }

    this.packageJsonCache.set(pj, this.package);
    this.onPackage(this.package);
  }

  allDepsBundled(pkg) {
    return Object.keys(pkg.dependencies || {}).concat(Object.keys(pkg.optionalDependencies || {}));
  }

  onPackage(pkg) {
    // all deps are bundled if we got here as a child.
    // otherwise, only bundle bundledDeps
    // Get a unique-ified array with a short-lived Set
    const bdRaw = this.parent ? this.allDepsBundled(pkg) : pkg.bundleDependencies || pkg.bundledDependencies || [];
    const bd = Array.from(new Set(Array.isArray(bdRaw) ? bdRaw : bdRaw === true ? this.allDepsBundled(pkg) : Object.keys(bdRaw)));
    if (!bd.length) return this.done();
    this.bundle = bd;
    const nm = this.path + '/node_modules';
    this.readModules();
  }

  readModules() {
    readdirNodeModules(this.path + '/node_modules', (er, nm) => er ? this.onReaddir([]) : this.onReaddir(nm));
  }

  onReaddir(nm) {
    // keep track of what we have, in case children need it
    this.node_modules = nm;
    this.bundle.forEach(dep => this.childDep(dep));
    if (this.children === 0) this.done();
  }

  childDep(dep) {
    if (this.node_modules.indexOf(dep) !== -1 && !this.seen.has(dep)) {
      this.seen.add(dep);
      this.child(dep);
    } else if (this.parent) {
      this.parent.childDep(dep);
    }
  }

  child(dep) {
    const p = this.path + '/node_modules/' + dep;
    this.children += 1;
    const child = new BundleWalker({
      path: p,
      parent: this
    });
    child.on('done', _ => {
      if (--this.children === 0) this.done();
    });
    child.start();
  }

}

class BundleWalkerSync extends BundleWalker {
  constructor(opt) {
    super(opt);
  }

  start() {
    super.start();
    this.done();
    return this;
  }

  readPackageJson(pj) {
    try {
      this.onPackageJson(pj, fs.readFileSync(pj));
    } catch (er) {}

    return this;
  }

  readModules() {
    try {
      this.onReaddir(readdirNodeModulesSync(this.path + '/node_modules'));
    } catch (er) {
      this.onReaddir([]);
    }
  }

  child(dep) {
    new BundleWalkerSync({
      path: this.path + '/node_modules/' + dep,
      parent: this
    }).start();
  }

}

const readdirNodeModules = (nm, cb) => {
  fs.readdir(nm, (er, set) => {
    if (er) cb(er);else {
      const scopes = set.filter(f => /^@/.test(f));
      if (!scopes.length) cb(null, set);else {
        const unscoped = set.filter(f => !/^@/.test(f));
        let count = scopes.length;
        scopes.forEach(scope => {
          fs.readdir(nm + '/' + scope, (er, pkgs) => {
            if (er || !pkgs.length) unscoped.push(scope);else unscoped.push.apply(unscoped, pkgs.map(p => scope + '/' + p));
            if (--count === 0) cb(null, unscoped);
          });
        });
      }
    }
  });
};

const readdirNodeModulesSync = nm => {
  const set = fs.readdirSync(nm);
  const unscoped = set.filter(f => !/^@/.test(f));
  const scopes = set.filter(f => /^@/.test(f)).map(scope => {
    try {
      const pkgs = fs.readdirSync(nm + '/' + scope);
      return pkgs.length ? pkgs.map(p => scope + '/' + p) : [scope];
    } catch (er) {
      return [scope];
    }
  }).reduce((a, b) => a.concat(b), []);
  return unscoped.concat(scopes);
};

const walk = (options, callback) => {
  const p = new Promise((resolve, reject) => {
    new BundleWalker(options).on('done', resolve).on('error', reject).start();
  });
  return callback ? p.then(res => callback(null, res), callback) : p;
};

const walkSync = options => {
  return new BundleWalkerSync(options).start().result;
};

module.exports = walk;
walk.sync = walkSync;
walk.BundleWalker = BundleWalker;
walk.BundleWalkerSync = BundleWalkerSync;

/***/ }),

/***/ "./node_modules/.f/_/npm-lifecycle/3.1.5/npm-lifecycle/index.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


exports = module.exports = lifecycle;
exports.initEnv = initEnv;
exports.makeEnv = makeEnv;
exports._incorrectWorkingDirectory = _incorrectWorkingDirectory; // for testing

const platform = process.env.__TESTING_FAKE_PLATFORM__ || process.platform;
const isWindows = platform === 'win32';

const spawn = __webpack_require__("./node_modules/.f/_/npm-lifecycle/3.1.5/npm-lifecycle/lib/spawn.js");

const path = __webpack_require__("path");

const Stream = __webpack_require__("stream").Stream;

const fs = __webpack_require__("./node_modules/.f/_/graceful-fs/4.2.6/graceful-fs/graceful-fs.js");

const chain = __webpack_require__("./node_modules/.f/_/slide/1.1.6/slide/lib/slide.js").chain;

const uidNumber = __webpack_require__("./node_modules/.f/_/uid-number/0.0.6/uid-number/uid-number.js");

const umask = __webpack_require__("./node_modules/.f/_/umask/1.1.0/umask/index.js");

const which = __webpack_require__("./node_modules/.f/_/which/1.3.1/which/which.js");

const byline = __webpack_require__("./node_modules/.f/_/byline/5.0.0/byline/lib/byline.js");

const resolveFrom = __webpack_require__("./stubs/resolve-from.js");

const DEFAULT_NODE_GYP_PATH = resolveFrom(__dirname, 'node-gyp/bin/node-gyp');
const hookStatCache = new Map();
let PATH = isWindows ? 'Path' : 'PATH';
exports._pathEnvName = PATH;
const delimiter = path.delimiter; // windows calls its path 'Path' usually, but this is not guaranteed.
// merge them all together in the order they appear in the object.

const mergePath = env => Object.keys(env).filter(p => /^path$/i.test(p) && env[p]).map(p => env[p].split(delimiter)).reduce((set, p) => set.concat(p.filter(p => !set.includes(p))), []).join(delimiter);

exports._mergePath = mergePath;

const setPathEnv = (env, path) => {
  // first ensure that the canonical value is set.
  env[PATH] = path; // also set any other case values, because windows.

  Object.keys(env).filter(p => p !== PATH && /^path$/i.test(p)).forEach(p => {
    env[p] = path;
  });
};

exports._setPathEnv = setPathEnv;

function logid(pkg, stage) {
  return pkg._id + '~' + stage + ':';
}

function hookStat(dir, stage, cb) {
  const hook = path.join(dir, '.hooks', stage);
  const cachedStatError = hookStatCache.get(hook);

  if (cachedStatError === undefined) {
    return fs.stat(hook, function (statError) {
      hookStatCache.set(hook, statError);
      cb(statError);
    });
  }

  return setImmediate(() => cb(cachedStatError));
}

function lifecycle(pkg, stage, wd, opts) {
  return new Promise((resolve, reject) => {
    while (pkg && pkg._data) pkg = pkg._data;

    if (!pkg) return reject(new Error('Invalid package data'));
    opts.log.info('lifecycle', logid(pkg, stage), pkg._id);
    if (!pkg.scripts) pkg.scripts = {};

    if (stage === 'prepublish' && opts.ignorePrepublish) {
      opts.log.info('lifecycle', logid(pkg, stage), 'ignored because ignore-prepublish is set to true', pkg._id);
      delete pkg.scripts.prepublish;
    }

    hookStat(opts.dir, stage, function (statError) {
      // makeEnv is a slow operation. This guard clause prevents makeEnv being called
      // and avoids a ton of unnecessary work, and results in a major perf boost.
      if (!pkg.scripts[stage] && statError) return resolve();
      validWd(wd || path.resolve(opts.dir, pkg.name), function (er, wd) {
        if (er) return reject(er);

        if ((wd.indexOf(opts.dir) !== 0 || _incorrectWorkingDirectory(wd, pkg)) && !opts.unsafePerm && pkg.scripts[stage]) {
          opts.log.warn('lifecycle', logid(pkg, stage), 'cannot run in wd', pkg._id, pkg.scripts[stage], `(wd=${wd})`);
          return resolve();
        } // set the env variables, then run scripts as a child process.


        var env = makeEnv(pkg, opts, null, opts.env);
        env.npm_lifecycle_event = stage;
        env.npm_node_execpath = env.NODE = env.NODE || process.execPath;
        env.npm_execpath = __webpack_require__.c[__webpack_require__.s].filename;
        env.INIT_CWD = process.cwd();
        env.npm_config_node_gyp = env.npm_config_node_gyp || DEFAULT_NODE_GYP_PATH; // 'nobody' typically doesn't have permission to write to /tmp
        // even if it's never used, sh freaks out.

        if (!opts.unsafePerm) env.TMPDIR = wd;
        lifecycle_(pkg, stage, wd, opts, env, er => {
          if (er) return reject(er);
          return resolve();
        });
      });
    });
  });
}

function _incorrectWorkingDirectory(wd, pkg) {
  return wd.lastIndexOf(pkg.name) !== wd.length - pkg.name.length;
}

function lifecycle_(pkg, stage, wd, opts, env, cb) {
  var pathArr = [];
  var p = wd.split(/[\\/]node_modules[\\/]/);
  var acc = path.resolve(p.shift());
  p.forEach(function (pp) {
    pathArr.unshift(path.join(acc, 'node_modules', '.bin'));
    acc = path.join(acc, 'node_modules', pp);
  });
  pathArr.unshift(path.join(acc, 'node_modules', '.bin')); // we also unshift the bundled node-gyp-bin folder so that
  // the bundled one will be used for installing things.

  pathArr.unshift(path.join(__dirname, 'node-gyp-bin'));

  if (shouldPrependCurrentNodeDirToPATH(opts)) {
    // prefer current node interpreter in child scripts
    pathArr.push(path.dirname(process.execPath));
  }

  const existingPath = mergePath(env);
  if (existingPath) pathArr.push(existingPath);
  const envPath = pathArr.join(isWindows ? ';' : ':');
  setPathEnv(env, envPath);
  var packageLifecycle = pkg.scripts && pkg.scripts.hasOwnProperty(stage);

  if (opts.ignoreScripts) {
    opts.log.info('lifecycle', logid(pkg, stage), 'ignored because ignore-scripts is set to true', pkg._id);
    packageLifecycle = false;
  } else if (packageLifecycle) {
    // define this here so it's available to all scripts.
    env.npm_lifecycle_script = pkg.scripts[stage];
  } else {
    opts.log.silly('lifecycle', logid(pkg, stage), 'no script for ' + stage + ', continuing');
  }

  function done(er) {
    if (er) {
      if (opts.force) {
        opts.log.info('lifecycle', logid(pkg, stage), 'forced, continuing', er);
        er = null;
      } else if (opts.failOk) {
        opts.log.warn('lifecycle', logid(pkg, stage), 'continuing anyway', er.message);
        er = null;
      }
    }

    cb(er);
  }

  chain([packageLifecycle && [runPackageLifecycle, pkg, stage, env, wd, opts], [runHookLifecycle, pkg, stage, env, wd, opts]], done);
}

function shouldPrependCurrentNodeDirToPATH(opts) {
  const cfgsetting = opts.scriptsPrependNodePath;
  if (cfgsetting === false) return false;
  if (cfgsetting === true) return true;
  var isDifferentNodeInPath;
  var foundExecPath;

  try {
    foundExecPath = which.sync(path.basename(process.execPath), {
      pathExt: isWindows ? ';' : ':'
    }); // Apply `fs.realpath()` here to avoid false positives when `node` is a symlinked executable.

    isDifferentNodeInPath = fs.realpathSync(process.execPath).toUpperCase() !== fs.realpathSync(foundExecPath).toUpperCase();
  } catch (e) {
    isDifferentNodeInPath = true;
  }

  if (cfgsetting === 'warn-only') {
    if (isDifferentNodeInPath && !shouldPrependCurrentNodeDirToPATH.hasWarned) {
      if (foundExecPath) {
        opts.log.warn('lifecycle', 'The node binary used for scripts is', foundExecPath, 'but npm is using', process.execPath, 'itself. Use the `--scripts-prepend-node-path` option to include the path for the node binary npm was executed with.');
      } else {
        opts.log.warn('lifecycle', 'npm is using', process.execPath, 'but there is no node binary in the current PATH. Use the `--scripts-prepend-node-path` option to include the path for the node binary npm was executed with.');
      }

      shouldPrependCurrentNodeDirToPATH.hasWarned = true;
    }

    return false;
  }

  return isDifferentNodeInPath;
}

function validWd(d, cb) {
  fs.stat(d, function (er, st) {
    if (er || !st.isDirectory()) {
      var p = path.dirname(d);

      if (p === d) {
        return cb(new Error('Could not find suitable wd'));
      }

      return validWd(p, cb);
    }

    return cb(null, d);
  });
}

function runPackageLifecycle(pkg, stage, env, wd, opts, cb) {
  // run package lifecycle scripts in the package root, or the nearest parent.
  var cmd = env.npm_lifecycle_script;
  var note = '\n> ' + pkg._id + ' ' + stage + ' ' + wd + '\n> ' + cmd + '\n';
  runCmd(note, cmd, pkg, env, stage, wd, opts, cb);
}

var running = false;
var queue = [];

function dequeue() {
  running = false;

  if (queue.length) {
    var r = queue.shift();
    runCmd.apply(null, r);
  }
}

function runCmd(note, cmd, pkg, env, stage, wd, opts, cb) {
  if (running) {
    queue.push([note, cmd, pkg, env, stage, wd, opts, cb]);
    return;
  }

  running = true;
  opts.log.pause();
  var unsafe = opts.unsafePerm;
  var user = unsafe ? null : opts.user;
  var group = unsafe ? null : opts.group;

  if (opts.log.level !== 'silent') {
    opts.log.clearProgress();
    console.log(note);
    opts.log.showProgress();
  }

  opts.log.verbose('lifecycle', logid(pkg, stage), 'unsafe-perm in lifecycle', unsafe);

  if (isWindows) {
    unsafe = true;
  }

  if (unsafe) {
    runCmd_(cmd, pkg, env, wd, opts, stage, unsafe, 0, 0, cb);
  } else {
    uidNumber(user, group, function (er, uid, gid) {
      if (er) {
        er.code = 'EUIDLOOKUP';
        opts.log.resume();
        process.nextTick(dequeue);
        return cb(er);
      }

      runCmd_(cmd, pkg, env, wd, opts, stage, unsafe, uid, gid, cb);
    });
  }
}

const getSpawnArgs = ({
  cmd,
  wd,
  opts,
  uid,
  gid,
  unsafe,
  env
}) => {
  const conf = {
    cwd: wd,
    env: env,
    stdio: opts.stdio || [0, 1, 2]
  };

  if (!unsafe) {
    conf.uid = uid ^ 0;
    conf.gid = gid ^ 0;
  }

  const customShell = opts.scriptShell;
  let sh = 'sh';
  let shFlag = '-c';

  if (customShell) {
    sh = customShell;
  } else if (isWindows || opts._TESTING_FAKE_WINDOWS_) {
    sh = process.env.comspec || 'cmd'; // '/d /s /c' is used only for cmd.exe.

    if (/^(?:.*\\)?cmd(?:\.exe)?$/i.test(sh)) {
      shFlag = '/d /s /c';
      conf.windowsVerbatimArguments = true;
    }
  }

  return [sh, [shFlag, cmd], conf];
};

exports._getSpawnArgs = getSpawnArgs;

function runCmd_(cmd, pkg, env, wd, opts, stage, unsafe, uid, gid, cb_) {
  function cb(er) {
    cb_.apply(null, arguments);
    opts.log.resume();
    process.nextTick(dequeue);
  }

  const [sh, args, conf] = getSpawnArgs({
    cmd,
    wd,
    opts,
    uid,
    gid,
    unsafe,
    env
  });
  opts.log.verbose('lifecycle', logid(pkg, stage), 'PATH:', env[PATH]);
  opts.log.verbose('lifecycle', logid(pkg, stage), 'CWD:', wd);
  opts.log.silly('lifecycle', logid(pkg, stage), 'Args:', args);
  var proc = spawn(sh, args, conf, opts.log);
  proc.on('error', procError);
  proc.on('close', function (code, signal) {
    opts.log.silly('lifecycle', logid(pkg, stage), 'Returned: code:', code, ' signal:', signal);

    if (signal) {
      process.kill(process.pid, signal);
    } else if (code) {
      var er = new Error('Exit status ' + code);
      er.errno = code;
    }

    procError(er);
  });
  byline(proc.stdout).on('data', function (data) {
    opts.log.verbose('lifecycle', logid(pkg, stage), 'stdout', data.toString());
  });
  byline(proc.stderr).on('data', function (data) {
    opts.log.verbose('lifecycle', logid(pkg, stage), 'stderr', data.toString());
  });
  process.once('SIGTERM', procKill);
  process.once('SIGINT', procInterupt);

  function procError(er) {
    if (er) {
      opts.log.info('lifecycle', logid(pkg, stage), 'Failed to exec ' + stage + ' script');
      er.message = pkg._id + ' ' + stage + ': `' + cmd + '`\n' + er.message;

      if (er.code !== 'EPERM') {
        er.code = 'ELIFECYCLE';
      }

      fs.stat(opts.dir, function (statError, d) {
        if (statError && statError.code === 'ENOENT' && opts.dir.split(path.sep).slice(-1)[0] === 'node_modules') {
          opts.log.warn('', 'Local package.json exists, but node_modules missing, did you mean to install?');
        }
      });
      er.pkgid = pkg._id;
      er.stage = stage;
      er.script = cmd;
      er.pkgname = pkg.name;
    }

    process.removeListener('SIGTERM', procKill);
    process.removeListener('SIGTERM', procInterupt);
    process.removeListener('SIGINT', procKill);
    process.removeListener('SIGINT', procInterupt);
    return cb(er);
  }

  function procKill() {
    proc.kill();
  }

  function procInterupt() {
    proc.kill('SIGINT');
    proc.on('exit', function () {
      process.exit();
    });
    process.once('SIGINT', procKill);
  }
}

function runHookLifecycle(pkg, stage, env, wd, opts, cb) {
  hookStat(opts.dir, stage, function (er) {
    if (er) return cb();
    var cmd = path.join(opts.dir, '.hooks', stage);
    var note = '\n> ' + pkg._id + ' ' + stage + ' ' + wd + '\n> ' + cmd;
    runCmd(note, cmd, pkg, env, stage, wd, opts, cb);
  });
}

function initEnv(fromEnv, production) {
  fromEnv = fromEnv || process.env;
  var env = {};

  for (var i in fromEnv) {
    if (!i.match(/^npm_/)) {
      env[i] = fromEnv[i];
    }
  } // express and others respect the NODE_ENV value.


  if (production) env.NODE_ENV = 'production';
  return env;
}

function makeEnv(data, opts, prefix, env) {
  prefix = prefix || 'npm_package_';

  if (!env) {
    env = initEnv(process.env, opts.production);
  } else if (!data.hasOwnProperty('_lifecycleEnv')) {
    Object.defineProperty(data, '_lifecycleEnv', {
      value: env,
      enumerable: false
    });
  }

  if (opts.nodeOptions) env.NODE_OPTIONS = opts.nodeOptions;

  for (var i in data) {
    if (i.charAt(0) !== '_') {
      var envKey = (prefix + i).replace(/[^a-zA-Z0-9_]/g, '_');

      if (i === 'readme') {
        continue;
      }

      if (data[i] && typeof data[i] === 'object') {
        try {
          // quick and dirty detection for cyclical structures
          JSON.stringify(data[i]);
          makeEnv(data[i], opts, envKey + '_', env);
        } catch (ex) {
          // usually these are package objects.
          // just get the path and basic details.
          var d = data[i];
          makeEnv({
            name: d.name,
            version: d.version,
            path: d.path
          }, opts, envKey + '_', env);
        }
      } else {
        env[envKey] = String(data[i]);
        env[envKey] = env[envKey].indexOf('\n') !== -1 ? JSON.stringify(env[envKey]) : env[envKey];
      }
    }
  }

  if (prefix !== 'npm_package_') return env;
  prefix = 'npm_config_';
  var pkgConfig = {};
  var pkgVerConfig = {};
  var namePref = data.name + ':';
  var verPref = data.name + '@' + data.version + ':';
  Object.keys(opts.config).forEach(function (i) {
    // in some rare cases (e.g. working with nerf darts), there are segmented
    // "private" (underscore-prefixed) config names -- don't export
    if (i.charAt(0) === '_' && i.indexOf('_' + namePref) !== 0 || i.match(/:_/)) {
      return;
    }

    var value = opts.config[i];
    if (value instanceof Stream || Array.isArray(value) || typeof value === 'function') return;
    if (i.match(/umask/)) value = umask.toString(value);
    if (!value) value = '';else if (typeof value === 'number') value = '' + value;else if (typeof value !== 'string') value = JSON.stringify(value);

    if (typeof value !== 'string') {
      return;
    }

    value = value.indexOf('\n') !== -1 ? JSON.stringify(value) : value;
    i = i.replace(/^_+/, '');
    var k;

    if (i.indexOf(namePref) === 0) {
      k = i.substr(namePref.length).replace(/[^a-zA-Z0-9_]/g, '_');
      pkgConfig[k] = value;
    } else if (i.indexOf(verPref) === 0) {
      k = i.substr(verPref.length).replace(/[^a-zA-Z0-9_]/g, '_');
      pkgVerConfig[k] = value;
    }

    var envKey = (prefix + i).replace(/[^a-zA-Z0-9_]/g, '_');
    env[envKey] = value;
  });
  prefix = 'npm_package_config_';
  [pkgConfig, pkgVerConfig].forEach(function (conf) {
    for (var i in conf) {
      var envKey = prefix + i;
      env[envKey] = conf[i];
    }
  });
  return env;
}

/***/ }),

/***/ "./node_modules/.f/_/npm-lifecycle/3.1.5/npm-lifecycle/lib/spawn.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = spawn;

const _spawn = __webpack_require__("child_process").spawn;

const EventEmitter = __webpack_require__("events").EventEmitter;

let progressEnabled;
let running = 0;

function startRunning(log) {
  if (progressEnabled == null) progressEnabled = log.progressEnabled;
  if (progressEnabled) log.disableProgress();
  ++running;
}

function stopRunning(log) {
  --running;
  if (progressEnabled && running === 0) log.enableProgress();
}

function willCmdOutput(stdio) {
  if (stdio === 'inherit') return true;
  if (!Array.isArray(stdio)) return false;

  for (let fh = 1; fh <= 2; ++fh) {
    if (stdio[fh] === 'inherit') return true;
    if (stdio[fh] === 1 || stdio[fh] === 2) return true;
  }

  return false;
}

function spawn(cmd, args, options, log) {
  const cmdWillOutput = willCmdOutput(options && options.stdio);
  if (cmdWillOutput) startRunning(log);

  const raw = _spawn(cmd, args, options);

  const cooked = new EventEmitter();
  raw.on('error', function (er) {
    if (cmdWillOutput) stopRunning(log);
    er.file = cmd;
    cooked.emit('error', er);
  }).on('close', function (code, signal) {
    if (cmdWillOutput) stopRunning(log); // Create ENOENT error because Node.js v8.0 will not emit
    // an `error` event if the command could not be found.

    if (code === 127) {
      const er = new Error('spawn ENOENT');
      er.code = 'ENOENT';
      er.errno = 'ENOENT';
      er.syscall = 'spawn';
      er.file = cmd;
      cooked.emit('error', er);
    } else {
      cooked.emit('close', code, signal);
    }
  });
  cooked.stdin = raw.stdin;
  cooked.stdout = raw.stdout;
  cooked.stderr = raw.stderr;

  cooked.kill = function (sig) {
    return raw.kill(sig);
  };

  return cooked;
}

/***/ }),

/***/ "./node_modules/.f/_/npm-normalize-package-bin/1.0.1/npm-normalize-package-bin/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// pass in a manifest with a 'bin' field here, and it'll turn it
// into a properly santized bin object
const {
  join,
  basename
} = __webpack_require__("path");

const normalize = pkg => !pkg.bin ? removeBin(pkg) : typeof pkg.bin === 'string' ? normalizeString(pkg) : Array.isArray(pkg.bin) ? normalizeArray(pkg) : typeof pkg.bin === 'object' ? normalizeObject(pkg) : removeBin(pkg);

const normalizeString = pkg => {
  if (!pkg.name) return removeBin(pkg);
  pkg.bin = {
    [pkg.name]: pkg.bin
  };
  return normalizeObject(pkg);
};

const normalizeArray = pkg => {
  pkg.bin = pkg.bin.reduce((acc, k) => {
    acc[basename(k)] = k;
    return acc;
  }, {});
  return normalizeObject(pkg);
};

const removeBin = pkg => {
  delete pkg.bin;
  return pkg;
};

const normalizeObject = pkg => {
  const orig = pkg.bin;
  const clean = {};
  let hasBins = false;
  Object.keys(orig).forEach(binKey => {
    const base = join('/', basename(binKey.replace(/\\|:/g, '/'))).substr(1);
    if (typeof orig[binKey] !== 'string' || !base) return;
    const binTarget = join('/', orig[binKey]).replace(/\\/g, '/').substr(1);
    if (!binTarget) return;
    clean[base] = binTarget;
    hasBins = true;
  });
  if (hasBins) pkg.bin = clean;else delete pkg.bin;
  return pkg;
};

module.exports = normalize;

/***/ }),

/***/ "./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = npa;
module.exports.resolve = resolve;
module.exports.Result = Result;
let url;
let HostedGit;
let semver;
let path_;

function path() {
  if (!path_) path_ = __webpack_require__("path");
  return path_;
}

let validatePackageName;
let osenv;
const isWindows = process.platform === 'win32' || global.FAKE_WINDOWS;
const hasSlashes = isWindows ? /\\|[/]/ : /[/]/;
const isURL = /^(?:git[+])?[a-z]+:/i;
const isFilename = /[.](?:tgz|tar.gz|tar)$/i;

function npa(arg, where) {
  let name;
  let spec;

  if (typeof arg === 'object') {
    if (arg instanceof Result && (!where || where === arg.where)) {
      return arg;
    } else if (arg.name && arg.rawSpec) {
      return npa.resolve(arg.name, arg.rawSpec, where || arg.where);
    } else {
      return npa(arg.raw, where || arg.where);
    }
  }

  const nameEndsAt = arg[0] === '@' ? arg.slice(1).indexOf('@') + 1 : arg.indexOf('@');
  const namePart = nameEndsAt > 0 ? arg.slice(0, nameEndsAt) : arg;

  if (isURL.test(arg)) {
    spec = arg;
  } else if (namePart[0] !== '@' && (hasSlashes.test(namePart) || isFilename.test(namePart))) {
    spec = arg;
  } else if (nameEndsAt > 0) {
    name = namePart;
    spec = arg.slice(nameEndsAt + 1);
  } else {
    if (!validatePackageName) validatePackageName = __webpack_require__("./node_modules/.f/_/validate-npm-package-name/3.0.0/validate-npm-package-name/index.js");
    const valid = validatePackageName(arg);

    if (valid.validForOldPackages) {
      name = arg;
    } else {
      spec = arg;
    }
  }

  return resolve(name, spec, where, arg);
}

const isFilespec = isWindows ? /^(?:[.]|~[/]|[/\\]|[a-zA-Z]:)/ : /^(?:[.]|~[/]|[/]|[a-zA-Z]:)/;

function resolve(name, spec, where, arg) {
  const res = new Result({
    raw: arg,
    name: name,
    rawSpec: spec,
    fromArgument: arg != null
  });
  if (name) res.setName(name);

  if (spec && (isFilespec.test(spec) || /^file:/i.test(spec))) {
    return fromFile(res, where);
  } else if (spec && /^npm:/i.test(spec)) {
    return fromAlias(res, where);
  }

  if (!HostedGit) HostedGit = __webpack_require__("./node_modules/.f/_/hosted-git-info/2.8.8/hosted-git-info/index.js");
  const hosted = HostedGit.fromUrl(spec, {
    noGitPlus: true,
    noCommittish: true
  });

  if (hosted) {
    return fromHostedGit(res, hosted);
  } else if (spec && isURL.test(spec)) {
    return fromURL(res);
  } else if (spec && (hasSlashes.test(spec) || isFilename.test(spec))) {
    return fromFile(res, where);
  } else {
    return fromRegistry(res);
  }
}

function invalidPackageName(name, valid) {
  const err = new Error(`Invalid package name "${name}": ${valid.errors.join('; ')}`);
  err.code = 'EINVALIDPACKAGENAME';
  return err;
}

function invalidTagName(name) {
  const err = new Error(`Invalid tag name "${name}": Tags may not have any characters that encodeURIComponent encodes.`);
  err.code = 'EINVALIDTAGNAME';
  return err;
}

function Result(opts) {
  this.type = opts.type;
  this.registry = opts.registry;
  this.where = opts.where;

  if (opts.raw == null) {
    this.raw = opts.name ? opts.name + '@' + opts.rawSpec : opts.rawSpec;
  } else {
    this.raw = opts.raw;
  }

  this.name = undefined;
  this.escapedName = undefined;
  this.scope = undefined;
  this.rawSpec = opts.rawSpec == null ? '' : opts.rawSpec;
  this.saveSpec = opts.saveSpec;
  this.fetchSpec = opts.fetchSpec;
  if (opts.name) this.setName(opts.name);
  this.gitRange = opts.gitRange;
  this.gitCommittish = opts.gitCommittish;
  this.hosted = opts.hosted;
}

Result.prototype.setName = function (name) {
  if (!validatePackageName) validatePackageName = __webpack_require__("./node_modules/.f/_/validate-npm-package-name/3.0.0/validate-npm-package-name/index.js");
  const valid = validatePackageName(name);

  if (!valid.validForOldPackages) {
    throw invalidPackageName(name, valid);
  }

  this.name = name;
  this.scope = name[0] === '@' ? name.slice(0, name.indexOf('/')) : undefined; // scoped packages in couch must have slash url-encoded, e.g. @foo%2Fbar

  this.escapedName = name.replace('/', '%2f');
  return this;
};

Result.prototype.toString = function () {
  const full = [];
  if (this.name != null && this.name !== '') full.push(this.name);
  const spec = this.saveSpec || this.fetchSpec || this.rawSpec;
  if (spec != null && spec !== '') full.push(spec);
  return full.length ? full.join('@') : this.raw;
};

Result.prototype.toJSON = function () {
  const result = Object.assign({}, this);
  delete result.hosted;
  return result;
};

function setGitCommittish(res, committish) {
  if (committish != null && committish.length >= 7 && committish.slice(0, 7) === 'semver:') {
    res.gitRange = decodeURIComponent(committish.slice(7));
    res.gitCommittish = null;
  } else {
    res.gitCommittish = committish === '' ? null : committish;
  }

  return res;
}

const isAbsolutePath = /^[/]|^[A-Za-z]:/;

function resolvePath(where, spec) {
  if (isAbsolutePath.test(spec)) return spec;
  return path().resolve(where, spec);
}

function isAbsolute(dir) {
  if (dir[0] === '/') return true;
  if (/^[A-Za-z]:/.test(dir)) return true;
  return false;
}

function fromFile(res, where) {
  if (!where) where = process.cwd();
  res.type = isFilename.test(res.rawSpec) ? 'file' : 'directory';
  res.where = where;
  const spec = res.rawSpec.replace(/\\/g, '/').replace(/^file:[/]*([A-Za-z]:)/, '$1') // drive name paths on windows
  .replace(/^file:(?:[/]*([~./]))?/, '$1');

  if (/^~[/]/.test(spec)) {
    // this is needed for windows and for file:~/foo/bar
    if (!osenv) osenv = __webpack_require__("./node_modules/.f/_/osenv/0.1.5/osenv/osenv.js");
    res.fetchSpec = resolvePath(osenv.home(), spec.slice(2));
    res.saveSpec = 'file:' + spec;
  } else {
    res.fetchSpec = resolvePath(where, spec);

    if (isAbsolute(spec)) {
      res.saveSpec = 'file:' + spec;
    } else {
      res.saveSpec = 'file:' + path().relative(where, res.fetchSpec);
    }
  }

  return res;
}

function fromHostedGit(res, hosted) {
  res.type = 'git';
  res.hosted = hosted;
  res.saveSpec = hosted.toString({
    noGitPlus: false,
    noCommittish: false
  });
  res.fetchSpec = hosted.getDefaultRepresentation() === 'shortcut' ? null : hosted.toString();
  return setGitCommittish(res, hosted.committish);
}

function unsupportedURLType(protocol, spec) {
  const err = new Error(`Unsupported URL Type "${protocol}": ${spec}`);
  err.code = 'EUNSUPPORTEDPROTOCOL';
  return err;
}

function matchGitScp(spec) {
  // git ssh specifiers are overloaded to also use scp-style git
  // specifiers, so we have to parse those out and treat them special.
  // They are NOT true URIs, so we can't hand them to `url.parse`.
  //
  // This regex looks for things that look like:
  // git+ssh://git@my.custom.git.com:username/project.git#deadbeef
  //
  // ...and various combinations. The username in the beginning is *required*.
  const matched = spec.match(/^git\+ssh:\/\/([^:#]+:[^#]+(?:\.git)?)(?:#(.*))?$/i);
  return matched && !matched[1].match(/:[0-9]+\/?.*$/i) && {
    fetchSpec: matched[1],
    gitCommittish: matched[2] == null ? null : matched[2]
  };
}

function fromURL(res) {
  if (!url) url = __webpack_require__("url");
  const urlparse = url.parse(res.rawSpec);
  res.saveSpec = res.rawSpec; // check the protocol, and then see if it's git or not

  switch (urlparse.protocol) {
    case 'git:':
    case 'git+http:':
    case 'git+https:':
    case 'git+rsync:':
    case 'git+ftp:':
    case 'git+file:':
    case 'git+ssh:':
      res.type = 'git';
      const match = urlparse.protocol === 'git+ssh:' && matchGitScp(res.rawSpec);

      if (match) {
        setGitCommittish(res, match.gitCommittish);
        res.fetchSpec = match.fetchSpec;
      } else {
        setGitCommittish(res, urlparse.hash != null ? urlparse.hash.slice(1) : '');
        urlparse.protocol = urlparse.protocol.replace(/^git[+]/, '');

        if (urlparse.protocol === 'file:' && /^git\+file:\/\/[a-z]:/i.test(res.rawSpec)) {
          // keep the drive letter : on windows file paths
          urlparse.host += ':';
          urlparse.hostname += ':';
        }

        delete urlparse.hash;
        res.fetchSpec = url.format(urlparse);
      }

      break;

    case 'http:':
    case 'https:':
      res.type = 'remote';
      res.fetchSpec = res.saveSpec;
      break;

    default:
      throw unsupportedURLType(urlparse.protocol, res.rawSpec);
  }

  return res;
}

function fromAlias(res, where) {
  const subSpec = npa(res.rawSpec.substr(4), where);

  if (subSpec.type === 'alias') {
    throw new Error('nested aliases not supported');
  }

  if (!subSpec.registry) {
    throw new Error('aliases only work for registry deps');
  }

  res.subSpec = subSpec;
  res.registry = true;
  res.type = 'alias';
  res.saveSpec = null;
  res.fetchSpec = null;
  return res;
}

function fromRegistry(res) {
  res.registry = true;
  const spec = res.rawSpec === '' ? 'latest' : res.rawSpec; // no save spec for registry components as we save based on the fetched
  // version, not on the argument so this can't compute that.

  res.saveSpec = null;
  res.fetchSpec = spec;
  if (!semver) semver = __webpack_require__("./node_modules/.f/_/semver/5.7.1/semver/semver.js");
  const version = semver.valid(spec, true);
  const range = semver.validRange(spec, true);

  if (version) {
    res.type = 'version';
  } else if (range) {
    res.type = 'range';
  } else {
    if (encodeURIComponent(spec) !== spec) {
      throw invalidTagName(spec);
    }

    res.type = 'tag';
  }

  return res;
}

/***/ }),

/***/ "./node_modules/.f/_/npm-packlist/1.4.8/npm-packlist/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // Do a two-pass walk, first to get the list of packages that need to be
// bundled, then again to get the actual files and folders.
// Keep a cache of node_modules content and package.json data, so that the
// second walk doesn't have to re-do all the same work.

const bundleWalk = __webpack_require__("./node_modules/.f/_/npm-bundled/1.1.1/npm-bundled/index.js");

const BundleWalker = bundleWalk.BundleWalker;
const BundleWalkerSync = bundleWalk.BundleWalkerSync;

const ignoreWalk = __webpack_require__("./node_modules/.f/_/ignore-walk/3.0.3/ignore-walk/index.js");

const IgnoreWalker = ignoreWalk.Walker;
const IgnoreWalkerSync = ignoreWalk.WalkerSync;
const rootBuiltinRules = Symbol('root-builtin-rules');
const packageNecessaryRules = Symbol('package-necessary-rules');

const path = __webpack_require__("path");

const normalizePackageBin = __webpack_require__("./node_modules/.f/_/npm-normalize-package-bin/1.0.1/npm-normalize-package-bin/index.js");

const defaultRules = ['.npmignore', '.gitignore', '**/.git', '**/.svn', '**/.hg', '**/CVS', '**/.git/**', '**/.svn/**', '**/.hg/**', '**/CVS/**', '/.lock-wscript', '/.wafpickle-*', '/build/config.gypi', 'npm-debug.log', '**/.npmrc', '.*.swp', '.DS_Store', '**/.DS_Store/**', '._*', '**/._*/**', '*.orig', '/package-lock.json', '/yarn.lock', 'archived-packages/**', 'core', '!core/', '!**/core/', '*.core', '*.vgcore', 'vgcore.*', 'core.+([0-9])']; // There may be others, but :?|<> are handled by node-tar

const nameIsBadForWindows = file => /\*/.test(file); // a decorator that applies our custom rules to an ignore walker


const npmWalker = Class => class Walker extends Class {
  constructor(opt) {
    opt = opt || {}; // the order in which rules are applied.

    opt.ignoreFiles = [rootBuiltinRules, 'package.json', '.npmignore', '.gitignore', packageNecessaryRules];
    opt.includeEmpty = false;
    opt.path = opt.path || process.cwd();
    const dirName = path.basename(opt.path);
    const parentName = path.basename(path.dirname(opt.path));
    opt.follow = dirName === 'node_modules' || parentName === 'node_modules' && /^@/.test(dirName);
    super(opt); // ignore a bunch of things by default at the root level.
    // also ignore anything in node_modules, except bundled dependencies

    if (!this.parent) {
      this.bundled = opt.bundled || [];
      this.bundledScopes = Array.from(new Set(this.bundled.filter(f => /^@/.test(f)).map(f => f.split('/')[0])));
      const rules = defaultRules.join('\n') + '\n';
      this.packageJsonCache = opt.packageJsonCache || new Map();
      super.onReadIgnoreFile(rootBuiltinRules, rules, _ => _);
    } else {
      this.bundled = [];
      this.bundledScopes = [];
      this.packageJsonCache = this.parent.packageJsonCache;
    }

    this.includeSymlinks = opt.includeSymlinks;
  }

  onReaddir(entries) {
    if (!this.parent) {
      entries = entries.filter(e => e !== '.git' && !(e === 'node_modules' && this.bundled.length === 0));
    }

    return super.onReaddir(entries);
  }

  filterEntry(entry, partial) {
    // get the partial path from the root of the walk
    const p = this.path.substr(this.root.length + 1);
    const pkgre = /^node_modules\/(@[^\/]+\/?[^\/]+|[^\/]+)(\/.*)?$/;
    const isRoot = !this.parent;
    const pkg = isRoot && pkgre.test(entry) ? entry.replace(pkgre, '$1') : null;
    const rootNM = isRoot && entry === 'node_modules';
    const rootPJ = isRoot && entry === 'package.json';
    return (// if we're in a bundled package, check with the parent.
      /^node_modules($|\/)/i.test(p) ? this.parent.filterEntry(this.basename + '/' + entry, partial) // if package is bundled, all files included
      // also include @scope dirs for bundled scoped deps
      // they'll be ignored if no files end up in them.
      // However, this only matters if we're in the root.
      // node_modules folders elsewhere, like lib/node_modules,
      // should be included normally unless ignored.
      : pkg ? -1 !== this.bundled.indexOf(pkg) || -1 !== this.bundledScopes.indexOf(pkg) // only walk top node_modules if we want to bundle something
      : rootNM ? !!this.bundled.length // always include package.json at the root.
      : rootPJ ? true // otherwise, follow ignore-walk's logic
      : super.filterEntry(entry, partial)
    );
  }

  filterEntries() {
    if (this.ignoreRules['package.json']) this.ignoreRules['.gitignore'] = this.ignoreRules['.npmignore'] = null;else if (this.ignoreRules['.npmignore']) this.ignoreRules['.gitignore'] = null;
    this.filterEntries = super.filterEntries;
    super.filterEntries();
  }

  addIgnoreFile(file, then) {
    const ig = path.resolve(this.path, file);
    if (this.packageJsonCache.has(ig)) this.onPackageJson(ig, this.packageJsonCache.get(ig), then);else super.addIgnoreFile(file, then);
  }

  onPackageJson(ig, pkg, then) {
    this.packageJsonCache.set(ig, pkg); // if there's a bin, browser or main, make sure we don't ignore it
    // also, don't ignore the package.json itself!
    //
    // Weird side-effect of this: a readme (etc) file will be included
    // if it exists anywhere within a folder with a package.json file.
    // The original intent was only to include these files in the root,
    // but now users in the wild are dependent on that behavior for
    // localized documentation and other use cases.  Adding a `/` to
    // these rules, while tempting and arguably more "correct", is a
    // breaking change.

    const rules = [pkg.browser ? '!' + pkg.browser : '', pkg.main ? '!' + pkg.main : '', '!package.json', '!npm-shrinkwrap.json', '!@(readme|copying|license|licence|notice|changes|changelog|history){,.*[^~$]}'];

    if (pkg.bin) {
      // always an object, because normalized already
      for (const key in pkg.bin) rules.push('!' + pkg.bin[key]);
    }

    const data = rules.filter(f => f).join('\n') + '\n';
    super.onReadIgnoreFile(packageNecessaryRules, data, _ => _);
    if (Array.isArray(pkg.files)) super.onReadIgnoreFile('package.json', '*\n' + pkg.files.map(f => '!' + f + '\n!' + f.replace(/\/+$/, '') + '/**').join('\n') + '\n', then);else then();
  } // override parent stat function to completely skip any filenames
  // that will break windows entirely.
  // XXX(isaacs) Next major version should make this an error instead.


  stat(entry, file, dir, then) {
    if (nameIsBadForWindows(entry)) then();else super.stat(entry, file, dir, then);
  } // override parent onstat function to nix all symlinks


  onstat(st, entry, file, dir, then) {
    if (!this.includeSymlinks && st.isSymbolicLink()) then();else super.onstat(st, entry, file, dir, then);
  }

  onReadIgnoreFile(file, data, then) {
    if (file === 'package.json') try {
      const ig = path.resolve(this.path, file);
      this.onPackageJson(ig, normalizePackageBin(JSON.parse(data)), then);
    } catch (er) {
      // ignore package.json files that are not json
      then();
    } else super.onReadIgnoreFile(file, data, then);
  }

  sort(a, b) {
    return sort(a, b);
  }

};

class Walker extends npmWalker(IgnoreWalker) {
  walker(entry, then) {
    new Walker(this.walkerOpt(entry)).on('done', then).start();
  }

}

class WalkerSync extends npmWalker(IgnoreWalkerSync) {
  walker(entry, then) {
    new WalkerSync(this.walkerOpt(entry)).start();
    then();
  }

}

const walk = (options, callback) => {
  options = options || {};
  const p = new Promise((resolve, reject) => {
    const bw = new BundleWalker(options);
    bw.on('done', bundled => {
      options.bundled = bundled;
      options.packageJsonCache = bw.packageJsonCache;
      new Walker(options).on('done', resolve).on('error', reject).start();
    });
    bw.start();
  });
  return callback ? p.then(res => callback(null, res), callback) : p;
};

const walkSync = options => {
  options = options || {};
  const bw = new BundleWalkerSync(options).start();
  options.bundled = bw.result;
  options.packageJsonCache = bw.packageJsonCache;
  const walker = new WalkerSync(options);
  walker.start();
  return walker.result;
}; // optimize for compressibility
// extname, then basename, then locale alphabetically
// https://twitter.com/isntitvacant/status/1131094910923231232


const sort = (a, b) => {
  const exta = path.extname(a).toLowerCase();
  const extb = path.extname(b).toLowerCase();
  const basea = path.basename(a).toLowerCase();
  const baseb = path.basename(b).toLowerCase();
  return exta.localeCompare(extb) || basea.localeCompare(baseb) || a.localeCompare(b);
};

module.exports = walk;
walk.sync = walkSync;
walk.Walker = Walker;
walk.WalkerSync = WalkerSync;

/***/ }),

/***/ "./node_modules/.f/_/npm-pick-manifest/2.2.3/npm-pick-manifest/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

const semver = __webpack_require__("./node_modules/.f/_/semver/5.7.1/semver/semver.js");

const PickerOpts = figgyPudding({
  defaultTag: {
    default: 'latest'
  },
  enjoyBy: {},
  includeDeprecated: {
    default: false
  }
});
module.exports = pickManifest;

function pickManifest(packument, wanted, opts) {
  opts = PickerOpts(opts);
  const time = opts.enjoyBy && packument.time && +new Date(opts.enjoyBy);
  const spec = npa.resolve(packument.name, wanted);
  const type = spec.type;

  if (type === 'version' || type === 'range') {
    wanted = semver.clean(wanted, true) || wanted;
  }

  const distTags = packument['dist-tags'] || {};
  const versions = Object.keys(packument.versions || {}).filter(v => {
    return semver.valid(v, true);
  });

  function enjoyableBy(v) {
    return !time || packument.time[v] && time >= +new Date(packument.time[v]);
  }

  let err;

  if (!versions.length) {
    err = new Error(`No valid versions available for ${packument.name}`);
    err.code = 'ENOVERSIONS';
    err.name = packument.name;
    err.type = type;
    err.wanted = wanted;
    throw err;
  }

  let target;

  if (type === 'tag' && enjoyableBy(distTags[wanted])) {
    target = distTags[wanted];
  } else if (type === 'version') {
    target = wanted;
  } else if (type !== 'range' && enjoyableBy(distTags[wanted])) {
    throw new Error('Only tag, version, and range are supported');
  }

  const tagVersion = distTags[opts.defaultTag];

  if (!target && tagVersion && packument.versions[tagVersion] && enjoyableBy(tagVersion) && semver.satisfies(tagVersion, wanted, true)) {
    target = tagVersion;
  }

  if (!target && !opts.includeDeprecated) {
    const undeprecated = versions.filter(v => !packument.versions[v].deprecated && enjoyableBy(v));
    target = semver.maxSatisfying(undeprecated, wanted, true);
  }

  if (!target) {
    const stillFresh = versions.filter(enjoyableBy);
    target = semver.maxSatisfying(stillFresh, wanted, true);
  }

  if (!target && wanted === '*' && enjoyableBy(tagVersion)) {
    // This specific corner is meant for the case where
    // someone is using `*` as a selector, but all versions
    // are pre-releases, which don't match ranges at all.
    target = tagVersion;
  }

  if (!target && time && type === 'tag' && distTags[wanted] && !enjoyableBy(distTags[wanted])) {
    const stillFresh = versions.filter(v => enjoyableBy(v) && semver.lte(v, distTags[wanted], true)).sort(semver.rcompare);
    target = stillFresh[0];
  }

  const manifest = target && packument.versions[target];

  if (!manifest) {
    err = new Error(`No matching version found for ${packument.name}@${wanted}${opts.enjoyBy ? ` with an Enjoy By date of ${new Date(opts.enjoyBy).toLocaleString()}. Maybe try a different date?` : ''}`);
    err.code = 'ETARGET';
    err.name = packument.name;
    err.type = type;
    err.wanted = wanted;
    err.versions = versions;
    err.distTags = distTags;
    err.defaultTag = opts.defaultTag;
    throw err;
  } else {
    return manifest;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/auth.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const config = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/config.js");

const url = __webpack_require__("url");

module.exports = getAuth;

function getAuth(registry, opts) {
  if (!registry) {
    throw new Error('registry is required');
  }

  opts = config(opts);
  let AUTH = {};
  const regKey = registry && registryKey(registry);

  if (opts.forceAuth) {
    opts = opts.forceAuth;
  }

  const doKey = (key, alias) => addKey(opts, AUTH, regKey, key, alias);

  doKey('token');
  doKey('_authToken', 'token');
  doKey('username');
  doKey('password');
  doKey('_password', 'password');
  doKey('email');
  doKey('_auth');
  doKey('otp');
  doKey('always-auth', 'alwaysAuth');

  if (AUTH.password) {
    AUTH.password = Buffer.from(AUTH.password, 'base64').toString('utf8');
  }

  AUTH.alwaysAuth = AUTH.alwaysAuth === 'false' ? false : !!AUTH.alwaysAuth;
  return AUTH;
}

function addKey(opts, obj, scope, key, objKey) {
  if (opts[key]) {
    obj[objKey || key] = opts[key];
  }

  if (scope && opts[`${scope}:${key}`]) {
    obj[objKey || key] = opts[`${scope}:${key}`];
  }
} // Called a nerf dart in the main codebase. Used as a "safe"
// key when fetching registry info from config.


function registryKey(registry) {
  const parsed = url.parse(registry);
  const formatted = url.format({
    host: parsed.host,
    pathname: parsed.pathname,
    slashes: parsed.slashes
  });
  return url.resolve(formatted, '.');
}

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/check-response.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const config = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/config.js");

const errors = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/errors.js");

const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/4.1.5/lru-cache/index.js");

module.exports = checkResponse;

function checkResponse(method, res, registry, startTime, opts) {
  opts = config(opts);

  if (res.headers.has('npm-notice') && !res.headers.has('x-local-cache')) {
    opts.log.notice('', res.headers.get('npm-notice'));
  }

  checkWarnings(res, registry, opts);

  if (res.status >= 400) {
    logRequest(method, res, startTime, opts);
    return checkErrors(method, res, startTime, opts);
  } else {
    res.body.on('end', () => logRequest(method, res, startTime, opts));

    if (opts.ignoreBody) {
      res.body.resume();
      res.body = null;
    }

    return res;
  }
}

function logRequest(method, res, startTime, opts) {
  const elapsedTime = Date.now() - startTime;
  const attempt = res.headers.get('x-fetch-attempts');
  const attemptStr = attempt && attempt > 1 ? ` attempt #${attempt}` : '';
  const cacheStr = res.headers.get('x-local-cache') ? ' (from cache)' : '';
  opts.log.http('fetch', `${method.toUpperCase()} ${res.status} ${res.url} ${elapsedTime}ms${attemptStr}${cacheStr}`);
}

const WARNING_REGEXP = /^\s*(\d{3})\s+(\S+)\s+"(.*)"\s+"([^"]+)"/;
const BAD_HOSTS = new LRU({
  max: 50
});

function checkWarnings(res, registry, opts) {
  if (res.headers.has('warning') && !BAD_HOSTS.has(registry)) {
    const warnings = {};
    res.headers.raw()['warning'].forEach(w => {
      const match = w.match(WARNING_REGEXP);

      if (match) {
        warnings[match[1]] = {
          code: match[1],
          host: match[2],
          message: match[3],
          date: new Date(match[4])
        };
      }
    });
    BAD_HOSTS.set(registry, true);

    if (warnings['199']) {
      if (warnings['199'].message.match(/ENOTFOUND/)) {
        opts.log.warn('registry', `Using stale data from ${registry} because the host is inaccessible -- are you offline?`);
      } else {
        opts.log.warn('registry', `Unexpected warning for ${registry}: ${warnings['199'].message}`);
      }
    }

    if (warnings['111']) {
      // 111 Revalidation failed -- we're using stale data
      opts.log.warn('registry', `Using stale data from ${registry} due to a request error during revalidation.`);
    }
  }
}

function checkErrors(method, res, startTime, opts) {
  return res.buffer().catch(() => null).then(body => {
    let parsed = body;

    try {
      parsed = JSON.parse(body.toString('utf8'));
    } catch (e) {}

    if (res.status === 401 && res.headers.get('www-authenticate')) {
      const auth = res.headers.get('www-authenticate').split(/,\s*/).map(s => s.toLowerCase());

      if (auth.indexOf('ipaddress') !== -1) {
        throw new errors.HttpErrorAuthIPAddress(method, res, parsed, opts.spec);
      } else if (auth.indexOf('otp') !== -1) {
        throw new errors.HttpErrorAuthOTP(method, res, parsed, opts.spec);
      } else {
        throw new errors.HttpErrorAuthUnknown(method, res, parsed, opts.spec);
      }
    } else if (res.status === 401 && /one-time pass/.test(body.toString('utf8'))) {
      // Heuristic for malformed OTP responses that don't include the www-authenticate header.
      throw new errors.HttpErrorAuthOTP(method, res, parsed, opts.spec);
    } else {
      throw new errors.HttpErrorGeneral(method, res, parsed, opts.spec);
    }
  });
}

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/config.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const pkg = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/package.json");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const silentLog = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/silentlog.js");

const AUTH_REGEX = /^(?:.*:)?(token|_authToken|username|_password|password|email|always-auth|_auth|otp)$/;
const SCOPE_REGISTRY_REGEX = /@.*:registry$/gi;
module.exports = figgyPudding({
  'agent': {},
  'algorithms': {},
  'body': {},
  'ca': {},
  'cache': {},
  'cert': {},
  'fetch-retries': {},
  'fetch-retry-factor': {},
  'fetch-retry-maxtimeout': {},
  'fetch-retry-mintimeout': {},
  'force-auth': {},
  forceAuth: 'force-auth',
  'gid': {},
  'gzip': {},
  'headers': {},
  'https-proxy': {},
  'ignore-body': {},
  ignoreBody: 'ignore-body',
  'integrity': {},
  'is-from-ci': 'isFromCI',
  'isFromCI': {
    default() {
      return process.env['CI'] === 'true' || process.env['TDDIUM'] || process.env['JENKINS_URL'] || process.env['bamboo.buildKey'] || process.env['GO_PIPELINE_NAME'];
    }

  },
  'key': {},
  'local-address': {},
  'log': {
    default: silentLog
  },
  'map-json': 'mapJson',
  'mapJSON': 'mapJson',
  'mapJson': {},
  'max-sockets': 'maxsockets',
  'maxsockets': {
    default: 12
  },
  'memoize': {},
  'method': {
    default: 'GET'
  },
  'no-proxy': {},
  'noproxy': {},
  'npm-session': 'npmSession',
  'npmSession': {},
  'offline': {},
  'otp': {},
  'prefer-offline': {},
  'prefer-online': {},
  'cache-policy': {},
  'cache-key': {},
  'projectScope': {},
  'project-scope': 'projectScope',
  'Promise': {
    default: () => Promise
  },
  'proxy': {},
  'query': {},
  'refer': {},
  'referer': 'refer',
  'registry': {
    default: 'https://registry.npmjs.org/'
  },
  'retry': {},
  'scope': {},
  'spec': {},
  'strict-ssl': {},
  'timeout': {},
  'uid': {},
  'user-agent': {
    default: `${pkg.name}@${pkg.version}/node@${process.version}+${process.arch} (${process.platform})`
  }
}, {
  other(key) {
    return key.match(AUTH_REGEX) || key.match(SCOPE_REGISTRY_REGEX);
  }

});

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/errors.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const url = __webpack_require__("url");

function packageName(href) {
  try {
    let basePath = url.parse(href).pathname.substr(1);

    if (!basePath.match(/^-/)) {
      basePath = basePath.split('/');
      var index = basePath.indexOf('_rewrite');

      if (index === -1) {
        index = basePath.length - 1;
      } else {
        index++;
      }

      return decodeURIComponent(basePath[index]);
    }
  } catch (_) {// this is ok
  }
}

class HttpErrorBase extends Error {
  constructor(method, res, body, spec) {
    super();
    this.headers = res.headers.raw();
    this.statusCode = res.status;
    this.code = `E${res.status}`;
    this.method = method;
    this.uri = res.url;
    this.body = body;
    this.pkgid = spec ? spec.toString() : packageName(res.url);
  }

}

module.exports.HttpErrorBase = HttpErrorBase;

class HttpErrorGeneral extends HttpErrorBase {
  constructor(method, res, body, spec) {
    super(method, res, body, spec);
    this.message = `${res.status} ${res.statusText} - ${this.method.toUpperCase()} ${this.spec || this.uri}${body && body.error ? ' - ' + body.error : ''}`;
    Error.captureStackTrace(this, HttpErrorGeneral);
  }

}

module.exports.HttpErrorGeneral = HttpErrorGeneral;

class HttpErrorAuthOTP extends HttpErrorBase {
  constructor(method, res, body, spec) {
    super(method, res, body, spec);
    this.message = 'OTP required for authentication';
    this.code = 'EOTP';
    Error.captureStackTrace(this, HttpErrorAuthOTP);
  }

}

module.exports.HttpErrorAuthOTP = HttpErrorAuthOTP;

class HttpErrorAuthIPAddress extends HttpErrorBase {
  constructor(method, res, body, spec) {
    super(method, res, body, spec);
    this.message = 'Login is not allowed from your IP address';
    this.code = 'EAUTHIP';
    Error.captureStackTrace(this, HttpErrorAuthIPAddress);
  }

}

module.exports.HttpErrorAuthIPAddress = HttpErrorAuthIPAddress;

class HttpErrorAuthUnknown extends HttpErrorBase {
  constructor(method, res, body, spec) {
    super(method, res, body, spec);
    this.message = 'Unable to authenticate, need: ' + res.headers.get('www-authenticate');
    Error.captureStackTrace(this, HttpErrorAuthUnknown);
  }

}

module.exports.HttpErrorAuthUnknown = HttpErrorAuthUnknown;

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js").Buffer;

const checkResponse = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/check-response.js");

const config = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/config.js");

const getAuth = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/auth.js");

const fetch = __webpack_require__("./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/index.js");

const JSONStream = __webpack_require__("./node_modules/.f/_/JSONStream/1.3.5/JSONStream/index.js");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

const {
  PassThrough
} = __webpack_require__("stream");

const qs = __webpack_require__("querystring");

const url = __webpack_require__("url");

const zlib = __webpack_require__("zlib");

module.exports = regFetch;

function regFetch(uri, opts) {
  opts = config(opts);
  const registry = opts.spec && pickRegistry(opts.spec, opts) || opts.registry || 'https://registry.npmjs.org/';
  uri = url.parse(uri).protocol ? uri : `${registry.trim().replace(/\/?$/g, '')}/${uri.trim().replace(/^\//, '')}`; // through that takes into account the scope, the prefix of `uri`, etc

  const startTime = Date.now();
  const headers = getHeaders(registry, uri, opts);
  let body = opts.body;
  const bodyIsStream = body && typeof body === 'object' && typeof body.pipe === 'function';

  if (body && !bodyIsStream && typeof body !== 'string' && !Buffer.isBuffer(body)) {
    headers['content-type'] = headers['content-type'] || 'application/json';
    body = JSON.stringify(body);
  } else if (body && !headers['content-type']) {
    headers['content-type'] = 'application/octet-stream';
  }

  if (opts.gzip) {
    headers['content-encoding'] = 'gzip';

    if (bodyIsStream) {
      const gz = zlib.createGzip();
      body.on('error', err => gz.emit('error', err));
      body = body.pipe(gz);
    } else {
      body = new opts.Promise((resolve, reject) => {
        zlib.gzip(body, (err, gz) => err ? reject(err) : resolve(gz));
      });
    }
  }

  if (opts.query) {
    let q = opts.query;

    if (typeof q === 'string') {
      q = qs.parse(q);
    }

    Object.keys(q).forEach(key => {
      if (q[key] === undefined) {
        delete q[key];
      }
    });

    if (Object.keys(q).length) {
      const parsed = url.parse(uri);
      parsed.search = '?' + qs.stringify(parsed.query ? Object.assign(qs.parse(parsed.query), q) : q);
      uri = url.format(parsed);
    }
  }

  return opts.Promise.resolve(body).then(body => fetch(uri, {
    agent: opts.agent,
    algorithms: opts.algorithms,
    body,
    cache: getCacheMode(opts),
    cacheManager: opts.cache,
    ca: opts.ca,
    cert: opts.cert,
    headers,
    integrity: opts.integrity,
    key: opts.key,
    localAddress: opts['local-address'],
    maxSockets: opts.maxsockets,
    memoize: opts.memoize,
    method: opts.method || 'GET',
    noProxy: opts['no-proxy'] || opts.noproxy,
    Promise: opts.Promise,
    proxy: opts['https-proxy'] || opts.proxy,
    cachePolicy: opts['cache-policy'] || "default",
    cacheKey: opts['cache-key'],
    referer: opts.refer,
    retry: opts.retry != null ? opts.retry : {
      retries: opts['fetch-retries'],
      factor: opts['fetch-retry-factor'],
      minTimeout: opts['fetch-retry-mintimeout'],
      maxTimeout: opts['fetch-retry-maxtimeout']
    },
    strictSSL: !!opts['strict-ssl'],
    timeout: opts.timeout,
    uid: opts.uid,
    gid: opts.gid
  }).then(res => checkResponse(opts.method || 'GET', res, registry, startTime, opts)));
}

module.exports.json = fetchJSON;

function fetchJSON(uri, opts) {
  return regFetch(uri, opts).then(res => res.json());
}

module.exports.json.stream = fetchJSONStream;

function fetchJSONStream(uri, jsonPath, opts) {
  opts = config(opts);
  const parser = JSONStream.parse(jsonPath, opts.mapJson);
  const pt = parser.pipe(new PassThrough({
    objectMode: true
  }));
  parser.on('error', err => pt.emit('error', err));
  regFetch(uri, opts).then(res => {
    res.body.on('error', err => parser.emit('error', err));
    res.body.pipe(parser);
  }, err => pt.emit('error', err));
  return pt;
}

module.exports.pickRegistry = pickRegistry;

function pickRegistry(spec, opts) {
  spec = npa(spec);
  opts = config(opts);
  let registry = spec.scope && opts[spec.scope.replace(/^@?/, '@') + ':registry'];

  if (!registry && opts.scope) {
    registry = opts[opts.scope.replace(/^@?/, '@') + ':registry'];
  }

  if (!registry) {
    registry = opts.registry || 'https://registry.npmjs.org/';
  }

  return registry;
}

function getCacheMode(opts) {
  return opts.offline ? 'only-if-cached' : opts['prefer-offline'] ? 'force-cache' : opts['prefer-online'] ? 'no-cache' : 'default';
}

function getHeaders(registry, uri, opts) {
  const headers = Object.assign({
    'npm-in-ci': !!(opts['is-from-ci'] || process.env['CI'] === 'true' || process.env['TDDIUM'] || process.env['JENKINS_URL'] || process.env['bamboo.buildKey'] || process.env['GO_PIPELINE_NAME']),
    'npm-scope': opts['project-scope'],
    'npm-session': opts['npm-session'],
    'user-agent': opts['user-agent'],
    'referer': opts.refer
  }, opts.headers);
  const auth = getAuth(registry, opts); // If a tarball is hosted on a different place than the manifest, only send
  // credentials on `alwaysAuth`

  const shouldAuth = auth.alwaysAuth || url.parse(uri).host === url.parse(registry).host;

  if (shouldAuth && auth.token) {
    headers.authorization = `Bearer ${auth.token}`;
  } else if (shouldAuth && auth.username && auth.password) {
    const encoded = Buffer.from(`${auth.username}:${auth.password}`, 'utf8').toString('base64');
    headers.authorization = `Basic ${encoded}`;
  } else if (shouldAuth && auth._auth) {
    headers.authorization = `Basic ${auth._auth}`;
  }

  if (shouldAuth && auth.otp) {
    headers['npm-otp'] = auth.otp;
  }

  return headers;
}

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/silentlog.js":
/***/ ((module) => {

"use strict";


const noop = Function.prototype;
module.exports = {
  error: noop,
  warn: noop,
  notice: noop,
  info: noop,
  verbose: noop,
  silly: noop,
  http: noop,
  pause: noop,
  resume: noop
};

/***/ }),

/***/ "./node_modules/.f/_/npm-run-path/4.0.1/npm-run-path/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const path = __webpack_require__("path");

const pathKey = __webpack_require__("./node_modules/.f/_/path-key/3.1.1/path-key/index.js");

const npmRunPath = options => {
  options = _objectSpread({
    cwd: process.cwd(),
    path: process.env[pathKey()],
    execPath: process.execPath
  }, options);
  let previous;
  let cwdPath = path.resolve(options.cwd);
  const result = [];

  while (previous !== cwdPath) {
    result.push(path.join(cwdPath, 'node_modules/.bin'));
    previous = cwdPath;
    cwdPath = path.resolve(cwdPath, '..');
  } // Ensure the running `node` binary is used


  const execPathDir = path.resolve(options.cwd, options.execPath, '..');
  result.push(execPathDir);
  return result.concat(options.path).join(path.delimiter);
};

module.exports = npmRunPath; // TODO: Remove this for the next major release

module.exports["default"] = npmRunPath;

module.exports.env = options => {
  options = _objectSpread({
    env: process.env
  }, options);

  const env = _objectSpread({}, options.env);

  const path = pathKey({
    env
  });
  options.path = env[path];
  env[path] = module.exports(options);
  return env;
};

/***/ }),

/***/ "./node_modules/.f/_/npmlog/4.1.2/npmlog/log.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


var Progress = __webpack_require__("./node_modules/.f/_/are-we-there-yet/1.1.5/are-we-there-yet/index.js");

var Gauge = __webpack_require__("./node_modules/.f/_/gauge/2.7.4/gauge/index.js");

var EE = __webpack_require__("events").EventEmitter;

var log = exports = module.exports = new EE();

var util = __webpack_require__("util");

var setBlocking = __webpack_require__("./node_modules/.f/_/set-blocking/2.0.0/set-blocking/index.js");

var consoleControl = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js");

setBlocking(true);
var stream = process.stderr;
Object.defineProperty(log, 'stream', {
  set: function (newStream) {
    stream = newStream;
    if (this.gauge) this.gauge.setWriteTo(stream, stream);
  },
  get: function () {
    return stream;
  }
}); // by default, decide based on tty-ness.

var colorEnabled;

log.useColor = function () {
  return colorEnabled != null ? colorEnabled : stream.isTTY;
};

log.enableColor = function () {
  colorEnabled = true;
  this.gauge.setTheme({
    hasColor: colorEnabled,
    hasUnicode: unicodeEnabled
  });
};

log.disableColor = function () {
  colorEnabled = false;
  this.gauge.setTheme({
    hasColor: colorEnabled,
    hasUnicode: unicodeEnabled
  });
}; // default level


log.level = 'info';
log.gauge = new Gauge(stream, {
  enabled: false,
  // no progress bars unless asked
  theme: {
    hasColor: log.useColor()
  },
  template: [{
    type: 'progressbar',
    length: 20
  }, {
    type: 'activityIndicator',
    kerning: 1,
    length: 1
  }, {
    type: 'section',
    default: ''
  }, ':', {
    type: 'logline',
    kerning: 1,
    default: ''
  }]
});
log.tracker = new Progress.TrackerGroup(); // we track this separately as we may need to temporarily disable the
// display of the status bar for our own loggy purposes.

log.progressEnabled = log.gauge.isEnabled();
var unicodeEnabled;

log.enableUnicode = function () {
  unicodeEnabled = true;
  this.gauge.setTheme({
    hasColor: this.useColor(),
    hasUnicode: unicodeEnabled
  });
};

log.disableUnicode = function () {
  unicodeEnabled = false;
  this.gauge.setTheme({
    hasColor: this.useColor(),
    hasUnicode: unicodeEnabled
  });
};

log.setGaugeThemeset = function (themes) {
  this.gauge.setThemeset(themes);
};

log.setGaugeTemplate = function (template) {
  this.gauge.setTemplate(template);
};

log.enableProgress = function () {
  if (this.progressEnabled) return;
  this.progressEnabled = true;
  this.tracker.on('change', this.showProgress);
  if (this._pause) return;
  this.gauge.enable();
};

log.disableProgress = function () {
  if (!this.progressEnabled) return;
  this.progressEnabled = false;
  this.tracker.removeListener('change', this.showProgress);
  this.gauge.disable();
};

var trackerConstructors = ['newGroup', 'newItem', 'newStream'];

var mixinLog = function (tracker) {
  // mixin the public methods from log into the tracker
  // (except: conflicts and one's we handle specially)
  Object.keys(log).forEach(function (P) {
    if (P[0] === '_') return;
    if (trackerConstructors.filter(function (C) {
      return C === P;
    }).length) return;
    if (tracker[P]) return;
    if (typeof log[P] !== 'function') return;
    var func = log[P];

    tracker[P] = function () {
      return func.apply(log, arguments);
    };
  }); // if the new tracker is a group, make sure any subtrackers get
  // mixed in too

  if (tracker instanceof Progress.TrackerGroup) {
    trackerConstructors.forEach(function (C) {
      var func = tracker[C];

      tracker[C] = function () {
        return mixinLog(func.apply(tracker, arguments));
      };
    });
  }

  return tracker;
}; // Add tracker constructors to the top level log object


trackerConstructors.forEach(function (C) {
  log[C] = function () {
    return mixinLog(this.tracker[C].apply(this.tracker, arguments));
  };
});

log.clearProgress = function (cb) {
  if (!this.progressEnabled) return cb && process.nextTick(cb);
  this.gauge.hide(cb);
};

log.showProgress = function (name, completed) {
  if (!this.progressEnabled) return;
  var values = {};
  if (name) values.section = name;
  var last = log.record[log.record.length - 1];

  if (last) {
    values.subsection = last.prefix;
    var disp = log.disp[last.level] || last.level;

    var logline = this._format(disp, log.style[last.level]);

    if (last.prefix) logline += ' ' + this._format(last.prefix, this.prefixStyle);
    logline += ' ' + last.message.split(/\r?\n/)[0];
    values.logline = logline;
  }

  values.completed = completed || this.tracker.completed();
  this.gauge.show(values);
}.bind(log); // bind for use in tracker's on-change listener
// temporarily stop emitting, but don't drop


log.pause = function () {
  this._paused = true;
  if (this.progressEnabled) this.gauge.disable();
};

log.resume = function () {
  if (!this._paused) return;
  this._paused = false;
  var b = this._buffer;
  this._buffer = [];
  b.forEach(function (m) {
    this.emitLog(m);
  }, this);
  if (this.progressEnabled) this.gauge.enable();
};

log._buffer = [];
var id = 0;
log.record = [];
log.maxRecordSize = 10000;

log.log = function (lvl, prefix, message) {
  var l = this.levels[lvl];

  if (l === undefined) {
    return this.emit('error', new Error(util.format('Undefined log level: %j', lvl)));
  }

  var a = new Array(arguments.length - 2);
  var stack = null;

  for (var i = 2; i < arguments.length; i++) {
    var arg = a[i - 2] = arguments[i]; // resolve stack traces to a plain string.

    if (typeof arg === 'object' && arg && arg instanceof Error && arg.stack) {
      Object.defineProperty(arg, 'stack', {
        value: stack = arg.stack + '',
        enumerable: true,
        writable: true
      });
    }
  }

  if (stack) a.unshift(stack + '\n');
  message = util.format.apply(util, a);
  var m = {
    id: id++,
    level: lvl,
    prefix: String(prefix || ''),
    message: message,
    messageRaw: a
  };
  this.emit('log', m);
  this.emit('log.' + lvl, m);
  if (m.prefix) this.emit(m.prefix, m);
  this.record.push(m);
  var mrs = this.maxRecordSize;
  var n = this.record.length - mrs;

  if (n > mrs / 10) {
    var newSize = Math.floor(mrs * 0.9);
    this.record = this.record.slice(-1 * newSize);
  }

  this.emitLog(m);
}.bind(log);

log.emitLog = function (m) {
  if (this._paused) {
    this._buffer.push(m);

    return;
  }

  if (this.progressEnabled) this.gauge.pulse(m.prefix);
  var l = this.levels[m.level];
  if (l === undefined) return;
  if (l < this.levels[this.level]) return;
  if (l > 0 && !isFinite(l)) return; // If 'disp' is null or undefined, use the lvl as a default
  // Allows: '', 0 as valid disp

  var disp = log.disp[m.level] != null ? log.disp[m.level] : m.level;
  this.clearProgress();
  m.message.split(/\r?\n/).forEach(function (line) {
    if (this.heading) {
      this.write(this.heading, this.headingStyle);
      this.write(' ');
    }

    this.write(disp, log.style[m.level]);
    var p = m.prefix || '';
    if (p) this.write(' ');
    this.write(p, this.prefixStyle);
    this.write(' ' + line + '\n');
  }, this);
  this.showProgress();
};

log._format = function (msg, style) {
  if (!stream) return;
  var output = '';

  if (this.useColor()) {
    style = style || {};
    var settings = [];
    if (style.fg) settings.push(style.fg);
    if (style.bg) settings.push('bg' + style.bg[0].toUpperCase() + style.bg.slice(1));
    if (style.bold) settings.push('bold');
    if (style.underline) settings.push('underline');
    if (style.inverse) settings.push('inverse');
    if (settings.length) output += consoleControl.color(settings);
    if (style.beep) output += consoleControl.beep();
  }

  output += msg;

  if (this.useColor()) {
    output += consoleControl.color('reset');
  }

  return output;
};

log.write = function (msg, style) {
  if (!stream) return;
  stream.write(this._format(msg, style));
};

log.addLevel = function (lvl, n, style, disp) {
  // If 'disp' is null or undefined, use the lvl as a default
  if (disp == null) disp = lvl;
  this.levels[lvl] = n;
  this.style[lvl] = style;

  if (!this[lvl]) {
    this[lvl] = function () {
      var a = new Array(arguments.length + 1);
      a[0] = lvl;

      for (var i = 0; i < arguments.length; i++) {
        a[i + 1] = arguments[i];
      }

      return this.log.apply(this, a);
    }.bind(this);
  }

  this.disp[lvl] = disp;
};

log.prefixStyle = {
  fg: 'magenta'
};
log.headingStyle = {
  fg: 'white',
  bg: 'black'
};
log.style = {};
log.levels = {};
log.disp = {};
log.addLevel('silly', -Infinity, {
  inverse: true
}, 'sill');
log.addLevel('verbose', 1000, {
  fg: 'blue',
  bg: 'black'
}, 'verb');
log.addLevel('info', 2000, {
  fg: 'green'
});
log.addLevel('timing', 2500, {
  fg: 'green',
  bg: 'black'
});
log.addLevel('http', 3000, {
  fg: 'green',
  bg: 'black'
});
log.addLevel('notice', 3500, {
  fg: 'blue',
  bg: 'black'
});
log.addLevel('warn', 4000, {
  fg: 'black',
  bg: 'yellow'
}, 'WARN');
log.addLevel('error', 5000, {
  fg: 'red',
  bg: 'black'
}, 'ERR!');
log.addLevel('silent', Infinity); // allow 'error' prefix

log.on('error', function () {});

/***/ }),

/***/ "./node_modules/.f/_/npmlog/6.0.0/npmlog/lib/log.js":
/***/ ((module, exports, __webpack_require__) => {

"use strict";


var Progress = __webpack_require__("./node_modules/.f/_/are-we-there-yet/2.0.0/are-we-there-yet/lib/index.js");

var Gauge = __webpack_require__("./node_modules/.f/_/gauge/4.0.0/gauge/lib/index.js");

var EE = __webpack_require__("events").EventEmitter;

var log = exports = module.exports = new EE();

var util = __webpack_require__("util");

var setBlocking = __webpack_require__("./node_modules/.f/_/set-blocking/2.0.0/set-blocking/index.js");

var consoleControl = __webpack_require__("./node_modules/.f/_/console-control-strings/1.1.0/console-control-strings/index.js");

setBlocking(true);
var stream = process.stderr;
Object.defineProperty(log, 'stream', {
  set: function (newStream) {
    stream = newStream;

    if (this.gauge) {
      this.gauge.setWriteTo(stream, stream);
    }
  },
  get: function () {
    return stream;
  }
}); // by default, decide based on tty-ness.

var colorEnabled;

log.useColor = function () {
  return colorEnabled != null ? colorEnabled : stream.isTTY;
};

log.enableColor = function () {
  colorEnabled = true;
  this.gauge.setTheme({
    hasColor: colorEnabled,
    hasUnicode: unicodeEnabled
  });
};

log.disableColor = function () {
  colorEnabled = false;
  this.gauge.setTheme({
    hasColor: colorEnabled,
    hasUnicode: unicodeEnabled
  });
}; // default level


log.level = 'info';
log.gauge = new Gauge(stream, {
  enabled: false,
  // no progress bars unless asked
  theme: {
    hasColor: log.useColor()
  },
  template: [{
    type: 'progressbar',
    length: 20
  }, {
    type: 'activityIndicator',
    kerning: 1,
    length: 1
  }, {
    type: 'section',
    default: ''
  }, ':', {
    type: 'logline',
    kerning: 1,
    default: ''
  }]
});
log.tracker = new Progress.TrackerGroup(); // we track this separately as we may need to temporarily disable the
// display of the status bar for our own loggy purposes.

log.progressEnabled = log.gauge.isEnabled();
var unicodeEnabled;

log.enableUnicode = function () {
  unicodeEnabled = true;
  this.gauge.setTheme({
    hasColor: this.useColor(),
    hasUnicode: unicodeEnabled
  });
};

log.disableUnicode = function () {
  unicodeEnabled = false;
  this.gauge.setTheme({
    hasColor: this.useColor(),
    hasUnicode: unicodeEnabled
  });
};

log.setGaugeThemeset = function (themes) {
  this.gauge.setThemeset(themes);
};

log.setGaugeTemplate = function (template) {
  this.gauge.setTemplate(template);
};

log.enableProgress = function () {
  if (this.progressEnabled) {
    return;
  }

  this.progressEnabled = true;
  this.tracker.on('change', this.showProgress);

  if (this._paused) {
    return;
  }

  this.gauge.enable();
};

log.disableProgress = function () {
  if (!this.progressEnabled) {
    return;
  }

  this.progressEnabled = false;
  this.tracker.removeListener('change', this.showProgress);
  this.gauge.disable();
};

var trackerConstructors = ['newGroup', 'newItem', 'newStream'];

var mixinLog = function (tracker) {
  // mixin the public methods from log into the tracker
  // (except: conflicts and one's we handle specially)
  Object.keys(log).forEach(function (P) {
    if (P[0] === '_') {
      return;
    }

    if (trackerConstructors.filter(function (C) {
      return C === P;
    }).length) {
      return;
    }

    if (tracker[P]) {
      return;
    }

    if (typeof log[P] !== 'function') {
      return;
    }

    var func = log[P];

    tracker[P] = function () {
      return func.apply(log, arguments);
    };
  }); // if the new tracker is a group, make sure any subtrackers get
  // mixed in too

  if (tracker instanceof Progress.TrackerGroup) {
    trackerConstructors.forEach(function (C) {
      var func = tracker[C];

      tracker[C] = function () {
        return mixinLog(func.apply(tracker, arguments));
      };
    });
  }

  return tracker;
}; // Add tracker constructors to the top level log object


trackerConstructors.forEach(function (C) {
  log[C] = function () {
    return mixinLog(this.tracker[C].apply(this.tracker, arguments));
  };
});

log.clearProgress = function (cb) {
  if (!this.progressEnabled) {
    return cb && process.nextTick(cb);
  }

  this.gauge.hide(cb);
};

log.showProgress = function (name, completed) {
  if (!this.progressEnabled) {
    return;
  }

  var values = {};

  if (name) {
    values.section = name;
  }

  var last = log.record[log.record.length - 1];

  if (last) {
    values.subsection = last.prefix;
    var disp = log.disp[last.level] || last.level;

    var logline = this._format(disp, log.style[last.level]);

    if (last.prefix) {
      logline += ' ' + this._format(last.prefix, this.prefixStyle);
    }

    logline += ' ' + last.message.split(/\r?\n/)[0];
    values.logline = logline;
  }

  values.completed = completed || this.tracker.completed();
  this.gauge.show(values);
}.bind(log); // bind for use in tracker's on-change listener
// temporarily stop emitting, but don't drop


log.pause = function () {
  this._paused = true;

  if (this.progressEnabled) {
    this.gauge.disable();
  }
};

log.resume = function () {
  if (!this._paused) {
    return;
  }

  this._paused = false;
  var b = this._buffer;
  this._buffer = [];
  b.forEach(function (m) {
    this.emitLog(m);
  }, this);

  if (this.progressEnabled) {
    this.gauge.enable();
  }
};

log._buffer = [];
var id = 0;
log.record = [];
log.maxRecordSize = 10000;

log.log = function (lvl, prefix, message) {
  var l = this.levels[lvl];

  if (l === undefined) {
    return this.emit('error', new Error(util.format('Undefined log level: %j', lvl)));
  }

  var a = new Array(arguments.length - 2);
  var stack = null;

  for (var i = 2; i < arguments.length; i++) {
    var arg = a[i - 2] = arguments[i]; // resolve stack traces to a plain string.

    if (typeof arg === 'object' && arg instanceof Error && arg.stack) {
      Object.defineProperty(arg, 'stack', {
        value: stack = arg.stack + '',
        enumerable: true,
        writable: true
      });
    }
  }

  if (stack) {
    a.unshift(stack + '\n');
  }

  message = util.format.apply(util, a);
  var m = {
    id: id++,
    level: lvl,
    prefix: String(prefix || ''),
    message: message,
    messageRaw: a
  };
  this.emit('log', m);
  this.emit('log.' + lvl, m);

  if (m.prefix) {
    this.emit(m.prefix, m);
  }

  this.record.push(m);
  var mrs = this.maxRecordSize;
  var n = this.record.length - mrs;

  if (n > mrs / 10) {
    var newSize = Math.floor(mrs * 0.9);
    this.record = this.record.slice(-1 * newSize);
  }

  this.emitLog(m);
}.bind(log);

log.emitLog = function (m) {
  if (this._paused) {
    this._buffer.push(m);

    return;
  }

  if (this.progressEnabled) {
    this.gauge.pulse(m.prefix);
  }

  var l = this.levels[m.level];

  if (l === undefined) {
    return;
  }

  if (l < this.levels[this.level]) {
    return;
  }

  if (l > 0 && !isFinite(l)) {
    return;
  } // If 'disp' is null or undefined, use the lvl as a default
  // Allows: '', 0 as valid disp


  var disp = log.disp[m.level] != null ? log.disp[m.level] : m.level;
  this.clearProgress();
  m.message.split(/\r?\n/).forEach(function (line) {
    if (this.heading) {
      this.write(this.heading, this.headingStyle);
      this.write(' ');
    }

    this.write(disp, log.style[m.level]);
    var p = m.prefix || '';

    if (p) {
      this.write(' ');
    }

    this.write(p, this.prefixStyle);
    this.write(' ' + line + '\n');
  }, this);
  this.showProgress();
};

log._format = function (msg, style) {
  if (!stream) {
    return;
  }

  var output = '';

  if (this.useColor()) {
    style = style || {};
    var settings = [];

    if (style.fg) {
      settings.push(style.fg);
    }

    if (style.bg) {
      settings.push('bg' + style.bg[0].toUpperCase() + style.bg.slice(1));
    }

    if (style.bold) {
      settings.push('bold');
    }

    if (style.underline) {
      settings.push('underline');
    }

    if (style.inverse) {
      settings.push('inverse');
    }

    if (settings.length) {
      output += consoleControl.color(settings);
    }

    if (style.beep) {
      output += consoleControl.beep();
    }
  }

  output += msg;

  if (this.useColor()) {
    output += consoleControl.color('reset');
  }

  return output;
};

log.write = function (msg, style) {
  if (!stream) {
    return;
  }

  stream.write(this._format(msg, style));
};

log.addLevel = function (lvl, n, style, disp) {
  // If 'disp' is null or undefined, use the lvl as a default
  if (disp == null) {
    disp = lvl;
  }

  this.levels[lvl] = n;
  this.style[lvl] = style;

  if (!this[lvl]) {
    this[lvl] = function () {
      var a = new Array(arguments.length + 1);
      a[0] = lvl;

      for (var i = 0; i < arguments.length; i++) {
        a[i + 1] = arguments[i];
      }

      return this.log.apply(this, a);
    }.bind(this);
  }

  this.disp[lvl] = disp;
};

log.prefixStyle = {
  fg: 'magenta'
};
log.headingStyle = {
  fg: 'white',
  bg: 'black'
};
log.style = {};
log.levels = {};
log.disp = {};
log.addLevel('silly', -Infinity, {
  inverse: true
}, 'sill');
log.addLevel('verbose', 1000, {
  fg: 'blue',
  bg: 'black'
}, 'verb');
log.addLevel('info', 2000, {
  fg: 'green'
});
log.addLevel('timing', 2500, {
  fg: 'green',
  bg: 'black'
});
log.addLevel('http', 3000, {
  fg: 'green',
  bg: 'black'
});
log.addLevel('notice', 3500, {
  fg: 'blue',
  bg: 'black'
});
log.addLevel('warn', 4000, {
  fg: 'black',
  bg: 'yellow'
}, 'WARN');
log.addLevel('error', 5000, {
  fg: 'red',
  bg: 'black'
}, 'ERR!');
log.addLevel('silent', Infinity); // allow 'error' prefix

log.on('error', function () {});

/***/ }),

/***/ "./node_modules/.f/_/number-is-nan/1.0.1/number-is-nan/index.js":
/***/ ((module) => {

"use strict";


module.exports = Number.isNaN || function (x) {
  return x !== x;
};

/***/ }),

/***/ "./node_modules/.f/_/object-assign/4.1.1/object-assign/index.js":
/***/ ((module) => {

"use strict";
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/

/* eslint-disable no-unused-vars */

var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
  if (val === null || val === undefined) {
    throw new TypeError('Object.assign cannot be called with null or undefined');
  }

  return Object(val);
}

function shouldUseNative() {
  try {
    if (!Object.assign) {
      return false;
    } // Detect buggy property enumeration order in older V8 versions.
    // https://bugs.chromium.org/p/v8/issues/detail?id=4118


    var test1 = new String('abc'); // eslint-disable-line no-new-wrappers

    test1[5] = 'de';

    if (Object.getOwnPropertyNames(test1)[0] === '5') {
      return false;
    } // https://bugs.chromium.org/p/v8/issues/detail?id=3056


    var test2 = {};

    for (var i = 0; i < 10; i++) {
      test2['_' + String.fromCharCode(i)] = i;
    }

    var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
      return test2[n];
    });

    if (order2.join('') !== '0123456789') {
      return false;
    } // https://bugs.chromium.org/p/v8/issues/detail?id=3056


    var test3 = {};
    'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
      test3[letter] = letter;
    });

    if (Object.keys(Object.assign({}, test3)).join('') !== 'abcdefghijklmnopqrst') {
      return false;
    }

    return true;
  } catch (err) {
    // We don't expect any of the above to throw, but better to be safe.
    return false;
  }
}

module.exports = shouldUseNative() ? Object.assign : function (target, source) {
  var from;
  var to = toObject(target);
  var symbols;

  for (var s = 1; s < arguments.length; s++) {
    from = Object(arguments[s]);

    for (var key in from) {
      if (hasOwnProperty.call(from, key)) {
        to[key] = from[key];
      }
    }

    if (getOwnPropertySymbols) {
      symbols = getOwnPropertySymbols(from);

      for (var i = 0; i < symbols.length; i++) {
        if (propIsEnumerable.call(from, symbols[i])) {
          to[symbols[i]] = from[symbols[i]];
        }
      }
    }
  }

  return to;
};

/***/ }),

/***/ "./node_modules/.f/_/once/1.4.0/once/once.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var wrappy = __webpack_require__("./node_modules/.f/_/wrappy/1.0.2/wrappy/wrappy.js");

module.exports = wrappy(once);
module.exports.strict = wrappy(onceStrict);
once.proto = once(function () {
  Object.defineProperty(Function.prototype, 'once', {
    value: function () {
      return once(this);
    },
    configurable: true
  });
  Object.defineProperty(Function.prototype, 'onceStrict', {
    value: function () {
      return onceStrict(this);
    },
    configurable: true
  });
});

function once(fn) {
  var f = function () {
    if (f.called) return f.value;
    f.called = true;
    return f.value = fn.apply(this, arguments);
  };

  f.called = false;
  return f;
}

function onceStrict(fn) {
  var f = function () {
    if (f.called) throw new Error(f.onceError);
    f.called = true;
    return f.value = fn.apply(this, arguments);
  };

  var name = fn.name || 'Function wrapped with `once`';
  f.onceError = name + " shouldn't be called more than once";
  f.called = false;
  return f;
}

/***/ }),

/***/ "./node_modules/.f/_/onetime/5.1.2/onetime/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const mimicFn = __webpack_require__("./node_modules/.f/_/mimic-fn/2.1.0/mimic-fn/index.js");

const calledFunctions = new WeakMap();

const onetime = (function_, options = {}) => {
  if (typeof function_ !== 'function') {
    throw new TypeError('Expected a function');
  }

  let returnValue;
  let callCount = 0;
  const functionName = function_.displayName || function_.name || '<anonymous>';

  const onetime = function (...arguments_) {
    calledFunctions.set(onetime, ++callCount);

    if (callCount === 1) {
      returnValue = function_.apply(this, arguments_);
      function_ = null;
    } else if (options.throw === true) {
      throw new Error(`Function \`${functionName}\` can only be called once`);
    }

    return returnValue;
  };

  mimicFn(onetime, function_);
  calledFunctions.set(onetime, callCount);
  return onetime;
};

module.exports = onetime; // TODO: Remove this for the next major release

module.exports["default"] = onetime;

module.exports.callCount = function_ => {
  if (!calledFunctions.has(function_)) {
    throw new Error(`The given function \`${function_.name}\` is not wrapped by the \`onetime\` package`);
  }

  return calledFunctions.get(function_);
};

/***/ }),

/***/ "./node_modules/.f/_/opfs/1.1.1/opfs/lib/find-owner-dir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const fs = __webpack_require__("fs");

function searchUp(ownerDir) {
  let n = 50;

  while (--n > 0) {
    if (fs.existsSync(Path.join(ownerDir, "package.json"))) break;
    const tmp = Path.join(ownerDir, "..");
    if (tmp === ownerDir) break;
    ownerDir = tmp;
  }

  return ownerDir;
}

function findOwnerDir(origin) {
  let ownerDir = origin || __dirname;
  const nmX = ownerDir.indexOf(`node_modules${Path.sep}opfs`);

  if (nmX > 0) {
    ownerDir = ownerDir.substring(0, nmX);
  } else {
    const ix = ownerDir.indexOf("node_modules") > 0 && ownerDir.indexOf(`${Path.sep}opfs`);
    ownerDir = searchUp(ix > 0 ? ownerDir.substring(0, ix) : ownerDir);
  }

  return ownerDir;
}

module.exports = findOwnerDir;

/***/ }),

/***/ "./node_modules/.f/_/opfs/1.1.1/opfs/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable global-require */

const Path = __webpack_require__("path");

const fs = __webpack_require__("fs");

const findOwnerDir = __webpack_require__("./node_modules/.f/_/opfs/1.1.1/opfs/lib/find-owner-dir.js");

let mkdirp;
let rimraf;
let bluebird;
let pkg;
let addDev = "production" !== "production";

try {
  const ownerDir = findOwnerDir(__dirname);
  pkg = JSON.parse(fs.readFileSync(Path.join(ownerDir, "package.json")));
  /* istanbul ignore next */

  const pkgAddDev = pkg.opfs && pkg.opfs.addDev;
  /* istanbul ignore next */

  addDev = pkgAddDev !== undefined ? pkgAddDev : addDev;
} catch (err) {
  /* istanbul ignore next */
  pkg = {};
}

const findDep = name => ["dependencies", "optionalDependencies"].concat(addDev && "devDependencies").find(x => pkg && pkg[x] && pkg[x][name]) ||
/* istanbul ignore next */
pkg.opfs && pkg.opfs[name]; // must explicitly require within try/catch blocks
// for it to work when bundling for node using webpack


try {
  /* istanbul ignore next */
  mkdirp = findDep("mkdirp") && __webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js");
} catch (err) {
  /* istanbul ignore next */
  mkdirp = undefined;
}

try {
  rimraf = findDep("rimraf") && __webpack_require__("./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js");
} catch (err) {
  /* istanbul ignore next */
  rimraf = undefined;
}

try {
  bluebird = findDep("bluebird") && __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");
} catch (err) {
  /* istanbul ignore next */
  bluebird = undefined;
}

const wrap = __webpack_require__("./node_modules/.f/_/opfs/1.1.1/opfs/lib/wrap.js");

module.exports = wrap({}, fs, bluebird, [// sync can be passed in separately or opt.sync is checked
{
  name: "mkdirp",
  func: mkdirp // sync can be passed in separately or func.sync is checked
  // sync: mkdirp.sync
  // context can be passed in separately or func is used
  // context: mkdirp

}, {
  name: "rimraf",
  func: rimraf
}]);

/***/ }),

/***/ "./node_modules/.f/_/opfs/1.1.1/opfs/lib/symbols.js":
/***/ ((module) => {

"use strict";


const PROMISE = Symbol("opfs-promise");
const CHANGED = Symbol("changed");
const OPTIONALS = Symbol("optionals");
const ORIGINAL_FS = Symbol("original-fs");
const SAVE_STACK = Symbol("save stack");
module.exports = {
  PROMISE,
  CHANGED,
  OPTIONALS,
  ORIGINAL_FS,
  SAVE_STACK
};

/***/ }),

/***/ "./node_modules/.f/_/opfs/1.1.1/opfs/lib/wrap.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable max-params, no-invalid-this */

const assert = __webpack_require__("assert");

const {
  PROMISE,
  CHANGED,
  OPTIONALS,
  ORIGINAL_FS,
  SAVE_STACK
} = __webpack_require__("./node_modules/.f/_/opfs/1.1.1/opfs/lib/symbols.js");

function setPromise(p) {
  /* istanbul ignore next */
  this[PROMISE] = p || global.Promise;
  return this._opfsInitialize(true);
}

function saveStack(p) {
  this[SAVE_STACK] = p;
}

function addOptionals() {
  for (let x = 0; x < arguments.length; x++) {
    const opt = arguments[x];
    assert(typeof opt === "object", "adding optional must be object");
    assert(typeof opt.name === "string" && opt.name, "adding optional must have a name string");
    assert(typeof opt.func === "function", "adding optional have an func function");
    this[OPTIONALS].push(opt);
  }

  return this._opfsInitialize(arguments.length > 0);
}

function promiseWrap(func, context, noErr) {
  /* istanbul ignore next */
  const Promise = this && this[PROMISE] || global.Promise;
  return function () {
    const len = arguments.length;

    if (len > 0) {
      const cb = arguments[len - 1]; // callback detect, treat normally

      if (typeof cb === "function") {
        return func.apply(context, arguments);
      }
    } // create an error here to save call stack


    const saveErr = this[SAVE_STACK] && new Error("");
    return new Promise((resolve, reject) => {
      arguments[len] = noErr ? resolve : (err, res) => {
        if (err) {
          if (saveErr) {
            saveErr.message = err.message;
            Object.assign(saveErr, err);
            return reject(saveErr);
          }

          return reject(err);
        }

        return resolve(res);
      };
      arguments.length += 1;
      return func.apply(context, arguments);
    });
  };
}

function initialize(force) {
  if (this.hasOwnProperty(CHANGED) && !this[CHANGED] && !force) return this;
  this[CHANGED] = false;
  this._opfsAddOptionals = addOptionals;
  this._opfsSetPromise = setPromise;
  this._opfsPromiseWrap = promiseWrap;
  this._opfsSaveStack = saveStack;
  const fs = this[ORIGINAL_FS];

  const addNative = prop => {
    // only node 10 and up

    /* istanbul ignore next */
    if (fs[prop].hasOwnProperty("native")) {
      /* istanbul ignore next */
      this[prop].native = fs[prop].native;
    }
  };

  Object.keys(fs).forEach(prop => {
    if (typeof fs[prop] === "function") {
      if (!prop.startsWith("_") && prop[0] === prop[0].toUpperCase()) {
        // constructors props
        return this[prop] = fs[prop];
      } else if (!prop.endsWith("Sync") && fs.hasOwnProperty(`${prop}Sync`)) {
        // with callbacks if they have Sync counterpart
        // need to treat exists differently, even though it's deprecated
        this[prop] = this._opfsPromiseWrap(fs[prop], fs, prop === "exists");
      } else {
        // functions w/o callbacks
        this[prop] = fs[prop].bind(fs);
      }

      return addNative(prop);
    } else if (prop !== "promises") {
      return this[prop] = fs[prop];
    }

    return undefined;
  });
  /* istanbul ignore next */

  if (fs.hasOwnProperty("promises")) {
    /* istanbul ignore next */
    Object.defineProperty(this, "promises", {
      get() {
        return fs.promises;
      },

      writeable: true,
      configurable: true,
      enumerable: false
    });
  } // wrap optionals


  this.$ = {};

  const wrapOptionals = x => {
    /* istanbul ignore next */
    if (!x || !x.func) return;
    this.$[x.name] = this._opfsPromiseWrap(x.func, x.context || x.func, x.noErr);
    /* istanbul ignore next */

    const sync = x.sync || x.func.sync;
    if (sync) this.$[`${x.name}Sync`] = sync;
  };

  this[OPTIONALS].forEach(wrapOptionals);
  return this;
}

function opfsWrap(opfs, fs, promise, optionals) {
  opfs[ORIGINAL_FS] = fs;
  opfs[CHANGED] = true;
  assert(Array.isArray(optionals), "opfsWrap - optionals must be an array");
  opfs[OPTIONALS] = optionals;
  opfs[SAVE_STACK] = true;
  opfs._opfsInitialize = initialize;
  opfs._opfsSetPromise = setPromise;
  return opfs._opfsSetPromise(promise);
}

module.exports = opfsWrap;

/***/ }),

/***/ "./node_modules/.f/_/optional-require/1.1.8/optional-require/dist/index.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.optionalRequireCwd = exports.optionalRequire = exports.makeOptionalRequire = exports.tryResolve = exports.tryRequire = exports.setDefaultLog = void 0;

var assert_1 = __importDefault(__webpack_require__("assert"));

var require_at_1 = __importDefault(__webpack_require__("./node_modules/.f/_/require-at/1.0.6/require-at/require-at.js"));
/* eslint-disable max-params, complexity, no-eval */
// `require` from this module's context
// Using `eval` to avoid tripping bundlers like webpack


var xrequire = eval("require"); // Copied from https://github.com/yarnpkg/berry/blob/d5454007c9c76becfa97b36a92de299a3694afd5/packages/yarnpkg-pnp/sources/loader/makeApi.ts#L27
// Splits a require request into its components, or return null if the request is a file path

var pnpDependencyNameRegExp = /^(?![a-zA-Z]:[\\/]|\\\\|\.{0,2}(?:\/|$))((?:node:)?(?:@[^/]+\/)?[^/]+)\/*(.*|)$/;
/**
 * Change a module name request into a Yarn Berry PnP dependency name,
 * since the dependency name is what will be included in the error message.
 * For example, `optionalRequire('my-package/package.json')` will print a message like
 * `Your application tried to access my-package,` without the `/package.json` at the end of it.
 * This function grabs the dependency name only, or returns `null` if it can't find it.
 * @param {string} name Requested name
 * @returns {string} Dependency name
 */

function getPnpDependencyName(name) {
  var dependencyNameMatch = name.match(pnpDependencyNameRegExp);
  if (!dependencyNameMatch) return null;
  return dependencyNameMatch[1];
}
/**
 * Check if an error from require is really due to the module not found,
 * and not because the module itself trying to require another module
 * that's not found.
 *
 * @param err - the error
 * @param name - name of the module being required
 * @returns true or false
 */


function findModuleNotFound(err, name) {
  // Check the first line of the error message
  var msg = err.message.split("\n")[0];
  /* istanbul ignore if */

  if (!msg) {
    return false;
  } // Check for "Cannot find module 'foo'"


  if (msg.includes("'" + name + "'")) {
    return true;
  }

  var pnpDependencyName = getPnpDependencyName(name);

  if (pnpDependencyName) {
    return (// Check for "Your application tried to access foo (a peer dependency) ..." (Yarn Berry PnP)
      // https://github.com/yarnpkg/berry/blob/e81dc0d29bb2f41818d9c5c1c74bab1406fb979b/packages/yarnpkg-pnp/sources/loader/makeApi.ts#L680
      msg.includes(" " + pnpDependencyName + " ") || // Check for "Your application tried to access foo. While ..." (Yarn Berry PnP)
      // https://github.com/yarnpkg/berry/blob/e81dc0d29bb2f41818d9c5c1c74bab1406fb979b/packages/yarnpkg-pnp/sources/loader/makeApi.ts#L704
      msg.includes(" " + pnpDependencyName + ". ") || // Check for "Your application tried to access foo, but ..." (Yarn Berry PnP)
      // https://github.com/yarnpkg/berry/blob/e81dc0d29bb2f41818d9c5c1c74bab1406fb979b/packages/yarnpkg-pnp/sources/loader/makeApi.ts#L718
      msg.includes(" " + pnpDependencyName + ", ")
    );
  }

  return false;
}
/**
 * Default log function
 *
 * @param message - message to log
 * @param path - path of the module to require
 */


function defaultLog(message, path) {
  console.log("Just FYI: " + message + "; Path \"" + path + "\"");
}

var __defaultLog = defaultLog;

function setDefaultLog(log) {
  __defaultLog = log;
}

exports.setDefaultLog = setDefaultLog;

function _getOptions(optsOrMsg, requireFunction, log) {
  if (requireFunction === void 0) {
    requireFunction = xrequire;
  }

  if (typeof optsOrMsg === "object") {
    var opts = __assign({
      require: requireFunction,
      log: log
    }, optsOrMsg);

    (0, assert_1.default)(!(opts.hasOwnProperty("notFound") && opts.hasOwnProperty("default")), "optionalRequire: options set with both `notFound` and `default`");
    return opts;
  } else {
    return {
      require: requireFunction,
      log: log,
      message: optsOrMsg
    };
  }
}
/**
 * Internal optional require implementation
 *
 * @param path - path to module to require
 * @param optsOrMsg - options or message to log in case module not found
 * @returns require or resolve result
 */


function _optionalRequire(path, opts) {
  try {
    return opts.resolve ? opts.require.resolve(path) : opts.require(path);
  } catch (e) {
    // exception that's not due to the module itself not found
    if (e.code !== "MODULE_NOT_FOUND" || !findModuleNotFound(e, path)) {
      // if the module we are requiring fail because it try to require a
      // module that's not found, then we have to report this as failed.
      if (typeof opts.fail === "function") {
        return opts.fail(e);
      }

      throw e;
    }

    if (opts.message) {
      var message = opts.message === true ? "" : opts.message + " - ";
      var r = opts.resolve ? "resolved" : "found";
      opts.log(message + "optional module not " + r, path);
    }

    if (typeof opts.notFound === "function") {
      return opts.notFound(e);
    }

    return opts.default;
  }
}
/**
 * try to require a module with optional handling in case it's not found or fail to require
 *
 * @param callerRequire - `require` from caller context
 * @param path - path to module to require
 * @param optsOrMsg - options or message to log in case of exceptions
 * @returns require result
 */


function tryRequire(callerRequire, path, optsOrMsg) {
  var opts = _getOptions(optsOrMsg, callerRequire, __defaultLog);

  opts.resolve = false;
  return _optionalRequire(path, opts);
}

exports.tryRequire = tryRequire;
/**
 * try to resolve a module with optional handling in case it's not found or fail to require
 *
 * @param callerRequire - `require` from caller context
 * @param path - path to module to require
 * @param optsOrMsg - options or message to log in case of exceptions
 * @returns resolve result
 */

function tryResolve(callerRequire, path, optsOrMsg) {
  var opts = _getOptions(optsOrMsg, callerRequire, __defaultLog);

  opts.resolve = true;
  return _optionalRequire(path, opts);
}

exports.tryResolve = tryResolve;
/**
 * Make an optional require function, using the `require` from caller's context.
 *
 * @param callerRequire - `require` from caller's context
 * @param log - function to log if module is not found
 * @returns required module
 */

function makeOptionalRequire(callerRequire, log) {
  var x = function (path, optsOrMsg) {
    var opts = _getOptions(optsOrMsg, callerRequire, x.log);

    return _optionalRequire(path, opts);
  };

  x.resolve = function (path, optsOrMsg) {
    var opts = _getOptions(optsOrMsg, callerRequire, x.log);

    opts.resolve = true;
    return _optionalRequire(path, opts);
  };

  x.log = log || __defaultLog;
  return x;
}

exports.makeOptionalRequire = makeOptionalRequire;
/**
 * A default optionalRequire function using `require` from optional-require's context.
 *
 * @remarks because `require` is from optional-require's context, you won't be able to
 * do `optionalRequire("./my-module")`.
 *
 * You can still override the `require` using `options.require` with the one from your
 * calling context.
 *
 */

exports.optionalRequire = makeOptionalRequire(xrequire);
/**
 * An optionalRequire function using `require` from CWD context
 *
 * @remarks because `require` is from CWD context, if you do `optionalRequireCwd("./my-module")`
 * then it will look for `my-module` in CWD.
 *
 * @remarks You can still override the `require` using `options.require` with the one from your
 * calling context.
 */

exports.optionalRequireCwd = makeOptionalRequire((0, require_at_1.default)(process.cwd()));

/***/ }),

/***/ "./node_modules/.f/_/optional-require/1.1.8/optional-require/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/**
 * Compatibility bridge to the new typescript code.
 *
 */

const lib = __webpack_require__("./node_modules/.f/_/optional-require/1.1.8/optional-require/dist/index.js");

module.exports = function () {
  return lib.makeOptionalRequire.apply(lib, arguments);
};

module.exports.tryRequire = lib.tryRequire;
module.exports.tryResolve = lib.tryResolve;
module.exports["try"] = lib.tryRequire;
module.exports.resolve = lib.tryResolve;
module.exports.makeOptionalRequire = lib.makeOptionalRequire;
module.exports.optionalRequire = lib.optionalRequire;
module.exports.optionalRequireCwd = lib.optionalRequireCwd;
module.exports.optionalRequireTop = lib.optionalRequireTop;

let __defaultLog;

Object.defineProperty(module.exports, "log", ({
  set(func) {
    __defaultLog = func;
    lib.setDefaultLog(func);
  },

  get() {
    return __defaultLog;
  }

}));

/***/ }),

/***/ "./node_modules/.f/_/os-homedir/1.0.2/os-homedir/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var os = __webpack_require__("os");

function homedir() {
  var env = process.env;
  var home = env.HOME;
  var user = env.LOGNAME || env.USER || env.LNAME || env.USERNAME;

  if (process.platform === 'win32') {
    return env.USERPROFILE || env.HOMEDRIVE + env.HOMEPATH || home || null;
  }

  if (process.platform === 'darwin') {
    return home || (user ? '/Users/' + user : null);
  }

  if (process.platform === 'linux') {
    return home || (process.getuid() === 0 ? '/root' : user ? '/home/' + user : null);
  }

  return home || null;
}

module.exports = typeof os.homedir === 'function' ? os.homedir : homedir;

/***/ }),

/***/ "./node_modules/.f/_/os-tmpdir/1.0.2/os-tmpdir/index.js":
/***/ ((module) => {

"use strict";


var isWindows = process.platform === 'win32';
var trailingSlashRe = isWindows ? /[^:]\\$/ : /.\/$/; // https://github.com/nodejs/node/blob/3e7a14381497a3b73dda68d05b5130563cdab420/lib/os.js#L25-L43

module.exports = function () {
  var path;

  if (isWindows) {
    path = process.env.TEMP || process.env.TMP || (process.env.SystemRoot || process.env.windir) + '\\temp';
  } else {
    path = process.env.TMPDIR || process.env.TMP || process.env.TEMP || '/tmp';
  }

  if (trailingSlashRe.test(path)) {
    path = path.slice(0, -1);
  }

  return path;
};

/***/ }),

/***/ "./node_modules/.f/_/osenv/0.1.5/osenv/osenv.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var isWindows = process.platform === 'win32';

var path = __webpack_require__("path");

var exec = __webpack_require__("child_process").exec;

var osTmpdir = __webpack_require__("./node_modules/.f/_/os-tmpdir/1.0.2/os-tmpdir/index.js");

var osHomedir = __webpack_require__("./node_modules/.f/_/os-homedir/1.0.2/os-homedir/index.js"); // looking up envs is a bit costly.
// Also, sometimes we want to have a fallback
// Pass in a callback to wait for the fallback on failures
// After the first lookup, always returns the same thing.


function memo(key, lookup, fallback) {
  var fell = false;
  var falling = false;

  exports[key] = function (cb) {
    var val = lookup();

    if (!val && !fell && !falling && fallback) {
      fell = true;
      falling = true;
      exec(fallback, function (er, output, stderr) {
        falling = false;
        if (er) return; // oh well, we tried

        val = output.trim();
      });
    }

    exports[key] = function (cb) {
      if (cb) process.nextTick(cb.bind(null, null, val));
      return val;
    };

    if (cb && !falling) process.nextTick(cb.bind(null, null, val));
    return val;
  };
}

memo('user', function () {
  return isWindows ? process.env.USERDOMAIN + '\\' + process.env.USERNAME : process.env.USER;
}, 'whoami');
memo('prompt', function () {
  return isWindows ? process.env.PROMPT : process.env.PS1;
});
memo('hostname', function () {
  return isWindows ? process.env.COMPUTERNAME : process.env.HOSTNAME;
}, 'hostname');
memo('tmpdir', function () {
  return osTmpdir();
});
memo('home', function () {
  return osHomedir();
});
memo('path', function () {
  return (process.env.PATH || process.env.Path || process.env.path).split(isWindows ? ';' : ':');
});
memo('editor', function () {
  return process.env.EDITOR || process.env.VISUAL || (isWindows ? 'notepad.exe' : 'vi');
});
memo('shell', function () {
  return isWindows ? process.env.ComSpec || 'cmd' : process.env.SHELL || 'bash';
});

/***/ }),

/***/ "./node_modules/.f/_/p-limit/3.1.0/p-limit/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Queue = __webpack_require__("./node_modules/.f/_/yocto-queue/0.1.0/yocto-queue/index.js");

const pLimit = concurrency => {
  if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
    throw new TypeError('Expected `concurrency` to be a number from 1 and up');
  }

  const queue = new Queue();
  let activeCount = 0;

  const next = () => {
    activeCount--;

    if (queue.size > 0) {
      queue.dequeue()();
    }
  };

  const run = async (fn, resolve, ...args) => {
    activeCount++;

    const result = (async () => fn(...args))();

    resolve(result);

    try {
      await result;
    } catch (_unused) {}

    next();
  };

  const enqueue = (fn, resolve, ...args) => {
    queue.enqueue(run.bind(null, fn, resolve, ...args));

    (async () => {
      // This function needs to wait until the next microtask before comparing
      // `activeCount` to `concurrency`, because `activeCount` is updated asynchronously
      // when the run function is dequeued and called. The comparison in the if-statement
      // needs to happen asynchronously as well to get an up-to-date value for `activeCount`.
      await Promise.resolve();

      if (activeCount < concurrency && queue.size > 0) {
        queue.dequeue()();
      }
    })();
  };

  const generator = (fn, ...args) => new Promise(resolve => {
    enqueue(fn, resolve, ...args);
  });

  Object.defineProperties(generator, {
    activeCount: {
      get: () => activeCount
    },
    pendingCount: {
      get: () => queue.size
    },
    clearQueue: {
      value: () => {
        queue.clear();
      }
    }
  });
  return generator;
};

module.exports = pLimit;

/***/ }),

/***/ "./node_modules/.f/_/p-locate/5.0.0/p-locate/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const pLimit = __webpack_require__("./node_modules/.f/_/p-limit/3.1.0/p-limit/index.js");

class EndError extends Error {
  constructor(value) {
    super();
    this.value = value;
  }

} // The input can also be a promise, so we await it


const testElement = async (element, tester) => tester(await element); // The input can also be a promise, so we `Promise.all()` them both


const finder = async element => {
  const values = await Promise.all(element);

  if (values[1] === true) {
    throw new EndError(values[0]);
  }

  return false;
};

const pLocate = async (iterable, tester, options) => {
  options = _objectSpread({
    concurrency: Infinity,
    preserveOrder: true
  }, options);
  const limit = pLimit(options.concurrency); // Start all the promises concurrently with optional limit

  const items = [...iterable].map(element => [element, limit(testElement, element, tester)]); // Check the promises either serially or concurrently

  const checkLimit = pLimit(options.preserveOrder ? 1 : Infinity);

  try {
    await Promise.all(items.map(element => checkLimit(finder, element)));
  } catch (error) {
    if (error instanceof EndError) {
      return error.value;
    }

    throw error;
  }
};

module.exports = pLocate;

/***/ }),

/***/ "./node_modules/.f/_/p-map/4.0.0/p-map/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const AggregateError = __webpack_require__("./node_modules/.f/_/aggregate-error/3.1.0/aggregate-error/index.js");

module.exports = async (iterable, mapper, {
  concurrency = Infinity,
  stopOnError = true
} = {}) => {
  return new Promise((resolve, reject) => {
    if (typeof mapper !== 'function') {
      throw new TypeError('Mapper function is required');
    }

    if (!((Number.isSafeInteger(concurrency) || concurrency === Infinity) && concurrency >= 1)) {
      throw new TypeError(`Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${concurrency}\` (${typeof concurrency})`);
    }

    const result = [];
    const errors = [];
    const iterator = iterable[Symbol.iterator]();
    let isRejected = false;
    let isIterableDone = false;
    let resolvingCount = 0;
    let currentIndex = 0;

    const next = () => {
      if (isRejected) {
        return;
      }

      const nextItem = iterator.next();
      const index = currentIndex;
      currentIndex++;

      if (nextItem.done) {
        isIterableDone = true;

        if (resolvingCount === 0) {
          if (!stopOnError && errors.length !== 0) {
            reject(new AggregateError(errors));
          } else {
            resolve(result);
          }
        }

        return;
      }

      resolvingCount++;

      (async () => {
        try {
          const element = await nextItem.value;
          result[index] = await mapper(element, index);
          resolvingCount--;
          next();
        } catch (error) {
          if (stopOnError) {
            isRejected = true;
            reject(error);
          } else {
            errors.push(error);
            resolvingCount--;
            next();
          }
        }
      })();
    };

    for (let i = 0; i < concurrency; i++) {
      next();

      if (isIterableDone) {
        break;
      }
    }
  });
};

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/extract.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const extractStream = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/extract-stream.js");

const fs = __webpack_require__("fs");

const mkdirp = BB.promisify(__webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js"));

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const path = __webpack_require__("path");

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const withTarballStream = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/with-tarball-stream.js");

const truncateAsync = BB.promisify(fs.truncate);
const readFileAsync = BB.promisify(fs.readFile);
const appendFileAsync = BB.promisify(fs.appendFile);
module.exports = extract;

function extract(spec, dest, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  const startTime = Date.now();
  return withTarballStream(spec, opts, stream => {
    return tryExtract(spec, stream, dest, opts);
  }).then(() => {
    if (!opts.resolved) {
      const pjson = path.join(dest, 'package.json');
      return readFileAsync(pjson, 'utf8').then(str => truncateAsync(pjson).then(() => appendFileAsync(pjson, str.replace(/}\s*$/, `\n,"_resolved": ${JSON.stringify(opts.resolved || '')}\n,"_integrity": ${JSON.stringify(opts.integrity || '')}\n,"_from": ${JSON.stringify(spec.toString())}\n}`))));
    }
  }).then(() => opts.log.silly('extract', `${spec} extracted to ${dest} (${Date.now() - startTime}ms)`));
}

function tryExtract(spec, tarStream, dest, opts) {
  return new BB((resolve, reject) => {
    tarStream.on('error', reject);
    setImmediate(resolve);
  }).then(() => rimraf(dest)).then(() => mkdirp(dest)).then(() => new BB((resolve, reject) => {
    const xtractor = extractStream(spec, dest, opts);
    tarStream.on('error', reject);
    xtractor.on('error', reject);
    xtractor.on('close', resolve);
    tarStream.pipe(xtractor);
  })).catch(err => {
    if (err.code === 'EINTEGRITY') {
      err.message = `Verification failed while extracting ${spec}:\n${err.message}`;
    }

    throw err;
  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = {
  extract: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/extract.js"),
  manifest: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/manifest.js"),
  packument: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/packument.js"),
  prefetch: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/prefetch.js"),
  tarball: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/tarball.js"),
  clearMemoized: __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js").clearMemoized
};

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/extract-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Minipass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const path = __webpack_require__("path");

const tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js");

module.exports = extractStream;
module.exports._computeMode = computeMode;

class Transformer extends Minipass {
  constructor(spec, opts) {
    super();
    this.spec = spec;
    this.opts = opts;
    this.str = '';
  }

  write(data) {
    this.str += data;
    return true;
  }

  end() {
    const replaced = this.str.replace(/}\s*$/, `\n,"_resolved": ${JSON.stringify(this.opts.resolved || '')}\n,"_integrity": ${JSON.stringify(this.opts.integrity || '')}\n,"_from": ${JSON.stringify(this.spec.toString())}\n}`);
    super.write(replaced);
    return super.end();
  }

}

function computeMode(fileMode, optMode, umask) {
  return (fileMode | optMode) & ~(umask || 0);
}

function pkgJsonTransform(spec, opts) {
  return entry => {
    if (entry.path === 'package.json') {
      const transformed = new Transformer(spec, opts);
      return transformed;
    }
  };
}

function extractStream(spec, dest, opts) {
  opts = opts || {};
  const sawIgnores = new Set();
  return tar.x({
    cwd: dest,
    filter: (name, entry) => !entry.header.type.match(/^.*link$/i),
    strip: 1,
    onwarn: msg => opts.log && opts.log.warn('tar', msg),
    uid: opts.uid,
    gid: opts.gid,
    umask: opts.umask,
    transform: opts.resolved && pkgJsonTransform(spec, opts),

    onentry(entry) {
      if (entry.type.toLowerCase() === 'file') {
        entry.mode = computeMode(entry.mode, opts.fmode, opts.umask);
      } else if (entry.type.toLowerCase() === 'directory') {
        entry.mode = computeMode(entry.mode, opts.dmode, opts.umask);
      } else {
        entry.mode = computeMode(entry.mode, 0, opts.umask);
      } // Note: This mirrors logic in the fs read operations that are
      // employed during tarball creation, in the fstream-npm module.
      // It is duplicated here to handle tarballs that are created
      // using other means, such as system tar or git archive.


      if (entry.type.toLowerCase() === 'file') {
        const base = path.basename(entry.path);

        if (base === '.npmignore') {
          sawIgnores.add(entry.path);
        } else if (base === '.gitignore') {
          const npmignore = entry.path.replace(/\.gitignore$/, '.npmignore');

          if (!sawIgnores.has(npmignore)) {
            // Rename, may be clobbered later.
            entry.path = npmignore;
          }
        }
      }
    }

  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const duck = __webpack_require__("./node_modules/.f/_/protoduck/5.0.1/protoduck/index.js");

const Fetcher = duck.define(['spec', 'opts', 'manifest'], {
  packument: ['spec', 'opts'],
  manifest: ['spec', 'opts'],
  tarball: ['spec', 'opts'],
  fromManifest: ['manifest', 'spec', 'opts'],

  clearMemoized() {}

}, {
  name: 'Fetcher'
});
module.exports = Fetcher;
module.exports.packument = packument;

function packument(spec, opts) {
  const fetcher = getFetcher(spec.type);
  return fetcher.packument(spec, opts);
}

module.exports.manifest = manifest;

function manifest(spec, opts) {
  const fetcher = getFetcher(spec.type);
  return fetcher.manifest(spec, opts);
}

module.exports.tarball = tarball;

function tarball(spec, opts) {
  return getFetcher(spec.type).tarball(spec, opts);
}

module.exports.fromManifest = fromManifest;

function fromManifest(manifest, spec, opts) {
  return getFetcher(spec.type).fromManifest(manifest, spec, opts);
}

const fetchers = {};
module.exports.clearMemoized = clearMemoized;

function clearMemoized() {
  Object.keys(fetchers).forEach(k => {
    fetchers[k].clearMemoized();
  });
}

function getFetcher(type) {
  if (!fetchers[type]) {
    // This is spelled out both to prevent sketchy stuff and to make life
    // easier for bundlers/preprocessors.
    switch (type) {
      case 'alias':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/alias.js");
        break;

      case 'directory':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/directory.js");
        break;

      case 'file':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/file.js");
        break;

      case 'git':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/git.js");
        break;

      case 'hosted':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/hosted.js");
        break;

      case 'range':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/range.js");
        break;

      case 'remote':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/remote.js");
        break;

      case 'tag':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/tag.js");
        break;

      case 'version':
        fetchers[type] = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/version.js");
        break;

      default:
        throw new Error(`Invalid dependency type requested: ${type}`);
    }
  }

  return fetchers[type];
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/alias.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const fetchRegistry = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js");

const fetchRemote = module.exports = Object.create(null);
Fetcher.impl(fetchRemote, {
  packument(spec, opts) {
    return fetchRegistry.packument(spec.subSpec, opts);
  },

  manifest(spec, opts) {
    return fetchRegistry.manifest(spec.subSpec, opts);
  },

  tarball(spec, opts) {
    return fetchRegistry.tarball(spec.subSpec, opts);
  },

  fromManifest(manifest, spec, opts) {
    return fetchRegistry.fromManifest(manifest, spec.subSpec, opts);
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/directory.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const glob = BB.promisify(__webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js"));

const packDir = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/pack-dir.js");

const path = __webpack_require__("path");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);

const through = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").through;

const readFileAsync = BB.promisify(__webpack_require__("fs").readFile);
const fetchDirectory = module.exports = Object.create(null);
Fetcher.impl(fetchDirectory, {
  packument(spec, opts) {
    return this.manifest(spec, opts).then(manifest => {
      return Object.assign({}, manifest, {
        'dist-tags': {
          'latest': manifest.version
        },
        time: {
          [manifest.version]: new Date().toISOString()
        },
        versions: {
          [manifest.version]: manifest
        }
      });
    });
  },

  // `directory` manifests come from the actual manifest/lockfile data.
  manifest(spec, opts) {
    const pkgPath = path.join(spec.fetchSpec, 'package.json');
    const srPath = path.join(spec.fetchSpec, 'npm-shrinkwrap.json');
    return BB.join(readFileAsync(pkgPath).then(JSON.parse).catch({
      code: 'ENOENT'
    }, err => {
      err.code = 'ENOPACKAGEJSON';
      throw err;
    }), readFileAsync(srPath).then(JSON.parse).catch({
      code: 'ENOENT'
    }, () => null), (pkg, sr) => {
      pkg._shrinkwrap = sr;
      pkg._hasShrinkwrap = !!sr;
      pkg._resolved = spec.fetchSpec;
      pkg._integrity = false; // Don't auto-calculate integrity

      pkg._shasum = false; // Don't auto-calculate shasum either

      return pkg;
    }).then(pkg => {
      if (!pkg.bin && pkg.directories && pkg.directories.bin) {
        const dirBin = pkg.directories.bin;
        return glob(path.join(spec.fetchSpec, dirBin, '/**'), {
          nodir: true
        }).then(matches => {
          matches.forEach(filePath => {
            const relative = path.relative(spec.fetchSpec, filePath);

            if (relative && relative[0] !== '.') {
              if (!pkg.bin) {
                pkg.bin = {};
              }

              pkg.bin[path.basename(relative)] = relative;
            }
          });
        }).then(() => pkg);
      } else {
        return pkg;
      }
    });
  },

  // As of npm@5, the npm installer doesn't pack + install directories: it just
  // creates symlinks. This code is here because `npm pack` still needs the
  // ability to create a tarball from a local directory.
  tarball(spec, opts) {
    const stream = through();
    this.manifest(spec, opts).then(mani => {
      return pipe(this.fromManifest(mani, spec, opts), stream);
    }).catch(err => stream.emit('error', err));
    return stream;
  },

  // `directory` tarballs are generated in a very similar way to git tarballs.
  fromManifest(manifest, spec, opts) {
    const stream = through();
    packDir(manifest, manifest._resolved, manifest._resolved, stream, opts).catch(err => {
      stream.emit('error', err);
    });
    return stream;
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/file.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const fs = __webpack_require__("fs");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);

const through = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").through;

const readFileAsync = BB.promisify(fs.readFile);
const statAsync = BB.promisify(fs.stat);
const MAX_BULK_SIZE = 2 * 1024 * 1024; // 2MB
// `file` packages refer to local tarball files.

const fetchFile = module.exports = Object.create(null);
Fetcher.impl(fetchFile, {
  packument(spec, opts) {
    return BB.reject(new Error('Not implemented yet'));
  },

  manifest(spec, opts) {
    // We can't do much here. `finalizeManifest` will take care of
    // calling `tarball` to fill out all the necessary details.
    return BB.resolve(null);
  },

  // All the heavy lifting for `file` packages is done here.
  // They're never cached. We just read straight out of the file.
  // TODO - maybe they *should* be cached?
  tarball(spec, opts) {
    const src = spec._resolved || spec.fetchSpec;
    const stream = through();
    statAsync(src).then(stat => {
      if (spec._resolved) {
        stream.emit('manifest', spec);
      }

      if (stat.size <= MAX_BULK_SIZE) {
        // YAY LET'S DO THING IN BULK
        return readFileAsync(src).then(data => {
          if (opts.cache) {
            return cacache.put(opts.cache, `pacote:tarball:file:${src}`, data, {
              integrity: opts.integrity
            }).then(integrity => ({
              data,
              integrity
            }));
          } else {
            return {
              data
            };
          }
        }).then(info => {
          if (info.integrity) {
            stream.emit('integrity', info.integrity);
          }

          stream.write(info.data, () => {
            stream.end();
          });
        });
      } else {
        let integrity;
        const cacheWriter = !opts.cache ? BB.resolve(null) : pipe(fs.createReadStream(src), cacache.put.stream(opts.cache, `pacote:tarball:${src}`, {
          integrity: opts.integrity
        }).on('integrity', d => {
          integrity = d;
        }));
        return cacheWriter.then(() => {
          if (integrity) {
            stream.emit('integrity', integrity);
          }

          return pipe(fs.createReadStream(src), stream);
        });
      }
    }).catch(err => stream.emit('error', err));
    return stream;
  },

  fromManifest(manifest, spec, opts) {
    return this.tarball(manifest || spec, opts);
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/git.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const cacheKey = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/cache-key.js");

const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const git = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/git.js");

const mkdirp = BB.promisify(__webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js"));

const pickManifest = __webpack_require__("./node_modules/.f/_/npm-pick-manifest/2.2.3/npm-pick-manifest/index.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const osenv = __webpack_require__("./node_modules/.f/_/osenv/0.1.5/osenv/osenv.js");

const packDir = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/pack-dir.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const path = __webpack_require__("path");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);
const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js"); // `git` dependencies are fetched from git repositories and packed up.


const fetchGit = module.exports = Object.create(null);
Fetcher.impl(fetchGit, {
  packument(spec, opts) {
    return BB.reject(new Error('Not implemented yet.'));
  },

  manifest(spec, opts) {
    opts = optCheck(opts);

    if (spec.hosted && spec.hosted.getDefaultRepresentation() === 'shortcut') {
      return hostedManifest(spec, opts);
    } else {
      // If it's not a shortcut, don't do fallbacks.
      return plainManifest(spec.fetchSpec, spec, opts);
    }
  },

  tarball(spec, opts) {
    opts = optCheck(opts);
    const stream = new PassThrough();
    this.manifest(spec, opts).then(manifest => {
      stream.emit('manifest', manifest);
      return pipe(this.fromManifest(manifest, spec, opts).on('integrity', i => stream.emit('integrity', i)), stream);
    }).catch(err => stream.emit('error', err));
    return stream;
  },

  fromManifest(manifest, spec, opts) {
    opts = optCheck(opts);
    let streamError;
    const stream = new PassThrough().on('error', e => {
      streamError = e;
    });
    const cacheName = manifest._uniqueResolved || manifest._resolved || '';
    const cacheStream = opts.cache && cacache.get.stream(opts.cache, cacheKey('packed-dir', cacheName), opts).on('integrity', i => stream.emit('integrity', i));
    cacheStream.pipe(stream);
    cacheStream.on('error', err => {
      if (err.code !== 'ENOENT') {
        return stream.emit('error', err);
      } else {
        stream.emit('reset');
        return withTmp(opts, tmp => {
          if (streamError) {
            throw streamError;
          }

          return cloneRepo(spec, manifest._repo, manifest._ref, manifest._rawRef, tmp, opts).then(HEAD => {
            if (streamError) {
              throw streamError;
            }

            manifest._resolved = spec.saveSpec.replace(/(:?#.*)?$/, `#${HEAD}`);
            manifest._uniqueResolved = manifest._resolved;
            return packDir(manifest, manifest._uniqueResolved, tmp, stream, opts);
          });
        }).catch(err => stream.emit('error', err));
      }
    });
    return stream;
  }

});

function hostedManifest(spec, opts) {
  return BB.resolve(null).then(() => {
    if (!spec.hosted.git()) {
      throw new Error(`No git url for ${spec}`);
    }

    return plainManifest(spec.hosted.git(), spec, opts);
  }).catch(err => {
    if (!spec.hosted.https()) {
      throw err;
    }

    return plainManifest(spec.hosted.https(), spec, opts);
  }).catch(err => {
    if (!spec.hosted.sshurl()) {
      throw err;
    }

    return plainManifest(spec.hosted.sshurl(), spec, opts);
  });
}

function plainManifest(repo, spec, opts) {
  const rawRef = spec.gitCommittish || spec.gitRange;
  return resolve(repo, spec, spec.name, opts).then(ref => {
    if (ref) {
      const resolved = spec.saveSpec.replace(/(?:#.*)?$/, `#${ref.sha}`);
      return {
        _repo: repo,
        _resolved: resolved,
        _spec: spec,
        _ref: ref,
        _rawRef: spec.gitCommittish || spec.gitRange,
        _uniqueResolved: resolved,
        _integrity: false,
        _shasum: false
      };
    } else {
      // We're SOL and need a full clone :(
      //
      // If we're confident enough that `rawRef` is a commit SHA,
      // then we can at least get `finalize-manifest` to cache its result.
      const resolved = spec.saveSpec.replace(/(?:#.*)?$/, rawRef ? `#${rawRef}` : '');
      return {
        _repo: repo,
        _rawRef: rawRef,
        _resolved: rawRef && rawRef.match(/^[a-f0-9]{40}$/) && resolved,
        _uniqueResolved: rawRef && rawRef.match(/^[a-f0-9]{40}$/) && resolved,
        _integrity: false,
        _shasum: false
      };
    }
  });
}

function resolve(url, spec, name, opts) {
  const isSemver = !!spec.gitRange;
  return git.revs(url, opts).then(remoteRefs => {
    return isSemver ? pickManifest({
      versions: remoteRefs.versions,
      'dist-tags': remoteRefs['dist-tags'],
      name: name
    }, spec.gitRange, opts) : remoteRefs ? BB.resolve(remoteRefs.refs[spec.gitCommittish] || remoteRefs.refs[remoteRefs.shas[spec.gitCommittish]]) : null;
  });
}

function withTmp(opts, cb) {
  if (opts.cache) {
    // cacache has a special facility for working in a tmp dir
    return cacache.tmp.withTmp(opts.cache, {
      tmpPrefix: 'git-clone',
      uid: opts.uid,
      gid: opts.gid
    }, cb);
  } else {
    const tmpDir = path.join(osenv.tmpdir(), 'pacote-git-tmp');
    const tmpName = uniqueFilename(tmpDir, 'git-clone');
    const tmp = mkdirp(tmpName).then(() => tmpName).disposer(rimraf);
    return BB.using(tmp, cb);
  }
} // Only certain whitelisted hosted gits support shadow cloning


const SHALLOW_HOSTS = new Set(['github', 'gist', 'gitlab', 'bitbucket']);

function cloneRepo(spec, repo, resolvedRef, rawRef, tmp, opts) {
  const ref = resolvedRef ? resolvedRef.ref : rawRef;

  if (resolvedRef && spec.hosted && SHALLOW_HOSTS.has(spec.hosted.type)) {
    return git.shallow(repo, ref, tmp, opts);
  } else {
    return git.clone(repo, ref, tmp, opts);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/hosted.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/git.js");

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/range.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js");

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const regManifest = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/manifest.js");

const regPackument = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/packument.js");

const regTarball = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/tarball.js");

const fetchRegistry = module.exports = Object.create(null);
Fetcher.impl(fetchRegistry, {
  packument(spec, opts) {
    return regPackument(spec, opts);
  },

  manifest(spec, opts) {
    return regManifest(spec, opts);
  },

  tarball(spec, opts) {
    return regTarball(spec, opts);
  },

  fromManifest(manifest, spec, opts) {
    return regTarball.fromManifest(manifest, spec, opts);
  },

  clearMemoized() {
    cacache.clearMemoized();
    regPackument.clearMemoized();
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/manifest.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fetch = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/index.js");

const fetchPackument = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/packument.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const pickManifest = __webpack_require__("./node_modules/.f/_/npm-pick-manifest/2.2.3/npm-pick-manifest/index.js");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

module.exports = manifest;

function manifest(spec, opts) {
  opts = optCheck(opts);
  return getManifest(spec, opts).then(manifest => {
    return annotateManifest(spec, manifest, opts);
  });
}

function getManifest(spec, opts) {
  opts = opts.concat({
    fullMetadata: opts.enjoyBy ? true : opts.fullMetadata
  });
  return fetchPackument(spec, opts).then(packument => {
    try {
      return pickManifest(packument, spec.fetchSpec, {
        defaultTag: opts.defaultTag,
        enjoyBy: opts.enjoyBy,
        includeDeprecated: opts.includeDeprecated
      });
    } catch (err) {
      if (err.code === 'ETARGET' && packument._cached && !opts.offline) {
        opts.log.silly('registry:manifest', `no matching version for ${spec.name}@${spec.fetchSpec} in the cache. Forcing revalidation.`);
        opts = opts.concat({
          preferOffline: false,
          preferOnline: true
        });
        return fetchPackument(spec, opts.concat({
          // Fetch full metadata in case ETARGET was due to corgi delay
          fullMetadata: true
        })).then(packument => {
          return pickManifest(packument, spec.fetchSpec, {
            defaultTag: opts.defaultTag,
            enjoyBy: opts.enjoyBy
          });
        });
      } else {
        throw err;
      }
    }
  });
}

function annotateManifest(spec, manifest, opts) {
  const shasum = manifest.dist && manifest.dist.shasum;
  manifest._integrity = manifest.dist && manifest.dist.integrity;
  manifest._shasum = shasum;

  if (!manifest._integrity && shasum) {
    // Use legacy dist.shasum field if available.
    manifest._integrity = ssri.fromHex(shasum, 'sha1').toString();
  }

  manifest._resolved = manifest.dist && manifest.dist.tarball;

  if (!manifest._resolved) {
    const registry = fetch.pickRegistry(spec, opts);
    const uri = registry.replace(/\/?$/, '/') + spec.escapedName;
    const err = new Error(`Manifest for ${manifest.name}@${manifest.version} from ${uri} is missing a tarball url (pkg.dist.tarball). Guessing a default.`);
    err.code = 'ENOTARBALL';
    err.manifest = manifest;

    if (!manifest._warnings) {
      manifest._warnings = [];
    }

    manifest._warnings.push(err.message);

    manifest._resolved = `${registry}/${manifest.name}/-/${manifest.name}-${manifest.version}.tgz`;
  }

  return manifest;
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/packument.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const fetch = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/index.js");

const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/5.1.1/lru-cache/index.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js"); // Corgis are cute. 🐕🐶


const CORGI_DOC = 'application/vnd.npm.install-v1+json; q=1.0, application/json; q=0.8, */*';
const JSON_DOC = 'application/json';
module.exports = packument;

function packument(spec, opts) {
  opts = optCheck(opts);
  const registry = fetch.pickRegistry(spec, opts);
  const uri = registry.replace(/\/?$/, '/') + spec.escapedName;
  return fetchPackument(uri, registry, spec, opts);
}

let MEMO;
module.exports.clearMemoized = clearMemoized;

function clearMemoized() {
  if (MEMO) MEMO.reset();
}

function fetchPackument(uri, registry, spec, opts) {
  const mem = pickMem(opts);
  const accept = opts.fullMetadata ? JSON_DOC : CORGI_DOC;
  const memoKey = `${uri}~(${accept})`;

  if (mem && !opts.preferOnline && mem.has(memoKey)) {
    return BB.resolve(mem.get(memoKey));
  }

  return fetch(uri, opts.concat({
    headers: {
      'pacote-req-type': 'packument',
      'pacote-pkg-id': `registry:${spec.name}`,
      accept
    },
    'cache-policy': opts['cache-policy'],
    'cache-key': opts['cache-key'],
    spec
  }, opts, {
    // Force integrity to null: we never check integrity hashes for manifests
    integrity: null
  })).then(res => res.json().then(packument => {
    packument._cached = res.headers.has('x-local-cache');
    packument._contentLength = +res.headers.get('content-length'); // NOTE - we need to call pickMem again because proxy
    //        objects get reused!

    const mem = pickMem(opts);

    if (mem) {
      mem.set(memoKey, packument);
    }

    return packument;
  })).catch(err => {
    if (err.code === 'E404' && !opts.fullMetadata) {
      return fetchPackument(uri, registry, spec, opts.concat({
        fullMetadata: true
      }));
    } else {
      throw err;
    }
  });
}

class ObjProxy {
  get(key) {
    return this.obj[key];
  }

  set(key, val) {
    this.obj[key] = val;
  }

} // This object is used synchronously and immediately, so
// we can safely reuse it instead of consing up new ones


const PROX = new ObjProxy();

function pickMem(opts) {
  if (opts) {
    if (opts.memoize === false) {
      return null;
    }

    if (opts.memoize) {
      if (opts.memoize.get && opts.memoize.set) {
        return opts.memoize;
      } else if (typeof opts.memoize === 'object') {
        PROX.obj = opts.memoize;
        return PROX;
      }
    }
  }

  if (!MEMO) {
    MEMO = new LRU({
      length: m => m._contentLength,
      max: 200 * 1024 * 1024,
      // 200MB
      maxAge: 30 * 1000 // 30s

    });
  }

  return MEMO;
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/tarball.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const fetch = __webpack_require__("./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/index.js");

const manifest = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/manifest.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const url = __webpack_require__("url");

module.exports = tarball;

function tarball(spec, opts) {
  opts = optCheck(opts);
  const registry = fetch.pickRegistry(spec, opts);
  const stream = new PassThrough();
  let mani;

  if (opts.resolved && // spec.type === 'version' &&
  opts.resolved.indexOf(registry) === 0) {
    // fakeChild is a shortcut to avoid looking up a manifest!
    mani = BB.resolve({
      name: spec.name,
      version: spec.fetchSpec,
      _integrity: opts.integrity,
      _resolved: opts.resolved,
      _fakeChild: true
    });
  } else {
    // We can't trust opts.resolved if it's going to a separate host.
    mani = manifest(spec, opts);
  }

  mani.then(mani => {
    !mani._fakeChild && stream.emit('manifest', mani);
    const fetchStream = fromManifest(mani, spec, opts).on('integrity', i => stream.emit('integrity', i));
    fetchStream.on('error', err => stream.emit('error', err));
    fetchStream.pipe(stream);
    return null;
  }).catch(err => stream.emit('error', err));
  return stream;
}

module.exports.fromManifest = fromManifest;

function fromManifest(manifest, spec, opts) {
  opts = optCheck(opts);

  if (spec.scope) {
    opts = opts.concat({
      scope: spec.scope
    });
  }

  const stream = new PassThrough();
  const registry = fetch.pickRegistry(spec, opts);
  const uri = getTarballUrl(spec, registry, manifest, opts);
  fetch(uri, opts.concat({
    headers: {
      'pacote-req-type': 'tarball',
      'pacote-pkg-id': `registry:${manifest.name}@${uri}`
    },
    integrity: manifest._integrity,
    algorithms: [manifest._integrity ? ssri.parse(manifest._integrity).pickAlgorithm() : 'sha1'],
    spec
  }, opts)).then(res => {
    const hash = res.headers.get('x-local-cache-hash');

    if (hash) {
      stream.emit('integrity', decodeURIComponent(hash));
    }

    res.body.on('error', err => stream.emit('error', err));
    res.body.pipe(stream);
    return null;
  }).catch(err => stream.emit('error', err));
  return stream;
}

function getTarballUrl(spec, registry, mani, opts) {
  const reg = url.parse(registry);
  const tarball = url.parse(mani._resolved); // https://github.com/npm/npm/pull/9471
  //
  // TL;DR: Some alternative registries host tarballs on http and packuments
  // on https, and vice-versa. There's also a case where people who can't use
  // SSL to access the npm registry, for example, might use
  // `--registry=http://registry.npmjs.org/`. In this case, we need to
  // rewrite `tarball` to match the protocol.
  //

  if (reg.hostname === tarball.hostname && reg.protocol !== tarball.protocol) {
    tarball.protocol = reg.protocol; // Ports might be same host different protocol!

    if (reg.port !== tarball.port) {
      delete tarball.host;
      tarball.port = reg.port;
    }

    delete tarball.href;
  }

  return url.format(tarball);
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/remote.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const Fetcher = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const fetchRegistry = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js");

const fetchRemote = module.exports = Object.create(null);
Fetcher.impl(fetchRemote, {
  packument(spec, opts) {
    return BB.reject(new Error('Not implemented yet'));
  },

  manifest(spec, opts) {
    // We can't get the manifest for a remote tarball until
    // we extract the tarball itself.
    // `finalize-manifest` takes care of this process of extracting
    // a manifest based on ./tarball.js
    return BB.resolve(null);
  },

  tarball(spec, opts) {
    const uri = spec._resolved || spec.fetchSpec;
    return fetchRegistry.fromManifest({
      _resolved: uri,
      _integrity: opts.integrity
    }, spec, opts);
  },

  fromManifest(manifest, spec, opts) {
    return this.tarball(manifest || spec, opts);
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/tag.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js");

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/version.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetchers/registry/index.js");

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/finalize-manifest.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const cacheKey = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/cache-key.js");

const fetchFromManifest = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js").fromManifest;

const finished = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/finished.js");

const minimatch = __webpack_require__("./node_modules/.f/_/minimatch/3.0.4/minimatch/minimatch.js");

const normalize = __webpack_require__("./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/normalize.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const path = __webpack_require__("path");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js"); // `finalizeManifest` takes as input the various kinds of manifests that
// manifest handlers ('lib/fetchers/*.js#manifest()') return, and makes sure
// they are:
//
// * filled out with any required data that the handler couldn't fill in
// * formatted consistently
// * cached so we don't have to repeat this work more than necessary
//
// The biggest thing this package might do is do a full tarball extraction in
// order to find missing bits of metadata required by the npm installer. For
// example, it will fill in `_shrinkwrap`, `_integrity`, and other details that
// the plain manifest handlers would require a tarball to fill out. If a
// handler returns everything necessary, this process is skipped.
//
// If we get to the tarball phase, the corresponding tarball handler for the
// requested type will be invoked and the entire tarball will be read from the
// stream.
//


module.exports = finalizeManifest;

function finalizeManifest(pkg, spec, opts) {
  const key = finalKey(pkg, spec);
  opts = optCheck(opts);
  const cachedManifest = opts.cache && key && !opts.preferOnline && !opts.fullMetadata && !opts.enjoyBy ? cacache.get.info(opts.cache, key, opts) : BB.resolve(null);
  return cachedManifest.then(cached => {
    if (cached && cached.metadata && cached.metadata.manifest) {
      return new Manifest(cached.metadata.manifest);
    } else {
      return tarballedProps(pkg, spec, opts).then(props => {
        return pkg && pkg.name ? new Manifest(pkg, props, opts.fullMetadata) : new Manifest(props, null, opts.fullMetadata);
      }).then(manifest => {
        const cacheKey = key || finalKey(manifest, spec);

        if (!opts.cache || !cacheKey) {
          return manifest;
        } else {
          return cacache.put(opts.cache, cacheKey, '.', {
            metadata: {
              id: manifest._id,
              manifest,
              type: 'finalized-manifest'
            }
          }).then(() => manifest);
        }
      });
    }
  });
}

module.exports.Manifest = Manifest;

function Manifest(pkg, fromTarball, fullMetadata) {
  fromTarball = fromTarball || {};

  if (fullMetadata) {
    Object.assign(this, pkg);
  }

  this.name = pkg.name;
  this.version = pkg.version;
  this.engines = pkg.engines || fromTarball.engines;
  this.cpu = pkg.cpu || fromTarball.cpu;
  this.os = pkg.os || fromTarball.os;
  this.dependencies = pkg.dependencies || {};
  this.optionalDependencies = pkg.optionalDependencies || {};
  this.devDependencies = pkg.devDependencies || {};
  const bundled = pkg.bundledDependencies || pkg.bundleDependencies || false;
  this.bundleDependencies = bundled;
  this.peerDependencies = pkg.peerDependencies || {};
  this.deprecated = pkg.deprecated || false; // These depend entirely on each handler

  this._resolved = pkg._resolved; // Not all handlers (or registries) provide these out of the box,
  // and if they don't, we need to extract and read the tarball ourselves.
  // These are details required by the installer.

  this._integrity = pkg._integrity || fromTarball._integrity || null;
  this._shasum = pkg._shasum || fromTarball._shasum || null;
  this._shrinkwrap = pkg._shrinkwrap || fromTarball._shrinkwrap || null;
  this.bin = pkg.bin || fromTarball.bin || null;

  if (this.bin && Array.isArray(this.bin)) {
    // Code yanked from read-package-json.
    const m = pkg.directories && pkg.directories.bin || '.';
    this.bin = this.bin.reduce((acc, mf) => {
      if (mf && mf.charAt(0) !== '.') {
        const f = path.basename(mf);
        acc[f] = path.join(m, mf);
      }

      return acc;
    }, {});
  }

  this._id = null; // TODO - freezing and inextensibility pending npm changes. See test suite.
  // Object.preventExtensions(this)

  normalize(this); // I don't want this why did you give it to me. Go away. 🔥🔥🔥🔥

  delete this.readme; // Object.freeze(this)
} // Some things aren't filled in by standard manifest fetching.
// If this function needs to do its work, it will grab the
// package tarball, extract it, and take whatever it needs
// from the stream.


function tarballedProps(pkg, spec, opts) {
  const needsShrinkwrap = !pkg || pkg._hasShrinkwrap !== false && !pkg._shrinkwrap;
  const needsBin = !!(!pkg || !pkg.bin && pkg.directories && pkg.directories.bin);
  const needsIntegrity = !pkg || !pkg._integrity && pkg._integrity !== false;
  const needsShasum = !pkg || !pkg._shasum && pkg._shasum !== false;
  const needsHash = needsIntegrity || needsShasum;
  const needsManifest = !pkg || !pkg.name;
  const needsExtract = needsShrinkwrap || needsBin || needsManifest;

  if (!needsShrinkwrap && !needsBin && !needsHash && !needsManifest) {
    return BB.resolve({});
  } else {
    opts = optCheck(opts);
    const tarStream = fetchFromManifest(pkg, spec, opts);
    const extracted = needsExtract && new tar.Parse();
    return BB.join(needsShrinkwrap && jsonFromStream('npm-shrinkwrap.json', extracted), needsManifest && jsonFromStream('package.json', extracted), needsBin && getPaths(extracted), needsHash && ssri.fromStream(tarStream, {
      algorithms: ['sha1', 'sha512']
    }), needsExtract && pipe(tarStream, extracted), (sr, mani, paths, hash) => {
      if (needsManifest && !mani) {
        const err = new Error(`Non-registry package missing package.json: ${spec}.`);
        err.code = 'ENOPACKAGEJSON';
        throw err;
      }

      const extraProps = mani || {};
      delete extraProps._resolved; // drain out the rest of the tarball

      tarStream.resume(); // if we have directories.bin, we need to collect any matching files
      // to add to bin

      if (paths && paths.length) {
        const dirBin = mani ? mani && mani.directories && mani.directories.bin : pkg && pkg.directories && pkg.directories.bin;

        if (dirBin) {
          extraProps.bin = {};
          paths.forEach(filePath => {
            if (minimatch(filePath, dirBin + '/**')) {
              const relative = path.relative(dirBin, filePath);

              if (relative && relative[0] !== '.') {
                extraProps.bin[path.basename(relative)] = path.join(dirBin, relative);
              }
            }
          });
        }
      }

      return Object.assign(extraProps, {
        _shrinkwrap: sr,
        _resolved: mani && mani._resolved || pkg && pkg._resolved || spec.fetchSpec,
        _integrity: needsIntegrity && hash && hash.sha512 && hash.sha512[0].toString(),
        _shasum: needsShasum && hash && hash.sha1 && hash.sha1[0].hexDigest()
      });
    });
  }
}

function jsonFromStream(filename, dataStream) {
  return BB.fromNode(cb => {
    dataStream.on('error', cb);
    dataStream.on('close', cb);
    dataStream.on('entry', entry => {
      const filePath = entry.header.path.replace(/[^/]+\//, '');

      if (filePath !== filename) {
        entry.resume();
      } else {
        let data = '';
        entry.on('error', cb);
        finished(entry).then(() => {
          try {
            cb(null, JSON.parse(data));
          } catch (err) {
            cb(err);
          }
        }, err => {
          cb(err);
        });
        entry.on('data', d => {
          data += d;
        });
      }
    });
  });
}

function getPaths(dataStream) {
  return BB.fromNode(cb => {
    let paths = [];
    dataStream.on('error', cb);
    dataStream.on('close', () => cb(null, paths));
    dataStream.on('entry', function handler(entry) {
      const filePath = entry.header.path.replace(/[^/]+\//, '');
      entry.resume();
      paths.push(filePath);
    });
  });
}

function finalKey(pkg, spec) {
  if (pkg && pkg._uniqueResolved) {
    // git packages have a unique, identifiable id, but no tar sha
    return cacheKey(`${spec.type}-manifest`, pkg._uniqueResolved);
  } else {
    return pkg && pkg._integrity && cacheKey(`${spec.type}-manifest`, `${pkg._resolved}:${ssri.stringify(pkg._integrity)}`);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/cache-key.js":
/***/ ((module) => {

"use strict";


module.exports = cacheKey;

function cacheKey(type, identifier) {
  return ['pacote', type, identifier].join(':');
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/finished.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

module.exports = function (child, hasExitCode = false) {
  return BB.fromNode(function (cb) {
    child.on('error', cb);
    child.on(hasExitCode ? 'close' : 'end', function (exitCode) {
      if (exitCode === undefined || exitCode === 0) {
        cb();
      } else {
        let err = new Error('exited with error code: ' + exitCode);
        cb(err);
      }
    });
  });
};

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/git.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cp = __webpack_require__("child_process");

const execFileAsync = BB.promisify(cp.execFile, {
  multiArgs: true
});

const finished = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/finished.js");

const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/5.1.1/lru-cache/index.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const osenv = __webpack_require__("./node_modules/.f/_/osenv/0.1.5/osenv/osenv.js");

const path = __webpack_require__("path");

const pinflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

const promiseRetry = __webpack_require__("./node_modules/.f/_/promise-retry/1.1.1/promise-retry/index.js");

const uniqueFilename = __webpack_require__("./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js");

const which = BB.promisify(__webpack_require__("./node_modules/.f/_/which/1.3.1/which/which.js"));

const semver = __webpack_require__("./node_modules/.f/_/semver/5.7.1/semver/semver.js");

const GOOD_ENV_VARS = new Set(['GIT_ASKPASS', 'GIT_EXEC_PATH', 'GIT_PROXY_COMMAND', 'GIT_SSH', 'GIT_SSH_COMMAND', 'GIT_SSL_CAINFO', 'GIT_SSL_NO_VERIFY']);
const GIT_TRANSIENT_ERRORS = ['remote error: Internal Server Error', 'The remote end hung up unexpectedly', 'Connection timed out', 'Operation timed out', 'Failed to connect to .* Timed out', 'Connection reset by peer', 'SSL_ERROR_SYSCALL', 'The requested URL returned error: 503'].join('|');
const GIT_TRANSIENT_ERROR_RE = new RegExp(GIT_TRANSIENT_ERRORS);

function shouldRetry(error) {
  return GIT_TRANSIENT_ERROR_RE.test(error);
}

const GIT_ = 'GIT_';
let GITENV;

function gitEnv() {
  if (GITENV) {
    return GITENV;
  }

  const tmpDir = path.join(osenv.tmpdir(), 'pacote-git-template-tmp');
  const tmpName = uniqueFilename(tmpDir, 'git-clone');
  GITENV = {
    GIT_ASKPASS: 'echo',
    GIT_TEMPLATE_DIR: tmpName
  };
  Object.keys(process.env).forEach(k => {
    if (GOOD_ENV_VARS.has(k) || !k.startsWith(GIT_)) {
      GITENV[k] = process.env[k];
    }
  });
  return GITENV;
}

let GITPATH;

try {
  GITPATH = which.sync('git');
} catch (e) {}

module.exports.clone = fullClone;

function fullClone(repo, committish, target, opts) {
  opts = optCheck(opts);
  const gitArgs = ['clone', '--mirror', '-q', repo, path.join(target, '.git')];

  if (process.platform === 'win32') {
    gitArgs.push('--config', 'core.longpaths=true');
  }

  return execGit(gitArgs, {
    cwd: target
  }, opts).then(() => {
    return execGit(['init'], {
      cwd: target
    }, opts);
  }).then(() => {
    return execGit(['checkout', committish || 'HEAD'], {
      cwd: target
    }, opts);
  }).then(() => {
    return updateSubmodules(target, opts);
  }).then(() => headSha(target, opts));
}

module.exports.shallow = shallowClone;

function shallowClone(repo, branch, target, opts) {
  opts = optCheck(opts);
  const gitArgs = ['clone', '--depth=1', '-q'];

  if (branch) {
    gitArgs.push('-b', branch);
  }

  gitArgs.push(repo, target);

  if (process.platform === 'win32') {
    gitArgs.push('--config', 'core.longpaths=true');
  }

  return execGit(gitArgs, {
    cwd: target
  }, opts).then(() => {
    return updateSubmodules(target, opts);
  }).then(() => headSha(target, opts));
}

function updateSubmodules(localRepo, opts) {
  const gitArgs = ['submodule', 'update', '-q', '--init', '--recursive'];
  return execGit(gitArgs, {
    cwd: localRepo
  }, opts);
}

function headSha(repo, opts) {
  opts = optCheck(opts);
  return execGit(['rev-parse', '--revs-only', 'HEAD'], {
    cwd: repo
  }, opts).spread(stdout => {
    return stdout.trim();
  });
}

const CARET_BRACES = '^{}';
const REVS = new LRU({
  max: 100,
  maxAge: 5 * 60 * 1000
});
module.exports.revs = revs;

function revs(repo, opts) {
  opts = optCheck(opts);
  const cached = REVS.get(repo);

  if (cached) {
    return BB.resolve(cached);
  }

  return pinflight(`ls-remote:${repo}`, () => {
    return spawnGit(['ls-remote', '-h', '-t', repo], {
      env: gitEnv()
    }, opts).then(stdout => {
      return stdout.split('\n').reduce((revs, line) => {
        const split = line.split(/\s+/, 2);

        if (split.length < 2) {
          return revs;
        }

        const sha = split[0].trim();
        const ref = split[1].trim().match(/(?:refs\/[^/]+\/)?(.*)/)[1];

        if (!ref) {
          return revs;
        } // ???


        if (ref.endsWith(CARET_BRACES)) {
          return revs;
        } // refs/tags/x^{} crap


        const type = refType(line);
        const doc = {
          sha,
          ref,
          type
        };
        revs.refs[ref] = doc; // We can check out shallow clones on specific SHAs if we have a ref

        if (revs.shas[sha]) {
          revs.shas[sha].push(ref);
        } else {
          revs.shas[sha] = [ref];
        }

        if (type === 'tag') {
          const match = ref.match(/v?(\d+\.\d+\.\d+(?:[-+].+)?)$/);

          if (match && semver.valid(match[1], true)) {
            revs.versions[semver.clean(match[1], true)] = doc;
          }
        }

        return revs;
      }, {
        versions: {},
        'dist-tags': {},
        refs: {},
        shas: {}
      });
    }, err => {
      err.message = `Error while executing:\n${GITPATH} ls-remote -h -t ${repo}\n\n${err.stderr}\n${err.message}`;
      throw err;
    }).then(revs => {
      if (revs.refs.HEAD) {
        const HEAD = revs.refs.HEAD;
        Object.keys(revs.versions).forEach(v => {
          if (v.sha === HEAD.sha) {
            revs['dist-tags'].HEAD = v;

            if (!revs.refs.latest) {
              revs['dist-tags'].latest = revs.refs.HEAD;
            }
          }
        });
      }

      REVS.set(repo, revs);
      return revs;
    });
  });
}

module.exports._exec = execGit;

function execGit(gitArgs, gitOpts, opts) {
  opts = optCheck(opts);
  return checkGit(opts).then(gitPath => {
    return promiseRetry((retry, number) => {
      if (number !== 1) {
        opts.log.silly('pacote', 'Retrying git command: ' + gitArgs.join(' ') + ' attempt # ' + number);
      }

      return execFileAsync(gitPath, gitArgs, mkOpts(gitOpts, opts)).catch(err => {
        if (shouldRetry(err)) {
          retry(err);
        } else {
          throw err;
        }
      });
    }, opts.retry != null ? opts.retry : {
      retries: opts['fetch-retries'],
      factor: opts['fetch-retry-factor'],
      maxTimeout: opts['fetch-retry-maxtimeout'],
      minTimeout: opts['fetch-retry-mintimeout']
    });
  });
}

module.exports._spawn = spawnGit;

function spawnGit(gitArgs, gitOpts, opts) {
  opts = optCheck(opts);
  return checkGit(opts).then(gitPath => {
    return promiseRetry((retry, number) => {
      if (number !== 1) {
        opts.log.silly('pacote', 'Retrying git command: ' + gitArgs.join(' ') + ' attempt # ' + number);
      }

      const child = cp.spawn(gitPath, gitArgs, mkOpts(gitOpts, opts));
      let stdout = '';
      let stderr = '';
      child.stdout.on('data', d => {
        stdout += d;
      });
      child.stderr.on('data', d => {
        stderr += d;
      });
      return finished(child, true).catch(err => {
        if (shouldRetry(stderr)) {
          retry(err);
        } else {
          err.stderr = stderr;
          throw err;
        }
      }).then(() => {
        return stdout;
      });
    }, opts.retry);
  });
}

function mkOpts(_gitOpts, opts) {
  const gitOpts = {
    env: gitEnv()
  };

  if (+opts.uid && !isNaN(opts.uid)) {
    gitOpts.uid = +opts.uid;
  }

  if (+opts.gid && !isNaN(opts.gid)) {
    gitOpts.gid = +opts.gid;
  }

  Object.assign(gitOpts, _gitOpts);
  return gitOpts;
}

function checkGit(opts) {
  if (opts.git) {
    return BB.resolve(opts.git);
  } else if (!GITPATH) {
    const err = new Error('No git binary found in $PATH');
    err.code = 'ENOGIT';
    return BB.reject(err);
  } else {
    return BB.resolve(GITPATH);
  }
}

const REFS_TAGS = 'refs/tags/';
const REFS_HEADS = 'refs/heads/';
const HEAD = 'HEAD';

function refType(ref) {
  return ref.indexOf(REFS_TAGS) !== -1 ? 'tag' : ref.indexOf(REFS_HEADS) !== -1 ? 'branch' : ref.endsWith(HEAD) ? 'head' : 'other';
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const logger = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/proclog.js");

const AUTH_REGEX = /^(?:.*:)?(token|_authToken|username|_password|password|email|always-auth|_auth|otp)$/;
const SCOPE_REGISTRY_REGEX = /@.*:registry$/gi;
module.exports = figgyPudding({
  annotate: {},
  cache: {},
  defaultTag: 'tag',
  dirPacker: {},
  dmode: {},
  'enjoy-by': 'enjoyBy',
  enjoyBy: {},
  fmode: {},
  'fetch-retries': {
    default: 2
  },
  'fetch-retry-factor': {
    default: 10
  },
  'fetch-retry-maxtimeout': {
    default: 60000
  },
  'fetch-retry-mintimeout': {
    default: 10000
  },
  fullMetadata: 'full-metadata',
  'full-metadata': {
    default: false
  },
  gid: {},
  git: {},
  includeDeprecated: {
    default: true
  },
  'include-deprecated': 'includeDeprecated',
  integrity: {},
  log: {
    default: logger
  },
  memoize: {},
  offline: {},
  preferOffline: 'prefer-offline',
  'prefer-offline': {},
  preferOnline: 'prefer-online',
  'prefer-online': {},
  cachePolicy: 'cache-policy',
  'cache-policy': {},
  cacheKey: 'cache-key',
  'cache-key': {},
  registry: {
    default: 'https://registry.npmjs.org/'
  },
  resolved: {},
  retry: {},
  scope: {},
  tag: {
    default: 'latest'
  },
  uid: {},
  umask: {},
  where: {}
}, {
  other(key) {
    return key.match(AUTH_REGEX) || key.match(SCOPE_REGISTRY_REGEX);
  }

});

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/pack-dir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const cacheKey = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/cache-key.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const packlist = __webpack_require__("./node_modules/.f/_/npm-packlist/1.4.8/npm-packlist/index.js");

const pipe = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").pipe);

const tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js");

module.exports = packDir;

function packDir(manifest, label, dir, target, opts) {
  opts = optCheck(opts);
  const packer = opts.dirPacker ? BB.resolve(opts.dirPacker(manifest, dir)) : mkPacker(dir);

  if (!opts.cache) {
    return packer.then(packer => pipe(packer, target));
  } else {
    const cacher = cacache.put.stream(opts.cache, cacheKey('packed-dir', label), opts).on('integrity', i => {
      target.emit('integrity', i);
    });
    return packer.then(packer => BB.all([pipe(packer, cacher), pipe(packer, target)]));
  }
}

function mkPacker(dir) {
  return packlist({
    path: dir
  }).then(files => {
    return tar.c({
      cwd: dir,
      gzip: true,
      portable: true,
      prefix: 'package/'
    }, files);
  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/proclog.js":
/***/ ((module) => {

"use strict";


const LEVELS = ['notice', 'error', 'warn', 'info', 'verbose', 'http', 'silly', 'pause', 'resume'];
const logger = {};

for (const level of LEVELS) {
  logger[level] = log(level);
}

module.exports = logger;

function log(level) {
  return (category, ...args) => process.emit('log', level, category, ...args);
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/lib/with-tarball-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const fetch = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");

const fs = __webpack_require__("fs");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const path = __webpack_require__("path");

const ssri = __webpack_require__("./node_modules/.f/_/ssri/6.0.1/ssri/index.js");

const retry = __webpack_require__("./node_modules/.f/_/promise-retry/1.1.1/promise-retry/index.js");

const statAsync = BB.promisify(fs.stat);
const RETRIABLE_ERRORS = new Set(['ENOENT', 'EINTEGRITY', 'Z_DATA_ERROR']);
module.exports = withTarballStream;

function withTarballStream(spec, opts, streamHandler) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where); // First, we check for a file: resolved shortcut

  const tryFile = !opts.preferOnline && opts.integrity && opts.resolved && opts.resolved.startsWith('file:') ? BB.try(() => {
    // NOTE - this is a special shortcut! Packages installed as files do not
    // have a `resolved` field -- this specific case only occurs when you have,
    // say, a git dependency or a registry dependency that you've packaged into
    // a local file, and put that file: spec in the `resolved` field.
    opts.log.silly('pacote', `trying ${spec} by local file: ${opts.resolved}`);
    const file = path.resolve(opts.where || '.', opts.resolved.substr(5));
    return statAsync(file).then(() => {
      const verifier = ssri.integrityStream({
        integrity: opts.integrity
      });
      const stream = fs.createReadStream(file).on('error', err => verifier.emit('error', err)).pipe(verifier);
      return streamHandler(stream);
    }).catch(err => {
      if (err.code === 'EINTEGRITY') {
        opts.log.warn('pacote', `EINTEGRITY while extracting ${spec} from ${file}.You will have to recreate the file.`);
        opts.log.verbose('pacote', `EINTEGRITY for ${spec}: ${err.message}`);
      }

      throw err;
    });
  }) : BB.reject(Object.assign(new Error('no file!'), {
    code: 'ENOENT'
  }));
  const tryDigest = tryFile.catch(err => {
    if (opts.preferOnline || !opts.cache || !opts.integrity || !RETRIABLE_ERRORS.has(err.code)) {
      throw err;
    } else {
      opts.log.silly('tarball', `trying ${spec} by hash: ${opts.integrity}`);
      const stream = cacache.get.stream.byDigest(opts.cache, opts.integrity, opts);
      stream.once('error', err => stream.on('newListener', (ev, l) => {
        if (ev === 'error') {
          l(err);
        }
      }));
      return streamHandler(stream).catch(err => {
        if (err.code === 'EINTEGRITY' || err.code === 'Z_DATA_ERROR') {
          opts.log.warn('tarball', `cached data for ${spec} (${opts.integrity}) seems to be corrupted. Refreshing cache.`);
          return cleanUpCached(opts.cache, opts.integrity, opts).then(() => {
            throw err;
          });
        } else {
          throw err;
        }
      });
    }
  });
  const trySpec = tryDigest.catch(err => {
    if (!RETRIABLE_ERRORS.has(err.code)) {
      // If it's not one of our retriable errors, bail out and give up.
      throw err;
    } else {
      opts.log.silly('tarball', `no local data for ${spec}. Extracting by manifest.`);
      return BB.resolve(retry((tryAgain, attemptNum) => {
        const tardata = fetch.tarball(spec, opts);

        if (!opts.resolved) {
          tardata.on('manifest', m => {
            opts = opts.concat({
              resolved: m._resolved
            });
          });
          tardata.on('integrity', i => {
            opts = opts.concat({
              integrity: i
            });
          });
        }

        return BB.try(() => streamHandler(tardata)).catch(err => {
          // Retry once if we have a cache, to clear up any weird conditions.
          // Don't retry network errors, though -- make-fetch-happen has already
          // taken care of making sure we're all set on that front.
          if (opts.cache && err.code && !err.code.match(/^E\d{3}$/)) {
            if (err.code === 'EINTEGRITY' || err.code === 'Z_DATA_ERROR') {
              opts.log.warn('tarball', `tarball data for ${spec} (${opts.integrity}) seems to be corrupted. Trying one more time.`);
            }

            return cleanUpCached(opts.cache, err.sri, opts).then(() => tryAgain(err));
          } else {
            throw err;
          }
        });
      }, {
        retries: 1
      }));
    }
  });
  return trySpec.catch(err => {
    if (err.code === 'EINTEGRITY') {
      err.message = `Verification failed while extracting ${spec}:\n${err.message}`;
    }

    throw err;
  });
}

function cleanUpCached(cachePath, integrity, opts) {
  return cacache.rm.content(cachePath, integrity, opts);
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/manifest.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fetchManifest = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js").manifest;

const finalizeManifest = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/finalize-manifest.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const pinflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

module.exports = manifest;

function manifest(spec, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  const label = [spec.name, spec.saveSpec || spec.fetchSpec, spec.type, opts.cache, opts.registry, opts.scope].join(':');
  return pinflight(label, () => {
    const startTime = Date.now();
    return fetchManifest(spec, opts).then(rawManifest => {
      return finalizeManifest(rawManifest, spec, opts);
    }).then(manifest => {
      if (opts.annotate) {
        manifest._from = spec.saveSpec || spec.raw;
        manifest._requested = spec;
        manifest._spec = spec.raw;
        manifest._where = opts.where;
      }

      const elapsedTime = Date.now() - startTime;
      opts.log.silly('pacote', `${spec.type} manifest for ${spec.name}@${spec.saveSpec || spec.fetchSpec} fetched in ${elapsedTime}ms`);
      return manifest;
    });
  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/packument.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fetchPackument = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js").packument;

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const pinflight = __webpack_require__("./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

module.exports = packument;

function packument(spec, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  const label = [spec.name, spec.saveSpec || spec.fetchSpec, spec.type, opts.cache, opts.registry, opts.scope].join(':');
  const startTime = Date.now();
  return pinflight(label, () => {
    return fetchPackument(spec, opts);
  }).then(p => {
    const elapsedTime = Date.now() - startTime;
    opts.log.silly('pacote', `${spec.registry ? 'registry' : spec.type} packument for ${spec.name}@${spec.saveSpec || spec.fetchSpec} fetched in ${elapsedTime}ms`);
    return p;
  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/prefetch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const finished = BB.promisify(__webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js").finished);

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

module.exports = prefetch;

function prefetch(spec, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  opts.log.warn('prefetch', 'pacote.prefetch() is deprecated. Please use pacote.tarball() instead.');
  const startTime = Date.now();

  if (!opts.cache) {
    opts.log.info('prefetch', 'skipping prefetch: no cache provided');
    return BB.resolve({
      spec
    });
  }

  if (opts.integrity && !opts.preferOnline) {
    opts.log.silly('prefetch', 'checking if', opts.integrity, 'is already cached');
    return cacache.get.hasContent(opts.cache, opts.integrity).then(info => {
      if (info) {
        opts.log.silly('prefetch', `content already exists for ${spec} (${Date.now() - startTime}ms)`);
        return {
          spec,
          integrity: info.integrity,
          size: info.size,
          byDigest: true
        };
      } else {
        return prefetchByManifest(startTime, spec, opts);
      }
    });
  } else {
    opts.log.silly('prefetch', `no integrity hash provided for ${spec} - fetching by manifest`);
    return prefetchByManifest(startTime, spec, opts);
  }
}

let fetch;

function prefetchByManifest(start, spec, opts) {
  let manifest;
  let integrity;
  return BB.resolve().then(() => {
    if (!fetch) {
      fetch = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/fetch.js");
    }

    const stream = fetch.tarball(spec, opts);

    if (!stream) {
      return;
    }

    stream.on('data', function () {});
    stream.on('manifest', m => {
      manifest = m;
    });
    stream.on('integrity', i => {
      integrity = i;
    });
    return finished(stream);
  }).then(() => {
    opts.log.silly('prefetch', `${spec} done in ${Date.now() - start}ms`);
    return {
      manifest,
      spec,
      integrity: integrity || manifest && manifest._integrity,
      byDigest: false
    };
  });
}

/***/ }),

/***/ "./node_modules/.f/_/pacote/9.4.0/pacote/tarball.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const BB = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const fs = __webpack_require__("fs");

const getStream = __webpack_require__("./node_modules/.f/_/get-stream/4.1.0/get-stream/index.js");

const mkdirp = BB.promisify(__webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js"));

const npa = __webpack_require__("./node_modules/.f/_/npm-package-arg/6.1.1/npm-package-arg/npa.js");

const optCheck = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/util/opt-check.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const path = __webpack_require__("path");

const rimraf = BB.promisify(__webpack_require__("./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js"));

const withTarballStream = __webpack_require__("./node_modules/.f/_/pacote/9.4.0/pacote/lib/with-tarball-stream.js");

module.exports = tarball;

function tarball(spec, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  return withTarballStream(spec, opts, stream => getStream.buffer(stream));
}

module.exports.stream = tarballStream;

function tarballStream(spec, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  const output = new PassThrough();
  let hasTouchedOutput = false;
  let lastError = null;
  withTarballStream(spec, opts, stream => {
    if (hasTouchedOutput && lastError) {
      throw lastError;
    } else if (hasTouchedOutput) {
      throw new Error('abort, abort!');
    } else {
      return new BB((resolve, reject) => {
        stream.on('error', reject);
        output.on('error', reject);
        output.on('error', () => {
          hasTouchedOutput = true;
        });
        output.on('finish', resolve);
        stream.pipe(output);
        stream.once('data', () => {
          hasTouchedOutput = true;
        });
      }).catch(err => {
        lastError = err;
        throw err;
      });
    }
  }).catch(err => output.emit('error', err));
  return output;
}

module.exports.toFile = tarballToFile;

function tarballToFile(spec, dest, opts) {
  opts = optCheck(opts);
  spec = npa(spec, opts.where);
  return mkdirp(path.dirname(dest)).then(() => withTarballStream(spec, opts, stream => {
    return rimraf(dest).then(() => new BB((resolve, reject) => {
      const writer = fs.createWriteStream(dest);
      stream.on('error', reject);
      writer.on('error', reject);
      writer.on('close', resolve);
      stream.pipe(writer);
    }));
  }));
}

/***/ }),

/***/ "./node_modules/.f/_/parallel-transform/1.2.0/parallel-transform/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Transform = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js").Transform;

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var cyclist = __webpack_require__("./node_modules/.f/_/cyclist/1.0.1/cyclist/index.js");

var util = __webpack_require__("util");

var ParallelTransform = function (maxParallel, opts, ontransform) {
  if (!(this instanceof ParallelTransform)) return new ParallelTransform(maxParallel, opts, ontransform);

  if (typeof maxParallel === 'function') {
    ontransform = maxParallel;
    opts = null;
    maxParallel = 1;
  }

  if (typeof opts === 'function') {
    ontransform = opts;
    opts = null;
  }

  if (!opts) opts = {};
  if (!opts.highWaterMark) opts.highWaterMark = Math.max(maxParallel, 16);
  if (opts.objectMode !== false) opts.objectMode = true;
  Transform.call(this, opts);
  this._maxParallel = maxParallel;
  this._ontransform = ontransform;
  this._destroyed = false;
  this._flushed = false;
  this._ordered = opts.ordered !== false;
  this._buffer = this._ordered ? cyclist(maxParallel) : [];
  this._top = 0;
  this._bottom = 0;
  this._ondrain = null;
};

inherits(ParallelTransform, Transform);

ParallelTransform.prototype.destroy = function () {
  if (this._destroyed) return;
  this._destroyed = true;
  this.emit('close');
};

ParallelTransform.prototype._transform = function (chunk, enc, callback) {
  var self = this;
  var pos = this._top++;

  this._ontransform(chunk, function (err, data) {
    if (self._destroyed) return;

    if (err) {
      self.emit('error', err);
      self.push(null);
      self.destroy();
      return;
    }

    if (self._ordered) {
      self._buffer.put(pos, data === undefined || data === null ? null : data);
    } else {
      self._buffer.push(data);
    }

    self._drain();
  });

  if (this._top - this._bottom < this._maxParallel) return callback();
  this._ondrain = callback;
};

ParallelTransform.prototype._flush = function (callback) {
  this._flushed = true;
  this._ondrain = callback;

  this._drain();
};

ParallelTransform.prototype._drain = function () {
  if (this._ordered) {
    while (this._buffer.get(this._bottom) !== undefined) {
      var data = this._buffer.del(this._bottom++);

      if (data === null) continue;
      this.push(data);
    }
  } else {
    while (this._buffer.length > 0) {
      var data = this._buffer.pop();

      this._bottom++;
      if (data === null) continue;
      this.push(data);
    }
  }

  if (!this._drained() || !this._ondrain) return;
  var ondrain = this._ondrain;
  this._ondrain = null;
  ondrain();
};

ParallelTransform.prototype._drained = function () {
  var diff = this._top - this._bottom;
  return this._flushed ? !diff : diff < this._maxParallel;
};

module.exports = ParallelTransform;

/***/ }),

/***/ "./node_modules/.f/_/path-exists/4.0.0/path-exists/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const fs = __webpack_require__("fs");

const {
  promisify
} = __webpack_require__("util");

const pAccess = promisify(fs.access);

module.exports = async path => {
  try {
    await pAccess(path);
    return true;
  } catch (_) {
    return false;
  }
};

module.exports.sync = path => {
  try {
    fs.accessSync(path);
    return true;
  } catch (_) {
    return false;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/path-is-absolute/1.0.1/path-is-absolute/index.js":
/***/ ((module) => {

"use strict";


function posix(path) {
  return path.charAt(0) === '/';
}

function win32(path) {
  // https://github.com/nodejs/node/blob/b3fcc245fb25539909ef1d5eaa01dbf92e168633/lib/path.js#L56
  var splitDeviceRe = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/;
  var result = splitDeviceRe.exec(path);
  var device = result[1] || '';
  var isUnc = Boolean(device && device.charAt(1) !== ':'); // UNC paths are always absolute

  return Boolean(result[2] || isUnc);
}

module.exports = process.platform === 'win32' ? win32 : posix;
module.exports.posix = posix;
module.exports.win32 = win32;

/***/ }),

/***/ "./node_modules/.f/_/path-key/3.1.1/path-key/index.js":
/***/ ((module) => {

"use strict";


const pathKey = (options = {}) => {
  const environment = options.env || process.env;
  const platform = options.platform || process.platform;

  if (platform !== 'win32') {
    return 'PATH';
  }

  return Object.keys(environment).reverse().find(key => key.toUpperCase() === 'PATH') || 'Path';
};

module.exports = pathKey; // TODO: Remove this for the next major release

module.exports["default"] = pathKey;

/***/ }),

/***/ "./node_modules/.f/_/path-parse/1.0.6/path-parse/index.js":
/***/ ((module) => {

"use strict";


var isWindows = process.platform === 'win32'; // Regex to split a windows path into three parts: [*, device, slash,
// tail] windows-only

var splitDeviceRe = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/; // Regex to split the tail part of the above into [*, dir, basename, ext]

var splitTailRe = /^([\s\S]*?)((?:\.{1,2}|[^\\\/]+?|)(\.[^.\/\\]*|))(?:[\\\/]*)$/;
var win32 = {}; // Function to split a filename into [root, dir, basename, ext]

function win32SplitPath(filename) {
  // Separate device+slash from tail
  var result = splitDeviceRe.exec(filename),
      device = (result[1] || '') + (result[2] || ''),
      tail = result[3] || ''; // Split the tail into dir, basename and extension

  var result2 = splitTailRe.exec(tail),
      dir = result2[1],
      basename = result2[2],
      ext = result2[3];
  return [device, dir, basename, ext];
}

win32.parse = function (pathString) {
  if (typeof pathString !== 'string') {
    throw new TypeError("Parameter 'pathString' must be a string, not " + typeof pathString);
  }

  var allParts = win32SplitPath(pathString);

  if (!allParts || allParts.length !== 4) {
    throw new TypeError("Invalid path '" + pathString + "'");
  }

  return {
    root: allParts[0],
    dir: allParts[0] + allParts[1].slice(0, -1),
    base: allParts[2],
    ext: allParts[3],
    name: allParts[2].slice(0, allParts[2].length - allParts[3].length)
  };
}; // Split a filename into [root, dir, basename, ext], unix version
// 'root' is just a slash, or nothing.


var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
var posix = {};

function posixSplitPath(filename) {
  return splitPathRe.exec(filename).slice(1);
}

posix.parse = function (pathString) {
  if (typeof pathString !== 'string') {
    throw new TypeError("Parameter 'pathString' must be a string, not " + typeof pathString);
  }

  var allParts = posixSplitPath(pathString);

  if (!allParts || allParts.length !== 4) {
    throw new TypeError("Invalid path '" + pathString + "'");
  }

  allParts[1] = allParts[1] || '';
  allParts[2] = allParts[2] || '';
  allParts[3] = allParts[3] || '';
  return {
    root: allParts[0],
    dir: allParts[0] + allParts[1].slice(0, -1),
    base: allParts[2],
    ext: allParts[3],
    name: allParts[2].slice(0, allParts[2].length - allParts[3].length)
  };
};

if (isWindows) module.exports = win32.parse;else
  /* posix */
  module.exports = posix.parse;
module.exports.posix = posix.parse;
module.exports.win32 = win32.parse;

/***/ }),

/***/ "./node_modules/.f/_/pkg-preper/0.1.0/pkg-preper/lib/pkg-preper.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 //
// With code copied from:
//
// https://github.com/npm/cli/blob/58ece8973f43c77b1f4f44ded0f49556ad30eb57/lib/pack.js
//
// Licensed under The Artistic License 2.0 as the original code.
//
// Heavily modified to allow custom callback hooks
//
// Prepare packages that did not come from npm registry, therefore may not
// have gone through the standard npm publish process, and npm scripts such
// as prepare may not have been executed.
//
// So if npm script prepare exist, then need to install dependencies (with dev)
// for the package, execute the prepare script, and finally pack files into
// tgz file for pacote.
//

const cacache = __webpack_require__("./node_modules/.f/_/cacache/11.3.2/cacache/index.js");

const Path = __webpack_require__("path");

const Promise = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");

const PassThrough = __webpack_require__("stream").PassThrough;

const mississippi = __webpack_require__("./node_modules/.f/_/mississippi/3.0.0/mississippi/index.js");

const pipe = Promise.promisify(mississippi.pipe, {
  context: mississippi
});

const tar = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/index.js");

const packlist = __webpack_require__("./node_modules/.f/_/npm-packlist/1.4.8/npm-packlist/index.js");

const Fs = __webpack_require__("./node_modules/.f/_/opfs/1.1.1/opfs/lib/index.js");

const readPkgJson = dir => {
  return Fs.readFile(Path.join(dir, "package.json").toString().trim()).then(JSON.parse);
};

class PkgPreper {
  constructor({
    tmpDir,
    installDependencies
  }) {
    this._tmpDir = tmpDir;
    this._installDependencies = installDependencies;
  }

  packDirectory(mani, dir, target) {
    return readPkgJson(dir) // .then(pkg => {
    //   return lifecycle(pkg, "prepack", dir);
    // })
    // .then(() => {
    //   return readJson(path.join(dir, "package.json"));
    // })
    .then(pkg => {
      return cacache.tmp.withTmp(this._tmpDir, {
        tmpPrefix: "packing"
      }, tmp => {
        const tmpTarget = Path.join(tmp, Path.basename(target));
        const tarOpt = {
          file: tmpTarget,
          cwd: dir,
          prefix: "package/",
          portable: true,
          // Provide a specific date in the 1980s for the benefit of zip,
          // which is confounded by files dated at the Unix epoch 0.
          mtime: new Date("1985-10-26T08:15:00.000Z"),
          gzip: true
        };
        return Promise.resolve(packlist({
          path: dir
        })).then(files => {
          // NOTE: node-tar does some Magic Stuff depending on prefixes for files
          //       specifically with @ signs, so we just neutralize that one
          //       and any such future "features" by prepending `./`
          return tar.create(tarOpt, files.map(f => `./${f}`));
        }).tap(() => Fs.rename(tmpTarget, target)); // .then(() => getContents(pkg, tmpTarget, filename, logIt))
        // // thread the content info through
        // .tap(() => move(tmpTarget, target, { Promise: BB, fs }))
        // .tap(() => lifecycle(pkg, "postpack", dir))
      });
    });
  } //
  // dirPacker for pacote when retrieving packages from remote, particularly github
  // reference: https://github.com/npm/cli/blob/58ece8973f43c77b1f4f44ded0f49556ad30eb57/lib/pack.js#L293
  //


  depDirPacker(manifest, dir) {
    const stream = new PassThrough();
    readPkgJson(dir).then(pkg => {
      if (pkg.scripts && pkg.scripts.prepare) {
        return this._installDependencies(dir, `preparing gitdep package ${pkg.name} from ${manifest._resolved}`);
      }
    }).tap(() => stream.emit("prepared")).then(() => {
      return cacache.tmp.withTmp(this._tmpDir, {
        tmpPrefix: "pacote-packing"
      }, tmp => {
        const tmpTar = Path.join(tmp, "package.tgz");
        return this.packDirectory(manifest, dir, tmpTar).then(() => {
          return pipe(Fs.createReadStream(tmpTar), stream);
        });
      });
    }).catch(err => {
      stream.emit("error", err);
    });
    return stream;
  }

  getDirPackerCb() {
    return (m, d) => this.depDirPacker(m, d);
  }

}

module.exports = PkgPreper;

/***/ }),

/***/ "./node_modules/.f/_/process-nextick-args/2.0.1/process-nextick-args/index.js":
/***/ ((module) => {

"use strict";


if (typeof process === 'undefined' || !process.version || process.version.indexOf('v0.') === 0 || process.version.indexOf('v1.') === 0 && process.version.indexOf('v1.8.') !== 0) {
  module.exports = {
    nextTick: nextTick
  };
} else {
  module.exports = process;
}

function nextTick(fn, arg1, arg2, arg3) {
  if (typeof fn !== 'function') {
    throw new TypeError('"callback" argument must be a function');
  }

  var len = arguments.length;
  var args, i;

  switch (len) {
    case 0:
    case 1:
      return process.nextTick(fn);

    case 2:
      return process.nextTick(function afterTickOne() {
        fn.call(null, arg1);
      });

    case 3:
      return process.nextTick(function afterTickTwo() {
        fn.call(null, arg1, arg2);
      });

    case 4:
      return process.nextTick(function afterTickThree() {
        fn.call(null, arg1, arg2, arg3);
      });

    default:
      args = new Array(len - 1);
      i = 0;

      while (i < args.length) {
        args[i++] = arguments[i];
      }

      return process.nextTick(function afterTick() {
        fn.apply(null, args);
      });
  }
}

/***/ }),

/***/ "./node_modules/.f/_/promise-inflight/1.0.1/promise-inflight/inflight.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = inflight;
let Bluebird;

try {
  Bluebird = __webpack_require__("./node_modules/.f/_/bluebird/3.7.2/bluebird/js/release/bluebird.js");
} catch (_) {
  Bluebird = Promise;
}

const active = {};
inflight.active = active;

function inflight(unique, doFly) {
  return Bluebird.all([unique, doFly]).then(function (args) {
    const unique = args[0];
    const doFly = args[1];

    if (Array.isArray(unique)) {
      return Bluebird.all(unique).then(function (uniqueArr) {
        return _inflight(uniqueArr.join(''), doFly);
      });
    } else {
      return _inflight(unique, doFly);
    }
  });

  function _inflight(unique, doFly) {
    if (!active[unique]) {
      active[unique] = new Bluebird(function (resolve) {
        return resolve(doFly());
      });
      active[unique].then(cleanup, cleanup);

      function cleanup() {
        delete active[unique];
      }
    }

    return active[unique];
  }
}

/***/ }),

/***/ "./node_modules/.f/_/promise-retry/1.1.1/promise-retry/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var errcode = __webpack_require__("./node_modules/.f/_/err-code/1.1.2/err-code/index.js");

var retry = __webpack_require__("./node_modules/.f/_/retry/0.10.1/retry/index.js");

var hasOwn = Object.prototype.hasOwnProperty;

function isRetryError(err) {
  return err && err.code === 'EPROMISERETRY' && hasOwn.call(err, 'retried');
}

function promiseRetry(fn, options) {
  var temp;
  var operation;

  if (typeof fn === 'object' && typeof options === 'function') {
    // Swap options and fn when using alternate signature (options, fn)
    temp = options;
    options = fn;
    fn = temp;
  }

  operation = retry.operation(options);
  return new Promise(function (resolve, reject) {
    operation.attempt(function (number) {
      Promise.resolve().then(function () {
        return fn(function (err) {
          if (isRetryError(err)) {
            err = err.retried;
          }

          throw errcode('Retrying', 'EPROMISERETRY', {
            retried: err
          });
        }, number);
      }).then(resolve, function (err) {
        if (isRetryError(err)) {
          err = err.retried;

          if (operation.retry(err || new Error())) {
            return;
          }
        }

        reject(err);
      });
    });
  });
}

module.exports = promiseRetry;

/***/ }),

/***/ "./node_modules/.f/_/promise-retry/2.0.1/promise-retry/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var errcode = __webpack_require__("./node_modules/.f/_/err-code/2.0.3/err-code/index.js");

var retry = __webpack_require__("./node_modules/.f/_/retry/0.12.0/retry/index.js");

var hasOwn = Object.prototype.hasOwnProperty;

function isRetryError(err) {
  return err && err.code === 'EPROMISERETRY' && hasOwn.call(err, 'retried');
}

function promiseRetry(fn, options) {
  var temp;
  var operation;

  if (typeof fn === 'object' && typeof options === 'function') {
    // Swap options and fn when using alternate signature (options, fn)
    temp = options;
    options = fn;
    fn = temp;
  }

  operation = retry.operation(options);
  return new Promise(function (resolve, reject) {
    operation.attempt(function (number) {
      Promise.resolve().then(function () {
        return fn(function (err) {
          if (isRetryError(err)) {
            err = err.retried;
          }

          throw errcode(new Error('Retrying'), 'EPROMISERETRY', {
            retried: err
          });
        }, number);
      }).then(resolve, function (err) {
        if (isRetryError(err)) {
          err = err.retried;

          if (operation.retry(err || new Error())) {
            return;
          }
        }

        reject(err);
      });
    });
  });
}

module.exports = promiseRetry;

/***/ }),

/***/ "./node_modules/.f/_/protoduck/5.0.1/protoduck/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const genfun = __webpack_require__("./node_modules/.f/_/genfun/5.0.0/genfun/lib/genfun.js");

class Duck extends Function {
  // Duck.impl(Foo, [String, Array], { frob (str, arr) { ... }})
  impl(target, types, impls) {
    if (!impls && !isArray(types)) {
      impls = types;
      types = [];
    }

    if (!impls && this.isDerivable) {
      impls = this._defaultImpls;
    }

    if (!impls) {
      impls = {};
    }

    if (typeof target === 'function' && !target.isGenfun) {
      target = target.prototype;
    }

    checkImpls(this, target, impls);
    checkArgTypes(this, types);

    this._constraints.forEach(c => {
      if (!c.verify(target, types)) {
        throw new Error(`Implementations of ${this.name || 'this protocol'} must first implement ${c.parent.name || 'its constraint protocols defined in opts.where.'}`);
      }
    });

    this._methodNames.forEach(name => {
      defineMethod(this, name, target, types, impls);
    });
  }

  hasImpl(arg, args) {
    args = args || [];
    const fns = this._methodNames;
    var gf;

    if (typeof arg === 'function' && !arg.isGenfun) {
      arg = arg.prototype;
    }

    args = args.map(arg => {
      if (typeof arg === 'function' && !arg.isGenfun) {
        return arg.prototype;
      } else {
        return arg;
      }
    });

    for (var i = 0; i < fns.length; i++) {
      gf = arg[fns[i]];

      if (!gf || (gf.hasMethod ? !gf.hasMethod.apply(gf, args) : typeof gf === 'function')) {
        return false;
      }
    }

    return true;
  } // MyDuck.matches('a', ['this', 'c'])


  matches(thisType, argTypes) {
    if (!argTypes && isArray(thisType)) {
      argTypes = thisType;
      thisType = 'this';
    }

    if (!thisType) {
      thisType = 'this';
    }

    if (!argTypes) {
      argTypes = [];
    }

    return new Constraint(this, thisType, argTypes);
  }

}

Duck.prototype.isDuck = true;
Duck.prototype.isProtocol = true;
const Protoduck = module.exports = define(['duck'], {
  createGenfun: ['duck', _metaCreateGenfun],
  addMethod: ['duck', _metaAddMethod]
}, {
  name: 'Protoduck'
});
const noImplFound = module.exports.noImplFound = genfun.noApplicableMethod;
module.exports.define = define;

function define(types, spec, opts) {
  if (!isArray(types)) {
    // protocol(spec, opts?) syntax for method-based protocols
    opts = spec;
    spec = types;
    types = [];
  }

  const duck = function (thisType, argTypes) {
    return duck.matches(thisType, argTypes);
  };

  Object.setPrototypeOf(duck, Duck.prototype);
  duck.isDerivable = true;
  Object.defineProperty(duck, 'name', {
    value: opts && opts.name || 'Protocol'
  });

  if (opts && opts.where) {
    let where = opts.where;

    if (!isArray(opts.where)) {
      where = [opts.where];
    }

    duck._constraints = where.map(w => w.isProtocol // `where: [Foo]`
    ? w.matches() : w);
  } else {
    duck._constraints = [];
  }

  duck.isProtocol = true;
  duck._metaobject = opts && opts.metaobject;
  duck._types = types;
  duck._defaultImpls = {};
  duck._gfTypes = {};
  duck._methodNames = Object.keys(spec);

  duck._methodNames.forEach(name => {
    checkMethodSpec(duck, name, spec);
  });

  duck._constraints.forEach(c => c.attach(duck));

  return duck;
}

function checkMethodSpec(duck, name, spec) {
  let gfTypes = spec[name];

  if (typeof gfTypes === 'function') {
    duck._defaultImpls[name] = gfTypes;
    gfTypes = [gfTypes];
  }

  if (typeof gfTypes[gfTypes.length - 1] === 'function') {
    duck._defaultImpls[name] = gfTypes.pop();
  } else {
    duck.isDerivable = false;
  }

  duck._gfTypes[name] = gfTypes.map(typeId => {
    const idx = duck._types.indexOf(typeId);

    if (idx === -1) {
      throw new Error(`type '${typeId}' for function '${name}' does not match any protocol types (${duck._types.join(', ')}).`);
    } else {
      return idx;
    }
  });
}

function defineMethod(duck, name, target, types, impls) {
  const methodTypes = duck._gfTypes[name].map(function (typeIdx) {
    return types[typeIdx];
  });

  for (let i = methodTypes.length - 1; i >= 0; i--) {
    if (methodTypes[i] === undefined) {
      methodTypes.pop();
    } else {
      break;
    }
  }

  const useMetaobject = duck._metaobject && duck._metaobject !== Protoduck; // `target` does not necessarily inherit from `Object`

  if (!Object.prototype.hasOwnProperty.call(target, name)) {
    // Make a genfun if there's nothing there
    const gf = useMetaobject ? duck._metaobject.createGenfun(duck, target, name, null) : _metaCreateGenfun(duck, target, name, null);
    target[name] = gf;
  } else if (typeof target[name] === 'function' && !target[name].isGenfun) {
    // Turn non-gf functions into genfuns
    const gf = useMetaobject ? duck._metaobject.createGenfun(duck, target, name, target[name]) : _metaCreateGenfun(duck, target, name, target[name]);
    target[name] = gf;
  }

  const fn = impls[name] || duck._defaultImpls[name];

  if (fn) {
    // checkImpls made sure this is safe
    useMetaobject ? duck._metaobject.addMethod(duck, target, name, methodTypes, fn) : _metaAddMethod(duck, target, name, methodTypes, fn);
  }
}

function checkImpls(duck, target, impls) {
  duck._methodNames.forEach(function (name) {
    if (!impls[name] && !duck._defaultImpls[name] && // Existing methods on the target are acceptable defaults.
    typeof target[name] !== 'function') {
      throw new Error(`Missing implementation for ${formatMethod(duck, name, duck.name)}. Make sure the method is present in your ${duck.name || 'protocol'} definition. Required methods: ${duck._methodNames.filter(m => {
        return !duck._defaultImpls[m];
      }).map(m => formatMethod(duck, m)).join(', ')}.`);
    }
  });

  Object.keys(impls).forEach(function (name) {
    if (duck._methodNames.indexOf(name) === -1) {
      throw new Error(`${name}() was included in the impl, but is not part of ${duck.name || 'the protocol'}. Allowed methods: ${duck._methodNames.map(m => formatMethod(duck, m)).join(', ')}.`);
    }
  });
}

function formatMethod(duck, name, withDuckName) {
  return `${withDuckName && duck.name ? `${duck.name}#` : ''}${name}(${duck._gfTypes[name].map(n => duck._types[n]).join(', ')})`;
}

function checkArgTypes(duck, types) {
  var requiredTypes = duck._types;

  if (types.length > requiredTypes.length) {
    throw new Error(`${duck.name || 'Protocol'} expects to be defined across ${requiredTypes.length} type${requiredTypes.length > 1 ? 's' : ''}, but ${types.length} ${types.length > 1 ? 'were' : 'was'} specified.`);
  }
}

function typeName(obj) {
  return /\[object ([a-zA-Z0-9]+)\]/.exec({}.toString.call(obj))[1];
}

function installMethodErrorMessage(proto, gf, target, name) {
  noImplFound.add([gf], function (gf, thisArg, args) {
    let parent = Object.getPrototypeOf(thisArg);

    while (parent && parent[name] === gf) {
      parent = Object.getPrototypeOf(parent);
    }

    if (parent && parent[name] && typeof parent[name] === 'function') {}

    var msg = `No ${typeName(thisArg)} impl for ${proto.name ? `${proto.name}#` : ''}${name}(${[].map.call(args, typeName).join(', ')}). You must implement ${proto.name ? formatMethod(proto, name, true) : `the protocol ${formatMethod(proto, name)} belongs to`} in order to call ${typeName(thisArg)}#${name}(${[].map.call(args, typeName).join(', ')}).`;
    const err = new Error(msg);
    err.protocol = proto;
    err.function = gf;
    err.thisArg = thisArg;
    err.args = args;
    err.code = 'ENOIMPL';
    throw err;
  });
}

function isArray(x) {
  return Object.prototype.toString.call(x) === '[object Array]';
} // Metaobject Protocol


Protoduck.impl(Protoduck); // defaults configured by definition

function _metaCreateGenfun(proto, target, name, deflt) {
  var gf = genfun({
    default: deflt,
    name: `${proto.name ? `${proto.name}#` : ''}${name}`
  });
  installMethodErrorMessage(proto, gf, target, name);
  gf.duck = proto;
  return gf;
}

function _metaAddMethod(duck, target, name, methodTypes, fn) {
  return target[name].add(methodTypes, fn);
} // Constraints


class Constraint {
  constructor(parent, thisType, argTypes) {
    this.parent = parent;
    this.target = thisType;
    this.types = argTypes;
  }

  attach(obj) {
    this.child = obj;

    if (this.target === 'this') {
      this.thisIdx = 'this';
    } else {
      const idx = this.child._types.indexOf(this.target);

      if (idx === -1) {
        this.thisIdx = null;
      } else {
        this.thisIdx = idx;
      }
    }

    this.indices = this.types.map(typeId => {
      if (typeId === 'this') {
        return 'this';
      } else {
        const idx = this.child._types.indexOf(typeId);

        if (idx === -1) {
          return null;
        } else {
          return idx;
        }
      }
    });
  }

  verify(target, types) {
    const thisType = this.thisIdx === 'this' || this.thisIdx == null ? target : types[this.thisIdx];
    const parentTypes = this.indices.map(idx => {
      if (idx === 'this') {
        return target;
      } else if (idx === 'this') {
        return types[this.thisIdx];
      } else if (idx === null) {
        return Object;
      } else {
        return types[idx] || Object.prototype;
      }
    });
    return this.parent.hasImpl(thisType, parentTypes);
  }

}

Constraint.prototype.isConstraint = true;

/***/ }),

/***/ "./node_modules/.f/_/pseudomap/1.0.2/pseudomap/map.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

if (process.env.npm_package_name === 'pseudomap' && process.env.npm_lifecycle_script === 'test') process.env.TEST_PSEUDOMAP = 'true';

if (typeof Map === 'function' && !process.env.TEST_PSEUDOMAP) {
  module.exports = Map;
} else {
  module.exports = __webpack_require__("./node_modules/.f/_/pseudomap/1.0.2/pseudomap/pseudomap.js");
}

/***/ }),

/***/ "./node_modules/.f/_/pseudomap/1.0.2/pseudomap/pseudomap.js":
/***/ ((module) => {

var hasOwnProperty = Object.prototype.hasOwnProperty;
module.exports = PseudoMap;

function PseudoMap(set) {
  if (!(this instanceof PseudoMap)) // whyyyyyyy
    throw new TypeError("Constructor PseudoMap requires 'new'");
  this.clear();

  if (set) {
    if (set instanceof PseudoMap || typeof Map === 'function' && set instanceof Map) set.forEach(function (value, key) {
      this.set(key, value);
    }, this);else if (Array.isArray(set)) set.forEach(function (kv) {
      this.set(kv[0], kv[1]);
    }, this);else throw new TypeError('invalid argument');
  }
}

PseudoMap.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this;
  Object.keys(this._data).forEach(function (k) {
    if (k !== 'size') fn.call(thisp, this._data[k].value, this._data[k].key);
  }, this);
};

PseudoMap.prototype.has = function (k) {
  return !!find(this._data, k);
};

PseudoMap.prototype.get = function (k) {
  var res = find(this._data, k);
  return res && res.value;
};

PseudoMap.prototype.set = function (k, v) {
  set(this._data, k, v);
};

PseudoMap.prototype.delete = function (k) {
  var res = find(this._data, k);

  if (res) {
    delete this._data[res._index];
    this._data.size--;
  }
};

PseudoMap.prototype.clear = function () {
  var data = Object.create(null);
  data.size = 0;
  Object.defineProperty(this, '_data', {
    value: data,
    enumerable: false,
    configurable: true,
    writable: false
  });
};

Object.defineProperty(PseudoMap.prototype, 'size', {
  get: function () {
    return this._data.size;
  },
  set: function (n) {},
  enumerable: true,
  configurable: true
});

PseudoMap.prototype.values = PseudoMap.prototype.keys = PseudoMap.prototype.entries = function () {
  throw new Error('iterators are not implemented in this version');
}; // Either identical, or both NaN


function same(a, b) {
  return a === b || a !== a && b !== b;
}

function Entry(k, v, i) {
  this.key = k;
  this.value = v;
  this._index = i;
}

function find(data, k) {
  for (var i = 0, s = '_' + k, key = s; hasOwnProperty.call(data, key); key = s + i++) {
    if (same(data[key].key, k)) return data[key];
  }
}

function set(data, k, v) {
  for (var i = 0, s = '_' + k, key = s; hasOwnProperty.call(data, key); key = s + i++) {
    if (same(data[key].key, k)) {
      data[key].value = v;
      return;
    }
  }

  data.size++;
  data[key] = new Entry(k, v, key);
}

/***/ }),

/***/ "./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

const {
  prePackObj,
  prePack
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/prepack.js");

const {
  postPack
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/postpack.js");

const {
  npmPublish
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/npm-publish.js");

const utils = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/utils.js");

exports.npmPublish = npmPublish;
exports.prePackObj = prePackObj;
exports.prePack = prePack;
exports.postPack = postPack;
exports.utils = utils;

/***/ }),

/***/ "./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/npm-publish.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const execa = __webpack_require__("./node_modules/.f/_/execa/5.1.1/execa/index.js");

const {
  getInfo
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/utils.js");

const assert = __webpack_require__("assert");

const Fs = __webpack_require__("fs").promises;

const Path = __webpack_require__("path");

function getArg({
  opt,
  msg,
  argv,
  value = true,
  valids = []
}) {
  const tagIx = argv.indexOf(opt);

  if (tagIx >= 0) {
    if (value) {
      const val = argv[tagIx + 1];

      if (valids.length > 0) {
        assert(valids.includes(val), `${opt} has a value ${val} but it must be one of: ${valids.join(", ")}`);
      } else {
        assert(val, `${opt} must specify a ${msg}`);
      }

      argv.splice(tagIx, 2);
      return [opt, val];
    } else {
      argv.splice(tagIx, 1);
    }

    return [opt];
  }

  return [];
}

async function removeFile(name) {
  try {
    if (name) {
      await Fs.unlink(name);
    }
  } catch (_unused) {}
}

exports.npmPublish = async function npmPublish({
  exit = true,
  silent = false
} = {}) {
  const noop = () => {};

  process.on("SIGINT", noop);
  const argv = [].concat(process.argv.slice(2));
  const {
    pkgDir,
    pkgFile,
    pkg,
    pkgData
  } = await getInfo();
  const dryRun = getArg({
    opt: "--dry-run",
    value: false,
    argv
  }).length > 0;
  const tag = getArg({
    opt: "--tag",
    msg: "tag",
    argv
  });
  const access = getArg({
    opt: "--access",
    msg: "access",
    argv,
    valids: ["public", "restricted"]
  });
  let changedPkg = false;
  let exitCode = 0;
  const tgzName = pkg.name.replace(/@/g, "").replace(/\//g, "-");
  const tgzFile = `${tgzName}-${pkg.version}.tgz`;
  const fullTgzFile = Path.join(pkgDir, tgzFile);
  const saveDir = process.cwd();

  const restore = async () => {
    try {
      if (changedPkg) {
        if (!silent) {
          console.log("Restoring", pkgFile);
        }

        await Fs.writeFile(pkgFile, pkgData);
      }
    } catch (_unused2) {}

    try {
      process.chdir(saveDir);
    } catch (_unused3) {}

    process.removeListener("SIGINT", noop);
  };

  try {
    process.env.BY_PUBLISH_UTIL = "1";
    process.chdir(pkgDir);
    const scripts = pkg.scripts || {};

    if (scripts.prepublish) {
      console.error("Warning: You have 'prepublish' npm script which is deprecated - npm publish will not run it.");
      delete scripts.prepublish;
      changedPkg = true;
    }

    if (dryRun) {
      delete scripts.prepare;
      changedPkg = true;
    }

    if (changedPkg) {
      await Fs.writeFile(pkgFile, JSON.stringify(pkg, null, 2));
    }

    const execaOpts = {
      stdout: "inherit",
      stderr: "inherit"
    };

    if (scripts.prepublishOnly) {
      await execa(`npm`, ["run", "prepublishOnly"], execaOpts);
    }

    await removeFile(fullTgzFile);
    await execa(`npm`, [`pack`], execaOpts);

    if (scripts.publish) {
      await execa(`npm`, [`run`, `publish`], execaOpts);
    }

    if (!dryRun) {
      const publishArgs = [`publish`].concat(tag, access, fullTgzFile, argv);

      if (!silent) {
        console.log("publishing args:", publishArgs.join(" "));
      }

      await execa(`npm`, publishArgs, execaOpts);
    } else {
      console.log("dry-run", tgzFile, "args:", [].concat(tag, access, argv));
    }
  } catch (err) {
    if (err.message.includes("SIGINT")) {
      console.log("");
    } else {
      console.error("publish failed!", err);
    }

    exitCode = 1;
  } finally {
    await restore();
    await removeFile(fullTgzFile);

    if (exit) {
      process.exit(exitCode);
    }
  }

  return exitCode;
};

/***/ }),

/***/ "./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/postpack.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const Fs = __webpack_require__("fs").promises;

const {
  getInfo
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/utils.js");

exports.postPack = async function postPack() {
  const {
    pkgFile,
    saveFile
  } = await getInfo();
  const myName = Path.basename(process.argv[1]) || "publish-util-postpack";

  try {
    console.log(`${myName} saveFile`, saveFile, "pkgFile", pkgFile);
    const orig = await Fs.readFile(saveFile);
    await Fs.writeFile(pkgFile, orig);
    await Fs.unlink(saveFile);
  } catch (err) {
    console.error(`${myName} failed`, err);
    process.exit(1);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/prepack.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const Fs = __webpack_require__("fs").promises;

const {
  getInfo,
  extractFromObj,
  removeFromObj,
  keepStandardFields,
  renameFromObj
} = __webpack_require__("./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/utils.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

function prePackObj(pkg, config = {}) {
  renameFromObj(pkg, config.rename);
  const keepObj = config.keep && extractFromObj(pkg, config.keep);

  if (config.remove) {
    removeFromObj(pkg, config.remove);
  }

  delete pkg.publishUtil;

  if (config.removeExtraKeys !== false) {
    const removed = Object.keys(pkg).filter(k => !keepStandardFields.includes(k));

    if (!_.isEmpty(removed)) {
      if (!config.silent) {
        console.log("removed non-standard fields:", removed.join(", "), "\n  To skip this, set publishUtil.removeExtraKeys to false");
      }

      removed.forEach(k => delete pkg[k]);
    }
  }

  if (!_.get(pkg, "scripts.postpack") && config.autoPostPack !== false) {
    if (!config.silent) {
      console.log("scripts.postpack missing, adding it.\n To skip this, set publishUtil.autoPostPack to false");
    }

    _.set(pkg, "scripts.postpack", "publish-util-postpack");
  }

  if (pkg.scripts.prepack === "publish-util-prepack") {
    delete pkg.scripts.prepack;
  }

  if (keepObj) {
    _.merge(pkg, keepObj);
  }
}

exports.prePackObj = prePackObj;

exports.prePack = async function prePack() {
  const {
    pkg,
    pkgData,
    saveFile,
    pkgFile
  } = await getInfo();
  const myName = Path.basename(process.argv[1]) || "publish-util-prepack";

  try {
    const config = pkg.publishUtil || {};

    if (!config.silent) {
      console.log(`${myName} saveFile`, saveFile, "pkgFile", pkgFile);
    }

    await Fs.writeFile(saveFile, pkgData);
    prePackObj(pkg, config);
    await Fs.writeFile(pkgFile, `${JSON.stringify(pkg, null, 2)}\n`);
  } catch (err) {
    console.error(`${myName} failed`, err);
    process.exit(1);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/publish-util/2.0.0/publish-util/lib/utils.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


const Fs = __webpack_require__("fs").promises;

const Os = __webpack_require__("os");

const Path = __webpack_require__("path");

const findUp = __webpack_require__("./node_modules/.f/_/find-up/5.0.0/find-up/index.js");

const _ = __webpack_require__("./node_modules/.f/_/lodash/4.17.21/lodash/lodash.min.js");

exports.getInfo = async (cwd = process.env.INIT_CWD || process.cwd()) => {
  const pkgFile = await findUp("package.json", {
    cwd
  });
  const pkgDir = Path.dirname(pkgFile);
  const pkgData = await Fs.readFile(pkgFile);
  const pkg = JSON.parse(pkgData);
  const tmpDir = Os.tmpdir();
  const saveName = `package-util-${pkg.name.replace(/[@\/]/g, "_")}_pkg.json`;
  const saveFile = Path.join(tmpDir, saveName);
  return {
    pkgDir,
    pkg,
    pkgData,
    tmpDir,
    saveName,
    saveFile,
    pkgFile
  };
};

function transferField(f, from, to) {
  if (f.startsWith("/")) {
    const parts = f.split("/");

    if (parts.length === 3) {
      const regex = new RegExp(parts[1], parts[2]);
      Object.keys(from).forEach(fk => {
        if (fk.match(regex)) {
          to[fk] = from[fk];
        }
      });
      return;
    }
  }

  to[f] = from[f];
}

function deleteFields(f, obj) {
  if (f.startsWith("/")) {
    const parts = f.split("/");

    if (parts.length === 3) {
      const regex = new RegExp(parts[1], parts[2]);
      Object.keys(obj).forEach(fk => {
        if (fk.match(regex)) {
          delete obj[fk];
        }
      });
      return;
    }
  }

  delete obj[f];
}

exports.renameFromObj = function renameFromObj(obj, rename) {
  if (rename) {
    for (const key in rename) {
      const data = _.get(obj, key);

      if (data !== undefined && rename[key]) {
        _.unset(obj, key);

        _.set(obj, rename[key], data);
      }
    }
  }
};

exports.removeFromObj = function removeFromObj(obj, fields) {
  for (const f of fields) {
    if (typeof f === "string") {
      deleteFields(f, obj);
    } else {
      Object.keys(f).forEach(f2 => {
        removeFromObj(obj[f2], f[f2]);
      });
    }
  }
};

exports.extractFromObj = function extractFromObj(obj, fields, output = {}) {
  for (const f of fields) {
    if (typeof f === "string") {
      transferField(f, obj, output);
      continue;
    }

    for (const f2 of Object.keys(f)) {
      const obj2 = obj[f2]; // falsy is just a primitive, safe to assign

      if (!obj2) {
        output[f2] = obj2;
        continue;
      }

      const t = typeof obj2;

      if (t === "number" || t === "string" || t === "boolean" || t === "bigint" || t === "symbol") {
        // assign primitive
        output[f2] = obj2;
      } else {
        // extract into potential object
        output[f2] = extractFromObj(obj2, f[f2], obj2.constructor());
      }
    }
  }

  return output;
}; // https://docs.npmjs.com/cli/v7/configuring-npm/package-json


exports.keepStandardFields = ["name", "version", "description", "keywords", "homepage", "bugs", "license", "author", "contributors", "funding", "files", "main", "browser", "bin", "man", "directories", "repository", "scripts", "config", "dependencies", // "devDependencies",
"peerDependencies", "peerDependenciesMeta", "bundledDependencies", "optionalDependencies", "engines", "os", "cpu", "private", "publishConfig", //   "workspaces"
// extras
"module", "type", // module type
"types" // typescript types
];

/***/ }),

/***/ "./node_modules/.f/_/pump/2.0.1/pump/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var once = __webpack_require__("./node_modules/.f/_/once/1.4.0/once/once.js");

var eos = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");

var fs = __webpack_require__("fs"); // we only need fs to get the ReadStream and WriteStream prototypes


var noop = function () {};

var ancient = /^v?\.0/.test(process.version);

var isFn = function (fn) {
  return typeof fn === 'function';
};

var isFS = function (stream) {
  if (!ancient) return false; // newer node version do not need to care about fs is a special way

  if (!fs) return false; // browser

  return (stream instanceof (fs.ReadStream || noop) || stream instanceof (fs.WriteStream || noop)) && isFn(stream.close);
};

var isRequest = function (stream) {
  return stream.setHeader && isFn(stream.abort);
};

var destroyer = function (stream, reading, writing, callback) {
  callback = once(callback);
  var closed = false;
  stream.on('close', function () {
    closed = true;
  });
  eos(stream, {
    readable: reading,
    writable: writing
  }, function (err) {
    if (err) return callback(err);
    closed = true;
    callback();
  });
  var destroyed = false;
  return function (err) {
    if (closed) return;
    if (destroyed) return;
    destroyed = true;
    if (isFS(stream)) return stream.close(noop); // use close for fs streams to avoid fd leaks

    if (isRequest(stream)) return stream.abort(); // request.destroy just do .end - .abort is what we want

    if (isFn(stream.destroy)) return stream.destroy();
    callback(err || new Error('stream was destroyed'));
  };
};

var call = function (fn) {
  fn();
};

var pipe = function (from, to) {
  return from.pipe(to);
};

var pump = function () {
  var streams = Array.prototype.slice.call(arguments);
  var callback = isFn(streams[streams.length - 1] || noop) && streams.pop() || noop;
  if (Array.isArray(streams[0])) streams = streams[0];
  if (streams.length < 2) throw new Error('pump requires two streams per minimum');
  var error;
  var destroys = streams.map(function (stream, i) {
    var reading = i < streams.length - 1;
    var writing = i > 0;
    return destroyer(stream, reading, writing, function (err) {
      if (!error) error = err;
      if (err) destroys.forEach(call);
      if (reading) return;
      destroys.forEach(call);
      callback(error);
    });
  });
  streams.reduce(pipe);
};

module.exports = pump;

/***/ }),

/***/ "./node_modules/.f/_/pump/3.0.0/pump/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var once = __webpack_require__("./node_modules/.f/_/once/1.4.0/once/once.js");

var eos = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");

var fs = __webpack_require__("fs"); // we only need fs to get the ReadStream and WriteStream prototypes


var noop = function () {};

var ancient = /^v?\.0/.test(process.version);

var isFn = function (fn) {
  return typeof fn === 'function';
};

var isFS = function (stream) {
  if (!ancient) return false; // newer node version do not need to care about fs is a special way

  if (!fs) return false; // browser

  return (stream instanceof (fs.ReadStream || noop) || stream instanceof (fs.WriteStream || noop)) && isFn(stream.close);
};

var isRequest = function (stream) {
  return stream.setHeader && isFn(stream.abort);
};

var destroyer = function (stream, reading, writing, callback) {
  callback = once(callback);
  var closed = false;
  stream.on('close', function () {
    closed = true;
  });
  eos(stream, {
    readable: reading,
    writable: writing
  }, function (err) {
    if (err) return callback(err);
    closed = true;
    callback();
  });
  var destroyed = false;
  return function (err) {
    if (closed) return;
    if (destroyed) return;
    destroyed = true;
    if (isFS(stream)) return stream.close(noop); // use close for fs streams to avoid fd leaks

    if (isRequest(stream)) return stream.abort(); // request.destroy just do .end - .abort is what we want

    if (isFn(stream.destroy)) return stream.destroy();
    callback(err || new Error('stream was destroyed'));
  };
};

var call = function (fn) {
  fn();
};

var pipe = function (from, to) {
  return from.pipe(to);
};

var pump = function () {
  var streams = Array.prototype.slice.call(arguments);
  var callback = isFn(streams[streams.length - 1] || noop) && streams.pop() || noop;
  if (Array.isArray(streams[0])) streams = streams[0];
  if (streams.length < 2) throw new Error('pump requires two streams per minimum');
  var error;
  var destroys = streams.map(function (stream, i) {
    var reading = i < streams.length - 1;
    var writing = i > 0;
    return destroyer(stream, reading, writing, function (err) {
      if (!error) error = err;
      if (err) destroys.forEach(call);
      if (reading) return;
      destroys.forEach(call);
      callback(error);
    });
  });
  return streams.reduce(pipe);
};

module.exports = pump;

/***/ }),

/***/ "./node_modules/.f/_/pumpify/1.5.1/pumpify/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var pump = __webpack_require__("./node_modules/.f/_/pump/2.0.1/pump/index.js");

var inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

var Duplexify = __webpack_require__("./node_modules/.f/_/duplexify/3.7.1/duplexify/index.js");

var toArray = function (args) {
  if (!args.length) return [];
  return Array.isArray(args[0]) ? args[0] : Array.prototype.slice.call(args);
};

var define = function (opts) {
  var Pumpify = function () {
    var streams = toArray(arguments);
    if (!(this instanceof Pumpify)) return new Pumpify(streams);
    Duplexify.call(this, null, null, opts);
    if (streams.length) this.setPipeline(streams);
  };

  inherits(Pumpify, Duplexify);

  Pumpify.prototype.setPipeline = function () {
    var streams = toArray(arguments);
    var self = this;
    var ended = false;
    var w = streams[0];
    var r = streams[streams.length - 1];
    r = r.readable ? r : null;
    w = w.writable ? w : null;

    var onclose = function () {
      streams[0].emit('error', new Error('stream was destroyed'));
    };

    this.on('close', onclose);
    this.on('prefinish', function () {
      if (!ended) self.cork();
    });
    pump(streams, function (err) {
      self.removeListener('close', onclose);
      if (err) return self.destroy(err.message === 'premature close' ? null : err);
      ended = true; // pump ends after the last stream is not writable *but*
      // pumpify still forwards the readable part so we need to catch errors
      // still, so reenable autoDestroy in this case

      if (self._autoDestroy === false) self._autoDestroy = true;
      self.uncork();
    });
    if (this.destroyed) return onclose();
    this.setWritable(w);
    this.setReadable(r);
  };

  return Pumpify;
};

module.exports = define({
  autoDestroy: false,
  destroy: false
});
module.exports.obj = define({
  autoDestroy: false,
  destroy: false,
  objectMode: true,
  highWaterMark: 16
});
module.exports.ctor = define;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a duplex stream is just a stream that is both readable and writable.
// Since JS doesn't have multiple prototypal inheritance, this class
// prototypally inherits from Readable, and then parasitically from
// Writable.

/*<replacement>*/

var pna = __webpack_require__("./node_modules/.f/_/process-nextick-args/2.0.1/process-nextick-args/index.js");
/*</replacement>*/

/*<replacement>*/


var objectKeys = Object.keys || function (obj) {
  var keys = [];

  for (var key in obj) {
    keys.push(key);
  }

  return keys;
};
/*</replacement>*/


module.exports = Duplex;
/*<replacement>*/

var util = Object.create(__webpack_require__("./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js"));
util.inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");
/*</replacement>*/

var Readable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_readable.js");

var Writable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_writable.js");

util.inherits(Duplex, Readable);
{
  // avoid scope creep, the keys array can then be collected
  var keys = objectKeys(Writable.prototype);

  for (var v = 0; v < keys.length; v++) {
    var method = keys[v];
    if (!Duplex.prototype[method]) Duplex.prototype[method] = Writable.prototype[method];
  }
}

function Duplex(options) {
  if (!(this instanceof Duplex)) return new Duplex(options);
  Readable.call(this, options);
  Writable.call(this, options);
  if (options && options.readable === false) this.readable = false;
  if (options && options.writable === false) this.writable = false;
  this.allowHalfOpen = true;
  if (options && options.allowHalfOpen === false) this.allowHalfOpen = false;
  this.once('end', onend);
}

Object.defineProperty(Duplex.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function () {
    return this._writableState.highWaterMark;
  }
}); // the no-half-open enforcer

function onend() {
  // if we allow half-open state, or if the writable side ended,
  // then we're ok.
  if (this.allowHalfOpen || this._writableState.ended) return; // no more data can be written.
  // But allow more writes to happen in this tick.

  pna.nextTick(onEndNT, this);
}

function onEndNT(self) {
  self.end();
}

Object.defineProperty(Duplex.prototype, 'destroyed', {
  get: function () {
    if (this._readableState === undefined || this._writableState === undefined) {
      return false;
    }

    return this._readableState.destroyed && this._writableState.destroyed;
  },
  set: function (value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (this._readableState === undefined || this._writableState === undefined) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._readableState.destroyed = value;
    this._writableState.destroyed = value;
  }
});

Duplex.prototype._destroy = function (err, cb) {
  this.push(null);
  this.end();
  pna.nextTick(cb, err);
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_passthrough.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a passthrough stream.
// basically just the most minimal sort of Transform stream.
// Every written chunk gets output as-is.


module.exports = PassThrough;

var Transform = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_transform.js");
/*<replacement>*/


var util = Object.create(__webpack_require__("./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js"));
util.inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");
/*</replacement>*/

util.inherits(PassThrough, Transform);

function PassThrough(options) {
  if (!(this instanceof PassThrough)) return new PassThrough(options);
  Transform.call(this, options);
}

PassThrough.prototype._transform = function (chunk, encoding, cb) {
  cb(null, chunk);
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_readable.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

/*<replacement>*/

var pna = __webpack_require__("./node_modules/.f/_/process-nextick-args/2.0.1/process-nextick-args/index.js");
/*</replacement>*/


module.exports = Readable;
/*<replacement>*/

var isArray = __webpack_require__("./node_modules/.f/_/isarray/1.0.0/isarray/index.js");
/*</replacement>*/

/*<replacement>*/


var Duplex;
/*</replacement>*/

Readable.ReadableState = ReadableState;
/*<replacement>*/

var EE = __webpack_require__("events").EventEmitter;

var EElistenerCount = function (emitter, type) {
  return emitter.listeners(type).length;
};
/*</replacement>*/

/*<replacement>*/


var Stream = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/stream.js");
/*</replacement>*/

/*<replacement>*/


var Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.1.2/safe-buffer/index.js").Buffer;

var OurUint8Array = global.Uint8Array || function () {};

function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}

function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}
/*</replacement>*/

/*<replacement>*/


var util = Object.create(__webpack_require__("./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js"));
util.inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");
/*</replacement>*/

/*<replacement>*/

var debugUtil = __webpack_require__("util");

var debug = void 0;

if (debugUtil && debugUtil.debuglog) {
  debug = debugUtil.debuglog('stream');
} else {
  debug = function () {};
}
/*</replacement>*/


var BufferList = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/BufferList.js");

var destroyImpl = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/destroy.js");

var StringDecoder;
util.inherits(Readable, Stream);
var kProxyEvents = ['error', 'close', 'destroy', 'pause', 'resume'];

function prependListener(emitter, event, fn) {
  // Sadly this is not cacheable as some libraries bundle their own
  // event emitter implementation with them.
  if (typeof emitter.prependListener === 'function') return emitter.prependListener(event, fn); // This is a hack to make sure that our error handler is attached before any
  // userland ones.  NEVER DO THIS. This is here only because this code needs
  // to continue to work with older versions of Node.js that do not include
  // the prependListener() method. The goal is to eventually remove this hack.

  if (!emitter._events || !emitter._events[event]) emitter.on(event, fn);else if (isArray(emitter._events[event])) emitter._events[event].unshift(fn);else emitter._events[event] = [fn, emitter._events[event]];
}

function ReadableState(options, stream) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js");
  options = options || {}; // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream.
  // These options can be provided separately as readableXXX and writableXXX.

  var isDuplex = stream instanceof Duplex; // object stream flag. Used to make read(n) ignore n and to
  // make all the buffer merging and length checks go away

  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.readableObjectMode; // the point at which it stops calling _read() to fill the buffer
  // Note: 0 is a valid value, means "don't call _read preemptively ever"

  var hwm = options.highWaterMark;
  var readableHwm = options.readableHighWaterMark;
  var defaultHwm = this.objectMode ? 16 : 16 * 1024;
  if (hwm || hwm === 0) this.highWaterMark = hwm;else if (isDuplex && (readableHwm || readableHwm === 0)) this.highWaterMark = readableHwm;else this.highWaterMark = defaultHwm; // cast to ints.

  this.highWaterMark = Math.floor(this.highWaterMark); // A linked list is used to store data chunks instead of an array because the
  // linked list can remove elements from the beginning faster than
  // array.shift()

  this.buffer = new BufferList();
  this.length = 0;
  this.pipes = null;
  this.pipesCount = 0;
  this.flowing = null;
  this.ended = false;
  this.endEmitted = false;
  this.reading = false; // a flag to be able to tell if the event 'readable'/'data' is emitted
  // immediately, or on a later tick.  We set this to true at first, because
  // any actions that shouldn't happen until "later" should generally also
  // not happen before the first read call.

  this.sync = true; // whenever we return null, then we set a flag to say
  // that we're awaiting a 'readable' event emission.

  this.needReadable = false;
  this.emittedReadable = false;
  this.readableListening = false;
  this.resumeScheduled = false; // has it been destroyed

  this.destroyed = false; // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.

  this.defaultEncoding = options.defaultEncoding || 'utf8'; // the number of writers that are awaiting a drain event in .pipe()s

  this.awaitDrain = 0; // if true, a maybeReadMore has been scheduled

  this.readingMore = false;
  this.decoder = null;
  this.encoding = null;

  if (options.encoding) {
    if (!StringDecoder) StringDecoder = __webpack_require__("./node_modules/.f/_/string_decoder/1.1.1/string_decoder/lib/string_decoder.js").StringDecoder;
    this.decoder = new StringDecoder(options.encoding);
    this.encoding = options.encoding;
  }
}

function Readable(options) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js");
  if (!(this instanceof Readable)) return new Readable(options);
  this._readableState = new ReadableState(options, this); // legacy

  this.readable = true;

  if (options) {
    if (typeof options.read === 'function') this._read = options.read;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
  }

  Stream.call(this);
}

Object.defineProperty(Readable.prototype, 'destroyed', {
  get: function () {
    if (this._readableState === undefined) {
      return false;
    }

    return this._readableState.destroyed;
  },
  set: function (value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._readableState) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._readableState.destroyed = value;
  }
});
Readable.prototype.destroy = destroyImpl.destroy;
Readable.prototype._undestroy = destroyImpl.undestroy;

Readable.prototype._destroy = function (err, cb) {
  this.push(null);
  cb(err);
}; // Manually shove something into the read() buffer.
// This returns true if the highWaterMark has not been hit yet,
// similar to how Writable.write() returns true if you should
// write() some more.


Readable.prototype.push = function (chunk, encoding) {
  var state = this._readableState;
  var skipChunkCheck;

  if (!state.objectMode) {
    if (typeof chunk === 'string') {
      encoding = encoding || state.defaultEncoding;

      if (encoding !== state.encoding) {
        chunk = Buffer.from(chunk, encoding);
        encoding = '';
      }

      skipChunkCheck = true;
    }
  } else {
    skipChunkCheck = true;
  }

  return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
}; // Unshift should *always* be something directly out of read()


Readable.prototype.unshift = function (chunk) {
  return readableAddChunk(this, chunk, null, true, false);
};

function readableAddChunk(stream, chunk, encoding, addToFront, skipChunkCheck) {
  var state = stream._readableState;

  if (chunk === null) {
    state.reading = false;
    onEofChunk(stream, state);
  } else {
    var er;
    if (!skipChunkCheck) er = chunkInvalid(state, chunk);

    if (er) {
      stream.emit('error', er);
    } else if (state.objectMode || chunk && chunk.length > 0) {
      if (typeof chunk !== 'string' && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer.prototype) {
        chunk = _uint8ArrayToBuffer(chunk);
      }

      if (addToFront) {
        if (state.endEmitted) stream.emit('error', new Error('stream.unshift() after end event'));else addChunk(stream, state, chunk, true);
      } else if (state.ended) {
        stream.emit('error', new Error('stream.push() after EOF'));
      } else {
        state.reading = false;

        if (state.decoder && !encoding) {
          chunk = state.decoder.write(chunk);
          if (state.objectMode || chunk.length !== 0) addChunk(stream, state, chunk, false);else maybeReadMore(stream, state);
        } else {
          addChunk(stream, state, chunk, false);
        }
      }
    } else if (!addToFront) {
      state.reading = false;
    }
  }

  return needMoreData(state);
}

function addChunk(stream, state, chunk, addToFront) {
  if (state.flowing && state.length === 0 && !state.sync) {
    stream.emit('data', chunk);
    stream.read(0);
  } else {
    // update the buffer info.
    state.length += state.objectMode ? 1 : chunk.length;
    if (addToFront) state.buffer.unshift(chunk);else state.buffer.push(chunk);
    if (state.needReadable) emitReadable(stream);
  }

  maybeReadMore(stream, state);
}

function chunkInvalid(state, chunk) {
  var er;

  if (!_isUint8Array(chunk) && typeof chunk !== 'string' && chunk !== undefined && !state.objectMode) {
    er = new TypeError('Invalid non-string/buffer chunk');
  }

  return er;
} // if it's past the high water mark, we can push in some more.
// Also, if we have no data yet, we can stand some
// more bytes.  This is to work around cases where hwm=0,
// such as the repl.  Also, if the push() triggered a
// readable event, and the user called read(largeNumber) such that
// needReadable was set, then we ought to push more, so that another
// 'readable' event will be triggered.


function needMoreData(state) {
  return !state.ended && (state.needReadable || state.length < state.highWaterMark || state.length === 0);
}

Readable.prototype.isPaused = function () {
  return this._readableState.flowing === false;
}; // backwards compatibility.


Readable.prototype.setEncoding = function (enc) {
  if (!StringDecoder) StringDecoder = __webpack_require__("./node_modules/.f/_/string_decoder/1.1.1/string_decoder/lib/string_decoder.js").StringDecoder;
  this._readableState.decoder = new StringDecoder(enc);
  this._readableState.encoding = enc;
  return this;
}; // Don't raise the hwm > 8MB


var MAX_HWM = 0x800000;

function computeNewHighWaterMark(n) {
  if (n >= MAX_HWM) {
    n = MAX_HWM;
  } else {
    // Get the next highest power of 2 to prevent increasing hwm excessively in
    // tiny amounts
    n--;
    n |= n >>> 1;
    n |= n >>> 2;
    n |= n >>> 4;
    n |= n >>> 8;
    n |= n >>> 16;
    n++;
  }

  return n;
} // This function is designed to be inlinable, so please take care when making
// changes to the function body.


function howMuchToRead(n, state) {
  if (n <= 0 || state.length === 0 && state.ended) return 0;
  if (state.objectMode) return 1;

  if (n !== n) {
    // Only flow one buffer at a time
    if (state.flowing && state.length) return state.buffer.head.data.length;else return state.length;
  } // If we're asking for more than the current hwm, then raise the hwm.


  if (n > state.highWaterMark) state.highWaterMark = computeNewHighWaterMark(n);
  if (n <= state.length) return n; // Don't have enough

  if (!state.ended) {
    state.needReadable = true;
    return 0;
  }

  return state.length;
} // you can override either this method, or the async _read(n) below.


Readable.prototype.read = function (n) {
  debug('read', n);
  n = parseInt(n, 10);
  var state = this._readableState;
  var nOrig = n;
  if (n !== 0) state.emittedReadable = false; // if we're doing read(0) to trigger a readable event, but we
  // already have a bunch of data in the buffer, then just trigger
  // the 'readable' event and move on.

  if (n === 0 && state.needReadable && (state.length >= state.highWaterMark || state.ended)) {
    debug('read: emitReadable', state.length, state.ended);
    if (state.length === 0 && state.ended) endReadable(this);else emitReadable(this);
    return null;
  }

  n = howMuchToRead(n, state); // if we've ended, and we're now clear, then finish it up.

  if (n === 0 && state.ended) {
    if (state.length === 0) endReadable(this);
    return null;
  } // All the actual chunk generation logic needs to be
  // *below* the call to _read.  The reason is that in certain
  // synthetic stream cases, such as passthrough streams, _read
  // may be a completely synchronous operation which may change
  // the state of the read buffer, providing enough data when
  // before there was *not* enough.
  //
  // So, the steps are:
  // 1. Figure out what the state of things will be after we do
  // a read from the buffer.
  //
  // 2. If that resulting state will trigger a _read, then call _read.
  // Note that this may be asynchronous, or synchronous.  Yes, it is
  // deeply ugly to write APIs this way, but that still doesn't mean
  // that the Readable class should behave improperly, as streams are
  // designed to be sync/async agnostic.
  // Take note if the _read call is sync or async (ie, if the read call
  // has returned yet), so that we know whether or not it's safe to emit
  // 'readable' etc.
  //
  // 3. Actually pull the requested chunks out of the buffer and return.
  // if we need a readable event, then we need to do some reading.


  var doRead = state.needReadable;
  debug('need readable', doRead); // if we currently have less than the highWaterMark, then also read some

  if (state.length === 0 || state.length - n < state.highWaterMark) {
    doRead = true;
    debug('length less than watermark', doRead);
  } // however, if we've ended, then there's no point, and if we're already
  // reading, then it's unnecessary.


  if (state.ended || state.reading) {
    doRead = false;
    debug('reading or ended', doRead);
  } else if (doRead) {
    debug('do read');
    state.reading = true;
    state.sync = true; // if the length is currently zero, then we *need* a readable event.

    if (state.length === 0) state.needReadable = true; // call internal read method

    this._read(state.highWaterMark);

    state.sync = false; // If _read pushed data synchronously, then `reading` will be false,
    // and we need to re-evaluate how much data we can return to the user.

    if (!state.reading) n = howMuchToRead(nOrig, state);
  }

  var ret;
  if (n > 0) ret = fromList(n, state);else ret = null;

  if (ret === null) {
    state.needReadable = true;
    n = 0;
  } else {
    state.length -= n;
  }

  if (state.length === 0) {
    // If we have nothing in the buffer, then we want to know
    // as soon as we *do* get something into the buffer.
    if (!state.ended) state.needReadable = true; // If we tried to read() past the EOF, then emit end on the next tick.

    if (nOrig !== n && state.ended) endReadable(this);
  }

  if (ret !== null) this.emit('data', ret);
  return ret;
};

function onEofChunk(stream, state) {
  if (state.ended) return;

  if (state.decoder) {
    var chunk = state.decoder.end();

    if (chunk && chunk.length) {
      state.buffer.push(chunk);
      state.length += state.objectMode ? 1 : chunk.length;
    }
  }

  state.ended = true; // emit 'readable' now to make sure it gets picked up.

  emitReadable(stream);
} // Don't emit readable right away in sync mode, because this can trigger
// another read() call => stack overflow.  This way, it might trigger
// a nextTick recursion warning, but that's not so bad.


function emitReadable(stream) {
  var state = stream._readableState;
  state.needReadable = false;

  if (!state.emittedReadable) {
    debug('emitReadable', state.flowing);
    state.emittedReadable = true;
    if (state.sync) pna.nextTick(emitReadable_, stream);else emitReadable_(stream);
  }
}

function emitReadable_(stream) {
  debug('emit readable');
  stream.emit('readable');
  flow(stream);
} // at this point, the user has presumably seen the 'readable' event,
// and called read() to consume some data.  that may have triggered
// in turn another _read(n) call, in which case reading = true if
// it's in progress.
// However, if we're not ended, or reading, and the length < hwm,
// then go ahead and try to read some more preemptively.


function maybeReadMore(stream, state) {
  if (!state.readingMore) {
    state.readingMore = true;
    pna.nextTick(maybeReadMore_, stream, state);
  }
}

function maybeReadMore_(stream, state) {
  var len = state.length;

  while (!state.reading && !state.flowing && !state.ended && state.length < state.highWaterMark) {
    debug('maybeReadMore read 0');
    stream.read(0);
    if (len === state.length) // didn't get any data, stop spinning.
      break;else len = state.length;
  }

  state.readingMore = false;
} // abstract method.  to be overridden in specific implementation classes.
// call cb(er, data) where data is <= n in length.
// for virtual (non-string, non-buffer) streams, "length" is somewhat
// arbitrary, and perhaps not very meaningful.


Readable.prototype._read = function (n) {
  this.emit('error', new Error('_read() is not implemented'));
};

Readable.prototype.pipe = function (dest, pipeOpts) {
  var src = this;
  var state = this._readableState;

  switch (state.pipesCount) {
    case 0:
      state.pipes = dest;
      break;

    case 1:
      state.pipes = [state.pipes, dest];
      break;

    default:
      state.pipes.push(dest);
      break;
  }

  state.pipesCount += 1;
  debug('pipe count=%d opts=%j', state.pipesCount, pipeOpts);
  var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
  var endFn = doEnd ? onend : unpipe;
  if (state.endEmitted) pna.nextTick(endFn);else src.once('end', endFn);
  dest.on('unpipe', onunpipe);

  function onunpipe(readable, unpipeInfo) {
    debug('onunpipe');

    if (readable === src) {
      if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
        unpipeInfo.hasUnpiped = true;
        cleanup();
      }
    }
  }

  function onend() {
    debug('onend');
    dest.end();
  } // when the dest drains, it reduces the awaitDrain counter
  // on the source.  This would be more elegant with a .once()
  // handler in flow(), but adding and removing repeatedly is
  // too slow.


  var ondrain = pipeOnDrain(src);
  dest.on('drain', ondrain);
  var cleanedUp = false;

  function cleanup() {
    debug('cleanup'); // cleanup event handlers once the pipe is broken

    dest.removeListener('close', onclose);
    dest.removeListener('finish', onfinish);
    dest.removeListener('drain', ondrain);
    dest.removeListener('error', onerror);
    dest.removeListener('unpipe', onunpipe);
    src.removeListener('end', onend);
    src.removeListener('end', unpipe);
    src.removeListener('data', ondata);
    cleanedUp = true; // if the reader is waiting for a drain event from this
    // specific writer, then it would cause it to never start
    // flowing again.
    // So, if this is awaiting a drain, then we just call it now.
    // If we don't know, then assume that we are waiting for one.

    if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain)) ondrain();
  } // If the user pushes more data while we're writing to dest then we'll end up
  // in ondata again. However, we only want to increase awaitDrain once because
  // dest will only emit one 'drain' event for the multiple writes.
  // => Introduce a guard on increasing awaitDrain.


  var increasedAwaitDrain = false;
  src.on('data', ondata);

  function ondata(chunk) {
    debug('ondata');
    increasedAwaitDrain = false;
    var ret = dest.write(chunk);

    if (false === ret && !increasedAwaitDrain) {
      // If the user unpiped during `dest.write()`, it is possible
      // to get stuck in a permanently paused state if that write
      // also returned false.
      // => Check whether `dest` is still a piping destination.
      if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
        debug('false write response, pause', src._readableState.awaitDrain);
        src._readableState.awaitDrain++;
        increasedAwaitDrain = true;
      }

      src.pause();
    }
  } // if the dest has an error, then stop piping into it.
  // however, don't suppress the throwing behavior for this.


  function onerror(er) {
    debug('onerror', er);
    unpipe();
    dest.removeListener('error', onerror);
    if (EElistenerCount(dest, 'error') === 0) dest.emit('error', er);
  } // Make sure our error handler is attached before userland ones.


  prependListener(dest, 'error', onerror); // Both close and finish should trigger unpipe, but only once.

  function onclose() {
    dest.removeListener('finish', onfinish);
    unpipe();
  }

  dest.once('close', onclose);

  function onfinish() {
    debug('onfinish');
    dest.removeListener('close', onclose);
    unpipe();
  }

  dest.once('finish', onfinish);

  function unpipe() {
    debug('unpipe');
    src.unpipe(dest);
  } // tell the dest that it's being piped to


  dest.emit('pipe', src); // start the flow if it hasn't been started already.

  if (!state.flowing) {
    debug('pipe resume');
    src.resume();
  }

  return dest;
};

function pipeOnDrain(src) {
  return function () {
    var state = src._readableState;
    debug('pipeOnDrain', state.awaitDrain);
    if (state.awaitDrain) state.awaitDrain--;

    if (state.awaitDrain === 0 && EElistenerCount(src, 'data')) {
      state.flowing = true;
      flow(src);
    }
  };
}

Readable.prototype.unpipe = function (dest) {
  var state = this._readableState;
  var unpipeInfo = {
    hasUnpiped: false
  }; // if we're not piping anywhere, then do nothing.

  if (state.pipesCount === 0) return this; // just one destination.  most common case.

  if (state.pipesCount === 1) {
    // passed in one, but it's not the right one.
    if (dest && dest !== state.pipes) return this;
    if (!dest) dest = state.pipes; // got a match.

    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;
    if (dest) dest.emit('unpipe', this, unpipeInfo);
    return this;
  } // slow case. multiple pipe destinations.


  if (!dest) {
    // remove all.
    var dests = state.pipes;
    var len = state.pipesCount;
    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;

    for (var i = 0; i < len; i++) {
      dests[i].emit('unpipe', this, unpipeInfo);
    }

    return this;
  } // try to find the right one.


  var index = indexOf(state.pipes, dest);
  if (index === -1) return this;
  state.pipes.splice(index, 1);
  state.pipesCount -= 1;
  if (state.pipesCount === 1) state.pipes = state.pipes[0];
  dest.emit('unpipe', this, unpipeInfo);
  return this;
}; // set up data events if they are asked for
// Ensure readable listeners eventually get something


Readable.prototype.on = function (ev, fn) {
  var res = Stream.prototype.on.call(this, ev, fn);

  if (ev === 'data') {
    // Start flowing on next tick if stream isn't explicitly paused
    if (this._readableState.flowing !== false) this.resume();
  } else if (ev === 'readable') {
    var state = this._readableState;

    if (!state.endEmitted && !state.readableListening) {
      state.readableListening = state.needReadable = true;
      state.emittedReadable = false;

      if (!state.reading) {
        pna.nextTick(nReadingNextTick, this);
      } else if (state.length) {
        emitReadable(this);
      }
    }
  }

  return res;
};

Readable.prototype.addListener = Readable.prototype.on;

function nReadingNextTick(self) {
  debug('readable nexttick read 0');
  self.read(0);
} // pause() and resume() are remnants of the legacy readable stream API
// If the user uses them, then switch into old mode.


Readable.prototype.resume = function () {
  var state = this._readableState;

  if (!state.flowing) {
    debug('resume');
    state.flowing = true;
    resume(this, state);
  }

  return this;
};

function resume(stream, state) {
  if (!state.resumeScheduled) {
    state.resumeScheduled = true;
    pna.nextTick(resume_, stream, state);
  }
}

function resume_(stream, state) {
  if (!state.reading) {
    debug('resume read 0');
    stream.read(0);
  }

  state.resumeScheduled = false;
  state.awaitDrain = 0;
  stream.emit('resume');
  flow(stream);
  if (state.flowing && !state.reading) stream.read(0);
}

Readable.prototype.pause = function () {
  debug('call pause flowing=%j', this._readableState.flowing);

  if (false !== this._readableState.flowing) {
    debug('pause');
    this._readableState.flowing = false;
    this.emit('pause');
  }

  return this;
};

function flow(stream) {
  var state = stream._readableState;
  debug('flow', state.flowing);

  while (state.flowing && stream.read() !== null) {}
} // wrap an old-style stream as the async data source.
// This is *not* part of the readable stream interface.
// It is an ugly unfortunate mess of history.


Readable.prototype.wrap = function (stream) {
  var _this = this;

  var state = this._readableState;
  var paused = false;
  stream.on('end', function () {
    debug('wrapped end');

    if (state.decoder && !state.ended) {
      var chunk = state.decoder.end();
      if (chunk && chunk.length) _this.push(chunk);
    }

    _this.push(null);
  });
  stream.on('data', function (chunk) {
    debug('wrapped data');
    if (state.decoder) chunk = state.decoder.write(chunk); // don't skip over falsy values in objectMode

    if (state.objectMode && (chunk === null || chunk === undefined)) return;else if (!state.objectMode && (!chunk || !chunk.length)) return;

    var ret = _this.push(chunk);

    if (!ret) {
      paused = true;
      stream.pause();
    }
  }); // proxy all the other methods.
  // important when wrapping filters and duplexes.

  for (var i in stream) {
    if (this[i] === undefined && typeof stream[i] === 'function') {
      this[i] = function (method) {
        return function () {
          return stream[method].apply(stream, arguments);
        };
      }(i);
    }
  } // proxy certain important events.


  for (var n = 0; n < kProxyEvents.length; n++) {
    stream.on(kProxyEvents[n], this.emit.bind(this, kProxyEvents[n]));
  } // when we try to consume some more bytes, simply unpause the
  // underlying stream.


  this._read = function (n) {
    debug('wrapped _read', n);

    if (paused) {
      paused = false;
      stream.resume();
    }
  };

  return this;
};

Object.defineProperty(Readable.prototype, 'readableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function () {
    return this._readableState.highWaterMark;
  }
}); // exposed for testing purposes only.

Readable._fromList = fromList; // Pluck off n bytes from an array of buffers.
// Length is the combined lengths of all the buffers in the list.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.

function fromList(n, state) {
  // nothing buffered
  if (state.length === 0) return null;
  var ret;
  if (state.objectMode) ret = state.buffer.shift();else if (!n || n >= state.length) {
    // read it all, truncate the list
    if (state.decoder) ret = state.buffer.join('');else if (state.buffer.length === 1) ret = state.buffer.head.data;else ret = state.buffer.concat(state.length);
    state.buffer.clear();
  } else {
    // read part of list
    ret = fromListPartial(n, state.buffer, state.decoder);
  }
  return ret;
} // Extracts only enough buffered data to satisfy the amount requested.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.


function fromListPartial(n, list, hasStrings) {
  var ret;

  if (n < list.head.data.length) {
    // slice is the same for buffers and strings
    ret = list.head.data.slice(0, n);
    list.head.data = list.head.data.slice(n);
  } else if (n === list.head.data.length) {
    // first chunk is a perfect match
    ret = list.shift();
  } else {
    // result spans more than one buffer
    ret = hasStrings ? copyFromBufferString(n, list) : copyFromBuffer(n, list);
  }

  return ret;
} // Copies a specified amount of characters from the list of buffered data
// chunks.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.


function copyFromBufferString(n, list) {
  var p = list.head;
  var c = 1;
  var ret = p.data;
  n -= ret.length;

  while (p = p.next) {
    var str = p.data;
    var nb = n > str.length ? str.length : n;
    if (nb === str.length) ret += str;else ret += str.slice(0, n);
    n -= nb;

    if (n === 0) {
      if (nb === str.length) {
        ++c;
        if (p.next) list.head = p.next;else list.head = list.tail = null;
      } else {
        list.head = p;
        p.data = str.slice(nb);
      }

      break;
    }

    ++c;
  }

  list.length -= c;
  return ret;
} // Copies a specified amount of bytes from the list of buffered data chunks.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.


function copyFromBuffer(n, list) {
  var ret = Buffer.allocUnsafe(n);
  var p = list.head;
  var c = 1;
  p.data.copy(ret);
  n -= p.data.length;

  while (p = p.next) {
    var buf = p.data;
    var nb = n > buf.length ? buf.length : n;
    buf.copy(ret, ret.length - n, 0, nb);
    n -= nb;

    if (n === 0) {
      if (nb === buf.length) {
        ++c;
        if (p.next) list.head = p.next;else list.head = list.tail = null;
      } else {
        list.head = p;
        p.data = buf.slice(nb);
      }

      break;
    }

    ++c;
  }

  list.length -= c;
  return ret;
}

function endReadable(stream) {
  var state = stream._readableState; // If we get here before consuming all the bytes, then that is a
  // bug in node.  Should never happen.

  if (state.length > 0) throw new Error('"endReadable()" called on non-empty stream');

  if (!state.endEmitted) {
    state.ended = true;
    pna.nextTick(endReadableNT, state, stream);
  }
}

function endReadableNT(state, stream) {
  // Check that we didn't get one last unshift.
  if (!state.endEmitted && state.length === 0) {
    state.endEmitted = true;
    stream.readable = false;
    stream.emit('end');
  }
}

function indexOf(xs, x) {
  for (var i = 0, l = xs.length; i < l; i++) {
    if (xs[i] === x) return i;
  }

  return -1;
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_transform.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a transform stream is a readable/writable stream where you do
// something with the data.  Sometimes it's called a "filter",
// but that's not a great name for it, since that implies a thing where
// some bits pass through, and others are simply ignored.  (That would
// be a valid example of a transform, of course.)
//
// While the output is causally related to the input, it's not a
// necessarily symmetric or synchronous transformation.  For example,
// a zlib stream might take multiple plain-text writes(), and then
// emit a single compressed chunk some time in the future.
//
// Here's how this works:
//
// The Transform stream has all the aspects of the readable and writable
// stream classes.  When you write(chunk), that calls _write(chunk,cb)
// internally, and returns false if there's a lot of pending writes
// buffered up.  When you call read(), that calls _read(n) until
// there's enough pending readable data buffered up.
//
// In a transform stream, the written data is placed in a buffer.  When
// _read(n) is called, it transforms the queued up data, calling the
// buffered _write cb's as it consumes chunks.  If consuming a single
// written chunk would result in multiple output chunks, then the first
// outputted bit calls the readcb, and subsequent chunks just go into
// the read buffer, and will cause it to emit 'readable' if necessary.
//
// This way, back-pressure is actually determined by the reading side,
// since _read has to be called to start processing a new chunk.  However,
// a pathological inflate type of transform can cause excessive buffering
// here.  For example, imagine a stream where every byte of input is
// interpreted as an integer from 0-255, and then results in that many
// bytes of output.  Writing the 4 bytes {ff,ff,ff,ff} would result in
// 1kb of data being output.  In this case, you could write a very small
// amount of input, and end up with a very large amount of output.  In
// such a pathological inflating mechanism, there'd be no way to tell
// the system to stop doing the transform.  A single 4MB write could
// cause the system to run out of memory.
//
// However, even in such a pathological case, only a single written chunk
// would be consumed, and then the rest would wait (un-transformed) until
// the results of the previous transformed chunk were consumed.


module.exports = Transform;

var Duplex = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js");
/*<replacement>*/


var util = Object.create(__webpack_require__("./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js"));
util.inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");
/*</replacement>*/

util.inherits(Transform, Duplex);

function afterTransform(er, data) {
  var ts = this._transformState;
  ts.transforming = false;
  var cb = ts.writecb;

  if (!cb) {
    return this.emit('error', new Error('write callback called multiple times'));
  }

  ts.writechunk = null;
  ts.writecb = null;
  if (data != null) // single equals check for both `null` and `undefined`
    this.push(data);
  cb(er);
  var rs = this._readableState;
  rs.reading = false;

  if (rs.needReadable || rs.length < rs.highWaterMark) {
    this._read(rs.highWaterMark);
  }
}

function Transform(options) {
  if (!(this instanceof Transform)) return new Transform(options);
  Duplex.call(this, options);
  this._transformState = {
    afterTransform: afterTransform.bind(this),
    needTransform: false,
    transforming: false,
    writecb: null,
    writechunk: null,
    writeencoding: null
  }; // start out asking for a readable event once data is transformed.

  this._readableState.needReadable = true; // we have implemented the _read method, and done the other things
  // that Readable wants before the first _read call, so unset the
  // sync guard flag.

  this._readableState.sync = false;

  if (options) {
    if (typeof options.transform === 'function') this._transform = options.transform;
    if (typeof options.flush === 'function') this._flush = options.flush;
  } // When the writable side finishes, then flush out anything remaining.


  this.on('prefinish', prefinish);
}

function prefinish() {
  var _this = this;

  if (typeof this._flush === 'function') {
    this._flush(function (er, data) {
      done(_this, er, data);
    });
  } else {
    done(this, null, null);
  }
}

Transform.prototype.push = function (chunk, encoding) {
  this._transformState.needTransform = false;
  return Duplex.prototype.push.call(this, chunk, encoding);
}; // This is the part where you do stuff!
// override this function in implementation classes.
// 'chunk' is an input chunk.
//
// Call `push(newChunk)` to pass along transformed output
// to the readable side.  You may call 'push' zero or more times.
//
// Call `cb(err)` when you are done with this chunk.  If you pass
// an error, then that'll put the hurt on the whole operation.  If you
// never call cb(), then you'll never get another chunk.


Transform.prototype._transform = function (chunk, encoding, cb) {
  throw new Error('_transform() is not implemented');
};

Transform.prototype._write = function (chunk, encoding, cb) {
  var ts = this._transformState;
  ts.writecb = cb;
  ts.writechunk = chunk;
  ts.writeencoding = encoding;

  if (!ts.transforming) {
    var rs = this._readableState;
    if (ts.needTransform || rs.needReadable || rs.length < rs.highWaterMark) this._read(rs.highWaterMark);
  }
}; // Doesn't matter what the args are here.
// _transform does all the work.
// That we got here means that the readable side wants more data.


Transform.prototype._read = function (n) {
  var ts = this._transformState;

  if (ts.writechunk !== null && ts.writecb && !ts.transforming) {
    ts.transforming = true;

    this._transform(ts.writechunk, ts.writeencoding, ts.afterTransform);
  } else {
    // mark that we need a transform, so that any data that comes in
    // will get processed, now that we've asked for it.
    ts.needTransform = true;
  }
};

Transform.prototype._destroy = function (err, cb) {
  var _this2 = this;

  Duplex.prototype._destroy.call(this, err, function (err2) {
    cb(err2);

    _this2.emit('close');
  });
};

function done(stream, er, data) {
  if (er) return stream.emit('error', er);
  if (data != null) // single equals check for both `null` and `undefined`
    stream.push(data); // if there's nothing in the write buffer, then that means
  // that nothing more will ever be provided

  if (stream._writableState.length) throw new Error('Calling transform done when ws.length != 0');
  if (stream._transformState.transforming) throw new Error('Calling transform done when still transforming');
  return stream.push(null);
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_writable.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// A bit simpler than readable streams.
// Implement an async ._write(chunk, encoding, cb), and it'll handle all
// the drain event emission and buffering.

/*<replacement>*/

var pna = __webpack_require__("./node_modules/.f/_/process-nextick-args/2.0.1/process-nextick-args/index.js");
/*</replacement>*/


module.exports = Writable;
/* <replacement> */

function WriteReq(chunk, encoding, cb) {
  this.chunk = chunk;
  this.encoding = encoding;
  this.callback = cb;
  this.next = null;
} // It seems a linked list but it is not
// there will be only 2 of these for each stream


function CorkedRequest(state) {
  var _this = this;

  this.next = null;
  this.entry = null;

  this.finish = function () {
    onCorkedFinish(_this, state);
  };
}
/* </replacement> */

/*<replacement>*/


var asyncWrite = !process.browser && ['v0.10', 'v0.9.'].indexOf(process.version.slice(0, 5)) > -1 ? setImmediate : pna.nextTick;
/*</replacement>*/

/*<replacement>*/

var Duplex;
/*</replacement>*/

Writable.WritableState = WritableState;
/*<replacement>*/

var util = Object.create(__webpack_require__("./node_modules/.f/_/core-util-is/1.0.2/core-util-is/lib/util.js"));
util.inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");
/*</replacement>*/

/*<replacement>*/

var internalUtil = {
  deprecate: __webpack_require__("./node_modules/.f/_/util-deprecate/1.0.2/util-deprecate/node.js")
};
/*</replacement>*/

/*<replacement>*/

var Stream = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/stream.js");
/*</replacement>*/

/*<replacement>*/


var Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.1.2/safe-buffer/index.js").Buffer;

var OurUint8Array = global.Uint8Array || function () {};

function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}

function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}
/*</replacement>*/


var destroyImpl = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/destroy.js");

util.inherits(Writable, Stream);

function nop() {}

function WritableState(options, stream) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js");
  options = options || {}; // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream.
  // These options can be provided separately as readableXXX and writableXXX.

  var isDuplex = stream instanceof Duplex; // object stream flag to indicate whether or not this stream
  // contains buffers or objects.

  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.writableObjectMode; // the point at which write() starts returning false
  // Note: 0 is a valid value, means that we always return false if
  // the entire buffer is not flushed immediately on write()

  var hwm = options.highWaterMark;
  var writableHwm = options.writableHighWaterMark;
  var defaultHwm = this.objectMode ? 16 : 16 * 1024;
  if (hwm || hwm === 0) this.highWaterMark = hwm;else if (isDuplex && (writableHwm || writableHwm === 0)) this.highWaterMark = writableHwm;else this.highWaterMark = defaultHwm; // cast to ints.

  this.highWaterMark = Math.floor(this.highWaterMark); // if _final has been called

  this.finalCalled = false; // drain event flag.

  this.needDrain = false; // at the start of calling end()

  this.ending = false; // when end() has been called, and returned

  this.ended = false; // when 'finish' is emitted

  this.finished = false; // has it been destroyed

  this.destroyed = false; // should we decode strings into buffers before passing to _write?
  // this is here so that some node-core streams can optimize string
  // handling at a lower level.

  var noDecode = options.decodeStrings === false;
  this.decodeStrings = !noDecode; // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.

  this.defaultEncoding = options.defaultEncoding || 'utf8'; // not an actual buffer we keep track of, but a measurement
  // of how much we're waiting to get pushed to some underlying
  // socket or file.

  this.length = 0; // a flag to see when we're in the middle of a write.

  this.writing = false; // when true all writes will be buffered until .uncork() call

  this.corked = 0; // a flag to be able to tell if the onwrite cb is called immediately,
  // or on a later tick.  We set this to true at first, because any
  // actions that shouldn't happen until "later" should generally also
  // not happen before the first write call.

  this.sync = true; // a flag to know if we're processing previously buffered items, which
  // may call the _write() callback in the same tick, so that we don't
  // end up in an overlapped onwrite situation.

  this.bufferProcessing = false; // the callback that's passed to _write(chunk,cb)

  this.onwrite = function (er) {
    onwrite(stream, er);
  }; // the callback that the user supplies to write(chunk,encoding,cb)


  this.writecb = null; // the amount that is being written when _write is called.

  this.writelen = 0;
  this.bufferedRequest = null;
  this.lastBufferedRequest = null; // number of pending user-supplied write callbacks
  // this must be 0 before 'finish' can be emitted

  this.pendingcb = 0; // emit prefinish if the only thing we're waiting for is _write cbs
  // This is relevant for synchronous Transform streams

  this.prefinished = false; // True if the error was already emitted and should not be thrown again

  this.errorEmitted = false; // count buffered requests

  this.bufferedRequestCount = 0; // allocate the first CorkedRequest, there is always
  // one allocated and free to use, and we maintain at most two

  this.corkedRequestsFree = new CorkedRequest(this);
}

WritableState.prototype.getBuffer = function getBuffer() {
  var current = this.bufferedRequest;
  var out = [];

  while (current) {
    out.push(current);
    current = current.next;
  }

  return out;
};

(function () {
  try {
    Object.defineProperty(WritableState.prototype, 'buffer', {
      get: internalUtil.deprecate(function () {
        return this.getBuffer();
      }, '_writableState.buffer is deprecated. Use _writableState.getBuffer ' + 'instead.', 'DEP0003')
    });
  } catch (_) {}
})(); // Test _writableState for inheritance to account for Duplex streams,
// whose prototype chain only points to Readable.


var realHasInstance;

if (typeof Symbol === 'function' && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === 'function') {
  realHasInstance = Function.prototype[Symbol.hasInstance];
  Object.defineProperty(Writable, Symbol.hasInstance, {
    value: function (object) {
      if (realHasInstance.call(this, object)) return true;
      if (this !== Writable) return false;
      return object && object._writableState instanceof WritableState;
    }
  });
} else {
  realHasInstance = function (object) {
    return object instanceof this;
  };
}

function Writable(options) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js"); // Writable ctor is applied to Duplexes, too.
  // `realHasInstance` is necessary because using plain `instanceof`
  // would return false, as no `_writableState` property is attached.
  // Trying to use the custom `instanceof` for Writable here will also break the
  // Node.js LazyTransform implementation, which has a non-trivial getter for
  // `_writableState` that would lead to infinite recursion.

  if (!realHasInstance.call(Writable, this) && !(this instanceof Duplex)) {
    return new Writable(options);
  }

  this._writableState = new WritableState(options, this); // legacy.

  this.writable = true;

  if (options) {
    if (typeof options.write === 'function') this._write = options.write;
    if (typeof options.writev === 'function') this._writev = options.writev;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
    if (typeof options.final === 'function') this._final = options.final;
  }

  Stream.call(this);
} // Otherwise people can pipe Writable streams, which is just wrong.


Writable.prototype.pipe = function () {
  this.emit('error', new Error('Cannot pipe, not readable'));
};

function writeAfterEnd(stream, cb) {
  var er = new Error('write after end'); // TODO: defer error events consistently everywhere, not just the cb

  stream.emit('error', er);
  pna.nextTick(cb, er);
} // Checks that a user-supplied chunk is valid, especially for the particular
// mode the stream is in. Currently this means that `null` is never accepted
// and undefined/non-string values are only allowed in object mode.


function validChunk(stream, state, chunk, cb) {
  var valid = true;
  var er = false;

  if (chunk === null) {
    er = new TypeError('May not write null values to stream');
  } else if (typeof chunk !== 'string' && chunk !== undefined && !state.objectMode) {
    er = new TypeError('Invalid non-string/buffer chunk');
  }

  if (er) {
    stream.emit('error', er);
    pna.nextTick(cb, er);
    valid = false;
  }

  return valid;
}

Writable.prototype.write = function (chunk, encoding, cb) {
  var state = this._writableState;
  var ret = false;

  var isBuf = !state.objectMode && _isUint8Array(chunk);

  if (isBuf && !Buffer.isBuffer(chunk)) {
    chunk = _uint8ArrayToBuffer(chunk);
  }

  if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }

  if (isBuf) encoding = 'buffer';else if (!encoding) encoding = state.defaultEncoding;
  if (typeof cb !== 'function') cb = nop;
  if (state.ended) writeAfterEnd(this, cb);else if (isBuf || validChunk(this, state, chunk, cb)) {
    state.pendingcb++;
    ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb);
  }
  return ret;
};

Writable.prototype.cork = function () {
  var state = this._writableState;
  state.corked++;
};

Writable.prototype.uncork = function () {
  var state = this._writableState;

  if (state.corked) {
    state.corked--;
    if (!state.writing && !state.corked && !state.finished && !state.bufferProcessing && state.bufferedRequest) clearBuffer(this, state);
  }
};

Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
  // node::ParseEncoding() requires lower case.
  if (typeof encoding === 'string') encoding = encoding.toLowerCase();
  if (!(['hex', 'utf8', 'utf-8', 'ascii', 'binary', 'base64', 'ucs2', 'ucs-2', 'utf16le', 'utf-16le', 'raw'].indexOf((encoding + '').toLowerCase()) > -1)) throw new TypeError('Unknown encoding: ' + encoding);
  this._writableState.defaultEncoding = encoding;
  return this;
};

function decodeChunk(state, chunk, encoding) {
  if (!state.objectMode && state.decodeStrings !== false && typeof chunk === 'string') {
    chunk = Buffer.from(chunk, encoding);
  }

  return chunk;
}

Object.defineProperty(Writable.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function () {
    return this._writableState.highWaterMark;
  }
}); // if we're already writing something, then just put this
// in the queue, and wait our turn.  Otherwise, call _write
// If we return false, then we need a drain event, so set that flag.

function writeOrBuffer(stream, state, isBuf, chunk, encoding, cb) {
  if (!isBuf) {
    var newChunk = decodeChunk(state, chunk, encoding);

    if (chunk !== newChunk) {
      isBuf = true;
      encoding = 'buffer';
      chunk = newChunk;
    }
  }

  var len = state.objectMode ? 1 : chunk.length;
  state.length += len;
  var ret = state.length < state.highWaterMark; // we must ensure that previous needDrain will not be reset to false.

  if (!ret) state.needDrain = true;

  if (state.writing || state.corked) {
    var last = state.lastBufferedRequest;
    state.lastBufferedRequest = {
      chunk: chunk,
      encoding: encoding,
      isBuf: isBuf,
      callback: cb,
      next: null
    };

    if (last) {
      last.next = state.lastBufferedRequest;
    } else {
      state.bufferedRequest = state.lastBufferedRequest;
    }

    state.bufferedRequestCount += 1;
  } else {
    doWrite(stream, state, false, len, chunk, encoding, cb);
  }

  return ret;
}

function doWrite(stream, state, writev, len, chunk, encoding, cb) {
  state.writelen = len;
  state.writecb = cb;
  state.writing = true;
  state.sync = true;
  if (writev) stream._writev(chunk, state.onwrite);else stream._write(chunk, encoding, state.onwrite);
  state.sync = false;
}

function onwriteError(stream, state, sync, er, cb) {
  --state.pendingcb;

  if (sync) {
    // defer the callback if we are being called synchronously
    // to avoid piling up things on the stack
    pna.nextTick(cb, er); // this can emit finish, and it will always happen
    // after error

    pna.nextTick(finishMaybe, stream, state);
    stream._writableState.errorEmitted = true;
    stream.emit('error', er);
  } else {
    // the caller expect this to happen before if
    // it is async
    cb(er);
    stream._writableState.errorEmitted = true;
    stream.emit('error', er); // this can emit finish, but finish must
    // always follow error

    finishMaybe(stream, state);
  }
}

function onwriteStateUpdate(state) {
  state.writing = false;
  state.writecb = null;
  state.length -= state.writelen;
  state.writelen = 0;
}

function onwrite(stream, er) {
  var state = stream._writableState;
  var sync = state.sync;
  var cb = state.writecb;
  onwriteStateUpdate(state);
  if (er) onwriteError(stream, state, sync, er, cb);else {
    // Check if we're actually ready to finish, but don't emit yet
    var finished = needFinish(state);

    if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
      clearBuffer(stream, state);
    }

    if (sync) {
      /*<replacement>*/
      asyncWrite(afterWrite, stream, state, finished, cb);
      /*</replacement>*/
    } else {
      afterWrite(stream, state, finished, cb);
    }
  }
}

function afterWrite(stream, state, finished, cb) {
  if (!finished) onwriteDrain(stream, state);
  state.pendingcb--;
  cb();
  finishMaybe(stream, state);
} // Must force callback to be called on nextTick, so that we don't
// emit 'drain' before the write() consumer gets the 'false' return
// value, and has a chance to attach a 'drain' listener.


function onwriteDrain(stream, state) {
  if (state.length === 0 && state.needDrain) {
    state.needDrain = false;
    stream.emit('drain');
  }
} // if there's something in the buffer waiting, then process it


function clearBuffer(stream, state) {
  state.bufferProcessing = true;
  var entry = state.bufferedRequest;

  if (stream._writev && entry && entry.next) {
    // Fast case, write everything using _writev()
    var l = state.bufferedRequestCount;
    var buffer = new Array(l);
    var holder = state.corkedRequestsFree;
    holder.entry = entry;
    var count = 0;
    var allBuffers = true;

    while (entry) {
      buffer[count] = entry;
      if (!entry.isBuf) allBuffers = false;
      entry = entry.next;
      count += 1;
    }

    buffer.allBuffers = allBuffers;
    doWrite(stream, state, true, state.length, buffer, '', holder.finish); // doWrite is almost always async, defer these to save a bit of time
    // as the hot path ends with doWrite

    state.pendingcb++;
    state.lastBufferedRequest = null;

    if (holder.next) {
      state.corkedRequestsFree = holder.next;
      holder.next = null;
    } else {
      state.corkedRequestsFree = new CorkedRequest(state);
    }

    state.bufferedRequestCount = 0;
  } else {
    // Slow case, write chunks one-by-one
    while (entry) {
      var chunk = entry.chunk;
      var encoding = entry.encoding;
      var cb = entry.callback;
      var len = state.objectMode ? 1 : chunk.length;
      doWrite(stream, state, false, len, chunk, encoding, cb);
      entry = entry.next;
      state.bufferedRequestCount--; // if we didn't call the onwrite immediately, then
      // it means that we need to wait until it does.
      // also, that means that the chunk and cb are currently
      // being processed, so move the buffer counter past them.

      if (state.writing) {
        break;
      }
    }

    if (entry === null) state.lastBufferedRequest = null;
  }

  state.bufferedRequest = entry;
  state.bufferProcessing = false;
}

Writable.prototype._write = function (chunk, encoding, cb) {
  cb(new Error('_write() is not implemented'));
};

Writable.prototype._writev = null;

Writable.prototype.end = function (chunk, encoding, cb) {
  var state = this._writableState;

  if (typeof chunk === 'function') {
    cb = chunk;
    chunk = null;
    encoding = null;
  } else if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }

  if (chunk !== null && chunk !== undefined) this.write(chunk, encoding); // .end() fully uncorks

  if (state.corked) {
    state.corked = 1;
    this.uncork();
  } // ignore unnecessary end() calls.


  if (!state.ending && !state.finished) endWritable(this, state, cb);
};

function needFinish(state) {
  return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
}

function callFinal(stream, state) {
  stream._final(function (err) {
    state.pendingcb--;

    if (err) {
      stream.emit('error', err);
    }

    state.prefinished = true;
    stream.emit('prefinish');
    finishMaybe(stream, state);
  });
}

function prefinish(stream, state) {
  if (!state.prefinished && !state.finalCalled) {
    if (typeof stream._final === 'function') {
      state.pendingcb++;
      state.finalCalled = true;
      pna.nextTick(callFinal, stream, state);
    } else {
      state.prefinished = true;
      stream.emit('prefinish');
    }
  }
}

function finishMaybe(stream, state) {
  var need = needFinish(state);

  if (need) {
    prefinish(stream, state);

    if (state.pendingcb === 0) {
      state.finished = true;
      stream.emit('finish');
    }
  }

  return need;
}

function endWritable(stream, state, cb) {
  state.ending = true;
  finishMaybe(stream, state);

  if (cb) {
    if (state.finished) pna.nextTick(cb);else stream.once('finish', cb);
  }

  state.ended = true;
  stream.writable = false;
}

function onCorkedFinish(corkReq, state, err) {
  var entry = corkReq.entry;
  corkReq.entry = null;

  while (entry) {
    var cb = entry.callback;
    state.pendingcb--;
    cb(err);
    entry = entry.next;
  }

  if (state.corkedRequestsFree) {
    state.corkedRequestsFree.next = corkReq;
  } else {
    state.corkedRequestsFree = corkReq;
  }
}

Object.defineProperty(Writable.prototype, 'destroyed', {
  get: function () {
    if (this._writableState === undefined) {
      return false;
    }

    return this._writableState.destroyed;
  },
  set: function (value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._writableState) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._writableState.destroyed = value;
  }
});
Writable.prototype.destroy = destroyImpl.destroy;
Writable.prototype._undestroy = destroyImpl.undestroy;

Writable.prototype._destroy = function (err, cb) {
  this.end();
  cb(err);
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/BufferList.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

var Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.1.2/safe-buffer/index.js").Buffer;

var util = __webpack_require__("util");

function copyBuffer(src, target, offset) {
  src.copy(target, offset);
}

module.exports = function () {
  function BufferList() {
    _classCallCheck(this, BufferList);

    this.head = null;
    this.tail = null;
    this.length = 0;
  }

  BufferList.prototype.push = function push(v) {
    var entry = {
      data: v,
      next: null
    };
    if (this.length > 0) this.tail.next = entry;else this.head = entry;
    this.tail = entry;
    ++this.length;
  };

  BufferList.prototype.unshift = function unshift(v) {
    var entry = {
      data: v,
      next: this.head
    };
    if (this.length === 0) this.tail = entry;
    this.head = entry;
    ++this.length;
  };

  BufferList.prototype.shift = function shift() {
    if (this.length === 0) return;
    var ret = this.head.data;
    if (this.length === 1) this.head = this.tail = null;else this.head = this.head.next;
    --this.length;
    return ret;
  };

  BufferList.prototype.clear = function clear() {
    this.head = this.tail = null;
    this.length = 0;
  };

  BufferList.prototype.join = function join(s) {
    if (this.length === 0) return '';
    var p = this.head;
    var ret = '' + p.data;

    while (p = p.next) {
      ret += s + p.data;
    }

    return ret;
  };

  BufferList.prototype.concat = function concat(n) {
    if (this.length === 0) return Buffer.alloc(0);
    if (this.length === 1) return this.head.data;
    var ret = Buffer.allocUnsafe(n >>> 0);
    var p = this.head;
    var i = 0;

    while (p) {
      copyBuffer(p.data, ret, i);
      i += p.data.length;
      p = p.next;
    }

    return ret;
  };

  return BufferList;
}();

if (util && util.inspect && util.inspect.custom) {
  module.exports.prototype[util.inspect.custom] = function () {
    var obj = util.inspect({
      length: this.length
    });
    return this.constructor.name + ' ' + obj;
  };
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/destroy.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/*<replacement>*/

var pna = __webpack_require__("./node_modules/.f/_/process-nextick-args/2.0.1/process-nextick-args/index.js");
/*</replacement>*/
// undocumented cb() API, needed for core, not for public API


function destroy(err, cb) {
  var _this = this;

  var readableDestroyed = this._readableState && this._readableState.destroyed;
  var writableDestroyed = this._writableState && this._writableState.destroyed;

  if (readableDestroyed || writableDestroyed) {
    if (cb) {
      cb(err);
    } else if (err && (!this._writableState || !this._writableState.errorEmitted)) {
      pna.nextTick(emitErrorNT, this, err);
    }

    return this;
  } // we set destroyed to true before firing error callbacks in order
  // to make it re-entrance safe in case destroy() is called within callbacks


  if (this._readableState) {
    this._readableState.destroyed = true;
  } // if this is a duplex stream mark the writable part as destroyed as well


  if (this._writableState) {
    this._writableState.destroyed = true;
  }

  this._destroy(err || null, function (err) {
    if (!cb && err) {
      pna.nextTick(emitErrorNT, _this, err);

      if (_this._writableState) {
        _this._writableState.errorEmitted = true;
      }
    } else if (cb) {
      cb(err);
    }
  });

  return this;
}

function undestroy() {
  if (this._readableState) {
    this._readableState.destroyed = false;
    this._readableState.reading = false;
    this._readableState.ended = false;
    this._readableState.endEmitted = false;
  }

  if (this._writableState) {
    this._writableState.destroyed = false;
    this._writableState.ended = false;
    this._writableState.ending = false;
    this._writableState.finished = false;
    this._writableState.errorEmitted = false;
  }
}

function emitErrorNT(self, err) {
  self.emit('error', err);
}

module.exports = {
  destroy: destroy,
  undestroy: undestroy
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/internal/streams/stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("stream");

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js":
/***/ ((module, exports, __webpack_require__) => {

var Stream = __webpack_require__("stream");

if (process.env.READABLE_STREAM === 'disable' && Stream) {
  module.exports = Stream;
  exports = module.exports = Stream.Readable;
  exports.Readable = Stream.Readable;
  exports.Writable = Stream.Writable;
  exports.Duplex = Stream.Duplex;
  exports.Transform = Stream.Transform;
  exports.PassThrough = Stream.PassThrough;
  exports.Stream = Stream;
} else {
  exports = module.exports = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_readable.js");
  exports.Stream = Stream || exports;
  exports.Readable = exports;
  exports.Writable = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_writable.js");
  exports.Duplex = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_duplex.js");
  exports.Transform = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_transform.js");
  exports.PassThrough = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/lib/_stream_passthrough.js");
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js":
/***/ ((module) => {

"use strict";


const codes = {};

function createErrorType(code, message, Base) {
  if (!Base) {
    Base = Error;
  }

  function getMessage(arg1, arg2, arg3) {
    if (typeof message === 'string') {
      return message;
    } else {
      return message(arg1, arg2, arg3);
    }
  }

  class NodeError extends Base {
    constructor(arg1, arg2, arg3) {
      super(getMessage(arg1, arg2, arg3));
    }

  }

  NodeError.prototype.name = Base.name;
  NodeError.prototype.code = code;
  codes[code] = NodeError;
} // https://github.com/nodejs/node/blob/v10.8.0/lib/internal/errors.js


function oneOf(expected, thing) {
  if (Array.isArray(expected)) {
    const len = expected.length;
    expected = expected.map(i => String(i));

    if (len > 2) {
      return `one of ${thing} ${expected.slice(0, len - 1).join(', ')}, or ` + expected[len - 1];
    } else if (len === 2) {
      return `one of ${thing} ${expected[0]} or ${expected[1]}`;
    } else {
      return `of ${thing} ${expected[0]}`;
    }
  } else {
    return `of ${thing} ${String(expected)}`;
  }
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/startsWith


function startsWith(str, search, pos) {
  return str.substr(!pos || pos < 0 ? 0 : +pos, search.length) === search;
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/endsWith


function endsWith(str, search, this_len) {
  if (this_len === undefined || this_len > str.length) {
    this_len = str.length;
  }

  return str.substring(this_len - search.length, this_len) === search;
} // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/includes


function includes(str, search, start) {
  if (typeof start !== 'number') {
    start = 0;
  }

  if (start + search.length > str.length) {
    return false;
  } else {
    return str.indexOf(search, start) !== -1;
  }
}

createErrorType('ERR_INVALID_OPT_VALUE', function (name, value) {
  return 'The value "' + value + '" is invalid for option "' + name + '"';
}, TypeError);
createErrorType('ERR_INVALID_ARG_TYPE', function (name, expected, actual) {
  // determiner: 'must be' or 'must not be'
  let determiner;

  if (typeof expected === 'string' && startsWith(expected, 'not ')) {
    determiner = 'must not be';
    expected = expected.replace(/^not /, '');
  } else {
    determiner = 'must be';
  }

  let msg;

  if (endsWith(name, ' argument')) {
    // For cases like 'first argument'
    msg = `The ${name} ${determiner} ${oneOf(expected, 'type')}`;
  } else {
    const type = includes(name, '.') ? 'property' : 'argument';
    msg = `The "${name}" ${type} ${determiner} ${oneOf(expected, 'type')}`;
  }

  msg += `. Received type ${typeof actual}`;
  return msg;
}, TypeError);
createErrorType('ERR_STREAM_PUSH_AFTER_EOF', 'stream.push() after EOF');
createErrorType('ERR_METHOD_NOT_IMPLEMENTED', function (name) {
  return 'The ' + name + ' method is not implemented';
});
createErrorType('ERR_STREAM_PREMATURE_CLOSE', 'Premature close');
createErrorType('ERR_STREAM_DESTROYED', function (name) {
  return 'Cannot call ' + name + ' after a stream was destroyed';
});
createErrorType('ERR_MULTIPLE_CALLBACK', 'Callback called multiple times');
createErrorType('ERR_STREAM_CANNOT_PIPE', 'Cannot pipe, not readable');
createErrorType('ERR_STREAM_WRITE_AFTER_END', 'write after end');
createErrorType('ERR_STREAM_NULL_VALUES', 'May not write null values to stream', TypeError);
createErrorType('ERR_UNKNOWN_ENCODING', function (arg) {
  return 'Unknown encoding: ' + arg;
}, TypeError);
createErrorType('ERR_STREAM_UNSHIFT_AFTER_END_EVENT', 'stream.unshift() after end event');
module.exports.codes = codes;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a duplex stream is just a stream that is both readable and writable.
// Since JS doesn't have multiple prototypal inheritance, this class
// prototypally inherits from Readable, and then parasitically from
// Writable.

/*<replacement>*/

var objectKeys = Object.keys || function (obj) {
  var keys = [];

  for (var key in obj) {
    keys.push(key);
  }

  return keys;
};
/*</replacement>*/


module.exports = Duplex;

var Readable = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_readable.js");

var Writable = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_writable.js");

__webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js")(Duplex, Readable);

{
  // Allow the keys array to be GC'ed.
  var keys = objectKeys(Writable.prototype);

  for (var v = 0; v < keys.length; v++) {
    var method = keys[v];
    if (!Duplex.prototype[method]) Duplex.prototype[method] = Writable.prototype[method];
  }
}

function Duplex(options) {
  if (!(this instanceof Duplex)) return new Duplex(options);
  Readable.call(this, options);
  Writable.call(this, options);
  this.allowHalfOpen = true;

  if (options) {
    if (options.readable === false) this.readable = false;
    if (options.writable === false) this.writable = false;

    if (options.allowHalfOpen === false) {
      this.allowHalfOpen = false;
      this.once('end', onend);
    }
  }
}

Object.defineProperty(Duplex.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.highWaterMark;
  }
});
Object.defineProperty(Duplex.prototype, 'writableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState && this._writableState.getBuffer();
  }
});
Object.defineProperty(Duplex.prototype, 'writableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.length;
  }
}); // the no-half-open enforcer

function onend() {
  // If the writable side ended, then we're ok.
  if (this._writableState.ended) return; // no more data can be written.
  // But allow more writes to happen in this tick.

  process.nextTick(onEndNT, this);
}

function onEndNT(self) {
  self.end();
}

Object.defineProperty(Duplex.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._readableState === undefined || this._writableState === undefined) {
      return false;
    }

    return this._readableState.destroyed && this._writableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (this._readableState === undefined || this._writableState === undefined) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._readableState.destroyed = value;
    this._writableState.destroyed = value;
  }
});

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_passthrough.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a passthrough stream.
// basically just the most minimal sort of Transform stream.
// Every written chunk gets output as-is.


module.exports = PassThrough;

var Transform = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_transform.js");

__webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js")(PassThrough, Transform);

function PassThrough(options) {
  if (!(this instanceof PassThrough)) return new PassThrough(options);
  Transform.call(this, options);
}

PassThrough.prototype._transform = function (chunk, encoding, cb) {
  cb(null, chunk);
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_readable.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.


module.exports = Readable;
/*<replacement>*/

var Duplex;
/*</replacement>*/

Readable.ReadableState = ReadableState;
/*<replacement>*/

var EE = __webpack_require__("events").EventEmitter;

var EElistenerCount = function EElistenerCount(emitter, type) {
  return emitter.listeners(type).length;
};
/*</replacement>*/

/*<replacement>*/


var Stream = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/stream.js");
/*</replacement>*/


var Buffer = __webpack_require__("buffer").Buffer;

var OurUint8Array = global.Uint8Array || function () {};

function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}

function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}
/*<replacement>*/


var debugUtil = __webpack_require__("util");

var debug;

if (debugUtil && debugUtil.debuglog) {
  debug = debugUtil.debuglog('stream');
} else {
  debug = function debug() {};
}
/*</replacement>*/


var BufferList = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/buffer_list.js");

var destroyImpl = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/destroy.js");

var _require = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/state.js"),
    getHighWaterMark = _require.getHighWaterMark;

var _require$codes = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes,
    ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE,
    ERR_STREAM_PUSH_AFTER_EOF = _require$codes.ERR_STREAM_PUSH_AFTER_EOF,
    ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
    ERR_STREAM_UNSHIFT_AFTER_END_EVENT = _require$codes.ERR_STREAM_UNSHIFT_AFTER_END_EVENT; // Lazy loaded to improve the startup performance.


var StringDecoder;
var createReadableStreamAsyncIterator;
var from;

__webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js")(Readable, Stream);

var errorOrDestroy = destroyImpl.errorOrDestroy;
var kProxyEvents = ['error', 'close', 'destroy', 'pause', 'resume'];

function prependListener(emitter, event, fn) {
  // Sadly this is not cacheable as some libraries bundle their own
  // event emitter implementation with them.
  if (typeof emitter.prependListener === 'function') return emitter.prependListener(event, fn); // This is a hack to make sure that our error handler is attached before any
  // userland ones.  NEVER DO THIS. This is here only because this code needs
  // to continue to work with older versions of Node.js that do not include
  // the prependListener() method. The goal is to eventually remove this hack.

  if (!emitter._events || !emitter._events[event]) emitter.on(event, fn);else if (Array.isArray(emitter._events[event])) emitter._events[event].unshift(fn);else emitter._events[event] = [fn, emitter._events[event]];
}

function ReadableState(options, stream, isDuplex) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js");
  options = options || {}; // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream.
  // These options can be provided separately as readableXXX and writableXXX.

  if (typeof isDuplex !== 'boolean') isDuplex = stream instanceof Duplex; // object stream flag. Used to make read(n) ignore n and to
  // make all the buffer merging and length checks go away

  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.readableObjectMode; // the point at which it stops calling _read() to fill the buffer
  // Note: 0 is a valid value, means "don't call _read preemptively ever"

  this.highWaterMark = getHighWaterMark(this, options, 'readableHighWaterMark', isDuplex); // A linked list is used to store data chunks instead of an array because the
  // linked list can remove elements from the beginning faster than
  // array.shift()

  this.buffer = new BufferList();
  this.length = 0;
  this.pipes = null;
  this.pipesCount = 0;
  this.flowing = null;
  this.ended = false;
  this.endEmitted = false;
  this.reading = false; // a flag to be able to tell if the event 'readable'/'data' is emitted
  // immediately, or on a later tick.  We set this to true at first, because
  // any actions that shouldn't happen until "later" should generally also
  // not happen before the first read call.

  this.sync = true; // whenever we return null, then we set a flag to say
  // that we're awaiting a 'readable' event emission.

  this.needReadable = false;
  this.emittedReadable = false;
  this.readableListening = false;
  this.resumeScheduled = false;
  this.paused = true; // Should close be emitted on destroy. Defaults to true.

  this.emitClose = options.emitClose !== false; // Should .destroy() be called after 'end' (and potentially 'finish')

  this.autoDestroy = !!options.autoDestroy; // has it been destroyed

  this.destroyed = false; // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.

  this.defaultEncoding = options.defaultEncoding || 'utf8'; // the number of writers that are awaiting a drain event in .pipe()s

  this.awaitDrain = 0; // if true, a maybeReadMore has been scheduled

  this.readingMore = false;
  this.decoder = null;
  this.encoding = null;

  if (options.encoding) {
    if (!StringDecoder) StringDecoder = __webpack_require__("./node_modules/.f/_/string_decoder/1.1.1/string_decoder/lib/string_decoder.js").StringDecoder;
    this.decoder = new StringDecoder(options.encoding);
    this.encoding = options.encoding;
  }
}

function Readable(options) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js");
  if (!(this instanceof Readable)) return new Readable(options); // Checking for a Stream.Duplex instance is faster here instead of inside
  // the ReadableState constructor, at least with V8 6.5

  var isDuplex = this instanceof Duplex;
  this._readableState = new ReadableState(options, this, isDuplex); // legacy

  this.readable = true;

  if (options) {
    if (typeof options.read === 'function') this._read = options.read;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
  }

  Stream.call(this);
}

Object.defineProperty(Readable.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._readableState === undefined) {
      return false;
    }

    return this._readableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._readableState) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._readableState.destroyed = value;
  }
});
Readable.prototype.destroy = destroyImpl.destroy;
Readable.prototype._undestroy = destroyImpl.undestroy;

Readable.prototype._destroy = function (err, cb) {
  cb(err);
}; // Manually shove something into the read() buffer.
// This returns true if the highWaterMark has not been hit yet,
// similar to how Writable.write() returns true if you should
// write() some more.


Readable.prototype.push = function (chunk, encoding) {
  var state = this._readableState;
  var skipChunkCheck;

  if (!state.objectMode) {
    if (typeof chunk === 'string') {
      encoding = encoding || state.defaultEncoding;

      if (encoding !== state.encoding) {
        chunk = Buffer.from(chunk, encoding);
        encoding = '';
      }

      skipChunkCheck = true;
    }
  } else {
    skipChunkCheck = true;
  }

  return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
}; // Unshift should *always* be something directly out of read()


Readable.prototype.unshift = function (chunk) {
  return readableAddChunk(this, chunk, null, true, false);
};

function readableAddChunk(stream, chunk, encoding, addToFront, skipChunkCheck) {
  debug('readableAddChunk', chunk);
  var state = stream._readableState;

  if (chunk === null) {
    state.reading = false;
    onEofChunk(stream, state);
  } else {
    var er;
    if (!skipChunkCheck) er = chunkInvalid(state, chunk);

    if (er) {
      errorOrDestroy(stream, er);
    } else if (state.objectMode || chunk && chunk.length > 0) {
      if (typeof chunk !== 'string' && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer.prototype) {
        chunk = _uint8ArrayToBuffer(chunk);
      }

      if (addToFront) {
        if (state.endEmitted) errorOrDestroy(stream, new ERR_STREAM_UNSHIFT_AFTER_END_EVENT());else addChunk(stream, state, chunk, true);
      } else if (state.ended) {
        errorOrDestroy(stream, new ERR_STREAM_PUSH_AFTER_EOF());
      } else if (state.destroyed) {
        return false;
      } else {
        state.reading = false;

        if (state.decoder && !encoding) {
          chunk = state.decoder.write(chunk);
          if (state.objectMode || chunk.length !== 0) addChunk(stream, state, chunk, false);else maybeReadMore(stream, state);
        } else {
          addChunk(stream, state, chunk, false);
        }
      }
    } else if (!addToFront) {
      state.reading = false;
      maybeReadMore(stream, state);
    }
  } // We can push more data if we are below the highWaterMark.
  // Also, if we have no data yet, we can stand some more bytes.
  // This is to work around cases where hwm=0, such as the repl.


  return !state.ended && (state.length < state.highWaterMark || state.length === 0);
}

function addChunk(stream, state, chunk, addToFront) {
  if (state.flowing && state.length === 0 && !state.sync) {
    state.awaitDrain = 0;
    stream.emit('data', chunk);
  } else {
    // update the buffer info.
    state.length += state.objectMode ? 1 : chunk.length;
    if (addToFront) state.buffer.unshift(chunk);else state.buffer.push(chunk);
    if (state.needReadable) emitReadable(stream);
  }

  maybeReadMore(stream, state);
}

function chunkInvalid(state, chunk) {
  var er;

  if (!_isUint8Array(chunk) && typeof chunk !== 'string' && chunk !== undefined && !state.objectMode) {
    er = new ERR_INVALID_ARG_TYPE('chunk', ['string', 'Buffer', 'Uint8Array'], chunk);
  }

  return er;
}

Readable.prototype.isPaused = function () {
  return this._readableState.flowing === false;
}; // backwards compatibility.


Readable.prototype.setEncoding = function (enc) {
  if (!StringDecoder) StringDecoder = __webpack_require__("./node_modules/.f/_/string_decoder/1.1.1/string_decoder/lib/string_decoder.js").StringDecoder;
  var decoder = new StringDecoder(enc);
  this._readableState.decoder = decoder; // If setEncoding(null), decoder.encoding equals utf8

  this._readableState.encoding = this._readableState.decoder.encoding; // Iterate over current buffer to convert already stored Buffers:

  var p = this._readableState.buffer.head;
  var content = '';

  while (p !== null) {
    content += decoder.write(p.data);
    p = p.next;
  }

  this._readableState.buffer.clear();

  if (content !== '') this._readableState.buffer.push(content);
  this._readableState.length = content.length;
  return this;
}; // Don't raise the hwm > 1GB


var MAX_HWM = 0x40000000;

function computeNewHighWaterMark(n) {
  if (n >= MAX_HWM) {
    // TODO(ronag): Throw ERR_VALUE_OUT_OF_RANGE.
    n = MAX_HWM;
  } else {
    // Get the next highest power of 2 to prevent increasing hwm excessively in
    // tiny amounts
    n--;
    n |= n >>> 1;
    n |= n >>> 2;
    n |= n >>> 4;
    n |= n >>> 8;
    n |= n >>> 16;
    n++;
  }

  return n;
} // This function is designed to be inlinable, so please take care when making
// changes to the function body.


function howMuchToRead(n, state) {
  if (n <= 0 || state.length === 0 && state.ended) return 0;
  if (state.objectMode) return 1;

  if (n !== n) {
    // Only flow one buffer at a time
    if (state.flowing && state.length) return state.buffer.head.data.length;else return state.length;
  } // If we're asking for more than the current hwm, then raise the hwm.


  if (n > state.highWaterMark) state.highWaterMark = computeNewHighWaterMark(n);
  if (n <= state.length) return n; // Don't have enough

  if (!state.ended) {
    state.needReadable = true;
    return 0;
  }

  return state.length;
} // you can override either this method, or the async _read(n) below.


Readable.prototype.read = function (n) {
  debug('read', n);
  n = parseInt(n, 10);
  var state = this._readableState;
  var nOrig = n;
  if (n !== 0) state.emittedReadable = false; // if we're doing read(0) to trigger a readable event, but we
  // already have a bunch of data in the buffer, then just trigger
  // the 'readable' event and move on.

  if (n === 0 && state.needReadable && ((state.highWaterMark !== 0 ? state.length >= state.highWaterMark : state.length > 0) || state.ended)) {
    debug('read: emitReadable', state.length, state.ended);
    if (state.length === 0 && state.ended) endReadable(this);else emitReadable(this);
    return null;
  }

  n = howMuchToRead(n, state); // if we've ended, and we're now clear, then finish it up.

  if (n === 0 && state.ended) {
    if (state.length === 0) endReadable(this);
    return null;
  } // All the actual chunk generation logic needs to be
  // *below* the call to _read.  The reason is that in certain
  // synthetic stream cases, such as passthrough streams, _read
  // may be a completely synchronous operation which may change
  // the state of the read buffer, providing enough data when
  // before there was *not* enough.
  //
  // So, the steps are:
  // 1. Figure out what the state of things will be after we do
  // a read from the buffer.
  //
  // 2. If that resulting state will trigger a _read, then call _read.
  // Note that this may be asynchronous, or synchronous.  Yes, it is
  // deeply ugly to write APIs this way, but that still doesn't mean
  // that the Readable class should behave improperly, as streams are
  // designed to be sync/async agnostic.
  // Take note if the _read call is sync or async (ie, if the read call
  // has returned yet), so that we know whether or not it's safe to emit
  // 'readable' etc.
  //
  // 3. Actually pull the requested chunks out of the buffer and return.
  // if we need a readable event, then we need to do some reading.


  var doRead = state.needReadable;
  debug('need readable', doRead); // if we currently have less than the highWaterMark, then also read some

  if (state.length === 0 || state.length - n < state.highWaterMark) {
    doRead = true;
    debug('length less than watermark', doRead);
  } // however, if we've ended, then there's no point, and if we're already
  // reading, then it's unnecessary.


  if (state.ended || state.reading) {
    doRead = false;
    debug('reading or ended', doRead);
  } else if (doRead) {
    debug('do read');
    state.reading = true;
    state.sync = true; // if the length is currently zero, then we *need* a readable event.

    if (state.length === 0) state.needReadable = true; // call internal read method

    this._read(state.highWaterMark);

    state.sync = false; // If _read pushed data synchronously, then `reading` will be false,
    // and we need to re-evaluate how much data we can return to the user.

    if (!state.reading) n = howMuchToRead(nOrig, state);
  }

  var ret;
  if (n > 0) ret = fromList(n, state);else ret = null;

  if (ret === null) {
    state.needReadable = state.length <= state.highWaterMark;
    n = 0;
  } else {
    state.length -= n;
    state.awaitDrain = 0;
  }

  if (state.length === 0) {
    // If we have nothing in the buffer, then we want to know
    // as soon as we *do* get something into the buffer.
    if (!state.ended) state.needReadable = true; // If we tried to read() past the EOF, then emit end on the next tick.

    if (nOrig !== n && state.ended) endReadable(this);
  }

  if (ret !== null) this.emit('data', ret);
  return ret;
};

function onEofChunk(stream, state) {
  debug('onEofChunk');
  if (state.ended) return;

  if (state.decoder) {
    var chunk = state.decoder.end();

    if (chunk && chunk.length) {
      state.buffer.push(chunk);
      state.length += state.objectMode ? 1 : chunk.length;
    }
  }

  state.ended = true;

  if (state.sync) {
    // if we are sync, wait until next tick to emit the data.
    // Otherwise we risk emitting data in the flow()
    // the readable code triggers during a read() call
    emitReadable(stream);
  } else {
    // emit 'readable' now to make sure it gets picked up.
    state.needReadable = false;

    if (!state.emittedReadable) {
      state.emittedReadable = true;
      emitReadable_(stream);
    }
  }
} // Don't emit readable right away in sync mode, because this can trigger
// another read() call => stack overflow.  This way, it might trigger
// a nextTick recursion warning, but that's not so bad.


function emitReadable(stream) {
  var state = stream._readableState;
  debug('emitReadable', state.needReadable, state.emittedReadable);
  state.needReadable = false;

  if (!state.emittedReadable) {
    debug('emitReadable', state.flowing);
    state.emittedReadable = true;
    process.nextTick(emitReadable_, stream);
  }
}

function emitReadable_(stream) {
  var state = stream._readableState;
  debug('emitReadable_', state.destroyed, state.length, state.ended);

  if (!state.destroyed && (state.length || state.ended)) {
    stream.emit('readable');
    state.emittedReadable = false;
  } // The stream needs another readable event if
  // 1. It is not flowing, as the flow mechanism will take
  //    care of it.
  // 2. It is not ended.
  // 3. It is below the highWaterMark, so we can schedule
  //    another readable later.


  state.needReadable = !state.flowing && !state.ended && state.length <= state.highWaterMark;
  flow(stream);
} // at this point, the user has presumably seen the 'readable' event,
// and called read() to consume some data.  that may have triggered
// in turn another _read(n) call, in which case reading = true if
// it's in progress.
// However, if we're not ended, or reading, and the length < hwm,
// then go ahead and try to read some more preemptively.


function maybeReadMore(stream, state) {
  if (!state.readingMore) {
    state.readingMore = true;
    process.nextTick(maybeReadMore_, stream, state);
  }
}

function maybeReadMore_(stream, state) {
  // Attempt to read more data if we should.
  //
  // The conditions for reading more data are (one of):
  // - Not enough data buffered (state.length < state.highWaterMark). The loop
  //   is responsible for filling the buffer with enough data if such data
  //   is available. If highWaterMark is 0 and we are not in the flowing mode
  //   we should _not_ attempt to buffer any extra data. We'll get more data
  //   when the stream consumer calls read() instead.
  // - No data in the buffer, and the stream is in flowing mode. In this mode
  //   the loop below is responsible for ensuring read() is called. Failing to
  //   call read here would abort the flow and there's no other mechanism for
  //   continuing the flow if the stream consumer has just subscribed to the
  //   'data' event.
  //
  // In addition to the above conditions to keep reading data, the following
  // conditions prevent the data from being read:
  // - The stream has ended (state.ended).
  // - There is already a pending 'read' operation (state.reading). This is a
  //   case where the the stream has called the implementation defined _read()
  //   method, but they are processing the call asynchronously and have _not_
  //   called push() with new data. In this case we skip performing more
  //   read()s. The execution ends in this method again after the _read() ends
  //   up calling push() with more data.
  while (!state.reading && !state.ended && (state.length < state.highWaterMark || state.flowing && state.length === 0)) {
    var len = state.length;
    debug('maybeReadMore read 0');
    stream.read(0);
    if (len === state.length) // didn't get any data, stop spinning.
      break;
  }

  state.readingMore = false;
} // abstract method.  to be overridden in specific implementation classes.
// call cb(er, data) where data is <= n in length.
// for virtual (non-string, non-buffer) streams, "length" is somewhat
// arbitrary, and perhaps not very meaningful.


Readable.prototype._read = function (n) {
  errorOrDestroy(this, new ERR_METHOD_NOT_IMPLEMENTED('_read()'));
};

Readable.prototype.pipe = function (dest, pipeOpts) {
  var src = this;
  var state = this._readableState;

  switch (state.pipesCount) {
    case 0:
      state.pipes = dest;
      break;

    case 1:
      state.pipes = [state.pipes, dest];
      break;

    default:
      state.pipes.push(dest);
      break;
  }

  state.pipesCount += 1;
  debug('pipe count=%d opts=%j', state.pipesCount, pipeOpts);
  var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
  var endFn = doEnd ? onend : unpipe;
  if (state.endEmitted) process.nextTick(endFn);else src.once('end', endFn);
  dest.on('unpipe', onunpipe);

  function onunpipe(readable, unpipeInfo) {
    debug('onunpipe');

    if (readable === src) {
      if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
        unpipeInfo.hasUnpiped = true;
        cleanup();
      }
    }
  }

  function onend() {
    debug('onend');
    dest.end();
  } // when the dest drains, it reduces the awaitDrain counter
  // on the source.  This would be more elegant with a .once()
  // handler in flow(), but adding and removing repeatedly is
  // too slow.


  var ondrain = pipeOnDrain(src);
  dest.on('drain', ondrain);
  var cleanedUp = false;

  function cleanup() {
    debug('cleanup'); // cleanup event handlers once the pipe is broken

    dest.removeListener('close', onclose);
    dest.removeListener('finish', onfinish);
    dest.removeListener('drain', ondrain);
    dest.removeListener('error', onerror);
    dest.removeListener('unpipe', onunpipe);
    src.removeListener('end', onend);
    src.removeListener('end', unpipe);
    src.removeListener('data', ondata);
    cleanedUp = true; // if the reader is waiting for a drain event from this
    // specific writer, then it would cause it to never start
    // flowing again.
    // So, if this is awaiting a drain, then we just call it now.
    // If we don't know, then assume that we are waiting for one.

    if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain)) ondrain();
  }

  src.on('data', ondata);

  function ondata(chunk) {
    debug('ondata');
    var ret = dest.write(chunk);
    debug('dest.write', ret);

    if (ret === false) {
      // If the user unpiped during `dest.write()`, it is possible
      // to get stuck in a permanently paused state if that write
      // also returned false.
      // => Check whether `dest` is still a piping destination.
      if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
        debug('false write response, pause', state.awaitDrain);
        state.awaitDrain++;
      }

      src.pause();
    }
  } // if the dest has an error, then stop piping into it.
  // however, don't suppress the throwing behavior for this.


  function onerror(er) {
    debug('onerror', er);
    unpipe();
    dest.removeListener('error', onerror);
    if (EElistenerCount(dest, 'error') === 0) errorOrDestroy(dest, er);
  } // Make sure our error handler is attached before userland ones.


  prependListener(dest, 'error', onerror); // Both close and finish should trigger unpipe, but only once.

  function onclose() {
    dest.removeListener('finish', onfinish);
    unpipe();
  }

  dest.once('close', onclose);

  function onfinish() {
    debug('onfinish');
    dest.removeListener('close', onclose);
    unpipe();
  }

  dest.once('finish', onfinish);

  function unpipe() {
    debug('unpipe');
    src.unpipe(dest);
  } // tell the dest that it's being piped to


  dest.emit('pipe', src); // start the flow if it hasn't been started already.

  if (!state.flowing) {
    debug('pipe resume');
    src.resume();
  }

  return dest;
};

function pipeOnDrain(src) {
  return function pipeOnDrainFunctionResult() {
    var state = src._readableState;
    debug('pipeOnDrain', state.awaitDrain);
    if (state.awaitDrain) state.awaitDrain--;

    if (state.awaitDrain === 0 && EElistenerCount(src, 'data')) {
      state.flowing = true;
      flow(src);
    }
  };
}

Readable.prototype.unpipe = function (dest) {
  var state = this._readableState;
  var unpipeInfo = {
    hasUnpiped: false
  }; // if we're not piping anywhere, then do nothing.

  if (state.pipesCount === 0) return this; // just one destination.  most common case.

  if (state.pipesCount === 1) {
    // passed in one, but it's not the right one.
    if (dest && dest !== state.pipes) return this;
    if (!dest) dest = state.pipes; // got a match.

    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;
    if (dest) dest.emit('unpipe', this, unpipeInfo);
    return this;
  } // slow case. multiple pipe destinations.


  if (!dest) {
    // remove all.
    var dests = state.pipes;
    var len = state.pipesCount;
    state.pipes = null;
    state.pipesCount = 0;
    state.flowing = false;

    for (var i = 0; i < len; i++) {
      dests[i].emit('unpipe', this, {
        hasUnpiped: false
      });
    }

    return this;
  } // try to find the right one.


  var index = indexOf(state.pipes, dest);
  if (index === -1) return this;
  state.pipes.splice(index, 1);
  state.pipesCount -= 1;
  if (state.pipesCount === 1) state.pipes = state.pipes[0];
  dest.emit('unpipe', this, unpipeInfo);
  return this;
}; // set up data events if they are asked for
// Ensure readable listeners eventually get something


Readable.prototype.on = function (ev, fn) {
  var res = Stream.prototype.on.call(this, ev, fn);
  var state = this._readableState;

  if (ev === 'data') {
    // update readableListening so that resume() may be a no-op
    // a few lines down. This is needed to support once('readable').
    state.readableListening = this.listenerCount('readable') > 0; // Try start flowing on next tick if stream isn't explicitly paused

    if (state.flowing !== false) this.resume();
  } else if (ev === 'readable') {
    if (!state.endEmitted && !state.readableListening) {
      state.readableListening = state.needReadable = true;
      state.flowing = false;
      state.emittedReadable = false;
      debug('on readable', state.length, state.reading);

      if (state.length) {
        emitReadable(this);
      } else if (!state.reading) {
        process.nextTick(nReadingNextTick, this);
      }
    }
  }

  return res;
};

Readable.prototype.addListener = Readable.prototype.on;

Readable.prototype.removeListener = function (ev, fn) {
  var res = Stream.prototype.removeListener.call(this, ev, fn);

  if (ev === 'readable') {
    // We need to check if there is someone still listening to
    // readable and reset the state. However this needs to happen
    // after readable has been emitted but before I/O (nextTick) to
    // support once('readable', fn) cycles. This means that calling
    // resume within the same tick will have no
    // effect.
    process.nextTick(updateReadableListening, this);
  }

  return res;
};

Readable.prototype.removeAllListeners = function (ev) {
  var res = Stream.prototype.removeAllListeners.apply(this, arguments);

  if (ev === 'readable' || ev === undefined) {
    // We need to check if there is someone still listening to
    // readable and reset the state. However this needs to happen
    // after readable has been emitted but before I/O (nextTick) to
    // support once('readable', fn) cycles. This means that calling
    // resume within the same tick will have no
    // effect.
    process.nextTick(updateReadableListening, this);
  }

  return res;
};

function updateReadableListening(self) {
  var state = self._readableState;
  state.readableListening = self.listenerCount('readable') > 0;

  if (state.resumeScheduled && !state.paused) {
    // flowing needs to be set to true now, otherwise
    // the upcoming resume will not flow.
    state.flowing = true; // crude way to check if we should resume
  } else if (self.listenerCount('data') > 0) {
    self.resume();
  }
}

function nReadingNextTick(self) {
  debug('readable nexttick read 0');
  self.read(0);
} // pause() and resume() are remnants of the legacy readable stream API
// If the user uses them, then switch into old mode.


Readable.prototype.resume = function () {
  var state = this._readableState;

  if (!state.flowing) {
    debug('resume'); // we flow only if there is no one listening
    // for readable, but we still have to call
    // resume()

    state.flowing = !state.readableListening;
    resume(this, state);
  }

  state.paused = false;
  return this;
};

function resume(stream, state) {
  if (!state.resumeScheduled) {
    state.resumeScheduled = true;
    process.nextTick(resume_, stream, state);
  }
}

function resume_(stream, state) {
  debug('resume', state.reading);

  if (!state.reading) {
    stream.read(0);
  }

  state.resumeScheduled = false;
  stream.emit('resume');
  flow(stream);
  if (state.flowing && !state.reading) stream.read(0);
}

Readable.prototype.pause = function () {
  debug('call pause flowing=%j', this._readableState.flowing);

  if (this._readableState.flowing !== false) {
    debug('pause');
    this._readableState.flowing = false;
    this.emit('pause');
  }

  this._readableState.paused = true;
  return this;
};

function flow(stream) {
  var state = stream._readableState;
  debug('flow', state.flowing);

  while (state.flowing && stream.read() !== null) {
    ;
  }
} // wrap an old-style stream as the async data source.
// This is *not* part of the readable stream interface.
// It is an ugly unfortunate mess of history.


Readable.prototype.wrap = function (stream) {
  var _this = this;

  var state = this._readableState;
  var paused = false;
  stream.on('end', function () {
    debug('wrapped end');

    if (state.decoder && !state.ended) {
      var chunk = state.decoder.end();
      if (chunk && chunk.length) _this.push(chunk);
    }

    _this.push(null);
  });
  stream.on('data', function (chunk) {
    debug('wrapped data');
    if (state.decoder) chunk = state.decoder.write(chunk); // don't skip over falsy values in objectMode

    if (state.objectMode && (chunk === null || chunk === undefined)) return;else if (!state.objectMode && (!chunk || !chunk.length)) return;

    var ret = _this.push(chunk);

    if (!ret) {
      paused = true;
      stream.pause();
    }
  }); // proxy all the other methods.
  // important when wrapping filters and duplexes.

  for (var i in stream) {
    if (this[i] === undefined && typeof stream[i] === 'function') {
      this[i] = function methodWrap(method) {
        return function methodWrapReturnFunction() {
          return stream[method].apply(stream, arguments);
        };
      }(i);
    }
  } // proxy certain important events.


  for (var n = 0; n < kProxyEvents.length; n++) {
    stream.on(kProxyEvents[n], this.emit.bind(this, kProxyEvents[n]));
  } // when we try to consume some more bytes, simply unpause the
  // underlying stream.


  this._read = function (n) {
    debug('wrapped _read', n);

    if (paused) {
      paused = false;
      stream.resume();
    }
  };

  return this;
};

if (typeof Symbol === 'function') {
  Readable.prototype[Symbol.asyncIterator] = function () {
    if (createReadableStreamAsyncIterator === undefined) {
      createReadableStreamAsyncIterator = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/async_iterator.js");
    }

    return createReadableStreamAsyncIterator(this);
  };
}

Object.defineProperty(Readable.prototype, 'readableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.highWaterMark;
  }
});
Object.defineProperty(Readable.prototype, 'readableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState && this._readableState.buffer;
  }
});
Object.defineProperty(Readable.prototype, 'readableFlowing', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.flowing;
  },
  set: function set(state) {
    if (this._readableState) {
      this._readableState.flowing = state;
    }
  }
}); // exposed for testing purposes only.

Readable._fromList = fromList;
Object.defineProperty(Readable.prototype, 'readableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._readableState.length;
  }
}); // Pluck off n bytes from an array of buffers.
// Length is the combined lengths of all the buffers in the list.
// This function is designed to be inlinable, so please take care when making
// changes to the function body.

function fromList(n, state) {
  // nothing buffered
  if (state.length === 0) return null;
  var ret;
  if (state.objectMode) ret = state.buffer.shift();else if (!n || n >= state.length) {
    // read it all, truncate the list
    if (state.decoder) ret = state.buffer.join('');else if (state.buffer.length === 1) ret = state.buffer.first();else ret = state.buffer.concat(state.length);
    state.buffer.clear();
  } else {
    // read part of list
    ret = state.buffer.consume(n, state.decoder);
  }
  return ret;
}

function endReadable(stream) {
  var state = stream._readableState;
  debug('endReadable', state.endEmitted);

  if (!state.endEmitted) {
    state.ended = true;
    process.nextTick(endReadableNT, state, stream);
  }
}

function endReadableNT(state, stream) {
  debug('endReadableNT', state.endEmitted, state.length); // Check that we didn't get one last unshift.

  if (!state.endEmitted && state.length === 0) {
    state.endEmitted = true;
    stream.readable = false;
    stream.emit('end');

    if (state.autoDestroy) {
      // In case of duplex streams we need a way to detect
      // if the writable side is ready for autoDestroy as well
      var wState = stream._writableState;

      if (!wState || wState.autoDestroy && wState.finished) {
        stream.destroy();
      }
    }
  }
}

if (typeof Symbol === 'function') {
  Readable.from = function (iterable, opts) {
    if (from === undefined) {
      from = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/from.js");
    }

    return from(Readable, iterable, opts);
  };
}

function indexOf(xs, x) {
  for (var i = 0, l = xs.length; i < l; i++) {
    if (xs[i] === x) return i;
  }

  return -1;
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_transform.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// a transform stream is a readable/writable stream where you do
// something with the data.  Sometimes it's called a "filter",
// but that's not a great name for it, since that implies a thing where
// some bits pass through, and others are simply ignored.  (That would
// be a valid example of a transform, of course.)
//
// While the output is causally related to the input, it's not a
// necessarily symmetric or synchronous transformation.  For example,
// a zlib stream might take multiple plain-text writes(), and then
// emit a single compressed chunk some time in the future.
//
// Here's how this works:
//
// The Transform stream has all the aspects of the readable and writable
// stream classes.  When you write(chunk), that calls _write(chunk,cb)
// internally, and returns false if there's a lot of pending writes
// buffered up.  When you call read(), that calls _read(n) until
// there's enough pending readable data buffered up.
//
// In a transform stream, the written data is placed in a buffer.  When
// _read(n) is called, it transforms the queued up data, calling the
// buffered _write cb's as it consumes chunks.  If consuming a single
// written chunk would result in multiple output chunks, then the first
// outputted bit calls the readcb, and subsequent chunks just go into
// the read buffer, and will cause it to emit 'readable' if necessary.
//
// This way, back-pressure is actually determined by the reading side,
// since _read has to be called to start processing a new chunk.  However,
// a pathological inflate type of transform can cause excessive buffering
// here.  For example, imagine a stream where every byte of input is
// interpreted as an integer from 0-255, and then results in that many
// bytes of output.  Writing the 4 bytes {ff,ff,ff,ff} would result in
// 1kb of data being output.  In this case, you could write a very small
// amount of input, and end up with a very large amount of output.  In
// such a pathological inflating mechanism, there'd be no way to tell
// the system to stop doing the transform.  A single 4MB write could
// cause the system to run out of memory.
//
// However, even in such a pathological case, only a single written chunk
// would be consumed, and then the rest would wait (un-transformed) until
// the results of the previous transformed chunk were consumed.


module.exports = Transform;

var _require$codes = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes,
    ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
    ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK,
    ERR_TRANSFORM_ALREADY_TRANSFORMING = _require$codes.ERR_TRANSFORM_ALREADY_TRANSFORMING,
    ERR_TRANSFORM_WITH_LENGTH_0 = _require$codes.ERR_TRANSFORM_WITH_LENGTH_0;

var Duplex = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js");

__webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js")(Transform, Duplex);

function afterTransform(er, data) {
  var ts = this._transformState;
  ts.transforming = false;
  var cb = ts.writecb;

  if (cb === null) {
    return this.emit('error', new ERR_MULTIPLE_CALLBACK());
  }

  ts.writechunk = null;
  ts.writecb = null;
  if (data != null) // single equals check for both `null` and `undefined`
    this.push(data);
  cb(er);
  var rs = this._readableState;
  rs.reading = false;

  if (rs.needReadable || rs.length < rs.highWaterMark) {
    this._read(rs.highWaterMark);
  }
}

function Transform(options) {
  if (!(this instanceof Transform)) return new Transform(options);
  Duplex.call(this, options);
  this._transformState = {
    afterTransform: afterTransform.bind(this),
    needTransform: false,
    transforming: false,
    writecb: null,
    writechunk: null,
    writeencoding: null
  }; // start out asking for a readable event once data is transformed.

  this._readableState.needReadable = true; // we have implemented the _read method, and done the other things
  // that Readable wants before the first _read call, so unset the
  // sync guard flag.

  this._readableState.sync = false;

  if (options) {
    if (typeof options.transform === 'function') this._transform = options.transform;
    if (typeof options.flush === 'function') this._flush = options.flush;
  } // When the writable side finishes, then flush out anything remaining.


  this.on('prefinish', prefinish);
}

function prefinish() {
  var _this = this;

  if (typeof this._flush === 'function' && !this._readableState.destroyed) {
    this._flush(function (er, data) {
      done(_this, er, data);
    });
  } else {
    done(this, null, null);
  }
}

Transform.prototype.push = function (chunk, encoding) {
  this._transformState.needTransform = false;
  return Duplex.prototype.push.call(this, chunk, encoding);
}; // This is the part where you do stuff!
// override this function in implementation classes.
// 'chunk' is an input chunk.
//
// Call `push(newChunk)` to pass along transformed output
// to the readable side.  You may call 'push' zero or more times.
//
// Call `cb(err)` when you are done with this chunk.  If you pass
// an error, then that'll put the hurt on the whole operation.  If you
// never call cb(), then you'll never get another chunk.


Transform.prototype._transform = function (chunk, encoding, cb) {
  cb(new ERR_METHOD_NOT_IMPLEMENTED('_transform()'));
};

Transform.prototype._write = function (chunk, encoding, cb) {
  var ts = this._transformState;
  ts.writecb = cb;
  ts.writechunk = chunk;
  ts.writeencoding = encoding;

  if (!ts.transforming) {
    var rs = this._readableState;
    if (ts.needTransform || rs.needReadable || rs.length < rs.highWaterMark) this._read(rs.highWaterMark);
  }
}; // Doesn't matter what the args are here.
// _transform does all the work.
// That we got here means that the readable side wants more data.


Transform.prototype._read = function (n) {
  var ts = this._transformState;

  if (ts.writechunk !== null && !ts.transforming) {
    ts.transforming = true;

    this._transform(ts.writechunk, ts.writeencoding, ts.afterTransform);
  } else {
    // mark that we need a transform, so that any data that comes in
    // will get processed, now that we've asked for it.
    ts.needTransform = true;
  }
};

Transform.prototype._destroy = function (err, cb) {
  Duplex.prototype._destroy.call(this, err, function (err2) {
    cb(err2);
  });
};

function done(stream, er, data) {
  if (er) return stream.emit('error', er);
  if (data != null) // single equals check for both `null` and `undefined`
    stream.push(data); // TODO(BridgeAR): Write a test for these two error cases
  // if there's nothing in the write buffer, then that means
  // that nothing more will ever be provided

  if (stream._writableState.length) throw new ERR_TRANSFORM_WITH_LENGTH_0();
  if (stream._transformState.transforming) throw new ERR_TRANSFORM_ALREADY_TRANSFORMING();
  return stream.push(null);
}

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_writable.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.
// A bit simpler than readable streams.
// Implement an async ._write(chunk, encoding, cb), and it'll handle all
// the drain event emission and buffering.


module.exports = Writable;
/* <replacement> */

function WriteReq(chunk, encoding, cb) {
  this.chunk = chunk;
  this.encoding = encoding;
  this.callback = cb;
  this.next = null;
} // It seems a linked list but it is not
// there will be only 2 of these for each stream


function CorkedRequest(state) {
  var _this = this;

  this.next = null;
  this.entry = null;

  this.finish = function () {
    onCorkedFinish(_this, state);
  };
}
/* </replacement> */

/*<replacement>*/


var Duplex;
/*</replacement>*/

Writable.WritableState = WritableState;
/*<replacement>*/

var internalUtil = {
  deprecate: __webpack_require__("./node_modules/.f/_/util-deprecate/1.0.2/util-deprecate/node.js")
};
/*</replacement>*/

/*<replacement>*/

var Stream = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/stream.js");
/*</replacement>*/


var Buffer = __webpack_require__("buffer").Buffer;

var OurUint8Array = global.Uint8Array || function () {};

function _uint8ArrayToBuffer(chunk) {
  return Buffer.from(chunk);
}

function _isUint8Array(obj) {
  return Buffer.isBuffer(obj) || obj instanceof OurUint8Array;
}

var destroyImpl = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/destroy.js");

var _require = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/state.js"),
    getHighWaterMark = _require.getHighWaterMark;

var _require$codes = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes,
    ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE,
    ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED,
    ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK,
    ERR_STREAM_CANNOT_PIPE = _require$codes.ERR_STREAM_CANNOT_PIPE,
    ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED,
    ERR_STREAM_NULL_VALUES = _require$codes.ERR_STREAM_NULL_VALUES,
    ERR_STREAM_WRITE_AFTER_END = _require$codes.ERR_STREAM_WRITE_AFTER_END,
    ERR_UNKNOWN_ENCODING = _require$codes.ERR_UNKNOWN_ENCODING;

var errorOrDestroy = destroyImpl.errorOrDestroy;

__webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js")(Writable, Stream);

function nop() {}

function WritableState(options, stream, isDuplex) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js");
  options = options || {}; // Duplex streams are both readable and writable, but share
  // the same options object.
  // However, some cases require setting options to different
  // values for the readable and the writable sides of the duplex stream,
  // e.g. options.readableObjectMode vs. options.writableObjectMode, etc.

  if (typeof isDuplex !== 'boolean') isDuplex = stream instanceof Duplex; // object stream flag to indicate whether or not this stream
  // contains buffers or objects.

  this.objectMode = !!options.objectMode;
  if (isDuplex) this.objectMode = this.objectMode || !!options.writableObjectMode; // the point at which write() starts returning false
  // Note: 0 is a valid value, means that we always return false if
  // the entire buffer is not flushed immediately on write()

  this.highWaterMark = getHighWaterMark(this, options, 'writableHighWaterMark', isDuplex); // if _final has been called

  this.finalCalled = false; // drain event flag.

  this.needDrain = false; // at the start of calling end()

  this.ending = false; // when end() has been called, and returned

  this.ended = false; // when 'finish' is emitted

  this.finished = false; // has it been destroyed

  this.destroyed = false; // should we decode strings into buffers before passing to _write?
  // this is here so that some node-core streams can optimize string
  // handling at a lower level.

  var noDecode = options.decodeStrings === false;
  this.decodeStrings = !noDecode; // Crypto is kind of old and crusty.  Historically, its default string
  // encoding is 'binary' so we have to make this configurable.
  // Everything else in the universe uses 'utf8', though.

  this.defaultEncoding = options.defaultEncoding || 'utf8'; // not an actual buffer we keep track of, but a measurement
  // of how much we're waiting to get pushed to some underlying
  // socket or file.

  this.length = 0; // a flag to see when we're in the middle of a write.

  this.writing = false; // when true all writes will be buffered until .uncork() call

  this.corked = 0; // a flag to be able to tell if the onwrite cb is called immediately,
  // or on a later tick.  We set this to true at first, because any
  // actions that shouldn't happen until "later" should generally also
  // not happen before the first write call.

  this.sync = true; // a flag to know if we're processing previously buffered items, which
  // may call the _write() callback in the same tick, so that we don't
  // end up in an overlapped onwrite situation.

  this.bufferProcessing = false; // the callback that's passed to _write(chunk,cb)

  this.onwrite = function (er) {
    onwrite(stream, er);
  }; // the callback that the user supplies to write(chunk,encoding,cb)


  this.writecb = null; // the amount that is being written when _write is called.

  this.writelen = 0;
  this.bufferedRequest = null;
  this.lastBufferedRequest = null; // number of pending user-supplied write callbacks
  // this must be 0 before 'finish' can be emitted

  this.pendingcb = 0; // emit prefinish if the only thing we're waiting for is _write cbs
  // This is relevant for synchronous Transform streams

  this.prefinished = false; // True if the error was already emitted and should not be thrown again

  this.errorEmitted = false; // Should close be emitted on destroy. Defaults to true.

  this.emitClose = options.emitClose !== false; // Should .destroy() be called after 'finish' (and potentially 'end')

  this.autoDestroy = !!options.autoDestroy; // count buffered requests

  this.bufferedRequestCount = 0; // allocate the first CorkedRequest, there is always
  // one allocated and free to use, and we maintain at most two

  this.corkedRequestsFree = new CorkedRequest(this);
}

WritableState.prototype.getBuffer = function getBuffer() {
  var current = this.bufferedRequest;
  var out = [];

  while (current) {
    out.push(current);
    current = current.next;
  }

  return out;
};

(function () {
  try {
    Object.defineProperty(WritableState.prototype, 'buffer', {
      get: internalUtil.deprecate(function writableStateBufferGetter() {
        return this.getBuffer();
      }, '_writableState.buffer is deprecated. Use _writableState.getBuffer ' + 'instead.', 'DEP0003')
    });
  } catch (_) {}
})(); // Test _writableState for inheritance to account for Duplex streams,
// whose prototype chain only points to Readable.


var realHasInstance;

if (typeof Symbol === 'function' && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === 'function') {
  realHasInstance = Function.prototype[Symbol.hasInstance];
  Object.defineProperty(Writable, Symbol.hasInstance, {
    value: function value(object) {
      if (realHasInstance.call(this, object)) return true;
      if (this !== Writable) return false;
      return object && object._writableState instanceof WritableState;
    }
  });
} else {
  realHasInstance = function realHasInstance(object) {
    return object instanceof this;
  };
}

function Writable(options) {
  Duplex = Duplex || __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js"); // Writable ctor is applied to Duplexes, too.
  // `realHasInstance` is necessary because using plain `instanceof`
  // would return false, as no `_writableState` property is attached.
  // Trying to use the custom `instanceof` for Writable here will also break the
  // Node.js LazyTransform implementation, which has a non-trivial getter for
  // `_writableState` that would lead to infinite recursion.
  // Checking for a Stream.Duplex instance is faster here instead of inside
  // the WritableState constructor, at least with V8 6.5

  var isDuplex = this instanceof Duplex;
  if (!isDuplex && !realHasInstance.call(Writable, this)) return new Writable(options);
  this._writableState = new WritableState(options, this, isDuplex); // legacy.

  this.writable = true;

  if (options) {
    if (typeof options.write === 'function') this._write = options.write;
    if (typeof options.writev === 'function') this._writev = options.writev;
    if (typeof options.destroy === 'function') this._destroy = options.destroy;
    if (typeof options.final === 'function') this._final = options.final;
  }

  Stream.call(this);
} // Otherwise people can pipe Writable streams, which is just wrong.


Writable.prototype.pipe = function () {
  errorOrDestroy(this, new ERR_STREAM_CANNOT_PIPE());
};

function writeAfterEnd(stream, cb) {
  var er = new ERR_STREAM_WRITE_AFTER_END(); // TODO: defer error events consistently everywhere, not just the cb

  errorOrDestroy(stream, er);
  process.nextTick(cb, er);
} // Checks that a user-supplied chunk is valid, especially for the particular
// mode the stream is in. Currently this means that `null` is never accepted
// and undefined/non-string values are only allowed in object mode.


function validChunk(stream, state, chunk, cb) {
  var er;

  if (chunk === null) {
    er = new ERR_STREAM_NULL_VALUES();
  } else if (typeof chunk !== 'string' && !state.objectMode) {
    er = new ERR_INVALID_ARG_TYPE('chunk', ['string', 'Buffer'], chunk);
  }

  if (er) {
    errorOrDestroy(stream, er);
    process.nextTick(cb, er);
    return false;
  }

  return true;
}

Writable.prototype.write = function (chunk, encoding, cb) {
  var state = this._writableState;
  var ret = false;

  var isBuf = !state.objectMode && _isUint8Array(chunk);

  if (isBuf && !Buffer.isBuffer(chunk)) {
    chunk = _uint8ArrayToBuffer(chunk);
  }

  if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }

  if (isBuf) encoding = 'buffer';else if (!encoding) encoding = state.defaultEncoding;
  if (typeof cb !== 'function') cb = nop;
  if (state.ending) writeAfterEnd(this, cb);else if (isBuf || validChunk(this, state, chunk, cb)) {
    state.pendingcb++;
    ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb);
  }
  return ret;
};

Writable.prototype.cork = function () {
  this._writableState.corked++;
};

Writable.prototype.uncork = function () {
  var state = this._writableState;

  if (state.corked) {
    state.corked--;
    if (!state.writing && !state.corked && !state.bufferProcessing && state.bufferedRequest) clearBuffer(this, state);
  }
};

Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
  // node::ParseEncoding() requires lower case.
  if (typeof encoding === 'string') encoding = encoding.toLowerCase();
  if (!(['hex', 'utf8', 'utf-8', 'ascii', 'binary', 'base64', 'ucs2', 'ucs-2', 'utf16le', 'utf-16le', 'raw'].indexOf((encoding + '').toLowerCase()) > -1)) throw new ERR_UNKNOWN_ENCODING(encoding);
  this._writableState.defaultEncoding = encoding;
  return this;
};

Object.defineProperty(Writable.prototype, 'writableBuffer', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState && this._writableState.getBuffer();
  }
});

function decodeChunk(state, chunk, encoding) {
  if (!state.objectMode && state.decodeStrings !== false && typeof chunk === 'string') {
    chunk = Buffer.from(chunk, encoding);
  }

  return chunk;
}

Object.defineProperty(Writable.prototype, 'writableHighWaterMark', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.highWaterMark;
  }
}); // if we're already writing something, then just put this
// in the queue, and wait our turn.  Otherwise, call _write
// If we return false, then we need a drain event, so set that flag.

function writeOrBuffer(stream, state, isBuf, chunk, encoding, cb) {
  if (!isBuf) {
    var newChunk = decodeChunk(state, chunk, encoding);

    if (chunk !== newChunk) {
      isBuf = true;
      encoding = 'buffer';
      chunk = newChunk;
    }
  }

  var len = state.objectMode ? 1 : chunk.length;
  state.length += len;
  var ret = state.length < state.highWaterMark; // we must ensure that previous needDrain will not be reset to false.

  if (!ret) state.needDrain = true;

  if (state.writing || state.corked) {
    var last = state.lastBufferedRequest;
    state.lastBufferedRequest = {
      chunk: chunk,
      encoding: encoding,
      isBuf: isBuf,
      callback: cb,
      next: null
    };

    if (last) {
      last.next = state.lastBufferedRequest;
    } else {
      state.bufferedRequest = state.lastBufferedRequest;
    }

    state.bufferedRequestCount += 1;
  } else {
    doWrite(stream, state, false, len, chunk, encoding, cb);
  }

  return ret;
}

function doWrite(stream, state, writev, len, chunk, encoding, cb) {
  state.writelen = len;
  state.writecb = cb;
  state.writing = true;
  state.sync = true;
  if (state.destroyed) state.onwrite(new ERR_STREAM_DESTROYED('write'));else if (writev) stream._writev(chunk, state.onwrite);else stream._write(chunk, encoding, state.onwrite);
  state.sync = false;
}

function onwriteError(stream, state, sync, er, cb) {
  --state.pendingcb;

  if (sync) {
    // defer the callback if we are being called synchronously
    // to avoid piling up things on the stack
    process.nextTick(cb, er); // this can emit finish, and it will always happen
    // after error

    process.nextTick(finishMaybe, stream, state);
    stream._writableState.errorEmitted = true;
    errorOrDestroy(stream, er);
  } else {
    // the caller expect this to happen before if
    // it is async
    cb(er);
    stream._writableState.errorEmitted = true;
    errorOrDestroy(stream, er); // this can emit finish, but finish must
    // always follow error

    finishMaybe(stream, state);
  }
}

function onwriteStateUpdate(state) {
  state.writing = false;
  state.writecb = null;
  state.length -= state.writelen;
  state.writelen = 0;
}

function onwrite(stream, er) {
  var state = stream._writableState;
  var sync = state.sync;
  var cb = state.writecb;
  if (typeof cb !== 'function') throw new ERR_MULTIPLE_CALLBACK();
  onwriteStateUpdate(state);
  if (er) onwriteError(stream, state, sync, er, cb);else {
    // Check if we're actually ready to finish, but don't emit yet
    var finished = needFinish(state) || stream.destroyed;

    if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
      clearBuffer(stream, state);
    }

    if (sync) {
      process.nextTick(afterWrite, stream, state, finished, cb);
    } else {
      afterWrite(stream, state, finished, cb);
    }
  }
}

function afterWrite(stream, state, finished, cb) {
  if (!finished) onwriteDrain(stream, state);
  state.pendingcb--;
  cb();
  finishMaybe(stream, state);
} // Must force callback to be called on nextTick, so that we don't
// emit 'drain' before the write() consumer gets the 'false' return
// value, and has a chance to attach a 'drain' listener.


function onwriteDrain(stream, state) {
  if (state.length === 0 && state.needDrain) {
    state.needDrain = false;
    stream.emit('drain');
  }
} // if there's something in the buffer waiting, then process it


function clearBuffer(stream, state) {
  state.bufferProcessing = true;
  var entry = state.bufferedRequest;

  if (stream._writev && entry && entry.next) {
    // Fast case, write everything using _writev()
    var l = state.bufferedRequestCount;
    var buffer = new Array(l);
    var holder = state.corkedRequestsFree;
    holder.entry = entry;
    var count = 0;
    var allBuffers = true;

    while (entry) {
      buffer[count] = entry;
      if (!entry.isBuf) allBuffers = false;
      entry = entry.next;
      count += 1;
    }

    buffer.allBuffers = allBuffers;
    doWrite(stream, state, true, state.length, buffer, '', holder.finish); // doWrite is almost always async, defer these to save a bit of time
    // as the hot path ends with doWrite

    state.pendingcb++;
    state.lastBufferedRequest = null;

    if (holder.next) {
      state.corkedRequestsFree = holder.next;
      holder.next = null;
    } else {
      state.corkedRequestsFree = new CorkedRequest(state);
    }

    state.bufferedRequestCount = 0;
  } else {
    // Slow case, write chunks one-by-one
    while (entry) {
      var chunk = entry.chunk;
      var encoding = entry.encoding;
      var cb = entry.callback;
      var len = state.objectMode ? 1 : chunk.length;
      doWrite(stream, state, false, len, chunk, encoding, cb);
      entry = entry.next;
      state.bufferedRequestCount--; // if we didn't call the onwrite immediately, then
      // it means that we need to wait until it does.
      // also, that means that the chunk and cb are currently
      // being processed, so move the buffer counter past them.

      if (state.writing) {
        break;
      }
    }

    if (entry === null) state.lastBufferedRequest = null;
  }

  state.bufferedRequest = entry;
  state.bufferProcessing = false;
}

Writable.prototype._write = function (chunk, encoding, cb) {
  cb(new ERR_METHOD_NOT_IMPLEMENTED('_write()'));
};

Writable.prototype._writev = null;

Writable.prototype.end = function (chunk, encoding, cb) {
  var state = this._writableState;

  if (typeof chunk === 'function') {
    cb = chunk;
    chunk = null;
    encoding = null;
  } else if (typeof encoding === 'function') {
    cb = encoding;
    encoding = null;
  }

  if (chunk !== null && chunk !== undefined) this.write(chunk, encoding); // .end() fully uncorks

  if (state.corked) {
    state.corked = 1;
    this.uncork();
  } // ignore unnecessary end() calls.


  if (!state.ending) endWritable(this, state, cb);
  return this;
};

Object.defineProperty(Writable.prototype, 'writableLength', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    return this._writableState.length;
  }
});

function needFinish(state) {
  return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
}

function callFinal(stream, state) {
  stream._final(function (err) {
    state.pendingcb--;

    if (err) {
      errorOrDestroy(stream, err);
    }

    state.prefinished = true;
    stream.emit('prefinish');
    finishMaybe(stream, state);
  });
}

function prefinish(stream, state) {
  if (!state.prefinished && !state.finalCalled) {
    if (typeof stream._final === 'function' && !state.destroyed) {
      state.pendingcb++;
      state.finalCalled = true;
      process.nextTick(callFinal, stream, state);
    } else {
      state.prefinished = true;
      stream.emit('prefinish');
    }
  }
}

function finishMaybe(stream, state) {
  var need = needFinish(state);

  if (need) {
    prefinish(stream, state);

    if (state.pendingcb === 0) {
      state.finished = true;
      stream.emit('finish');

      if (state.autoDestroy) {
        // In case of duplex streams we need a way to detect
        // if the readable side is ready for autoDestroy as well
        var rState = stream._readableState;

        if (!rState || rState.autoDestroy && rState.endEmitted) {
          stream.destroy();
        }
      }
    }
  }

  return need;
}

function endWritable(stream, state, cb) {
  state.ending = true;
  finishMaybe(stream, state);

  if (cb) {
    if (state.finished) process.nextTick(cb);else stream.once('finish', cb);
  }

  state.ended = true;
  stream.writable = false;
}

function onCorkedFinish(corkReq, state, err) {
  var entry = corkReq.entry;
  corkReq.entry = null;

  while (entry) {
    var cb = entry.callback;
    state.pendingcb--;
    cb(err);
    entry = entry.next;
  } // reuse the free corkReq.


  state.corkedRequestsFree.next = corkReq;
}

Object.defineProperty(Writable.prototype, 'destroyed', {
  // making it explicit this property is not enumerable
  // because otherwise some prototype manipulation in
  // userland will fail
  enumerable: false,
  get: function get() {
    if (this._writableState === undefined) {
      return false;
    }

    return this._writableState.destroyed;
  },
  set: function set(value) {
    // we ignore the value if the stream
    // has not been initialized yet
    if (!this._writableState) {
      return;
    } // backward compatibility, the user is explicitly
    // managing destroyed


    this._writableState.destroyed = value;
  }
});
Writable.prototype.destroy = destroyImpl.destroy;
Writable.prototype._undestroy = destroyImpl.undestroy;

Writable.prototype._destroy = function (err, cb) {
  cb(err);
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/async_iterator.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var _Object$setPrototypeO;

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

var finished = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/end-of-stream.js");

var kLastResolve = Symbol('lastResolve');
var kLastReject = Symbol('lastReject');
var kError = Symbol('error');
var kEnded = Symbol('ended');
var kLastPromise = Symbol('lastPromise');
var kHandlePromise = Symbol('handlePromise');
var kStream = Symbol('stream');

function createIterResult(value, done) {
  return {
    value: value,
    done: done
  };
}

function readAndResolve(iter) {
  var resolve = iter[kLastResolve];

  if (resolve !== null) {
    var data = iter[kStream].read(); // we defer if data is null
    // we can be expecting either 'end' or
    // 'error'

    if (data !== null) {
      iter[kLastPromise] = null;
      iter[kLastResolve] = null;
      iter[kLastReject] = null;
      resolve(createIterResult(data, false));
    }
  }
}

function onReadable(iter) {
  // we wait for the next tick, because it might
  // emit an error with process.nextTick
  process.nextTick(readAndResolve, iter);
}

function wrapForNext(lastPromise, iter) {
  return function (resolve, reject) {
    lastPromise.then(function () {
      if (iter[kEnded]) {
        resolve(createIterResult(undefined, true));
        return;
      }

      iter[kHandlePromise](resolve, reject);
    }, reject);
  };
}

var AsyncIteratorPrototype = Object.getPrototypeOf(function () {});
var ReadableStreamAsyncIteratorPrototype = Object.setPrototypeOf((_Object$setPrototypeO = {
  get stream() {
    return this[kStream];
  },

  next: function next() {
    var _this = this; // if we have detected an error in the meanwhile
    // reject straight away


    var error = this[kError];

    if (error !== null) {
      return Promise.reject(error);
    }

    if (this[kEnded]) {
      return Promise.resolve(createIterResult(undefined, true));
    }

    if (this[kStream].destroyed) {
      // We need to defer via nextTick because if .destroy(err) is
      // called, the error will be emitted via nextTick, and
      // we cannot guarantee that there is no error lingering around
      // waiting to be emitted.
      return new Promise(function (resolve, reject) {
        process.nextTick(function () {
          if (_this[kError]) {
            reject(_this[kError]);
          } else {
            resolve(createIterResult(undefined, true));
          }
        });
      });
    } // if we have multiple next() calls
    // we will wait for the previous Promise to finish
    // this logic is optimized to support for await loops,
    // where next() is only called once at a time


    var lastPromise = this[kLastPromise];
    var promise;

    if (lastPromise) {
      promise = new Promise(wrapForNext(lastPromise, this));
    } else {
      // fast path needed to support multiple this.push()
      // without triggering the next() queue
      var data = this[kStream].read();

      if (data !== null) {
        return Promise.resolve(createIterResult(data, false));
      }

      promise = new Promise(this[kHandlePromise]);
    }

    this[kLastPromise] = promise;
    return promise;
  }
}, _defineProperty(_Object$setPrototypeO, Symbol.asyncIterator, function () {
  return this;
}), _defineProperty(_Object$setPrototypeO, "return", function _return() {
  var _this2 = this; // destroy(err, cb) is a private API
  // we can guarantee we have that here, because we control the
  // Readable class this is attached to


  return new Promise(function (resolve, reject) {
    _this2[kStream].destroy(null, function (err) {
      if (err) {
        reject(err);
        return;
      }

      resolve(createIterResult(undefined, true));
    });
  });
}), _Object$setPrototypeO), AsyncIteratorPrototype);

var createReadableStreamAsyncIterator = function createReadableStreamAsyncIterator(stream) {
  var _Object$create;

  var iterator = Object.create(ReadableStreamAsyncIteratorPrototype, (_Object$create = {}, _defineProperty(_Object$create, kStream, {
    value: stream,
    writable: true
  }), _defineProperty(_Object$create, kLastResolve, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kLastReject, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kError, {
    value: null,
    writable: true
  }), _defineProperty(_Object$create, kEnded, {
    value: stream._readableState.endEmitted,
    writable: true
  }), _defineProperty(_Object$create, kHandlePromise, {
    value: function value(resolve, reject) {
      var data = iterator[kStream].read();

      if (data) {
        iterator[kLastPromise] = null;
        iterator[kLastResolve] = null;
        iterator[kLastReject] = null;
        resolve(createIterResult(data, false));
      } else {
        iterator[kLastResolve] = resolve;
        iterator[kLastReject] = reject;
      }
    },
    writable: true
  }), _Object$create));
  iterator[kLastPromise] = null;
  finished(stream, function (err) {
    if (err && err.code !== 'ERR_STREAM_PREMATURE_CLOSE') {
      var reject = iterator[kLastReject]; // reject if we are waiting for data in the Promise
      // returned by next() and store the error

      if (reject !== null) {
        iterator[kLastPromise] = null;
        iterator[kLastResolve] = null;
        iterator[kLastReject] = null;
        reject(err);
      }

      iterator[kError] = err;
      return;
    }

    var resolve = iterator[kLastResolve];

    if (resolve !== null) {
      iterator[kLastPromise] = null;
      iterator[kLastResolve] = null;
      iterator[kLastReject] = null;
      resolve(createIterResult(undefined, true));
    }

    iterator[kEnded] = true;
  });
  stream.on('readable', onReadable.bind(null, iterator));
  return iterator;
};

module.exports = createReadableStreamAsyncIterator;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/buffer_list.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

var _require = __webpack_require__("buffer"),
    Buffer = _require.Buffer;

var _require2 = __webpack_require__("util"),
    inspect = _require2.inspect;

var custom = inspect && inspect.custom || 'inspect';

function copyBuffer(src, target, offset) {
  Buffer.prototype.copy.call(src, target, offset);
}

module.exports = /*#__PURE__*/function () {
  function BufferList() {
    _classCallCheck(this, BufferList);

    this.head = null;
    this.tail = null;
    this.length = 0;
  }

  _createClass(BufferList, [{
    key: "push",
    value: function push(v) {
      var entry = {
        data: v,
        next: null
      };
      if (this.length > 0) this.tail.next = entry;else this.head = entry;
      this.tail = entry;
      ++this.length;
    }
  }, {
    key: "unshift",
    value: function unshift(v) {
      var entry = {
        data: v,
        next: this.head
      };
      if (this.length === 0) this.tail = entry;
      this.head = entry;
      ++this.length;
    }
  }, {
    key: "shift",
    value: function shift() {
      if (this.length === 0) return;
      var ret = this.head.data;
      if (this.length === 1) this.head = this.tail = null;else this.head = this.head.next;
      --this.length;
      return ret;
    }
  }, {
    key: "clear",
    value: function clear() {
      this.head = this.tail = null;
      this.length = 0;
    }
  }, {
    key: "join",
    value: function join(s) {
      if (this.length === 0) return '';
      var p = this.head;
      var ret = '' + p.data;

      while (p = p.next) {
        ret += s + p.data;
      }

      return ret;
    }
  }, {
    key: "concat",
    value: function concat(n) {
      if (this.length === 0) return Buffer.alloc(0);
      var ret = Buffer.allocUnsafe(n >>> 0);
      var p = this.head;
      var i = 0;

      while (p) {
        copyBuffer(p.data, ret, i);
        i += p.data.length;
        p = p.next;
      }

      return ret;
    } // Consumes a specified amount of bytes or characters from the buffered data.

  }, {
    key: "consume",
    value: function consume(n, hasStrings) {
      var ret;

      if (n < this.head.data.length) {
        // `slice` is the same for buffers and strings.
        ret = this.head.data.slice(0, n);
        this.head.data = this.head.data.slice(n);
      } else if (n === this.head.data.length) {
        // First chunk is a perfect match.
        ret = this.shift();
      } else {
        // Result spans more than one buffer.
        ret = hasStrings ? this._getString(n) : this._getBuffer(n);
      }

      return ret;
    }
  }, {
    key: "first",
    value: function first() {
      return this.head.data;
    } // Consumes a specified amount of characters from the buffered data.

  }, {
    key: "_getString",
    value: function _getString(n) {
      var p = this.head;
      var c = 1;
      var ret = p.data;
      n -= ret.length;

      while (p = p.next) {
        var str = p.data;
        var nb = n > str.length ? str.length : n;
        if (nb === str.length) ret += str;else ret += str.slice(0, n);
        n -= nb;

        if (n === 0) {
          if (nb === str.length) {
            ++c;
            if (p.next) this.head = p.next;else this.head = this.tail = null;
          } else {
            this.head = p;
            p.data = str.slice(nb);
          }

          break;
        }

        ++c;
      }

      this.length -= c;
      return ret;
    } // Consumes a specified amount of bytes from the buffered data.

  }, {
    key: "_getBuffer",
    value: function _getBuffer(n) {
      var ret = Buffer.allocUnsafe(n);
      var p = this.head;
      var c = 1;
      p.data.copy(ret);
      n -= p.data.length;

      while (p = p.next) {
        var buf = p.data;
        var nb = n > buf.length ? buf.length : n;
        buf.copy(ret, ret.length - n, 0, nb);
        n -= nb;

        if (n === 0) {
          if (nb === buf.length) {
            ++c;
            if (p.next) this.head = p.next;else this.head = this.tail = null;
          } else {
            this.head = p;
            p.data = buf.slice(nb);
          }

          break;
        }

        ++c;
      }

      this.length -= c;
      return ret;
    } // Make sure the linked list only shows the minimal necessary information.

  }, {
    key: custom,
    value: function value(_, options) {
      return inspect(this, _objectSpread({}, options, {
        // Only inspect one level.
        depth: 0,
        // It should not recurse.
        customInspect: false
      }));
    }
  }]);

  return BufferList;
}();

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/destroy.js":
/***/ ((module) => {

"use strict";
 // undocumented cb() API, needed for core, not for public API

function destroy(err, cb) {
  var _this = this;

  var readableDestroyed = this._readableState && this._readableState.destroyed;
  var writableDestroyed = this._writableState && this._writableState.destroyed;

  if (readableDestroyed || writableDestroyed) {
    if (cb) {
      cb(err);
    } else if (err) {
      if (!this._writableState) {
        process.nextTick(emitErrorNT, this, err);
      } else if (!this._writableState.errorEmitted) {
        this._writableState.errorEmitted = true;
        process.nextTick(emitErrorNT, this, err);
      }
    }

    return this;
  } // we set destroyed to true before firing error callbacks in order
  // to make it re-entrance safe in case destroy() is called within callbacks


  if (this._readableState) {
    this._readableState.destroyed = true;
  } // if this is a duplex stream mark the writable part as destroyed as well


  if (this._writableState) {
    this._writableState.destroyed = true;
  }

  this._destroy(err || null, function (err) {
    if (!cb && err) {
      if (!_this._writableState) {
        process.nextTick(emitErrorAndCloseNT, _this, err);
      } else if (!_this._writableState.errorEmitted) {
        _this._writableState.errorEmitted = true;
        process.nextTick(emitErrorAndCloseNT, _this, err);
      } else {
        process.nextTick(emitCloseNT, _this);
      }
    } else if (cb) {
      process.nextTick(emitCloseNT, _this);
      cb(err);
    } else {
      process.nextTick(emitCloseNT, _this);
    }
  });

  return this;
}

function emitErrorAndCloseNT(self, err) {
  emitErrorNT(self, err);
  emitCloseNT(self);
}

function emitCloseNT(self) {
  if (self._writableState && !self._writableState.emitClose) return;
  if (self._readableState && !self._readableState.emitClose) return;
  self.emit('close');
}

function undestroy() {
  if (this._readableState) {
    this._readableState.destroyed = false;
    this._readableState.reading = false;
    this._readableState.ended = false;
    this._readableState.endEmitted = false;
  }

  if (this._writableState) {
    this._writableState.destroyed = false;
    this._writableState.ended = false;
    this._writableState.ending = false;
    this._writableState.finalCalled = false;
    this._writableState.prefinished = false;
    this._writableState.finished = false;
    this._writableState.errorEmitted = false;
  }
}

function emitErrorNT(self, err) {
  self.emit('error', err);
}

function errorOrDestroy(stream, err) {
  // We have tests that rely on errors being emitted
  // in the same tick, so changing this is semver major.
  // For now when you opt-in to autoDestroy we allow
  // the error to be emitted nextTick. In a future
  // semver major update we should change the default to this.
  var rState = stream._readableState;
  var wState = stream._writableState;
  if (rState && rState.autoDestroy || wState && wState.autoDestroy) stream.destroy(err);else stream.emit('error', err);
}

module.exports = {
  destroy: destroy,
  undestroy: undestroy,
  errorOrDestroy: errorOrDestroy
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/end-of-stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Ported from https://github.com/mafintosh/end-of-stream with
// permission from the author, Mathias Buus (@mafintosh).


var ERR_STREAM_PREMATURE_CLOSE = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes.ERR_STREAM_PREMATURE_CLOSE;

function once(callback) {
  var called = false;
  return function () {
    if (called) return;
    called = true;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    callback.apply(this, args);
  };
}

function noop() {}

function isRequest(stream) {
  return stream.setHeader && typeof stream.abort === 'function';
}

function eos(stream, opts, callback) {
  if (typeof opts === 'function') return eos(stream, null, opts);
  if (!opts) opts = {};
  callback = once(callback || noop);
  var readable = opts.readable || opts.readable !== false && stream.readable;
  var writable = opts.writable || opts.writable !== false && stream.writable;

  var onlegacyfinish = function onlegacyfinish() {
    if (!stream.writable) onfinish();
  };

  var writableEnded = stream._writableState && stream._writableState.finished;

  var onfinish = function onfinish() {
    writable = false;
    writableEnded = true;
    if (!readable) callback.call(stream);
  };

  var readableEnded = stream._readableState && stream._readableState.endEmitted;

  var onend = function onend() {
    readable = false;
    readableEnded = true;
    if (!writable) callback.call(stream);
  };

  var onerror = function onerror(err) {
    callback.call(stream, err);
  };

  var onclose = function onclose() {
    var err;

    if (readable && !readableEnded) {
      if (!stream._readableState || !stream._readableState.ended) err = new ERR_STREAM_PREMATURE_CLOSE();
      return callback.call(stream, err);
    }

    if (writable && !writableEnded) {
      if (!stream._writableState || !stream._writableState.ended) err = new ERR_STREAM_PREMATURE_CLOSE();
      return callback.call(stream, err);
    }
  };

  var onrequest = function onrequest() {
    stream.req.on('finish', onfinish);
  };

  if (isRequest(stream)) {
    stream.on('complete', onfinish);
    stream.on('abort', onclose);
    if (stream.req) onrequest();else stream.on('request', onrequest);
  } else if (writable && !stream._writableState) {
    // legacy streams
    stream.on('end', onlegacyfinish);
    stream.on('close', onlegacyfinish);
  }

  stream.on('end', onend);
  stream.on('finish', onfinish);
  if (opts.error !== false) stream.on('error', onerror);
  stream.on('close', onclose);
  return function () {
    stream.removeListener('complete', onfinish);
    stream.removeListener('abort', onclose);
    stream.removeListener('request', onrequest);
    if (stream.req) stream.req.removeListener('finish', onfinish);
    stream.removeListener('end', onlegacyfinish);
    stream.removeListener('close', onlegacyfinish);
    stream.removeListener('finish', onfinish);
    stream.removeListener('end', onend);
    stream.removeListener('error', onerror);
    stream.removeListener('close', onclose);
  };
}

module.exports = eos;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/from.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

var ERR_INVALID_ARG_TYPE = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes.ERR_INVALID_ARG_TYPE;

function from(Readable, iterable, opts) {
  var iterator;

  if (iterable && typeof iterable.next === 'function') {
    iterator = iterable;
  } else if (iterable && iterable[Symbol.asyncIterator]) iterator = iterable[Symbol.asyncIterator]();else if (iterable && iterable[Symbol.iterator]) iterator = iterable[Symbol.iterator]();else throw new ERR_INVALID_ARG_TYPE('iterable', ['Iterable'], iterable);

  var readable = new Readable(_objectSpread({
    objectMode: true
  }, opts)); // Reading boolean to protect against _read
  // being called before last iteration completion.

  var reading = false;

  readable._read = function () {
    if (!reading) {
      reading = true;
      next();
    }
  };

  function next() {
    return _next2.apply(this, arguments);
  }

  function _next2() {
    _next2 = _asyncToGenerator(function* () {
      try {
        var _ref = yield iterator.next(),
            value = _ref.value,
            done = _ref.done;

        if (done) {
          readable.push(null);
        } else if (readable.push(yield value)) {
          next();
        } else {
          reading = false;
        }
      } catch (err) {
        readable.destroy(err);
      }
    });
    return _next2.apply(this, arguments);
  }

  return readable;
}

module.exports = from;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/pipeline.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
// Ported from https://github.com/mafintosh/pump with
// permission from the author, Mathias Buus (@mafintosh).


var eos;

function once(callback) {
  var called = false;
  return function () {
    if (called) return;
    called = true;
    callback.apply(void 0, arguments);
  };
}

var _require$codes = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes,
    ERR_MISSING_ARGS = _require$codes.ERR_MISSING_ARGS,
    ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;

function noop(err) {
  // Rethrow the error if it exists to avoid swallowing it
  if (err) throw err;
}

function isRequest(stream) {
  return stream.setHeader && typeof stream.abort === 'function';
}

function destroyer(stream, reading, writing, callback) {
  callback = once(callback);
  var closed = false;
  stream.on('close', function () {
    closed = true;
  });
  if (eos === undefined) eos = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/end-of-stream.js");
  eos(stream, {
    readable: reading,
    writable: writing
  }, function (err) {
    if (err) return callback(err);
    closed = true;
    callback();
  });
  var destroyed = false;
  return function (err) {
    if (closed) return;
    if (destroyed) return;
    destroyed = true; // request.destroy just do .end - .abort is what we want

    if (isRequest(stream)) return stream.abort();
    if (typeof stream.destroy === 'function') return stream.destroy();
    callback(err || new ERR_STREAM_DESTROYED('pipe'));
  };
}

function call(fn) {
  fn();
}

function pipe(from, to) {
  return from.pipe(to);
}

function popCallback(streams) {
  if (!streams.length) return noop;
  if (typeof streams[streams.length - 1] !== 'function') return noop;
  return streams.pop();
}

function pipeline() {
  for (var _len = arguments.length, streams = new Array(_len), _key = 0; _key < _len; _key++) {
    streams[_key] = arguments[_key];
  }

  var callback = popCallback(streams);
  if (Array.isArray(streams[0])) streams = streams[0];

  if (streams.length < 2) {
    throw new ERR_MISSING_ARGS('streams');
  }

  var error;
  var destroys = streams.map(function (stream, i) {
    var reading = i < streams.length - 1;
    var writing = i > 0;
    return destroyer(stream, reading, writing, function (err) {
      if (!error) error = err;
      if (err) destroys.forEach(call);
      if (reading) return;
      destroys.forEach(call);
      callback(error);
    });
  });
  return streams.reduce(pipe);
}

module.exports = pipeline;

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/state.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var ERR_INVALID_OPT_VALUE = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/errors.js").codes.ERR_INVALID_OPT_VALUE;

function highWaterMarkFrom(options, isDuplex, duplexKey) {
  return options.highWaterMark != null ? options.highWaterMark : isDuplex ? options[duplexKey] : null;
}

function getHighWaterMark(state, options, duplexKey, isDuplex) {
  var hwm = highWaterMarkFrom(options, isDuplex, duplexKey);

  if (hwm != null) {
    if (!(isFinite(hwm) && Math.floor(hwm) === hwm) || hwm < 0) {
      var name = isDuplex ? duplexKey : 'highWaterMark';
      throw new ERR_INVALID_OPT_VALUE(name, hwm);
    }

    return Math.floor(hwm);
  } // Default value


  return state.objectMode ? 16 : 16 * 1024;
}

module.exports = {
  getHighWaterMark: getHighWaterMark
};

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/stream.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("stream");

/***/ }),

/***/ "./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js":
/***/ ((module, exports, __webpack_require__) => {

var Stream = __webpack_require__("stream");

if (process.env.READABLE_STREAM === 'disable' && Stream) {
  module.exports = Stream.Readable;
  Object.assign(module.exports, Stream);
  module.exports.Stream = Stream;
} else {
  exports = module.exports = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_readable.js");
  exports.Stream = Stream || exports;
  exports.Readable = exports;
  exports.Writable = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_writable.js");
  exports.Duplex = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_duplex.js");
  exports.Transform = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_transform.js");
  exports.PassThrough = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/_stream_passthrough.js");
  exports.finished = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/end-of-stream.js");
  exports.pipeline = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/lib/internal/streams/pipeline.js");
}

/***/ }),

/***/ "./node_modules/.f/_/require-at/1.0.6/require-at/create-require.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Module = __webpack_require__("module"); // use eval to avoid tripping bundlers


const xrequire = eval("require");

const createRequireFromPath = Module.createRequire || Module.createRequireFromPath || ((filename, dir) => {
  // https://github.com/nodejs/node/blob/1ae0511b942c01c6e0adff98643d350a395bf101/lib/internal/modules/cjs/loader.js#L748
  // https://github.com/nodejs/node/blob/1ae0511b942c01c6e0adff98643d350a395bf101/lib/internal/modules/cjs/helpers.js#L16
  const m = new Module(filename);
  m.filename = filename;
  m.paths = Module._nodeModulePaths(dir); // don't name this require to avoid tripping bundlers

  function _require(request) {
    // can't use m.require because there's an internal requireDepth thing
    // in the native Module implementation
    return xrequire(resolve(request));
  }

  function resolve(request, options) {
    return Module._resolveFilename(request, m, false, options);
  }

  _require.resolve = resolve;

  function paths(request) {
    return Module._resolveLookupPaths(request, m, true);
  }

  resolve.paths = paths;
  _require.main = process.mainModule;
  _require.extensions = Module._extensions;
  _require.cache = Module._cache;
  return _require;
});

module.exports = createRequireFromPath;

/***/ }),

/***/ "./node_modules/.f/_/require-at/1.0.6/require-at/require-at.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const Fs = __webpack_require__("fs");

const createRequireFromPath = __webpack_require__("./node_modules/.f/_/require-at/1.0.6/require-at/create-require.js");

const cache = new Map();

function requireAt(dir, request) {
  const makeIt = (xdir, checked) => {
    let xRequire = requireAt.cache && requireAt.cache.get(xdir);

    if (!xRequire) {
      let stat;

      try {
        stat = Fs.statSync(xdir);
      } catch (e) {
        throw new Error(`require-at: stat '${xdir}' failed: ${e.message}`);
      }

      if (!stat || !stat.isDirectory()) {
        if (checked) throw new Error(`require-at: not a directory: '${dir}'`);
        return makeIt(Path.dirname(xdir), true);
      }

      xRequire = createRequireFromPath(Path.join(xdir, "._require-at_"), xdir);
      requireAt.cache && requireAt.cache.set(xdir, xRequire);
    }

    return request ? xRequire(request) : xRequire;
  };

  return makeIt(Path.resolve(dir), false);
}

requireAt.cache = cache;
module.exports = requireAt;

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var async = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/async.js");

async.core = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/core.js");
async.isCore = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/is-core.js");
async.sync = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/sync.js");
module.exports = async;

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/async.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var caller = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/caller.js");

var nodeModulesPaths = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/node-modules-paths.js");

var normalizeOptions = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/normalize-options.js");

var isCore = __webpack_require__("./node_modules/.f/_/is-core-module/2.2.0/is-core-module/index.js");

var realpathFS = fs.realpath && typeof fs.realpath.native === 'function' ? fs.realpath.native : fs.realpath;

var defaultIsFile = function isFile(file, cb) {
  fs.stat(file, function (err, stat) {
    if (!err) {
      return cb(null, stat.isFile() || stat.isFIFO());
    }

    if (err.code === 'ENOENT' || err.code === 'ENOTDIR') return cb(null, false);
    return cb(err);
  });
};

var defaultIsDir = function isDirectory(dir, cb) {
  fs.stat(dir, function (err, stat) {
    if (!err) {
      return cb(null, stat.isDirectory());
    }

    if (err.code === 'ENOENT' || err.code === 'ENOTDIR') return cb(null, false);
    return cb(err);
  });
};

var defaultRealpath = function realpath(x, cb) {
  realpathFS(x, function (realpathErr, realPath) {
    if (realpathErr && realpathErr.code !== 'ENOENT') cb(realpathErr);else cb(null, realpathErr ? x : realPath);
  });
};

var maybeRealpath = function maybeRealpath(realpath, x, opts, cb) {
  if (opts && opts.preserveSymlinks === false) {
    realpath(x, cb);
  } else {
    cb(null, x);
  }
};

var getPackageCandidates = function getPackageCandidates(x, start, opts) {
  var dirs = nodeModulesPaths(start, opts, x);

  for (var i = 0; i < dirs.length; i++) {
    dirs[i] = path.join(dirs[i], x);
  }

  return dirs;
};

module.exports = function resolve(x, options, callback) {
  var cb = callback;
  var opts = options;

  if (typeof options === 'function') {
    cb = opts;
    opts = {};
  }

  if (typeof x !== 'string') {
    var err = new TypeError('Path must be a string.');
    return process.nextTick(function () {
      cb(err);
    });
  }

  opts = normalizeOptions(x, opts);
  var isFile = opts.isFile || defaultIsFile;
  var isDirectory = opts.isDirectory || defaultIsDir;
  var readFile = opts.readFile || fs.readFile;
  var realpath = opts.realpath || defaultRealpath;
  var packageIterator = opts.packageIterator;
  var extensions = opts.extensions || ['.js'];
  var includeCoreModules = opts.includeCoreModules !== false;
  var basedir = opts.basedir || path.dirname(caller());
  var parent = opts.filename || basedir;
  opts.paths = opts.paths || []; // ensure that `basedir` is an absolute path at this point, resolving against the process' current working directory

  var absoluteStart = path.resolve(basedir);
  maybeRealpath(realpath, absoluteStart, opts, function (err, realStart) {
    if (err) cb(err);else init(realStart);
  });
  var res;

  function init(basedir) {
    if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(x)) {
      res = path.resolve(basedir, x);
      if (x === '.' || x === '..' || x.slice(-1) === '/') res += '/';

      if (/\/$/.test(x) && res === basedir) {
        loadAsDirectory(res, opts.package, onfile);
      } else loadAsFile(res, opts.package, onfile);
    } else if (includeCoreModules && isCore(x)) {
      return cb(null, x);
    } else loadNodeModules(x, basedir, function (err, n, pkg) {
      if (err) cb(err);else if (n) {
        return maybeRealpath(realpath, n, opts, function (err, realN) {
          if (err) {
            cb(err);
          } else {
            cb(null, realN, pkg);
          }
        });
      } else {
        var moduleError = new Error("Cannot find module '" + x + "' from '" + parent + "'");
        moduleError.code = 'MODULE_NOT_FOUND';
        cb(moduleError);
      }
    });
  }

  function onfile(err, m, pkg) {
    if (err) cb(err);else if (m) cb(null, m, pkg);else loadAsDirectory(res, function (err, d, pkg) {
      if (err) cb(err);else if (d) {
        maybeRealpath(realpath, d, opts, function (err, realD) {
          if (err) {
            cb(err);
          } else {
            cb(null, realD, pkg);
          }
        });
      } else {
        var moduleError = new Error("Cannot find module '" + x + "' from '" + parent + "'");
        moduleError.code = 'MODULE_NOT_FOUND';
        cb(moduleError);
      }
    });
  }

  function loadAsFile(x, thePackage, callback) {
    var loadAsFilePackage = thePackage;
    var cb = callback;

    if (typeof loadAsFilePackage === 'function') {
      cb = loadAsFilePackage;
      loadAsFilePackage = undefined;
    }

    var exts = [''].concat(extensions);
    load(exts, x, loadAsFilePackage);

    function load(exts, x, loadPackage) {
      if (exts.length === 0) return cb(null, undefined, loadPackage);
      var file = x + exts[0];
      var pkg = loadPackage;
      if (pkg) onpkg(null, pkg);else loadpkg(path.dirname(file), onpkg);

      function onpkg(err, pkg_, dir) {
        pkg = pkg_;
        if (err) return cb(err);

        if (dir && pkg && opts.pathFilter) {
          var rfile = path.relative(dir, file);
          var rel = rfile.slice(0, rfile.length - exts[0].length);
          var r = opts.pathFilter(pkg, x, rel);
          if (r) return load([''].concat(extensions.slice()), path.resolve(dir, r), pkg);
        }

        isFile(file, onex);
      }

      function onex(err, ex) {
        if (err) return cb(err);
        if (ex) return cb(null, file, pkg);
        load(exts.slice(1), x, pkg);
      }
    }
  }

  function loadpkg(dir, cb) {
    if (dir === '' || dir === '/') return cb(null);

    if (process.platform === 'win32' && /^\w:[/\\]*$/.test(dir)) {
      return cb(null);
    }

    if (/[/\\]node_modules[/\\]*$/.test(dir)) return cb(null);
    maybeRealpath(realpath, dir, opts, function (unwrapErr, pkgdir) {
      if (unwrapErr) return loadpkg(path.dirname(dir), cb);
      var pkgfile = path.join(pkgdir, 'package.json');
      isFile(pkgfile, function (err, ex) {
        // on err, ex is false
        if (!ex) return loadpkg(path.dirname(dir), cb);
        readFile(pkgfile, function (err, body) {
          if (err) cb(err);

          try {
            var pkg = JSON.parse(body);
          } catch (jsonErr) {}

          if (pkg && opts.packageFilter) {
            pkg = opts.packageFilter(pkg, pkgfile);
          }

          cb(null, pkg, dir);
        });
      });
    });
  }

  function loadAsDirectory(x, loadAsDirectoryPackage, callback) {
    var cb = callback;
    var fpkg = loadAsDirectoryPackage;

    if (typeof fpkg === 'function') {
      cb = fpkg;
      fpkg = opts.package;
    }

    maybeRealpath(realpath, x, opts, function (unwrapErr, pkgdir) {
      if (unwrapErr) return cb(unwrapErr);
      var pkgfile = path.join(pkgdir, 'package.json');
      isFile(pkgfile, function (err, ex) {
        if (err) return cb(err);
        if (!ex) return loadAsFile(path.join(x, 'index'), fpkg, cb);
        readFile(pkgfile, function (err, body) {
          if (err) return cb(err);

          try {
            var pkg = JSON.parse(body);
          } catch (jsonErr) {}

          if (pkg && opts.packageFilter) {
            pkg = opts.packageFilter(pkg, pkgfile);
          }

          if (pkg && pkg.main) {
            if (typeof pkg.main !== 'string') {
              var mainError = new TypeError('package “' + pkg.name + '” `main` must be a string');
              mainError.code = 'INVALID_PACKAGE_MAIN';
              return cb(mainError);
            }

            if (pkg.main === '.' || pkg.main === './') {
              pkg.main = 'index';
            }

            loadAsFile(path.resolve(x, pkg.main), pkg, function (err, m, pkg) {
              if (err) return cb(err);
              if (m) return cb(null, m, pkg);
              if (!pkg) return loadAsFile(path.join(x, 'index'), pkg, cb);
              var dir = path.resolve(x, pkg.main);
              loadAsDirectory(dir, pkg, function (err, n, pkg) {
                if (err) return cb(err);
                if (n) return cb(null, n, pkg);
                loadAsFile(path.join(x, 'index'), pkg, cb);
              });
            });
            return;
          }

          loadAsFile(path.join(x, '/index'), pkg, cb);
        });
      });
    });
  }

  function processDirs(cb, dirs) {
    if (dirs.length === 0) return cb(null, undefined);
    var dir = dirs[0];
    isDirectory(path.dirname(dir), isdir);

    function isdir(err, isdir) {
      if (err) return cb(err);
      if (!isdir) return processDirs(cb, dirs.slice(1));
      loadAsFile(dir, opts.package, onfile);
    }

    function onfile(err, m, pkg) {
      if (err) return cb(err);
      if (m) return cb(null, m, pkg);
      loadAsDirectory(dir, opts.package, ondir);
    }

    function ondir(err, n, pkg) {
      if (err) return cb(err);
      if (n) return cb(null, n, pkg);
      processDirs(cb, dirs.slice(1));
    }
  }

  function loadNodeModules(x, start, cb) {
    var thunk = function () {
      return getPackageCandidates(x, start, opts);
    };

    processDirs(cb, packageIterator ? packageIterator(x, start, thunk, opts) : thunk());
  }
};

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/caller.js":
/***/ ((module) => {

module.exports = function () {
  // see https://code.google.com/p/v8/wiki/JavaScriptStackTraceApi
  var origPrepareStackTrace = Error.prepareStackTrace;

  Error.prepareStackTrace = function (_, stack) {
    return stack;
  };

  var stack = new Error().stack;
  Error.prepareStackTrace = origPrepareStackTrace;
  return stack[2].getFileName();
};

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/core.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var current = process.versions && process.versions.node && process.versions.node.split('.') || [];

function specifierIncluded(specifier) {
  var parts = specifier.split(' ');
  var op = parts.length > 1 ? parts[0] : '=';
  var versionParts = (parts.length > 1 ? parts[1] : parts[0]).split('.');

  for (var i = 0; i < 3; ++i) {
    var cur = parseInt(current[i] || 0, 10);
    var ver = parseInt(versionParts[i] || 0, 10);

    if (cur === ver) {
      continue; // eslint-disable-line no-restricted-syntax, no-continue
    }

    if (op === '<') {
      return cur < ver;
    } else if (op === '>=') {
      return cur >= ver;
    } else {
      return false;
    }
  }

  return op === '>=';
}

function matchesRange(range) {
  var specifiers = range.split(/ ?&& ?/);

  if (specifiers.length === 0) {
    return false;
  }

  for (var i = 0; i < specifiers.length; ++i) {
    if (!specifierIncluded(specifiers[i])) {
      return false;
    }
  }

  return true;
}

function versionIncluded(specifierValue) {
  if (typeof specifierValue === 'boolean') {
    return specifierValue;
  }

  if (specifierValue && typeof specifierValue === 'object') {
    for (var i = 0; i < specifierValue.length; ++i) {
      if (matchesRange(specifierValue[i])) {
        return true;
      }
    }

    return false;
  }

  return matchesRange(specifierValue);
}

var data = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/core.json");

var core = {};

for (var mod in data) {
  // eslint-disable-line no-restricted-syntax
  if (Object.prototype.hasOwnProperty.call(data, mod)) {
    core[mod] = versionIncluded(data[mod]);
  }
}

module.exports = core;

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/is-core.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isCoreModule = __webpack_require__("./node_modules/.f/_/is-core-module/2.2.0/is-core-module/index.js");

module.exports = function isCore(x) {
  return isCoreModule(x);
};

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/node-modules-paths.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var path = __webpack_require__("path");

var parse = path.parse || __webpack_require__("./node_modules/.f/_/path-parse/1.0.6/path-parse/index.js");

var getNodeModulesDirs = function getNodeModulesDirs(absoluteStart, modules) {
  var prefix = '/';

  if (/^([A-Za-z]:)/.test(absoluteStart)) {
    prefix = '';
  } else if (/^\\\\/.test(absoluteStart)) {
    prefix = '\\\\';
  }

  var paths = [absoluteStart];
  var parsed = parse(absoluteStart);

  while (parsed.dir !== paths[paths.length - 1]) {
    paths.push(parsed.dir);
    parsed = parse(parsed.dir);
  }

  return paths.reduce(function (dirs, aPath) {
    return dirs.concat(modules.map(function (moduleDir) {
      return path.resolve(prefix, aPath, moduleDir);
    }));
  }, []);
};

module.exports = function nodeModulesPaths(start, opts, request) {
  var modules = opts && opts.moduleDirectory ? [].concat(opts.moduleDirectory) : ['node_modules'];

  if (opts && typeof opts.paths === 'function') {
    return opts.paths(request, start, function () {
      return getNodeModulesDirs(start, modules);
    }, opts);
  }

  var dirs = getNodeModulesDirs(start, modules);
  return opts && opts.paths ? dirs.concat(opts.paths) : dirs;
};

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/normalize-options.js":
/***/ ((module) => {

module.exports = function (x, opts) {
  /**
   * This file is purposefully a passthrough. It's expected that third-party
   * environments will override it at runtime in order to inject special logic
   * into `resolve` (by manipulating the options). One such example is the PnP
   * code path in Yarn.
   */
  return opts || {};
};

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/sync.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isCore = __webpack_require__("./node_modules/.f/_/is-core-module/2.2.0/is-core-module/index.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var caller = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/caller.js");

var nodeModulesPaths = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/node-modules-paths.js");

var normalizeOptions = __webpack_require__("./node_modules/.f/_/resolve/1.19.0/resolve/lib/normalize-options.js");

var realpathFS = fs.realpathSync && typeof fs.realpathSync.native === 'function' ? fs.realpathSync.native : fs.realpathSync;

var defaultIsFile = function isFile(file) {
  try {
    var stat = fs.statSync(file);
  } catch (e) {
    if (e && (e.code === 'ENOENT' || e.code === 'ENOTDIR')) return false;
    throw e;
  }

  return stat.isFile() || stat.isFIFO();
};

var defaultIsDir = function isDirectory(dir) {
  try {
    var stat = fs.statSync(dir);
  } catch (e) {
    if (e && (e.code === 'ENOENT' || e.code === 'ENOTDIR')) return false;
    throw e;
  }

  return stat.isDirectory();
};

var defaultRealpathSync = function realpathSync(x) {
  try {
    return realpathFS(x);
  } catch (realpathErr) {
    if (realpathErr.code !== 'ENOENT') {
      throw realpathErr;
    }
  }

  return x;
};

var maybeRealpathSync = function maybeRealpathSync(realpathSync, x, opts) {
  if (opts && opts.preserveSymlinks === false) {
    return realpathSync(x);
  }

  return x;
};

var getPackageCandidates = function getPackageCandidates(x, start, opts) {
  var dirs = nodeModulesPaths(start, opts, x);

  for (var i = 0; i < dirs.length; i++) {
    dirs[i] = path.join(dirs[i], x);
  }

  return dirs;
};

module.exports = function resolveSync(x, options) {
  if (typeof x !== 'string') {
    throw new TypeError('Path must be a string.');
  }

  var opts = normalizeOptions(x, options);
  var isFile = opts.isFile || defaultIsFile;
  var readFileSync = opts.readFileSync || fs.readFileSync;
  var isDirectory = opts.isDirectory || defaultIsDir;
  var realpathSync = opts.realpathSync || defaultRealpathSync;
  var packageIterator = opts.packageIterator;
  var extensions = opts.extensions || ['.js'];
  var includeCoreModules = opts.includeCoreModules !== false;
  var basedir = opts.basedir || path.dirname(caller());
  var parent = opts.filename || basedir;
  opts.paths = opts.paths || []; // ensure that `basedir` is an absolute path at this point, resolving against the process' current working directory

  var absoluteStart = maybeRealpathSync(realpathSync, path.resolve(basedir), opts);

  if (/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/.test(x)) {
    var res = path.resolve(absoluteStart, x);
    if (x === '.' || x === '..' || x.slice(-1) === '/') res += '/';
    var m = loadAsFileSync(res) || loadAsDirectorySync(res);
    if (m) return maybeRealpathSync(realpathSync, m, opts);
  } else if (includeCoreModules && isCore(x)) {
    return x;
  } else {
    var n = loadNodeModulesSync(x, absoluteStart);
    if (n) return maybeRealpathSync(realpathSync, n, opts);
  }

  var err = new Error("Cannot find module '" + x + "' from '" + parent + "'");
  err.code = 'MODULE_NOT_FOUND';
  throw err;

  function loadAsFileSync(x) {
    var pkg = loadpkg(path.dirname(x));

    if (pkg && pkg.dir && pkg.pkg && opts.pathFilter) {
      var rfile = path.relative(pkg.dir, x);
      var r = opts.pathFilter(pkg.pkg, x, rfile);

      if (r) {
        x = path.resolve(pkg.dir, r); // eslint-disable-line no-param-reassign
      }
    }

    if (isFile(x)) {
      return x;
    }

    for (var i = 0; i < extensions.length; i++) {
      var file = x + extensions[i];

      if (isFile(file)) {
        return file;
      }
    }
  }

  function loadpkg(dir) {
    if (dir === '' || dir === '/') return;

    if (process.platform === 'win32' && /^\w:[/\\]*$/.test(dir)) {
      return;
    }

    if (/[/\\]node_modules[/\\]*$/.test(dir)) return;
    var pkgfile = path.join(maybeRealpathSync(realpathSync, dir, opts), 'package.json');

    if (!isFile(pkgfile)) {
      return loadpkg(path.dirname(dir));
    }

    var body = readFileSync(pkgfile);

    try {
      var pkg = JSON.parse(body);
    } catch (jsonErr) {}

    if (pkg && opts.packageFilter) {
      // v2 will pass pkgfile
      pkg = opts.packageFilter(pkg,
      /*pkgfile,*/
      dir); // eslint-disable-line spaced-comment
    }

    return {
      pkg: pkg,
      dir: dir
    };
  }

  function loadAsDirectorySync(x) {
    var pkgfile = path.join(maybeRealpathSync(realpathSync, x, opts), '/package.json');

    if (isFile(pkgfile)) {
      try {
        var body = readFileSync(pkgfile, 'UTF8');
        var pkg = JSON.parse(body);
      } catch (e) {}

      if (pkg && opts.packageFilter) {
        // v2 will pass pkgfile
        pkg = opts.packageFilter(pkg,
        /*pkgfile,*/
        x); // eslint-disable-line spaced-comment
      }

      if (pkg && pkg.main) {
        if (typeof pkg.main !== 'string') {
          var mainError = new TypeError('package “' + pkg.name + '” `main` must be a string');
          mainError.code = 'INVALID_PACKAGE_MAIN';
          throw mainError;
        }

        if (pkg.main === '.' || pkg.main === './') {
          pkg.main = 'index';
        }

        try {
          var m = loadAsFileSync(path.resolve(x, pkg.main));
          if (m) return m;
          var n = loadAsDirectorySync(path.resolve(x, pkg.main));
          if (n) return n;
        } catch (e) {}
      }
    }

    return loadAsFileSync(path.join(x, '/index'));
  }

  function loadNodeModulesSync(x, start) {
    var thunk = function () {
      return getPackageCandidates(x, start, opts);
    };

    var dirs = packageIterator ? packageIterator(x, start, thunk, opts) : thunk();

    for (var i = 0; i < dirs.length; i++) {
      var dir = dirs[i];

      if (isDirectory(path.dirname(dir))) {
        var m = loadAsFileSync(dir);
        if (m) return m;
        var n = loadAsDirectorySync(dir);
        if (n) return n;
      }
    }
  }
};

/***/ }),

/***/ "./node_modules/.f/_/restore-cursor/3.1.0/restore-cursor/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const onetime = __webpack_require__("./node_modules/.f/_/onetime/5.1.2/onetime/index.js");

const signalExit = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js");

module.exports = onetime(() => {
  signalExit(() => {
    process.stderr.write('\u001B[?25h');
  }, {
    alwaysLast: true
  });
});

/***/ }),

/***/ "./node_modules/.f/_/retry/0.10.1/retry/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("./node_modules/.f/_/retry/0.10.1/retry/lib/retry.js");

/***/ }),

/***/ "./node_modules/.f/_/retry/0.10.1/retry/lib/retry.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var RetryOperation = __webpack_require__("./node_modules/.f/_/retry/0.10.1/retry/lib/retry_operation.js");

exports.operation = function (options) {
  var timeouts = exports.timeouts(options);
  return new RetryOperation(timeouts, {
    forever: options && options.forever,
    unref: options && options.unref
  });
};

exports.timeouts = function (options) {
  if (options instanceof Array) {
    return [].concat(options);
  }

  var opts = {
    retries: 10,
    factor: 2,
    minTimeout: 1 * 1000,
    maxTimeout: Infinity,
    randomize: false
  };

  for (var key in options) {
    opts[key] = options[key];
  }

  if (opts.minTimeout > opts.maxTimeout) {
    throw new Error('minTimeout is greater than maxTimeout');
  }

  var timeouts = [];

  for (var i = 0; i < opts.retries; i++) {
    timeouts.push(this.createTimeout(i, opts));
  }

  if (options && options.forever && !timeouts.length) {
    timeouts.push(this.createTimeout(i, opts));
  } // sort the array numerically ascending


  timeouts.sort(function (a, b) {
    return a - b;
  });
  return timeouts;
};

exports.createTimeout = function (attempt, opts) {
  var random = opts.randomize ? Math.random() + 1 : 1;
  var timeout = Math.round(random * opts.minTimeout * Math.pow(opts.factor, attempt));
  timeout = Math.min(timeout, opts.maxTimeout);
  return timeout;
};

exports.wrap = function (obj, options, methods) {
  if (options instanceof Array) {
    methods = options;
    options = null;
  }

  if (!methods) {
    methods = [];

    for (var key in obj) {
      if (typeof obj[key] === 'function') {
        methods.push(key);
      }
    }
  }

  for (var i = 0; i < methods.length; i++) {
    var method = methods[i];
    var original = obj[method];

    obj[method] = function retryWrapper() {
      var op = exports.operation(options);
      var args = Array.prototype.slice.call(arguments);
      var callback = args.pop();
      args.push(function (err) {
        if (op.retry(err)) {
          return;
        }

        if (err) {
          arguments[0] = op.mainError();
        }

        callback.apply(this, arguments);
      });
      op.attempt(function () {
        original.apply(obj, args);
      });
    };

    obj[method].options = options;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/retry/0.10.1/retry/lib/retry_operation.js":
/***/ ((module) => {

function RetryOperation(timeouts, options) {
  // Compatibility for the old (timeouts, retryForever) signature
  if (typeof options === 'boolean') {
    options = {
      forever: options
    };
  }

  this._timeouts = timeouts;
  this._options = options || {};
  this._fn = null;
  this._errors = [];
  this._attempts = 1;
  this._operationTimeout = null;
  this._operationTimeoutCb = null;
  this._timeout = null;

  if (this._options.forever) {
    this._cachedTimeouts = this._timeouts.slice(0);
  }
}

module.exports = RetryOperation;

RetryOperation.prototype.stop = function () {
  if (this._timeout) {
    clearTimeout(this._timeout);
  }

  this._timeouts = [];
  this._cachedTimeouts = null;
};

RetryOperation.prototype.retry = function (err) {
  if (this._timeout) {
    clearTimeout(this._timeout);
  }

  if (!err) {
    return false;
  }

  this._errors.push(err);

  var timeout = this._timeouts.shift();

  if (timeout === undefined) {
    if (this._cachedTimeouts) {
      // retry forever, only keep last error
      this._errors.splice(this._errors.length - 1, this._errors.length);

      this._timeouts = this._cachedTimeouts.slice(0);
      timeout = this._timeouts.shift();
    } else {
      return false;
    }
  }

  var self = this;
  var timer = setTimeout(function () {
    self._attempts++;

    if (self._operationTimeoutCb) {
      self._timeout = setTimeout(function () {
        self._operationTimeoutCb(self._attempts);
      }, self._operationTimeout);

      if (this._options.unref) {
        self._timeout.unref();
      }
    }

    self._fn(self._attempts);
  }, timeout);

  if (this._options.unref) {
    timer.unref();
  }

  return true;
};

RetryOperation.prototype.attempt = function (fn, timeoutOps) {
  this._fn = fn;

  if (timeoutOps) {
    if (timeoutOps.timeout) {
      this._operationTimeout = timeoutOps.timeout;
    }

    if (timeoutOps.cb) {
      this._operationTimeoutCb = timeoutOps.cb;
    }
  }

  var self = this;

  if (this._operationTimeoutCb) {
    this._timeout = setTimeout(function () {
      self._operationTimeoutCb();
    }, self._operationTimeout);
  }

  this._fn(this._attempts);
};

RetryOperation.prototype.try = function (fn) {
  console.log('Using RetryOperation.try() is deprecated');
  this.attempt(fn);
};

RetryOperation.prototype.start = function (fn) {
  console.log('Using RetryOperation.start() is deprecated');
  this.attempt(fn);
};

RetryOperation.prototype.start = RetryOperation.prototype.try;

RetryOperation.prototype.errors = function () {
  return this._errors;
};

RetryOperation.prototype.attempts = function () {
  return this._attempts;
};

RetryOperation.prototype.mainError = function () {
  if (this._errors.length === 0) {
    return null;
  }

  var counts = {};
  var mainError = null;
  var mainErrorCount = 0;

  for (var i = 0; i < this._errors.length; i++) {
    var error = this._errors[i];
    var message = error.message;
    var count = (counts[message] || 0) + 1;
    counts[message] = count;

    if (count >= mainErrorCount) {
      mainError = error;
      mainErrorCount = count;
    }
  }

  return mainError;
};

/***/ }),

/***/ "./node_modules/.f/_/retry/0.12.0/retry/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__("./node_modules/.f/_/retry/0.12.0/retry/lib/retry.js");

/***/ }),

/***/ "./node_modules/.f/_/retry/0.12.0/retry/lib/retry.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var RetryOperation = __webpack_require__("./node_modules/.f/_/retry/0.12.0/retry/lib/retry_operation.js");

exports.operation = function (options) {
  var timeouts = exports.timeouts(options);
  return new RetryOperation(timeouts, {
    forever: options && options.forever,
    unref: options && options.unref,
    maxRetryTime: options && options.maxRetryTime
  });
};

exports.timeouts = function (options) {
  if (options instanceof Array) {
    return [].concat(options);
  }

  var opts = {
    retries: 10,
    factor: 2,
    minTimeout: 1 * 1000,
    maxTimeout: Infinity,
    randomize: false
  };

  for (var key in options) {
    opts[key] = options[key];
  }

  if (opts.minTimeout > opts.maxTimeout) {
    throw new Error('minTimeout is greater than maxTimeout');
  }

  var timeouts = [];

  for (var i = 0; i < opts.retries; i++) {
    timeouts.push(this.createTimeout(i, opts));
  }

  if (options && options.forever && !timeouts.length) {
    timeouts.push(this.createTimeout(i, opts));
  } // sort the array numerically ascending


  timeouts.sort(function (a, b) {
    return a - b;
  });
  return timeouts;
};

exports.createTimeout = function (attempt, opts) {
  var random = opts.randomize ? Math.random() + 1 : 1;
  var timeout = Math.round(random * opts.minTimeout * Math.pow(opts.factor, attempt));
  timeout = Math.min(timeout, opts.maxTimeout);
  return timeout;
};

exports.wrap = function (obj, options, methods) {
  if (options instanceof Array) {
    methods = options;
    options = null;
  }

  if (!methods) {
    methods = [];

    for (var key in obj) {
      if (typeof obj[key] === 'function') {
        methods.push(key);
      }
    }
  }

  for (var i = 0; i < methods.length; i++) {
    var method = methods[i];
    var original = obj[method];

    obj[method] = function retryWrapper(original) {
      var op = exports.operation(options);
      var args = Array.prototype.slice.call(arguments, 1);
      var callback = args.pop();
      args.push(function (err) {
        if (op.retry(err)) {
          return;
        }

        if (err) {
          arguments[0] = op.mainError();
        }

        callback.apply(this, arguments);
      });
      op.attempt(function () {
        original.apply(obj, args);
      });
    }.bind(obj, original);

    obj[method].options = options;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/retry/0.12.0/retry/lib/retry_operation.js":
/***/ ((module) => {

function RetryOperation(timeouts, options) {
  // Compatibility for the old (timeouts, retryForever) signature
  if (typeof options === 'boolean') {
    options = {
      forever: options
    };
  }

  this._originalTimeouts = JSON.parse(JSON.stringify(timeouts));
  this._timeouts = timeouts;
  this._options = options || {};
  this._maxRetryTime = options && options.maxRetryTime || Infinity;
  this._fn = null;
  this._errors = [];
  this._attempts = 1;
  this._operationTimeout = null;
  this._operationTimeoutCb = null;
  this._timeout = null;
  this._operationStart = null;

  if (this._options.forever) {
    this._cachedTimeouts = this._timeouts.slice(0);
  }
}

module.exports = RetryOperation;

RetryOperation.prototype.reset = function () {
  this._attempts = 1;
  this._timeouts = this._originalTimeouts;
};

RetryOperation.prototype.stop = function () {
  if (this._timeout) {
    clearTimeout(this._timeout);
  }

  this._timeouts = [];
  this._cachedTimeouts = null;
};

RetryOperation.prototype.retry = function (err) {
  if (this._timeout) {
    clearTimeout(this._timeout);
  }

  if (!err) {
    return false;
  }

  var currentTime = new Date().getTime();

  if (err && currentTime - this._operationStart >= this._maxRetryTime) {
    this._errors.unshift(new Error('RetryOperation timeout occurred'));

    return false;
  }

  this._errors.push(err);

  var timeout = this._timeouts.shift();

  if (timeout === undefined) {
    if (this._cachedTimeouts) {
      // retry forever, only keep last error
      this._errors.splice(this._errors.length - 1, this._errors.length);

      this._timeouts = this._cachedTimeouts.slice(0);
      timeout = this._timeouts.shift();
    } else {
      return false;
    }
  }

  var self = this;
  var timer = setTimeout(function () {
    self._attempts++;

    if (self._operationTimeoutCb) {
      self._timeout = setTimeout(function () {
        self._operationTimeoutCb(self._attempts);
      }, self._operationTimeout);

      if (self._options.unref) {
        self._timeout.unref();
      }
    }

    self._fn(self._attempts);
  }, timeout);

  if (this._options.unref) {
    timer.unref();
  }

  return true;
};

RetryOperation.prototype.attempt = function (fn, timeoutOps) {
  this._fn = fn;

  if (timeoutOps) {
    if (timeoutOps.timeout) {
      this._operationTimeout = timeoutOps.timeout;
    }

    if (timeoutOps.cb) {
      this._operationTimeoutCb = timeoutOps.cb;
    }
  }

  var self = this;

  if (this._operationTimeoutCb) {
    this._timeout = setTimeout(function () {
      self._operationTimeoutCb();
    }, self._operationTimeout);
  }

  this._operationStart = new Date().getTime();

  this._fn(this._attempts);
};

RetryOperation.prototype.try = function (fn) {
  console.log('Using RetryOperation.try() is deprecated');
  this.attempt(fn);
};

RetryOperation.prototype.start = function (fn) {
  console.log('Using RetryOperation.start() is deprecated');
  this.attempt(fn);
};

RetryOperation.prototype.start = RetryOperation.prototype.try;

RetryOperation.prototype.errors = function () {
  return this._errors;
};

RetryOperation.prototype.attempts = function () {
  return this._attempts;
};

RetryOperation.prototype.mainError = function () {
  if (this._errors.length === 0) {
    return null;
  }

  var counts = {};
  var mainError = null;
  var mainErrorCount = 0;

  for (var i = 0; i < this._errors.length; i++) {
    var error = this._errors[i];
    var message = error.message;
    var count = (counts[message] || 0) + 1;
    counts[message] = count;

    if (count >= mainErrorCount) {
      mainError = error;
      mainErrorCount = count;
    }
  }

  return mainError;
};

/***/ }),

/***/ "./node_modules/.f/_/rimraf/2.7.1/rimraf/rimraf.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = rimraf;
rimraf.sync = rimrafSync;

var assert = __webpack_require__("assert");

var path = __webpack_require__("path");

var fs = __webpack_require__("fs");

var glob = undefined;

try {
  glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js");
} catch (_err) {// treat glob as optional.
}

var _0666 = parseInt('666', 8);

var defaultGlobOpts = {
  nosort: true,
  silent: true
}; // for EMFILE handling

var timeout = 0;
var isWindows = process.platform === "win32";

function defaults(options) {
  var methods = ['unlink', 'chmod', 'stat', 'lstat', 'rmdir', 'readdir'];
  methods.forEach(function (m) {
    options[m] = options[m] || fs[m];
    m = m + 'Sync';
    options[m] = options[m] || fs[m];
  });
  options.maxBusyTries = options.maxBusyTries || 3;
  options.emfileWait = options.emfileWait || 1000;

  if (options.glob === false) {
    options.disableGlob = true;
  }

  if (options.disableGlob !== true && glob === undefined) {
    throw Error('glob dependency not found, set `options.disableGlob = true` if intentional');
  }

  options.disableGlob = options.disableGlob || false;
  options.glob = options.glob || defaultGlobOpts;
}

function rimraf(p, options, cb) {
  if (typeof options === 'function') {
    cb = options;
    options = {};
  }

  assert(p, 'rimraf: missing path');
  assert.equal(typeof p, 'string', 'rimraf: path should be a string');
  assert.equal(typeof cb, 'function', 'rimraf: callback function required');
  assert(options, 'rimraf: invalid options argument provided');
  assert.equal(typeof options, 'object', 'rimraf: options should be object');
  defaults(options);
  var busyTries = 0;
  var errState = null;
  var n = 0;
  if (options.disableGlob || !glob.hasMagic(p)) return afterGlob(null, [p]);
  options.lstat(p, function (er, stat) {
    if (!er) return afterGlob(null, [p]);
    glob(p, options.glob, afterGlob);
  });

  function next(er) {
    errState = errState || er;
    if (--n === 0) cb(errState);
  }

  function afterGlob(er, results) {
    if (er) return cb(er);
    n = results.length;
    if (n === 0) return cb();
    results.forEach(function (p) {
      rimraf_(p, options, function CB(er) {
        if (er) {
          if ((er.code === "EBUSY" || er.code === "ENOTEMPTY" || er.code === "EPERM") && busyTries < options.maxBusyTries) {
            busyTries++;
            var time = busyTries * 100; // try again, with the same exact callback as this one.

            return setTimeout(function () {
              rimraf_(p, options, CB);
            }, time);
          } // this one won't happen if graceful-fs is used.


          if (er.code === "EMFILE" && timeout < options.emfileWait) {
            return setTimeout(function () {
              rimraf_(p, options, CB);
            }, timeout++);
          } // already gone


          if (er.code === "ENOENT") er = null;
        }

        timeout = 0;
        next(er);
      });
    });
  }
} // Two possible strategies.
// 1. Assume it's a file.  unlink it, then do the dir stuff on EPERM or EISDIR
// 2. Assume it's a directory.  readdir, then do the file stuff on ENOTDIR
//
// Both result in an extra syscall when you guess wrong.  However, there
// are likely far more normal files in the world than directories.  This
// is based on the assumption that a the average number of files per
// directory is >= 1.
//
// If anyone ever complains about this, then I guess the strategy could
// be made configurable somehow.  But until then, YAGNI.


function rimraf_(p, options, cb) {
  assert(p);
  assert(options);
  assert(typeof cb === 'function'); // sunos lets the root user unlink directories, which is... weird.
  // so we have to lstat here and make sure it's not a dir.

  options.lstat(p, function (er, st) {
    if (er && er.code === "ENOENT") return cb(null); // Windows can EPERM on stat.  Life is suffering.

    if (er && er.code === "EPERM" && isWindows) fixWinEPERM(p, options, er, cb);
    if (st && st.isDirectory()) return rmdir(p, options, er, cb);
    options.unlink(p, function (er) {
      if (er) {
        if (er.code === "ENOENT") return cb(null);
        if (er.code === "EPERM") return isWindows ? fixWinEPERM(p, options, er, cb) : rmdir(p, options, er, cb);
        if (er.code === "EISDIR") return rmdir(p, options, er, cb);
      }

      return cb(er);
    });
  });
}

function fixWinEPERM(p, options, er, cb) {
  assert(p);
  assert(options);
  assert(typeof cb === 'function');
  if (er) assert(er instanceof Error);
  options.chmod(p, _0666, function (er2) {
    if (er2) cb(er2.code === "ENOENT" ? null : er);else options.stat(p, function (er3, stats) {
      if (er3) cb(er3.code === "ENOENT" ? null : er);else if (stats.isDirectory()) rmdir(p, options, er, cb);else options.unlink(p, cb);
    });
  });
}

function fixWinEPERMSync(p, options, er) {
  assert(p);
  assert(options);
  if (er) assert(er instanceof Error);

  try {
    options.chmodSync(p, _0666);
  } catch (er2) {
    if (er2.code === "ENOENT") return;else throw er;
  }

  try {
    var stats = options.statSync(p);
  } catch (er3) {
    if (er3.code === "ENOENT") return;else throw er;
  }

  if (stats.isDirectory()) rmdirSync(p, options, er);else options.unlinkSync(p);
}

function rmdir(p, options, originalEr, cb) {
  assert(p);
  assert(options);
  if (originalEr) assert(originalEr instanceof Error);
  assert(typeof cb === 'function'); // try to rmdir first, and only readdir on ENOTEMPTY or EEXIST (SunOS)
  // if we guessed wrong, and it's not a directory, then
  // raise the original error.

  options.rmdir(p, function (er) {
    if (er && (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM")) rmkids(p, options, cb);else if (er && er.code === "ENOTDIR") cb(originalEr);else cb(er);
  });
}

function rmkids(p, options, cb) {
  assert(p);
  assert(options);
  assert(typeof cb === 'function');
  options.readdir(p, function (er, files) {
    if (er) return cb(er);
    var n = files.length;
    if (n === 0) return options.rmdir(p, cb);
    var errState;
    files.forEach(function (f) {
      rimraf(path.join(p, f), options, function (er) {
        if (errState) return;
        if (er) return cb(errState = er);
        if (--n === 0) options.rmdir(p, cb);
      });
    });
  });
} // this looks simpler, and is strictly *faster*, but will
// tie up the JavaScript thread and fail on excessively
// deep directory trees.


function rimrafSync(p, options) {
  options = options || {};
  defaults(options);
  assert(p, 'rimraf: missing path');
  assert.equal(typeof p, 'string', 'rimraf: path should be a string');
  assert(options, 'rimraf: missing options');
  assert.equal(typeof options, 'object', 'rimraf: options should be object');
  var results;

  if (options.disableGlob || !glob.hasMagic(p)) {
    results = [p];
  } else {
    try {
      options.lstatSync(p);
      results = [p];
    } catch (er) {
      results = glob.sync(p, options.glob);
    }
  }

  if (!results.length) return;

  for (var i = 0; i < results.length; i++) {
    var p = results[i];

    try {
      var st = options.lstatSync(p);
    } catch (er) {
      if (er.code === "ENOENT") return; // Windows can EPERM on stat.  Life is suffering.

      if (er.code === "EPERM" && isWindows) fixWinEPERMSync(p, options, er);
    }

    try {
      // sunos lets the root user unlink directories, which is... weird.
      if (st && st.isDirectory()) rmdirSync(p, options, null);else options.unlinkSync(p);
    } catch (er) {
      if (er.code === "ENOENT") return;
      if (er.code === "EPERM") return isWindows ? fixWinEPERMSync(p, options, er) : rmdirSync(p, options, er);
      if (er.code !== "EISDIR") throw er;
      rmdirSync(p, options, er);
    }
  }
}

function rmdirSync(p, options, originalEr) {
  assert(p);
  assert(options);
  if (originalEr) assert(originalEr instanceof Error);

  try {
    options.rmdirSync(p);
  } catch (er) {
    if (er.code === "ENOENT") return;
    if (er.code === "ENOTDIR") throw originalEr;
    if (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM") rmkidsSync(p, options);
  }
}

function rmkidsSync(p, options) {
  assert(p);
  assert(options);
  options.readdirSync(p).forEach(function (f) {
    rimrafSync(path.join(p, f), options);
  }); // We only end up here once we got ENOTEMPTY at least once, and
  // at this point, we are guaranteed to have removed all the kids.
  // So, we know that it won't be ENOENT or ENOTDIR or anything else.
  // try really hard to delete stuff on windows, because it has a
  // PROFOUNDLY annoying habit of not closing handles promptly when
  // files are deleted, resulting in spurious ENOTEMPTY errors.

  var retries = isWindows ? 100 : 1;
  var i = 0;

  do {
    var threw = true;

    try {
      var ret = options.rmdirSync(p, options);
      threw = false;
      return ret;
    } finally {
      if (++i < retries && threw) continue;
    }
  } while (true);
}

/***/ }),

/***/ "./node_modules/.f/_/rimraf/3.0.2/rimraf/rimraf.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const assert = __webpack_require__("assert");

const path = __webpack_require__("path");

const fs = __webpack_require__("fs");

let glob = undefined;

try {
  glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js");
} catch (_err) {// treat glob as optional.
}

const defaultGlobOpts = {
  nosort: true,
  silent: true
}; // for EMFILE handling

let timeout = 0;
const isWindows = process.platform === "win32";

const defaults = options => {
  const methods = ['unlink', 'chmod', 'stat', 'lstat', 'rmdir', 'readdir'];
  methods.forEach(m => {
    options[m] = options[m] || fs[m];
    m = m + 'Sync';
    options[m] = options[m] || fs[m];
  });
  options.maxBusyTries = options.maxBusyTries || 3;
  options.emfileWait = options.emfileWait || 1000;

  if (options.glob === false) {
    options.disableGlob = true;
  }

  if (options.disableGlob !== true && glob === undefined) {
    throw Error('glob dependency not found, set `options.disableGlob = true` if intentional');
  }

  options.disableGlob = options.disableGlob || false;
  options.glob = options.glob || defaultGlobOpts;
};

const rimraf = (p, options, cb) => {
  if (typeof options === 'function') {
    cb = options;
    options = {};
  }

  assert(p, 'rimraf: missing path');
  assert.equal(typeof p, 'string', 'rimraf: path should be a string');
  assert.equal(typeof cb, 'function', 'rimraf: callback function required');
  assert(options, 'rimraf: invalid options argument provided');
  assert.equal(typeof options, 'object', 'rimraf: options should be object');
  defaults(options);
  let busyTries = 0;
  let errState = null;
  let n = 0;

  const next = er => {
    errState = errState || er;
    if (--n === 0) cb(errState);
  };

  const afterGlob = (er, results) => {
    if (er) return cb(er);
    n = results.length;
    if (n === 0) return cb();
    results.forEach(p => {
      const CB = er => {
        if (er) {
          if ((er.code === "EBUSY" || er.code === "ENOTEMPTY" || er.code === "EPERM") && busyTries < options.maxBusyTries) {
            busyTries++; // try again, with the same exact callback as this one.

            return setTimeout(() => rimraf_(p, options, CB), busyTries * 100);
          } // this one won't happen if graceful-fs is used.


          if (er.code === "EMFILE" && timeout < options.emfileWait) {
            return setTimeout(() => rimraf_(p, options, CB), timeout++);
          } // already gone


          if (er.code === "ENOENT") er = null;
        }

        timeout = 0;
        next(er);
      };

      rimraf_(p, options, CB);
    });
  };

  if (options.disableGlob || !glob.hasMagic(p)) return afterGlob(null, [p]);
  options.lstat(p, (er, stat) => {
    if (!er) return afterGlob(null, [p]);
    glob(p, options.glob, afterGlob);
  });
}; // Two possible strategies.
// 1. Assume it's a file.  unlink it, then do the dir stuff on EPERM or EISDIR
// 2. Assume it's a directory.  readdir, then do the file stuff on ENOTDIR
//
// Both result in an extra syscall when you guess wrong.  However, there
// are likely far more normal files in the world than directories.  This
// is based on the assumption that a the average number of files per
// directory is >= 1.
//
// If anyone ever complains about this, then I guess the strategy could
// be made configurable somehow.  But until then, YAGNI.


const rimraf_ = (p, options, cb) => {
  assert(p);
  assert(options);
  assert(typeof cb === 'function'); // sunos lets the root user unlink directories, which is... weird.
  // so we have to lstat here and make sure it's not a dir.

  options.lstat(p, (er, st) => {
    if (er && er.code === "ENOENT") return cb(null); // Windows can EPERM on stat.  Life is suffering.

    if (er && er.code === "EPERM" && isWindows) fixWinEPERM(p, options, er, cb);
    if (st && st.isDirectory()) return rmdir(p, options, er, cb);
    options.unlink(p, er => {
      if (er) {
        if (er.code === "ENOENT") return cb(null);
        if (er.code === "EPERM") return isWindows ? fixWinEPERM(p, options, er, cb) : rmdir(p, options, er, cb);
        if (er.code === "EISDIR") return rmdir(p, options, er, cb);
      }

      return cb(er);
    });
  });
};

const fixWinEPERM = (p, options, er, cb) => {
  assert(p);
  assert(options);
  assert(typeof cb === 'function');
  options.chmod(p, 0o666, er2 => {
    if (er2) cb(er2.code === "ENOENT" ? null : er);else options.stat(p, (er3, stats) => {
      if (er3) cb(er3.code === "ENOENT" ? null : er);else if (stats.isDirectory()) rmdir(p, options, er, cb);else options.unlink(p, cb);
    });
  });
};

const fixWinEPERMSync = (p, options, er) => {
  assert(p);
  assert(options);

  try {
    options.chmodSync(p, 0o666);
  } catch (er2) {
    if (er2.code === "ENOENT") return;else throw er;
  }

  let stats;

  try {
    stats = options.statSync(p);
  } catch (er3) {
    if (er3.code === "ENOENT") return;else throw er;
  }

  if (stats.isDirectory()) rmdirSync(p, options, er);else options.unlinkSync(p);
};

const rmdir = (p, options, originalEr, cb) => {
  assert(p);
  assert(options);
  assert(typeof cb === 'function'); // try to rmdir first, and only readdir on ENOTEMPTY or EEXIST (SunOS)
  // if we guessed wrong, and it's not a directory, then
  // raise the original error.

  options.rmdir(p, er => {
    if (er && (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM")) rmkids(p, options, cb);else if (er && er.code === "ENOTDIR") cb(originalEr);else cb(er);
  });
};

const rmkids = (p, options, cb) => {
  assert(p);
  assert(options);
  assert(typeof cb === 'function');
  options.readdir(p, (er, files) => {
    if (er) return cb(er);
    let n = files.length;
    if (n === 0) return options.rmdir(p, cb);
    let errState;
    files.forEach(f => {
      rimraf(path.join(p, f), options, er => {
        if (errState) return;
        if (er) return cb(errState = er);
        if (--n === 0) options.rmdir(p, cb);
      });
    });
  });
}; // this looks simpler, and is strictly *faster*, but will
// tie up the JavaScript thread and fail on excessively
// deep directory trees.


const rimrafSync = (p, options) => {
  options = options || {};
  defaults(options);
  assert(p, 'rimraf: missing path');
  assert.equal(typeof p, 'string', 'rimraf: path should be a string');
  assert(options, 'rimraf: missing options');
  assert.equal(typeof options, 'object', 'rimraf: options should be object');
  let results;

  if (options.disableGlob || !glob.hasMagic(p)) {
    results = [p];
  } else {
    try {
      options.lstatSync(p);
      results = [p];
    } catch (er) {
      results = glob.sync(p, options.glob);
    }
  }

  if (!results.length) return;

  for (let i = 0; i < results.length; i++) {
    const p = results[i];
    let st;

    try {
      st = options.lstatSync(p);
    } catch (er) {
      if (er.code === "ENOENT") return; // Windows can EPERM on stat.  Life is suffering.

      if (er.code === "EPERM" && isWindows) fixWinEPERMSync(p, options, er);
    }

    try {
      // sunos lets the root user unlink directories, which is... weird.
      if (st && st.isDirectory()) rmdirSync(p, options, null);else options.unlinkSync(p);
    } catch (er) {
      if (er.code === "ENOENT") return;
      if (er.code === "EPERM") return isWindows ? fixWinEPERMSync(p, options, er) : rmdirSync(p, options, er);
      if (er.code !== "EISDIR") throw er;
      rmdirSync(p, options, er);
    }
  }
};

const rmdirSync = (p, options, originalEr) => {
  assert(p);
  assert(options);

  try {
    options.rmdirSync(p);
  } catch (er) {
    if (er.code === "ENOENT") return;
    if (er.code === "ENOTDIR") throw originalEr;
    if (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM") rmkidsSync(p, options);
  }
};

const rmkidsSync = (p, options) => {
  assert(p);
  assert(options);
  options.readdirSync(p).forEach(f => rimrafSync(path.join(p, f), options)); // We only end up here once we got ENOTEMPTY at least once, and
  // at this point, we are guaranteed to have removed all the kids.
  // So, we know that it won't be ENOENT or ENOTDIR or anything else.
  // try really hard to delete stuff on windows, because it has a
  // PROFOUNDLY annoying habit of not closing handles promptly when
  // files are deleted, resulting in spurious ENOTEMPTY errors.

  const retries = isWindows ? 100 : 1;
  let i = 0;

  do {
    let threw = true;

    try {
      const ret = options.rmdirSync(p, options);
      threw = false;
      return ret;
    } finally {
      if (++i < retries && threw) continue;
    }
  } while (true);
};

module.exports = rimraf;
rimraf.sync = rimrafSync;

/***/ }),

/***/ "./node_modules/.f/_/run-queue/1.0.3/run-queue/queue.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = RunQueue;

var validate = __webpack_require__("./node_modules/.f/_/aproba/1.2.0/aproba/index.js");

function RunQueue(opts) {
  validate('Z|O', [opts]);
  if (!opts) opts = {};
  this.finished = false;
  this.inflight = 0;
  this.maxConcurrency = opts.maxConcurrency || 1;
  this.queued = 0;
  this.queue = [];
  this.currentPrio = null;
  this.currentQueue = null;
  this.Promise = opts.Promise || global.Promise;
  this.deferred = {};
}

RunQueue.prototype = {};

RunQueue.prototype.run = function () {
  if (arguments.length !== 0) throw new Error('RunQueue.run takes no arguments');
  var self = this;
  var deferred = this.deferred;

  if (!deferred.promise) {
    deferred.promise = new this.Promise(function (resolve, reject) {
      deferred.resolve = resolve;
      deferred.reject = reject;

      self._runQueue();
    });
  }

  return deferred.promise;
};

RunQueue.prototype._runQueue = function () {
  var self = this;

  while (this.inflight < this.maxConcurrency && this.queued) {
    if (!this.currentQueue || this.currentQueue.length === 0) {
      // wait till the current priority is entirely processed before
      // starting a new one
      if (this.inflight) return;
      var prios = Object.keys(this.queue);

      for (var ii = 0; ii < prios.length; ++ii) {
        var prioQueue = this.queue[prios[ii]];

        if (prioQueue.length) {
          this.currentQueue = prioQueue;
          this.currentPrio = prios[ii];
          break;
        }
      }
    }

    --this.queued;
    ++this.inflight;
    var next = this.currentQueue.shift();
    var args = next.args || []; // we explicitly construct a promise here so that queue items can throw
    // or immediately return to resolve

    var queueEntry = new this.Promise(function (resolve) {
      resolve(next.cmd.apply(null, args));
    });
    queueEntry.then(function () {
      --self.inflight;
      if (self.finished) return;

      if (self.queued <= 0 && self.inflight <= 0) {
        self.finished = true;
        self.deferred.resolve();
      }

      self._runQueue();
    }, function (err) {
      self.finished = true;
      self.deferred.reject(err);
    });
  }
};

RunQueue.prototype.add = function (prio, cmd, args) {
  if (this.finished) throw new Error("Can't add to a finished queue. Create a new queue.");
  if (Math.abs(Math.floor(prio)) !== prio) throw new Error('Priorities must be a positive integer value.');
  validate('NFA|NFZ', [prio, cmd, args]);
  prio = Number(prio);
  if (!this.queue[prio]) this.queue[prio] = [];
  ++this.queued;
  this.queue[prio].push({
    cmd: cmd,
    args: args
  }); // if this priority is higher than the one we're currently processing,
  // switch back to processing its queue.

  if (this.currentPrio > prio) {
    this.currentQueue = this.queue[prio];
    this.currentPrio = prio;
  }
};

/***/ }),

/***/ "./node_modules/.f/_/safe-buffer/5.1.2/safe-buffer/index.js":
/***/ ((module, exports, __webpack_require__) => {

/* eslint-disable node/no-deprecated-api */
var buffer = __webpack_require__("buffer");

var Buffer = buffer.Buffer; // alternative to using Object.keys for old browsers

function copyProps(src, dst) {
  for (var key in src) {
    dst[key] = src[key];
  }
}

if (Buffer.from && Buffer.alloc && Buffer.allocUnsafe && Buffer.allocUnsafeSlow) {
  module.exports = buffer;
} else {
  // Copy properties from require('buffer')
  copyProps(buffer, exports);
  exports.Buffer = SafeBuffer;
}

function SafeBuffer(arg, encodingOrOffset, length) {
  return Buffer(arg, encodingOrOffset, length);
} // Copy static methods from Buffer


copyProps(Buffer, SafeBuffer);

SafeBuffer.from = function (arg, encodingOrOffset, length) {
  if (typeof arg === 'number') {
    throw new TypeError('Argument must not be a number');
  }

  return Buffer(arg, encodingOrOffset, length);
};

SafeBuffer.alloc = function (size, fill, encoding) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  var buf = Buffer(size);

  if (fill !== undefined) {
    if (typeof encoding === 'string') {
      buf.fill(fill, encoding);
    } else {
      buf.fill(fill);
    }
  } else {
    buf.fill(0);
  }

  return buf;
};

SafeBuffer.allocUnsafe = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  return Buffer(size);
};

SafeBuffer.allocUnsafeSlow = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  return buffer.SlowBuffer(size);
};

/***/ }),

/***/ "./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js":
/***/ ((module, exports, __webpack_require__) => {

/*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> */

/* eslint-disable node/no-deprecated-api */
var buffer = __webpack_require__("buffer");

var Buffer = buffer.Buffer; // alternative to using Object.keys for old browsers

function copyProps(src, dst) {
  for (var key in src) {
    dst[key] = src[key];
  }
}

if (Buffer.from && Buffer.alloc && Buffer.allocUnsafe && Buffer.allocUnsafeSlow) {
  module.exports = buffer;
} else {
  // Copy properties from require('buffer')
  copyProps(buffer, exports);
  exports.Buffer = SafeBuffer;
}

function SafeBuffer(arg, encodingOrOffset, length) {
  return Buffer(arg, encodingOrOffset, length);
}

SafeBuffer.prototype = Object.create(Buffer.prototype); // Copy static methods from Buffer

copyProps(Buffer, SafeBuffer);

SafeBuffer.from = function (arg, encodingOrOffset, length) {
  if (typeof arg === 'number') {
    throw new TypeError('Argument must not be a number');
  }

  return Buffer(arg, encodingOrOffset, length);
};

SafeBuffer.alloc = function (size, fill, encoding) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  var buf = Buffer(size);

  if (fill !== undefined) {
    if (typeof encoding === 'string') {
      buf.fill(fill, encoding);
    } else {
      buf.fill(fill);
    }
  } else {
    buf.fill(0);
  }

  return buf;
};

SafeBuffer.allocUnsafe = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  return Buffer(size);
};

SafeBuffer.allocUnsafeSlow = function (size) {
  if (typeof size !== 'number') {
    throw new TypeError('Argument must be a number');
  }

  return buffer.SlowBuffer(size);
};

/***/ }),

/***/ "./node_modules/.f/_/semver/5.7.1/semver/semver.js":
/***/ ((module, exports) => {

exports = module.exports = SemVer;
var debug;
/* istanbul ignore next */

if (typeof process === 'object' && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG)) {
  debug = function () {
    var args = Array.prototype.slice.call(arguments, 0);
    args.unshift('SEMVER');
    console.log.apply(console, args);
  };
} else {
  debug = function () {};
} // Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.


exports.SEMVER_SPEC_VERSION = '2.0.0';
var MAX_LENGTH = 256;
var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
/* istanbul ignore next */
9007199254740991; // Max safe segment length for coercion.

var MAX_SAFE_COMPONENT_LENGTH = 16; // The actual regexps go on exports.re

var re = exports.re = [];
var src = exports.src = [];
var R = 0; // The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.
// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.

var NUMERICIDENTIFIER = R++;
src[NUMERICIDENTIFIER] = '0|[1-9]\\d*';
var NUMERICIDENTIFIERLOOSE = R++;
src[NUMERICIDENTIFIERLOOSE] = '[0-9]+'; // ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

var NONNUMERICIDENTIFIER = R++;
src[NONNUMERICIDENTIFIER] = '\\d*[a-zA-Z-][a-zA-Z0-9-]*'; // ## Main Version
// Three dot-separated numeric identifiers.

var MAINVERSION = R++;
src[MAINVERSION] = '(' + src[NUMERICIDENTIFIER] + ')\\.' + '(' + src[NUMERICIDENTIFIER] + ')\\.' + '(' + src[NUMERICIDENTIFIER] + ')';
var MAINVERSIONLOOSE = R++;
src[MAINVERSIONLOOSE] = '(' + src[NUMERICIDENTIFIERLOOSE] + ')\\.' + '(' + src[NUMERICIDENTIFIERLOOSE] + ')\\.' + '(' + src[NUMERICIDENTIFIERLOOSE] + ')'; // ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

var PRERELEASEIDENTIFIER = R++;
src[PRERELEASEIDENTIFIER] = '(?:' + src[NUMERICIDENTIFIER] + '|' + src[NONNUMERICIDENTIFIER] + ')';
var PRERELEASEIDENTIFIERLOOSE = R++;
src[PRERELEASEIDENTIFIERLOOSE] = '(?:' + src[NUMERICIDENTIFIERLOOSE] + '|' + src[NONNUMERICIDENTIFIER] + ')'; // ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

var PRERELEASE = R++;
src[PRERELEASE] = '(?:-(' + src[PRERELEASEIDENTIFIER] + '(?:\\.' + src[PRERELEASEIDENTIFIER] + ')*))';
var PRERELEASELOOSE = R++;
src[PRERELEASELOOSE] = '(?:-?(' + src[PRERELEASEIDENTIFIERLOOSE] + '(?:\\.' + src[PRERELEASEIDENTIFIERLOOSE] + ')*))'; // ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

var BUILDIDENTIFIER = R++;
src[BUILDIDENTIFIER] = '[0-9A-Za-z-]+'; // ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

var BUILD = R++;
src[BUILD] = '(?:\\+(' + src[BUILDIDENTIFIER] + '(?:\\.' + src[BUILDIDENTIFIER] + ')*))'; // ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.
// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

var FULL = R++;
var FULLPLAIN = 'v?' + src[MAINVERSION] + src[PRERELEASE] + '?' + src[BUILD] + '?';
src[FULL] = '^' + FULLPLAIN + '$'; // like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.

var LOOSEPLAIN = '[v=\\s]*' + src[MAINVERSIONLOOSE] + src[PRERELEASELOOSE] + '?' + src[BUILD] + '?';
var LOOSE = R++;
src[LOOSE] = '^' + LOOSEPLAIN + '$';
var GTLT = R++;
src[GTLT] = '((?:<|>)?=?)'; // Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.

var XRANGEIDENTIFIERLOOSE = R++;
src[XRANGEIDENTIFIERLOOSE] = src[NUMERICIDENTIFIERLOOSE] + '|x|X|\\*';
var XRANGEIDENTIFIER = R++;
src[XRANGEIDENTIFIER] = src[NUMERICIDENTIFIER] + '|x|X|\\*';
var XRANGEPLAIN = R++;
src[XRANGEPLAIN] = '[v=\\s]*(' + src[XRANGEIDENTIFIER] + ')' + '(?:\\.(' + src[XRANGEIDENTIFIER] + ')' + '(?:\\.(' + src[XRANGEIDENTIFIER] + ')' + '(?:' + src[PRERELEASE] + ')?' + src[BUILD] + '?' + ')?)?';
var XRANGEPLAINLOOSE = R++;
src[XRANGEPLAINLOOSE] = '[v=\\s]*(' + src[XRANGEIDENTIFIERLOOSE] + ')' + '(?:\\.(' + src[XRANGEIDENTIFIERLOOSE] + ')' + '(?:\\.(' + src[XRANGEIDENTIFIERLOOSE] + ')' + '(?:' + src[PRERELEASELOOSE] + ')?' + src[BUILD] + '?' + ')?)?';
var XRANGE = R++;
src[XRANGE] = '^' + src[GTLT] + '\\s*' + src[XRANGEPLAIN] + '$';
var XRANGELOOSE = R++;
src[XRANGELOOSE] = '^' + src[GTLT] + '\\s*' + src[XRANGEPLAINLOOSE] + '$'; // Coercion.
// Extract anything that could conceivably be a part of a valid semver

var COERCE = R++;
src[COERCE] = '(?:^|[^\\d])' + '(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '})' + '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' + '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' + '(?:$|[^\\d])'; // Tilde ranges.
// Meaning is "reasonably at or greater than"

var LONETILDE = R++;
src[LONETILDE] = '(?:~>?)';
var TILDETRIM = R++;
src[TILDETRIM] = '(\\s*)' + src[LONETILDE] + '\\s+';
re[TILDETRIM] = new RegExp(src[TILDETRIM], 'g');
var tildeTrimReplace = '$1~';
var TILDE = R++;
src[TILDE] = '^' + src[LONETILDE] + src[XRANGEPLAIN] + '$';
var TILDELOOSE = R++;
src[TILDELOOSE] = '^' + src[LONETILDE] + src[XRANGEPLAINLOOSE] + '$'; // Caret ranges.
// Meaning is "at least and backwards compatible with"

var LONECARET = R++;
src[LONECARET] = '(?:\\^)';
var CARETTRIM = R++;
src[CARETTRIM] = '(\\s*)' + src[LONECARET] + '\\s+';
re[CARETTRIM] = new RegExp(src[CARETTRIM], 'g');
var caretTrimReplace = '$1^';
var CARET = R++;
src[CARET] = '^' + src[LONECARET] + src[XRANGEPLAIN] + '$';
var CARETLOOSE = R++;
src[CARETLOOSE] = '^' + src[LONECARET] + src[XRANGEPLAINLOOSE] + '$'; // A simple gt/lt/eq thing, or just "" to indicate "any version"

var COMPARATORLOOSE = R++;
src[COMPARATORLOOSE] = '^' + src[GTLT] + '\\s*(' + LOOSEPLAIN + ')$|^$';
var COMPARATOR = R++;
src[COMPARATOR] = '^' + src[GTLT] + '\\s*(' + FULLPLAIN + ')$|^$'; // An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`

var COMPARATORTRIM = R++;
src[COMPARATORTRIM] = '(\\s*)' + src[GTLT] + '\\s*(' + LOOSEPLAIN + '|' + src[XRANGEPLAIN] + ')'; // this one has to use the /g flag

re[COMPARATORTRIM] = new RegExp(src[COMPARATORTRIM], 'g');
var comparatorTrimReplace = '$1$2$3'; // Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.

var HYPHENRANGE = R++;
src[HYPHENRANGE] = '^\\s*(' + src[XRANGEPLAIN] + ')' + '\\s+-\\s+' + '(' + src[XRANGEPLAIN] + ')' + '\\s*$';
var HYPHENRANGELOOSE = R++;
src[HYPHENRANGELOOSE] = '^\\s*(' + src[XRANGEPLAINLOOSE] + ')' + '\\s+-\\s+' + '(' + src[XRANGEPLAINLOOSE] + ')' + '\\s*$'; // Star ranges basically just allow anything at all.

var STAR = R++;
src[STAR] = '(<|>)?=?\\s*\\*'; // Compile to actual regexp objects.
// All are flag-free, unless they were created above with a flag.

for (var i = 0; i < R; i++) {
  debug(i, src[i]);

  if (!re[i]) {
    re[i] = new RegExp(src[i]);
  }
}

exports.parse = parse;

function parse(version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    };
  }

  if (version instanceof SemVer) {
    return version;
  }

  if (typeof version !== 'string') {
    return null;
  }

  if (version.length > MAX_LENGTH) {
    return null;
  }

  var r = options.loose ? re[LOOSE] : re[FULL];

  if (!r.test(version)) {
    return null;
  }

  try {
    return new SemVer(version, options);
  } catch (er) {
    return null;
  }
}

exports.valid = valid;

function valid(version, options) {
  var v = parse(version, options);
  return v ? v.version : null;
}

exports.clean = clean;

function clean(version, options) {
  var s = parse(version.trim().replace(/^[=v]+/, ''), options);
  return s ? s.version : null;
}

exports.SemVer = SemVer;

function SemVer(version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    };
  }

  if (version instanceof SemVer) {
    if (version.loose === options.loose) {
      return version;
    } else {
      version = version.version;
    }
  } else if (typeof version !== 'string') {
    throw new TypeError('Invalid Version: ' + version);
  }

  if (version.length > MAX_LENGTH) {
    throw new TypeError('version is longer than ' + MAX_LENGTH + ' characters');
  }

  if (!(this instanceof SemVer)) {
    return new SemVer(version, options);
  }

  debug('SemVer', version, options);
  this.options = options;
  this.loose = !!options.loose;
  var m = version.trim().match(options.loose ? re[LOOSE] : re[FULL]);

  if (!m) {
    throw new TypeError('Invalid Version: ' + version);
  }

  this.raw = version; // these are actually numbers

  this.major = +m[1];
  this.minor = +m[2];
  this.patch = +m[3];

  if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
    throw new TypeError('Invalid major version');
  }

  if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
    throw new TypeError('Invalid minor version');
  }

  if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
    throw new TypeError('Invalid patch version');
  } // numberify any prerelease numeric ids


  if (!m[4]) {
    this.prerelease = [];
  } else {
    this.prerelease = m[4].split('.').map(function (id) {
      if (/^[0-9]+$/.test(id)) {
        var num = +id;

        if (num >= 0 && num < MAX_SAFE_INTEGER) {
          return num;
        }
      }

      return id;
    });
  }

  this.build = m[5] ? m[5].split('.') : [];
  this.format();
}

SemVer.prototype.format = function () {
  this.version = this.major + '.' + this.minor + '.' + this.patch;

  if (this.prerelease.length) {
    this.version += '-' + this.prerelease.join('.');
  }

  return this.version;
};

SemVer.prototype.toString = function () {
  return this.version;
};

SemVer.prototype.compare = function (other) {
  debug('SemVer.compare', this.version, this.options, other);

  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options);
  }

  return this.compareMain(other) || this.comparePre(other);
};

SemVer.prototype.compareMain = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options);
  }

  return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
};

SemVer.prototype.comparePre = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options);
  } // NOT having a prerelease is > having one


  if (this.prerelease.length && !other.prerelease.length) {
    return -1;
  } else if (!this.prerelease.length && other.prerelease.length) {
    return 1;
  } else if (!this.prerelease.length && !other.prerelease.length) {
    return 0;
  }

  var i = 0;

  do {
    var a = this.prerelease[i];
    var b = other.prerelease[i];
    debug('prerelease compare', i, a, b);

    if (a === undefined && b === undefined) {
      return 0;
    } else if (b === undefined) {
      return 1;
    } else if (a === undefined) {
      return -1;
    } else if (a === b) {
      continue;
    } else {
      return compareIdentifiers(a, b);
    }
  } while (++i);
}; // preminor will bump the version up to the next minor release, and immediately
// down to pre-release. premajor and prepatch work the same way.


SemVer.prototype.inc = function (release, identifier) {
  switch (release) {
    case 'premajor':
      this.prerelease.length = 0;
      this.patch = 0;
      this.minor = 0;
      this.major++;
      this.inc('pre', identifier);
      break;

    case 'preminor':
      this.prerelease.length = 0;
      this.patch = 0;
      this.minor++;
      this.inc('pre', identifier);
      break;

    case 'prepatch':
      // If this is already a prerelease, it will bump to the next version
      // drop any prereleases that might already exist, since they are not
      // relevant at this point.
      this.prerelease.length = 0;
      this.inc('patch', identifier);
      this.inc('pre', identifier);
      break;
    // If the input is a non-prerelease version, this acts the same as
    // prepatch.

    case 'prerelease':
      if (this.prerelease.length === 0) {
        this.inc('patch', identifier);
      }

      this.inc('pre', identifier);
      break;

    case 'major':
      // If this is a pre-major version, bump up to the same major version.
      // Otherwise increment major.
      // 1.0.0-5 bumps to 1.0.0
      // 1.1.0 bumps to 2.0.0
      if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
        this.major++;
      }

      this.minor = 0;
      this.patch = 0;
      this.prerelease = [];
      break;

    case 'minor':
      // If this is a pre-minor version, bump up to the same minor version.
      // Otherwise increment minor.
      // 1.2.0-5 bumps to 1.2.0
      // 1.2.1 bumps to 1.3.0
      if (this.patch !== 0 || this.prerelease.length === 0) {
        this.minor++;
      }

      this.patch = 0;
      this.prerelease = [];
      break;

    case 'patch':
      // If this is not a pre-release version, it will increment the patch.
      // If it is a pre-release it will bump up to the same patch version.
      // 1.2.0-5 patches to 1.2.0
      // 1.2.0 patches to 1.2.1
      if (this.prerelease.length === 0) {
        this.patch++;
      }

      this.prerelease = [];
      break;
    // This probably shouldn't be used publicly.
    // 1.0.0 "pre" would become 1.0.0-0 which is the wrong direction.

    case 'pre':
      if (this.prerelease.length === 0) {
        this.prerelease = [0];
      } else {
        var i = this.prerelease.length;

        while (--i >= 0) {
          if (typeof this.prerelease[i] === 'number') {
            this.prerelease[i]++;
            i = -2;
          }
        }

        if (i === -1) {
          // didn't increment anything
          this.prerelease.push(0);
        }
      }

      if (identifier) {
        // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
        // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
        if (this.prerelease[0] === identifier) {
          if (isNaN(this.prerelease[1])) {
            this.prerelease = [identifier, 0];
          }
        } else {
          this.prerelease = [identifier, 0];
        }
      }

      break;

    default:
      throw new Error('invalid increment argument: ' + release);
  }

  this.format();
  this.raw = this.version;
  return this;
};

exports.inc = inc;

function inc(version, release, loose, identifier) {
  if (typeof loose === 'string') {
    identifier = loose;
    loose = undefined;
  }

  try {
    return new SemVer(version, loose).inc(release, identifier).version;
  } catch (er) {
    return null;
  }
}

exports.diff = diff;

function diff(version1, version2) {
  if (eq(version1, version2)) {
    return null;
  } else {
    var v1 = parse(version1);
    var v2 = parse(version2);
    var prefix = '';

    if (v1.prerelease.length || v2.prerelease.length) {
      prefix = 'pre';
      var defaultResult = 'prerelease';
    }

    for (var key in v1) {
      if (key === 'major' || key === 'minor' || key === 'patch') {
        if (v1[key] !== v2[key]) {
          return prefix + key;
        }
      }
    }

    return defaultResult; // may be undefined
  }
}

exports.compareIdentifiers = compareIdentifiers;
var numeric = /^[0-9]+$/;

function compareIdentifiers(a, b) {
  var anum = numeric.test(a);
  var bnum = numeric.test(b);

  if (anum && bnum) {
    a = +a;
    b = +b;
  }

  return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
}

exports.rcompareIdentifiers = rcompareIdentifiers;

function rcompareIdentifiers(a, b) {
  return compareIdentifiers(b, a);
}

exports.major = major;

function major(a, loose) {
  return new SemVer(a, loose).major;
}

exports.minor = minor;

function minor(a, loose) {
  return new SemVer(a, loose).minor;
}

exports.patch = patch;

function patch(a, loose) {
  return new SemVer(a, loose).patch;
}

exports.compare = compare;

function compare(a, b, loose) {
  return new SemVer(a, loose).compare(new SemVer(b, loose));
}

exports.compareLoose = compareLoose;

function compareLoose(a, b) {
  return compare(a, b, true);
}

exports.rcompare = rcompare;

function rcompare(a, b, loose) {
  return compare(b, a, loose);
}

exports.sort = sort;

function sort(list, loose) {
  return list.sort(function (a, b) {
    return exports.compare(a, b, loose);
  });
}

exports.rsort = rsort;

function rsort(list, loose) {
  return list.sort(function (a, b) {
    return exports.rcompare(a, b, loose);
  });
}

exports.gt = gt;

function gt(a, b, loose) {
  return compare(a, b, loose) > 0;
}

exports.lt = lt;

function lt(a, b, loose) {
  return compare(a, b, loose) < 0;
}

exports.eq = eq;

function eq(a, b, loose) {
  return compare(a, b, loose) === 0;
}

exports.neq = neq;

function neq(a, b, loose) {
  return compare(a, b, loose) !== 0;
}

exports.gte = gte;

function gte(a, b, loose) {
  return compare(a, b, loose) >= 0;
}

exports.lte = lte;

function lte(a, b, loose) {
  return compare(a, b, loose) <= 0;
}

exports.cmp = cmp;

function cmp(a, op, b, loose) {
  switch (op) {
    case '===':
      if (typeof a === 'object') a = a.version;
      if (typeof b === 'object') b = b.version;
      return a === b;

    case '!==':
      if (typeof a === 'object') a = a.version;
      if (typeof b === 'object') b = b.version;
      return a !== b;

    case '':
    case '=':
    case '==':
      return eq(a, b, loose);

    case '!=':
      return neq(a, b, loose);

    case '>':
      return gt(a, b, loose);

    case '>=':
      return gte(a, b, loose);

    case '<':
      return lt(a, b, loose);

    case '<=':
      return lte(a, b, loose);

    default:
      throw new TypeError('Invalid operator: ' + op);
  }
}

exports.Comparator = Comparator;

function Comparator(comp, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    };
  }

  if (comp instanceof Comparator) {
    if (comp.loose === !!options.loose) {
      return comp;
    } else {
      comp = comp.value;
    }
  }

  if (!(this instanceof Comparator)) {
    return new Comparator(comp, options);
  }

  debug('comparator', comp, options);
  this.options = options;
  this.loose = !!options.loose;
  this.parse(comp);

  if (this.semver === ANY) {
    this.value = '';
  } else {
    this.value = this.operator + this.semver.version;
  }

  debug('comp', this);
}

var ANY = {};

Comparator.prototype.parse = function (comp) {
  var r = this.options.loose ? re[COMPARATORLOOSE] : re[COMPARATOR];
  var m = comp.match(r);

  if (!m) {
    throw new TypeError('Invalid comparator: ' + comp);
  }

  this.operator = m[1];

  if (this.operator === '=') {
    this.operator = '';
  } // if it literally is just '>' or '' then allow anything.


  if (!m[2]) {
    this.semver = ANY;
  } else {
    this.semver = new SemVer(m[2], this.options.loose);
  }
};

Comparator.prototype.toString = function () {
  return this.value;
};

Comparator.prototype.test = function (version) {
  debug('Comparator.test', version, this.options.loose);

  if (this.semver === ANY) {
    return true;
  }

  if (typeof version === 'string') {
    version = new SemVer(version, this.options);
  }

  return cmp(version, this.operator, this.semver, this.options);
};

Comparator.prototype.intersects = function (comp, options) {
  if (!(comp instanceof Comparator)) {
    throw new TypeError('a Comparator is required');
  }

  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    };
  }

  var rangeTmp;

  if (this.operator === '') {
    rangeTmp = new Range(comp.value, options);
    return satisfies(this.value, rangeTmp, options);
  } else if (comp.operator === '') {
    rangeTmp = new Range(this.value, options);
    return satisfies(comp.semver, rangeTmp, options);
  }

  var sameDirectionIncreasing = (this.operator === '>=' || this.operator === '>') && (comp.operator === '>=' || comp.operator === '>');
  var sameDirectionDecreasing = (this.operator === '<=' || this.operator === '<') && (comp.operator === '<=' || comp.operator === '<');
  var sameSemVer = this.semver.version === comp.semver.version;
  var differentDirectionsInclusive = (this.operator === '>=' || this.operator === '<=') && (comp.operator === '>=' || comp.operator === '<=');
  var oppositeDirectionsLessThan = cmp(this.semver, '<', comp.semver, options) && (this.operator === '>=' || this.operator === '>') && (comp.operator === '<=' || comp.operator === '<');
  var oppositeDirectionsGreaterThan = cmp(this.semver, '>', comp.semver, options) && (this.operator === '<=' || this.operator === '<') && (comp.operator === '>=' || comp.operator === '>');
  return sameDirectionIncreasing || sameDirectionDecreasing || sameSemVer && differentDirectionsInclusive || oppositeDirectionsLessThan || oppositeDirectionsGreaterThan;
};

exports.Range = Range;

function Range(range, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    };
  }

  if (range instanceof Range) {
    if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
      return range;
    } else {
      return new Range(range.raw, options);
    }
  }

  if (range instanceof Comparator) {
    return new Range(range.value, options);
  }

  if (!(this instanceof Range)) {
    return new Range(range, options);
  }

  this.options = options;
  this.loose = !!options.loose;
  this.includePrerelease = !!options.includePrerelease; // First, split based on boolean or ||

  this.raw = range;
  this.set = range.split(/\s*\|\|\s*/).map(function (range) {
    return this.parseRange(range.trim());
  }, this).filter(function (c) {
    // throw out any that are not relevant for whatever reason
    return c.length;
  });

  if (!this.set.length) {
    throw new TypeError('Invalid SemVer Range: ' + range);
  }

  this.format();
}

Range.prototype.format = function () {
  this.range = this.set.map(function (comps) {
    return comps.join(' ').trim();
  }).join('||').trim();
  return this.range;
};

Range.prototype.toString = function () {
  return this.range;
};

Range.prototype.parseRange = function (range) {
  var loose = this.options.loose;
  range = range.trim(); // `1.2.3 - 1.2.4` => `>=1.2.3 <=1.2.4`

  var hr = loose ? re[HYPHENRANGELOOSE] : re[HYPHENRANGE];
  range = range.replace(hr, hyphenReplace);
  debug('hyphen replace', range); // `> 1.2.3 < 1.2.5` => `>1.2.3 <1.2.5`

  range = range.replace(re[COMPARATORTRIM], comparatorTrimReplace);
  debug('comparator trim', range, re[COMPARATORTRIM]); // `~ 1.2.3` => `~1.2.3`

  range = range.replace(re[TILDETRIM], tildeTrimReplace); // `^ 1.2.3` => `^1.2.3`

  range = range.replace(re[CARETTRIM], caretTrimReplace); // normalize spaces

  range = range.split(/\s+/).join(' '); // At this point, the range is completely trimmed and
  // ready to be split into comparators.

  var compRe = loose ? re[COMPARATORLOOSE] : re[COMPARATOR];
  var set = range.split(' ').map(function (comp) {
    return parseComparator(comp, this.options);
  }, this).join(' ').split(/\s+/);

  if (this.options.loose) {
    // in loose mode, throw out any that are not valid comparators
    set = set.filter(function (comp) {
      return !!comp.match(compRe);
    });
  }

  set = set.map(function (comp) {
    return new Comparator(comp, this.options);
  }, this);
  return set;
};

Range.prototype.intersects = function (range, options) {
  if (!(range instanceof Range)) {
    throw new TypeError('a Range is required');
  }

  return this.set.some(function (thisComparators) {
    return thisComparators.every(function (thisComparator) {
      return range.set.some(function (rangeComparators) {
        return rangeComparators.every(function (rangeComparator) {
          return thisComparator.intersects(rangeComparator, options);
        });
      });
    });
  });
}; // Mostly just for testing and legacy API reasons


exports.toComparators = toComparators;

function toComparators(range, options) {
  return new Range(range, options).set.map(function (comp) {
    return comp.map(function (c) {
      return c.value;
    }).join(' ').trim().split(' ');
  });
} // comprised of xranges, tildes, stars, and gtlt's at this point.
// already replaced the hyphen ranges
// turn into a set of JUST comparators.


function parseComparator(comp, options) {
  debug('comp', comp, options);
  comp = replaceCarets(comp, options);
  debug('caret', comp);
  comp = replaceTildes(comp, options);
  debug('tildes', comp);
  comp = replaceXRanges(comp, options);
  debug('xrange', comp);
  comp = replaceStars(comp, options);
  debug('stars', comp);
  return comp;
}

function isX(id) {
  return !id || id.toLowerCase() === 'x' || id === '*';
} // ~, ~> --> * (any, kinda silly)
// ~2, ~2.x, ~2.x.x, ~>2, ~>2.x ~>2.x.x --> >=2.0.0 <3.0.0
// ~2.0, ~2.0.x, ~>2.0, ~>2.0.x --> >=2.0.0 <2.1.0
// ~1.2, ~1.2.x, ~>1.2, ~>1.2.x --> >=1.2.0 <1.3.0
// ~1.2.3, ~>1.2.3 --> >=1.2.3 <1.3.0
// ~1.2.0, ~>1.2.0 --> >=1.2.0 <1.3.0


function replaceTildes(comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceTilde(comp, options);
  }).join(' ');
}

function replaceTilde(comp, options) {
  var r = options.loose ? re[TILDELOOSE] : re[TILDE];
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('tilde', comp, _, M, m, p, pr);
    var ret;

    if (isX(M)) {
      ret = '';
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0';
    } else if (isX(p)) {
      // ~1.2 == >=1.2.0 <1.3.0
      ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0';
    } else if (pr) {
      debug('replaceTilde pr', pr);
      ret = '>=' + M + '.' + m + '.' + p + '-' + pr + ' <' + M + '.' + (+m + 1) + '.0';
    } else {
      // ~1.2.3 == >=1.2.3 <1.3.0
      ret = '>=' + M + '.' + m + '.' + p + ' <' + M + '.' + (+m + 1) + '.0';
    }

    debug('tilde return', ret);
    return ret;
  });
} // ^ --> * (any, kinda silly)
// ^2, ^2.x, ^2.x.x --> >=2.0.0 <3.0.0
// ^2.0, ^2.0.x --> >=2.0.0 <3.0.0
// ^1.2, ^1.2.x --> >=1.2.0 <2.0.0
// ^1.2.3 --> >=1.2.3 <2.0.0
// ^1.2.0 --> >=1.2.0 <2.0.0


function replaceCarets(comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceCaret(comp, options);
  }).join(' ');
}

function replaceCaret(comp, options) {
  debug('caret', comp, options);
  var r = options.loose ? re[CARETLOOSE] : re[CARET];
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('caret', comp, _, M, m, p, pr);
    var ret;

    if (isX(M)) {
      ret = '';
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0';
    } else if (isX(p)) {
      if (M === '0') {
        ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0';
      } else {
        ret = '>=' + M + '.' + m + '.0 <' + (+M + 1) + '.0.0';
      }
    } else if (pr) {
      debug('replaceCaret pr', pr);

      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr + ' <' + M + '.' + m + '.' + (+p + 1);
        } else {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr + ' <' + M + '.' + (+m + 1) + '.0';
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p + '-' + pr + ' <' + (+M + 1) + '.0.0';
      }
    } else {
      debug('no pr');

      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p + ' <' + M + '.' + m + '.' + (+p + 1);
        } else {
          ret = '>=' + M + '.' + m + '.' + p + ' <' + M + '.' + (+m + 1) + '.0';
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p + ' <' + (+M + 1) + '.0.0';
      }
    }

    debug('caret return', ret);
    return ret;
  });
}

function replaceXRanges(comp, options) {
  debug('replaceXRanges', comp, options);
  return comp.split(/\s+/).map(function (comp) {
    return replaceXRange(comp, options);
  }).join(' ');
}

function replaceXRange(comp, options) {
  comp = comp.trim();
  var r = options.loose ? re[XRANGELOOSE] : re[XRANGE];
  return comp.replace(r, function (ret, gtlt, M, m, p, pr) {
    debug('xRange', comp, ret, gtlt, M, m, p, pr);
    var xM = isX(M);
    var xm = xM || isX(m);
    var xp = xm || isX(p);
    var anyX = xp;

    if (gtlt === '=' && anyX) {
      gtlt = '';
    }

    if (xM) {
      if (gtlt === '>' || gtlt === '<') {
        // nothing is allowed
        ret = '<0.0.0';
      } else {
        // nothing is forbidden
        ret = '*';
      }
    } else if (gtlt && anyX) {
      // we know patch is an x, because we have any x at all.
      // replace X with 0
      if (xm) {
        m = 0;
      }

      p = 0;

      if (gtlt === '>') {
        // >1 => >=2.0.0
        // >1.2 => >=1.3.0
        // >1.2.3 => >= 1.2.4
        gtlt = '>=';

        if (xm) {
          M = +M + 1;
          m = 0;
          p = 0;
        } else {
          m = +m + 1;
          p = 0;
        }
      } else if (gtlt === '<=') {
        // <=0.7.x is actually <0.8.0, since any 0.7.x should
        // pass.  Similarly, <=7.x is actually <8.0.0, etc.
        gtlt = '<';

        if (xm) {
          M = +M + 1;
        } else {
          m = +m + 1;
        }
      }

      ret = gtlt + M + '.' + m + '.' + p;
    } else if (xm) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0';
    } else if (xp) {
      ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0';
    }

    debug('xRange return', ret);
    return ret;
  });
} // Because * is AND-ed with everything else in the comparator,
// and '' means "any version", just remove the *s entirely.


function replaceStars(comp, options) {
  debug('replaceStars', comp, options); // Looseness is ignored here.  star is always as loose as it gets!

  return comp.trim().replace(re[STAR], '');
} // This function is passed to string.replace(re[HYPHENRANGE])
// M, m, patch, prerelease, build
// 1.2 - 3.4.5 => >=1.2.0 <=3.4.5
// 1.2.3 - 3.4 => >=1.2.0 <3.5.0 Any 3.4.x will do
// 1.2 - 3.4 => >=1.2.0 <3.5.0


function hyphenReplace($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) {
  if (isX(fM)) {
    from = '';
  } else if (isX(fm)) {
    from = '>=' + fM + '.0.0';
  } else if (isX(fp)) {
    from = '>=' + fM + '.' + fm + '.0';
  } else {
    from = '>=' + from;
  }

  if (isX(tM)) {
    to = '';
  } else if (isX(tm)) {
    to = '<' + (+tM + 1) + '.0.0';
  } else if (isX(tp)) {
    to = '<' + tM + '.' + (+tm + 1) + '.0';
  } else if (tpr) {
    to = '<=' + tM + '.' + tm + '.' + tp + '-' + tpr;
  } else {
    to = '<=' + to;
  }

  return (from + ' ' + to).trim();
} // if ANY of the sets match ALL of its comparators, then pass


Range.prototype.test = function (version) {
  if (!version) {
    return false;
  }

  if (typeof version === 'string') {
    version = new SemVer(version, this.options);
  }

  for (var i = 0; i < this.set.length; i++) {
    if (testSet(this.set[i], version, this.options)) {
      return true;
    }
  }

  return false;
};

function testSet(set, version, options) {
  for (var i = 0; i < set.length; i++) {
    if (!set[i].test(version)) {
      return false;
    }
  }

  if (version.prerelease.length && !options.includePrerelease) {
    // Find the set of versions that are allowed to have prereleases
    // For example, ^1.2.3-pr.1 desugars to >=1.2.3-pr.1 <2.0.0
    // That should allow `1.2.3-pr.2` to pass.
    // However, `1.2.4-alpha.notready` should NOT be allowed,
    // even though it's within the range set by the comparators.
    for (i = 0; i < set.length; i++) {
      debug(set[i].semver);

      if (set[i].semver === ANY) {
        continue;
      }

      if (set[i].semver.prerelease.length > 0) {
        var allowed = set[i].semver;

        if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
          return true;
        }
      }
    } // Version has a -pre, but it's not one of the ones we like.


    return false;
  }

  return true;
}

exports.satisfies = satisfies;

function satisfies(version, range, options) {
  try {
    range = new Range(range, options);
  } catch (er) {
    return false;
  }

  return range.test(version);
}

exports.maxSatisfying = maxSatisfying;

function maxSatisfying(versions, range, options) {
  var max = null;
  var maxSV = null;

  try {
    var rangeObj = new Range(range, options);
  } catch (er) {
    return null;
  }

  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!max || maxSV.compare(v) === -1) {
        // compare(max, v, true)
        max = v;
        maxSV = new SemVer(max, options);
      }
    }
  });
  return max;
}

exports.minSatisfying = minSatisfying;

function minSatisfying(versions, range, options) {
  var min = null;
  var minSV = null;

  try {
    var rangeObj = new Range(range, options);
  } catch (er) {
    return null;
  }

  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!min || minSV.compare(v) === 1) {
        // compare(min, v, true)
        min = v;
        minSV = new SemVer(min, options);
      }
    }
  });
  return min;
}

exports.minVersion = minVersion;

function minVersion(range, loose) {
  range = new Range(range, loose);
  var minver = new SemVer('0.0.0');

  if (range.test(minver)) {
    return minver;
  }

  minver = new SemVer('0.0.0-0');

  if (range.test(minver)) {
    return minver;
  }

  minver = null;

  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i];
    comparators.forEach(function (comparator) {
      // Clone to avoid manipulating the comparator's semver object.
      var compver = new SemVer(comparator.semver.version);

      switch (comparator.operator) {
        case '>':
          if (compver.prerelease.length === 0) {
            compver.patch++;
          } else {
            compver.prerelease.push(0);
          }

          compver.raw = compver.format();

        /* fallthrough */

        case '':
        case '>=':
          if (!minver || gt(minver, compver)) {
            minver = compver;
          }

          break;

        case '<':
        case '<=':
          /* Ignore maximum versions */
          break;

        /* istanbul ignore next */

        default:
          throw new Error('Unexpected operation: ' + comparator.operator);
      }
    });
  }

  if (minver && range.test(minver)) {
    return minver;
  }

  return null;
}

exports.validRange = validRange;

function validRange(range, options) {
  try {
    // Return '*' instead of '' so that truthiness works.
    // This will throw if it's invalid anyway
    return new Range(range, options).range || '*';
  } catch (er) {
    return null;
  }
} // Determine if version is less than all the versions possible in the range


exports.ltr = ltr;

function ltr(version, range, options) {
  return outside(version, range, '<', options);
} // Determine if version is greater than all the versions possible in the range.


exports.gtr = gtr;

function gtr(version, range, options) {
  return outside(version, range, '>', options);
}

exports.outside = outside;

function outside(version, range, hilo, options) {
  version = new SemVer(version, options);
  range = new Range(range, options);
  var gtfn, ltefn, ltfn, comp, ecomp;

  switch (hilo) {
    case '>':
      gtfn = gt;
      ltefn = lte;
      ltfn = lt;
      comp = '>';
      ecomp = '>=';
      break;

    case '<':
      gtfn = lt;
      ltefn = gte;
      ltfn = gt;
      comp = '<';
      ecomp = '<=';
      break;

    default:
      throw new TypeError('Must provide a hilo val of "<" or ">"');
  } // If it satisifes the range it is not outside


  if (satisfies(version, range, options)) {
    return false;
  } // From now on, variable terms are as if we're in "gtr" mode.
  // but note that everything is flipped for the "ltr" function.


  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i];
    var high = null;
    var low = null;
    comparators.forEach(function (comparator) {
      if (comparator.semver === ANY) {
        comparator = new Comparator('>=0.0.0');
      }

      high = high || comparator;
      low = low || comparator;

      if (gtfn(comparator.semver, high.semver, options)) {
        high = comparator;
      } else if (ltfn(comparator.semver, low.semver, options)) {
        low = comparator;
      }
    }); // If the edge version comparator has a operator then our version
    // isn't outside it

    if (high.operator === comp || high.operator === ecomp) {
      return false;
    } // If the lowest version comparator has an operator and our version
    // is less than it then it isn't higher than the range


    if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
      return false;
    } else if (low.operator === ecomp && ltfn(version, low.semver)) {
      return false;
    }
  }

  return true;
}

exports.prerelease = prerelease;

function prerelease(version, options) {
  var parsed = parse(version, options);
  return parsed && parsed.prerelease.length ? parsed.prerelease : null;
}

exports.intersects = intersects;

function intersects(r1, r2, options) {
  r1 = new Range(r1, options);
  r2 = new Range(r2, options);
  return r1.intersects(r2);
}

exports.coerce = coerce;

function coerce(version) {
  if (version instanceof SemVer) {
    return version;
  }

  if (typeof version !== 'string') {
    return null;
  }

  var match = version.match(re[COERCE]);

  if (match == null) {
    return null;
  }

  return parse(match[1] + '.' + (match[2] || '0') + '.' + (match[3] || '0'));
}

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/classes/comparator.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const ANY = Symbol('SemVer ANY'); // hoisted class for cyclic dependency

class Comparator {
  static get ANY() {
    return ANY;
  }

  constructor(comp, options) {
    options = parseOptions(options);

    if (comp instanceof Comparator) {
      if (comp.loose === !!options.loose) {
        return comp;
      } else {
        comp = comp.value;
      }
    }

    debug('comparator', comp, options);
    this.options = options;
    this.loose = !!options.loose;
    this.parse(comp);

    if (this.semver === ANY) {
      this.value = '';
    } else {
      this.value = this.operator + this.semver.version;
    }

    debug('comp', this);
  }

  parse(comp) {
    const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
    const m = comp.match(r);

    if (!m) {
      throw new TypeError(`Invalid comparator: ${comp}`);
    }

    this.operator = m[1] !== undefined ? m[1] : '';

    if (this.operator === '=') {
      this.operator = '';
    } // if it literally is just '>' or '' then allow anything.


    if (!m[2]) {
      this.semver = ANY;
    } else {
      this.semver = new SemVer(m[2], this.options.loose);
    }
  }

  toString() {
    return this.value;
  }

  test(version) {
    debug('Comparator.test', version, this.options.loose);

    if (this.semver === ANY || version === ANY) {
      return true;
    }

    if (typeof version === 'string') {
      try {
        version = new SemVer(version, this.options);
      } catch (er) {
        return false;
      }
    }

    return cmp(version, this.operator, this.semver, this.options);
  }

  intersects(comp, options) {
    if (!(comp instanceof Comparator)) {
      throw new TypeError('a Comparator is required');
    }

    if (!options || typeof options !== 'object') {
      options = {
        loose: !!options,
        includePrerelease: false
      };
    }

    if (this.operator === '') {
      if (this.value === '') {
        return true;
      }

      return new Range(comp.value, options).test(this.value);
    } else if (comp.operator === '') {
      if (comp.value === '') {
        return true;
      }

      return new Range(this.value, options).test(comp.semver);
    }

    const sameDirectionIncreasing = (this.operator === '>=' || this.operator === '>') && (comp.operator === '>=' || comp.operator === '>');
    const sameDirectionDecreasing = (this.operator === '<=' || this.operator === '<') && (comp.operator === '<=' || comp.operator === '<');
    const sameSemVer = this.semver.version === comp.semver.version;
    const differentDirectionsInclusive = (this.operator === '>=' || this.operator === '<=') && (comp.operator === '>=' || comp.operator === '<=');
    const oppositeDirectionsLessThan = cmp(this.semver, '<', comp.semver, options) && (this.operator === '>=' || this.operator === '>') && (comp.operator === '<=' || comp.operator === '<');
    const oppositeDirectionsGreaterThan = cmp(this.semver, '>', comp.semver, options) && (this.operator === '<=' || this.operator === '<') && (comp.operator === '>=' || comp.operator === '>');
    return sameDirectionIncreasing || sameDirectionDecreasing || sameSemVer && differentDirectionsInclusive || oppositeDirectionsLessThan || oppositeDirectionsGreaterThan;
  }

}

module.exports = Comparator;

const parseOptions = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/parse-options.js");

const {
  re,
  t
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

const cmp = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/cmp.js");

const debug = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/debug.js");

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/classes/range.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// hoisted class for cyclic dependency
class Range {
  constructor(range, options) {
    options = parseOptions(options);

    if (range instanceof Range) {
      if (range.loose === !!options.loose && range.includePrerelease === !!options.includePrerelease) {
        return range;
      } else {
        return new Range(range.raw, options);
      }
    }

    if (range instanceof Comparator) {
      // just put it in the set and return
      this.raw = range.value;
      this.set = [[range]];
      this.format();
      return this;
    }

    this.options = options;
    this.loose = !!options.loose;
    this.includePrerelease = !!options.includePrerelease; // First, split based on boolean or ||

    this.raw = range;
    this.set = range.split(/\s*\|\|\s*/) // map the range to a 2d array of comparators
    .map(range => this.parseRange(range.trim())) // throw out any comparator lists that are empty
    // this generally means that it was not a valid range, which is allowed
    // in loose mode, but will still throw if the WHOLE range is invalid.
    .filter(c => c.length);

    if (!this.set.length) {
      throw new TypeError(`Invalid SemVer Range: ${range}`);
    } // if we have any that are not the null set, throw out null sets.


    if (this.set.length > 1) {
      // keep the first one, in case they're all null sets
      const first = this.set[0];
      this.set = this.set.filter(c => !isNullSet(c[0]));
      if (this.set.length === 0) this.set = [first];else if (this.set.length > 1) {
        // if we have any that are *, then the range is just *
        for (const c of this.set) {
          if (c.length === 1 && isAny(c[0])) {
            this.set = [c];
            break;
          }
        }
      }
    }

    this.format();
  }

  format() {
    this.range = this.set.map(comps => {
      return comps.join(' ').trim();
    }).join('||').trim();
    return this.range;
  }

  toString() {
    return this.range;
  }

  parseRange(range) {
    range = range.trim(); // memoize range parsing for performance.
    // this is a very hot path, and fully deterministic.

    const memoOpts = Object.keys(this.options).join(',');
    const memoKey = `parseRange:${memoOpts}:${range}`;
    const cached = cache.get(memoKey);
    if (cached) return cached;
    const loose = this.options.loose; // `1.2.3 - 1.2.4` => `>=1.2.3 <=1.2.4`

    const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE];
    range = range.replace(hr, hyphenReplace(this.options.includePrerelease));
    debug('hyphen replace', range); // `> 1.2.3 < 1.2.5` => `>1.2.3 <1.2.5`

    range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace);
    debug('comparator trim', range, re[t.COMPARATORTRIM]); // `~ 1.2.3` => `~1.2.3`

    range = range.replace(re[t.TILDETRIM], tildeTrimReplace); // `^ 1.2.3` => `^1.2.3`

    range = range.replace(re[t.CARETTRIM], caretTrimReplace); // normalize spaces

    range = range.split(/\s+/).join(' '); // At this point, the range is completely trimmed and
    // ready to be split into comparators.

    const compRe = loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR];
    const rangeList = range.split(' ').map(comp => parseComparator(comp, this.options)).join(' ').split(/\s+/) // >=0.0.0 is equivalent to *
    .map(comp => replaceGTE0(comp, this.options)) // in loose mode, throw out any that are not valid comparators
    .filter(this.options.loose ? comp => !!comp.match(compRe) : () => true).map(comp => new Comparator(comp, this.options)); // if any comparators are the null set, then replace with JUST null set
    // if more than one comparator, remove any * comparators
    // also, don't include the same comparator more than once

    const l = rangeList.length;
    const rangeMap = new Map();

    for (const comp of rangeList) {
      if (isNullSet(comp)) return [comp];
      rangeMap.set(comp.value, comp);
    }

    if (rangeMap.size > 1 && rangeMap.has('')) rangeMap.delete('');
    const result = [...rangeMap.values()];
    cache.set(memoKey, result);
    return result;
  }

  intersects(range, options) {
    if (!(range instanceof Range)) {
      throw new TypeError('a Range is required');
    }

    return this.set.some(thisComparators => {
      return isSatisfiable(thisComparators, options) && range.set.some(rangeComparators => {
        return isSatisfiable(rangeComparators, options) && thisComparators.every(thisComparator => {
          return rangeComparators.every(rangeComparator => {
            return thisComparator.intersects(rangeComparator, options);
          });
        });
      });
    });
  } // if ANY of the sets match ALL of its comparators, then pass


  test(version) {
    if (!version) {
      return false;
    }

    if (typeof version === 'string') {
      try {
        version = new SemVer(version, this.options);
      } catch (er) {
        return false;
      }
    }

    for (let i = 0; i < this.set.length; i++) {
      if (testSet(this.set[i], version, this.options)) {
        return true;
      }
    }

    return false;
  }

}

module.exports = Range;

const LRU = __webpack_require__("./node_modules/.f/_/lru-cache/6.0.0/lru-cache/index.js");

const cache = new LRU({
  max: 1000
});

const parseOptions = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/parse-options.js");

const Comparator = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/comparator.js");

const debug = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/debug.js");

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const {
  re,
  t,
  comparatorTrimReplace,
  tildeTrimReplace,
  caretTrimReplace
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

const isNullSet = c => c.value === '<0.0.0-0';

const isAny = c => c.value === ''; // take a set of comparators and determine whether there
// exists a version which can satisfy it


const isSatisfiable = (comparators, options) => {
  let result = true;
  const remainingComparators = comparators.slice();
  let testComparator = remainingComparators.pop();

  while (result && remainingComparators.length) {
    result = remainingComparators.every(otherComparator => {
      return testComparator.intersects(otherComparator, options);
    });
    testComparator = remainingComparators.pop();
  }

  return result;
}; // comprised of xranges, tildes, stars, and gtlt's at this point.
// already replaced the hyphen ranges
// turn into a set of JUST comparators.


const parseComparator = (comp, options) => {
  debug('comp', comp, options);
  comp = replaceCarets(comp, options);
  debug('caret', comp);
  comp = replaceTildes(comp, options);
  debug('tildes', comp);
  comp = replaceXRanges(comp, options);
  debug('xrange', comp);
  comp = replaceStars(comp, options);
  debug('stars', comp);
  return comp;
};

const isX = id => !id || id.toLowerCase() === 'x' || id === '*'; // ~, ~> --> * (any, kinda silly)
// ~2, ~2.x, ~2.x.x, ~>2, ~>2.x ~>2.x.x --> >=2.0.0 <3.0.0-0
// ~2.0, ~2.0.x, ~>2.0, ~>2.0.x --> >=2.0.0 <2.1.0-0
// ~1.2, ~1.2.x, ~>1.2, ~>1.2.x --> >=1.2.0 <1.3.0-0
// ~1.2.3, ~>1.2.3 --> >=1.2.3 <1.3.0-0
// ~1.2.0, ~>1.2.0 --> >=1.2.0 <1.3.0-0


const replaceTildes = (comp, options) => comp.trim().split(/\s+/).map(comp => {
  return replaceTilde(comp, options);
}).join(' ');

const replaceTilde = (comp, options) => {
  const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE];
  return comp.replace(r, (_, M, m, p, pr) => {
    debug('tilde', comp, _, M, m, p, pr);
    let ret;

    if (isX(M)) {
      ret = '';
    } else if (isX(m)) {
      ret = `>=${M}.0.0 <${+M + 1}.0.0-0`;
    } else if (isX(p)) {
      // ~1.2 == >=1.2.0 <1.3.0-0
      ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`;
    } else if (pr) {
      debug('replaceTilde pr', pr);
      ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
    } else {
      // ~1.2.3 == >=1.2.3 <1.3.0-0
      ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`;
    }

    debug('tilde return', ret);
    return ret;
  });
}; // ^ --> * (any, kinda silly)
// ^2, ^2.x, ^2.x.x --> >=2.0.0 <3.0.0-0
// ^2.0, ^2.0.x --> >=2.0.0 <3.0.0-0
// ^1.2, ^1.2.x --> >=1.2.0 <2.0.0-0
// ^1.2.3 --> >=1.2.3 <2.0.0-0
// ^1.2.0 --> >=1.2.0 <2.0.0-0


const replaceCarets = (comp, options) => comp.trim().split(/\s+/).map(comp => {
  return replaceCaret(comp, options);
}).join(' ');

const replaceCaret = (comp, options) => {
  debug('caret', comp, options);
  const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET];
  const z = options.includePrerelease ? '-0' : '';
  return comp.replace(r, (_, M, m, p, pr) => {
    debug('caret', comp, _, M, m, p, pr);
    let ret;

    if (isX(M)) {
      ret = '';
    } else if (isX(m)) {
      ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`;
    } else if (isX(p)) {
      if (M === '0') {
        ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`;
      } else {
        ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`;
      }
    } else if (pr) {
      debug('replaceCaret pr', pr);

      if (M === '0') {
        if (m === '0') {
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`;
        } else {
          ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`;
        }
      } else {
        ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`;
      }
    } else {
      debug('no pr');

      if (M === '0') {
        if (m === '0') {
          ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`;
        } else {
          ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`;
        }
      } else {
        ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`;
      }
    }

    debug('caret return', ret);
    return ret;
  });
};

const replaceXRanges = (comp, options) => {
  debug('replaceXRanges', comp, options);
  return comp.split(/\s+/).map(comp => {
    return replaceXRange(comp, options);
  }).join(' ');
};

const replaceXRange = (comp, options) => {
  comp = comp.trim();
  const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE];
  return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
    debug('xRange', comp, ret, gtlt, M, m, p, pr);
    const xM = isX(M);
    const xm = xM || isX(m);
    const xp = xm || isX(p);
    const anyX = xp;

    if (gtlt === '=' && anyX) {
      gtlt = '';
    } // if we're including prereleases in the match, then we need
    // to fix this to -0, the lowest possible prerelease value


    pr = options.includePrerelease ? '-0' : '';

    if (xM) {
      if (gtlt === '>' || gtlt === '<') {
        // nothing is allowed
        ret = '<0.0.0-0';
      } else {
        // nothing is forbidden
        ret = '*';
      }
    } else if (gtlt && anyX) {
      // we know patch is an x, because we have any x at all.
      // replace X with 0
      if (xm) {
        m = 0;
      }

      p = 0;

      if (gtlt === '>') {
        // >1 => >=2.0.0
        // >1.2 => >=1.3.0
        gtlt = '>=';

        if (xm) {
          M = +M + 1;
          m = 0;
          p = 0;
        } else {
          m = +m + 1;
          p = 0;
        }
      } else if (gtlt === '<=') {
        // <=0.7.x is actually <0.8.0, since any 0.7.x should
        // pass.  Similarly, <=7.x is actually <8.0.0, etc.
        gtlt = '<';

        if (xm) {
          M = +M + 1;
        } else {
          m = +m + 1;
        }
      }

      if (gtlt === '<') pr = '-0';
      ret = `${gtlt + M}.${m}.${p}${pr}`;
    } else if (xm) {
      ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`;
    } else if (xp) {
      ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`;
    }

    debug('xRange return', ret);
    return ret;
  });
}; // Because * is AND-ed with everything else in the comparator,
// and '' means "any version", just remove the *s entirely.


const replaceStars = (comp, options) => {
  debug('replaceStars', comp, options); // Looseness is ignored here.  star is always as loose as it gets!

  return comp.trim().replace(re[t.STAR], '');
};

const replaceGTE0 = (comp, options) => {
  debug('replaceGTE0', comp, options);
  return comp.trim().replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], '');
}; // This function is passed to string.replace(re[t.HYPHENRANGE])
// M, m, patch, prerelease, build
// 1.2 - 3.4.5 => >=1.2.0 <=3.4.5
// 1.2.3 - 3.4 => >=1.2.0 <3.5.0-0 Any 3.4.x will do
// 1.2 - 3.4 => >=1.2.0 <3.5.0-0


const hyphenReplace = incPr => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr, tb) => {
  if (isX(fM)) {
    from = '';
  } else if (isX(fm)) {
    from = `>=${fM}.0.0${incPr ? '-0' : ''}`;
  } else if (isX(fp)) {
    from = `>=${fM}.${fm}.0${incPr ? '-0' : ''}`;
  } else if (fpr) {
    from = `>=${from}`;
  } else {
    from = `>=${from}${incPr ? '-0' : ''}`;
  }

  if (isX(tM)) {
    to = '';
  } else if (isX(tm)) {
    to = `<${+tM + 1}.0.0-0`;
  } else if (isX(tp)) {
    to = `<${tM}.${+tm + 1}.0-0`;
  } else if (tpr) {
    to = `<=${tM}.${tm}.${tp}-${tpr}`;
  } else if (incPr) {
    to = `<${tM}.${tm}.${+tp + 1}-0`;
  } else {
    to = `<=${to}`;
  }

  return `${from} ${to}`.trim();
};

const testSet = (set, version, options) => {
  for (let i = 0; i < set.length; i++) {
    if (!set[i].test(version)) {
      return false;
    }
  }

  if (version.prerelease.length && !options.includePrerelease) {
    // Find the set of versions that are allowed to have prereleases
    // For example, ^1.2.3-pr.1 desugars to >=1.2.3-pr.1 <2.0.0
    // That should allow `1.2.3-pr.2` to pass.
    // However, `1.2.4-alpha.notready` should NOT be allowed,
    // even though it's within the range set by the comparators.
    for (let i = 0; i < set.length; i++) {
      debug(set[i].semver);

      if (set[i].semver === Comparator.ANY) {
        continue;
      }

      if (set[i].semver.prerelease.length > 0) {
        const allowed = set[i].semver;

        if (allowed.major === version.major && allowed.minor === version.minor && allowed.patch === version.patch) {
          return true;
        }
      }
    } // Version has a -pre, but it's not one of the ones we like.


    return false;
  }

  return true;
};

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const debug = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/debug.js");

const {
  MAX_LENGTH,
  MAX_SAFE_INTEGER
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/constants.js");

const {
  re,
  t
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

const parseOptions = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/parse-options.js");

const {
  compareIdentifiers
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/identifiers.js");

class SemVer {
  constructor(version, options) {
    options = parseOptions(options);

    if (version instanceof SemVer) {
      if (version.loose === !!options.loose && version.includePrerelease === !!options.includePrerelease) {
        return version;
      } else {
        version = version.version;
      }
    } else if (typeof version !== 'string') {
      throw new TypeError(`Invalid Version: ${version}`);
    }

    if (version.length > MAX_LENGTH) {
      throw new TypeError(`version is longer than ${MAX_LENGTH} characters`);
    }

    debug('SemVer', version, options);
    this.options = options;
    this.loose = !!options.loose; // this isn't actually relevant for versions, but keep it so that we
    // don't run into trouble passing this.options around.

    this.includePrerelease = !!options.includePrerelease;
    const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL]);

    if (!m) {
      throw new TypeError(`Invalid Version: ${version}`);
    }

    this.raw = version; // these are actually numbers

    this.major = +m[1];
    this.minor = +m[2];
    this.patch = +m[3];

    if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
      throw new TypeError('Invalid major version');
    }

    if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
      throw new TypeError('Invalid minor version');
    }

    if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
      throw new TypeError('Invalid patch version');
    } // numberify any prerelease numeric ids


    if (!m[4]) {
      this.prerelease = [];
    } else {
      this.prerelease = m[4].split('.').map(id => {
        if (/^[0-9]+$/.test(id)) {
          const num = +id;

          if (num >= 0 && num < MAX_SAFE_INTEGER) {
            return num;
          }
        }

        return id;
      });
    }

    this.build = m[5] ? m[5].split('.') : [];
    this.format();
  }

  format() {
    this.version = `${this.major}.${this.minor}.${this.patch}`;

    if (this.prerelease.length) {
      this.version += `-${this.prerelease.join('.')}`;
    }

    return this.version;
  }

  toString() {
    return this.version;
  }

  compare(other) {
    debug('SemVer.compare', this.version, this.options, other);

    if (!(other instanceof SemVer)) {
      if (typeof other === 'string' && other === this.version) {
        return 0;
      }

      other = new SemVer(other, this.options);
    }

    if (other.version === this.version) {
      return 0;
    }

    return this.compareMain(other) || this.comparePre(other);
  }

  compareMain(other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options);
    }

    return compareIdentifiers(this.major, other.major) || compareIdentifiers(this.minor, other.minor) || compareIdentifiers(this.patch, other.patch);
  }

  comparePre(other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options);
    } // NOT having a prerelease is > having one


    if (this.prerelease.length && !other.prerelease.length) {
      return -1;
    } else if (!this.prerelease.length && other.prerelease.length) {
      return 1;
    } else if (!this.prerelease.length && !other.prerelease.length) {
      return 0;
    }

    let i = 0;

    do {
      const a = this.prerelease[i];
      const b = other.prerelease[i];
      debug('prerelease compare', i, a, b);

      if (a === undefined && b === undefined) {
        return 0;
      } else if (b === undefined) {
        return 1;
      } else if (a === undefined) {
        return -1;
      } else if (a === b) {
        continue;
      } else {
        return compareIdentifiers(a, b);
      }
    } while (++i);
  }

  compareBuild(other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options);
    }

    let i = 0;

    do {
      const a = this.build[i];
      const b = other.build[i];
      debug('prerelease compare', i, a, b);

      if (a === undefined && b === undefined) {
        return 0;
      } else if (b === undefined) {
        return 1;
      } else if (a === undefined) {
        return -1;
      } else if (a === b) {
        continue;
      } else {
        return compareIdentifiers(a, b);
      }
    } while (++i);
  } // preminor will bump the version up to the next minor release, and immediately
  // down to pre-release. premajor and prepatch work the same way.


  inc(release, identifier) {
    switch (release) {
      case 'premajor':
        this.prerelease.length = 0;
        this.patch = 0;
        this.minor = 0;
        this.major++;
        this.inc('pre', identifier);
        break;

      case 'preminor':
        this.prerelease.length = 0;
        this.patch = 0;
        this.minor++;
        this.inc('pre', identifier);
        break;

      case 'prepatch':
        // If this is already a prerelease, it will bump to the next version
        // drop any prereleases that might already exist, since they are not
        // relevant at this point.
        this.prerelease.length = 0;
        this.inc('patch', identifier);
        this.inc('pre', identifier);
        break;
      // If the input is a non-prerelease version, this acts the same as
      // prepatch.

      case 'prerelease':
        if (this.prerelease.length === 0) {
          this.inc('patch', identifier);
        }

        this.inc('pre', identifier);
        break;

      case 'major':
        // If this is a pre-major version, bump up to the same major version.
        // Otherwise increment major.
        // 1.0.0-5 bumps to 1.0.0
        // 1.1.0 bumps to 2.0.0
        if (this.minor !== 0 || this.patch !== 0 || this.prerelease.length === 0) {
          this.major++;
        }

        this.minor = 0;
        this.patch = 0;
        this.prerelease = [];
        break;

      case 'minor':
        // If this is a pre-minor version, bump up to the same minor version.
        // Otherwise increment minor.
        // 1.2.0-5 bumps to 1.2.0
        // 1.2.1 bumps to 1.3.0
        if (this.patch !== 0 || this.prerelease.length === 0) {
          this.minor++;
        }

        this.patch = 0;
        this.prerelease = [];
        break;

      case 'patch':
        // If this is not a pre-release version, it will increment the patch.
        // If it is a pre-release it will bump up to the same patch version.
        // 1.2.0-5 patches to 1.2.0
        // 1.2.0 patches to 1.2.1
        if (this.prerelease.length === 0) {
          this.patch++;
        }

        this.prerelease = [];
        break;
      // This probably shouldn't be used publicly.
      // 1.0.0 'pre' would become 1.0.0-0 which is the wrong direction.

      case 'pre':
        if (this.prerelease.length === 0) {
          this.prerelease = [0];
        } else {
          let i = this.prerelease.length;

          while (--i >= 0) {
            if (typeof this.prerelease[i] === 'number') {
              this.prerelease[i]++;
              i = -2;
            }
          }

          if (i === -1) {
            // didn't increment anything
            this.prerelease.push(0);
          }
        }

        if (identifier) {
          // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
          // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
          if (this.prerelease[0] === identifier) {
            if (isNaN(this.prerelease[1])) {
              this.prerelease = [identifier, 0];
            }
          } else {
            this.prerelease = [identifier, 0];
          }
        }

        break;

      default:
        throw new Error(`invalid increment argument: ${release}`);
    }

    this.format();
    this.raw = this.version;
    return this;
  }

}

module.exports = SemVer;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/clean.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const parse = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js");

const clean = (version, options) => {
  const s = parse(version.trim().replace(/^[=v]+/, ''), options);
  return s ? s.version : null;
};

module.exports = clean;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/cmp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const eq = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/eq.js");

const neq = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/neq.js");

const gt = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gt.js");

const gte = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gte.js");

const lt = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lt.js");

const lte = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lte.js");

const cmp = (a, op, b, loose) => {
  switch (op) {
    case '===':
      if (typeof a === 'object') a = a.version;
      if (typeof b === 'object') b = b.version;
      return a === b;

    case '!==':
      if (typeof a === 'object') a = a.version;
      if (typeof b === 'object') b = b.version;
      return a !== b;

    case '':
    case '=':
    case '==':
      return eq(a, b, loose);

    case '!=':
      return neq(a, b, loose);

    case '>':
      return gt(a, b, loose);

    case '>=':
      return gte(a, b, loose);

    case '<':
      return lt(a, b, loose);

    case '<=':
      return lte(a, b, loose);

    default:
      throw new TypeError(`Invalid operator: ${op}`);
  }
};

module.exports = cmp;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/coerce.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const parse = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js");

const {
  re,
  t
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

const coerce = (version, options) => {
  if (version instanceof SemVer) {
    return version;
  }

  if (typeof version === 'number') {
    version = String(version);
  }

  if (typeof version !== 'string') {
    return null;
  }

  options = options || {};
  let match = null;

  if (!options.rtl) {
    match = version.match(re[t.COERCE]);
  } else {
    // Find the right-most coercible string that does not share
    // a terminus with a more left-ward coercible string.
    // Eg, '1.2.3.4' wants to coerce '2.3.4', not '3.4' or '4'
    //
    // Walk through the string checking with a /g regexp
    // Manually set the index so as to pick up overlapping matches.
    // Stop when we get a match that ends at the string end, since no
    // coercible string can be more right-ward without the same terminus.
    let next;

    while ((next = re[t.COERCERTL].exec(version)) && (!match || match.index + match[0].length !== version.length)) {
      if (!match || next.index + next[0].length !== match.index + match[0].length) {
        match = next;
      }

      re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length;
    } // leave it in a clean state


    re[t.COERCERTL].lastIndex = -1;
  }

  if (match === null) return null;
  return parse(`${match[2]}.${match[3] || '0'}.${match[4] || '0'}`, options);
};

module.exports = coerce;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/compare-build.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const compareBuild = (a, b, loose) => {
  const versionA = new SemVer(a, loose);
  const versionB = new SemVer(b, loose);
  return versionA.compare(versionB) || versionA.compareBuild(versionB);
};

module.exports = compareBuild;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/compare-loose.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const compareLoose = (a, b) => compare(a, b, true);

module.exports = compareLoose;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const compare = (a, b, loose) => new SemVer(a, loose).compare(new SemVer(b, loose));

module.exports = compare;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/diff.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const parse = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js");

const eq = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/eq.js");

const diff = (version1, version2) => {
  if (eq(version1, version2)) {
    return null;
  } else {
    const v1 = parse(version1);
    const v2 = parse(version2);
    const hasPre = v1.prerelease.length || v2.prerelease.length;
    const prefix = hasPre ? 'pre' : '';
    const defaultResult = hasPre ? 'prerelease' : '';

    for (const key in v1) {
      if (key === 'major' || key === 'minor' || key === 'patch') {
        if (v1[key] !== v2[key]) {
          return prefix + key;
        }
      }
    }

    return defaultResult; // may be undefined
  }
};

module.exports = diff;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/eq.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const eq = (a, b, loose) => compare(a, b, loose) === 0;

module.exports = eq;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/gt.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const gt = (a, b, loose) => compare(a, b, loose) > 0;

module.exports = gt;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/gte.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const gte = (a, b, loose) => compare(a, b, loose) >= 0;

module.exports = gte;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/inc.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const inc = (version, release, options, identifier) => {
  if (typeof options === 'string') {
    identifier = options;
    options = undefined;
  }

  try {
    return new SemVer(version, options).inc(release, identifier).version;
  } catch (er) {
    return null;
  }
};

module.exports = inc;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/lt.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const lt = (a, b, loose) => compare(a, b, loose) < 0;

module.exports = lt;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/lte.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const lte = (a, b, loose) => compare(a, b, loose) <= 0;

module.exports = lte;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/major.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const major = (a, loose) => new SemVer(a, loose).major;

module.exports = major;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/minor.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const minor = (a, loose) => new SemVer(a, loose).minor;

module.exports = minor;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/neq.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const neq = (a, b, loose) => compare(a, b, loose) !== 0;

module.exports = neq;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const {
  MAX_LENGTH
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/constants.js");

const {
  re,
  t
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const parseOptions = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/parse-options.js");

const parse = (version, options) => {
  options = parseOptions(options);

  if (version instanceof SemVer) {
    return version;
  }

  if (typeof version !== 'string') {
    return null;
  }

  if (version.length > MAX_LENGTH) {
    return null;
  }

  const r = options.loose ? re[t.LOOSE] : re[t.FULL];

  if (!r.test(version)) {
    return null;
  }

  try {
    return new SemVer(version, options);
  } catch (er) {
    return null;
  }
};

module.exports = parse;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/patch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const patch = (a, loose) => new SemVer(a, loose).patch;

module.exports = patch;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/prerelease.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const parse = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js");

const prerelease = (version, options) => {
  const parsed = parse(version, options);
  return parsed && parsed.prerelease.length ? parsed.prerelease : null;
};

module.exports = prerelease;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/rcompare.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

const rcompare = (a, b, loose) => compare(b, a, loose);

module.exports = rcompare;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/rsort.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compareBuild = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare-build.js");

const rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose));

module.exports = rsort;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/satisfies.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const satisfies = (version, range, options) => {
  try {
    range = new Range(range, options);
  } catch (er) {
    return false;
  }

  return range.test(version);
};

module.exports = satisfies;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/sort.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const compareBuild = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare-build.js");

const sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose));

module.exports = sort;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/functions/valid.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const parse = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js");

const valid = (version, options) => {
  const v = parse(version, options);
  return v ? v.version : null;
};

module.exports = valid;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// just pre-load all the stuff that index.js lazily exports
const internalRe = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/re.js");

module.exports = {
  re: internalRe.re,
  src: internalRe.src,
  tokens: internalRe.t,
  SEMVER_SPEC_VERSION: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/constants.js").SEMVER_SPEC_VERSION,
  SemVer: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js"),
  compareIdentifiers: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/identifiers.js").compareIdentifiers,
  rcompareIdentifiers: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/identifiers.js").rcompareIdentifiers,
  parse: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/parse.js"),
  valid: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/valid.js"),
  clean: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/clean.js"),
  inc: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/inc.js"),
  diff: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/diff.js"),
  major: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/major.js"),
  minor: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/minor.js"),
  patch: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/patch.js"),
  prerelease: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/prerelease.js"),
  compare: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js"),
  rcompare: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/rcompare.js"),
  compareLoose: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare-loose.js"),
  compareBuild: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare-build.js"),
  sort: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/sort.js"),
  rsort: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/rsort.js"),
  gt: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gt.js"),
  lt: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lt.js"),
  eq: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/eq.js"),
  neq: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/neq.js"),
  gte: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gte.js"),
  lte: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lte.js"),
  cmp: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/cmp.js"),
  coerce: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/coerce.js"),
  Comparator: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/comparator.js"),
  Range: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js"),
  satisfies: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/satisfies.js"),
  toComparators: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/to-comparators.js"),
  maxSatisfying: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/max-satisfying.js"),
  minSatisfying: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/min-satisfying.js"),
  minVersion: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/min-version.js"),
  validRange: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/valid.js"),
  outside: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/outside.js"),
  gtr: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/gtr.js"),
  ltr: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/ltr.js"),
  intersects: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/intersects.js"),
  simplifyRange: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/simplify.js"),
  subset: __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/subset.js")
};

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/internal/constants.js":
/***/ ((module) => {

// Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.
const SEMVER_SPEC_VERSION = '2.0.0';
const MAX_LENGTH = 256;
const MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
/* istanbul ignore next */
9007199254740991; // Max safe segment length for coercion.

const MAX_SAFE_COMPONENT_LENGTH = 16;
module.exports = {
  SEMVER_SPEC_VERSION,
  MAX_LENGTH,
  MAX_SAFE_INTEGER,
  MAX_SAFE_COMPONENT_LENGTH
};

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/internal/debug.js":
/***/ ((module) => {

const debug = typeof process === 'object' && process.env && process.env.NODE_DEBUG && /\bsemver\b/i.test(process.env.NODE_DEBUG) ? (...args) => console.error('SEMVER', ...args) : () => {};
module.exports = debug;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/internal/identifiers.js":
/***/ ((module) => {

const numeric = /^[0-9]+$/;

const compareIdentifiers = (a, b) => {
  const anum = numeric.test(a);
  const bnum = numeric.test(b);

  if (anum && bnum) {
    a = +a;
    b = +b;
  }

  return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1;
};

const rcompareIdentifiers = (a, b) => compareIdentifiers(b, a);

module.exports = {
  compareIdentifiers,
  rcompareIdentifiers
};

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/internal/parse-options.js":
/***/ ((module) => {

// parse out just the options we care about so we always get a consistent
// obj with keys in a consistent order.
const opts = ['includePrerelease', 'loose', 'rtl'];

const parseOptions = options => !options ? {} : typeof options !== 'object' ? {
  loose: true
} : opts.filter(k => options[k]).reduce((options, k) => {
  options[k] = true;
  return options;
}, {});

module.exports = parseOptions;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/internal/re.js":
/***/ ((module, exports, __webpack_require__) => {

const {
  MAX_SAFE_COMPONENT_LENGTH
} = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/constants.js");

const debug = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/internal/debug.js");

exports = module.exports = {}; // The actual regexps go on exports.re

const re = exports.re = [];
const src = exports.src = [];
const t = exports.t = {};
let R = 0;

const createToken = (name, value, isGlobal) => {
  const index = R++;
  debug(index, value);
  t[name] = index;
  src[index] = value;
  re[index] = new RegExp(value, isGlobal ? 'g' : undefined);
}; // The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.
// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.


createToken('NUMERICIDENTIFIER', '0|[1-9]\\d*');
createToken('NUMERICIDENTIFIERLOOSE', '[0-9]+'); // ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

createToken('NONNUMERICIDENTIFIER', '\\d*[a-zA-Z-][a-zA-Z0-9-]*'); // ## Main Version
// Three dot-separated numeric identifiers.

createToken('MAINVERSION', `(${src[t.NUMERICIDENTIFIER]})\\.` + `(${src[t.NUMERICIDENTIFIER]})\\.` + `(${src[t.NUMERICIDENTIFIER]})`);
createToken('MAINVERSIONLOOSE', `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` + `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` + `(${src[t.NUMERICIDENTIFIERLOOSE]})`); // ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

createToken('PRERELEASEIDENTIFIER', `(?:${src[t.NUMERICIDENTIFIER]}|${src[t.NONNUMERICIDENTIFIER]})`);
createToken('PRERELEASEIDENTIFIERLOOSE', `(?:${src[t.NUMERICIDENTIFIERLOOSE]}|${src[t.NONNUMERICIDENTIFIER]})`); // ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

createToken('PRERELEASE', `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`);
createToken('PRERELEASELOOSE', `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`); // ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

createToken('BUILDIDENTIFIER', '[0-9A-Za-z-]+'); // ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

createToken('BUILD', `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`); // ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.
// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

createToken('FULLPLAIN', `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`);
createToken('FULL', `^${src[t.FULLPLAIN]}$`); // like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.

createToken('LOOSEPLAIN', `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`);
createToken('LOOSE', `^${src[t.LOOSEPLAIN]}$`);
createToken('GTLT', '((?:<|>)?=?)'); // Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.

createToken('XRANGEIDENTIFIERLOOSE', `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`);
createToken('XRANGEIDENTIFIER', `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`);
createToken('XRANGEPLAIN', `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})` + `(?:\\.(${src[t.XRANGEIDENTIFIER]})` + `(?:\\.(${src[t.XRANGEIDENTIFIER]})` + `(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?` + `)?)?`);
createToken('XRANGEPLAINLOOSE', `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})` + `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` + `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` + `(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?` + `)?)?`);
createToken('XRANGE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`);
createToken('XRANGELOOSE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`); // Coercion.
// Extract anything that could conceivably be a part of a valid semver

createToken('COERCE', `${'(^|[^\\d])' + '(\\d{1,'}${MAX_SAFE_COMPONENT_LENGTH}})` + `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` + `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` + `(?:$|[^\\d])`);
createToken('COERCERTL', src[t.COERCE], true); // Tilde ranges.
// Meaning is "reasonably at or greater than"

createToken('LONETILDE', '(?:~>?)');
createToken('TILDETRIM', `(\\s*)${src[t.LONETILDE]}\\s+`, true);
exports.tildeTrimReplace = '$1~';
createToken('TILDE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`);
createToken('TILDELOOSE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`); // Caret ranges.
// Meaning is "at least and backwards compatible with"

createToken('LONECARET', '(?:\\^)');
createToken('CARETTRIM', `(\\s*)${src[t.LONECARET]}\\s+`, true);
exports.caretTrimReplace = '$1^';
createToken('CARET', `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`);
createToken('CARETLOOSE', `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`); // A simple gt/lt/eq thing, or just "" to indicate "any version"

createToken('COMPARATORLOOSE', `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`);
createToken('COMPARATOR', `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`); // An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`

createToken('COMPARATORTRIM', `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true);
exports.comparatorTrimReplace = '$1$2$3'; // Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.

createToken('HYPHENRANGE', `^\\s*(${src[t.XRANGEPLAIN]})` + `\\s+-\\s+` + `(${src[t.XRANGEPLAIN]})` + `\\s*$`);
createToken('HYPHENRANGELOOSE', `^\\s*(${src[t.XRANGEPLAINLOOSE]})` + `\\s+-\\s+` + `(${src[t.XRANGEPLAINLOOSE]})` + `\\s*$`); // Star ranges basically just allow anything at all.

createToken('STAR', '(<|>)?=?\\s*\\*'); // >=0.0.0 is like a star

createToken('GTE0', '^\\s*>=\\s*0\.0\.0\\s*$');
createToken('GTE0PRE', '^\\s*>=\\s*0\.0\.0-0\\s*$');

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/gtr.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Determine if version is greater than all the versions possible in the range.
const outside = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/outside.js");

const gtr = (version, range, options) => outside(version, range, '>', options);

module.exports = gtr;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/intersects.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const intersects = (r1, r2, options) => {
  r1 = new Range(r1, options);
  r2 = new Range(r2, options);
  return r1.intersects(r2);
};

module.exports = intersects;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/ltr.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const outside = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/ranges/outside.js"); // Determine if version is less than all the versions possible in the range


const ltr = (version, range, options) => outside(version, range, '<', options);

module.exports = ltr;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/max-satisfying.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const maxSatisfying = (versions, range, options) => {
  let max = null;
  let maxSV = null;
  let rangeObj = null;

  try {
    rangeObj = new Range(range, options);
  } catch (er) {
    return null;
  }

  versions.forEach(v => {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!max || maxSV.compare(v) === -1) {
        // compare(max, v, true)
        max = v;
        maxSV = new SemVer(max, options);
      }
    }
  });
  return max;
};

module.exports = maxSatisfying;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/min-satisfying.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const minSatisfying = (versions, range, options) => {
  let min = null;
  let minSV = null;
  let rangeObj = null;

  try {
    rangeObj = new Range(range, options);
  } catch (er) {
    return null;
  }

  versions.forEach(v => {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!min || minSV.compare(v) === 1) {
        // compare(min, v, true)
        min = v;
        minSV = new SemVer(min, options);
      }
    }
  });
  return min;
};

module.exports = minSatisfying;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/min-version.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const gt = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gt.js");

const minVersion = (range, loose) => {
  range = new Range(range, loose);
  let minver = new SemVer('0.0.0');

  if (range.test(minver)) {
    return minver;
  }

  minver = new SemVer('0.0.0-0');

  if (range.test(minver)) {
    return minver;
  }

  minver = null;

  for (let i = 0; i < range.set.length; ++i) {
    const comparators = range.set[i];
    let setMin = null;
    comparators.forEach(comparator => {
      // Clone to avoid manipulating the comparator's semver object.
      const compver = new SemVer(comparator.semver.version);

      switch (comparator.operator) {
        case '>':
          if (compver.prerelease.length === 0) {
            compver.patch++;
          } else {
            compver.prerelease.push(0);
          }

          compver.raw = compver.format();

        /* fallthrough */

        case '':
        case '>=':
          if (!setMin || gt(compver, setMin)) {
            setMin = compver;
          }

          break;

        case '<':
        case '<=':
          /* Ignore maximum versions */
          break;

        /* istanbul ignore next */

        default:
          throw new Error(`Unexpected operation: ${comparator.operator}`);
      }
    });
    if (setMin && (!minver || gt(minver, setMin))) minver = setMin;
  }

  if (minver && range.test(minver)) {
    return minver;
  }

  return null;
};

module.exports = minVersion;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/outside.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const SemVer = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/semver.js");

const Comparator = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/comparator.js");

const {
  ANY
} = Comparator;

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const satisfies = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/satisfies.js");

const gt = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gt.js");

const lt = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lt.js");

const lte = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/lte.js");

const gte = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/gte.js");

const outside = (version, range, hilo, options) => {
  version = new SemVer(version, options);
  range = new Range(range, options);
  let gtfn, ltefn, ltfn, comp, ecomp;

  switch (hilo) {
    case '>':
      gtfn = gt;
      ltefn = lte;
      ltfn = lt;
      comp = '>';
      ecomp = '>=';
      break;

    case '<':
      gtfn = lt;
      ltefn = gte;
      ltfn = gt;
      comp = '<';
      ecomp = '<=';
      break;

    default:
      throw new TypeError('Must provide a hilo val of "<" or ">"');
  } // If it satisfies the range it is not outside


  if (satisfies(version, range, options)) {
    return false;
  } // From now on, variable terms are as if we're in "gtr" mode.
  // but note that everything is flipped for the "ltr" function.


  for (let i = 0; i < range.set.length; ++i) {
    const comparators = range.set[i];
    let high = null;
    let low = null;
    comparators.forEach(comparator => {
      if (comparator.semver === ANY) {
        comparator = new Comparator('>=0.0.0');
      }

      high = high || comparator;
      low = low || comparator;

      if (gtfn(comparator.semver, high.semver, options)) {
        high = comparator;
      } else if (ltfn(comparator.semver, low.semver, options)) {
        low = comparator;
      }
    }); // If the edge version comparator has a operator then our version
    // isn't outside it

    if (high.operator === comp || high.operator === ecomp) {
      return false;
    } // If the lowest version comparator has an operator and our version
    // is less than it then it isn't higher than the range


    if ((!low.operator || low.operator === comp) && ltefn(version, low.semver)) {
      return false;
    } else if (low.operator === ecomp && ltfn(version, low.semver)) {
      return false;
    }
  }

  return true;
};

module.exports = outside;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/simplify.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// given a set of versions and a range, create a "simplified" range
// that includes the same versions that the original range does
// If the original range is shorter than the simplified one, return that.
const satisfies = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/satisfies.js");

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js");

module.exports = (versions, range, options) => {
  const set = [];
  let min = null;
  let prev = null;
  const v = versions.sort((a, b) => compare(a, b, options));

  for (const version of v) {
    const included = satisfies(version, range, options);

    if (included) {
      prev = version;
      if (!min) min = version;
    } else {
      if (prev) {
        set.push([min, prev]);
      }

      prev = null;
      min = null;
    }
  }

  if (min) set.push([min, null]);
  const ranges = [];

  for (const [min, max] of set) {
    if (min === max) ranges.push(min);else if (!max && min === v[0]) ranges.push('*');else if (!max) ranges.push(`>=${min}`);else if (min === v[0]) ranges.push(`<=${max}`);else ranges.push(`${min} - ${max}`);
  }

  const simplified = ranges.join(' || ');
  const original = typeof range.raw === 'string' ? range.raw : String(range);
  return simplified.length < original.length ? simplified : range;
};

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/subset.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const Comparator = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/comparator.js");

const {
  ANY
} = Comparator;

const satisfies = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/satisfies.js");

const compare = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/functions/compare.js"); // Complex range `r1 || r2 || ...` is a subset of `R1 || R2 || ...` iff:
// - Every simple range `r1, r2, ...` is a null set, OR
// - Every simple range `r1, r2, ...` which is not a null set is a subset of
//   some `R1, R2, ...`
//
// Simple range `c1 c2 ...` is a subset of simple range `C1 C2 ...` iff:
// - If c is only the ANY comparator
//   - If C is only the ANY comparator, return true
//   - Else if in prerelease mode, return false
//   - else replace c with `[>=0.0.0]`
// - If C is only the ANY comparator
//   - if in prerelease mode, return true
//   - else replace C with `[>=0.0.0]`
// - Let EQ be the set of = comparators in c
// - If EQ is more than one, return true (null set)
// - Let GT be the highest > or >= comparator in c
// - Let LT be the lowest < or <= comparator in c
// - If GT and LT, and GT.semver > LT.semver, return true (null set)
// - If any C is a = range, and GT or LT are set, return false
// - If EQ
//   - If GT, and EQ does not satisfy GT, return true (null set)
//   - If LT, and EQ does not satisfy LT, return true (null set)
//   - If EQ satisfies every C, return true
//   - Else return false
// - If GT
//   - If GT.semver is lower than any > or >= comp in C, return false
//   - If GT is >=, and GT.semver does not satisfy every C, return false
//   - If GT.semver has a prerelease, and not in prerelease mode
//     - If no C has a prerelease and the GT.semver tuple, return false
// - If LT
//   - If LT.semver is greater than any < or <= comp in C, return false
//   - If LT is <=, and LT.semver does not satisfy every C, return false
//   - If GT.semver has a prerelease, and not in prerelease mode
//     - If no C has a prerelease and the LT.semver tuple, return false
// - Else return true


const subset = (sub, dom, options = {}) => {
  if (sub === dom) return true;
  sub = new Range(sub, options);
  dom = new Range(dom, options);
  let sawNonNull = false;

  OUTER: for (const simpleSub of sub.set) {
    for (const simpleDom of dom.set) {
      const isSub = simpleSubset(simpleSub, simpleDom, options);
      sawNonNull = sawNonNull || isSub !== null;
      if (isSub) continue OUTER;
    } // the null set is a subset of everything, but null simple ranges in
    // a complex range should be ignored.  so if we saw a non-null range,
    // then we know this isn't a subset, but if EVERY simple range was null,
    // then it is a subset.


    if (sawNonNull) return false;
  }

  return true;
};

const simpleSubset = (sub, dom, options) => {
  if (sub === dom) return true;

  if (sub.length === 1 && sub[0].semver === ANY) {
    if (dom.length === 1 && dom[0].semver === ANY) return true;else if (options.includePrerelease) sub = [new Comparator('>=0.0.0-0')];else sub = [new Comparator('>=0.0.0')];
  }

  if (dom.length === 1 && dom[0].semver === ANY) {
    if (options.includePrerelease) return true;else dom = [new Comparator('>=0.0.0')];
  }

  const eqSet = new Set();
  let gt, lt;

  for (const c of sub) {
    if (c.operator === '>' || c.operator === '>=') gt = higherGT(gt, c, options);else if (c.operator === '<' || c.operator === '<=') lt = lowerLT(lt, c, options);else eqSet.add(c.semver);
  }

  if (eqSet.size > 1) return null;
  let gtltComp;

  if (gt && lt) {
    gtltComp = compare(gt.semver, lt.semver, options);
    if (gtltComp > 0) return null;else if (gtltComp === 0 && (gt.operator !== '>=' || lt.operator !== '<=')) return null;
  } // will iterate one or zero times


  for (const eq of eqSet) {
    if (gt && !satisfies(eq, String(gt), options)) return null;
    if (lt && !satisfies(eq, String(lt), options)) return null;

    for (const c of dom) {
      if (!satisfies(eq, String(c), options)) return false;
    }

    return true;
  }

  let higher, lower;
  let hasDomLT, hasDomGT; // if the subset has a prerelease, we need a comparator in the superset
  // with the same tuple and a prerelease, or it's not a subset

  let needDomLTPre = lt && !options.includePrerelease && lt.semver.prerelease.length ? lt.semver : false;
  let needDomGTPre = gt && !options.includePrerelease && gt.semver.prerelease.length ? gt.semver : false; // exception: <1.2.3-0 is the same as <1.2.3

  if (needDomLTPre && needDomLTPre.prerelease.length === 1 && lt.operator === '<' && needDomLTPre.prerelease[0] === 0) {
    needDomLTPre = false;
  }

  for (const c of dom) {
    hasDomGT = hasDomGT || c.operator === '>' || c.operator === '>=';
    hasDomLT = hasDomLT || c.operator === '<' || c.operator === '<=';

    if (gt) {
      if (needDomGTPre) {
        if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomGTPre.major && c.semver.minor === needDomGTPre.minor && c.semver.patch === needDomGTPre.patch) {
          needDomGTPre = false;
        }
      }

      if (c.operator === '>' || c.operator === '>=') {
        higher = higherGT(gt, c, options);
        if (higher === c && higher !== gt) return false;
      } else if (gt.operator === '>=' && !satisfies(gt.semver, String(c), options)) return false;
    }

    if (lt) {
      if (needDomLTPre) {
        if (c.semver.prerelease && c.semver.prerelease.length && c.semver.major === needDomLTPre.major && c.semver.minor === needDomLTPre.minor && c.semver.patch === needDomLTPre.patch) {
          needDomLTPre = false;
        }
      }

      if (c.operator === '<' || c.operator === '<=') {
        lower = lowerLT(lt, c, options);
        if (lower === c && lower !== lt) return false;
      } else if (lt.operator === '<=' && !satisfies(lt.semver, String(c), options)) return false;
    }

    if (!c.operator && (lt || gt) && gtltComp !== 0) return false;
  } // if there was a < or >, and nothing in the dom, then must be false
  // UNLESS it was limited by another range in the other direction.
  // Eg, >1.0.0 <1.0.1 is still a subset of <2.0.0


  if (gt && hasDomLT && !lt && gtltComp !== 0) return false;
  if (lt && hasDomGT && !gt && gtltComp !== 0) return false; // we needed a prerelease range in a specific tuple, but didn't get one
  // then this isn't a subset.  eg >=1.2.3-pre is not a subset of >=1.0.0,
  // because it includes prereleases in the 1.2.3 tuple

  if (needDomGTPre || needDomLTPre) return false;
  return true;
}; // >=1.2.3 is lower than >1.2.3


const higherGT = (a, b, options) => {
  if (!a) return b;
  const comp = compare(a.semver, b.semver, options);
  return comp > 0 ? a : comp < 0 ? b : b.operator === '>' && a.operator === '>=' ? b : a;
}; // <=1.2.3 is higher than <1.2.3


const lowerLT = (a, b, options) => {
  if (!a) return b;
  const comp = compare(a.semver, b.semver, options);
  return comp < 0 ? a : comp > 0 ? b : b.operator === '<' && a.operator === '<=' ? b : a;
};

module.exports = subset;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/to-comparators.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js"); // Mostly just for testing and legacy API reasons


const toComparators = (range, options) => new Range(range, options).set.map(comp => comp.map(c => c.value).join(' ').trim().split(' '));

module.exports = toComparators;

/***/ }),

/***/ "./node_modules/.f/_/semver/7.3.5/semver/ranges/valid.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const Range = __webpack_require__("./node_modules/.f/_/semver/7.3.5/semver/classes/range.js");

const validRange = (range, options) => {
  try {
    // Return '*' instead of '' so that truthiness works.
    // This will throw if it's invalid anyway
    return new Range(range, options).range || '*';
  } catch (er) {
    return null;
  }
};

module.exports = validRange;

/***/ }),

/***/ "./node_modules/.f/_/set-blocking/2.0.0/set-blocking/index.js":
/***/ ((module) => {

module.exports = function (blocking) {
  [process.stdout, process.stderr].forEach(function (stream) {
    if (stream._handle && stream.isTTY && typeof stream._handle.setBlocking === 'function') {
      stream._handle.setBlocking(blocking);
    }
  });
};

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/commands.js":
/***/ ((module) => {

module.exports = ['cat', 'cd', 'chmod', 'cp', 'dirs', 'echo', 'exec', 'find', 'grep', 'head', 'ln', 'ls', 'mkdir', 'mv', 'pwd', 'rm', 'sed', 'set', 'sort', 'tail', 'tempdir', 'test', 'to', 'toEnd', 'touch', 'uniq', 'which'];

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/shell.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

//
// ShellJS
// Unix shell commands on top of Node's API
//
// Copyright (c) 2012 Artur Adib
// http://github.com/shelljs/shelljs
//
var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js"); //@
//@ All commands run synchronously, unless otherwise stated.
//@ All commands accept standard bash globbing characters (`*`, `?`, etc.),
//@ compatible with the [node `glob` module](https://github.com/isaacs/node-glob).
//@
//@ For less-commonly used commands and features, please check out our [wiki
//@ page](https://github.com/shelljs/shelljs/wiki).
//@
// Include the docs for all the default commands
//@commands
// Load all default commands


__webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/commands.js").forEach(function (command) {
  __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src sync recursive ^\\.\\/.*$")("./" + command);
}); //@
//@ ### exit(code)
//@
//@ Exits the current process with the given exit `code`.


exports.exit = process.exit; //@include ./src/error

exports.error = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/error.js"); //@include ./src/common

exports.ShellString = common.ShellString; //@
//@ ### env['VAR_NAME']
//@
//@ Object containing environment variables (both getter and setter). Shortcut
//@ to `process.env`.

exports.env = process.env; //@
//@ ### Pipes
//@
//@ Examples:
//@
//@ ```javascript
//@ grep('foo', 'file1.txt', 'file2.txt').sed(/o/g, 'a').to('output.txt');
//@ echo('files with o\'s in the name:\n' + ls().grep('o'));
//@ cat('test.js').exec('node'); // pipe to exec() call
//@ ```
//@
//@ Commands can send their output to another command in a pipe-like fashion.
//@ `sed`, `grep`, `cat`, `exec`, `to`, and `toEnd` can appear on the right-hand
//@ side of a pipe. Pipes can be chained.
//@
//@ ## Configuration
//@

exports.config = common.config; //@
//@ ### config.silent
//@
//@ Example:
//@
//@ ```javascript
//@ var sh = require('shelljs');
//@ var silentState = sh.config.silent; // save old silent state
//@ sh.config.silent = true;
//@ /* ... */
//@ sh.config.silent = silentState; // restore old silent state
//@ ```
//@
//@ Suppresses all command output if `true`, except for `echo()` calls.
//@ Default is `false`.
//@
//@ ### config.fatal
//@
//@ Example:
//@
//@ ```javascript
//@ require('shelljs/global');
//@ config.fatal = true; // or set('-e');
//@ cp('this_file_does_not_exist', '/dev/null'); // throws Error here
//@ /* more commands... */
//@ ```
//@
//@ If `true`, the script will throw a Javascript error when any shell.js
//@ command encounters an error. Default is `false`. This is analogous to
//@ Bash's `set -e`.
//@
//@ ### config.verbose
//@
//@ Example:
//@
//@ ```javascript
//@ config.verbose = true; // or set('-v');
//@ cd('dir/');
//@ rm('-rf', 'foo.txt', 'bar.txt');
//@ exec('echo hello');
//@ ```
//@
//@ Will print each command as follows:
//@
//@ ```
//@ cd dir/
//@ rm -rf foo.txt bar.txt
//@ exec echo hello
//@ ```
//@
//@ ### config.globOptions
//@
//@ Example:
//@
//@ ```javascript
//@ config.globOptions = {nodir: true};
//@ ```
//@
//@ Use this value for calls to `glob.sync()` instead of the default options.
//@
//@ ### config.reset()
//@
//@ Example:
//@
//@ ```javascript
//@ var shell = require('shelljs');
//@ // Make changes to shell.config, and do stuff...
//@ /* ... */
//@ shell.config.reset(); // reset to original state
//@ // Do more stuff, but with original settings
//@ /* ... */
//@ ```
//@
//@ Reset `shell.config` to the defaults:
//@
//@ ```javascript
//@ {
//@   fatal: false,
//@   globOptions: {},
//@   maxdepth: 255,
//@   noglob: false,
//@   silent: false,
//@   verbose: false,
//@ }
//@ ```

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cat.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('cat', _cat, {
  canReceivePipe: true,
  cmdOptions: {
    'n': 'number'
  }
}); //@
//@ ### cat([options,] file [, file ...])
//@ ### cat([options,] file_array)
//@
//@ Available options:
//@
//@ + `-n`: number all output lines
//@
//@ Examples:
//@
//@ ```javascript
//@ var str = cat('file*.txt');
//@ var str = cat('file1', 'file2');
//@ var str = cat(['file1', 'file2']); // same as above
//@ ```
//@
//@ Returns a string containing the given file, or a concatenated string
//@ containing the files if more than one file is given (a new line character is
//@ introduced between each file).

function _cat(options, files) {
  var cat = common.readFromPipe();
  if (!files && !cat) common.error('no paths given');
  files = [].slice.call(arguments, 1);
  files.forEach(function (file) {
    if (!fs.existsSync(file)) {
      common.error('no such file or directory: ' + file);
    } else if (common.statFollowLinks(file).isDirectory()) {
      common.error(file + ': Is a directory');
    }

    cat += fs.readFileSync(file, 'utf8');
  });

  if (options.number) {
    cat = addNumbers(cat);
  }

  return cat;
}

module.exports = _cat;

function addNumbers(cat) {
  var lines = cat.split('\n');
  var lastLine = lines.pop();
  lines = lines.map(function (line, i) {
    return numberedLine(i + 1, line);
  });

  if (lastLine.length) {
    lastLine = numberedLine(lines.length + 1, lastLine);
  }

  lines.push(lastLine);
  return lines.join('\n');
}

function numberedLine(n, line) {
  // GNU cat use six pad start number + tab. See http://lingrok.org/xref/coreutils/src/cat.c#57
  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/padStart
  var number = ('     ' + n).slice(-6) + '\t';
  return number + line;
}

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cd.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var os = __webpack_require__("os");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('cd', _cd, {}); //@
//@ ### cd([dir])
//@
//@ Changes to directory `dir` for the duration of the script. Changes to home
//@ directory if no argument is supplied.

function _cd(options, dir) {
  if (!dir) dir = os.homedir();

  if (dir === '-') {
    if (!process.env.OLDPWD) {
      common.error('could not find previous directory');
    } else {
      dir = process.env.OLDPWD;
    }
  }

  try {
    var curDir = process.cwd();
    process.chdir(dir);
    process.env.OLDPWD = curDir;
  } catch (e) {
    // something went wrong, let's figure out the error
    var err;

    try {
      common.statFollowLinks(dir); // if this succeeds, it must be some sort of file

      err = 'not a directory: ' + dir;
    } catch (e2) {
      err = 'no such file or directory: ' + dir;
    }

    if (err) common.error(err);
  }

  return '';
}

module.exports = _cd;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/chmod.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var PERMS = function (base) {
  return {
    OTHER_EXEC: base.EXEC,
    OTHER_WRITE: base.WRITE,
    OTHER_READ: base.READ,
    GROUP_EXEC: base.EXEC << 3,
    GROUP_WRITE: base.WRITE << 3,
    GROUP_READ: base.READ << 3,
    OWNER_EXEC: base.EXEC << 6,
    OWNER_WRITE: base.WRITE << 6,
    OWNER_READ: base.READ << 6,
    // Literal octal numbers are apparently not allowed in "strict" javascript.
    STICKY: parseInt('01000', 8),
    SETGID: parseInt('02000', 8),
    SETUID: parseInt('04000', 8),
    TYPE_MASK: parseInt('0770000', 8)
  };
}({
  EXEC: 1,
  WRITE: 2,
  READ: 4
});

common.register('chmod', _chmod, {}); //@
//@ ### chmod([options,] octal_mode || octal_string, file)
//@ ### chmod([options,] symbolic_mode, file)
//@
//@ Available options:
//@
//@ + `-v`: output a diagnostic for every file processed//@
//@ + `-c`: like verbose, but report only when a change is made//@
//@ + `-R`: change files and directories recursively//@
//@
//@ Examples:
//@
//@ ```javascript
//@ chmod(755, '/Users/brandon');
//@ chmod('755', '/Users/brandon'); // same as above
//@ chmod('u+x', '/Users/brandon');
//@ chmod('-R', 'a-w', '/Users/brandon');
//@ ```
//@
//@ Alters the permissions of a file or directory by either specifying the
//@ absolute permissions in octal form or expressing the changes in symbols.
//@ This command tries to mimic the POSIX behavior as much as possible.
//@ Notable exceptions:
//@
//@ + In symbolic modes, `a-r` and `-r` are identical.  No consideration is
//@   given to the `umask`.
//@ + There is no "quiet" option, since default behavior is to run silent.

function _chmod(options, mode, filePattern) {
  if (!filePattern) {
    if (options.length > 0 && options.charAt(0) === '-') {
      // Special case where the specified file permissions started with - to subtract perms, which
      // get picked up by the option parser as command flags.
      // If we are down by one argument and options starts with -, shift everything over.
      [].unshift.call(arguments, '');
    } else {
      common.error('You must specify a file.');
    }
  }

  options = common.parseOptions(options, {
    'R': 'recursive',
    'c': 'changes',
    'v': 'verbose'
  });
  filePattern = [].slice.call(arguments, 2);
  var files; // TODO: replace this with a call to common.expand()

  if (options.recursive) {
    files = [];
    filePattern.forEach(function addFile(expandedFile) {
      var stat = common.statNoFollowLinks(expandedFile);

      if (!stat.isSymbolicLink()) {
        files.push(expandedFile);

        if (stat.isDirectory()) {
          // intentionally does not follow symlinks.
          fs.readdirSync(expandedFile).forEach(function (child) {
            addFile(expandedFile + '/' + child);
          });
        }
      }
    });
  } else {
    files = filePattern;
  }

  files.forEach(function innerChmod(file) {
    file = path.resolve(file);

    if (!fs.existsSync(file)) {
      common.error('File not found: ' + file);
    } // When recursing, don't follow symlinks.


    if (options.recursive && common.statNoFollowLinks(file).isSymbolicLink()) {
      return;
    }

    var stat = common.statFollowLinks(file);
    var isDir = stat.isDirectory();
    var perms = stat.mode;
    var type = perms & PERMS.TYPE_MASK;
    var newPerms = perms;

    if (isNaN(parseInt(mode, 8))) {
      // parse options
      mode.split(',').forEach(function (symbolicMode) {
        var pattern = /([ugoa]*)([=\+-])([rwxXst]*)/i;
        var matches = pattern.exec(symbolicMode);

        if (matches) {
          var applyTo = matches[1];
          var operator = matches[2];
          var change = matches[3];
          var changeOwner = applyTo.indexOf('u') !== -1 || applyTo === 'a' || applyTo === '';
          var changeGroup = applyTo.indexOf('g') !== -1 || applyTo === 'a' || applyTo === '';
          var changeOther = applyTo.indexOf('o') !== -1 || applyTo === 'a' || applyTo === '';
          var changeRead = change.indexOf('r') !== -1;
          var changeWrite = change.indexOf('w') !== -1;
          var changeExec = change.indexOf('x') !== -1;
          var changeExecDir = change.indexOf('X') !== -1;
          var changeSticky = change.indexOf('t') !== -1;
          var changeSetuid = change.indexOf('s') !== -1;

          if (changeExecDir && isDir) {
            changeExec = true;
          }

          var mask = 0;

          if (changeOwner) {
            mask |= (changeRead ? PERMS.OWNER_READ : 0) + (changeWrite ? PERMS.OWNER_WRITE : 0) + (changeExec ? PERMS.OWNER_EXEC : 0) + (changeSetuid ? PERMS.SETUID : 0);
          }

          if (changeGroup) {
            mask |= (changeRead ? PERMS.GROUP_READ : 0) + (changeWrite ? PERMS.GROUP_WRITE : 0) + (changeExec ? PERMS.GROUP_EXEC : 0) + (changeSetuid ? PERMS.SETGID : 0);
          }

          if (changeOther) {
            mask |= (changeRead ? PERMS.OTHER_READ : 0) + (changeWrite ? PERMS.OTHER_WRITE : 0) + (changeExec ? PERMS.OTHER_EXEC : 0);
          } // Sticky bit is special - it's not tied to user, group or other.


          if (changeSticky) {
            mask |= PERMS.STICKY;
          }

          switch (operator) {
            case '+':
              newPerms |= mask;
              break;

            case '-':
              newPerms &= ~mask;
              break;

            case '=':
              newPerms = type + mask; // According to POSIX, when using = to explicitly set the
              // permissions, setuid and setgid can never be cleared.

              if (common.statFollowLinks(file).isDirectory()) {
                newPerms |= PERMS.SETUID + PERMS.SETGID & perms;
              }

              break;

            default:
              common.error('Could not recognize operator: `' + operator + '`');
          }

          if (options.verbose) {
            console.log(file + ' -> ' + newPerms.toString(8));
          }

          if (perms !== newPerms) {
            if (!options.verbose && options.changes) {
              console.log(file + ' -> ' + newPerms.toString(8));
            }

            fs.chmodSync(file, newPerms);
            perms = newPerms; // for the next round of changes!
          }
        } else {
          common.error('Invalid symbolic mode change: ' + symbolicMode);
        }
      });
    } else {
      // they gave us a full number
      newPerms = type + parseInt(mode, 8); // POSIX rules are that setuid and setgid can only be added using numeric
      // form, but not cleared.

      if (common.statFollowLinks(file).isDirectory()) {
        newPerms |= PERMS.SETUID + PERMS.SETGID & perms;
      }

      fs.chmodSync(file, newPerms);
    }
  });
  return '';
}

module.exports = _chmod;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
// Ignore warning about 'new String()'

/* eslint no-new-wrappers: 0 */


var os = __webpack_require__("os");

var fs = __webpack_require__("fs");

var glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js");

var shell = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/shell.js");

var shellMethods = Object.create(shell);
exports.extend = Object.assign; // Check if we're running under electron

var isElectron = Boolean(process.versions.electron); // Module globals (assume no execPath by default)

var DEFAULT_CONFIG = {
  fatal: false,
  globOptions: {},
  maxdepth: 255,
  noglob: false,
  silent: false,
  verbose: false,
  execPath: null,
  bufLength: 64 * 1024 // 64KB

};
var config = {
  reset: function () {
    Object.assign(this, DEFAULT_CONFIG);

    if (!isElectron) {
      this.execPath = process.execPath;
    }
  },
  resetForTesting: function () {
    this.reset();
    this.silent = true;
  }
};
config.reset();
exports.config = config; // Note: commands should generally consider these as read-only values.

var state = {
  error: null,
  errorCode: 0,
  currentCmd: 'shell.js'
};
exports.state = state;
delete process.env.OLDPWD; // initially, there's no previous directory
// Reliably test if something is any sort of javascript object

function isObject(a) {
  return typeof a === 'object' && a !== null;
}

exports.isObject = isObject;

function log() {
  /* istanbul ignore next */
  if (!config.silent) {
    console.error.apply(console, arguments);
  }
}

exports.log = log; // Converts strings to be equivalent across all platforms. Primarily responsible
// for making sure we use '/' instead of '\' as path separators, but this may be
// expanded in the future if necessary

function convertErrorOutput(msg) {
  if (typeof msg !== 'string') {
    throw new TypeError('input must be a string');
  }

  return msg.replace(/\\/g, '/');
}

exports.convertErrorOutput = convertErrorOutput; // Shows error message. Throws if config.fatal is true

function error(msg, _code, options) {
  // Validate input
  if (typeof msg !== 'string') throw new Error('msg must be a string');
  var DEFAULT_OPTIONS = {
    continue: false,
    code: 1,
    prefix: state.currentCmd + ': ',
    silent: false
  };

  if (typeof _code === 'number' && isObject(options)) {
    options.code = _code;
  } else if (isObject(_code)) {
    // no 'code'
    options = _code;
  } else if (typeof _code === 'number') {
    // no 'options'
    options = {
      code: _code
    };
  } else if (typeof _code !== 'number') {
    // only 'msg'
    options = {};
  }

  options = Object.assign({}, DEFAULT_OPTIONS, options);
  if (!state.errorCode) state.errorCode = options.code;
  var logEntry = convertErrorOutput(options.prefix + msg);
  state.error = state.error ? state.error + '\n' : '';
  state.error += logEntry; // Throw an error, or log the entry

  if (config.fatal) throw new Error(logEntry);
  if (msg.length > 0 && !options.silent) log(logEntry);

  if (!options.continue) {
    throw {
      msg: 'earlyExit',
      retValue: new ShellString('', state.error, state.errorCode)
    };
  }
}

exports.error = error; //@
//@ ### ShellString(str)
//@
//@ Examples:
//@
//@ ```javascript
//@ var foo = ShellString('hello world');
//@ ```
//@
//@ Turns a regular string into a string-like object similar to what each
//@ command returns. This has special methods, like `.to()` and `.toEnd()`.

function ShellString(stdout, stderr, code) {
  var that;

  if (stdout instanceof Array) {
    that = stdout;
    that.stdout = stdout.join('\n');
    if (stdout.length > 0) that.stdout += '\n';
  } else {
    that = new String(stdout);
    that.stdout = stdout;
  }

  that.stderr = stderr;
  that.code = code; // A list of all commands that can appear on the right-hand side of a pipe
  // (populated by calls to common.wrap())

  pipeMethods.forEach(function (cmd) {
    that[cmd] = shellMethods[cmd].bind(that);
  });
  return that;
}

exports.ShellString = ShellString; // Returns {'alice': true, 'bob': false} when passed a string and dictionary as follows:
//   parseOptions('-a', {'a':'alice', 'b':'bob'});
// Returns {'reference': 'string-value', 'bob': false} when passed two dictionaries of the form:
//   parseOptions({'-r': 'string-value'}, {'r':'reference', 'b':'bob'});
// Throws an error when passed a string that does not start with '-':
//   parseOptions('a', {'a':'alice'}); // throws

function parseOptions(opt, map, errorOptions) {
  // Validate input
  if (typeof opt !== 'string' && !isObject(opt)) {
    throw new Error('options must be strings or key-value pairs');
  } else if (!isObject(map)) {
    throw new Error('parseOptions() internal error: map must be an object');
  } else if (errorOptions && !isObject(errorOptions)) {
    throw new Error('parseOptions() internal error: errorOptions must be object');
  }

  if (opt === '--') {
    // This means there are no options.
    return {};
  } // All options are false by default


  var options = {};
  Object.keys(map).forEach(function (letter) {
    var optName = map[letter];

    if (optName[0] !== '!') {
      options[optName] = false;
    }
  });
  if (opt === '') return options; // defaults

  if (typeof opt === 'string') {
    if (opt[0] !== '-') {
      throw new Error("Options string must start with a '-'");
    } // e.g. chars = ['R', 'f']


    var chars = opt.slice(1).split('');
    chars.forEach(function (c) {
      if (c in map) {
        var optionName = map[c];

        if (optionName[0] === '!') {
          options[optionName.slice(1)] = false;
        } else {
          options[optionName] = true;
        }
      } else {
        error('option not recognized: ' + c, errorOptions || {});
      }
    });
  } else {
    // opt is an Object
    Object.keys(opt).forEach(function (key) {
      // key is a string of the form '-r', '-d', etc.
      var c = key[1];

      if (c in map) {
        var optionName = map[c];
        options[optionName] = opt[key]; // assign the given value
      } else {
        error('option not recognized: ' + c, errorOptions || {});
      }
    });
  }

  return options;
}

exports.parseOptions = parseOptions; // Expands wildcards with matching (ie. existing) file names.
// For example:
//   expand(['file*.js']) = ['file1.js', 'file2.js', ...]
//   (if the files 'file1.js', 'file2.js', etc, exist in the current dir)

function expand(list) {
  if (!Array.isArray(list)) {
    throw new TypeError('must be an array');
  }

  var expanded = [];
  list.forEach(function (listEl) {
    // Don't expand non-strings
    if (typeof listEl !== 'string') {
      expanded.push(listEl);
    } else {
      var ret;

      try {
        ret = glob.sync(listEl, config.globOptions); // if nothing matched, interpret the string literally

        ret = ret.length > 0 ? ret : [listEl];
      } catch (e) {
        // if glob fails, interpret the string literally
        ret = [listEl];
      }

      expanded = expanded.concat(ret);
    }
  });
  return expanded;
}

exports.expand = expand; // Normalizes Buffer creation, using Buffer.alloc if possible.
// Also provides a good default buffer length for most use cases.

var buffer = typeof Buffer.alloc === 'function' ? function (len) {
  return Buffer.alloc(len || config.bufLength);
} : function (len) {
  return new Buffer(len || config.bufLength);
};
exports.buffer = buffer; // Normalizes _unlinkSync() across platforms to match Unix behavior, i.e.
// file can be unlinked even if it's read-only, see https://github.com/joyent/node/issues/3006

function unlinkSync(file) {
  try {
    fs.unlinkSync(file);
  } catch (e) {
    // Try to override file permission

    /* istanbul ignore next */
    if (e.code === 'EPERM') {
      fs.chmodSync(file, '0666');
      fs.unlinkSync(file);
    } else {
      throw e;
    }
  }
}

exports.unlinkSync = unlinkSync; // wrappers around common.statFollowLinks and common.statNoFollowLinks that clarify intent
// and improve readability

function statFollowLinks() {
  return fs.statSync.apply(fs, arguments);
}

exports.statFollowLinks = statFollowLinks;

function statNoFollowLinks() {
  return fs.lstatSync.apply(fs, arguments);
}

exports.statNoFollowLinks = statNoFollowLinks; // e.g. 'shelljs_a5f185d0443ca...'

function randomFileName() {
  function randomHash(count) {
    if (count === 1) {
      return parseInt(16 * Math.random(), 10).toString(16);
    }

    var hash = '';

    for (var i = 0; i < count; i++) {
      hash += randomHash(1);
    }

    return hash;
  }

  return 'shelljs_' + randomHash(20);
}

exports.randomFileName = randomFileName; // Common wrapper for all Unix-like commands that performs glob expansion,
// command-logging, and other nice things

function wrap(cmd, fn, options) {
  options = options || {};
  return function () {
    var retValue = null;
    state.currentCmd = cmd;
    state.error = null;
    state.errorCode = 0;

    try {
      var args = [].slice.call(arguments, 0); // Log the command to stderr, if appropriate

      if (config.verbose) {
        console.error.apply(console, [cmd].concat(args));
      } // If this is coming from a pipe, let's set the pipedValue (otherwise, set
      // it to the empty string)


      state.pipedValue = this && typeof this.stdout === 'string' ? this.stdout : '';

      if (options.unix === false) {
        // this branch is for exec()
        retValue = fn.apply(this, args);
      } else {
        // and this branch is for everything else
        if (isObject(args[0]) && args[0].constructor.name === 'Object') {// a no-op, allowing the syntax `touch({'-r': file}, ...)`
        } else if (args.length === 0 || typeof args[0] !== 'string' || args[0].length <= 1 || args[0][0] !== '-') {
          args.unshift(''); // only add dummy option if '-option' not already present
        } // flatten out arrays that are arguments, to make the syntax:
        //    `cp([file1, file2, file3], dest);`
        // equivalent to:
        //    `cp(file1, file2, file3, dest);`


        args = args.reduce(function (accum, cur) {
          if (Array.isArray(cur)) {
            return accum.concat(cur);
          }

          accum.push(cur);
          return accum;
        }, []); // Convert ShellStrings (basically just String objects) to regular strings

        args = args.map(function (arg) {
          if (isObject(arg) && arg.constructor.name === 'String') {
            return arg.toString();
          }

          return arg;
        }); // Expand the '~' if appropriate

        var homeDir = os.homedir();
        args = args.map(function (arg) {
          if (typeof arg === 'string' && arg.slice(0, 2) === '~/' || arg === '~') {
            return arg.replace(/^~/, homeDir);
          }

          return arg;
        }); // Perform glob-expansion on all arguments after globStart, but preserve
        // the arguments before it (like regexes for sed and grep)

        if (!config.noglob && options.allowGlobbing === true) {
          args = args.slice(0, options.globStart).concat(expand(args.slice(options.globStart)));
        }

        try {
          // parse options if options are provided
          if (isObject(options.cmdOptions)) {
            args[0] = parseOptions(args[0], options.cmdOptions);
          }

          retValue = fn.apply(this, args);
        } catch (e) {
          /* istanbul ignore else */
          if (e.msg === 'earlyExit') {
            retValue = e.retValue;
          } else {
            throw e; // this is probably a bug that should be thrown up the call stack
          }
        }
      }
    } catch (e) {
      /* istanbul ignore next */
      if (!state.error) {
        // If state.error hasn't been set it's an error thrown by Node, not us - probably a bug...
        e.name = 'ShellJSInternalError';
        throw e;
      }

      if (config.fatal) throw e;
    }

    if (options.wrapOutput && (typeof retValue === 'string' || Array.isArray(retValue))) {
      retValue = new ShellString(retValue, state.error, state.errorCode);
    }

    state.currentCmd = 'shell.js';
    return retValue;
  };
} // wrap


exports.wrap = wrap; // This returns all the input that is piped into the current command (or the
// empty string, if this isn't on the right-hand side of a pipe

function _readFromPipe() {
  return state.pipedValue;
}

exports.readFromPipe = _readFromPipe;
var DEFAULT_WRAP_OPTIONS = {
  allowGlobbing: true,
  canReceivePipe: false,
  cmdOptions: null,
  globStart: 1,
  pipeOnly: false,
  wrapOutput: true,
  unix: true
}; // This is populated during plugin registration

var pipeMethods = []; // Register a new ShellJS command

function _register(name, implementation, wrapOptions) {
  wrapOptions = wrapOptions || {}; // Validate options

  Object.keys(wrapOptions).forEach(function (option) {
    if (!DEFAULT_WRAP_OPTIONS.hasOwnProperty(option)) {
      throw new Error("Unknown option '" + option + "'");
    }

    if (typeof wrapOptions[option] !== typeof DEFAULT_WRAP_OPTIONS[option]) {
      throw new TypeError("Unsupported type '" + typeof wrapOptions[option] + "' for option '" + option + "'");
    }
  }); // If an option isn't specified, use the default

  wrapOptions = Object.assign({}, DEFAULT_WRAP_OPTIONS, wrapOptions);

  if (shell.hasOwnProperty(name)) {
    throw new Error('Command `' + name + '` already exists');
  }

  if (wrapOptions.pipeOnly) {
    wrapOptions.canReceivePipe = true;
    shellMethods[name] = wrap(name, implementation, wrapOptions);
  } else {
    shell[name] = wrap(name, implementation, wrapOptions);
  }

  if (wrapOptions.canReceivePipe) {
    pipeMethods.push(name);
  }
}

exports.register = _register;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cp.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('cp', _cp, {
  cmdOptions: {
    'f': '!no_force',
    'n': 'no_force',
    'u': 'update',
    'R': 'recursive',
    'r': 'recursive',
    'L': 'followsymlink',
    'P': 'noFollowsymlink'
  },
  wrapOutput: false
}); // Buffered file copy, synchronous
// (Using readFileSync() + writeFileSync() could easily cause a memory overflow
//  with large files)

function copyFileSync(srcFile, destFile, options) {
  if (!fs.existsSync(srcFile)) {
    common.error('copyFileSync: no such file or directory: ' + srcFile);
  }

  var isWindows = process.platform === 'win32'; // Check the mtimes of the files if the '-u' flag is provided

  try {
    if (options.update && common.statFollowLinks(srcFile).mtime < fs.statSync(destFile).mtime) {
      return;
    }
  } catch (e) {// If we're here, destFile probably doesn't exist, so just do a normal copy
  }

  if (common.statNoFollowLinks(srcFile).isSymbolicLink() && !options.followsymlink) {
    try {
      common.statNoFollowLinks(destFile);
      common.unlinkSync(destFile); // re-link it
    } catch (e) {// it doesn't exist, so no work needs to be done
    }

    var symlinkFull = fs.readlinkSync(srcFile);
    fs.symlinkSync(symlinkFull, destFile, isWindows ? 'junction' : null);
  } else {
    var buf = common.buffer();
    var bufLength = buf.length;
    var bytesRead = bufLength;
    var pos = 0;
    var fdr = null;
    var fdw = null;

    try {
      fdr = fs.openSync(srcFile, 'r');
    } catch (e) {
      /* istanbul ignore next */
      common.error('copyFileSync: could not read src file (' + srcFile + ')');
    }

    try {
      fdw = fs.openSync(destFile, 'w');
    } catch (e) {
      /* istanbul ignore next */
      common.error('copyFileSync: could not write to dest file (code=' + e.code + '):' + destFile);
    }

    while (bytesRead === bufLength) {
      bytesRead = fs.readSync(fdr, buf, 0, bufLength, pos);
      fs.writeSync(fdw, buf, 0, bytesRead);
      pos += bytesRead;
    }

    fs.closeSync(fdr);
    fs.closeSync(fdw);
    fs.chmodSync(destFile, common.statFollowLinks(srcFile).mode);
  }
} // Recursively copies 'sourceDir' into 'destDir'
// Adapted from https://github.com/ryanmcgrath/wrench-js
//
// Copyright (c) 2010 Ryan McGrath
// Copyright (c) 2012 Artur Adib
//
// Licensed under the MIT License
// http://www.opensource.org/licenses/mit-license.php


function cpdirSyncRecursive(sourceDir, destDir, currentDepth, opts) {
  if (!opts) opts = {}; // Ensure there is not a run away recursive copy

  if (currentDepth >= common.config.maxdepth) return;
  currentDepth++;
  var isWindows = process.platform === 'win32'; // Create the directory where all our junk is moving to; read the mode of the
  // source directory and mirror it

  try {
    fs.mkdirSync(destDir);
  } catch (e) {
    // if the directory already exists, that's okay
    if (e.code !== 'EEXIST') throw e;
  }

  var files = fs.readdirSync(sourceDir);

  for (var i = 0; i < files.length; i++) {
    var srcFile = sourceDir + '/' + files[i];
    var destFile = destDir + '/' + files[i];
    var srcFileStat = common.statNoFollowLinks(srcFile);
    var symlinkFull;

    if (opts.followsymlink) {
      if (cpcheckcycle(sourceDir, srcFile)) {
        // Cycle link found.
        console.error('Cycle link found.');
        symlinkFull = fs.readlinkSync(srcFile);
        fs.symlinkSync(symlinkFull, destFile, isWindows ? 'junction' : null);
        continue;
      }
    }

    if (srcFileStat.isDirectory()) {
      /* recursion this thing right on back. */
      cpdirSyncRecursive(srcFile, destFile, currentDepth, opts);
    } else if (srcFileStat.isSymbolicLink() && !opts.followsymlink) {
      symlinkFull = fs.readlinkSync(srcFile);

      try {
        common.statNoFollowLinks(destFile);
        common.unlinkSync(destFile); // re-link it
      } catch (e) {// it doesn't exist, so no work needs to be done
      }

      fs.symlinkSync(symlinkFull, destFile, isWindows ? 'junction' : null);
    } else if (srcFileStat.isSymbolicLink() && opts.followsymlink) {
      srcFileStat = common.statFollowLinks(srcFile);

      if (srcFileStat.isDirectory()) {
        cpdirSyncRecursive(srcFile, destFile, currentDepth, opts);
      } else {
        copyFileSync(srcFile, destFile, opts);
      }
    } else {
      /* At this point, we've hit a file actually worth copying... so copy it on over. */
      if (fs.existsSync(destFile) && opts.no_force) {
        common.log('skipping existing file: ' + files[i]);
      } else {
        copyFileSync(srcFile, destFile, opts);
      }
    }
  } // for files
  // finally change the mode for the newly created directory (otherwise, we
  // couldn't add files to a read-only directory).


  var checkDir = common.statFollowLinks(sourceDir);
  fs.chmodSync(destDir, checkDir.mode);
} // cpdirSyncRecursive
// Checks if cureent file was created recently


function checkRecentCreated(sources, index) {
  var lookedSource = sources[index];
  return sources.slice(0, index).some(function (src) {
    return path.basename(src) === path.basename(lookedSource);
  });
}

function cpcheckcycle(sourceDir, srcFile) {
  var srcFileStat = common.statNoFollowLinks(srcFile);

  if (srcFileStat.isSymbolicLink()) {
    // Do cycle check. For example:
    //   $ mkdir -p 1/2/3/4
    //   $ cd  1/2/3/4
    //   $ ln -s ../../3 link
    //   $ cd ../../../..
    //   $ cp -RL 1 copy
    var cyclecheck = common.statFollowLinks(srcFile);

    if (cyclecheck.isDirectory()) {
      var sourcerealpath = fs.realpathSync(sourceDir);
      var symlinkrealpath = fs.realpathSync(srcFile);
      var re = new RegExp(symlinkrealpath);

      if (re.test(sourcerealpath)) {
        return true;
      }
    }
  }

  return false;
} //@
//@ ### cp([options,] source [, source ...], dest)
//@ ### cp([options,] source_array, dest)
//@
//@ Available options:
//@
//@ + `-f`: force (default behavior)
//@ + `-n`: no-clobber
//@ + `-u`: only copy if `source` is newer than `dest`
//@ + `-r`, `-R`: recursive
//@ + `-L`: follow symlinks
//@ + `-P`: don't follow symlinks
//@
//@ Examples:
//@
//@ ```javascript
//@ cp('file1', 'dir1');
//@ cp('-R', 'path/to/dir/', '~/newCopy/');
//@ cp('-Rf', '/tmp/*', '/usr/local/*', '/home/tmp');
//@ cp('-Rf', ['/tmp/*', '/usr/local/*'], '/home/tmp'); // same as above
//@ ```
//@
//@ Copies files.


function _cp(options, sources, dest) {
  // If we're missing -R, it actually implies -L (unless -P is explicit)
  if (options.followsymlink) {
    options.noFollowsymlink = false;
  }

  if (!options.recursive && !options.noFollowsymlink) {
    options.followsymlink = true;
  } // Get sources, dest


  if (arguments.length < 3) {
    common.error('missing <source> and/or <dest>');
  } else {
    sources = [].slice.call(arguments, 1, arguments.length - 1);
    dest = arguments[arguments.length - 1];
  }

  var destExists = fs.existsSync(dest);
  var destStat = destExists && common.statFollowLinks(dest); // Dest is not existing dir, but multiple sources given

  if ((!destExists || !destStat.isDirectory()) && sources.length > 1) {
    common.error('dest is not a directory (too many sources)');
  } // Dest is an existing file, but -n is given


  if (destExists && destStat.isFile() && options.no_force) {
    return new common.ShellString('', '', 0);
  }

  sources.forEach(function (src, srcIndex) {
    if (!fs.existsSync(src)) {
      if (src === '') src = "''"; // if src was empty string, display empty string

      common.error('no such file or directory: ' + src, {
        continue: true
      });
      return; // skip file
    }

    var srcStat = common.statFollowLinks(src);

    if (!options.noFollowsymlink && srcStat.isDirectory()) {
      if (!options.recursive) {
        // Non-Recursive
        common.error("omitting directory '" + src + "'", {
          continue: true
        });
      } else {
        // Recursive
        // 'cp /a/source dest' should create 'source' in 'dest'
        var newDest = destStat && destStat.isDirectory() ? path.join(dest, path.basename(src)) : dest;

        try {
          common.statFollowLinks(path.dirname(dest));
          cpdirSyncRecursive(src, newDest, 0, {
            no_force: options.no_force,
            followsymlink: options.followsymlink
          });
        } catch (e) {
          /* istanbul ignore next */
          common.error("cannot create directory '" + dest + "': No such file or directory");
        }
      }
    } else {
      // If here, src is a file
      // When copying to '/path/dir':
      //    thisDest = '/path/dir/file1'
      var thisDest = dest;

      if (destStat && destStat.isDirectory()) {
        thisDest = path.normalize(dest + '/' + path.basename(src));
      }

      var thisDestExists = fs.existsSync(thisDest);

      if (thisDestExists && checkRecentCreated(sources, srcIndex)) {
        // cannot overwrite file created recently in current execution, but we want to continue copying other files
        if (!options.no_force) {
          common.error("will not overwrite just-created '" + thisDest + "' with '" + src + "'", {
            continue: true
          });
        }

        return;
      }

      if (thisDestExists && options.no_force) {
        return; // skip file
      }

      if (path.relative(src, thisDest) === '') {
        // a file cannot be copied to itself, but we want to continue copying other files
        common.error("'" + thisDest + "' and '" + src + "' are the same file", {
          continue: true
        });
        return;
      }

      copyFileSync(src, thisDest, options);
    }
  }); // forEach(src)

  return new common.ShellString('', common.state.error, common.state.errorCode);
}

module.exports = _cp;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/dirs.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var _cd = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cd.js");

var path = __webpack_require__("path");

common.register('dirs', _dirs, {
  wrapOutput: false
});
common.register('pushd', _pushd, {
  wrapOutput: false
});
common.register('popd', _popd, {
  wrapOutput: false
}); // Pushd/popd/dirs internals

var _dirStack = [];

function _isStackIndex(index) {
  return /^[\-+]\d+$/.test(index);
}

function _parseStackIndex(index) {
  if (_isStackIndex(index)) {
    if (Math.abs(index) < _dirStack.length + 1) {
      // +1 for pwd
      return /^-/.test(index) ? Number(index) - 1 : Number(index);
    }

    common.error(index + ': directory stack index out of range');
  } else {
    common.error(index + ': invalid number');
  }
}

function _actualDirStack() {
  return [process.cwd()].concat(_dirStack);
} //@
//@ ### pushd([options,] [dir | '-N' | '+N'])
//@
//@ Available options:
//@
//@ + `-n`: Suppresses the normal change of directory when adding directories to the stack, so that only the stack is manipulated.
//@ + `-q`: Supresses output to the console.
//@
//@ Arguments:
//@
//@ + `dir`: Sets the current working directory to the top of the stack, then executes the equivalent of `cd dir`.
//@ + `+N`: Brings the Nth directory (counting from the left of the list printed by dirs, starting with zero) to the top of the list by rotating the stack.
//@ + `-N`: Brings the Nth directory (counting from the right of the list printed by dirs, starting with zero) to the top of the list by rotating the stack.
//@
//@ Examples:
//@
//@ ```javascript
//@ // process.cwd() === '/usr'
//@ pushd('/etc'); // Returns /etc /usr
//@ pushd('+1');   // Returns /usr /etc
//@ ```
//@
//@ Save the current directory on the top of the directory stack and then `cd` to `dir`. With no arguments, `pushd` exchanges the top two directories. Returns an array of paths in the stack.


function _pushd(options, dir) {
  if (_isStackIndex(options)) {
    dir = options;
    options = '';
  }

  options = common.parseOptions(options, {
    'n': 'no-cd',
    'q': 'quiet'
  });

  var dirs = _actualDirStack();

  if (dir === '+0') {
    return dirs; // +0 is a noop
  } else if (!dir) {
    if (dirs.length > 1) {
      dirs = dirs.splice(1, 1).concat(dirs);
    } else {
      return common.error('no other directory');
    }
  } else if (_isStackIndex(dir)) {
    var n = _parseStackIndex(dir);

    dirs = dirs.slice(n).concat(dirs.slice(0, n));
  } else {
    if (options['no-cd']) {
      dirs.splice(1, 0, dir);
    } else {
      dirs.unshift(dir);
    }
  }

  if (options['no-cd']) {
    dirs = dirs.slice(1);
  } else {
    dir = path.resolve(dirs.shift());

    _cd('', dir);
  }

  _dirStack = dirs;
  return _dirs(options.quiet ? '-q' : '');
}

exports.pushd = _pushd; //@
//@
//@ ### popd([options,] ['-N' | '+N'])
//@
//@ Available options:
//@
//@ + `-n`: Suppress the normal directory change when removing directories from the stack, so that only the stack is manipulated.
//@ + `-q`: Supresses output to the console.
//@
//@ Arguments:
//@
//@ + `+N`: Removes the Nth directory (counting from the left of the list printed by dirs), starting with zero.
//@ + `-N`: Removes the Nth directory (counting from the right of the list printed by dirs), starting with zero.
//@
//@ Examples:
//@
//@ ```javascript
//@ echo(process.cwd()); // '/usr'
//@ pushd('/etc');       // '/etc /usr'
//@ echo(process.cwd()); // '/etc'
//@ popd();              // '/usr'
//@ echo(process.cwd()); // '/usr'
//@ ```
//@
//@ When no arguments are given, `popd` removes the top directory from the stack and performs a `cd` to the new top directory. The elements are numbered from 0, starting at the first directory listed with dirs (i.e., `popd` is equivalent to `popd +0`). Returns an array of paths in the stack.

function _popd(options, index) {
  if (_isStackIndex(options)) {
    index = options;
    options = '';
  }

  options = common.parseOptions(options, {
    'n': 'no-cd',
    'q': 'quiet'
  });

  if (!_dirStack.length) {
    return common.error('directory stack empty');
  }

  index = _parseStackIndex(index || '+0');

  if (options['no-cd'] || index > 0 || _dirStack.length + index === 0) {
    index = index > 0 ? index - 1 : index;

    _dirStack.splice(index, 1);
  } else {
    var dir = path.resolve(_dirStack.shift());

    _cd('', dir);
  }

  return _dirs(options.quiet ? '-q' : '');
}

exports.popd = _popd; //@
//@
//@ ### dirs([options | '+N' | '-N'])
//@
//@ Available options:
//@
//@ + `-c`: Clears the directory stack by deleting all of the elements.
//@ + `-q`: Supresses output to the console.
//@
//@ Arguments:
//@
//@ + `+N`: Displays the Nth directory (counting from the left of the list printed by dirs when invoked without options), starting with zero.
//@ + `-N`: Displays the Nth directory (counting from the right of the list printed by dirs when invoked without options), starting with zero.
//@
//@ Display the list of currently remembered directories. Returns an array of paths in the stack, or a single path if `+N` or `-N` was specified.
//@
//@ See also: `pushd`, `popd`

function _dirs(options, index) {
  if (_isStackIndex(options)) {
    index = options;
    options = '';
  }

  options = common.parseOptions(options, {
    'c': 'clear',
    'q': 'quiet'
  });

  if (options.clear) {
    _dirStack = [];
    return _dirStack;
  }

  var stack = _actualDirStack();

  if (index) {
    index = _parseStackIndex(index);

    if (index < 0) {
      index = stack.length + index;
    }

    if (!options.quiet) {
      common.log(stack[index]);
    }

    return stack[index];
  }

  if (!options.quiet) {
    common.log(stack.join(' '));
  }

  return stack;
}

exports.dirs = _dirs;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/echo.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var format = __webpack_require__("util").format;

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('echo', _echo, {
  allowGlobbing: false
}); //@
//@ ### echo([options,] string [, string ...])
//@
//@ Available options:
//@
//@ + `-e`: interpret backslash escapes (default)
//@ + `-n`: remove trailing newline from output
//@
//@ Examples:
//@
//@ ```javascript
//@ echo('hello world');
//@ var str = echo('hello world');
//@ echo('-n', 'no newline at end');
//@ ```
//@
//@ Prints `string` to stdout, and returns string with additional utility methods
//@ like `.to()`.

function _echo(opts) {
  // allow strings starting with '-', see issue #20
  var messages = [].slice.call(arguments, opts ? 0 : 1);
  var options = {}; // If the first argument starts with '-', parse it as options string.
  // If parseOptions throws, it wasn't an options string.

  try {
    options = common.parseOptions(messages[0], {
      'e': 'escapes',
      'n': 'no_newline'
    }, {
      silent: true
    }); // Allow null to be echoed

    if (messages[0]) {
      messages.shift();
    }
  } catch (_) {
    // Clear out error if an error occurred
    common.state.error = null;
  }

  var output = format.apply(null, messages); // Add newline if -n is not passed.

  if (!options.no_newline) {
    output += '\n';
  }

  process.stdout.write(output);
  return output;
}

module.exports = _echo;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/error.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js"); //@
//@ ### error()
//@
//@ Tests if error occurred in the last command. Returns a truthy value if an
//@ error returned, or a falsy value otherwise.
//@
//@ **Note**: do not rely on the
//@ return value to be an error message. If you need the last error message, use
//@ the `.stderr` attribute from the last command's return value instead.


function error() {
  return common.state.error;
}

module.exports = error;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec-child.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/* module decorator */ module = __webpack_require__.nmd(module);
if (__webpack_require__.c[__webpack_require__.s] !== module) {
  throw new Error('This file should not be required');
}

var childProcess = __webpack_require__("child_process");

var fs = __webpack_require__("fs");

var paramFilePath = process.argv[2];
var serializedParams = fs.readFileSync(paramFilePath, 'utf8');
var params = JSON.parse(serializedParams);
var cmd = params.command;
var execOptions = params.execOptions;
var pipe = params.pipe;
var stdoutFile = params.stdoutFile;
var stderrFile = params.stderrFile;
var c = childProcess.exec(cmd, execOptions, function (err) {
  if (!err) {
    process.exitCode = 0;
  } else if (err.code === undefined) {
    process.exitCode = 1;
  } else {
    process.exitCode = err.code;
  }
});
var stdoutStream = fs.createWriteStream(stdoutFile);
var stderrStream = fs.createWriteStream(stderrFile);
c.stdout.pipe(stdoutStream);
c.stderr.pipe(stderrStream);
c.stdout.pipe(process.stdout);
c.stderr.pipe(process.stderr);

if (pipe) {
  c.stdin.end(pipe);
}

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var _tempDir = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tempdir.js").tempDir;

var _pwd = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pwd.js");

var path = __webpack_require__("path");

var fs = __webpack_require__("fs");

var child = __webpack_require__("child_process");

var DEFAULT_MAXBUFFER_SIZE = 20 * 1024 * 1024;
var DEFAULT_ERROR_CODE = 1;
common.register('exec', _exec, {
  unix: false,
  canReceivePipe: true,
  wrapOutput: false
}); // We use this function to run `exec` synchronously while also providing realtime
// output.

function execSync(cmd, opts, pipe) {
  if (!common.config.execPath) {
    common.error('Unable to find a path to the node binary. Please manually set config.execPath');
  }

  var tempDir = _tempDir();

  var paramsFile = path.resolve(tempDir + '/' + common.randomFileName());
  var stderrFile = path.resolve(tempDir + '/' + common.randomFileName());
  var stdoutFile = path.resolve(tempDir + '/' + common.randomFileName());
  opts = common.extend({
    silent: common.config.silent,
    cwd: _pwd().toString(),
    env: process.env,
    maxBuffer: DEFAULT_MAXBUFFER_SIZE,
    encoding: 'utf8'
  }, opts);
  if (fs.existsSync(paramsFile)) common.unlinkSync(paramsFile);
  if (fs.existsSync(stderrFile)) common.unlinkSync(stderrFile);
  if (fs.existsSync(stdoutFile)) common.unlinkSync(stdoutFile);
  opts.cwd = path.resolve(opts.cwd);
  var paramsToSerialize = {
    command: cmd,
    execOptions: opts,
    pipe: pipe,
    stdoutFile: stdoutFile,
    stderrFile: stderrFile
  };
  fs.writeFileSync(paramsFile, JSON.stringify(paramsToSerialize), 'utf8');
  var execArgs = [path.join(__dirname, 'exec-child.js'), paramsFile];
  /* istanbul ignore else */

  if (opts.silent) {
    opts.stdio = 'ignore';
  } else {
    opts.stdio = [0, 1, 2];
  }

  var code = 0; // Welcome to the future

  try {
    // Bad things if we pass in a `shell` option to child_process.execFileSync,
    // so we need to explicitly remove it here.
    delete opts.shell;
    child.execFileSync(common.config.execPath, execArgs, opts);
  } catch (e) {
    // Commands with non-zero exit code raise an exception.
    code = e.status || DEFAULT_ERROR_CODE;
  } // fs.readFileSync uses buffer encoding by default, so call
  // it without the encoding option if the encoding is 'buffer'.
  // Also, if the exec timeout is too short for node to start up,
  // the files will not be created, so these calls will throw.


  var stdout = '';
  var stderr = '';

  if (opts.encoding === 'buffer') {
    stdout = fs.readFileSync(stdoutFile);
    stderr = fs.readFileSync(stderrFile);
  } else {
    stdout = fs.readFileSync(stdoutFile, opts.encoding);
    stderr = fs.readFileSync(stderrFile, opts.encoding);
  } // No biggie if we can't erase the files now -- they're in a temp dir anyway


  try {
    common.unlinkSync(paramsFile);
  } catch (e) {}

  try {
    common.unlinkSync(stderrFile);
  } catch (e) {}

  try {
    common.unlinkSync(stdoutFile);
  } catch (e) {}

  if (code !== 0) {
    // Note: `silent` should be unconditionally true to avoid double-printing
    // the command's stderr, and to avoid printing any stderr when the user has
    // set `shell.config.silent`.
    common.error(stderr, code, {
      continue: true,
      silent: true
    });
  }

  var obj = common.ShellString(stdout, stderr, code);
  return obj;
} // execSync()
// Wrapper around exec() to enable echoing output to console in real time


function execAsync(cmd, opts, pipe, callback) {
  opts = common.extend({
    silent: common.config.silent,
    cwd: _pwd().toString(),
    env: process.env,
    maxBuffer: DEFAULT_MAXBUFFER_SIZE,
    encoding: 'utf8'
  }, opts);
  var c = child.exec(cmd, opts, function (err, stdout, stderr) {
    if (callback) {
      if (!err) {
        callback(0, stdout, stderr);
      } else if (err.code === undefined) {
        // See issue #536

        /* istanbul ignore next */
        callback(1, stdout, stderr);
      } else {
        callback(err.code, stdout, stderr);
      }
    }
  });
  if (pipe) c.stdin.end(pipe);

  if (!opts.silent) {
    c.stdout.pipe(process.stdout);
    c.stderr.pipe(process.stderr);
  }

  return c;
} //@
//@ ### exec(command [, options] [, callback])
//@
//@ Available options:
//@
//@ + `async`: Asynchronous execution. If a callback is provided, it will be set to
//@   `true`, regardless of the passed value (default: `false`).
//@ + `silent`: Do not echo program output to console (default: `false`).
//@ + `encoding`: Character encoding to use. Affects the values returned to stdout and stderr, and
//@   what is written to stdout and stderr when not in silent mode (default: `'utf8'`).
//@ + and any option available to Node.js's
//@   [`child_process.exec()`](https://nodejs.org/api/child_process.html#child_process_child_process_exec_command_options_callback)
//@
//@ Examples:
//@
//@ ```javascript
//@ var version = exec('node --version', {silent:true}).stdout;
//@
//@ var child = exec('some_long_running_process', {async:true});
//@ child.stdout.on('data', function(data) {
//@   /* ... do something with data ... */
//@ });
//@
//@ exec('some_long_running_process', function(code, stdout, stderr) {
//@   console.log('Exit code:', code);
//@   console.log('Program output:', stdout);
//@   console.log('Program stderr:', stderr);
//@ });
//@ ```
//@
//@ Executes the given `command` _synchronously_, unless otherwise specified.  When in synchronous
//@ mode, this returns a `ShellString` (compatible with ShellJS v0.6.x, which returns an object
//@ of the form `{ code:..., stdout:... , stderr:... }`). Otherwise, this returns the child process
//@ object, and the `callback` receives the arguments `(code, stdout, stderr)`.
//@
//@ Not seeing the behavior you want? `exec()` runs everything through `sh`
//@ by default (or `cmd.exe` on Windows), which differs from `bash`. If you
//@ need bash-specific behavior, try out the `{shell: 'path/to/bash'}` option.


function _exec(command, options, callback) {
  options = options || {};
  if (!command) common.error('must specify command');
  var pipe = common.readFromPipe(); // Callback is defined instead of options.

  if (typeof options === 'function') {
    callback = options;
    options = {
      async: true
    };
  } // Callback is defined with options.


  if (typeof options === 'object' && typeof callback === 'function') {
    options.async = true;
  }

  options = common.extend({
    silent: common.config.silent,
    async: false
  }, options);

  if (options.async) {
    return execAsync(command, options, pipe, callback);
  } else {
    return execSync(command, options, pipe);
  }
}

module.exports = _exec;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/find.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var path = __webpack_require__("path");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var _ls = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ls.js");

common.register('find', _find, {}); //@
//@ ### find(path [, path ...])
//@ ### find(path_array)
//@
//@ Examples:
//@
//@ ```javascript
//@ find('src', 'lib');
//@ find(['src', 'lib']); // same as above
//@ find('.').filter(function(file) { return file.match(/\.js$/); });
//@ ```
//@
//@ Returns array of all files (however deep) in the given paths.
//@
//@ The main difference from `ls('-R', path)` is that the resulting file names
//@ include the base directories (e.g., `lib/resources/file1` instead of just `file1`).

function _find(options, paths) {
  if (!paths) {
    common.error('no path specified');
  } else if (typeof paths === 'string') {
    paths = [].slice.call(arguments, 1);
  }

  var list = [];

  function pushFile(file) {
    if (process.platform === 'win32') {
      file = file.replace(/\\/g, '/');
    }

    list.push(file);
  } // why not simply do `ls('-R', paths)`? because the output wouldn't give the base dirs
  // to get the base dir in the output, we need instead `ls('-R', 'dir/*')` for every directory


  paths.forEach(function (file) {
    var stat;

    try {
      stat = common.statFollowLinks(file);
    } catch (e) {
      common.error('no such file or directory: ' + file);
    }

    pushFile(file);

    if (stat.isDirectory()) {
      _ls({
        recursive: true,
        all: true
      }, file).forEach(function (subfile) {
        pushFile(path.join(file, subfile));
      });
    }
  });
  return list;
}

module.exports = _find;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/grep.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('grep', _grep, {
  globStart: 2,
  // don't glob-expand the regex
  canReceivePipe: true,
  cmdOptions: {
    'v': 'inverse',
    'l': 'nameOnly',
    'i': 'ignoreCase'
  }
}); //@
//@ ### grep([options,] regex_filter, file [, file ...])
//@ ### grep([options,] regex_filter, file_array)
//@
//@ Available options:
//@
//@ + `-v`: Invert `regex_filter` (only print non-matching lines).
//@ + `-l`: Print only filenames of matching files.
//@ + `-i`: Ignore case.
//@
//@ Examples:
//@
//@ ```javascript
//@ grep('-v', 'GLOBAL_VARIABLE', '*.js');
//@ grep('GLOBAL_VARIABLE', '*.js');
//@ ```
//@
//@ Reads input string from given files and returns a string containing all lines of the
//@ file that match the given `regex_filter`.

function _grep(options, regex, files) {
  // Check if this is coming from a pipe
  var pipe = common.readFromPipe();
  if (!files && !pipe) common.error('no paths given', 2);
  files = [].slice.call(arguments, 2);

  if (pipe) {
    files.unshift('-');
  }

  var grep = [];

  if (options.ignoreCase) {
    regex = new RegExp(regex, 'i');
  }

  files.forEach(function (file) {
    if (!fs.existsSync(file) && file !== '-') {
      common.error('no such file or directory: ' + file, 2, {
        continue: true
      });
      return;
    }

    var contents = file === '-' ? pipe : fs.readFileSync(file, 'utf8');

    if (options.nameOnly) {
      if (contents.match(regex)) {
        grep.push(file);
      }
    } else {
      var lines = contents.split('\n');
      lines.forEach(function (line) {
        var matched = line.match(regex);

        if (options.inverse && !matched || !options.inverse && matched) {
          grep.push(line);
        }
      });
    }
  });
  return grep.join('\n') + '\n';
}

module.exports = _grep;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/head.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('head', _head, {
  canReceivePipe: true,
  cmdOptions: {
    'n': 'numLines'
  }
}); // Reads |numLines| lines or the entire file, whichever is less.

function readSomeLines(file, numLines) {
  var buf = common.buffer();
  var bufLength = buf.length;
  var bytesRead = bufLength;
  var pos = 0;
  var fdr = fs.openSync(file, 'r');
  var numLinesRead = 0;
  var ret = '';

  while (bytesRead === bufLength && numLinesRead < numLines) {
    bytesRead = fs.readSync(fdr, buf, 0, bufLength, pos);
    var bufStr = buf.toString('utf8', 0, bytesRead);
    numLinesRead += bufStr.split('\n').length - 1;
    ret += bufStr;
    pos += bytesRead;
  }

  fs.closeSync(fdr);
  return ret;
} //@
//@ ### head([{'-n': \<num\>},] file [, file ...])
//@ ### head([{'-n': \<num\>},] file_array)
//@
//@ Available options:
//@
//@ + `-n <num>`: Show the first `<num>` lines of the files
//@
//@ Examples:
//@
//@ ```javascript
//@ var str = head({'-n': 1}, 'file*.txt');
//@ var str = head('file1', 'file2');
//@ var str = head(['file1', 'file2']); // same as above
//@ ```
//@
//@ Read the start of a file.


function _head(options, files) {
  var head = [];
  var pipe = common.readFromPipe();
  if (!files && !pipe) common.error('no paths given');
  var idx = 1;

  if (options.numLines === true) {
    idx = 2;
    options.numLines = Number(arguments[1]);
  } else if (options.numLines === false) {
    options.numLines = 10;
  }

  files = [].slice.call(arguments, idx);

  if (pipe) {
    files.unshift('-');
  }

  var shouldAppendNewline = false;
  files.forEach(function (file) {
    if (file !== '-') {
      if (!fs.existsSync(file)) {
        common.error('no such file or directory: ' + file, {
          continue: true
        });
        return;
      } else if (common.statFollowLinks(file).isDirectory()) {
        common.error("error reading '" + file + "': Is a directory", {
          continue: true
        });
        return;
      }
    }

    var contents;

    if (file === '-') {
      contents = pipe;
    } else if (options.numLines < 0) {
      contents = fs.readFileSync(file, 'utf8');
    } else {
      contents = readSomeLines(file, options.numLines);
    }

    var lines = contents.split('\n');
    var hasTrailingNewline = lines[lines.length - 1] === '';

    if (hasTrailingNewline) {
      lines.pop();
    }

    shouldAppendNewline = hasTrailingNewline || options.numLines < lines.length;
    head = head.concat(lines.slice(0, options.numLines));
  });

  if (shouldAppendNewline) {
    head.push(''); // to add a trailing newline once we join
  }

  return head.join('\n');
}

module.exports = _head;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ln.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('ln', _ln, {
  cmdOptions: {
    's': 'symlink',
    'f': 'force'
  }
}); //@
//@ ### ln([options,] source, dest)
//@
//@ Available options:
//@
//@ + `-s`: symlink
//@ + `-f`: force
//@
//@ Examples:
//@
//@ ```javascript
//@ ln('file', 'newlink');
//@ ln('-sf', 'file', 'existing');
//@ ```
//@
//@ Links `source` to `dest`. Use `-f` to force the link, should `dest` already exist.

function _ln(options, source, dest) {
  if (!source || !dest) {
    common.error('Missing <source> and/or <dest>');
  }

  source = String(source);
  var sourcePath = path.normalize(source).replace(RegExp(path.sep + '$'), '');
  var isAbsolute = path.resolve(source) === sourcePath;
  dest = path.resolve(process.cwd(), String(dest));

  if (fs.existsSync(dest)) {
    if (!options.force) {
      common.error('Destination file exists', {
        continue: true
      });
    }

    fs.unlinkSync(dest);
  }

  if (options.symlink) {
    var isWindows = process.platform === 'win32';
    var linkType = isWindows ? 'file' : null;
    var resolvedSourcePath = isAbsolute ? sourcePath : path.resolve(process.cwd(), path.dirname(dest), source);

    if (!fs.existsSync(resolvedSourcePath)) {
      common.error('Source file does not exist', {
        continue: true
      });
    } else if (isWindows && common.statFollowLinks(resolvedSourcePath).isDirectory()) {
      linkType = 'junction';
    }

    try {
      fs.symlinkSync(linkType === 'junction' ? resolvedSourcePath : source, dest, linkType);
    } catch (err) {
      common.error(err.message);
    }
  } else {
    if (!fs.existsSync(source)) {
      common.error('Source file does not exist', {
        continue: true
      });
    }

    try {
      fs.linkSync(source, dest);
    } catch (err) {
      common.error(err.message);
    }
  }

  return '';
}

module.exports = _ln;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ls.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var path = __webpack_require__("path");

var fs = __webpack_require__("fs");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var glob = __webpack_require__("./node_modules/.f/_/glob/7.1.6/glob/glob.js");

var globPatternRecursive = path.sep + '**';
common.register('ls', _ls, {
  cmdOptions: {
    'R': 'recursive',
    'A': 'all',
    'L': 'link',
    'a': 'all_deprecated',
    'd': 'directory',
    'l': 'long'
  }
}); //@
//@ ### ls([options,] [path, ...])
//@ ### ls([options,] path_array)
//@
//@ Available options:
//@
//@ + `-R`: recursive
//@ + `-A`: all files (include files beginning with `.`, except for `.` and `..`)
//@ + `-L`: follow symlinks
//@ + `-d`: list directories themselves, not their contents
//@ + `-l`: list objects representing each file, each with fields containing `ls
//@         -l` output fields. See
//@         [`fs.Stats`](https://nodejs.org/api/fs.html#fs_class_fs_stats)
//@         for more info
//@
//@ Examples:
//@
//@ ```javascript
//@ ls('projs/*.js');
//@ ls('-R', '/users/me', '/tmp');
//@ ls('-R', ['/users/me', '/tmp']); // same as above
//@ ls('-l', 'file.txt'); // { name: 'file.txt', mode: 33188, nlink: 1, ...}
//@ ```
//@
//@ Returns array of files in the given `path`, or files in
//@ the current directory if no `path` is  provided.

function _ls(options, paths) {
  if (options.all_deprecated) {
    // We won't support the -a option as it's hard to image why it's useful
    // (it includes '.' and '..' in addition to '.*' files)
    // For backwards compatibility we'll dump a deprecated message and proceed as before
    common.log('ls: Option -a is deprecated. Use -A instead');
    options.all = true;
  }

  if (!paths) {
    paths = ['.'];
  } else {
    paths = [].slice.call(arguments, 1);
  }

  var list = [];

  function pushFile(abs, relName, stat) {
    if (process.platform === 'win32') {
      relName = relName.replace(/\\/g, '/');
    }

    if (options.long) {
      stat = stat || (options.link ? common.statFollowLinks(abs) : common.statNoFollowLinks(abs));
      list.push(addLsAttributes(relName, stat));
    } else {
      // list.push(path.relative(rel || '.', file));
      list.push(relName);
    }
  }

  paths.forEach(function (p) {
    var stat;

    try {
      stat = options.link ? common.statFollowLinks(p) : common.statNoFollowLinks(p); // follow links to directories by default

      if (stat.isSymbolicLink()) {
        /* istanbul ignore next */
        // workaround for https://github.com/shelljs/shelljs/issues/795
        // codecov seems to have a bug that miscalculate this block as uncovered.
        // but according to nyc report this block does get covered.
        try {
          var _stat = common.statFollowLinks(p);

          if (_stat.isDirectory()) {
            stat = _stat;
          }
        } catch (_) {} // bad symlink, treat it like a file

      }
    } catch (e) {
      common.error('no such file or directory: ' + p, 2, {
        continue: true
      });
      return;
    } // If the stat succeeded


    if (stat.isDirectory() && !options.directory) {
      if (options.recursive) {
        // use glob, because it's simple
        glob.sync(p + globPatternRecursive, {
          dot: options.all,
          follow: options.link
        }).forEach(function (item) {
          // Glob pattern returns the directory itself and needs to be filtered out.
          if (path.relative(p, item)) {
            pushFile(item, path.relative(p, item));
          }
        });
      } else if (options.all) {
        // use fs.readdirSync, because it's fast
        fs.readdirSync(p).forEach(function (item) {
          pushFile(path.join(p, item), item);
        });
      } else {
        // use fs.readdirSync and then filter out secret files
        fs.readdirSync(p).forEach(function (item) {
          if (item[0] !== '.') {
            pushFile(path.join(p, item), item);
          }
        });
      }
    } else {
      pushFile(p, p, stat);
    }
  }); // Add methods, to make this more compatible with ShellStrings

  return list;
}

function addLsAttributes(pathName, stats) {
  // Note: this object will contain more information than .toString() returns
  stats.name = pathName;

  stats.toString = function () {
    // Return a string resembling unix's `ls -l` format
    return [this.mode, this.nlink, this.uid, this.gid, this.size, this.mtime, this.name].join(' ');
  };

  return stats;
}

module.exports = _ls;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mkdir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

common.register('mkdir', _mkdir, {
  cmdOptions: {
    'p': 'fullpath'
  }
}); // Recursively creates `dir`

function mkdirSyncRecursive(dir) {
  var baseDir = path.dirname(dir); // Prevents some potential problems arising from malformed UNCs or
  // insufficient permissions.

  /* istanbul ignore next */

  if (baseDir === dir) {
    common.error('dirname() failed: [' + dir + ']');
  } // Base dir exists, no recursion necessary


  if (fs.existsSync(baseDir)) {
    fs.mkdirSync(dir, parseInt('0777', 8));
    return;
  } // Base dir does not exist, go recursive


  mkdirSyncRecursive(baseDir); // Base dir created, can create dir

  fs.mkdirSync(dir, parseInt('0777', 8));
} //@
//@ ### mkdir([options,] dir [, dir ...])
//@ ### mkdir([options,] dir_array)
//@
//@ Available options:
//@
//@ + `-p`: full path (and create intermediate directories, if necessary)
//@
//@ Examples:
//@
//@ ```javascript
//@ mkdir('-p', '/tmp/a/b/c/d', '/tmp/e/f/g');
//@ mkdir('-p', ['/tmp/a/b/c/d', '/tmp/e/f/g']); // same as above
//@ ```
//@
//@ Creates directories.


function _mkdir(options, dirs) {
  if (!dirs) common.error('no paths given');

  if (typeof dirs === 'string') {
    dirs = [].slice.call(arguments, 1);
  } // if it's array leave it as it is


  dirs.forEach(function (dir) {
    try {
      var stat = common.statNoFollowLinks(dir);

      if (!options.fullpath) {
        common.error('path already exists: ' + dir, {
          continue: true
        });
      } else if (stat.isFile()) {
        common.error('cannot create directory ' + dir + ': File exists', {
          continue: true
        });
      }

      return; // skip dir
    } catch (e) {// do nothing
    } // Base dir does not exist, and no -p option given


    var baseDir = path.dirname(dir);

    if (!fs.existsSync(baseDir) && !options.fullpath) {
      common.error('no such file or directory: ' + baseDir, {
        continue: true
      });
      return; // skip dir
    }

    try {
      if (options.fullpath) {
        mkdirSyncRecursive(path.resolve(dir));
      } else {
        fs.mkdirSync(dir, parseInt('0777', 8));
      }
    } catch (e) {
      var reason;

      if (e.code === 'EACCES') {
        reason = 'Permission denied';
      } else if (e.code === 'ENOTDIR' || e.code === 'ENOENT') {
        reason = 'Not a directory';
      } else {
        /* istanbul ignore next */
        throw e;
      }

      common.error('cannot create directory ' + dir + ': ' + reason, {
        continue: true
      });
    }
  });
  return '';
} // mkdir


module.exports = _mkdir;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mv.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var cp = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cp.js");

var rm = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/rm.js");

common.register('mv', _mv, {
  cmdOptions: {
    'f': '!no_force',
    'n': 'no_force'
  }
}); // Checks if cureent file was created recently

function checkRecentCreated(sources, index) {
  var lookedSource = sources[index];
  return sources.slice(0, index).some(function (src) {
    return path.basename(src) === path.basename(lookedSource);
  });
} //@
//@ ### mv([options ,] source [, source ...], dest')
//@ ### mv([options ,] source_array, dest')
//@
//@ Available options:
//@
//@ + `-f`: force (default behavior)
//@ + `-n`: no-clobber
//@
//@ Examples:
//@
//@ ```javascript
//@ mv('-n', 'file', 'dir/');
//@ mv('file1', 'file2', 'dir/');
//@ mv(['file1', 'file2'], 'dir/'); // same as above
//@ ```
//@
//@ Moves `source` file(s) to `dest`.


function _mv(options, sources, dest) {
  // Get sources, dest
  if (arguments.length < 3) {
    common.error('missing <source> and/or <dest>');
  } else if (arguments.length > 3) {
    sources = [].slice.call(arguments, 1, arguments.length - 1);
    dest = arguments[arguments.length - 1];
  } else if (typeof sources === 'string') {
    sources = [sources];
  } else {
    // TODO(nate): figure out if we actually need this line
    common.error('invalid arguments');
  }

  var exists = fs.existsSync(dest);
  var stats = exists && common.statFollowLinks(dest); // Dest is not existing dir, but multiple sources given

  if ((!exists || !stats.isDirectory()) && sources.length > 1) {
    common.error('dest is not a directory (too many sources)');
  } // Dest is an existing file, but no -f given


  if (exists && stats.isFile() && options.no_force) {
    common.error('dest file already exists: ' + dest);
  }

  sources.forEach(function (src, srcIndex) {
    if (!fs.existsSync(src)) {
      common.error('no such file or directory: ' + src, {
        continue: true
      });
      return; // skip file
    } // If here, src exists
    // When copying to '/path/dir':
    //    thisDest = '/path/dir/file1'


    var thisDest = dest;

    if (fs.existsSync(dest) && common.statFollowLinks(dest).isDirectory()) {
      thisDest = path.normalize(dest + '/' + path.basename(src));
    }

    var thisDestExists = fs.existsSync(thisDest);

    if (thisDestExists && checkRecentCreated(sources, srcIndex)) {
      // cannot overwrite file created recently in current execution, but we want to continue copying other files
      if (!options.no_force) {
        common.error("will not overwrite just-created '" + thisDest + "' with '" + src + "'", {
          continue: true
        });
      }

      return;
    }

    if (fs.existsSync(thisDest) && options.no_force) {
      common.error('dest file already exists: ' + thisDest, {
        continue: true
      });
      return; // skip file
    }

    if (path.resolve(src) === path.dirname(path.resolve(thisDest))) {
      common.error('cannot move to self: ' + src, {
        continue: true
      });
      return; // skip file
    }

    try {
      fs.renameSync(src, thisDest);
    } catch (e) {
      /* istanbul ignore next */
      if (e.code === 'EXDEV') {
        // If we're trying to `mv` to an external partition, we'll actually need
        // to perform a copy and then clean up the original file. If either the
        // copy or the rm fails with an exception, we should allow this
        // exception to pass up to the top level.
        cp('-r', src, thisDest);
        rm('-rf', src);
      }
    }
  }); // forEach(src)

  return '';
} // mv


module.exports = _mv;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/popd.js":
/***/ (() => {

// see dirs.js

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pushd.js":
/***/ (() => {

// see dirs.js

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pwd.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var path = __webpack_require__("path");

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('pwd', _pwd, {
  allowGlobbing: false
}); //@
//@ ### pwd()
//@
//@ Returns the current directory.

function _pwd() {
  var pwd = path.resolve(process.cwd());
  return pwd;
}

module.exports = _pwd;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/rm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('rm', _rm, {
  cmdOptions: {
    'f': 'force',
    'r': 'recursive',
    'R': 'recursive'
  }
}); // Recursively removes 'dir'
// Adapted from https://github.com/ryanmcgrath/wrench-js
//
// Copyright (c) 2010 Ryan McGrath
// Copyright (c) 2012 Artur Adib
//
// Licensed under the MIT License
// http://www.opensource.org/licenses/mit-license.php

function rmdirSyncRecursive(dir, force, fromSymlink) {
  var files;
  files = fs.readdirSync(dir); // Loop through and delete everything in the sub-tree after checking it

  for (var i = 0; i < files.length; i++) {
    var file = dir + '/' + files[i];
    var currFile = common.statNoFollowLinks(file);

    if (currFile.isDirectory()) {
      // Recursive function back to the beginning
      rmdirSyncRecursive(file, force);
    } else {
      // Assume it's a file - perhaps a try/catch belongs here?
      if (force || isWriteable(file)) {
        try {
          common.unlinkSync(file);
        } catch (e) {
          /* istanbul ignore next */
          common.error('could not remove file (code ' + e.code + '): ' + file, {
            continue: true
          });
        }
      }
    }
  } // if was directory was referenced through a symbolic link,
  // the contents should be removed, but not the directory itself


  if (fromSymlink) return; // Now that we know everything in the sub-tree has been deleted, we can delete the main directory.
  // Huzzah for the shopkeep.

  var result;

  try {
    // Retry on windows, sometimes it takes a little time before all the files in the directory are gone
    var start = Date.now(); // TODO: replace this with a finite loop

    for (;;) {
      try {
        result = fs.rmdirSync(dir);
        if (fs.existsSync(dir)) throw {
          code: 'EAGAIN'
        };
        break;
      } catch (er) {
        /* istanbul ignore next */
        // In addition to error codes, also check if the directory still exists and loop again if true
        if (process.platform === 'win32' && (er.code === 'ENOTEMPTY' || er.code === 'EBUSY' || er.code === 'EPERM' || er.code === 'EAGAIN')) {
          if (Date.now() - start > 1000) throw er;
        } else if (er.code === 'ENOENT') {
          // Directory did not exist, deletion was successful
          break;
        } else {
          throw er;
        }
      }
    }
  } catch (e) {
    common.error('could not remove directory (code ' + e.code + '): ' + dir, {
      continue: true
    });
  }

  return result;
} // rmdirSyncRecursive
// Hack to determine if file has write permissions for current user
// Avoids having to check user, group, etc, but it's probably slow


function isWriteable(file) {
  var writePermission = true;

  try {
    var __fd = fs.openSync(file, 'a');

    fs.closeSync(__fd);
  } catch (e) {
    writePermission = false;
  }

  return writePermission;
}

function handleFile(file, options) {
  if (options.force || isWriteable(file)) {
    // -f was passed, or file is writable, so it can be removed
    common.unlinkSync(file);
  } else {
    common.error('permission denied: ' + file, {
      continue: true
    });
  }
}

function handleDirectory(file, options) {
  if (options.recursive) {
    // -r was passed, so directory can be removed
    rmdirSyncRecursive(file, options.force);
  } else {
    common.error('path is a directory', {
      continue: true
    });
  }
}

function handleSymbolicLink(file, options) {
  var stats;

  try {
    stats = common.statFollowLinks(file);
  } catch (e) {
    // symlink is broken, so remove the symlink itself
    common.unlinkSync(file);
    return;
  }

  if (stats.isFile()) {
    common.unlinkSync(file);
  } else if (stats.isDirectory()) {
    if (file[file.length - 1] === '/') {
      // trailing separator, so remove the contents, not the link
      if (options.recursive) {
        // -r was passed, so directory can be removed
        var fromSymlink = true;
        rmdirSyncRecursive(file, options.force, fromSymlink);
      } else {
        common.error('path is a directory', {
          continue: true
        });
      }
    } else {
      // no trailing separator, so remove the link
      common.unlinkSync(file);
    }
  }
}

function handleFIFO(file) {
  common.unlinkSync(file);
} //@
//@ ### rm([options,] file [, file ...])
//@ ### rm([options,] file_array)
//@
//@ Available options:
//@
//@ + `-f`: force
//@ + `-r, -R`: recursive
//@
//@ Examples:
//@
//@ ```javascript
//@ rm('-rf', '/tmp/*');
//@ rm('some_file.txt', 'another_file.txt');
//@ rm(['some_file.txt', 'another_file.txt']); // same as above
//@ ```
//@
//@ Removes files.


function _rm(options, files) {
  if (!files) common.error('no paths given'); // Convert to array

  files = [].slice.call(arguments, 1);
  files.forEach(function (file) {
    var lstats;

    try {
      var filepath = file[file.length - 1] === '/' ? file.slice(0, -1) // remove the '/' so lstatSync can detect symlinks
      : file;
      lstats = common.statNoFollowLinks(filepath); // test for existence
    } catch (e) {
      // Path does not exist, no force flag given
      if (!options.force) {
        common.error('no such file or directory: ' + file, {
          continue: true
        });
      }

      return; // skip file
    } // If here, path exists


    if (lstats.isFile()) {
      handleFile(file, options);
    } else if (lstats.isDirectory()) {
      handleDirectory(file, options);
    } else if (lstats.isSymbolicLink()) {
      handleSymbolicLink(file, options);
    } else if (lstats.isFIFO()) {
      handleFIFO(file);
    }
  }); // forEach(file)

  return '';
} // rm


module.exports = _rm;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sed.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('sed', _sed, {
  globStart: 3,
  // don't glob-expand regexes
  canReceivePipe: true,
  cmdOptions: {
    'i': 'inplace'
  }
}); //@
//@ ### sed([options,] search_regex, replacement, file [, file ...])
//@ ### sed([options,] search_regex, replacement, file_array)
//@
//@ Available options:
//@
//@ + `-i`: Replace contents of `file` in-place. _Note that no backups will be created!_
//@
//@ Examples:
//@
//@ ```javascript
//@ sed('-i', 'PROGRAM_VERSION', 'v0.1.3', 'source.js');
//@ sed(/.*DELETE_THIS_LINE.*\n/, '', 'source.js');
//@ ```
//@
//@ Reads an input string from `file`s, and performs a JavaScript `replace()` on the input
//@ using the given `search_regex` and `replacement` string or function. Returns the new string after replacement.
//@
//@ Note:
//@
//@ Like unix `sed`, ShellJS `sed` supports capture groups. Capture groups are specified
//@ using the `$n` syntax:
//@
//@ ```javascript
//@ sed(/(\w+)\s(\w+)/, '$2, $1', 'file.txt');
//@ ```

function _sed(options, regex, replacement, files) {
  // Check if this is coming from a pipe
  var pipe = common.readFromPipe();

  if (typeof replacement !== 'string' && typeof replacement !== 'function') {
    if (typeof replacement === 'number') {
      replacement = replacement.toString(); // fallback
    } else {
      common.error('invalid replacement string');
    }
  } // Convert all search strings to RegExp


  if (typeof regex === 'string') {
    regex = RegExp(regex);
  }

  if (!files && !pipe) {
    common.error('no files given');
  }

  files = [].slice.call(arguments, 3);

  if (pipe) {
    files.unshift('-');
  }

  var sed = [];
  files.forEach(function (file) {
    if (!fs.existsSync(file) && file !== '-') {
      common.error('no such file or directory: ' + file, 2, {
        continue: true
      });
      return;
    }

    var contents = file === '-' ? pipe : fs.readFileSync(file, 'utf8');
    var lines = contents.split('\n');
    var result = lines.map(function (line) {
      return line.replace(regex, replacement);
    }).join('\n');
    sed.push(result);

    if (options.inplace) {
      fs.writeFileSync(file, result, 'utf8');
    }
  });
  return sed.join('\n');
}

module.exports = _sed;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/set.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

common.register('set', _set, {
  allowGlobbing: false,
  wrapOutput: false
}); //@
//@ ### set(options)
//@
//@ Available options:
//@
//@ + `+/-e`: exit upon error (`config.fatal`)
//@ + `+/-v`: verbose: show all commands (`config.verbose`)
//@ + `+/-f`: disable filename expansion (globbing)
//@
//@ Examples:
//@
//@ ```javascript
//@ set('-e'); // exit upon first error
//@ set('+e'); // this undoes a "set('-e')"
//@ ```
//@
//@ Sets global configuration variables.

function _set(options) {
  if (!options) {
    var args = [].slice.call(arguments, 0);
    if (args.length < 2) common.error('must provide an argument');
    options = args[1];
  }

  var negate = options[0] === '+';

  if (negate) {
    options = '-' + options.slice(1); // parseOptions needs a '-' prefix
  }

  options = common.parseOptions(options, {
    'e': 'fatal',
    'v': 'verbose',
    'f': 'noglob'
  });

  if (negate) {
    Object.keys(options).forEach(function (key) {
      options[key] = !options[key];
    });
  }

  Object.keys(options).forEach(function (key) {
    // Only change the global config if `negate` is false and the option is true
    // or if `negate` is true and the option is false (aka negate !== option)
    if (negate !== options[key]) {
      common.config[key] = options[key];
    }
  });
  return;
}

module.exports = _set;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sort.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('sort', _sort, {
  canReceivePipe: true,
  cmdOptions: {
    'r': 'reverse',
    'n': 'numerical'
  }
}); // parse out the number prefix of a line

function parseNumber(str) {
  var match = str.match(/^\s*(\d*)\s*(.*)$/);
  return {
    num: Number(match[1]),
    value: match[2]
  };
} // compare two strings case-insensitively, but examine case for strings that are
// case-insensitive equivalent


function unixCmp(a, b) {
  var aLower = a.toLowerCase();
  var bLower = b.toLowerCase();
  return aLower === bLower ? -1 * a.localeCompare(b) : // unix sort treats case opposite how javascript does
  aLower.localeCompare(bLower);
} // compare two strings in the fashion that unix sort's -n option works


function numericalCmp(a, b) {
  var objA = parseNumber(a);
  var objB = parseNumber(b);

  if (objA.hasOwnProperty('num') && objB.hasOwnProperty('num')) {
    return objA.num !== objB.num ? objA.num - objB.num : unixCmp(objA.value, objB.value);
  } else {
    return unixCmp(objA.value, objB.value);
  }
} //@
//@ ### sort([options,] file [, file ...])
//@ ### sort([options,] file_array)
//@
//@ Available options:
//@
//@ + `-r`: Reverse the results
//@ + `-n`: Compare according to numerical value
//@
//@ Examples:
//@
//@ ```javascript
//@ sort('foo.txt', 'bar.txt');
//@ sort('-r', 'foo.txt');
//@ ```
//@
//@ Return the contents of the `file`s, sorted line-by-line. Sorting multiple
//@ files mixes their content (just as unix `sort` does).


function _sort(options, files) {
  // Check if this is coming from a pipe
  var pipe = common.readFromPipe();
  if (!files && !pipe) common.error('no files given');
  files = [].slice.call(arguments, 1);

  if (pipe) {
    files.unshift('-');
  }

  var lines = files.reduce(function (accum, file) {
    if (file !== '-') {
      if (!fs.existsSync(file)) {
        common.error('no such file or directory: ' + file, {
          continue: true
        });
        return accum;
      } else if (common.statFollowLinks(file).isDirectory()) {
        common.error('read failed: ' + file + ': Is a directory', {
          continue: true
        });
        return accum;
      }
    }

    var contents = file === '-' ? pipe : fs.readFileSync(file, 'utf8');
    return accum.concat(contents.trimRight().split('\n'));
  }, []);
  var sorted = lines.sort(options.numerical ? numericalCmp : unixCmp);

  if (options.reverse) {
    sorted = sorted.reverse();
  }

  return sorted.join('\n') + '\n';
}

module.exports = _sort;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tail.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('tail', _tail, {
  canReceivePipe: true,
  cmdOptions: {
    'n': 'numLines'
  }
}); //@
//@ ### tail([{'-n': \<num\>},] file [, file ...])
//@ ### tail([{'-n': \<num\>},] file_array)
//@
//@ Available options:
//@
//@ + `-n <num>`: Show the last `<num>` lines of `file`s
//@
//@ Examples:
//@
//@ ```javascript
//@ var str = tail({'-n': 1}, 'file*.txt');
//@ var str = tail('file1', 'file2');
//@ var str = tail(['file1', 'file2']); // same as above
//@ ```
//@
//@ Read the end of a `file`.

function _tail(options, files) {
  var tail = [];
  var pipe = common.readFromPipe();
  if (!files && !pipe) common.error('no paths given');
  var idx = 1;

  if (options.numLines === true) {
    idx = 2;
    options.numLines = Number(arguments[1]);
  } else if (options.numLines === false) {
    options.numLines = 10;
  }

  options.numLines = -1 * Math.abs(options.numLines);
  files = [].slice.call(arguments, idx);

  if (pipe) {
    files.unshift('-');
  }

  var shouldAppendNewline = false;
  files.forEach(function (file) {
    if (file !== '-') {
      if (!fs.existsSync(file)) {
        common.error('no such file or directory: ' + file, {
          continue: true
        });
        return;
      } else if (common.statFollowLinks(file).isDirectory()) {
        common.error("error reading '" + file + "': Is a directory", {
          continue: true
        });
        return;
      }
    }

    var contents = file === '-' ? pipe : fs.readFileSync(file, 'utf8');
    var lines = contents.split('\n');

    if (lines[lines.length - 1] === '') {
      lines.pop();
      shouldAppendNewline = true;
    } else {
      shouldAppendNewline = false;
    }

    tail = tail.concat(lines.slice(options.numLines));
  });

  if (shouldAppendNewline) {
    tail.push(''); // to add a trailing newline once we join
  }

  return tail.join('\n');
}

module.exports = _tail;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tempdir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var os = __webpack_require__("os");

var fs = __webpack_require__("fs");

common.register('tempdir', _tempDir, {
  allowGlobbing: false,
  wrapOutput: false
}); // Returns false if 'dir' is not a writeable directory, 'dir' otherwise

function writeableDir(dir) {
  if (!dir || !fs.existsSync(dir)) return false;
  if (!common.statFollowLinks(dir).isDirectory()) return false;
  var testFile = dir + '/' + common.randomFileName();

  try {
    fs.writeFileSync(testFile, ' ');
    common.unlinkSync(testFile);
    return dir;
  } catch (e) {
    /* istanbul ignore next */
    return false;
  }
} // Variable to cache the tempdir value for successive lookups.


var cachedTempDir; //@
//@ ### tempdir()
//@
//@ Examples:
//@
//@ ```javascript
//@ var tmp = tempdir(); // "/tmp" for most *nix platforms
//@ ```
//@
//@ Searches and returns string containing a writeable, platform-dependent temporary directory.
//@ Follows Python's [tempfile algorithm](http://docs.python.org/library/tempfile.html#tempfile.tempdir).

function _tempDir() {
  if (cachedTempDir) return cachedTempDir;
  cachedTempDir = writeableDir(os.tmpdir()) || writeableDir(process.env.TMPDIR) || writeableDir(process.env.TEMP) || writeableDir(process.env.TMP) || writeableDir(process.env.Wimp$ScrapDir) || // RiscOS
  writeableDir('C:\\TEMP') || // Windows
  writeableDir('C:\\TMP') || // Windows
  writeableDir('\\TEMP') || // Windows
  writeableDir('\\TMP') || // Windows
  writeableDir('/tmp') || writeableDir('/var/tmp') || writeableDir('/usr/tmp') || writeableDir('.'); // last resort

  return cachedTempDir;
} // Indicates if the tempdir value is currently cached. This is exposed for tests
// only. The return value should only be tested for truthiness.


function isCached() {
  return cachedTempDir;
} // Clears the cached tempDir value, if one is cached. This is exposed for tests
// only.


function clearCache() {
  cachedTempDir = undefined;
}

module.exports.tempDir = _tempDir;
module.exports.isCached = isCached;
module.exports.clearCache = clearCache;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/test.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('test', _test, {
  cmdOptions: {
    'b': 'block',
    'c': 'character',
    'd': 'directory',
    'e': 'exists',
    'f': 'file',
    'L': 'link',
    'p': 'pipe',
    'S': 'socket'
  },
  wrapOutput: false,
  allowGlobbing: false
}); //@
//@ ### test(expression)
//@
//@ Available expression primaries:
//@
//@ + `'-b', 'path'`: true if path is a block device
//@ + `'-c', 'path'`: true if path is a character device
//@ + `'-d', 'path'`: true if path is a directory
//@ + `'-e', 'path'`: true if path exists
//@ + `'-f', 'path'`: true if path is a regular file
//@ + `'-L', 'path'`: true if path is a symbolic link
//@ + `'-p', 'path'`: true if path is a pipe (FIFO)
//@ + `'-S', 'path'`: true if path is a socket
//@
//@ Examples:
//@
//@ ```javascript
//@ if (test('-d', path)) { /* do something with dir */ };
//@ if (!test('-f', path)) continue; // skip if it's a regular file
//@ ```
//@
//@ Evaluates `expression` using the available primaries and returns corresponding value.

function _test(options, path) {
  if (!path) common.error('no path given');
  var canInterpret = false;
  Object.keys(options).forEach(function (key) {
    if (options[key] === true) {
      canInterpret = true;
    }
  });
  if (!canInterpret) common.error('could not interpret expression');

  if (options.link) {
    try {
      return common.statNoFollowLinks(path).isSymbolicLink();
    } catch (e) {
      return false;
    }
  }

  if (!fs.existsSync(path)) return false;
  if (options.exists) return true;
  var stats = common.statFollowLinks(path);
  if (options.block) return stats.isBlockDevice();
  if (options.character) return stats.isCharacterDevice();
  if (options.directory) return stats.isDirectory();
  if (options.file) return stats.isFile();
  /* istanbul ignore next */

  if (options.pipe) return stats.isFIFO();
  /* istanbul ignore next */

  if (options.socket) return stats.isSocket();
  /* istanbul ignore next */

  return false; // fallback
} // test


module.exports = _test;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/to.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

common.register('to', _to, {
  pipeOnly: true,
  wrapOutput: false
}); //@
//@ ### ShellString.prototype.to(file)
//@
//@ Examples:
//@
//@ ```javascript
//@ cat('input.txt').to('output.txt');
//@ ```
//@
//@ Analogous to the redirection operator `>` in Unix, but works with
//@ `ShellStrings` (such as those returned by `cat`, `grep`, etc.). _Like Unix
//@ redirections, `to()` will overwrite any existing file!_

function _to(options, file) {
  if (!file) common.error('wrong arguments');

  if (!fs.existsSync(path.dirname(file))) {
    common.error('no such file or directory: ' + path.dirname(file));
  }

  try {
    fs.writeFileSync(file, this.stdout || this.toString(), 'utf8');
    return this;
  } catch (e) {
    /* istanbul ignore next */
    common.error('could not write to file (code ' + e.code + '): ' + file, {
      continue: true
    });
  }
}

module.exports = _to;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/toEnd.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

common.register('toEnd', _toEnd, {
  pipeOnly: true,
  wrapOutput: false
}); //@
//@ ### ShellString.prototype.toEnd(file)
//@
//@ Examples:
//@
//@ ```javascript
//@ cat('input.txt').toEnd('output.txt');
//@ ```
//@
//@ Analogous to the redirect-and-append operator `>>` in Unix, but works with
//@ `ShellStrings` (such as those returned by `cat`, `grep`, etc.).

function _toEnd(options, file) {
  if (!file) common.error('wrong arguments');

  if (!fs.existsSync(path.dirname(file))) {
    common.error('no such file or directory: ' + path.dirname(file));
  }

  try {
    fs.appendFileSync(file, this.stdout || this.toString(), 'utf8');
    return this;
  } catch (e) {
    /* istanbul ignore next */
    common.error('could not append to file (code ' + e.code + '): ' + file, {
      continue: true
    });
  }
}

module.exports = _toEnd;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/touch.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

common.register('touch', _touch, {
  cmdOptions: {
    'a': 'atime_only',
    'c': 'no_create',
    'd': 'date',
    'm': 'mtime_only',
    'r': 'reference'
  }
}); //@
//@ ### touch([options,] file [, file ...])
//@ ### touch([options,] file_array)
//@
//@ Available options:
//@
//@ + `-a`: Change only the access time
//@ + `-c`: Do not create any files
//@ + `-m`: Change only the modification time
//@ + `-d DATE`: Parse `DATE` and use it instead of current time
//@ + `-r FILE`: Use `FILE`'s times instead of current time
//@
//@ Examples:
//@
//@ ```javascript
//@ touch('source.js');
//@ touch('-c', '/path/to/some/dir/source.js');
//@ touch({ '-r': FILE }, '/path/to/some/dir/source.js');
//@ ```
//@
//@ Update the access and modification times of each `FILE` to the current time.
//@ A `FILE` argument that does not exist is created empty, unless `-c` is supplied.
//@ This is a partial implementation of [`touch(1)`](http://linux.die.net/man/1/touch).

function _touch(opts, files) {
  if (!files) {
    common.error('no files given');
  } else if (typeof files === 'string') {
    files = [].slice.call(arguments, 1);
  } else {
    common.error('file arg should be a string file path or an Array of string file paths');
  }

  files.forEach(function (f) {
    touchFile(opts, f);
  });
  return '';
}

function touchFile(opts, file) {
  var stat = tryStatFile(file);

  if (stat && stat.isDirectory()) {
    // don't error just exit
    return;
  } // if the file doesn't already exist and the user has specified --no-create then
  // this script is finished


  if (!stat && opts.no_create) {
    return;
  } // open the file and then close it. this will create it if it doesn't exist but will
  // not truncate the file


  fs.closeSync(fs.openSync(file, 'a')); //
  // Set timestamps
  //
  // setup some defaults

  var now = new Date();
  var mtime = opts.date || now;
  var atime = opts.date || now; // use reference file

  if (opts.reference) {
    var refStat = tryStatFile(opts.reference);

    if (!refStat) {
      common.error('failed to get attributess of ' + opts.reference);
    }

    mtime = refStat.mtime;
    atime = refStat.atime;
  } else if (opts.date) {
    mtime = opts.date;
    atime = opts.date;
  }

  if (opts.atime_only && opts.mtime_only) {// keep the new values of mtime and atime like GNU
  } else if (opts.atime_only) {
    mtime = stat.mtime;
  } else if (opts.mtime_only) {
    atime = stat.atime;
  }

  fs.utimesSync(file, atime, mtime);
}

module.exports = _touch;

function tryStatFile(filePath) {
  try {
    return common.statFollowLinks(filePath);
  } catch (e) {
    return null;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/uniq.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs"); // add c spaces to the left of str


function lpad(c, str) {
  var res = '' + str;

  if (res.length < c) {
    res = Array(c - res.length + 1).join(' ') + res;
  }

  return res;
}

common.register('uniq', _uniq, {
  canReceivePipe: true,
  cmdOptions: {
    'i': 'ignoreCase',
    'c': 'count',
    'd': 'duplicates'
  }
}); //@
//@ ### uniq([options,] [input, [output]])
//@
//@ Available options:
//@
//@ + `-i`: Ignore case while comparing
//@ + `-c`: Prefix lines by the number of occurrences
//@ + `-d`: Only print duplicate lines, one for each group of identical lines
//@
//@ Examples:
//@
//@ ```javascript
//@ uniq('foo.txt');
//@ uniq('-i', 'foo.txt');
//@ uniq('-cd', 'foo.txt', 'bar.txt');
//@ ```
//@
//@ Filter adjacent matching lines from `input`.

function _uniq(options, input, output) {
  // Check if this is coming from a pipe
  var pipe = common.readFromPipe();

  if (!pipe) {
    if (!input) common.error('no input given');

    if (!fs.existsSync(input)) {
      common.error(input + ': No such file or directory');
    } else if (common.statFollowLinks(input).isDirectory()) {
      common.error("error reading '" + input + "'");
    }
  }

  if (output && fs.existsSync(output) && common.statFollowLinks(output).isDirectory()) {
    common.error(output + ': Is a directory');
  }

  var lines = (input ? fs.readFileSync(input, 'utf8') : pipe).trimRight().split('\n');

  var compare = function (a, b) {
    return options.ignoreCase ? a.toLocaleLowerCase().localeCompare(b.toLocaleLowerCase()) : a.localeCompare(b);
  };

  var uniqed = lines.reduceRight(function (res, e) {
    // Perform uniq -c on the input
    if (res.length === 0) {
      return [{
        count: 1,
        ln: e
      }];
    } else if (compare(res[0].ln, e) === 0) {
      return [{
        count: res[0].count + 1,
        ln: e
      }].concat(res.slice(1));
    } else {
      return [{
        count: 1,
        ln: e
      }].concat(res);
    }
  }, []).filter(function (obj) {
    // Do we want only duplicated objects?
    return options.duplicates ? obj.count > 1 : true;
  }).map(function (obj) {
    // Are we tracking the counts of each line?
    return (options.count ? lpad(7, obj.count) + ' ' : '') + obj.ln;
  }).join('\n') + '\n';

  if (output) {
    new common.ShellString(uniqed).to(output); // if uniq writes to output, nothing is passed to the next command in the pipeline (if any)

    return '';
  } else {
    return uniqed;
  }
}

module.exports = _uniq;

/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/which.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var common = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js");

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

common.register('which', _which, {
  allowGlobbing: false,
  cmdOptions: {
    'a': 'all'
  }
}); // XP's system default value for `PATHEXT` system variable, just in case it's not
// set on Windows.

var XP_DEFAULT_PATHEXT = '.com;.exe;.bat;.cmd;.vbs;.vbe;.js;.jse;.wsf;.wsh'; // For earlier versions of NodeJS that doesn't have a list of constants (< v6)

var FILE_EXECUTABLE_MODE = 1;

function isWindowsPlatform() {
  return process.platform === 'win32';
} // Cross-platform method for splitting environment `PATH` variables


function splitPath(p) {
  return p ? p.split(path.delimiter) : [];
} // Tests are running all cases for this func but it stays uncovered by codecov due to unknown reason

/* istanbul ignore next */


function isExecutable(pathName) {
  try {
    // TODO(node-support): replace with fs.constants.X_OK once remove support for node < v6
    fs.accessSync(pathName, FILE_EXECUTABLE_MODE);
  } catch (err) {
    return false;
  }

  return true;
}

function checkPath(pathName) {
  return fs.existsSync(pathName) && !common.statFollowLinks(pathName).isDirectory() && (isWindowsPlatform() || isExecutable(pathName));
} //@
//@ ### which(command)
//@
//@ Examples:
//@
//@ ```javascript
//@ var nodeExec = which('node');
//@ ```
//@
//@ Searches for `command` in the system's `PATH`. On Windows, this uses the
//@ `PATHEXT` variable to append the extension if it's not already executable.
//@ Returns string containing the absolute path to `command`.


function _which(options, cmd) {
  if (!cmd) common.error('must specify command');
  var isWindows = isWindowsPlatform();
  var pathArray = splitPath(process.env.PATH);
  var queryMatches = []; // No relative/absolute paths provided?

  if (cmd.indexOf('/') === -1) {
    // Assume that there are no extensions to append to queries (this is the
    // case for unix)
    var pathExtArray = [''];

    if (isWindows) {
      // In case the PATHEXT variable is somehow not set (e.g.
      // child_process.spawn with an empty environment), use the XP default.
      var pathExtEnv = process.env.PATHEXT || XP_DEFAULT_PATHEXT;
      pathExtArray = splitPath(pathExtEnv.toUpperCase());
    } // Search for command in PATH


    for (var k = 0; k < pathArray.length; k++) {
      // already found it
      if (queryMatches.length > 0 && !options.all) break;
      var attempt = path.resolve(pathArray[k], cmd);

      if (isWindows) {
        attempt = attempt.toUpperCase();
      }

      var match = attempt.match(/\.[^<>:"/\|?*.]+$/);

      if (match && pathExtArray.indexOf(match[0]) >= 0) {
        // this is Windows-only
        // The user typed a query with the file extension, like
        // `which('node.exe')`
        if (checkPath(attempt)) {
          queryMatches.push(attempt);
          break;
        }
      } else {
        // All-platforms
        // Cycle through the PATHEXT array, and check each extension
        // Note: the array is always [''] on Unix
        for (var i = 0; i < pathExtArray.length; i++) {
          var ext = pathExtArray[i];
          var newAttempt = attempt + ext;

          if (checkPath(newAttempt)) {
            queryMatches.push(newAttempt);
            break;
          }
        }
      }
    }
  } else if (checkPath(cmd)) {
    // a valid absolute or relative path
    queryMatches.push(path.resolve(cmd));
  }

  if (queryMatches.length > 0) {
    return options.all ? queryMatches : queryMatches[0];
  }

  return options.all ? [] : null;
}

module.exports = _which;

/***/ }),

/***/ "./node_modules/.f/_/shebang-command/2.0.0/shebang-command/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const shebangRegex = __webpack_require__("./node_modules/.f/_/shebang-regex/3.0.0/shebang-regex/index.js");

module.exports = (string = '') => {
  const match = string.match(shebangRegex);

  if (!match) {
    return null;
  }

  const [path, argument] = match[0].replace(/#! ?/, '').split(' ');
  const binary = path.split('/').pop();

  if (binary === 'env') {
    return argument;
  }

  return argument ? `${binary} ${argument}` : binary;
};

/***/ }),

/***/ "./node_modules/.f/_/shebang-regex/3.0.0/shebang-regex/index.js":
/***/ ((module) => {

"use strict";


module.exports = /^#!(.*)/;

/***/ }),

/***/ "./node_modules/.f/_/signal-exit/3.0.3/signal-exit/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Note: since nyc uses this module to output coverage, any lines
// that are in the direct sync flow of nyc's outputCoverage are
// ignored, since we can never get coverage for them.
var assert = __webpack_require__("assert");

var signals = __webpack_require__("./node_modules/.f/_/signal-exit/3.0.3/signal-exit/signals.js");

var isWin = /^win/i.test(process.platform);

var EE = __webpack_require__("events");
/* istanbul ignore if */


if (typeof EE !== 'function') {
  EE = EE.EventEmitter;
}

var emitter;

if (process.__signal_exit_emitter__) {
  emitter = process.__signal_exit_emitter__;
} else {
  emitter = process.__signal_exit_emitter__ = new EE();
  emitter.count = 0;
  emitter.emitted = {};
} // Because this emitter is a global, we have to check to see if a
// previous version of this library failed to enable infinite listeners.
// I know what you're about to say.  But literally everything about
// signal-exit is a compromise with evil.  Get used to it.


if (!emitter.infinite) {
  emitter.setMaxListeners(Infinity);
  emitter.infinite = true;
}

module.exports = function (cb, opts) {
  assert.equal(typeof cb, 'function', 'a callback must be provided for exit handler');

  if (loaded === false) {
    load();
  }

  var ev = 'exit';

  if (opts && opts.alwaysLast) {
    ev = 'afterexit';
  }

  var remove = function () {
    emitter.removeListener(ev, cb);

    if (emitter.listeners('exit').length === 0 && emitter.listeners('afterexit').length === 0) {
      unload();
    }
  };

  emitter.on(ev, cb);
  return remove;
};

module.exports.unload = unload;

function unload() {
  if (!loaded) {
    return;
  }

  loaded = false;
  signals.forEach(function (sig) {
    try {
      process.removeListener(sig, sigListeners[sig]);
    } catch (er) {}
  });
  process.emit = originalProcessEmit;
  process.reallyExit = originalProcessReallyExit;
  emitter.count -= 1;
}

function emit(event, code, signal) {
  if (emitter.emitted[event]) {
    return;
  }

  emitter.emitted[event] = true;
  emitter.emit(event, code, signal);
} // { <signal>: <listener fn>, ... }


var sigListeners = {};
signals.forEach(function (sig) {
  sigListeners[sig] = function listener() {
    // If there are no other listeners, an exit is coming!
    // Simplest way: remove us and then re-send the signal.
    // We know that this will kill the process, so we can
    // safely emit now.
    var listeners = process.listeners(sig);

    if (listeners.length === emitter.count) {
      unload();
      emit('exit', null, sig);
      /* istanbul ignore next */

      emit('afterexit', null, sig);
      /* istanbul ignore next */

      if (isWin && sig === 'SIGHUP') {
        // "SIGHUP" throws an `ENOSYS` error on Windows,
        // so use a supported signal instead
        sig = 'SIGINT';
      }

      process.kill(process.pid, sig);
    }
  };
});

module.exports.signals = function () {
  return signals;
};

module.exports.load = load;
var loaded = false;

function load() {
  if (loaded) {
    return;
  }

  loaded = true; // This is the number of onSignalExit's that are in play.
  // It's important so that we can count the correct number of
  // listeners on signals, and don't wait for the other one to
  // handle it instead of us.

  emitter.count += 1;
  signals = signals.filter(function (sig) {
    try {
      process.on(sig, sigListeners[sig]);
      return true;
    } catch (er) {
      return false;
    }
  });
  process.emit = processEmit;
  process.reallyExit = processReallyExit;
}

var originalProcessReallyExit = process.reallyExit;

function processReallyExit(code) {
  process.exitCode = code || 0;
  emit('exit', process.exitCode, null);
  /* istanbul ignore next */

  emit('afterexit', process.exitCode, null);
  /* istanbul ignore next */

  originalProcessReallyExit.call(process, process.exitCode);
}

var originalProcessEmit = process.emit;

function processEmit(ev, arg) {
  if (ev === 'exit') {
    if (arg !== undefined) {
      process.exitCode = arg;
    }

    var ret = originalProcessEmit.apply(this, arguments);
    emit('exit', process.exitCode, null);
    /* istanbul ignore next */

    emit('afterexit', process.exitCode, null);
    return ret;
  } else {
    return originalProcessEmit.apply(this, arguments);
  }
}

/***/ }),

/***/ "./node_modules/.f/_/signal-exit/3.0.3/signal-exit/signals.js":
/***/ ((module) => {

// This is not the set of all possible signals.
//
// It IS, however, the set of all signals that trigger
// an exit on either Linux or BSD systems.  Linux is a
// superset of the signal names supported on BSD, and
// the unknown signals just fail to register, so we can
// catch that easily enough.
//
// Don't bother with SIGKILL.  It's uncatchable, which
// means that we can't fire any callbacks anyway.
//
// If a user does happen to register a handler on a non-
// fatal signal like SIGWINCH or something, and then
// exit, it'll end up firing `process.emit('exit')`, so
// the handler will be fired anyway.
//
// SIGBUS, SIGFPE, SIGSEGV and SIGILL, when not raised
// artificially, inherently leave the process in a
// state from which it is not safe to try and enter JS
// listeners.
module.exports = ['SIGABRT', 'SIGALRM', 'SIGHUP', 'SIGINT', 'SIGTERM'];

if (process.platform !== 'win32') {
  module.exports.push('SIGVTALRM', 'SIGXCPU', 'SIGXFSZ', 'SIGUSR2', 'SIGTRAP', 'SIGSYS', 'SIGQUIT', 'SIGIOT' // should detect profiler and enable/disable accordingly.
  // see #21
  // 'SIGPROF'
  );
}

if (process.platform === 'linux') {
  module.exports.push('SIGIO', 'SIGPOLL', 'SIGPWR', 'SIGSTKFLT', 'SIGUNUSED');
}

/***/ }),

/***/ "./node_modules/.f/_/slice-ansi/4.0.0/slice-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const isFullwidthCodePoint = __webpack_require__("./node_modules/.f/_/is-fullwidth-code-point/3.0.0/is-fullwidth-code-point/index.js");

const astralRegex = __webpack_require__("./node_modules/.f/_/astral-regex/2.0.0/astral-regex/index.js");

const ansiStyles = __webpack_require__("./node_modules/.f/_/ansi-styles/4.3.0/ansi-styles/index.js");

const ESCAPES = ['\u001B', '\u009B'];

const wrapAnsi = code => `${ESCAPES[0]}[${code}m`;

const checkAnsi = (ansiCodes, isEscapes, endAnsiCode) => {
  let output = [];
  ansiCodes = [...ansiCodes];

  for (let ansiCode of ansiCodes) {
    const ansiCodeOrigin = ansiCode;

    if (ansiCode.includes(';')) {
      ansiCode = ansiCode.split(';')[0][0] + '0';
    }

    const item = ansiStyles.codes.get(Number.parseInt(ansiCode, 10));

    if (item) {
      const indexEscape = ansiCodes.indexOf(item.toString());

      if (indexEscape === -1) {
        output.push(wrapAnsi(isEscapes ? item : ansiCodeOrigin));
      } else {
        ansiCodes.splice(indexEscape, 1);
      }
    } else if (isEscapes) {
      output.push(wrapAnsi(0));
      break;
    } else {
      output.push(wrapAnsi(ansiCodeOrigin));
    }
  }

  if (isEscapes) {
    output = output.filter((element, index) => output.indexOf(element) === index);

    if (endAnsiCode !== undefined) {
      const fistEscapeCode = wrapAnsi(ansiStyles.codes.get(Number.parseInt(endAnsiCode, 10)));
      output = output.reduce((current, next) => next === fistEscapeCode ? [next, ...current] : [...current, next], []);
    }
  }

  return output.join('');
};

module.exports = (string, begin, end) => {
  const characters = [...string];
  const ansiCodes = [];
  let stringEnd = typeof end === 'number' ? end : characters.length;
  let isInsideEscape = false;
  let ansiCode;
  let visible = 0;
  let output = '';

  for (const [index, character] of characters.entries()) {
    let leftEscape = false;

    if (ESCAPES.includes(character)) {
      const code = /\d[^m]*/.exec(string.slice(index, index + 18));
      ansiCode = code && code.length > 0 ? code[0] : undefined;

      if (visible < stringEnd) {
        isInsideEscape = true;

        if (ansiCode !== undefined) {
          ansiCodes.push(ansiCode);
        }
      }
    } else if (isInsideEscape && character === 'm') {
      isInsideEscape = false;
      leftEscape = true;
    }

    if (!isInsideEscape && !leftEscape) {
      visible++;
    }

    if (!astralRegex({
      exact: true
    }).test(character) && isFullwidthCodePoint(character.codePointAt())) {
      visible++;

      if (typeof end !== 'number') {
        stringEnd++;
      }
    }

    if (visible > begin && visible <= stringEnd) {
      output += character;
    } else if (visible === begin && !isInsideEscape && ansiCode !== undefined) {
      output = checkAnsi(ansiCodes);
    } else if (visible >= stringEnd) {
      output += checkAnsi(ansiCodes, true, ansiCode);
      break;
    }
  }

  return output;
};

/***/ }),

/***/ "./node_modules/.f/_/slide/1.1.6/slide/lib/async-map.js":
/***/ ((module) => {

/*
usage:

// do something to a list of things
asyncMap(myListOfStuff, function (thing, cb) { doSomething(thing.foo, cb) }, cb)
// do more than one thing to each item
asyncMap(list, fooFn, barFn, cb)

*/
module.exports = asyncMap;

function asyncMap() {
  var steps = Array.prototype.slice.call(arguments),
      list = steps.shift() || [],
      cb_ = steps.pop();
  if (typeof cb_ !== "function") throw new Error("No callback provided to asyncMap");
  if (!list) return cb_(null, []);
  if (!Array.isArray(list)) list = [list];
  var n = steps.length,
      data = [] // 2d array
  ,
      errState = null,
      l = list.length,
      a = l * n;
  if (!a) return cb_(null, []);

  function cb(er) {
    if (er && !errState) errState = er;
    var argLen = arguments.length;

    for (var i = 1; i < argLen; i++) if (arguments[i] !== undefined) {
      data[i - 1] = (data[i - 1] || []).concat(arguments[i]);
    } // see if any new things have been added.


    if (list.length > l) {
      var newList = list.slice(l);
      a += (list.length - l) * n;
      l = list.length;
      process.nextTick(function () {
        newList.forEach(function (ar) {
          steps.forEach(function (fn) {
            fn(ar, cb);
          });
        });
      });
    }

    if (--a === 0) cb_.apply(null, [errState].concat(data));
  } // expect the supplied cb function to be called
  // "n" times for each thing in the array.


  list.forEach(function (ar) {
    steps.forEach(function (fn) {
      fn(ar, cb);
    });
  });
}

/***/ }),

/***/ "./node_modules/.f/_/slide/1.1.6/slide/lib/bind-actor.js":
/***/ ((module) => {

module.exports = bindActor;

function bindActor() {
  var args = Array.prototype.slice.call(arguments) // jswtf.
  ,
      obj = null,
      fn;

  if (typeof args[0] === "object") {
    obj = args.shift();
    fn = args.shift();
    if (typeof fn === "string") fn = obj[fn];
  } else fn = args.shift();

  return function (cb) {
    fn.apply(obj, args.concat(cb));
  };
}

/***/ }),

/***/ "./node_modules/.f/_/slide/1.1.6/slide/lib/chain.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = chain;

var bindActor = __webpack_require__("./node_modules/.f/_/slide/1.1.6/slide/lib/bind-actor.js");

chain.first = {};
chain.last = {};

function chain(things, cb) {
  var res = [];

  (function LOOP(i, len) {
    if (i >= len) return cb(null, res);
    if (Array.isArray(things[i])) things[i] = bindActor.apply(null, things[i].map(function (i) {
      return i === chain.first ? res[0] : i === chain.last ? res[res.length - 1] : i;
    }));
    if (!things[i]) return LOOP(i + 1, len);
    things[i](function (er, data) {
      if (er) return cb(er, res);
      if (data !== undefined) res = res.concat(data);
      LOOP(i + 1, len);
    });
  })(0, things.length);
}

/***/ }),

/***/ "./node_modules/.f/_/slide/1.1.6/slide/lib/slide.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/* unused reexport */ __webpack_require__("./node_modules/.f/_/slide/1.1.6/slide/lib/async-map.js");
/* unused reexport */ __webpack_require__("./node_modules/.f/_/slide/1.1.6/slide/lib/bind-actor.js");
exports.chain = __webpack_require__("./node_modules/.f/_/slide/1.1.6/slide/lib/chain.js");

/***/ }),

/***/ "./node_modules/.f/_/smart-buffer/4.2.0/smart-buffer/build/smartbuffer.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const utils_1 = __webpack_require__("./node_modules/.f/_/smart-buffer/4.2.0/smart-buffer/build/utils.js"); // The default Buffer size if one is not provided.


const DEFAULT_SMARTBUFFER_SIZE = 4096; // The default string encoding to use for reading/writing strings.

const DEFAULT_SMARTBUFFER_ENCODING = 'utf8';

class SmartBuffer {
  /**
   * Creates a new SmartBuffer instance.
   *
   * @param options { SmartBufferOptions } The SmartBufferOptions to apply to this instance.
   */
  constructor(options) {
    this.length = 0;
    this._encoding = DEFAULT_SMARTBUFFER_ENCODING;
    this._writeOffset = 0;
    this._readOffset = 0;

    if (SmartBuffer.isSmartBufferOptions(options)) {
      // Checks for encoding
      if (options.encoding) {
        utils_1.checkEncoding(options.encoding);
        this._encoding = options.encoding;
      } // Checks for initial size length


      if (options.size) {
        if (utils_1.isFiniteInteger(options.size) && options.size > 0) {
          this._buff = Buffer.allocUnsafe(options.size);
        } else {
          throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_SIZE);
        } // Check for initial Buffer

      } else if (options.buff) {
        if (Buffer.isBuffer(options.buff)) {
          this._buff = options.buff;
          this.length = options.buff.length;
        } else {
          throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_BUFFER);
        }
      } else {
        this._buff = Buffer.allocUnsafe(DEFAULT_SMARTBUFFER_SIZE);
      }
    } else {
      // If something was passed but it's not a SmartBufferOptions object
      if (typeof options !== 'undefined') {
        throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_OBJECT);
      } // Otherwise default to sane options


      this._buff = Buffer.allocUnsafe(DEFAULT_SMARTBUFFER_SIZE);
    }
  }
  /**
   * Creates a new SmartBuffer instance with the provided internal Buffer size and optional encoding.
   *
   * @param size { Number } The size of the internal Buffer.
   * @param encoding { String } The BufferEncoding to use for strings.
   *
   * @return { SmartBuffer }
   */


  static fromSize(size, encoding) {
    return new this({
      size: size,
      encoding: encoding
    });
  }
  /**
   * Creates a new SmartBuffer instance with the provided Buffer and optional encoding.
   *
   * @param buffer { Buffer } The Buffer to use as the internal Buffer value.
   * @param encoding { String } The BufferEncoding to use for strings.
   *
   * @return { SmartBuffer }
   */


  static fromBuffer(buff, encoding) {
    return new this({
      buff: buff,
      encoding: encoding
    });
  }
  /**
   * Creates a new SmartBuffer instance with the provided SmartBufferOptions options.
   *
   * @param options { SmartBufferOptions } The options to use when creating the SmartBuffer instance.
   */


  static fromOptions(options) {
    return new this(options);
  }
  /**
   * Type checking function that determines if an object is a SmartBufferOptions object.
   */


  static isSmartBufferOptions(options) {
    const castOptions = options;
    return castOptions && (castOptions.encoding !== undefined || castOptions.size !== undefined || castOptions.buff !== undefined);
  } // Signed integers

  /**
   * Reads an Int8 value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readInt8(offset) {
    return this._readNumberValue(Buffer.prototype.readInt8, 1, offset);
  }
  /**
   * Reads an Int16BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readInt16BE(offset) {
    return this._readNumberValue(Buffer.prototype.readInt16BE, 2, offset);
  }
  /**
   * Reads an Int16LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readInt16LE(offset) {
    return this._readNumberValue(Buffer.prototype.readInt16LE, 2, offset);
  }
  /**
   * Reads an Int32BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readInt32BE(offset) {
    return this._readNumberValue(Buffer.prototype.readInt32BE, 4, offset);
  }
  /**
   * Reads an Int32LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readInt32LE(offset) {
    return this._readNumberValue(Buffer.prototype.readInt32LE, 4, offset);
  }
  /**
   * Reads a BigInt64BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { BigInt }
   */


  readBigInt64BE(offset) {
    utils_1.bigIntAndBufferInt64Check('readBigInt64BE');
    return this._readNumberValue(Buffer.prototype.readBigInt64BE, 8, offset);
  }
  /**
   * Reads a BigInt64LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { BigInt }
   */


  readBigInt64LE(offset) {
    utils_1.bigIntAndBufferInt64Check('readBigInt64LE');
    return this._readNumberValue(Buffer.prototype.readBigInt64LE, 8, offset);
  }
  /**
   * Writes an Int8 value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeInt8(value, offset) {
    this._writeNumberValue(Buffer.prototype.writeInt8, 1, value, offset);

    return this;
  }
  /**
   * Inserts an Int8 value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertInt8(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeInt8, 1, value, offset);
  }
  /**
   * Writes an Int16BE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeInt16BE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeInt16BE, 2, value, offset);
  }
  /**
   * Inserts an Int16BE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertInt16BE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeInt16BE, 2, value, offset);
  }
  /**
   * Writes an Int16LE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeInt16LE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeInt16LE, 2, value, offset);
  }
  /**
   * Inserts an Int16LE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertInt16LE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeInt16LE, 2, value, offset);
  }
  /**
   * Writes an Int32BE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeInt32BE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeInt32BE, 4, value, offset);
  }
  /**
   * Inserts an Int32BE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertInt32BE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeInt32BE, 4, value, offset);
  }
  /**
   * Writes an Int32LE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeInt32LE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeInt32LE, 4, value, offset);
  }
  /**
   * Inserts an Int32LE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertInt32LE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeInt32LE, 4, value, offset);
  }
  /**
   * Writes a BigInt64BE value to the current write position (or at optional offset).
   *
   * @param value { BigInt } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeBigInt64BE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigInt64BE');
    return this._writeNumberValue(Buffer.prototype.writeBigInt64BE, 8, value, offset);
  }
  /**
   * Inserts a BigInt64BE value at the given offset value.
   *
   * @param value { BigInt } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertBigInt64BE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigInt64BE');
    return this._insertNumberValue(Buffer.prototype.writeBigInt64BE, 8, value, offset);
  }
  /**
   * Writes a BigInt64LE value to the current write position (or at optional offset).
   *
   * @param value { BigInt } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeBigInt64LE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigInt64LE');
    return this._writeNumberValue(Buffer.prototype.writeBigInt64LE, 8, value, offset);
  }
  /**
   * Inserts a Int64LE value at the given offset value.
   *
   * @param value { BigInt } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertBigInt64LE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigInt64LE');
    return this._insertNumberValue(Buffer.prototype.writeBigInt64LE, 8, value, offset);
  } // Unsigned Integers

  /**
   * Reads an UInt8 value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readUInt8(offset) {
    return this._readNumberValue(Buffer.prototype.readUInt8, 1, offset);
  }
  /**
   * Reads an UInt16BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readUInt16BE(offset) {
    return this._readNumberValue(Buffer.prototype.readUInt16BE, 2, offset);
  }
  /**
   * Reads an UInt16LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readUInt16LE(offset) {
    return this._readNumberValue(Buffer.prototype.readUInt16LE, 2, offset);
  }
  /**
   * Reads an UInt32BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readUInt32BE(offset) {
    return this._readNumberValue(Buffer.prototype.readUInt32BE, 4, offset);
  }
  /**
   * Reads an UInt32LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readUInt32LE(offset) {
    return this._readNumberValue(Buffer.prototype.readUInt32LE, 4, offset);
  }
  /**
   * Reads a BigUInt64BE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { BigInt }
   */


  readBigUInt64BE(offset) {
    utils_1.bigIntAndBufferInt64Check('readBigUInt64BE');
    return this._readNumberValue(Buffer.prototype.readBigUInt64BE, 8, offset);
  }
  /**
   * Reads a BigUInt64LE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { BigInt }
   */


  readBigUInt64LE(offset) {
    utils_1.bigIntAndBufferInt64Check('readBigUInt64LE');
    return this._readNumberValue(Buffer.prototype.readBigUInt64LE, 8, offset);
  }
  /**
   * Writes an UInt8 value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeUInt8(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeUInt8, 1, value, offset);
  }
  /**
   * Inserts an UInt8 value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertUInt8(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeUInt8, 1, value, offset);
  }
  /**
   * Writes an UInt16BE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeUInt16BE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeUInt16BE, 2, value, offset);
  }
  /**
   * Inserts an UInt16BE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertUInt16BE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeUInt16BE, 2, value, offset);
  }
  /**
   * Writes an UInt16LE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeUInt16LE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeUInt16LE, 2, value, offset);
  }
  /**
   * Inserts an UInt16LE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertUInt16LE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeUInt16LE, 2, value, offset);
  }
  /**
   * Writes an UInt32BE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeUInt32BE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeUInt32BE, 4, value, offset);
  }
  /**
   * Inserts an UInt32BE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertUInt32BE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeUInt32BE, 4, value, offset);
  }
  /**
   * Writes an UInt32LE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeUInt32LE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeUInt32LE, 4, value, offset);
  }
  /**
   * Inserts an UInt32LE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertUInt32LE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeUInt32LE, 4, value, offset);
  }
  /**
   * Writes a BigUInt64BE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeBigUInt64BE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigUInt64BE');
    return this._writeNumberValue(Buffer.prototype.writeBigUInt64BE, 8, value, offset);
  }
  /**
   * Inserts a BigUInt64BE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertBigUInt64BE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigUInt64BE');
    return this._insertNumberValue(Buffer.prototype.writeBigUInt64BE, 8, value, offset);
  }
  /**
   * Writes a BigUInt64LE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeBigUInt64LE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigUInt64LE');
    return this._writeNumberValue(Buffer.prototype.writeBigUInt64LE, 8, value, offset);
  }
  /**
   * Inserts a BigUInt64LE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertBigUInt64LE(value, offset) {
    utils_1.bigIntAndBufferInt64Check('writeBigUInt64LE');
    return this._insertNumberValue(Buffer.prototype.writeBigUInt64LE, 8, value, offset);
  } // Floating Point

  /**
   * Reads an FloatBE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readFloatBE(offset) {
    return this._readNumberValue(Buffer.prototype.readFloatBE, 4, offset);
  }
  /**
   * Reads an FloatLE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readFloatLE(offset) {
    return this._readNumberValue(Buffer.prototype.readFloatLE, 4, offset);
  }
  /**
   * Writes a FloatBE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeFloatBE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeFloatBE, 4, value, offset);
  }
  /**
   * Inserts a FloatBE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertFloatBE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeFloatBE, 4, value, offset);
  }
  /**
   * Writes a FloatLE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeFloatLE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeFloatLE, 4, value, offset);
  }
  /**
   * Inserts a FloatLE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertFloatLE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeFloatLE, 4, value, offset);
  } // Double Floating Point

  /**
   * Reads an DoublEBE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readDoubleBE(offset) {
    return this._readNumberValue(Buffer.prototype.readDoubleBE, 8, offset);
  }
  /**
   * Reads an DoubleLE value from the current read position or an optionally provided offset.
   *
   * @param offset { Number } The offset to read data from (optional)
   * @return { Number }
   */


  readDoubleLE(offset) {
    return this._readNumberValue(Buffer.prototype.readDoubleLE, 8, offset);
  }
  /**
   * Writes a DoubleBE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeDoubleBE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeDoubleBE, 8, value, offset);
  }
  /**
   * Inserts a DoubleBE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertDoubleBE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeDoubleBE, 8, value, offset);
  }
  /**
   * Writes a DoubleLE value to the current write position (or at optional offset).
   *
   * @param value { Number } The value to write.
   * @param offset { Number } The offset to write the value at.
   *
   * @return this
   */


  writeDoubleLE(value, offset) {
    return this._writeNumberValue(Buffer.prototype.writeDoubleLE, 8, value, offset);
  }
  /**
   * Inserts a DoubleLE value at the given offset value.
   *
   * @param value { Number } The value to insert.
   * @param offset { Number } The offset to insert the value at.
   *
   * @return this
   */


  insertDoubleLE(value, offset) {
    return this._insertNumberValue(Buffer.prototype.writeDoubleLE, 8, value, offset);
  } // Strings

  /**
   * Reads a String from the current read position.
   *
   * @param arg1 { Number | String } The number of bytes to read as a String, or the BufferEncoding to use for
   *             the string (Defaults to instance level encoding).
   * @param encoding { String } The BufferEncoding to use for the string (Defaults to instance level encoding).
   *
   * @return { String }
   */


  readString(arg1, encoding) {
    let lengthVal; // Length provided

    if (typeof arg1 === 'number') {
      utils_1.checkLengthValue(arg1);
      lengthVal = Math.min(arg1, this.length - this._readOffset);
    } else {
      encoding = arg1;
      lengthVal = this.length - this._readOffset;
    } // Check encoding


    if (typeof encoding !== 'undefined') {
      utils_1.checkEncoding(encoding);
    }

    const value = this._buff.slice(this._readOffset, this._readOffset + lengthVal).toString(encoding || this._encoding);

    this._readOffset += lengthVal;
    return value;
  }
  /**
   * Inserts a String
   *
   * @param value { String } The String value to insert.
   * @param offset { Number } The offset to insert the string at.
   * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
   *
   * @return this
   */


  insertString(value, offset, encoding) {
    utils_1.checkOffsetValue(offset);
    return this._handleString(value, true, offset, encoding);
  }
  /**
   * Writes a String
   *
   * @param value { String } The String value to write.
   * @param arg2 { Number | String } The offset to write the string at, or the BufferEncoding to use.
   * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
   *
   * @return this
   */


  writeString(value, arg2, encoding) {
    return this._handleString(value, false, arg2, encoding);
  }
  /**
   * Reads a null-terminated String from the current read position.
   *
   * @param encoding { String } The BufferEncoding to use for the string (Defaults to instance level encoding).
   *
   * @return { String }
   */


  readStringNT(encoding) {
    if (typeof encoding !== 'undefined') {
      utils_1.checkEncoding(encoding);
    } // Set null character position to the end SmartBuffer instance.


    let nullPos = this.length; // Find next null character (if one is not found, default from above is used)

    for (let i = this._readOffset; i < this.length; i++) {
      if (this._buff[i] === 0x00) {
        nullPos = i;
        break;
      }
    } // Read string value


    const value = this._buff.slice(this._readOffset, nullPos); // Increment internal Buffer read offset


    this._readOffset = nullPos + 1;
    return value.toString(encoding || this._encoding);
  }
  /**
   * Inserts a null-terminated String.
   *
   * @param value { String } The String value to write.
   * @param arg2 { Number | String } The offset to write the string to, or the BufferEncoding to use.
   * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
   *
   * @return this
   */


  insertStringNT(value, offset, encoding) {
    utils_1.checkOffsetValue(offset); // Write Values

    this.insertString(value, offset, encoding);
    this.insertUInt8(0x00, offset + value.length);
    return this;
  }
  /**
   * Writes a null-terminated String.
   *
   * @param value { String } The String value to write.
   * @param arg2 { Number | String } The offset to write the string to, or the BufferEncoding to use.
   * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
   *
   * @return this
   */


  writeStringNT(value, arg2, encoding) {
    // Write Values
    this.writeString(value, arg2, encoding);
    this.writeUInt8(0x00, typeof arg2 === 'number' ? arg2 + value.length : this.writeOffset);
    return this;
  } // Buffers

  /**
   * Reads a Buffer from the internal read position.
   *
   * @param length { Number } The length of data to read as a Buffer.
   *
   * @return { Buffer }
   */


  readBuffer(length) {
    if (typeof length !== 'undefined') {
      utils_1.checkLengthValue(length);
    }

    const lengthVal = typeof length === 'number' ? length : this.length;
    const endPoint = Math.min(this.length, this._readOffset + lengthVal); // Read buffer value

    const value = this._buff.slice(this._readOffset, endPoint); // Increment internal Buffer read offset


    this._readOffset = endPoint;
    return value;
  }
  /**
   * Writes a Buffer to the current write position.
   *
   * @param value { Buffer } The Buffer to write.
   * @param offset { Number } The offset to write the Buffer to.
   *
   * @return this
   */


  insertBuffer(value, offset) {
    utils_1.checkOffsetValue(offset);
    return this._handleBuffer(value, true, offset);
  }
  /**
   * Writes a Buffer to the current write position.
   *
   * @param value { Buffer } The Buffer to write.
   * @param offset { Number } The offset to write the Buffer to.
   *
   * @return this
   */


  writeBuffer(value, offset) {
    return this._handleBuffer(value, false, offset);
  }
  /**
   * Reads a null-terminated Buffer from the current read poisiton.
   *
   * @return { Buffer }
   */


  readBufferNT() {
    // Set null character position to the end SmartBuffer instance.
    let nullPos = this.length; // Find next null character (if one is not found, default from above is used)

    for (let i = this._readOffset; i < this.length; i++) {
      if (this._buff[i] === 0x00) {
        nullPos = i;
        break;
      }
    } // Read value


    const value = this._buff.slice(this._readOffset, nullPos); // Increment internal Buffer read offset


    this._readOffset = nullPos + 1;
    return value;
  }
  /**
   * Inserts a null-terminated Buffer.
   *
   * @param value { Buffer } The Buffer to write.
   * @param offset { Number } The offset to write the Buffer to.
   *
   * @return this
   */


  insertBufferNT(value, offset) {
    utils_1.checkOffsetValue(offset); // Write Values

    this.insertBuffer(value, offset);
    this.insertUInt8(0x00, offset + value.length);
    return this;
  }
  /**
   * Writes a null-terminated Buffer.
   *
   * @param value { Buffer } The Buffer to write.
   * @param offset { Number } The offset to write the Buffer to.
   *
   * @return this
   */


  writeBufferNT(value, offset) {
    // Checks for valid numberic value;
    if (typeof offset !== 'undefined') {
      utils_1.checkOffsetValue(offset);
    } // Write Values


    this.writeBuffer(value, offset);
    this.writeUInt8(0x00, typeof offset === 'number' ? offset + value.length : this._writeOffset);
    return this;
  }
  /**
   * Clears the SmartBuffer instance to its original empty state.
   */


  clear() {
    this._writeOffset = 0;
    this._readOffset = 0;
    this.length = 0;
    return this;
  }
  /**
   * Gets the remaining data left to be read from the SmartBuffer instance.
   *
   * @return { Number }
   */


  remaining() {
    return this.length - this._readOffset;
  }
  /**
   * Gets the current read offset value of the SmartBuffer instance.
   *
   * @return { Number }
   */


  get readOffset() {
    return this._readOffset;
  }
  /**
   * Sets the read offset value of the SmartBuffer instance.
   *
   * @param offset { Number } - The offset value to set.
   */


  set readOffset(offset) {
    utils_1.checkOffsetValue(offset); // Check for bounds.

    utils_1.checkTargetOffset(offset, this);
    this._readOffset = offset;
  }
  /**
   * Gets the current write offset value of the SmartBuffer instance.
   *
   * @return { Number }
   */


  get writeOffset() {
    return this._writeOffset;
  }
  /**
   * Sets the write offset value of the SmartBuffer instance.
   *
   * @param offset { Number } - The offset value to set.
   */


  set writeOffset(offset) {
    utils_1.checkOffsetValue(offset); // Check for bounds.

    utils_1.checkTargetOffset(offset, this);
    this._writeOffset = offset;
  }
  /**
   * Gets the currently set string encoding of the SmartBuffer instance.
   *
   * @return { BufferEncoding } The string Buffer encoding currently set.
   */


  get encoding() {
    return this._encoding;
  }
  /**
   * Sets the string encoding of the SmartBuffer instance.
   *
   * @param encoding { BufferEncoding } The string Buffer encoding to set.
   */


  set encoding(encoding) {
    utils_1.checkEncoding(encoding);
    this._encoding = encoding;
  }
  /**
   * Gets the underlying internal Buffer. (This includes unmanaged data in the Buffer)
   *
   * @return { Buffer } The Buffer value.
   */


  get internalBuffer() {
    return this._buff;
  }
  /**
   * Gets the value of the internal managed Buffer (Includes managed data only)
   *
   * @param { Buffer }
   */


  toBuffer() {
    return this._buff.slice(0, this.length);
  }
  /**
   * Gets the String value of the internal managed Buffer
   *
   * @param encoding { String } The BufferEncoding to display the Buffer as (defaults to instance level encoding).
   */


  toString(encoding) {
    const encodingVal = typeof encoding === 'string' ? encoding : this._encoding; // Check for invalid encoding.

    utils_1.checkEncoding(encodingVal);
    return this._buff.toString(encodingVal, 0, this.length);
  }
  /**
   * Destroys the SmartBuffer instance.
   */


  destroy() {
    this.clear();
    return this;
  }
  /**
   * Handles inserting and writing strings.
   *
   * @param value { String } The String value to insert.
   * @param isInsert { Boolean } True if inserting a string, false if writing.
   * @param arg2 { Number | String } The offset to insert the string at, or the BufferEncoding to use.
   * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
   */


  _handleString(value, isInsert, arg3, encoding) {
    let offsetVal = this._writeOffset;
    let encodingVal = this._encoding; // Check for offset

    if (typeof arg3 === 'number') {
      offsetVal = arg3; // Check for encoding
    } else if (typeof arg3 === 'string') {
      utils_1.checkEncoding(arg3);
      encodingVal = arg3;
    } // Check for encoding (third param)


    if (typeof encoding === 'string') {
      utils_1.checkEncoding(encoding);
      encodingVal = encoding;
    } // Calculate bytelength of string.


    const byteLength = Buffer.byteLength(value, encodingVal); // Ensure there is enough internal Buffer capacity.

    if (isInsert) {
      this.ensureInsertable(byteLength, offsetVal);
    } else {
      this._ensureWriteable(byteLength, offsetVal);
    } // Write value


    this._buff.write(value, offsetVal, byteLength, encodingVal); // Increment internal Buffer write offset;


    if (isInsert) {
      this._writeOffset += byteLength;
    } else {
      // If an offset was given, check to see if we wrote beyond the current writeOffset.
      if (typeof arg3 === 'number') {
        this._writeOffset = Math.max(this._writeOffset, offsetVal + byteLength);
      } else {
        // If no offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
        this._writeOffset += byteLength;
      }
    }

    return this;
  }
  /**
   * Handles writing or insert of a Buffer.
   *
   * @param value { Buffer } The Buffer to write.
   * @param offset { Number } The offset to write the Buffer to.
   */


  _handleBuffer(value, isInsert, offset) {
    const offsetVal = typeof offset === 'number' ? offset : this._writeOffset; // Ensure there is enough internal Buffer capacity.

    if (isInsert) {
      this.ensureInsertable(value.length, offsetVal);
    } else {
      this._ensureWriteable(value.length, offsetVal);
    } // Write buffer value


    value.copy(this._buff, offsetVal); // Increment internal Buffer write offset;

    if (isInsert) {
      this._writeOffset += value.length;
    } else {
      // If an offset was given, check to see if we wrote beyond the current writeOffset.
      if (typeof offset === 'number') {
        this._writeOffset = Math.max(this._writeOffset, offsetVal + value.length);
      } else {
        // If no offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
        this._writeOffset += value.length;
      }
    }

    return this;
  }
  /**
   * Ensures that the internal Buffer is large enough to read data.
   *
   * @param length { Number } The length of the data that needs to be read.
   * @param offset { Number } The offset of the data that needs to be read.
   */


  ensureReadable(length, offset) {
    // Offset value defaults to managed read offset.
    let offsetVal = this._readOffset; // If an offset was provided, use it.

    if (typeof offset !== 'undefined') {
      // Checks for valid numberic value;
      utils_1.checkOffsetValue(offset); // Overide with custom offset.

      offsetVal = offset;
    } // Checks if offset is below zero, or the offset+length offset is beyond the total length of the managed data.


    if (offsetVal < 0 || offsetVal + length > this.length) {
      throw new Error(utils_1.ERRORS.INVALID_READ_BEYOND_BOUNDS);
    }
  }
  /**
   * Ensures that the internal Buffer is large enough to insert data.
   *
   * @param dataLength { Number } The length of the data that needs to be written.
   * @param offset { Number } The offset of the data to be written.
   */


  ensureInsertable(dataLength, offset) {
    // Checks for valid numberic value;
    utils_1.checkOffsetValue(offset); // Ensure there is enough internal Buffer capacity.

    this._ensureCapacity(this.length + dataLength); // If an offset was provided and its not the very end of the buffer, copy data into appropriate location in regards to the offset.


    if (offset < this.length) {
      this._buff.copy(this._buff, offset + dataLength, offset, this._buff.length);
    } // Adjust tracked smart buffer length


    if (offset + dataLength > this.length) {
      this.length = offset + dataLength;
    } else {
      this.length += dataLength;
    }
  }
  /**
   * Ensures that the internal Buffer is large enough to write data.
   *
   * @param dataLength { Number } The length of the data that needs to be written.
   * @param offset { Number } The offset of the data to be written (defaults to writeOffset).
   */


  _ensureWriteable(dataLength, offset) {
    const offsetVal = typeof offset === 'number' ? offset : this._writeOffset; // Ensure enough capacity to write data.

    this._ensureCapacity(offsetVal + dataLength); // Adjust SmartBuffer length (if offset + length is larger than managed length, adjust length)


    if (offsetVal + dataLength > this.length) {
      this.length = offsetVal + dataLength;
    }
  }
  /**
   * Ensures that the internal Buffer is large enough to write at least the given amount of data.
   *
   * @param minLength { Number } The minimum length of the data needs to be written.
   */


  _ensureCapacity(minLength) {
    const oldLength = this._buff.length;

    if (minLength > oldLength) {
      let data = this._buff;
      let newLength = oldLength * 3 / 2 + 1;

      if (newLength < minLength) {
        newLength = minLength;
      }

      this._buff = Buffer.allocUnsafe(newLength);
      data.copy(this._buff, 0, 0, oldLength);
    }
  }
  /**
   * Reads a numeric number value using the provided function.
   *
   * @typeparam T { number | bigint } The type of the value to be read
   *
   * @param func { Function(offset: number) => number } The function to read data on the internal Buffer with.
   * @param byteSize { Number } The number of bytes read.
   * @param offset { Number } The offset to read from (optional). When this is not provided, the managed readOffset is used instead.
   *
   * @returns { T } the number value
   */


  _readNumberValue(func, byteSize, offset) {
    this.ensureReadable(byteSize, offset); // Call Buffer.readXXXX();

    const value = func.call(this._buff, typeof offset === 'number' ? offset : this._readOffset); // Adjust internal read offset if an optional read offset was not provided.

    if (typeof offset === 'undefined') {
      this._readOffset += byteSize;
    }

    return value;
  }
  /**
   * Inserts a numeric number value based on the given offset and value.
   *
   * @typeparam T { number | bigint } The type of the value to be written
   *
   * @param func { Function(offset: T, offset?) => number} The function to write data on the internal Buffer with.
   * @param byteSize { Number } The number of bytes written.
   * @param value { T } The number value to write.
   * @param offset { Number } the offset to write the number at (REQUIRED).
   *
   * @returns SmartBuffer this buffer
   */


  _insertNumberValue(func, byteSize, value, offset) {
    // Check for invalid offset values.
    utils_1.checkOffsetValue(offset); // Ensure there is enough internal Buffer capacity. (raw offset is passed)

    this.ensureInsertable(byteSize, offset); // Call buffer.writeXXXX();

    func.call(this._buff, value, offset); // Adjusts internally managed write offset.

    this._writeOffset += byteSize;
    return this;
  }
  /**
   * Writes a numeric number value based on the given offset and value.
   *
   * @typeparam T { number | bigint } The type of the value to be written
   *
   * @param func { Function(offset: T, offset?) => number} The function to write data on the internal Buffer with.
   * @param byteSize { Number } The number of bytes written.
   * @param value { T } The number value to write.
   * @param offset { Number } the offset to write the number at (REQUIRED).
   *
   * @returns SmartBuffer this buffer
   */


  _writeNumberValue(func, byteSize, value, offset) {
    // If an offset was provided, validate it.
    if (typeof offset === 'number') {
      // Check if we're writing beyond the bounds of the managed data.
      if (offset < 0) {
        throw new Error(utils_1.ERRORS.INVALID_WRITE_BEYOND_BOUNDS);
      }

      utils_1.checkOffsetValue(offset);
    } // Default to writeOffset if no offset value was given.


    const offsetVal = typeof offset === 'number' ? offset : this._writeOffset; // Ensure there is enough internal Buffer capacity. (raw offset is passed)

    this._ensureWriteable(byteSize, offsetVal);

    func.call(this._buff, value, offsetVal); // If an offset was given, check to see if we wrote beyond the current writeOffset.

    if (typeof offset === 'number') {
      this._writeOffset = Math.max(this._writeOffset, offsetVal + byteSize);
    } else {
      // If no numeric offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
      this._writeOffset += byteSize;
    }

    return this;
  }

}

exports.SmartBuffer = SmartBuffer;

/***/ }),

/***/ "./node_modules/.f/_/smart-buffer/4.2.0/smart-buffer/build/utils.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const buffer_1 = __webpack_require__("buffer");
/**
 * Error strings
 */


const ERRORS = {
  INVALID_ENCODING: 'Invalid encoding provided. Please specify a valid encoding the internal Node.js Buffer supports.',
  INVALID_SMARTBUFFER_SIZE: 'Invalid size provided. Size must be a valid integer greater than zero.',
  INVALID_SMARTBUFFER_BUFFER: 'Invalid Buffer provided in SmartBufferOptions.',
  INVALID_SMARTBUFFER_OBJECT: 'Invalid SmartBufferOptions object supplied to SmartBuffer constructor or factory methods.',
  INVALID_OFFSET: 'An invalid offset value was provided.',
  INVALID_OFFSET_NON_NUMBER: 'An invalid offset value was provided. A numeric value is required.',
  INVALID_LENGTH: 'An invalid length value was provided.',
  INVALID_LENGTH_NON_NUMBER: 'An invalid length value was provived. A numeric value is required.',
  INVALID_TARGET_OFFSET: 'Target offset is beyond the bounds of the internal SmartBuffer data.',
  INVALID_TARGET_LENGTH: 'Specified length value moves cursor beyong the bounds of the internal SmartBuffer data.',
  INVALID_READ_BEYOND_BOUNDS: 'Attempted to read beyond the bounds of the managed data.',
  INVALID_WRITE_BEYOND_BOUNDS: 'Attempted to write beyond the bounds of the managed data.'
};
exports.ERRORS = ERRORS;
/**
 * Checks if a given encoding is a valid Buffer encoding. (Throws an exception if check fails)
 *
 * @param { String } encoding The encoding string to check.
 */

function checkEncoding(encoding) {
  if (!buffer_1.Buffer.isEncoding(encoding)) {
    throw new Error(ERRORS.INVALID_ENCODING);
  }
}

exports.checkEncoding = checkEncoding;
/**
 * Checks if a given number is a finite integer. (Throws an exception if check fails)
 *
 * @param { Number } value The number value to check.
 */

function isFiniteInteger(value) {
  return typeof value === 'number' && isFinite(value) && isInteger(value);
}

exports.isFiniteInteger = isFiniteInteger;
/**
 * Checks if an offset/length value is valid. (Throws an exception if check fails)
 *
 * @param value The value to check.
 * @param offset True if checking an offset, false if checking a length.
 */

function checkOffsetOrLengthValue(value, offset) {
  if (typeof value === 'number') {
    // Check for non finite/non integers
    if (!isFiniteInteger(value) || value < 0) {
      throw new Error(offset ? ERRORS.INVALID_OFFSET : ERRORS.INVALID_LENGTH);
    }
  } else {
    throw new Error(offset ? ERRORS.INVALID_OFFSET_NON_NUMBER : ERRORS.INVALID_LENGTH_NON_NUMBER);
  }
}
/**
 * Checks if a length value is valid. (Throws an exception if check fails)
 *
 * @param { Number } length The value to check.
 */


function checkLengthValue(length) {
  checkOffsetOrLengthValue(length, false);
}

exports.checkLengthValue = checkLengthValue;
/**
 * Checks if a offset value is valid. (Throws an exception if check fails)
 *
 * @param { Number } offset The value to check.
 */

function checkOffsetValue(offset) {
  checkOffsetOrLengthValue(offset, true);
}

exports.checkOffsetValue = checkOffsetValue;
/**
 * Checks if a target offset value is out of bounds. (Throws an exception if check fails)
 *
 * @param { Number } offset The offset value to check.
 * @param { SmartBuffer } buff The SmartBuffer instance to check against.
 */

function checkTargetOffset(offset, buff) {
  if (offset < 0 || offset > buff.length) {
    throw new Error(ERRORS.INVALID_TARGET_OFFSET);
  }
}

exports.checkTargetOffset = checkTargetOffset;
/**
 * Determines whether a given number is a integer.
 * @param value The number to check.
 */

function isInteger(value) {
  return typeof value === 'number' && isFinite(value) && Math.floor(value) === value;
}
/**
 * Throws if Node.js version is too low to support bigint
 */


function bigIntAndBufferInt64Check(bufferMethod) {
  if (typeof BigInt === 'undefined') {
    throw new Error('Platform does not support JS BigInt type.');
  }

  if (typeof buffer_1.Buffer.prototype[bufferMethod] === 'undefined') {
    throw new Error(`Platform does not support Buffer.prototype.${bufferMethod}.`);
  }
}

exports.bigIntAndBufferInt64Check = bigIntAndBufferInt64Check;

/***/ }),

/***/ "./node_modules/.f/_/socks-proxy-agent/4.0.2/socks-proxy-agent/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * Module dependencies.
 */
var tls; // lazy-loaded...

var url = __webpack_require__("url");

var dns = __webpack_require__("dns");

var Agent = __webpack_require__("./node_modules/.f/_/agent-base/4.2.1/agent-base/index.js");

var SocksClient = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/index.js").SocksClient;

var inherits = __webpack_require__("util").inherits;
/**
 * Module exports.
 */


module.exports = SocksProxyAgent;
/**
 * The `SocksProxyAgent`.
 *
 * @api public
 */

function SocksProxyAgent(opts) {
  if (!(this instanceof SocksProxyAgent)) return new SocksProxyAgent(opts);
  if ('string' == typeof opts) opts = url.parse(opts);
  if (!opts) throw new Error('a SOCKS proxy server `host` and `port` must be specified!');
  Agent.call(this, opts);
  var proxy = Object.assign({}, opts); // prefer `hostname` over `host`, because of `url.parse()`

  proxy.host = proxy.hostname || proxy.host; // SOCKS doesn't *technically* have a default port, but this is
  // the same default that `curl(1)` uses

  proxy.port = +proxy.port || 1080;

  if (proxy.host && proxy.path) {
    // if both a `host` and `path` are specified then it's most likely the
    // result of a `url.parse()` call... we need to remove the `path` portion so
    // that `net.connect()` doesn't attempt to open that as a unix socket file.
    delete proxy.path;
    delete proxy.pathname;
  } // figure out if we want socks v4 or v5, based on the "protocol" used.
  // Defaults to 5.


  proxy.lookup = false;

  switch (proxy.protocol) {
    case 'socks4:':
      proxy.lookup = true;
    // pass through

    case 'socks4a:':
      proxy.version = 4;
      break;

    case 'socks5:':
      proxy.lookup = true;
    // pass through

    case 'socks:': // no version specified, default to 5h

    case 'socks5h:':
      proxy.version = 5;
      break;

    default:
      throw new TypeError('A "socks" protocol must be specified! Got: ' + proxy.protocol);
  }

  if (proxy.auth) {
    var auth = proxy.auth.split(':');
    proxy.authentication = {
      username: auth[0],
      password: auth[1]
    };
    proxy.userid = auth[0];
  }

  this.proxy = proxy;
}

inherits(SocksProxyAgent, Agent);
/**
 * Initiates a SOCKS connection to the specified SOCKS proxy server,
 * which in turn connects to the specified remote host and port.
 *
 * @api public
 */

SocksProxyAgent.prototype.callback = function connect(req, opts, fn) {
  var proxy = this.proxy; // called once the SOCKS proxy has connected to the specified remote endpoint

  function onhostconnect(err, result) {
    if (err) return fn(err);
    var socket = result.socket;
    var s = socket;

    if (opts.secureEndpoint) {
      // since the proxy is connecting to an SSL server, we have
      // to upgrade this socket connection to an SSL connection
      if (!tls) tls = __webpack_require__("tls");
      opts.socket = socket;
      opts.servername = opts.host;
      opts.host = null;
      opts.hostname = null;
      opts.port = null;
      s = tls.connect(opts);
    }

    fn(null, s);
  } // called for the `dns.lookup()` callback


  function onlookup(err, ip) {
    if (err) return fn(err);
    options.destination.host = ip;
    SocksClient.createConnection(options, onhostconnect);
  }

  var options = {
    proxy: {
      ipaddress: proxy.host,
      port: +proxy.port,
      type: proxy.version
    },
    destination: {
      port: +opts.port
    },
    command: 'connect'
  };

  if (proxy.authentication) {
    options.proxy.userId = proxy.userid;
    options.proxy.password = proxy.authentication.password;
  }

  if (proxy.lookup) {
    // client-side DNS resolution for "4" and "5" socks proxy versions
    dns.lookup(opts.host, onlookup);
  } else {
    // proxy hostname DNS resolution for "4a" and "5h" socks proxy servers
    onlookup(null, opts.host);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/socks-proxy-agent/6.1.1/socks-proxy-agent/dist/agent.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const dns_1 = __importDefault(__webpack_require__("dns"));

const tls_1 = __importDefault(__webpack_require__("tls"));

const url_1 = __importDefault(__webpack_require__("url"));

const debug_1 = __importDefault(__webpack_require__("./stubs/debug.js"));

const agent_base_1 = __webpack_require__("./node_modules/.f/_/agent-base/6.0.2/agent-base/dist/src/index.js");

const socks_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/index.js");

const debug = debug_1.default('socks-proxy-agent');

function dnsLookup(host) {
  return new Promise((resolve, reject) => {
    dns_1.default.lookup(host, (err, res) => {
      if (err) {
        reject(err);
      } else {
        resolve(res);
      }
    });
  });
}

function parseSocksProxy(opts) {
  let port = 0;
  let lookup = false;
  let type = 5; // Prefer `hostname` over `host`, because of `url.parse()`

  const host = opts.hostname || opts.host;

  if (!host) {
    throw new TypeError('No "host"');
  }

  if (typeof opts.port === 'number') {
    port = opts.port;
  } else if (typeof opts.port === 'string') {
    port = parseInt(opts.port, 10);
  } // From RFC 1928, Section 3: https://tools.ietf.org/html/rfc1928#section-3
  // "The SOCKS service is conventionally located on TCP port 1080"


  if (!port) {
    port = 1080;
  } // figure out if we want socks v4 or v5, based on the "protocol" used.
  // Defaults to 5.


  if (opts.protocol) {
    switch (opts.protocol.replace(':', '')) {
      case 'socks4':
        lookup = true;
      // pass through

      case 'socks4a':
        type = 4;
        break;

      case 'socks5':
        lookup = true;
      // pass through

      case 'socks': // no version specified, default to 5h

      case 'socks5h':
        type = 5;
        break;

      default:
        throw new TypeError(`A "socks" protocol must be specified! Got: ${opts.protocol}`);
    }
  }

  if (typeof opts.type !== 'undefined') {
    if (opts.type === 4 || opts.type === 5) {
      type = opts.type;
    } else {
      throw new TypeError(`"type" must be 4 or 5, got: ${opts.type}`);
    }
  }

  const proxy = {
    host,
    port,
    type
  };
  let userId = opts.userId || opts.username;
  let password = opts.password;

  if (opts.auth) {
    const auth = opts.auth.split(':');
    userId = auth[0];
    password = auth[1];
  }

  if (userId) {
    Object.defineProperty(proxy, 'userId', {
      value: userId,
      enumerable: false
    });
  }

  if (password) {
    Object.defineProperty(proxy, 'password', {
      value: password,
      enumerable: false
    });
  }

  return {
    lookup,
    proxy
  };
}
/**
 * The `SocksProxyAgent`.
 *
 * @api public
 */


class SocksProxyAgent extends agent_base_1.Agent {
  constructor(_opts) {
    let opts;

    if (typeof _opts === 'string') {
      opts = url_1.default.parse(_opts);
    } else {
      opts = _opts;
    }

    if (!opts) {
      throw new TypeError('a SOCKS proxy server `host` and `port` must be specified!');
    }

    super(opts);
    const parsedProxy = parseSocksProxy(opts);
    this.lookup = parsedProxy.lookup;
    this.proxy = parsedProxy.proxy;
    this.tlsConnectionOptions = opts.tls || {};
  }
  /**
   * Initiates a SOCKS connection to the specified SOCKS proxy server,
   * which in turn connects to the specified remote host and port.
   *
   * @api protected
   */


  callback(req, opts) {
    return __awaiter(this, void 0, void 0, function* () {
      const {
        lookup,
        proxy
      } = this;
      let {
        host,
        port,
        timeout
      } = opts;

      if (!host) {
        throw new Error('No `host` defined!');
      }

      if (lookup) {
        // Client-side DNS resolution for "4" and "5" socks proxy versions.
        host = yield dnsLookup(host);
      }

      const socksOpts = {
        proxy,
        destination: {
          host,
          port
        },
        command: 'connect',
        timeout
      };
      debug('Creating socks proxy connection: %o', socksOpts);
      const {
        socket
      } = yield socks_1.SocksClient.createConnection(socksOpts);
      debug('Successfully created socks proxy connection');

      if (opts.secureEndpoint) {
        // The proxy is connecting to a TLS server, so upgrade
        // this socket connection to a TLS connection.
        debug('Upgrading socket connection to TLS');
        const servername = opts.servername || opts.host;
        return tls_1.default.connect(Object.assign(Object.assign(Object.assign({}, omit(opts, 'host', 'hostname', 'path', 'port')), {
          socket,
          servername
        }), this.tlsConnectionOptions));
      }

      return socket;
    });
  }

}

exports["default"] = SocksProxyAgent;

function omit(obj, ...keys) {
  const ret = {};
  let key;

  for (key in obj) {
    if (!keys.includes(key)) {
      ret[key] = obj[key];
    }
  }

  return ret;
}

/***/ }),

/***/ "./node_modules/.f/_/socks-proxy-agent/6.1.1/socks-proxy-agent/dist/index.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

"use strict";


var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

const agent_1 = __importDefault(__webpack_require__("./node_modules/.f/_/socks-proxy-agent/6.1.1/socks-proxy-agent/dist/agent.js"));

function createSocksProxyAgent(opts) {
  return new agent_1.default(opts);
}

(function (createSocksProxyAgent) {
  createSocksProxyAgent.SocksProxyAgent = agent_1.default;
  createSocksProxyAgent.prototype = agent_1.default.prototype;
})(createSocksProxyAgent || (createSocksProxyAgent = {}));

module.exports = createSocksProxyAgent;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/client/socksclient.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const events_1 = __webpack_require__("events");

const net = __webpack_require__("net");

const ip = __webpack_require__("./node_modules/.f/_/ip/1.1.5/ip/lib/ip.js");

const smart_buffer_1 = __webpack_require__("./node_modules/.f/_/smart-buffer/4.2.0/smart-buffer/build/smartbuffer.js");

const constants_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/constants.js");

const helpers_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/helpers.js");

const receivebuffer_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/receivebuffer.js");

const util_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/util.js");

class SocksClient extends events_1.EventEmitter {
  constructor(options) {
    super();
    this._options = Object.assign({}, options); // Validate SocksClientOptions

    helpers_1.validateSocksClientOptions(options); // Default state

    this.state = constants_1.SocksClientState.Created;
  }
  /**
   * Creates a new SOCKS connection.
   *
   * Note: Supports callbacks and promises. Only supports the connect command.
   * @param options { SocksClientOptions } Options.
   * @param callback { Function } An optional callback function.
   * @returns { Promise }
   */


  static createConnection(options, callback) {
    // Validate SocksClientOptions
    helpers_1.validateSocksClientOptions(options, ['connect']);
    return new Promise((resolve, reject) => {
      const client = new SocksClient(options);
      client.connect(options.existing_socket);
      client.once('established', info => {
        client.removeAllListeners();

        if (typeof callback === 'function') {
          callback(null, info);
          resolve(); // Resolves pending promise (prevents memory leaks).
        } else {
          resolve(info);
        }
      }); // Error occurred, failed to establish connection.

      client.once('error', err => {
        client.removeAllListeners();

        if (typeof callback === 'function') {
          callback(err);
          resolve(); // Resolves pending promise (prevents memory leaks).
        } else {
          reject(err);
        }
      });
    });
  }
  /**
   * Creates a new SOCKS connection chain to a destination host through 2 or more SOCKS proxies.
   *
   * Note: Supports callbacks and promises. Only supports the connect method.
   * Note: Implemented via createConnection() factory function.
   * @param options { SocksClientChainOptions } Options
   * @param callback { Function } An optional callback function.
   * @returns { Promise }
   */


  static createConnectionChain(options, callback) {
    // Validate SocksClientChainOptions
    helpers_1.validateSocksClientChainOptions(options); // Shuffle proxies

    if (options.randomizeChain) {
      util_1.shuffleArray(options.proxies);
    }

    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
      let sock;

      try {
        for (let i = 0; i < options.proxies.length; i++) {
          const nextProxy = options.proxies[i]; // If we've reached the last proxy in the chain, the destination is the actual destination, otherwise it's the next proxy.

          const nextDestination = i === options.proxies.length - 1 ? options.destination : {
            host: options.proxies[i + 1].ipaddress,
            port: options.proxies[i + 1].port
          }; // Creates the next connection in the chain.

          const result = yield SocksClient.createConnection({
            command: 'connect',
            proxy: nextProxy,
            destination: nextDestination // Initial connection ignores this as sock is undefined. Subsequent connections re-use the first proxy socket to form a chain.

          }); // If sock is undefined, assign it here.

          if (!sock) {
            sock = result.socket;
          }
        }

        if (typeof callback === 'function') {
          callback(null, {
            socket: sock
          });
          resolve(); // Resolves pending promise (prevents memory leaks).
        } else {
          resolve({
            socket: sock
          });
        }
      } catch (err) {
        if (typeof callback === 'function') {
          callback(err);
          resolve(); // Resolves pending promise (prevents memory leaks).
        } else {
          reject(err);
        }
      }
    }));
  }
  /**
   * Creates a SOCKS UDP Frame.
   * @param options
   */


  static createUDPFrame(options) {
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt16BE(0);
    buff.writeUInt8(options.frameNumber || 0); // IPv4/IPv6/Hostname

    if (net.isIPv4(options.remoteHost.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv4);
      buff.writeUInt32BE(ip.toLong(options.remoteHost.host));
    } else if (net.isIPv6(options.remoteHost.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv6);
      buff.writeBuffer(ip.toBuffer(options.remoteHost.host));
    } else {
      buff.writeUInt8(constants_1.Socks5HostType.Hostname);
      buff.writeUInt8(Buffer.byteLength(options.remoteHost.host));
      buff.writeString(options.remoteHost.host);
    } // Port


    buff.writeUInt16BE(options.remoteHost.port); // Data

    buff.writeBuffer(options.data);
    return buff.toBuffer();
  }
  /**
   * Parses a SOCKS UDP frame.
   * @param data
   */


  static parseUDPFrame(data) {
    const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
    buff.readOffset = 2;
    const frameNumber = buff.readUInt8();
    const hostType = buff.readUInt8();
    let remoteHost;

    if (hostType === constants_1.Socks5HostType.IPv4) {
      remoteHost = ip.fromLong(buff.readUInt32BE());
    } else if (hostType === constants_1.Socks5HostType.IPv6) {
      remoteHost = ip.toString(buff.readBuffer(16));
    } else {
      remoteHost = buff.readString(buff.readUInt8());
    }

    const remotePort = buff.readUInt16BE();
    return {
      frameNumber,
      remoteHost: {
        host: remoteHost,
        port: remotePort
      },
      data: buff.readBuffer()
    };
  }
  /**
   * Gets the SocksClient internal state.
   */


  get state() {
    return this._state;
  }
  /**
   * Internal state setter. If the SocksClient is in an error state, it cannot be changed to a non error state.
   */


  set state(newState) {
    if (this._state !== constants_1.SocksClientState.Error) {
      this._state = newState;
    }
  }
  /**
   * Starts the connection establishment to the proxy and destination.
   * @param existing_socket Connected socket to use instead of creating a new one (internal use).
   */


  connect(existing_socket) {
    this._onDataReceived = data => this.onDataReceived(data);

    this._onClose = () => this.onClose();

    this._onError = err => this.onError(err);

    this._onConnect = () => this.onConnect(); // Start timeout timer (defaults to 30 seconds)


    const timer = setTimeout(() => this.onEstablishedTimeout(), this._options.timeout || constants_1.DEFAULT_TIMEOUT); // check whether unref is available as it differs from browser to NodeJS (#33)

    if (timer.unref && typeof timer.unref === 'function') {
      timer.unref();
    } // If an existing socket is provided, use it to negotiate SOCKS handshake. Otherwise create a new Socket.


    if (existing_socket) {
      this._socket = existing_socket;
    } else {
      this._socket = new net.Socket();
    } // Attach Socket error handlers.


    this._socket.once('close', this._onClose);

    this._socket.once('error', this._onError);

    this._socket.once('connect', this._onConnect);

    this._socket.on('data', this._onDataReceived);

    this.state = constants_1.SocksClientState.Connecting;
    this._receiveBuffer = new receivebuffer_1.ReceiveBuffer();

    if (existing_socket) {
      this._socket.emit('connect');
    } else {
      this._socket.connect(this.getSocketOptions());

      if (this._options.set_tcp_nodelay !== undefined && this._options.set_tcp_nodelay !== null) {
        this._socket.setNoDelay(!!this._options.set_tcp_nodelay);
      }
    } // Listen for established event so we can re-emit any excess data received during handshakes.


    this.prependOnceListener('established', info => {
      setImmediate(() => {
        if (this._receiveBuffer.length > 0) {
          const excessData = this._receiveBuffer.get(this._receiveBuffer.length);

          info.socket.emit('data', excessData);
        }

        info.socket.resume();
      });
    });
  } // Socket options (defaults host/port to options.proxy.host/options.proxy.port)


  getSocketOptions() {
    return Object.assign(Object.assign({}, this._options.socket_options), {
      host: this._options.proxy.host || this._options.proxy.ipaddress,
      port: this._options.proxy.port
    });
  }
  /**
   * Handles internal Socks timeout callback.
   * Note: If the Socks client is not BoundWaitingForConnection or Established, the connection will be closed.
   */


  onEstablishedTimeout() {
    if (this.state !== constants_1.SocksClientState.Established && this.state !== constants_1.SocksClientState.BoundWaitingForConnection) {
      this._closeSocket(constants_1.ERRORS.ProxyConnectionTimedOut);
    }
  }
  /**
   * Handles Socket connect event.
   */


  onConnect() {
    this.state = constants_1.SocksClientState.Connected; // Send initial handshake.

    if (this._options.proxy.type === 4) {
      this.sendSocks4InitialHandshake();
    } else {
      this.sendSocks5InitialHandshake();
    }

    this.state = constants_1.SocksClientState.SentInitialHandshake;
  }
  /**
   * Handles Socket data event.
   * @param data
   */


  onDataReceived(data) {
    /*
      All received data is appended to a ReceiveBuffer.
      This makes sure that all the data we need is received before we attempt to process it.
    */
    this._receiveBuffer.append(data); // Process data that we have.


    this.processData();
  }
  /**
   * Handles processing of the data we have received.
   */


  processData() {
    // If we have enough data to process the next step in the SOCKS handshake, proceed.
    if (this._receiveBuffer.length >= this._nextRequiredPacketBufferSize) {
      // Sent initial handshake, waiting for response.
      if (this.state === constants_1.SocksClientState.SentInitialHandshake) {
        if (this._options.proxy.type === 4) {
          // Socks v4 only has one handshake response.
          this.handleSocks4FinalHandshakeResponse();
        } else {
          // Socks v5 has two handshakes, handle initial one here.
          this.handleInitialSocks5HandshakeResponse();
        } // Sent auth request for Socks v5, waiting for response.

      } else if (this.state === constants_1.SocksClientState.SentAuthentication) {
        this.handleInitialSocks5AuthenticationHandshakeResponse(); // Sent final Socks v5 handshake, waiting for final response.
      } else if (this.state === constants_1.SocksClientState.SentFinalHandshake) {
        this.handleSocks5FinalHandshakeResponse(); // Socks BIND established. Waiting for remote connection via proxy.
      } else if (this.state === constants_1.SocksClientState.BoundWaitingForConnection) {
        if (this._options.proxy.type === 4) {
          this.handleSocks4IncomingConnectionResponse();
        } else {
          this.handleSocks5IncomingConnectionResponse();
        }
      } else if (this.state === constants_1.SocksClientState.Established) {// do nothing (prevents closing of the socket)
      } else {
        this._closeSocket(constants_1.ERRORS.InternalError);
      }
    }
  }
  /**
   * Handles Socket close event.
   * @param had_error
   */


  onClose() {
    this._closeSocket(constants_1.ERRORS.SocketClosed);
  }
  /**
   * Handles Socket error event.
   * @param err
   */


  onError(err) {
    this._closeSocket(err.message);
  }
  /**
   * Removes internal event listeners on the underlying Socket.
   */


  removeInternalSocketHandlers() {
    // Pauses data flow of the socket (this is internally resumed after 'established' is emitted)
    this._socket.pause();

    this._socket.removeListener('data', this._onDataReceived);

    this._socket.removeListener('close', this._onClose);

    this._socket.removeListener('error', this._onError);

    this._socket.removeListener('connect', this.onConnect);
  }
  /**
   * Closes and destroys the underlying Socket. Emits an error event.
   * @param err { String } An error string to include in error event.
   */


  _closeSocket(err) {
    // Make sure only one 'error' event is fired for the lifetime of this SocksClient instance.
    if (this.state !== constants_1.SocksClientState.Error) {
      // Set internal state to Error.
      this.state = constants_1.SocksClientState.Error; // Destroy Socket

      this._socket.destroy(); // Remove internal listeners


      this.removeInternalSocketHandlers(); // Fire 'error' event.

      this.emit('error', new util_1.SocksClientError(err, this._options));
    }
  }
  /**
   * Sends initial Socks v4 handshake request.
   */


  sendSocks4InitialHandshake() {
    const userId = this._options.proxy.userId || '';
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x04);
    buff.writeUInt8(constants_1.SocksCommand[this._options.command]);
    buff.writeUInt16BE(this._options.destination.port); // Socks 4 (IPv4)

    if (net.isIPv4(this._options.destination.host)) {
      buff.writeBuffer(ip.toBuffer(this._options.destination.host));
      buff.writeStringNT(userId); // Socks 4a (hostname)
    } else {
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x01);
      buff.writeStringNT(userId);
      buff.writeStringNT(this._options.destination.host);
    }

    this._nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks4Response;

    this._socket.write(buff.toBuffer());
  }
  /**
   * Handles Socks v4 handshake response.
   * @param data
   */


  handleSocks4FinalHandshakeResponse() {
    const data = this._receiveBuffer.get(8);

    if (data[1] !== constants_1.Socks4Response.Granted) {
      this._closeSocket(`${constants_1.ERRORS.Socks4ProxyRejectedConnection} - (${constants_1.Socks4Response[data[1]]})`);
    } else {
      // Bind response
      if (constants_1.SocksCommand[this._options.command] === constants_1.SocksCommand.bind) {
        const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
        buff.readOffset = 2;
        const remoteHost = {
          port: buff.readUInt16BE(),
          host: ip.fromLong(buff.readUInt32BE())
        }; // If host is 0.0.0.0, set to proxy host.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this._options.proxy.ipaddress;
        }

        this.state = constants_1.SocksClientState.BoundWaitingForConnection;
        this.emit('bound', {
          socket: this._socket,
          remoteHost
        }); // Connect response
      } else {
        this.state = constants_1.SocksClientState.Established;
        this.removeInternalSocketHandlers();
        this.emit('established', {
          socket: this._socket
        });
      }
    }
  }
  /**
   * Handles Socks v4 incoming connection request (BIND)
   * @param data
   */


  handleSocks4IncomingConnectionResponse() {
    const data = this._receiveBuffer.get(8);

    if (data[1] !== constants_1.Socks4Response.Granted) {
      this._closeSocket(`${constants_1.ERRORS.Socks4ProxyRejectedIncomingBoundConnection} - (${constants_1.Socks4Response[data[1]]})`);
    } else {
      const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
      buff.readOffset = 2;
      const remoteHost = {
        port: buff.readUInt16BE(),
        host: ip.fromLong(buff.readUInt32BE())
      };
      this.state = constants_1.SocksClientState.Established;
      this.removeInternalSocketHandlers();
      this.emit('established', {
        socket: this._socket,
        remoteHost
      });
    }
  }
  /**
   * Sends initial Socks v5 handshake request.
   */


  sendSocks5InitialHandshake() {
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x05); // We should only tell the proxy we support user/pass auth if auth info is actually provided.
    // Note: As of Tor v0.3.5.7+, if user/pass auth is an option from the client, by default it will always take priority.

    if (this._options.proxy.userId || this._options.proxy.password) {
      buff.writeUInt8(2);
      buff.writeUInt8(constants_1.Socks5Auth.NoAuth);
      buff.writeUInt8(constants_1.Socks5Auth.UserPass);
    } else {
      buff.writeUInt8(1);
      buff.writeUInt8(constants_1.Socks5Auth.NoAuth);
    }

    this._nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5InitialHandshakeResponse;

    this._socket.write(buff.toBuffer());

    this.state = constants_1.SocksClientState.SentInitialHandshake;
  }
  /**
   * Handles initial Socks v5 handshake response.
   * @param data
   */


  handleInitialSocks5HandshakeResponse() {
    const data = this._receiveBuffer.get(2);

    if (data[0] !== 0x05) {
      this._closeSocket(constants_1.ERRORS.InvalidSocks5IntiailHandshakeSocksVersion);
    } else if (data[1] === 0xff) {
      this._closeSocket(constants_1.ERRORS.InvalidSocks5InitialHandshakeNoAcceptedAuthType);
    } else {
      // If selected Socks v5 auth method is no auth, send final handshake request.
      if (data[1] === constants_1.Socks5Auth.NoAuth) {
        this.sendSocks5CommandRequest(); // If selected Socks v5 auth method is user/password, send auth handshake.
      } else if (data[1] === constants_1.Socks5Auth.UserPass) {
        this.sendSocks5UserPassAuthentication();
      } else {
        this._closeSocket(constants_1.ERRORS.InvalidSocks5InitialHandshakeUnknownAuthType);
      }
    }
  }
  /**
   * Sends Socks v5 user & password auth handshake.
   *
   * Note: No auth and user/pass are currently supported.
   */


  sendSocks5UserPassAuthentication() {
    const userId = this._options.proxy.userId || '';
    const password = this._options.proxy.password || '';
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x01);
    buff.writeUInt8(Buffer.byteLength(userId));
    buff.writeString(userId);
    buff.writeUInt8(Buffer.byteLength(password));
    buff.writeString(password);
    this._nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5UserPassAuthenticationResponse;

    this._socket.write(buff.toBuffer());

    this.state = constants_1.SocksClientState.SentAuthentication;
  }
  /**
   * Handles Socks v5 auth handshake response.
   * @param data
   */


  handleInitialSocks5AuthenticationHandshakeResponse() {
    this.state = constants_1.SocksClientState.ReceivedAuthenticationResponse;

    const data = this._receiveBuffer.get(2);

    if (data[1] !== 0x00) {
      this._closeSocket(constants_1.ERRORS.Socks5AuthenticationFailed);
    } else {
      this.sendSocks5CommandRequest();
    }
  }
  /**
   * Sends Socks v5 final handshake request.
   */


  sendSocks5CommandRequest() {
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x05);
    buff.writeUInt8(constants_1.SocksCommand[this._options.command]);
    buff.writeUInt8(0x00); // ipv4, ipv6, domain?

    if (net.isIPv4(this._options.destination.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv4);
      buff.writeBuffer(ip.toBuffer(this._options.destination.host));
    } else if (net.isIPv6(this._options.destination.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv6);
      buff.writeBuffer(ip.toBuffer(this._options.destination.host));
    } else {
      buff.writeUInt8(constants_1.Socks5HostType.Hostname);
      buff.writeUInt8(this._options.destination.host.length);
      buff.writeString(this._options.destination.host);
    }

    buff.writeUInt16BE(this._options.destination.port);
    this._nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader;

    this._socket.write(buff.toBuffer());

    this.state = constants_1.SocksClientState.SentFinalHandshake;
  }
  /**
   * Handles Socks v5 final handshake response.
   * @param data
   */


  handleSocks5FinalHandshakeResponse() {
    // Peek at available data (we need at least 5 bytes to get the hostname length)
    const header = this._receiveBuffer.peek(5);

    if (header[0] !== 0x05 || header[1] !== constants_1.Socks5Response.Granted) {
      this._closeSocket(`${constants_1.ERRORS.InvalidSocks5FinalHandshakeRejected} - ${constants_1.Socks5Response[header[1]]}`);
    } else {
      // Read address type
      const addressType = header[3];
      let remoteHost;
      let buff; // IPv4

      if (addressType === constants_1.Socks5HostType.IPv4) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4;

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.fromLong(buff.readUInt32BE()),
          port: buff.readUInt16BE()
        }; // If given host is 0.0.0.0, assume remote proxy ip instead.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this._options.proxy.ipaddress;
        } // Hostname

      } else if (addressType === constants_1.Socks5HostType.Hostname) {
        const hostLength = header[4];
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(hostLength); // header + host length + host + port
        // Check if data is available.

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(5) // Slice at 5 to skip host length
        );
        remoteHost = {
          host: buff.readString(hostLength),
          port: buff.readUInt16BE()
        }; // IPv6
      } else if (addressType === constants_1.Socks5HostType.IPv6) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6;

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.toString(buff.readBuffer(16)),
          port: buff.readUInt16BE()
        };
      } // We have everything we need


      this.state = constants_1.SocksClientState.ReceivedFinalResponse; // If using CONNECT, the client is now in the established state.

      if (constants_1.SocksCommand[this._options.command] === constants_1.SocksCommand.connect) {
        this.state = constants_1.SocksClientState.Established;
        this.removeInternalSocketHandlers();
        this.emit('established', {
          socket: this._socket
        });
      } else if (constants_1.SocksCommand[this._options.command] === constants_1.SocksCommand.bind) {
        /* If using BIND, the Socks client is now in BoundWaitingForConnection state.
           This means that the remote proxy server is waiting for a remote connection to the bound port. */
        this.state = constants_1.SocksClientState.BoundWaitingForConnection;
        this._nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader;
        this.emit('bound', {
          socket: this._socket,
          remoteHost
        });
        /*
          If using Associate, the Socks client is now Established. And the proxy server is now accepting UDP packets at the
          given bound port. This initial Socks TCP connection must remain open for the UDP relay to continue to work.
        */
      } else if (constants_1.SocksCommand[this._options.command] === constants_1.SocksCommand.associate) {
        this.state = constants_1.SocksClientState.Established;
        this.removeInternalSocketHandlers();
        this.emit('established', {
          socket: this._socket,
          remoteHost
        });
      }
    }
  }
  /**
   * Handles Socks v5 incoming connection request (BIND).
   */


  handleSocks5IncomingConnectionResponse() {
    // Peek at available data (we need at least 5 bytes to get the hostname length)
    const header = this._receiveBuffer.peek(5);

    if (header[0] !== 0x05 || header[1] !== constants_1.Socks5Response.Granted) {
      this._closeSocket(`${constants_1.ERRORS.Socks5ProxyRejectedIncomingBoundConnection} - ${constants_1.Socks5Response[header[1]]}`);
    } else {
      // Read address type
      const addressType = header[3];
      let remoteHost;
      let buff; // IPv4

      if (addressType === constants_1.Socks5HostType.IPv4) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4;

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.fromLong(buff.readUInt32BE()),
          port: buff.readUInt16BE()
        }; // If given host is 0.0.0.0, assume remote proxy ip instead.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this._options.proxy.ipaddress;
        } // Hostname

      } else if (addressType === constants_1.Socks5HostType.Hostname) {
        const hostLength = header[4];
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(hostLength); // header + host length + port
        // Check if data is available.

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(5) // Slice at 5 to skip host length
        );
        remoteHost = {
          host: buff.readString(hostLength),
          port: buff.readUInt16BE()
        }; // IPv6
      } else if (addressType === constants_1.Socks5HostType.IPv6) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6;

        if (this._receiveBuffer.length < dataNeeded) {
          this._nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this._receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.toString(buff.readBuffer(16)),
          port: buff.readUInt16BE()
        };
      }

      this.state = constants_1.SocksClientState.Established;
      this.removeInternalSocketHandlers();
      this.emit('established', {
        socket: this._socket,
        remoteHost
      });
    }
  }

  get socksClientOptions() {
    return Object.assign({}, this._options);
  }

}

exports.SocksClient = SocksClient;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/common/constants.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
const DEFAULT_TIMEOUT = 30000;
exports.DEFAULT_TIMEOUT = DEFAULT_TIMEOUT; // prettier-ignore

const ERRORS = {
  InvalidSocksCommand: 'An invalid SOCKS command was provided. Valid options are connect, bind, and associate.',
  InvalidSocksCommandForOperation: 'An invalid SOCKS command was provided. Only a subset of commands are supported for this operation.',
  InvalidSocksCommandChain: 'An invalid SOCKS command was provided. Chaining currently only supports the connect command.',
  InvalidSocksClientOptionsDestination: 'An invalid destination host was provided.',
  InvalidSocksClientOptionsExistingSocket: 'An invalid existing socket was provided. This should be an instance of stream.Duplex.',
  InvalidSocksClientOptionsProxy: 'Invalid SOCKS proxy details were provided.',
  InvalidSocksClientOptionsTimeout: 'An invalid timeout value was provided. Please enter a value above 0 (in ms).',
  InvalidSocksClientOptionsProxiesLength: 'At least two socks proxies must be provided for chaining.',
  NegotiationError: 'Negotiation error',
  SocketClosed: 'Socket closed',
  ProxyConnectionTimedOut: 'Proxy connection timed out',
  InternalError: 'SocksClient internal error (this should not happen)',
  InvalidSocks4HandshakeResponse: 'Received invalid Socks4 handshake response',
  Socks4ProxyRejectedConnection: 'Socks4 Proxy rejected connection',
  InvalidSocks4IncomingConnectionResponse: 'Socks4 invalid incoming connection response',
  Socks4ProxyRejectedIncomingBoundConnection: 'Socks4 Proxy rejected incoming bound connection',
  InvalidSocks5InitialHandshakeResponse: 'Received invalid Socks5 initial handshake response',
  InvalidSocks5IntiailHandshakeSocksVersion: 'Received invalid Socks5 initial handshake (invalid socks version)',
  InvalidSocks5InitialHandshakeNoAcceptedAuthType: 'Received invalid Socks5 initial handshake (no accepted authentication type)',
  InvalidSocks5InitialHandshakeUnknownAuthType: 'Received invalid Socks5 initial handshake (unknown authentication type)',
  Socks5AuthenticationFailed: 'Socks5 Authentication failed',
  InvalidSocks5FinalHandshake: 'Received invalid Socks5 final handshake response',
  InvalidSocks5FinalHandshakeRejected: 'Socks5 proxy rejected connection',
  InvalidSocks5IncomingConnectionResponse: 'Received invalid Socks5 incoming connection response',
  Socks5ProxyRejectedIncomingBoundConnection: 'Socks5 Proxy rejected incoming bound connection'
};
exports.ERRORS = ERRORS;
const SOCKS_INCOMING_PACKET_SIZES = {
  Socks5InitialHandshakeResponse: 2,
  Socks5UserPassAuthenticationResponse: 2,
  // Command response + incoming connection (bind)
  Socks5ResponseHeader: 5,
  Socks5ResponseIPv4: 10,
  Socks5ResponseIPv6: 22,
  Socks5ResponseHostname: hostNameLength => hostNameLength + 7,
  // Command response + incoming connection (bind)
  Socks4Response: 8 // 2 header + 2 port + 4 ip

};
exports.SOCKS_INCOMING_PACKET_SIZES = SOCKS_INCOMING_PACKET_SIZES;
var SocksCommand;

(function (SocksCommand) {
  SocksCommand[SocksCommand["connect"] = 1] = "connect";
  SocksCommand[SocksCommand["bind"] = 2] = "bind";
  SocksCommand[SocksCommand["associate"] = 3] = "associate";
})(SocksCommand || (SocksCommand = {}));

exports.SocksCommand = SocksCommand;
var Socks4Response;

(function (Socks4Response) {
  Socks4Response[Socks4Response["Granted"] = 90] = "Granted";
  Socks4Response[Socks4Response["Failed"] = 91] = "Failed";
  Socks4Response[Socks4Response["Rejected"] = 92] = "Rejected";
  Socks4Response[Socks4Response["RejectedIdent"] = 93] = "RejectedIdent";
})(Socks4Response || (Socks4Response = {}));

exports.Socks4Response = Socks4Response;
var Socks5Auth;

(function (Socks5Auth) {
  Socks5Auth[Socks5Auth["NoAuth"] = 0] = "NoAuth";
  Socks5Auth[Socks5Auth["GSSApi"] = 1] = "GSSApi";
  Socks5Auth[Socks5Auth["UserPass"] = 2] = "UserPass";
})(Socks5Auth || (Socks5Auth = {}));

exports.Socks5Auth = Socks5Auth;
var Socks5Response;

(function (Socks5Response) {
  Socks5Response[Socks5Response["Granted"] = 0] = "Granted";
  Socks5Response[Socks5Response["Failure"] = 1] = "Failure";
  Socks5Response[Socks5Response["NotAllowed"] = 2] = "NotAllowed";
  Socks5Response[Socks5Response["NetworkUnreachable"] = 3] = "NetworkUnreachable";
  Socks5Response[Socks5Response["HostUnreachable"] = 4] = "HostUnreachable";
  Socks5Response[Socks5Response["ConnectionRefused"] = 5] = "ConnectionRefused";
  Socks5Response[Socks5Response["TTLExpired"] = 6] = "TTLExpired";
  Socks5Response[Socks5Response["CommandNotSupported"] = 7] = "CommandNotSupported";
  Socks5Response[Socks5Response["AddressNotSupported"] = 8] = "AddressNotSupported";
})(Socks5Response || (Socks5Response = {}));

exports.Socks5Response = Socks5Response;
var Socks5HostType;

(function (Socks5HostType) {
  Socks5HostType[Socks5HostType["IPv4"] = 1] = "IPv4";
  Socks5HostType[Socks5HostType["Hostname"] = 3] = "Hostname";
  Socks5HostType[Socks5HostType["IPv6"] = 4] = "IPv6";
})(Socks5HostType || (Socks5HostType = {}));

exports.Socks5HostType = Socks5HostType;
var SocksClientState;

(function (SocksClientState) {
  SocksClientState[SocksClientState["Created"] = 0] = "Created";
  SocksClientState[SocksClientState["Connecting"] = 1] = "Connecting";
  SocksClientState[SocksClientState["Connected"] = 2] = "Connected";
  SocksClientState[SocksClientState["SentInitialHandshake"] = 3] = "SentInitialHandshake";
  SocksClientState[SocksClientState["ReceivedInitialHandshakeResponse"] = 4] = "ReceivedInitialHandshakeResponse";
  SocksClientState[SocksClientState["SentAuthentication"] = 5] = "SentAuthentication";
  SocksClientState[SocksClientState["ReceivedAuthenticationResponse"] = 6] = "ReceivedAuthenticationResponse";
  SocksClientState[SocksClientState["SentFinalHandshake"] = 7] = "SentFinalHandshake";
  SocksClientState[SocksClientState["ReceivedFinalResponse"] = 8] = "ReceivedFinalResponse";
  SocksClientState[SocksClientState["BoundWaitingForConnection"] = 9] = "BoundWaitingForConnection";
  SocksClientState[SocksClientState["Established"] = 10] = "Established";
  SocksClientState[SocksClientState["Disconnected"] = 11] = "Disconnected";
  SocksClientState[SocksClientState["Error"] = 99] = "Error";
})(SocksClientState || (SocksClientState = {}));

exports.SocksClientState = SocksClientState;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/common/helpers.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

const util_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/util.js");

const constants_1 = __webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/common/constants.js");

const stream = __webpack_require__("stream");
/**
 * Validates the provided SocksClientOptions
 * @param options { SocksClientOptions }
 * @param acceptedCommands { string[] } A list of accepted SocksProxy commands.
 */


function validateSocksClientOptions(options, acceptedCommands = ['connect', 'bind', 'associate']) {
  // Check SOCKs command option.
  if (!constants_1.SocksCommand[options.command]) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommand, options);
  } // Check SocksCommand for acceptable command.


  if (acceptedCommands.indexOf(options.command) === -1) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommandForOperation, options);
  } // Check destination


  if (!isValidSocksRemoteHost(options.destination)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsDestination, options);
  } // Check SOCKS proxy to use


  if (!isValidSocksProxy(options.proxy)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxy, options);
  } // Check timeout


  if (options.timeout && !isValidTimeoutValue(options.timeout)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsTimeout, options);
  } // Check existing_socket (if provided)


  if (options.existing_socket && !(options.existing_socket instanceof stream.Duplex)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsExistingSocket, options);
  }
}

exports.validateSocksClientOptions = validateSocksClientOptions;
/**
 * Validates the SocksClientChainOptions
 * @param options { SocksClientChainOptions }
 */

function validateSocksClientChainOptions(options) {
  // Only connect is supported when chaining.
  if (options.command !== 'connect') {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommandChain, options);
  } // Check destination


  if (!isValidSocksRemoteHost(options.destination)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsDestination, options);
  } // Validate proxies (length)


  if (!(options.proxies && Array.isArray(options.proxies) && options.proxies.length >= 2)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxiesLength, options);
  } // Validate proxies


  options.proxies.forEach(proxy => {
    if (!isValidSocksProxy(proxy)) {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxy, options);
    }
  }); // Check timeout

  if (options.timeout && !isValidTimeoutValue(options.timeout)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsTimeout, options);
  }
}

exports.validateSocksClientChainOptions = validateSocksClientChainOptions;
/**
 * Validates a SocksRemoteHost
 * @param remoteHost { SocksRemoteHost }
 */

function isValidSocksRemoteHost(remoteHost) {
  return remoteHost && typeof remoteHost.host === 'string' && typeof remoteHost.port === 'number' && remoteHost.port >= 0 && remoteHost.port <= 65535;
}
/**
 * Validates a SocksProxy
 * @param proxy { SocksProxy }
 */


function isValidSocksProxy(proxy) {
  return proxy && (typeof proxy.host === 'string' || typeof proxy.ipaddress === 'string') && typeof proxy.port === 'number' && proxy.port >= 0 && proxy.port <= 65535 && (proxy.type === 4 || proxy.type === 5);
}
/**
 * Validates a timeout value.
 * @param value { Number }
 */


function isValidTimeoutValue(value) {
  return typeof value === 'number' && value > 0;
}

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/common/receivebuffer.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));

class ReceiveBuffer {
  constructor(size = 4096) {
    this._buffer = Buffer.allocUnsafe(size);
    this._offset = 0;
    this._originalSize = size;
  }

  get length() {
    return this._offset;
  }

  append(data) {
    if (!Buffer.isBuffer(data)) {
      throw new Error('Attempted to append a non-buffer instance to ReceiveBuffer.');
    }

    if (this._offset + data.length >= this._buffer.length) {
      const tmp = this._buffer;
      this._buffer = Buffer.allocUnsafe(Math.max(this._buffer.length + this._originalSize, this._buffer.length + data.length));
      tmp.copy(this._buffer);
    }

    data.copy(this._buffer, this._offset);
    return this._offset += data.length;
  }

  peek(length) {
    if (length > this._offset) {
      throw new Error('Attempted to read beyond the bounds of the managed internal data.');
    }

    return this._buffer.slice(0, length);
  }

  get(length) {
    if (length > this._offset) {
      throw new Error('Attempted to read beyond the bounds of the managed internal data.');
    }

    const value = Buffer.allocUnsafe(length);

    this._buffer.slice(0, length).copy(value);

    this._buffer.copyWithin(0, length, length + this._offset - length);

    this._offset -= length;
    return value;
  }

}

exports.ReceiveBuffer = ReceiveBuffer;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/common/util.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
/**
 * Error wrapper for SocksClient
 */

class SocksClientError extends Error {
  constructor(message, options) {
    super(message);
    this.options = options;
  }

}

exports.SocksClientError = SocksClientError;
/**
 * Shuffles a given array.
 * @param array The array to shuffle.
 */

function shuffleArray(array) {
  for (let i = array.length - 1; i > 0; i--) {
    let j = Math.floor(Math.random() * (i + 1));
    [array[i], array[j]] = [array[j], array[i]];
  }
}

exports.shuffleArray = shuffleArray;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.3.3/socks/build/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function __export(m) {
  for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

__export(__webpack_require__("./node_modules/.f/_/socks/2.3.3/socks/build/client/socksclient.js"));

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/client/socksclient.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.SocksClientError = exports.SocksClient = void 0;

const events_1 = __webpack_require__("events");

const net = __webpack_require__("net");

const ip = __webpack_require__("./node_modules/.f/_/ip/1.1.5/ip/lib/ip.js");

const smart_buffer_1 = __webpack_require__("./node_modules/.f/_/smart-buffer/4.2.0/smart-buffer/build/smartbuffer.js");

const constants_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/constants.js");

const helpers_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/helpers.js");

const receivebuffer_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/receivebuffer.js");

const util_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/util.js");

Object.defineProperty(exports, "SocksClientError", ({
  enumerable: true,
  get: function () {
    return util_1.SocksClientError;
  }
}));

class SocksClient extends events_1.EventEmitter {
  constructor(options) {
    super();
    this.options = Object.assign({}, options); // Validate SocksClientOptions

    (0, helpers_1.validateSocksClientOptions)(options); // Default state

    this.setState(constants_1.SocksClientState.Created);
  }
  /**
   * Creates a new SOCKS connection.
   *
   * Note: Supports callbacks and promises. Only supports the connect command.
   * @param options { SocksClientOptions } Options.
   * @param callback { Function } An optional callback function.
   * @returns { Promise }
   */


  static createConnection(options, callback) {
    return new Promise((resolve, reject) => {
      // Validate SocksClientOptions
      try {
        (0, helpers_1.validateSocksClientOptions)(options, ['connect']);
      } catch (err) {
        if (typeof callback === 'function') {
          callback(err);
          return resolve(err); // Resolves pending promise (prevents memory leaks).
        } else {
          return reject(err);
        }
      }

      const client = new SocksClient(options);
      client.connect(options.existing_socket);
      client.once('established', info => {
        client.removeAllListeners();

        if (typeof callback === 'function') {
          callback(null, info);
          resolve(info); // Resolves pending promise (prevents memory leaks).
        } else {
          resolve(info);
        }
      }); // Error occurred, failed to establish connection.

      client.once('error', err => {
        client.removeAllListeners();

        if (typeof callback === 'function') {
          callback(err);
          resolve(err); // Resolves pending promise (prevents memory leaks).
        } else {
          reject(err);
        }
      });
    });
  }
  /**
   * Creates a new SOCKS connection chain to a destination host through 2 or more SOCKS proxies.
   *
   * Note: Supports callbacks and promises. Only supports the connect method.
   * Note: Implemented via createConnection() factory function.
   * @param options { SocksClientChainOptions } Options
   * @param callback { Function } An optional callback function.
   * @returns { Promise }
   */


  static createConnectionChain(options, callback) {
    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
      // Validate SocksClientChainOptions
      try {
        (0, helpers_1.validateSocksClientChainOptions)(options);
      } catch (err) {
        if (typeof callback === 'function') {
          callback(err);
          return resolve(err); // Resolves pending promise (prevents memory leaks).
        } else {
          return reject(err);
        }
      }

      let sock; // Shuffle proxies

      if (options.randomizeChain) {
        (0, util_1.shuffleArray)(options.proxies);
      }

      try {
        // tslint:disable-next-line:no-increment-decrement
        for (let i = 0; i < options.proxies.length; i++) {
          const nextProxy = options.proxies[i]; // If we've reached the last proxy in the chain, the destination is the actual destination, otherwise it's the next proxy.

          const nextDestination = i === options.proxies.length - 1 ? options.destination : {
            host: options.proxies[i + 1].host || options.proxies[i + 1].ipaddress,
            port: options.proxies[i + 1].port
          }; // Creates the next connection in the chain.

          const result = yield SocksClient.createConnection({
            command: 'connect',
            proxy: nextProxy,
            destination: nextDestination // Initial connection ignores this as sock is undefined. Subsequent connections re-use the first proxy socket to form a chain.

          }); // If sock is undefined, assign it here.

          if (!sock) {
            sock = result.socket;
          }
        }

        if (typeof callback === 'function') {
          callback(null, {
            socket: sock
          });
          resolve({
            socket: sock
          }); // Resolves pending promise (prevents memory leaks).
        } else {
          resolve({
            socket: sock
          });
        }
      } catch (err) {
        if (typeof callback === 'function') {
          callback(err);
          resolve(err); // Resolves pending promise (prevents memory leaks).
        } else {
          reject(err);
        }
      }
    }));
  }
  /**
   * Creates a SOCKS UDP Frame.
   * @param options
   */


  static createUDPFrame(options) {
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt16BE(0);
    buff.writeUInt8(options.frameNumber || 0); // IPv4/IPv6/Hostname

    if (net.isIPv4(options.remoteHost.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv4);
      buff.writeUInt32BE(ip.toLong(options.remoteHost.host));
    } else if (net.isIPv6(options.remoteHost.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv6);
      buff.writeBuffer(ip.toBuffer(options.remoteHost.host));
    } else {
      buff.writeUInt8(constants_1.Socks5HostType.Hostname);
      buff.writeUInt8(Buffer.byteLength(options.remoteHost.host));
      buff.writeString(options.remoteHost.host);
    } // Port


    buff.writeUInt16BE(options.remoteHost.port); // Data

    buff.writeBuffer(options.data);
    return buff.toBuffer();
  }
  /**
   * Parses a SOCKS UDP frame.
   * @param data
   */


  static parseUDPFrame(data) {
    const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
    buff.readOffset = 2;
    const frameNumber = buff.readUInt8();
    const hostType = buff.readUInt8();
    let remoteHost;

    if (hostType === constants_1.Socks5HostType.IPv4) {
      remoteHost = ip.fromLong(buff.readUInt32BE());
    } else if (hostType === constants_1.Socks5HostType.IPv6) {
      remoteHost = ip.toString(buff.readBuffer(16));
    } else {
      remoteHost = buff.readString(buff.readUInt8());
    }

    const remotePort = buff.readUInt16BE();
    return {
      frameNumber,
      remoteHost: {
        host: remoteHost,
        port: remotePort
      },
      data: buff.readBuffer()
    };
  }
  /**
   * Internal state setter. If the SocksClient is in an error state, it cannot be changed to a non error state.
   */


  setState(newState) {
    if (this.state !== constants_1.SocksClientState.Error) {
      this.state = newState;
    }
  }
  /**
   * Starts the connection establishment to the proxy and destination.
   * @param existingSocket Connected socket to use instead of creating a new one (internal use).
   */


  connect(existingSocket) {
    this.onDataReceived = data => this.onDataReceivedHandler(data);

    this.onClose = () => this.onCloseHandler();

    this.onError = err => this.onErrorHandler(err);

    this.onConnect = () => this.onConnectHandler(); // Start timeout timer (defaults to 30 seconds)


    const timer = setTimeout(() => this.onEstablishedTimeout(), this.options.timeout || constants_1.DEFAULT_TIMEOUT); // check whether unref is available as it differs from browser to NodeJS (#33)

    if (timer.unref && typeof timer.unref === 'function') {
      timer.unref();
    } // If an existing socket is provided, use it to negotiate SOCKS handshake. Otherwise create a new Socket.


    if (existingSocket) {
      this.socket = existingSocket;
    } else {
      this.socket = new net.Socket();
    } // Attach Socket error handlers.


    this.socket.once('close', this.onClose);
    this.socket.once('error', this.onError);
    this.socket.once('connect', this.onConnect);
    this.socket.on('data', this.onDataReceived);
    this.setState(constants_1.SocksClientState.Connecting);
    this.receiveBuffer = new receivebuffer_1.ReceiveBuffer();

    if (existingSocket) {
      this.socket.emit('connect');
    } else {
      this.socket.connect(this.getSocketOptions());

      if (this.options.set_tcp_nodelay !== undefined && this.options.set_tcp_nodelay !== null) {
        this.socket.setNoDelay(!!this.options.set_tcp_nodelay);
      }
    } // Listen for established event so we can re-emit any excess data received during handshakes.


    this.prependOnceListener('established', info => {
      setImmediate(() => {
        if (this.receiveBuffer.length > 0) {
          const excessData = this.receiveBuffer.get(this.receiveBuffer.length);
          info.socket.emit('data', excessData);
        }

        info.socket.resume();
      });
    });
  } // Socket options (defaults host/port to options.proxy.host/options.proxy.port)


  getSocketOptions() {
    return Object.assign(Object.assign({}, this.options.socket_options), {
      host: this.options.proxy.host || this.options.proxy.ipaddress,
      port: this.options.proxy.port
    });
  }
  /**
   * Handles internal Socks timeout callback.
   * Note: If the Socks client is not BoundWaitingForConnection or Established, the connection will be closed.
   */


  onEstablishedTimeout() {
    if (this.state !== constants_1.SocksClientState.Established && this.state !== constants_1.SocksClientState.BoundWaitingForConnection) {
      this.closeSocket(constants_1.ERRORS.ProxyConnectionTimedOut);
    }
  }
  /**
   * Handles Socket connect event.
   */


  onConnectHandler() {
    this.setState(constants_1.SocksClientState.Connected); // Send initial handshake.

    if (this.options.proxy.type === 4) {
      this.sendSocks4InitialHandshake();
    } else {
      this.sendSocks5InitialHandshake();
    }

    this.setState(constants_1.SocksClientState.SentInitialHandshake);
  }
  /**
   * Handles Socket data event.
   * @param data
   */


  onDataReceivedHandler(data) {
    /*
      All received data is appended to a ReceiveBuffer.
      This makes sure that all the data we need is received before we attempt to process it.
    */
    this.receiveBuffer.append(data); // Process data that we have.

    this.processData();
  }
  /**
   * Handles processing of the data we have received.
   */


  processData() {
    // If we have enough data to process the next step in the SOCKS handshake, proceed.
    while (this.state !== constants_1.SocksClientState.Established && this.state !== constants_1.SocksClientState.Error && this.receiveBuffer.length >= this.nextRequiredPacketBufferSize) {
      // Sent initial handshake, waiting for response.
      if (this.state === constants_1.SocksClientState.SentInitialHandshake) {
        if (this.options.proxy.type === 4) {
          // Socks v4 only has one handshake response.
          this.handleSocks4FinalHandshakeResponse();
        } else {
          // Socks v5 has two handshakes, handle initial one here.
          this.handleInitialSocks5HandshakeResponse();
        } // Sent auth request for Socks v5, waiting for response.

      } else if (this.state === constants_1.SocksClientState.SentAuthentication) {
        this.handleInitialSocks5AuthenticationHandshakeResponse(); // Sent final Socks v5 handshake, waiting for final response.
      } else if (this.state === constants_1.SocksClientState.SentFinalHandshake) {
        this.handleSocks5FinalHandshakeResponse(); // Socks BIND established. Waiting for remote connection via proxy.
      } else if (this.state === constants_1.SocksClientState.BoundWaitingForConnection) {
        if (this.options.proxy.type === 4) {
          this.handleSocks4IncomingConnectionResponse();
        } else {
          this.handleSocks5IncomingConnectionResponse();
        }
      } else {
        this.closeSocket(constants_1.ERRORS.InternalError);
        break;
      }
    }
  }
  /**
   * Handles Socket close event.
   * @param had_error
   */


  onCloseHandler() {
    this.closeSocket(constants_1.ERRORS.SocketClosed);
  }
  /**
   * Handles Socket error event.
   * @param err
   */


  onErrorHandler(err) {
    this.closeSocket(err.message);
  }
  /**
   * Removes internal event listeners on the underlying Socket.
   */


  removeInternalSocketHandlers() {
    // Pauses data flow of the socket (this is internally resumed after 'established' is emitted)
    this.socket.pause();
    this.socket.removeListener('data', this.onDataReceived);
    this.socket.removeListener('close', this.onClose);
    this.socket.removeListener('error', this.onError);
    this.socket.removeListener('connect', this.onConnect);
  }
  /**
   * Closes and destroys the underlying Socket. Emits an error event.
   * @param err { String } An error string to include in error event.
   */


  closeSocket(err) {
    // Make sure only one 'error' event is fired for the lifetime of this SocksClient instance.
    if (this.state !== constants_1.SocksClientState.Error) {
      // Set internal state to Error.
      this.setState(constants_1.SocksClientState.Error); // Destroy Socket

      this.socket.destroy(); // Remove internal listeners

      this.removeInternalSocketHandlers(); // Fire 'error' event.

      this.emit('error', new util_1.SocksClientError(err, this.options));
    }
  }
  /**
   * Sends initial Socks v4 handshake request.
   */


  sendSocks4InitialHandshake() {
    const userId = this.options.proxy.userId || '';
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x04);
    buff.writeUInt8(constants_1.SocksCommand[this.options.command]);
    buff.writeUInt16BE(this.options.destination.port); // Socks 4 (IPv4)

    if (net.isIPv4(this.options.destination.host)) {
      buff.writeBuffer(ip.toBuffer(this.options.destination.host));
      buff.writeStringNT(userId); // Socks 4a (hostname)
    } else {
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x00);
      buff.writeUInt8(0x01);
      buff.writeStringNT(userId);
      buff.writeStringNT(this.options.destination.host);
    }

    this.nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks4Response;
    this.socket.write(buff.toBuffer());
  }
  /**
   * Handles Socks v4 handshake response.
   * @param data
   */


  handleSocks4FinalHandshakeResponse() {
    const data = this.receiveBuffer.get(8);

    if (data[1] !== constants_1.Socks4Response.Granted) {
      this.closeSocket(`${constants_1.ERRORS.Socks4ProxyRejectedConnection} - (${constants_1.Socks4Response[data[1]]})`);
    } else {
      // Bind response
      if (constants_1.SocksCommand[this.options.command] === constants_1.SocksCommand.bind) {
        const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
        buff.readOffset = 2;
        const remoteHost = {
          port: buff.readUInt16BE(),
          host: ip.fromLong(buff.readUInt32BE())
        }; // If host is 0.0.0.0, set to proxy host.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this.options.proxy.ipaddress;
        }

        this.setState(constants_1.SocksClientState.BoundWaitingForConnection);
        this.emit('bound', {
          remoteHost,
          socket: this.socket
        }); // Connect response
      } else {
        this.setState(constants_1.SocksClientState.Established);
        this.removeInternalSocketHandlers();
        this.emit('established', {
          socket: this.socket
        });
      }
    }
  }
  /**
   * Handles Socks v4 incoming connection request (BIND)
   * @param data
   */


  handleSocks4IncomingConnectionResponse() {
    const data = this.receiveBuffer.get(8);

    if (data[1] !== constants_1.Socks4Response.Granted) {
      this.closeSocket(`${constants_1.ERRORS.Socks4ProxyRejectedIncomingBoundConnection} - (${constants_1.Socks4Response[data[1]]})`);
    } else {
      const buff = smart_buffer_1.SmartBuffer.fromBuffer(data);
      buff.readOffset = 2;
      const remoteHost = {
        port: buff.readUInt16BE(),
        host: ip.fromLong(buff.readUInt32BE())
      };
      this.setState(constants_1.SocksClientState.Established);
      this.removeInternalSocketHandlers();
      this.emit('established', {
        remoteHost,
        socket: this.socket
      });
    }
  }
  /**
   * Sends initial Socks v5 handshake request.
   */


  sendSocks5InitialHandshake() {
    const buff = new smart_buffer_1.SmartBuffer(); // By default we always support no auth.

    const supportedAuthMethods = [constants_1.Socks5Auth.NoAuth]; // We should only tell the proxy we support user/pass auth if auth info is actually provided.
    // Note: As of Tor v0.3.5.7+, if user/pass auth is an option from the client, by default it will always take priority.

    if (this.options.proxy.userId || this.options.proxy.password) {
      supportedAuthMethods.push(constants_1.Socks5Auth.UserPass);
    } // Custom auth method?


    if (this.options.proxy.custom_auth_method !== undefined) {
      supportedAuthMethods.push(this.options.proxy.custom_auth_method);
    } // Build handshake packet


    buff.writeUInt8(0x05);
    buff.writeUInt8(supportedAuthMethods.length);

    for (const authMethod of supportedAuthMethods) {
      buff.writeUInt8(authMethod);
    }

    this.nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5InitialHandshakeResponse;
    this.socket.write(buff.toBuffer());
    this.setState(constants_1.SocksClientState.SentInitialHandshake);
  }
  /**
   * Handles initial Socks v5 handshake response.
   * @param data
   */


  handleInitialSocks5HandshakeResponse() {
    const data = this.receiveBuffer.get(2);

    if (data[0] !== 0x05) {
      this.closeSocket(constants_1.ERRORS.InvalidSocks5IntiailHandshakeSocksVersion);
    } else if (data[1] === constants_1.SOCKS5_NO_ACCEPTABLE_AUTH) {
      this.closeSocket(constants_1.ERRORS.InvalidSocks5InitialHandshakeNoAcceptedAuthType);
    } else {
      // If selected Socks v5 auth method is no auth, send final handshake request.
      if (data[1] === constants_1.Socks5Auth.NoAuth) {
        this.socks5ChosenAuthType = constants_1.Socks5Auth.NoAuth;
        this.sendSocks5CommandRequest(); // If selected Socks v5 auth method is user/password, send auth handshake.
      } else if (data[1] === constants_1.Socks5Auth.UserPass) {
        this.socks5ChosenAuthType = constants_1.Socks5Auth.UserPass;
        this.sendSocks5UserPassAuthentication(); // If selected Socks v5 auth method is the custom_auth_method, send custom handshake.
      } else if (data[1] === this.options.proxy.custom_auth_method) {
        this.socks5ChosenAuthType = this.options.proxy.custom_auth_method;
        this.sendSocks5CustomAuthentication();
      } else {
        this.closeSocket(constants_1.ERRORS.InvalidSocks5InitialHandshakeUnknownAuthType);
      }
    }
  }
  /**
   * Sends Socks v5 user & password auth handshake.
   *
   * Note: No auth and user/pass are currently supported.
   */


  sendSocks5UserPassAuthentication() {
    const userId = this.options.proxy.userId || '';
    const password = this.options.proxy.password || '';
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x01);
    buff.writeUInt8(Buffer.byteLength(userId));
    buff.writeString(userId);
    buff.writeUInt8(Buffer.byteLength(password));
    buff.writeString(password);
    this.nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5UserPassAuthenticationResponse;
    this.socket.write(buff.toBuffer());
    this.setState(constants_1.SocksClientState.SentAuthentication);
  }

  sendSocks5CustomAuthentication() {
    return __awaiter(this, void 0, void 0, function* () {
      this.nextRequiredPacketBufferSize = this.options.proxy.custom_auth_response_size;
      this.socket.write(yield this.options.proxy.custom_auth_request_handler());
      this.setState(constants_1.SocksClientState.SentAuthentication);
    });
  }

  handleSocks5CustomAuthHandshakeResponse(data) {
    return __awaiter(this, void 0, void 0, function* () {
      return yield this.options.proxy.custom_auth_response_handler(data);
    });
  }

  handleSocks5AuthenticationNoAuthHandshakeResponse(data) {
    return __awaiter(this, void 0, void 0, function* () {
      return data[1] === 0x00;
    });
  }

  handleSocks5AuthenticationUserPassHandshakeResponse(data) {
    return __awaiter(this, void 0, void 0, function* () {
      return data[1] === 0x00;
    });
  }
  /**
   * Handles Socks v5 auth handshake response.
   * @param data
   */


  handleInitialSocks5AuthenticationHandshakeResponse() {
    return __awaiter(this, void 0, void 0, function* () {
      this.setState(constants_1.SocksClientState.ReceivedAuthenticationResponse);
      let authResult = false;

      if (this.socks5ChosenAuthType === constants_1.Socks5Auth.NoAuth) {
        authResult = yield this.handleSocks5AuthenticationNoAuthHandshakeResponse(this.receiveBuffer.get(2));
      } else if (this.socks5ChosenAuthType === constants_1.Socks5Auth.UserPass) {
        authResult = yield this.handleSocks5AuthenticationUserPassHandshakeResponse(this.receiveBuffer.get(2));
      } else if (this.socks5ChosenAuthType === this.options.proxy.custom_auth_method) {
        authResult = yield this.handleSocks5CustomAuthHandshakeResponse(this.receiveBuffer.get(this.options.proxy.custom_auth_response_size));
      }

      if (!authResult) {
        this.closeSocket(constants_1.ERRORS.Socks5AuthenticationFailed);
      } else {
        this.sendSocks5CommandRequest();
      }
    });
  }
  /**
   * Sends Socks v5 final handshake request.
   */


  sendSocks5CommandRequest() {
    const buff = new smart_buffer_1.SmartBuffer();
    buff.writeUInt8(0x05);
    buff.writeUInt8(constants_1.SocksCommand[this.options.command]);
    buff.writeUInt8(0x00); // ipv4, ipv6, domain?

    if (net.isIPv4(this.options.destination.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv4);
      buff.writeBuffer(ip.toBuffer(this.options.destination.host));
    } else if (net.isIPv6(this.options.destination.host)) {
      buff.writeUInt8(constants_1.Socks5HostType.IPv6);
      buff.writeBuffer(ip.toBuffer(this.options.destination.host));
    } else {
      buff.writeUInt8(constants_1.Socks5HostType.Hostname);
      buff.writeUInt8(this.options.destination.host.length);
      buff.writeString(this.options.destination.host);
    }

    buff.writeUInt16BE(this.options.destination.port);
    this.nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader;
    this.socket.write(buff.toBuffer());
    this.setState(constants_1.SocksClientState.SentFinalHandshake);
  }
  /**
   * Handles Socks v5 final handshake response.
   * @param data
   */


  handleSocks5FinalHandshakeResponse() {
    // Peek at available data (we need at least 5 bytes to get the hostname length)
    const header = this.receiveBuffer.peek(5);

    if (header[0] !== 0x05 || header[1] !== constants_1.Socks5Response.Granted) {
      this.closeSocket(`${constants_1.ERRORS.InvalidSocks5FinalHandshakeRejected} - ${constants_1.Socks5Response[header[1]]}`);
    } else {
      // Read address type
      const addressType = header[3];
      let remoteHost;
      let buff; // IPv4

      if (addressType === constants_1.Socks5HostType.IPv4) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4;

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.fromLong(buff.readUInt32BE()),
          port: buff.readUInt16BE()
        }; // If given host is 0.0.0.0, assume remote proxy ip instead.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this.options.proxy.ipaddress;
        } // Hostname

      } else if (addressType === constants_1.Socks5HostType.Hostname) {
        const hostLength = header[4];
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(hostLength); // header + host length + host + port
        // Check if data is available.

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(5));
        remoteHost = {
          host: buff.readString(hostLength),
          port: buff.readUInt16BE()
        }; // IPv6
      } else if (addressType === constants_1.Socks5HostType.IPv6) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6;

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.toString(buff.readBuffer(16)),
          port: buff.readUInt16BE()
        };
      } // We have everything we need


      this.setState(constants_1.SocksClientState.ReceivedFinalResponse); // If using CONNECT, the client is now in the established state.

      if (constants_1.SocksCommand[this.options.command] === constants_1.SocksCommand.connect) {
        this.setState(constants_1.SocksClientState.Established);
        this.removeInternalSocketHandlers();
        this.emit('established', {
          remoteHost,
          socket: this.socket
        });
      } else if (constants_1.SocksCommand[this.options.command] === constants_1.SocksCommand.bind) {
        /* If using BIND, the Socks client is now in BoundWaitingForConnection state.
           This means that the remote proxy server is waiting for a remote connection to the bound port. */
        this.setState(constants_1.SocksClientState.BoundWaitingForConnection);
        this.nextRequiredPacketBufferSize = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader;
        this.emit('bound', {
          remoteHost,
          socket: this.socket
        });
        /*
          If using Associate, the Socks client is now Established. And the proxy server is now accepting UDP packets at the
          given bound port. This initial Socks TCP connection must remain open for the UDP relay to continue to work.
        */
      } else if (constants_1.SocksCommand[this.options.command] === constants_1.SocksCommand.associate) {
        this.setState(constants_1.SocksClientState.Established);
        this.removeInternalSocketHandlers();
        this.emit('established', {
          remoteHost,
          socket: this.socket
        });
      }
    }
  }
  /**
   * Handles Socks v5 incoming connection request (BIND).
   */


  handleSocks5IncomingConnectionResponse() {
    // Peek at available data (we need at least 5 bytes to get the hostname length)
    const header = this.receiveBuffer.peek(5);

    if (header[0] !== 0x05 || header[1] !== constants_1.Socks5Response.Granted) {
      this.closeSocket(`${constants_1.ERRORS.Socks5ProxyRejectedIncomingBoundConnection} - ${constants_1.Socks5Response[header[1]]}`);
    } else {
      // Read address type
      const addressType = header[3];
      let remoteHost;
      let buff; // IPv4

      if (addressType === constants_1.Socks5HostType.IPv4) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4;

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.fromLong(buff.readUInt32BE()),
          port: buff.readUInt16BE()
        }; // If given host is 0.0.0.0, assume remote proxy ip instead.

        if (remoteHost.host === '0.0.0.0') {
          remoteHost.host = this.options.proxy.ipaddress;
        } // Hostname

      } else if (addressType === constants_1.Socks5HostType.Hostname) {
        const hostLength = header[4];
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(hostLength); // header + host length + port
        // Check if data is available.

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(5));
        remoteHost = {
          host: buff.readString(hostLength),
          port: buff.readUInt16BE()
        }; // IPv6
      } else if (addressType === constants_1.Socks5HostType.IPv6) {
        // Check if data is available.
        const dataNeeded = constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6;

        if (this.receiveBuffer.length < dataNeeded) {
          this.nextRequiredPacketBufferSize = dataNeeded;
          return;
        }

        buff = smart_buffer_1.SmartBuffer.fromBuffer(this.receiveBuffer.get(dataNeeded).slice(4));
        remoteHost = {
          host: ip.toString(buff.readBuffer(16)),
          port: buff.readUInt16BE()
        };
      }

      this.setState(constants_1.SocksClientState.Established);
      this.removeInternalSocketHandlers();
      this.emit('established', {
        remoteHost,
        socket: this.socket
      });
    }
  }

  get socksClientOptions() {
    return Object.assign({}, this.options);
  }

}

exports.SocksClient = SocksClient;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/common/constants.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.SOCKS5_NO_ACCEPTABLE_AUTH = exports.SOCKS5_CUSTOM_AUTH_END = exports.SOCKS5_CUSTOM_AUTH_START = exports.SOCKS_INCOMING_PACKET_SIZES = exports.SocksClientState = exports.Socks5Response = exports.Socks5HostType = exports.Socks5Auth = exports.Socks4Response = exports.SocksCommand = exports.ERRORS = exports.DEFAULT_TIMEOUT = void 0;
const DEFAULT_TIMEOUT = 30000;
exports.DEFAULT_TIMEOUT = DEFAULT_TIMEOUT; // prettier-ignore

const ERRORS = {
  InvalidSocksCommand: 'An invalid SOCKS command was provided. Valid options are connect, bind, and associate.',
  InvalidSocksCommandForOperation: 'An invalid SOCKS command was provided. Only a subset of commands are supported for this operation.',
  InvalidSocksCommandChain: 'An invalid SOCKS command was provided. Chaining currently only supports the connect command.',
  InvalidSocksClientOptionsDestination: 'An invalid destination host was provided.',
  InvalidSocksClientOptionsExistingSocket: 'An invalid existing socket was provided. This should be an instance of stream.Duplex.',
  InvalidSocksClientOptionsProxy: 'Invalid SOCKS proxy details were provided.',
  InvalidSocksClientOptionsTimeout: 'An invalid timeout value was provided. Please enter a value above 0 (in ms).',
  InvalidSocksClientOptionsProxiesLength: 'At least two socks proxies must be provided for chaining.',
  InvalidSocksClientOptionsCustomAuthRange: 'Custom auth must be a value between 0x80 and 0xFE.',
  InvalidSocksClientOptionsCustomAuthOptions: 'When a custom_auth_method is provided, custom_auth_request_handler, custom_auth_response_size, and custom_auth_response_handler must also be provided and valid.',
  NegotiationError: 'Negotiation error',
  SocketClosed: 'Socket closed',
  ProxyConnectionTimedOut: 'Proxy connection timed out',
  InternalError: 'SocksClient internal error (this should not happen)',
  InvalidSocks4HandshakeResponse: 'Received invalid Socks4 handshake response',
  Socks4ProxyRejectedConnection: 'Socks4 Proxy rejected connection',
  InvalidSocks4IncomingConnectionResponse: 'Socks4 invalid incoming connection response',
  Socks4ProxyRejectedIncomingBoundConnection: 'Socks4 Proxy rejected incoming bound connection',
  InvalidSocks5InitialHandshakeResponse: 'Received invalid Socks5 initial handshake response',
  InvalidSocks5IntiailHandshakeSocksVersion: 'Received invalid Socks5 initial handshake (invalid socks version)',
  InvalidSocks5InitialHandshakeNoAcceptedAuthType: 'Received invalid Socks5 initial handshake (no accepted authentication type)',
  InvalidSocks5InitialHandshakeUnknownAuthType: 'Received invalid Socks5 initial handshake (unknown authentication type)',
  Socks5AuthenticationFailed: 'Socks5 Authentication failed',
  InvalidSocks5FinalHandshake: 'Received invalid Socks5 final handshake response',
  InvalidSocks5FinalHandshakeRejected: 'Socks5 proxy rejected connection',
  InvalidSocks5IncomingConnectionResponse: 'Received invalid Socks5 incoming connection response',
  Socks5ProxyRejectedIncomingBoundConnection: 'Socks5 Proxy rejected incoming bound connection'
};
exports.ERRORS = ERRORS;
const SOCKS_INCOMING_PACKET_SIZES = {
  Socks5InitialHandshakeResponse: 2,
  Socks5UserPassAuthenticationResponse: 2,
  // Command response + incoming connection (bind)
  Socks5ResponseHeader: 5,
  Socks5ResponseIPv4: 10,
  Socks5ResponseIPv6: 22,
  Socks5ResponseHostname: hostNameLength => hostNameLength + 7,
  // Command response + incoming connection (bind)
  Socks4Response: 8 // 2 header + 2 port + 4 ip

};
exports.SOCKS_INCOMING_PACKET_SIZES = SOCKS_INCOMING_PACKET_SIZES;
var SocksCommand;

(function (SocksCommand) {
  SocksCommand[SocksCommand["connect"] = 1] = "connect";
  SocksCommand[SocksCommand["bind"] = 2] = "bind";
  SocksCommand[SocksCommand["associate"] = 3] = "associate";
})(SocksCommand || (SocksCommand = {}));

exports.SocksCommand = SocksCommand;
var Socks4Response;

(function (Socks4Response) {
  Socks4Response[Socks4Response["Granted"] = 90] = "Granted";
  Socks4Response[Socks4Response["Failed"] = 91] = "Failed";
  Socks4Response[Socks4Response["Rejected"] = 92] = "Rejected";
  Socks4Response[Socks4Response["RejectedIdent"] = 93] = "RejectedIdent";
})(Socks4Response || (Socks4Response = {}));

exports.Socks4Response = Socks4Response;
var Socks5Auth;

(function (Socks5Auth) {
  Socks5Auth[Socks5Auth["NoAuth"] = 0] = "NoAuth";
  Socks5Auth[Socks5Auth["GSSApi"] = 1] = "GSSApi";
  Socks5Auth[Socks5Auth["UserPass"] = 2] = "UserPass";
})(Socks5Auth || (Socks5Auth = {}));

exports.Socks5Auth = Socks5Auth;
const SOCKS5_CUSTOM_AUTH_START = 0x80;
exports.SOCKS5_CUSTOM_AUTH_START = SOCKS5_CUSTOM_AUTH_START;
const SOCKS5_CUSTOM_AUTH_END = 0xfe;
exports.SOCKS5_CUSTOM_AUTH_END = SOCKS5_CUSTOM_AUTH_END;
const SOCKS5_NO_ACCEPTABLE_AUTH = 0xff;
exports.SOCKS5_NO_ACCEPTABLE_AUTH = SOCKS5_NO_ACCEPTABLE_AUTH;
var Socks5Response;

(function (Socks5Response) {
  Socks5Response[Socks5Response["Granted"] = 0] = "Granted";
  Socks5Response[Socks5Response["Failure"] = 1] = "Failure";
  Socks5Response[Socks5Response["NotAllowed"] = 2] = "NotAllowed";
  Socks5Response[Socks5Response["NetworkUnreachable"] = 3] = "NetworkUnreachable";
  Socks5Response[Socks5Response["HostUnreachable"] = 4] = "HostUnreachable";
  Socks5Response[Socks5Response["ConnectionRefused"] = 5] = "ConnectionRefused";
  Socks5Response[Socks5Response["TTLExpired"] = 6] = "TTLExpired";
  Socks5Response[Socks5Response["CommandNotSupported"] = 7] = "CommandNotSupported";
  Socks5Response[Socks5Response["AddressNotSupported"] = 8] = "AddressNotSupported";
})(Socks5Response || (Socks5Response = {}));

exports.Socks5Response = Socks5Response;
var Socks5HostType;

(function (Socks5HostType) {
  Socks5HostType[Socks5HostType["IPv4"] = 1] = "IPv4";
  Socks5HostType[Socks5HostType["Hostname"] = 3] = "Hostname";
  Socks5HostType[Socks5HostType["IPv6"] = 4] = "IPv6";
})(Socks5HostType || (Socks5HostType = {}));

exports.Socks5HostType = Socks5HostType;
var SocksClientState;

(function (SocksClientState) {
  SocksClientState[SocksClientState["Created"] = 0] = "Created";
  SocksClientState[SocksClientState["Connecting"] = 1] = "Connecting";
  SocksClientState[SocksClientState["Connected"] = 2] = "Connected";
  SocksClientState[SocksClientState["SentInitialHandshake"] = 3] = "SentInitialHandshake";
  SocksClientState[SocksClientState["ReceivedInitialHandshakeResponse"] = 4] = "ReceivedInitialHandshakeResponse";
  SocksClientState[SocksClientState["SentAuthentication"] = 5] = "SentAuthentication";
  SocksClientState[SocksClientState["ReceivedAuthenticationResponse"] = 6] = "ReceivedAuthenticationResponse";
  SocksClientState[SocksClientState["SentFinalHandshake"] = 7] = "SentFinalHandshake";
  SocksClientState[SocksClientState["ReceivedFinalResponse"] = 8] = "ReceivedFinalResponse";
  SocksClientState[SocksClientState["BoundWaitingForConnection"] = 9] = "BoundWaitingForConnection";
  SocksClientState[SocksClientState["Established"] = 10] = "Established";
  SocksClientState[SocksClientState["Disconnected"] = 11] = "Disconnected";
  SocksClientState[SocksClientState["Error"] = 99] = "Error";
})(SocksClientState || (SocksClientState = {}));

exports.SocksClientState = SocksClientState;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/common/helpers.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.validateSocksClientChainOptions = exports.validateSocksClientOptions = void 0;

const util_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/util.js");

const constants_1 = __webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/common/constants.js");

const stream = __webpack_require__("stream");
/**
 * Validates the provided SocksClientOptions
 * @param options { SocksClientOptions }
 * @param acceptedCommands { string[] } A list of accepted SocksProxy commands.
 */


function validateSocksClientOptions(options, acceptedCommands = ['connect', 'bind', 'associate']) {
  // Check SOCKs command option.
  if (!constants_1.SocksCommand[options.command]) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommand, options);
  } // Check SocksCommand for acceptable command.


  if (acceptedCommands.indexOf(options.command) === -1) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommandForOperation, options);
  } // Check destination


  if (!isValidSocksRemoteHost(options.destination)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsDestination, options);
  } // Check SOCKS proxy to use


  if (!isValidSocksProxy(options.proxy)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxy, options);
  } // Validate custom auth (if set)


  validateCustomProxyAuth(options.proxy, options); // Check timeout

  if (options.timeout && !isValidTimeoutValue(options.timeout)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsTimeout, options);
  } // Check existing_socket (if provided)


  if (options.existing_socket && !(options.existing_socket instanceof stream.Duplex)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsExistingSocket, options);
  }
}

exports.validateSocksClientOptions = validateSocksClientOptions;
/**
 * Validates the SocksClientChainOptions
 * @param options { SocksClientChainOptions }
 */

function validateSocksClientChainOptions(options) {
  // Only connect is supported when chaining.
  if (options.command !== 'connect') {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksCommandChain, options);
  } // Check destination


  if (!isValidSocksRemoteHost(options.destination)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsDestination, options);
  } // Validate proxies (length)


  if (!(options.proxies && Array.isArray(options.proxies) && options.proxies.length >= 2)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxiesLength, options);
  } // Validate proxies


  options.proxies.forEach(proxy => {
    if (!isValidSocksProxy(proxy)) {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsProxy, options);
    } // Validate custom auth (if set)


    validateCustomProxyAuth(proxy, options);
  }); // Check timeout

  if (options.timeout && !isValidTimeoutValue(options.timeout)) {
    throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsTimeout, options);
  }
}

exports.validateSocksClientChainOptions = validateSocksClientChainOptions;

function validateCustomProxyAuth(proxy, options) {
  if (proxy.custom_auth_method !== undefined) {
    // Invalid auth method range
    if (proxy.custom_auth_method < constants_1.SOCKS5_CUSTOM_AUTH_START || proxy.custom_auth_method > constants_1.SOCKS5_CUSTOM_AUTH_END) {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthRange, options);
    } // Missing custom_auth_request_handler


    if (proxy.custom_auth_request_handler === undefined || typeof proxy.custom_auth_request_handler !== 'function') {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions, options);
    } // Missing custom_auth_response_size


    if (proxy.custom_auth_response_size === undefined) {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions, options);
    } // Missing/invalid custom_auth_response_handler


    if (proxy.custom_auth_response_handler === undefined || typeof proxy.custom_auth_response_handler !== 'function') {
      throw new util_1.SocksClientError(constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions, options);
    }
  }
}
/**
 * Validates a SocksRemoteHost
 * @param remoteHost { SocksRemoteHost }
 */


function isValidSocksRemoteHost(remoteHost) {
  return remoteHost && typeof remoteHost.host === 'string' && typeof remoteHost.port === 'number' && remoteHost.port >= 0 && remoteHost.port <= 65535;
}
/**
 * Validates a SocksProxy
 * @param proxy { SocksProxy }
 */


function isValidSocksProxy(proxy) {
  return proxy && (typeof proxy.host === 'string' || typeof proxy.ipaddress === 'string') && typeof proxy.port === 'number' && proxy.port >= 0 && proxy.port <= 65535 && (proxy.type === 4 || proxy.type === 5);
}
/**
 * Validates a timeout value.
 * @param value { Number }
 */


function isValidTimeoutValue(value) {
  return typeof value === 'number' && value > 0;
}

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/common/receivebuffer.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.ReceiveBuffer = void 0;

class ReceiveBuffer {
  constructor(size = 4096) {
    this.buffer = Buffer.allocUnsafe(size);
    this.offset = 0;
    this.originalSize = size;
  }

  get length() {
    return this.offset;
  }

  append(data) {
    if (!Buffer.isBuffer(data)) {
      throw new Error('Attempted to append a non-buffer instance to ReceiveBuffer.');
    }

    if (this.offset + data.length >= this.buffer.length) {
      const tmp = this.buffer;
      this.buffer = Buffer.allocUnsafe(Math.max(this.buffer.length + this.originalSize, this.buffer.length + data.length));
      tmp.copy(this.buffer);
    }

    data.copy(this.buffer, this.offset);
    return this.offset += data.length;
  }

  peek(length) {
    if (length > this.offset) {
      throw new Error('Attempted to read beyond the bounds of the managed internal data.');
    }

    return this.buffer.slice(0, length);
  }

  get(length) {
    if (length > this.offset) {
      throw new Error('Attempted to read beyond the bounds of the managed internal data.');
    }

    const value = Buffer.allocUnsafe(length);
    this.buffer.slice(0, length).copy(value);
    this.buffer.copyWithin(0, length, length + this.offset - length);
    this.offset -= length;
    return value;
  }

}

exports.ReceiveBuffer = ReceiveBuffer;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/common/util.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.shuffleArray = exports.SocksClientError = void 0;
/**
 * Error wrapper for SocksClient
 */

class SocksClientError extends Error {
  constructor(message, options) {
    super(message);
    this.options = options;
  }

}

exports.SocksClientError = SocksClientError;
/**
 * Shuffles a given array.
 * @param array The array to shuffle.
 */

function shuffleArray(array) {
  // tslint:disable-next-line:no-increment-decrement
  for (let i = array.length - 1; i > 0; i--) {
    const j = Math.floor(Math.random() * (i + 1));
    [array[i], array[j]] = [array[j], array[i]];
  }
}

exports.shuffleArray = shuffleArray;

/***/ }),

/***/ "./node_modules/.f/_/socks/2.6.2/socks/build/index.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";


var __createBinding = this && this.__createBinding || (Object.create ? function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  Object.defineProperty(o, k2, {
    enumerable: true,
    get: function () {
      return m[k];
    }
  });
} : function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  o[k2] = m[k];
});

var __exportStar = this && this.__exportStar || function (m, exports) {
  for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));

__exportStar(__webpack_require__("./node_modules/.f/_/socks/2.6.2/socks/build/client/socksclient.js"), exports);

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/array-set.js":
/***/ ((__unused_webpack_module, exports) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */

/**
 * A data structure which is a combination of an array and a set. Adding a new
 * member is O(1), testing for membership is O(1), and finding the index of an
 * element is O(1). Removing elements from the set is not supported. Only
 * strings are supported for membership.
 */
class ArraySet {
  constructor() {
    this._array = [];
    this._set = new Map();
  }
  /**
   * Static method for creating ArraySet instances from an existing array.
   */


  static fromArray(aArray, aAllowDuplicates) {
    const set = new ArraySet();

    for (let i = 0, len = aArray.length; i < len; i++) {
      set.add(aArray[i], aAllowDuplicates);
    }

    return set;
  }
  /**
   * Return how many unique items are in this ArraySet. If duplicates have been
   * added, than those do not count towards the size.
   *
   * @returns Number
   */


  size() {
    return this._set.size;
  }
  /**
   * Add the given string to this set.
   *
   * @param String aStr
   */


  add(aStr, aAllowDuplicates) {
    const isDuplicate = this.has(aStr);
    const idx = this._array.length;

    if (!isDuplicate || aAllowDuplicates) {
      this._array.push(aStr);
    }

    if (!isDuplicate) {
      this._set.set(aStr, idx);
    }
  }
  /**
   * Is the given string a member of this set?
   *
   * @param String aStr
   */


  has(aStr) {
    return this._set.has(aStr);
  }
  /**
   * What is the index of the given string in the array?
   *
   * @param String aStr
   */


  indexOf(aStr) {
    const idx = this._set.get(aStr);

    if (idx >= 0) {
      return idx;
    }

    throw new Error('"' + aStr + '" is not in the set.');
  }
  /**
   * What is the element at the given index?
   *
   * @param Number aIdx
   */


  at(aIdx) {
    if (aIdx >= 0 && aIdx < this._array.length) {
      return this._array[aIdx];
    }

    throw new Error("No element indexed by " + aIdx);
  }
  /**
   * Returns the array representation of this set (which has the proper indices
   * indicated by indexOf). Note that this is a copy of the internal array used
   * for storing the members so that no one can mess with internal state.
   */


  toArray() {
    return this._array.slice();
  }

}

exports.ArraySet = ArraySet;

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/base64-vlq.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 *
 * Based on the Base 64 VLQ implementation in Closure Compiler:
 * https://code.google.com/p/closure-compiler/source/browse/trunk/src/com/google/debugging/sourcemap/Base64VLQ.java
 *
 * Copyright 2011 The Closure Compiler Authors. All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Google Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
const base64 = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/base64.js"); // A single base 64 digit can contain 6 bits of data. For the base 64 variable
// length quantities we use in the source map spec, the first bit is the sign,
// the next four bits are the actual value, and the 6th bit is the
// continuation bit. The continuation bit tells us whether there are more
// digits in this value following this digit.
//
//   Continuation
//   |    Sign
//   |    |
//   V    V
//   101011


const VLQ_BASE_SHIFT = 5; // binary: 100000

const VLQ_BASE = 1 << VLQ_BASE_SHIFT; // binary: 011111

const VLQ_BASE_MASK = VLQ_BASE - 1; // binary: 100000

const VLQ_CONTINUATION_BIT = VLQ_BASE;
/**
 * Converts from a two-complement value to a value where the sign bit is
 * placed in the least significant bit.  For example, as decimals:
 *   1 becomes 2 (10 binary), -1 becomes 3 (11 binary)
 *   2 becomes 4 (100 binary), -2 becomes 5 (101 binary)
 */

function toVLQSigned(aValue) {
  return aValue < 0 ? (-aValue << 1) + 1 : (aValue << 1) + 0;
}
/**
 * Converts to a two-complement value from a value where the sign bit is
 * placed in the least significant bit.  For example, as decimals:
 *   2 (10 binary) becomes 1, 3 (11 binary) becomes -1
 *   4 (100 binary) becomes 2, 5 (101 binary) becomes -2
 */
// eslint-disable-next-line no-unused-vars


function fromVLQSigned(aValue) {
  const isNegative = (aValue & 1) === 1;
  const shifted = aValue >> 1;
  return isNegative ? -shifted : shifted;
}
/**
 * Returns the base 64 VLQ encoded value.
 */


exports.encode = function base64VLQ_encode(aValue) {
  let encoded = "";
  let digit;
  let vlq = toVLQSigned(aValue);

  do {
    digit = vlq & VLQ_BASE_MASK;
    vlq >>>= VLQ_BASE_SHIFT;

    if (vlq > 0) {
      // There are still more digits in this value, so we must make sure the
      // continuation bit is marked.
      digit |= VLQ_CONTINUATION_BIT;
    }

    encoded += base64.encode(digit);
  } while (vlq > 0);

  return encoded;
};

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/base64.js":
/***/ ((__unused_webpack_module, exports) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
const intToCharMap = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".split("");
/**
 * Encode an integer in the range of 0 to 63 to a single base 64 digit.
 */

exports.encode = function (number) {
  if (0 <= number && number < intToCharMap.length) {
    return intToCharMap[number];
  }

  throw new TypeError("Must be between 0 and 63: " + number);
};

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/binary-search.js":
/***/ ((__unused_webpack_module, exports) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
exports.GREATEST_LOWER_BOUND = 1;
exports.LEAST_UPPER_BOUND = 2;
/**
 * Recursive implementation of binary search.
 *
 * @param aLow Indices here and lower do not contain the needle.
 * @param aHigh Indices here and higher do not contain the needle.
 * @param aNeedle The element being searched for.
 * @param aHaystack The non-empty array being searched.
 * @param aCompare Function which takes two elements and returns -1, 0, or 1.
 * @param aBias Either 'binarySearch.GREATEST_LOWER_BOUND' or
 *     'binarySearch.LEAST_UPPER_BOUND'. Specifies whether to return the
 *     closest element that is smaller than or greater than the one we are
 *     searching for, respectively, if the exact element cannot be found.
 */

function recursiveSearch(aLow, aHigh, aNeedle, aHaystack, aCompare, aBias) {
  // This function terminates when one of the following is true:
  //
  //   1. We find the exact element we are looking for.
  //
  //   2. We did not find the exact element, but we can return the index of
  //      the next-closest element.
  //
  //   3. We did not find the exact element, and there is no next-closest
  //      element than the one we are searching for, so we return -1.
  const mid = Math.floor((aHigh - aLow) / 2) + aLow;
  const cmp = aCompare(aNeedle, aHaystack[mid], true);

  if (cmp === 0) {
    // Found the element we are looking for.
    return mid;
  } else if (cmp > 0) {
    // Our needle is greater than aHaystack[mid].
    if (aHigh - mid > 1) {
      // The element is in the upper half.
      return recursiveSearch(mid, aHigh, aNeedle, aHaystack, aCompare, aBias);
    } // The exact needle element was not found in this haystack. Determine if
    // we are in termination case (3) or (2) and return the appropriate thing.


    if (aBias == exports.LEAST_UPPER_BOUND) {
      return aHigh < aHaystack.length ? aHigh : -1;
    }

    return mid;
  } // Our needle is less than aHaystack[mid].


  if (mid - aLow > 1) {
    // The element is in the lower half.
    return recursiveSearch(aLow, mid, aNeedle, aHaystack, aCompare, aBias);
  } // we are in termination case (3) or (2) and return the appropriate thing.


  if (aBias == exports.LEAST_UPPER_BOUND) {
    return mid;
  }

  return aLow < 0 ? -1 : aLow;
}
/**
 * This is an implementation of binary search which will always try and return
 * the index of the closest element if there is no exact hit. This is because
 * mappings between original and generated line/col pairs are single points,
 * and there is an implicit region between each of them, so a miss just means
 * that you aren't on the very start of a region.
 *
 * @param aNeedle The element you are looking for.
 * @param aHaystack The array that is being searched.
 * @param aCompare A function which takes the needle and an element in the
 *     array and returns -1, 0, or 1 depending on whether the needle is less
 *     than, equal to, or greater than the element, respectively.
 * @param aBias Either 'binarySearch.GREATEST_LOWER_BOUND' or
 *     'binarySearch.LEAST_UPPER_BOUND'. Specifies whether to return the
 *     closest element that is smaller than or greater than the one we are
 *     searching for, respectively, if the exact element cannot be found.
 *     Defaults to 'binarySearch.GREATEST_LOWER_BOUND'.
 */


exports.search = function search(aNeedle, aHaystack, aCompare, aBias) {
  if (aHaystack.length === 0) {
    return -1;
  }

  let index = recursiveSearch(-1, aHaystack.length, aNeedle, aHaystack, aCompare, aBias || exports.GREATEST_LOWER_BOUND);

  if (index < 0) {
    return -1;
  } // We have found either the exact element, or the next-closest element than
  // the one we are searching for. However, there may be more than one such
  // element. Make sure we always return the smallest of these.


  while (index - 1 >= 0) {
    if (aCompare(aHaystack[index], aHaystack[index - 1], true) !== 0) {
      break;
    }

    --index;
  }

  return index;
};

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/mapping-list.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2014 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
const util = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/util.js");
/**
 * Determine whether mappingB is after mappingA with respect to generated
 * position.
 */


function generatedPositionAfter(mappingA, mappingB) {
  // Optimized for most common case
  const lineA = mappingA.generatedLine;
  const lineB = mappingB.generatedLine;
  const columnA = mappingA.generatedColumn;
  const columnB = mappingB.generatedColumn;
  return lineB > lineA || lineB == lineA && columnB >= columnA || util.compareByGeneratedPositionsInflated(mappingA, mappingB) <= 0;
}
/**
 * A data structure to provide a sorted view of accumulated mappings in a
 * performance conscious manner. It trades a negligible overhead in general
 * case for a large speedup in case of mappings being added in order.
 */


class MappingList {
  constructor() {
    this._array = [];
    this._sorted = true; // Serves as infimum

    this._last = {
      generatedLine: -1,
      generatedColumn: 0
    };
  }
  /**
   * Iterate through internal items. This method takes the same arguments that
   * `Array.prototype.forEach` takes.
   *
   * NOTE: The order of the mappings is NOT guaranteed.
   */


  unsortedForEach(aCallback, aThisArg) {
    this._array.forEach(aCallback, aThisArg);
  }
  /**
   * Add the given source mapping.
   *
   * @param Object aMapping
   */


  add(aMapping) {
    if (generatedPositionAfter(this._last, aMapping)) {
      this._last = aMapping;

      this._array.push(aMapping);
    } else {
      this._sorted = false;

      this._array.push(aMapping);
    }
  }
  /**
   * Returns the flat, sorted array of mappings. The mappings are sorted by
   * generated position.
   *
   * WARNING: This method returns internal data without copying, for
   * performance. The return value must NOT be mutated, and should be treated as
   * an immutable borrow. If you want to take ownership, you must make your own
   * copy.
   */


  toArray() {
    if (!this._sorted) {
      this._array.sort(util.compareByGeneratedPositionsInflated);

      this._sorted = true;
    }

    return this._array;
  }

}

exports.MappingList = MappingList;

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/read-wasm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

if (typeof fetch === "function") {
  // Web version of reading a wasm file into an array buffer.
  let mappingsWasmUrl = null;

  module.exports = function readWasm() {
    if (typeof mappingsWasmUrl !== "string") {
      throw new Error("You must provide the URL of lib/mappings.wasm by calling " + "SourceMapConsumer.initialize({ 'lib/mappings.wasm': ... }) " + "before using SourceMapConsumer");
    }

    return fetch(mappingsWasmUrl).then(response => response.arrayBuffer());
  };

  module.exports.initialize = url => mappingsWasmUrl = url;
} else {
  // Node version of reading a wasm file into an array buffer.
  const fs = __webpack_require__("fs");

  const path = __webpack_require__("path");

  module.exports = function readWasm() {
    return new Promise((resolve, reject) => {
      const wasmPath = path.join(__dirname, "mappings.wasm");
      fs.readFile(wasmPath, null, (error, data) => {
        if (error) {
          reject(error);
          return;
        }

        resolve(data.buffer);
      });
    });
  };

  module.exports.initialize = _ => {
    console.debug("SourceMapConsumer.initialize is a no-op when running in node.js");
  };
}

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-map-consumer.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var __webpack_unused_export__;
/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
const util = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/util.js");

const binarySearch = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/binary-search.js");

const ArraySet = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/array-set.js").ArraySet;

const base64VLQ = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/base64-vlq.js"); // eslint-disable-line no-unused-vars


const readWasm = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/read-wasm.js");

const wasm = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/wasm.js");

const INTERNAL = Symbol("smcInternal");

class SourceMapConsumer {
  constructor(aSourceMap, aSourceMapURL) {
    // If the constructor was called by super(), just return Promise<this>.
    // Yes, this is a hack to retain the pre-existing API of the base-class
    // constructor also being an async factory function.
    if (aSourceMap == INTERNAL) {
      return Promise.resolve(this);
    }

    return _factory(aSourceMap, aSourceMapURL);
  }

  static initialize(opts) {
    readWasm.initialize(opts["lib/mappings.wasm"]);
  }

  static fromSourceMap(aSourceMap, aSourceMapURL) {
    return _factoryBSM(aSourceMap, aSourceMapURL);
  }
  /**
   * Construct a new `SourceMapConsumer` from `rawSourceMap` and `sourceMapUrl`
   * (see the `SourceMapConsumer` constructor for details. Then, invoke the `async
   * function f(SourceMapConsumer) -> T` with the newly constructed consumer, wait
   * for `f` to complete, call `destroy` on the consumer, and return `f`'s return
   * value.
   *
   * You must not use the consumer after `f` completes!
   *
   * By using `with`, you do not have to remember to manually call `destroy` on
   * the consumer, since it will be called automatically once `f` completes.
   *
   * ```js
   * const xSquared = await SourceMapConsumer.with(
   *   myRawSourceMap,
   *   null,
   *   async function (consumer) {
   *     // Use `consumer` inside here and don't worry about remembering
   *     // to call `destroy`.
   *
   *     const x = await whatever(consumer);
   *     return x * x;
   *   }
   * );
   *
   * // You may not use that `consumer` anymore out here; it has
   * // been destroyed. But you can use `xSquared`.
   * console.log(xSquared);
   * ```
   */


  static with(rawSourceMap, sourceMapUrl, f) {
    // Note: The `acorn` version that `webpack` currently depends on doesn't
    // support `async` functions, and the nodes that we support don't all have
    // `.finally`. Therefore, this is written a bit more convolutedly than it
    // should really be.
    let consumer = null;
    const promise = new SourceMapConsumer(rawSourceMap, sourceMapUrl);
    return promise.then(c => {
      consumer = c;
      return f(c);
    }).then(x => {
      if (consumer) {
        consumer.destroy();
      }

      return x;
    }, e => {
      if (consumer) {
        consumer.destroy();
      }

      throw e;
    });
  }
  /**
   * Parse the mappings in a string in to a data structure which we can easily
   * query (the ordered arrays in the `this.__generatedMappings` and
   * `this.__originalMappings` properties).
   */


  _parseMappings(aStr, aSourceRoot) {
    throw new Error("Subclasses must implement _parseMappings");
  }
  /**
   * Iterate over each mapping between an original source/line/column and a
   * generated line/column in this source map.
   *
   * @param Function aCallback
   *        The function that is called with each mapping.
   * @param Object aContext
   *        Optional. If specified, this object will be the value of `this` every
   *        time that `aCallback` is called.
   * @param aOrder
   *        Either `SourceMapConsumer.GENERATED_ORDER` or
   *        `SourceMapConsumer.ORIGINAL_ORDER`. Specifies whether you want to
   *        iterate over the mappings sorted by the generated file's line/column
   *        order or the original's source/line/column order, respectively. Defaults to
   *        `SourceMapConsumer.GENERATED_ORDER`.
   */


  eachMapping(aCallback, aContext, aOrder) {
    throw new Error("Subclasses must implement eachMapping");
  }
  /**
   * Returns all generated line and column information for the original source,
   * line, and column provided. If no column is provided, returns all mappings
   * corresponding to a either the line we are searching for or the next
   * closest line that has any mappings. Otherwise, returns all mappings
   * corresponding to the given line and either the column we are searching for
   * or the next closest column that has any offsets.
   *
   * The only argument is an object with the following properties:
   *
   *   - source: The filename of the original source.
   *   - line: The line number in the original source.  The line number is 1-based.
   *   - column: Optional. the column number in the original source.
   *    The column number is 0-based.
   *
   * and an array of objects is returned, each with the following properties:
   *
   *   - line: The line number in the generated source, or null.  The
   *    line number is 1-based.
   *   - column: The column number in the generated source, or null.
   *    The column number is 0-based.
   */


  allGeneratedPositionsFor(aArgs) {
    throw new Error("Subclasses must implement allGeneratedPositionsFor");
  }

  destroy() {
    throw new Error("Subclasses must implement destroy");
  }

}
/**
 * The version of the source mapping spec that we are consuming.
 */


SourceMapConsumer.prototype._version = 3;
SourceMapConsumer.GENERATED_ORDER = 1;
SourceMapConsumer.ORIGINAL_ORDER = 2;
SourceMapConsumer.GREATEST_LOWER_BOUND = 1;
SourceMapConsumer.LEAST_UPPER_BOUND = 2;
exports.SourceMapConsumer = SourceMapConsumer;
/**
 * A BasicSourceMapConsumer instance represents a parsed source map which we can
 * query for information about the original file positions by giving it a file
 * position in the generated source.
 *
 * The first parameter is the raw source map (either as a JSON string, or
 * already parsed to an object). According to the spec, source maps have the
 * following attributes:
 *
 *   - version: Which version of the source map spec this map is following.
 *   - sources: An array of URLs to the original source files.
 *   - names: An array of identifiers which can be referenced by individual mappings.
 *   - sourceRoot: Optional. The URL root from which all sources are relative.
 *   - sourcesContent: Optional. An array of contents of the original source files.
 *   - mappings: A string of base64 VLQs which contain the actual mappings.
 *   - file: Optional. The generated file this source map is associated with.
 *
 * Here is an example source map, taken from the source map spec[0]:
 *
 *     {
 *       version : 3,
 *       file: "out.js",
 *       sourceRoot : "",
 *       sources: ["foo.js", "bar.js"],
 *       names: ["src", "maps", "are", "fun"],
 *       mappings: "AA,AB;;ABCDE;"
 *     }
 *
 * The second parameter, if given, is a string whose value is the URL
 * at which the source map was found.  This URL is used to compute the
 * sources array.
 *
 * [0]: https://docs.google.com/document/d/1U1RGAehQwRypUTovF1KRlpiOFze0b-_2gc6fAH0KY0k/edit?pli=1#
 */

class BasicSourceMapConsumer extends SourceMapConsumer {
  constructor(aSourceMap, aSourceMapURL) {
    return super(INTERNAL).then(that => {
      let sourceMap = aSourceMap;

      if (typeof aSourceMap === "string") {
        sourceMap = util.parseSourceMapInput(aSourceMap);
      }

      const version = util.getArg(sourceMap, "version");
      let sources = util.getArg(sourceMap, "sources"); // Sass 3.3 leaves out the 'names' array, so we deviate from the spec (which
      // requires the array) to play nice here.

      const names = util.getArg(sourceMap, "names", []);
      let sourceRoot = util.getArg(sourceMap, "sourceRoot", null);
      const sourcesContent = util.getArg(sourceMap, "sourcesContent", null);
      const mappings = util.getArg(sourceMap, "mappings");
      const file = util.getArg(sourceMap, "file", null); // Once again, Sass deviates from the spec and supplies the version as a
      // string rather than a number, so we use loose equality checking here.

      if (version != that._version) {
        throw new Error("Unsupported version: " + version);
      }

      if (sourceRoot) {
        sourceRoot = util.normalize(sourceRoot);
      }

      sources = sources.map(String) // Some source maps produce relative source paths like "./foo.js" instead of
      // "foo.js".  Normalize these first so that future comparisons will succeed.
      // See bugzil.la/1090768.
      .map(util.normalize) // Always ensure that absolute sources are internally stored relative to
      // the source root, if the source root is absolute. Not doing this would
      // be particularly problematic when the source root is a prefix of the
      // source (valid, but why??). See github issue #199 and bugzil.la/1188982.
      .map(function (source) {
        return sourceRoot && util.isAbsolute(sourceRoot) && util.isAbsolute(source) ? util.relative(sourceRoot, source) : source;
      }); // Pass `true` below to allow duplicate names and sources. While source maps
      // are intended to be compressed and deduplicated, the TypeScript compiler
      // sometimes generates source maps with duplicates in them. See Github issue
      // #72 and bugzil.la/889492.

      that._names = ArraySet.fromArray(names.map(String), true);
      that._sources = ArraySet.fromArray(sources, true);
      that._absoluteSources = that._sources.toArray().map(function (s) {
        return util.computeSourceURL(sourceRoot, s, aSourceMapURL);
      });
      that.sourceRoot = sourceRoot;
      that.sourcesContent = sourcesContent;
      that._mappings = mappings;
      that._sourceMapURL = aSourceMapURL;
      that.file = file;
      that._computedColumnSpans = false;
      that._mappingsPtr = 0;
      that._wasm = null;
      return wasm().then(w => {
        that._wasm = w;
        return that;
      });
    });
  }
  /**
   * Utility function to find the index of a source.  Returns -1 if not
   * found.
   */


  _findSourceIndex(aSource) {
    let relativeSource = aSource;

    if (this.sourceRoot != null) {
      relativeSource = util.relative(this.sourceRoot, relativeSource);
    }

    if (this._sources.has(relativeSource)) {
      return this._sources.indexOf(relativeSource);
    } // Maybe aSource is an absolute URL as returned by |sources|.  In
    // this case we can't simply undo the transform.


    for (let i = 0; i < this._absoluteSources.length; ++i) {
      if (this._absoluteSources[i] == aSource) {
        return i;
      }
    }

    return -1;
  }
  /**
   * Create a BasicSourceMapConsumer from a SourceMapGenerator.
   *
   * @param SourceMapGenerator aSourceMap
   *        The source map that will be consumed.
   * @param String aSourceMapURL
   *        The URL at which the source map can be found (optional)
   * @returns BasicSourceMapConsumer
   */


  static fromSourceMap(aSourceMap, aSourceMapURL) {
    return new BasicSourceMapConsumer(aSourceMap.toString());
  }

  get sources() {
    return this._absoluteSources.slice();
  }

  _getMappingsPtr() {
    if (this._mappingsPtr === 0) {
      this._parseMappings(this._mappings, this.sourceRoot);
    }

    return this._mappingsPtr;
  }
  /**
   * Parse the mappings in a string in to a data structure which we can easily
   * query (the ordered arrays in the `this.__generatedMappings` and
   * `this.__originalMappings` properties).
   */


  _parseMappings(aStr, aSourceRoot) {
    const size = aStr.length;

    const mappingsBufPtr = this._wasm.exports.allocate_mappings(size);

    const mappingsBuf = new Uint8Array(this._wasm.exports.memory.buffer, mappingsBufPtr, size);

    for (let i = 0; i < size; i++) {
      mappingsBuf[i] = aStr.charCodeAt(i);
    }

    const mappingsPtr = this._wasm.exports.parse_mappings(mappingsBufPtr);

    if (!mappingsPtr) {
      const error = this._wasm.exports.get_last_error();

      let msg = `Error parsing mappings (code ${error}): `; // XXX: keep these error codes in sync with `fitzgen/source-map-mappings`.

      switch (error) {
        case 1:
          msg += "the mappings contained a negative line, column, source index, or name index";
          break;

        case 2:
          msg += "the mappings contained a number larger than 2**32";
          break;

        case 3:
          msg += "reached EOF while in the middle of parsing a VLQ";
          break;

        case 4:
          msg += "invalid base 64 character while parsing a VLQ";
          break;

        default:
          msg += "unknown error code";
          break;
      }

      throw new Error(msg);
    }

    this._mappingsPtr = mappingsPtr;
  }

  eachMapping(aCallback, aContext, aOrder) {
    const context = aContext || null;
    const order = aOrder || SourceMapConsumer.GENERATED_ORDER;
    const sourceRoot = this.sourceRoot;

    this._wasm.withMappingCallback(mapping => {
      if (mapping.source !== null) {
        mapping.source = this._sources.at(mapping.source);
        mapping.source = util.computeSourceURL(sourceRoot, mapping.source, this._sourceMapURL);

        if (mapping.name !== null) {
          mapping.name = this._names.at(mapping.name);
        }
      }

      aCallback.call(context, mapping);
    }, () => {
      switch (order) {
        case SourceMapConsumer.GENERATED_ORDER:
          this._wasm.exports.by_generated_location(this._getMappingsPtr());

          break;

        case SourceMapConsumer.ORIGINAL_ORDER:
          this._wasm.exports.by_original_location(this._getMappingsPtr());

          break;

        default:
          throw new Error("Unknown order of iteration.");
      }
    });
  }

  allGeneratedPositionsFor(aArgs) {
    let source = util.getArg(aArgs, "source");
    const originalLine = util.getArg(aArgs, "line");
    const originalColumn = aArgs.column || 0;
    source = this._findSourceIndex(source);

    if (source < 0) {
      return [];
    }

    if (originalLine < 1) {
      throw new Error("Line numbers must be >= 1");
    }

    if (originalColumn < 0) {
      throw new Error("Column numbers must be >= 0");
    }

    const mappings = [];

    this._wasm.withMappingCallback(m => {
      let lastColumn = m.lastGeneratedColumn;

      if (this._computedColumnSpans && lastColumn === null) {
        lastColumn = Infinity;
      }

      mappings.push({
        line: m.generatedLine,
        column: m.generatedColumn,
        lastColumn
      });
    }, () => {
      this._wasm.exports.all_generated_locations_for(this._getMappingsPtr(), source, originalLine - 1, "column" in aArgs, originalColumn);
    });

    return mappings;
  }

  destroy() {
    if (this._mappingsPtr !== 0) {
      this._wasm.exports.free_mappings(this._mappingsPtr);

      this._mappingsPtr = 0;
    }
  }
  /**
   * Compute the last column for each generated mapping. The last column is
   * inclusive.
   */


  computeColumnSpans() {
    if (this._computedColumnSpans) {
      return;
    }

    this._wasm.exports.compute_column_spans(this._getMappingsPtr());

    this._computedColumnSpans = true;
  }
  /**
   * Returns the original source, line, and column information for the generated
   * source's line and column positions provided. The only argument is an object
   * with the following properties:
   *
   *   - line: The line number in the generated source.  The line number
   *     is 1-based.
   *   - column: The column number in the generated source.  The column
   *     number is 0-based.
   *   - bias: Either 'SourceMapConsumer.GREATEST_LOWER_BOUND' or
   *     'SourceMapConsumer.LEAST_UPPER_BOUND'. Specifies whether to return the
   *     closest element that is smaller than or greater than the one we are
   *     searching for, respectively, if the exact element cannot be found.
   *     Defaults to 'SourceMapConsumer.GREATEST_LOWER_BOUND'.
   *
   * and an object is returned with the following properties:
   *
   *   - source: The original source file, or null.
   *   - line: The line number in the original source, or null.  The
   *     line number is 1-based.
   *   - column: The column number in the original source, or null.  The
   *     column number is 0-based.
   *   - name: The original identifier, or null.
   */


  originalPositionFor(aArgs) {
    const needle = {
      generatedLine: util.getArg(aArgs, "line"),
      generatedColumn: util.getArg(aArgs, "column")
    };

    if (needle.generatedLine < 1) {
      throw new Error("Line numbers must be >= 1");
    }

    if (needle.generatedColumn < 0) {
      throw new Error("Column numbers must be >= 0");
    }

    let bias = util.getArg(aArgs, "bias", SourceMapConsumer.GREATEST_LOWER_BOUND);

    if (bias == null) {
      bias = SourceMapConsumer.GREATEST_LOWER_BOUND;
    }

    let mapping;

    this._wasm.withMappingCallback(m => mapping = m, () => {
      this._wasm.exports.original_location_for(this._getMappingsPtr(), needle.generatedLine - 1, needle.generatedColumn, bias);
    });

    if (mapping) {
      if (mapping.generatedLine === needle.generatedLine) {
        let source = util.getArg(mapping, "source", null);

        if (source !== null) {
          source = this._sources.at(source);
          source = util.computeSourceURL(this.sourceRoot, source, this._sourceMapURL);
        }

        let name = util.getArg(mapping, "name", null);

        if (name !== null) {
          name = this._names.at(name);
        }

        return {
          source,
          line: util.getArg(mapping, "originalLine", null),
          column: util.getArg(mapping, "originalColumn", null),
          name
        };
      }
    }

    return {
      source: null,
      line: null,
      column: null,
      name: null
    };
  }
  /**
   * Return true if we have the source content for every source in the source
   * map, false otherwise.
   */


  hasContentsOfAllSources() {
    if (!this.sourcesContent) {
      return false;
    }

    return this.sourcesContent.length >= this._sources.size() && !this.sourcesContent.some(function (sc) {
      return sc == null;
    });
  }
  /**
   * Returns the original source content. The only argument is the url of the
   * original source file. Returns null if no original source content is
   * available.
   */


  sourceContentFor(aSource, nullOnMissing) {
    if (!this.sourcesContent) {
      return null;
    }

    const index = this._findSourceIndex(aSource);

    if (index >= 0) {
      return this.sourcesContent[index];
    }

    let relativeSource = aSource;

    if (this.sourceRoot != null) {
      relativeSource = util.relative(this.sourceRoot, relativeSource);
    }

    let url;

    if (this.sourceRoot != null && (url = util.urlParse(this.sourceRoot))) {
      // XXX: file:// URIs and absolute paths lead to unexpected behavior for
      // many users. We can help them out when they expect file:// URIs to
      // behave like it would if they were running a local HTTP server. See
      // https://bugzilla.mozilla.org/show_bug.cgi?id=885597.
      const fileUriAbsPath = relativeSource.replace(/^file:\/\//, "");

      if (url.scheme == "file" && this._sources.has(fileUriAbsPath)) {
        return this.sourcesContent[this._sources.indexOf(fileUriAbsPath)];
      }

      if ((!url.path || url.path == "/") && this._sources.has("/" + relativeSource)) {
        return this.sourcesContent[this._sources.indexOf("/" + relativeSource)];
      }
    } // This function is used recursively from
    // IndexedSourceMapConsumer.prototype.sourceContentFor. In that case, we
    // don't want to throw if we can't find the source - we just want to
    // return null, so we provide a flag to exit gracefully.


    if (nullOnMissing) {
      return null;
    }

    throw new Error('"' + relativeSource + '" is not in the SourceMap.');
  }
  /**
   * Returns the generated line and column information for the original source,
   * line, and column positions provided. The only argument is an object with
   * the following properties:
   *
   *   - source: The filename of the original source.
   *   - line: The line number in the original source.  The line number
   *     is 1-based.
   *   - column: The column number in the original source.  The column
   *     number is 0-based.
   *   - bias: Either 'SourceMapConsumer.GREATEST_LOWER_BOUND' or
   *     'SourceMapConsumer.LEAST_UPPER_BOUND'. Specifies whether to return the
   *     closest element that is smaller than or greater than the one we are
   *     searching for, respectively, if the exact element cannot be found.
   *     Defaults to 'SourceMapConsumer.GREATEST_LOWER_BOUND'.
   *
   * and an object is returned with the following properties:
   *
   *   - line: The line number in the generated source, or null.  The
   *     line number is 1-based.
   *   - column: The column number in the generated source, or null.
   *     The column number is 0-based.
   */


  generatedPositionFor(aArgs) {
    let source = util.getArg(aArgs, "source");
    source = this._findSourceIndex(source);

    if (source < 0) {
      return {
        line: null,
        column: null,
        lastColumn: null
      };
    }

    const needle = {
      source,
      originalLine: util.getArg(aArgs, "line"),
      originalColumn: util.getArg(aArgs, "column")
    };

    if (needle.originalLine < 1) {
      throw new Error("Line numbers must be >= 1");
    }

    if (needle.originalColumn < 0) {
      throw new Error("Column numbers must be >= 0");
    }

    let bias = util.getArg(aArgs, "bias", SourceMapConsumer.GREATEST_LOWER_BOUND);

    if (bias == null) {
      bias = SourceMapConsumer.GREATEST_LOWER_BOUND;
    }

    let mapping;

    this._wasm.withMappingCallback(m => mapping = m, () => {
      this._wasm.exports.generated_location_for(this._getMappingsPtr(), needle.source, needle.originalLine - 1, needle.originalColumn, bias);
    });

    if (mapping) {
      if (mapping.source === needle.source) {
        let lastColumn = mapping.lastGeneratedColumn;

        if (this._computedColumnSpans && lastColumn === null) {
          lastColumn = Infinity;
        }

        return {
          line: util.getArg(mapping, "generatedLine", null),
          column: util.getArg(mapping, "generatedColumn", null),
          lastColumn
        };
      }
    }

    return {
      line: null,
      column: null,
      lastColumn: null
    };
  }

}

BasicSourceMapConsumer.prototype.consumer = SourceMapConsumer;
__webpack_unused_export__ = BasicSourceMapConsumer;
/**
 * An IndexedSourceMapConsumer instance represents a parsed source map which
 * we can query for information. It differs from BasicSourceMapConsumer in
 * that it takes "indexed" source maps (i.e. ones with a "sections" field) as
 * input.
 *
 * The first parameter is a raw source map (either as a JSON string, or already
 * parsed to an object). According to the spec for indexed source maps, they
 * have the following attributes:
 *
 *   - version: Which version of the source map spec this map is following.
 *   - file: Optional. The generated file this source map is associated with.
 *   - sections: A list of section definitions.
 *
 * Each value under the "sections" field has two fields:
 *   - offset: The offset into the original specified at which this section
 *       begins to apply, defined as an object with a "line" and "column"
 *       field.
 *   - map: A source map definition. This source map could also be indexed,
 *       but doesn't have to be.
 *
 * Instead of the "map" field, it's also possible to have a "url" field
 * specifying a URL to retrieve a source map from, but that's currently
 * unsupported.
 *
 * Here's an example source map, taken from the source map spec[0], but
 * modified to omit a section which uses the "url" field.
 *
 *  {
 *    version : 3,
 *    file: "app.js",
 *    sections: [{
 *      offset: {line:100, column:10},
 *      map: {
 *        version : 3,
 *        file: "section.js",
 *        sources: ["foo.js", "bar.js"],
 *        names: ["src", "maps", "are", "fun"],
 *        mappings: "AAAA,E;;ABCDE;"
 *      }
 *    }],
 *  }
 *
 * The second parameter, if given, is a string whose value is the URL
 * at which the source map was found.  This URL is used to compute the
 * sources array.
 *
 * [0]: https://docs.google.com/document/d/1U1RGAehQwRypUTovF1KRlpiOFze0b-_2gc6fAH0KY0k/edit#heading=h.535es3xeprgt
 */

class IndexedSourceMapConsumer extends SourceMapConsumer {
  constructor(aSourceMap, aSourceMapURL) {
    return super(INTERNAL).then(that => {
      let sourceMap = aSourceMap;

      if (typeof aSourceMap === "string") {
        sourceMap = util.parseSourceMapInput(aSourceMap);
      }

      const version = util.getArg(sourceMap, "version");
      const sections = util.getArg(sourceMap, "sections");

      if (version != that._version) {
        throw new Error("Unsupported version: " + version);
      }

      that._sources = new ArraySet();
      that._names = new ArraySet();
      that.__generatedMappings = null;
      that.__originalMappings = null;
      that.__generatedMappingsUnsorted = null;
      that.__originalMappingsUnsorted = null;
      let lastOffset = {
        line: -1,
        column: 0
      };
      return Promise.all(sections.map(s => {
        if (s.url) {
          // The url field will require support for asynchronicity.
          // See https://github.com/mozilla/source-map/issues/16
          throw new Error("Support for url field in sections not implemented.");
        }

        const offset = util.getArg(s, "offset");
        const offsetLine = util.getArg(offset, "line");
        const offsetColumn = util.getArg(offset, "column");

        if (offsetLine < lastOffset.line || offsetLine === lastOffset.line && offsetColumn < lastOffset.column) {
          throw new Error("Section offsets must be ordered and non-overlapping.");
        }

        lastOffset = offset;
        const cons = new SourceMapConsumer(util.getArg(s, "map"), aSourceMapURL);
        return cons.then(consumer => {
          return {
            generatedOffset: {
              // The offset fields are 0-based, but we use 1-based indices when
              // encoding/decoding from VLQ.
              generatedLine: offsetLine + 1,
              generatedColumn: offsetColumn + 1
            },
            consumer
          };
        });
      })).then(s => {
        that._sections = s;
        return that;
      });
    });
  } // `__generatedMappings` and `__originalMappings` are arrays that hold the
  // parsed mapping coordinates from the source map's "mappings" attribute. They
  // are lazily instantiated, accessed via the `_generatedMappings` and
  // `_originalMappings` getters respectively, and we only parse the mappings
  // and create these arrays once queried for a source location. We jump through
  // these hoops because there can be many thousands of mappings, and parsing
  // them is expensive, so we only want to do it if we must.
  //
  // Each object in the arrays is of the form:
  //
  //     {
  //       generatedLine: The line number in the generated code,
  //       generatedColumn: The column number in the generated code,
  //       source: The path to the original source file that generated this
  //               chunk of code,
  //       originalLine: The line number in the original source that
  //                     corresponds to this chunk of generated code,
  //       originalColumn: The column number in the original source that
  //                       corresponds to this chunk of generated code,
  //       name: The name of the original symbol which generated this chunk of
  //             code.
  //     }
  //
  // All properties except for `generatedLine` and `generatedColumn` can be
  // `null`.
  //
  // `_generatedMappings` is ordered by the generated positions.
  //
  // `_originalMappings` is ordered by the original positions.


  get _generatedMappings() {
    if (!this.__generatedMappings) {
      this._sortGeneratedMappings();
    }

    return this.__generatedMappings;
  }

  get _originalMappings() {
    if (!this.__originalMappings) {
      this._sortOriginalMappings();
    }

    return this.__originalMappings;
  }

  get _generatedMappingsUnsorted() {
    if (!this.__generatedMappingsUnsorted) {
      this._parseMappings(this._mappings, this.sourceRoot);
    }

    return this.__generatedMappingsUnsorted;
  }

  get _originalMappingsUnsorted() {
    if (!this.__originalMappingsUnsorted) {
      this._parseMappings(this._mappings, this.sourceRoot);
    }

    return this.__originalMappingsUnsorted;
  }

  _sortGeneratedMappings() {
    const mappings = this._generatedMappingsUnsorted;
    mappings.sort(util.compareByGeneratedPositionsDeflated);
    this.__generatedMappings = mappings;
  }

  _sortOriginalMappings() {
    const mappings = this._originalMappingsUnsorted;
    mappings.sort(util.compareByOriginalPositions);
    this.__originalMappings = mappings;
  }
  /**
   * The list of original sources.
   */


  get sources() {
    const sources = [];

    for (let i = 0; i < this._sections.length; i++) {
      for (let j = 0; j < this._sections[i].consumer.sources.length; j++) {
        sources.push(this._sections[i].consumer.sources[j]);
      }
    }

    return sources;
  }
  /**
   * Returns the original source, line, and column information for the generated
   * source's line and column positions provided. The only argument is an object
   * with the following properties:
   *
   *   - line: The line number in the generated source.  The line number
   *     is 1-based.
   *   - column: The column number in the generated source.  The column
   *     number is 0-based.
   *
   * and an object is returned with the following properties:
   *
   *   - source: The original source file, or null.
   *   - line: The line number in the original source, or null.  The
   *     line number is 1-based.
   *   - column: The column number in the original source, or null.  The
   *     column number is 0-based.
   *   - name: The original identifier, or null.
   */


  originalPositionFor(aArgs) {
    const needle = {
      generatedLine: util.getArg(aArgs, "line"),
      generatedColumn: util.getArg(aArgs, "column")
    }; // Find the section containing the generated position we're trying to map
    // to an original position.

    const sectionIndex = binarySearch.search(needle, this._sections, function (aNeedle, section) {
      const cmp = aNeedle.generatedLine - section.generatedOffset.generatedLine;

      if (cmp) {
        return cmp;
      }

      return aNeedle.generatedColumn - section.generatedOffset.generatedColumn;
    });
    const section = this._sections[sectionIndex];

    if (!section) {
      return {
        source: null,
        line: null,
        column: null,
        name: null
      };
    }

    return section.consumer.originalPositionFor({
      line: needle.generatedLine - (section.generatedOffset.generatedLine - 1),
      column: needle.generatedColumn - (section.generatedOffset.generatedLine === needle.generatedLine ? section.generatedOffset.generatedColumn - 1 : 0),
      bias: aArgs.bias
    });
  }
  /**
   * Return true if we have the source content for every source in the source
   * map, false otherwise.
   */


  hasContentsOfAllSources() {
    return this._sections.every(function (s) {
      return s.consumer.hasContentsOfAllSources();
    });
  }
  /**
   * Returns the original source content. The only argument is the url of the
   * original source file. Returns null if no original source content is
   * available.
   */


  sourceContentFor(aSource, nullOnMissing) {
    for (let i = 0; i < this._sections.length; i++) {
      const section = this._sections[i];
      const content = section.consumer.sourceContentFor(aSource, true);

      if (content) {
        return content;
      }
    }

    if (nullOnMissing) {
      return null;
    }

    throw new Error('"' + aSource + '" is not in the SourceMap.');
  }
  /**
   * Returns the generated line and column information for the original source,
   * line, and column positions provided. The only argument is an object with
   * the following properties:
   *
   *   - source: The filename of the original source.
   *   - line: The line number in the original source.  The line number
   *     is 1-based.
   *   - column: The column number in the original source.  The column
   *     number is 0-based.
   *
   * and an object is returned with the following properties:
   *
   *   - line: The line number in the generated source, or null.  The
   *     line number is 1-based.
   *   - column: The column number in the generated source, or null.
   *     The column number is 0-based.
   */


  generatedPositionFor(aArgs) {
    for (let i = 0; i < this._sections.length; i++) {
      const section = this._sections[i]; // Only consider this section if the requested source is in the list of
      // sources of the consumer.

      if (section.consumer._findSourceIndex(util.getArg(aArgs, "source")) === -1) {
        continue;
      }

      const generatedPosition = section.consumer.generatedPositionFor(aArgs);

      if (generatedPosition) {
        const ret = {
          line: generatedPosition.line + (section.generatedOffset.generatedLine - 1),
          column: generatedPosition.column + (section.generatedOffset.generatedLine === generatedPosition.line ? section.generatedOffset.generatedColumn - 1 : 0)
        };
        return ret;
      }
    }

    return {
      line: null,
      column: null
    };
  }
  /**
   * Parse the mappings in a string in to a data structure which we can easily
   * query (the ordered arrays in the `this.__generatedMappings` and
   * `this.__originalMappings` properties).
   */


  _parseMappings(aStr, aSourceRoot) {
    const generatedMappings = this.__generatedMappingsUnsorted = [];
    const originalMappings = this.__originalMappingsUnsorted = [];

    for (let i = 0; i < this._sections.length; i++) {
      const section = this._sections[i];
      const sectionMappings = [];
      section.consumer.eachMapping(m => sectionMappings.push(m));

      for (let j = 0; j < sectionMappings.length; j++) {
        const mapping = sectionMappings[j]; // TODO: test if null is correct here.  The original code used
        // `source`, which would actually have gotten used as null because
        // var's get hoisted.
        // See: https://github.com/mozilla/source-map/issues/333

        let source = util.computeSourceURL(section.consumer.sourceRoot, null, this._sourceMapURL);

        this._sources.add(source);

        source = this._sources.indexOf(source);
        let name = null;

        if (mapping.name) {
          this._names.add(mapping.name);

          name = this._names.indexOf(mapping.name);
        } // The mappings coming from the consumer for the section have
        // generated positions relative to the start of the section, so we
        // need to offset them to be relative to the start of the concatenated
        // generated file.


        const adjustedMapping = {
          source,
          generatedLine: mapping.generatedLine + (section.generatedOffset.generatedLine - 1),
          generatedColumn: mapping.generatedColumn + (section.generatedOffset.generatedLine === mapping.generatedLine ? section.generatedOffset.generatedColumn - 1 : 0),
          originalLine: mapping.originalLine,
          originalColumn: mapping.originalColumn,
          name
        };
        generatedMappings.push(adjustedMapping);

        if (typeof adjustedMapping.originalLine === "number") {
          originalMappings.push(adjustedMapping);
        }
      }
    }
  }

  eachMapping(aCallback, aContext, aOrder) {
    const context = aContext || null;
    const order = aOrder || SourceMapConsumer.GENERATED_ORDER;
    let mappings;

    switch (order) {
      case SourceMapConsumer.GENERATED_ORDER:
        mappings = this._generatedMappings;
        break;

      case SourceMapConsumer.ORIGINAL_ORDER:
        mappings = this._originalMappings;
        break;

      default:
        throw new Error("Unknown order of iteration.");
    }

    const sourceRoot = this.sourceRoot;
    mappings.map(function (mapping) {
      let source = null;

      if (mapping.source !== null) {
        source = this._sources.at(mapping.source);
        source = util.computeSourceURL(sourceRoot, source, this._sourceMapURL);
      }

      return {
        source,
        generatedLine: mapping.generatedLine,
        generatedColumn: mapping.generatedColumn,
        originalLine: mapping.originalLine,
        originalColumn: mapping.originalColumn,
        name: mapping.name === null ? null : this._names.at(mapping.name)
      };
    }, this).forEach(aCallback, context);
  }
  /**
   * Find the mapping that best matches the hypothetical "needle" mapping that
   * we are searching for in the given "haystack" of mappings.
   */


  _findMapping(aNeedle, aMappings, aLineName, aColumnName, aComparator, aBias) {
    // To return the position we are searching for, we must first find the
    // mapping for the given position and then return the opposite position it
    // points to. Because the mappings are sorted, we can use binary search to
    // find the best mapping.
    if (aNeedle[aLineName] <= 0) {
      throw new TypeError("Line must be greater than or equal to 1, got " + aNeedle[aLineName]);
    }

    if (aNeedle[aColumnName] < 0) {
      throw new TypeError("Column must be greater than or equal to 0, got " + aNeedle[aColumnName]);
    }

    return binarySearch.search(aNeedle, aMappings, aComparator, aBias);
  }

  allGeneratedPositionsFor(aArgs) {
    const line = util.getArg(aArgs, "line"); // When there is no exact match, BasicSourceMapConsumer.prototype._findMapping
    // returns the index of the closest mapping less than the needle. By
    // setting needle.originalColumn to 0, we thus find the last mapping for
    // the given line, provided such a mapping exists.

    const needle = {
      source: util.getArg(aArgs, "source"),
      originalLine: line,
      originalColumn: util.getArg(aArgs, "column", 0)
    };
    needle.source = this._findSourceIndex(needle.source);

    if (needle.source < 0) {
      return [];
    }

    if (needle.originalLine < 1) {
      throw new Error("Line numbers must be >= 1");
    }

    if (needle.originalColumn < 0) {
      throw new Error("Column numbers must be >= 0");
    }

    const mappings = [];

    let index = this._findMapping(needle, this._originalMappings, "originalLine", "originalColumn", util.compareByOriginalPositions, binarySearch.LEAST_UPPER_BOUND);

    if (index >= 0) {
      let mapping = this._originalMappings[index];

      if (aArgs.column === undefined) {
        const originalLine = mapping.originalLine; // Iterate until either we run out of mappings, or we run into
        // a mapping for a different line than the one we found. Since
        // mappings are sorted, this is guaranteed to find all mappings for
        // the line we found.

        while (mapping && mapping.originalLine === originalLine) {
          let lastColumn = mapping.lastGeneratedColumn;

          if (this._computedColumnSpans && lastColumn === null) {
            lastColumn = Infinity;
          }

          mappings.push({
            line: util.getArg(mapping, "generatedLine", null),
            column: util.getArg(mapping, "generatedColumn", null),
            lastColumn
          });
          mapping = this._originalMappings[++index];
        }
      } else {
        const originalColumn = mapping.originalColumn; // Iterate until either we run out of mappings, or we run into
        // a mapping for a different line than the one we were searching for.
        // Since mappings are sorted, this is guaranteed to find all mappings for
        // the line we are searching for.

        while (mapping && mapping.originalLine === line && mapping.originalColumn == originalColumn) {
          let lastColumn = mapping.lastGeneratedColumn;

          if (this._computedColumnSpans && lastColumn === null) {
            lastColumn = Infinity;
          }

          mappings.push({
            line: util.getArg(mapping, "generatedLine", null),
            column: util.getArg(mapping, "generatedColumn", null),
            lastColumn
          });
          mapping = this._originalMappings[++index];
        }
      }
    }

    return mappings;
  }

  destroy() {
    for (let i = 0; i < this._sections.length; i++) {
      this._sections[i].consumer.destroy();
    }
  }

}

__webpack_unused_export__ = IndexedSourceMapConsumer;
/*
 * Cheat to get around inter-twingled classes.  `factory()` can be at the end
 * where it has access to non-hoisted classes, but it gets hoisted itself.
 */

function _factory(aSourceMap, aSourceMapURL) {
  let sourceMap = aSourceMap;

  if (typeof aSourceMap === "string") {
    sourceMap = util.parseSourceMapInput(aSourceMap);
  }

  const consumer = sourceMap.sections != null ? new IndexedSourceMapConsumer(sourceMap, aSourceMapURL) : new BasicSourceMapConsumer(sourceMap, aSourceMapURL);
  return Promise.resolve(consumer);
}

function _factoryBSM(aSourceMap, aSourceMapURL) {
  return BasicSourceMapConsumer.fromSourceMap(aSourceMap, aSourceMapURL);
}

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-map-generator.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
const base64VLQ = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/base64-vlq.js");

const util = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/util.js");

const ArraySet = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/array-set.js").ArraySet;

const MappingList = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/mapping-list.js").MappingList;
/**
 * An instance of the SourceMapGenerator represents a source map which is
 * being built incrementally. You may pass an object with the following
 * properties:
 *
 *   - file: The filename of the generated source.
 *   - sourceRoot: A root for all relative URLs in this source map.
 */


class SourceMapGenerator {
  constructor(aArgs) {
    if (!aArgs) {
      aArgs = {};
    }

    this._file = util.getArg(aArgs, "file", null);
    this._sourceRoot = util.getArg(aArgs, "sourceRoot", null);
    this._skipValidation = util.getArg(aArgs, "skipValidation", false);
    this._sources = new ArraySet();
    this._names = new ArraySet();
    this._mappings = new MappingList();
    this._sourcesContents = null;
  }
  /**
   * Creates a new SourceMapGenerator based on a SourceMapConsumer
   *
   * @param aSourceMapConsumer The SourceMap.
   */


  static fromSourceMap(aSourceMapConsumer) {
    const sourceRoot = aSourceMapConsumer.sourceRoot;
    const generator = new SourceMapGenerator({
      file: aSourceMapConsumer.file,
      sourceRoot
    });
    aSourceMapConsumer.eachMapping(function (mapping) {
      const newMapping = {
        generated: {
          line: mapping.generatedLine,
          column: mapping.generatedColumn
        }
      };

      if (mapping.source != null) {
        newMapping.source = mapping.source;

        if (sourceRoot != null) {
          newMapping.source = util.relative(sourceRoot, newMapping.source);
        }

        newMapping.original = {
          line: mapping.originalLine,
          column: mapping.originalColumn
        };

        if (mapping.name != null) {
          newMapping.name = mapping.name;
        }
      }

      generator.addMapping(newMapping);
    });
    aSourceMapConsumer.sources.forEach(function (sourceFile) {
      let sourceRelative = sourceFile;

      if (sourceRoot !== null) {
        sourceRelative = util.relative(sourceRoot, sourceFile);
      }

      if (!generator._sources.has(sourceRelative)) {
        generator._sources.add(sourceRelative);
      }

      const content = aSourceMapConsumer.sourceContentFor(sourceFile);

      if (content != null) {
        generator.setSourceContent(sourceFile, content);
      }
    });
    return generator;
  }
  /**
   * Add a single mapping from original source line and column to the generated
   * source's line and column for this source map being created. The mapping
   * object should have the following properties:
   *
   *   - generated: An object with the generated line and column positions.
   *   - original: An object with the original line and column positions.
   *   - source: The original source file (relative to the sourceRoot).
   *   - name: An optional original token name for this mapping.
   */


  addMapping(aArgs) {
    const generated = util.getArg(aArgs, "generated");
    const original = util.getArg(aArgs, "original", null);
    let source = util.getArg(aArgs, "source", null);
    let name = util.getArg(aArgs, "name", null);

    if (!this._skipValidation) {
      this._validateMapping(generated, original, source, name);
    }

    if (source != null) {
      source = String(source);

      if (!this._sources.has(source)) {
        this._sources.add(source);
      }
    }

    if (name != null) {
      name = String(name);

      if (!this._names.has(name)) {
        this._names.add(name);
      }
    }

    this._mappings.add({
      generatedLine: generated.line,
      generatedColumn: generated.column,
      originalLine: original != null && original.line,
      originalColumn: original != null && original.column,
      source,
      name
    });
  }
  /**
   * Set the source content for a source file.
   */


  setSourceContent(aSourceFile, aSourceContent) {
    let source = aSourceFile;

    if (this._sourceRoot != null) {
      source = util.relative(this._sourceRoot, source);
    }

    if (aSourceContent != null) {
      // Add the source content to the _sourcesContents map.
      // Create a new _sourcesContents map if the property is null.
      if (!this._sourcesContents) {
        this._sourcesContents = Object.create(null);
      }

      this._sourcesContents[util.toSetString(source)] = aSourceContent;
    } else if (this._sourcesContents) {
      // Remove the source file from the _sourcesContents map.
      // If the _sourcesContents map is empty, set the property to null.
      delete this._sourcesContents[util.toSetString(source)];

      if (Object.keys(this._sourcesContents).length === 0) {
        this._sourcesContents = null;
      }
    }
  }
  /**
   * Applies the mappings of a sub-source-map for a specific source file to the
   * source map being generated. Each mapping to the supplied source file is
   * rewritten using the supplied source map. Note: The resolution for the
   * resulting mappings is the minimium of this map and the supplied map.
   *
   * @param aSourceMapConsumer The source map to be applied.
   * @param aSourceFile Optional. The filename of the source file.
   *        If omitted, SourceMapConsumer's file property will be used.
   * @param aSourceMapPath Optional. The dirname of the path to the source map
   *        to be applied. If relative, it is relative to the SourceMapConsumer.
   *        This parameter is needed when the two source maps aren't in the same
   *        directory, and the source map to be applied contains relative source
   *        paths. If so, those relative source paths need to be rewritten
   *        relative to the SourceMapGenerator.
   */


  applySourceMap(aSourceMapConsumer, aSourceFile, aSourceMapPath) {
    let sourceFile = aSourceFile; // If aSourceFile is omitted, we will use the file property of the SourceMap

    if (aSourceFile == null) {
      if (aSourceMapConsumer.file == null) {
        throw new Error("SourceMapGenerator.prototype.applySourceMap requires either an explicit source file, " + 'or the source map\'s "file" property. Both were omitted.');
      }

      sourceFile = aSourceMapConsumer.file;
    }

    const sourceRoot = this._sourceRoot; // Make "sourceFile" relative if an absolute Url is passed.

    if (sourceRoot != null) {
      sourceFile = util.relative(sourceRoot, sourceFile);
    } // Applying the SourceMap can add and remove items from the sources and
    // the names array.


    const newSources = this._mappings.toArray().length > 0 ? new ArraySet() : this._sources;
    const newNames = new ArraySet(); // Find mappings for the "sourceFile"

    this._mappings.unsortedForEach(function (mapping) {
      if (mapping.source === sourceFile && mapping.originalLine != null) {
        // Check if it can be mapped by the source map, then update the mapping.
        const original = aSourceMapConsumer.originalPositionFor({
          line: mapping.originalLine,
          column: mapping.originalColumn
        });

        if (original.source != null) {
          // Copy mapping
          mapping.source = original.source;

          if (aSourceMapPath != null) {
            mapping.source = util.join(aSourceMapPath, mapping.source);
          }

          if (sourceRoot != null) {
            mapping.source = util.relative(sourceRoot, mapping.source);
          }

          mapping.originalLine = original.line;
          mapping.originalColumn = original.column;

          if (original.name != null) {
            mapping.name = original.name;
          }
        }
      }

      const source = mapping.source;

      if (source != null && !newSources.has(source)) {
        newSources.add(source);
      }

      const name = mapping.name;

      if (name != null && !newNames.has(name)) {
        newNames.add(name);
      }
    }, this);

    this._sources = newSources;
    this._names = newNames; // Copy sourcesContents of applied map.

    aSourceMapConsumer.sources.forEach(function (srcFile) {
      const content = aSourceMapConsumer.sourceContentFor(srcFile);

      if (content != null) {
        if (aSourceMapPath != null) {
          srcFile = util.join(aSourceMapPath, srcFile);
        }

        if (sourceRoot != null) {
          srcFile = util.relative(sourceRoot, srcFile);
        }

        this.setSourceContent(srcFile, content);
      }
    }, this);
  }
  /**
   * A mapping can have one of the three levels of data:
   *
   *   1. Just the generated position.
   *   2. The Generated position, original position, and original source.
   *   3. Generated and original position, original source, as well as a name
   *      token.
   *
   * To maintain consistency, we validate that any new mapping being added falls
   * in to one of these categories.
   */


  _validateMapping(aGenerated, aOriginal, aSource, aName) {
    // When aOriginal is truthy but has empty values for .line and .column,
    // it is most likely a programmer error. In this case we throw a very
    // specific error message to try to guide them the right way.
    // For example: https://github.com/Polymer/polymer-bundler/pull/519
    if (aOriginal && typeof aOriginal.line !== "number" && typeof aOriginal.column !== "number") {
      throw new Error("original.line and original.column are not numbers -- you probably meant to omit " + "the original mapping entirely and only map the generated position. If so, pass " + "null for the original mapping instead of an object with empty or null values.");
    }

    if (aGenerated && "line" in aGenerated && "column" in aGenerated && aGenerated.line > 0 && aGenerated.column >= 0 && !aOriginal && !aSource && !aName) {// Case 1.
    } else if (aGenerated && "line" in aGenerated && "column" in aGenerated && aOriginal && "line" in aOriginal && "column" in aOriginal && aGenerated.line > 0 && aGenerated.column >= 0 && aOriginal.line > 0 && aOriginal.column >= 0 && aSource) {// Cases 2 and 3.
    } else {
      throw new Error("Invalid mapping: " + JSON.stringify({
        generated: aGenerated,
        source: aSource,
        original: aOriginal,
        name: aName
      }));
    }
  }
  /**
   * Serialize the accumulated mappings in to the stream of base 64 VLQs
   * specified by the source map format.
   */


  _serializeMappings() {
    let previousGeneratedColumn = 0;
    let previousGeneratedLine = 1;
    let previousOriginalColumn = 0;
    let previousOriginalLine = 0;
    let previousName = 0;
    let previousSource = 0;
    let result = "";
    let next;
    let mapping;
    let nameIdx;
    let sourceIdx;

    const mappings = this._mappings.toArray();

    for (let i = 0, len = mappings.length; i < len; i++) {
      mapping = mappings[i];
      next = "";

      if (mapping.generatedLine !== previousGeneratedLine) {
        previousGeneratedColumn = 0;

        while (mapping.generatedLine !== previousGeneratedLine) {
          next += ";";
          previousGeneratedLine++;
        }
      } else if (i > 0) {
        if (!util.compareByGeneratedPositionsInflated(mapping, mappings[i - 1])) {
          continue;
        }

        next += ",";
      }

      next += base64VLQ.encode(mapping.generatedColumn - previousGeneratedColumn);
      previousGeneratedColumn = mapping.generatedColumn;

      if (mapping.source != null) {
        sourceIdx = this._sources.indexOf(mapping.source);
        next += base64VLQ.encode(sourceIdx - previousSource);
        previousSource = sourceIdx; // lines are stored 0-based in SourceMap spec version 3

        next += base64VLQ.encode(mapping.originalLine - 1 - previousOriginalLine);
        previousOriginalLine = mapping.originalLine - 1;
        next += base64VLQ.encode(mapping.originalColumn - previousOriginalColumn);
        previousOriginalColumn = mapping.originalColumn;

        if (mapping.name != null) {
          nameIdx = this._names.indexOf(mapping.name);
          next += base64VLQ.encode(nameIdx - previousName);
          previousName = nameIdx;
        }
      }

      result += next;
    }

    return result;
  }

  _generateSourcesContent(aSources, aSourceRoot) {
    return aSources.map(function (source) {
      if (!this._sourcesContents) {
        return null;
      }

      if (aSourceRoot != null) {
        source = util.relative(aSourceRoot, source);
      }

      const key = util.toSetString(source);
      return Object.prototype.hasOwnProperty.call(this._sourcesContents, key) ? this._sourcesContents[key] : null;
    }, this);
  }
  /**
   * Externalize the source map.
   */


  toJSON() {
    const map = {
      version: this._version,
      sources: this._sources.toArray(),
      names: this._names.toArray(),
      mappings: this._serializeMappings()
    };

    if (this._file != null) {
      map.file = this._file;
    }

    if (this._sourceRoot != null) {
      map.sourceRoot = this._sourceRoot;
    }

    if (this._sourcesContents) {
      map.sourcesContent = this._generateSourcesContent(map.sources, map.sourceRoot);
    }

    return map;
  }
  /**
   * Render the source map being generated to a string.
   */


  toString() {
    return JSON.stringify(this.toJSON());
  }

}

SourceMapGenerator.prototype._version = 3;
exports.SourceMapGenerator = SourceMapGenerator;

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-node.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
const SourceMapGenerator = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-map-generator.js").SourceMapGenerator;

const util = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/util.js"); // Matches a Windows-style `\r\n` newline or a `\n` newline used by all other
// operating systems these days (capturing the result).


const REGEX_NEWLINE = /(\r?\n)/; // Newline character code for charCodeAt() comparisons

const NEWLINE_CODE = 10; // Private symbol for identifying `SourceNode`s when multiple versions of
// the source-map library are loaded. This MUST NOT CHANGE across
// versions!

const isSourceNode = "$$$isSourceNode$$$";
/**
 * SourceNodes provide a way to abstract over interpolating/concatenating
 * snippets of generated JavaScript source code while maintaining the line and
 * column information associated with the original source code.
 *
 * @param aLine The original line number.
 * @param aColumn The original column number.
 * @param aSource The original source's filename.
 * @param aChunks Optional. An array of strings which are snippets of
 *        generated JS, or other SourceNodes.
 * @param aName The original identifier.
 */

class SourceNode {
  constructor(aLine, aColumn, aSource, aChunks, aName) {
    this.children = [];
    this.sourceContents = {};
    this.line = aLine == null ? null : aLine;
    this.column = aColumn == null ? null : aColumn;
    this.source = aSource == null ? null : aSource;
    this.name = aName == null ? null : aName;
    this[isSourceNode] = true;
    if (aChunks != null) this.add(aChunks);
  }
  /**
   * Creates a SourceNode from generated code and a SourceMapConsumer.
   *
   * @param aGeneratedCode The generated code
   * @param aSourceMapConsumer The SourceMap for the generated code
   * @param aRelativePath Optional. The path that relative sources in the
   *        SourceMapConsumer should be relative to.
   */


  static fromStringWithSourceMap(aGeneratedCode, aSourceMapConsumer, aRelativePath) {
    // The SourceNode we want to fill with the generated code
    // and the SourceMap
    const node = new SourceNode(); // All even indices of this array are one line of the generated code,
    // while all odd indices are the newlines between two adjacent lines
    // (since `REGEX_NEWLINE` captures its match).
    // Processed fragments are accessed by calling `shiftNextLine`.

    const remainingLines = aGeneratedCode.split(REGEX_NEWLINE);
    let remainingLinesIndex = 0;

    const shiftNextLine = function () {
      const lineContents = getNextLine(); // The last line of a file might not have a newline.

      const newLine = getNextLine() || "";
      return lineContents + newLine;

      function getNextLine() {
        return remainingLinesIndex < remainingLines.length ? remainingLines[remainingLinesIndex++] : undefined;
      }
    }; // We need to remember the position of "remainingLines"


    let lastGeneratedLine = 1,
        lastGeneratedColumn = 0; // The generate SourceNodes we need a code range.
    // To extract it current and last mapping is used.
    // Here we store the last mapping.

    let lastMapping = null;
    let nextLine;
    aSourceMapConsumer.eachMapping(function (mapping) {
      if (lastMapping !== null) {
        // We add the code from "lastMapping" to "mapping":
        // First check if there is a new line in between.
        if (lastGeneratedLine < mapping.generatedLine) {
          // Associate first line with "lastMapping"
          addMappingWithCode(lastMapping, shiftNextLine());
          lastGeneratedLine++;
          lastGeneratedColumn = 0; // The remaining code is added without mapping
        } else {
          // There is no new line in between.
          // Associate the code between "lastGeneratedColumn" and
          // "mapping.generatedColumn" with "lastMapping"
          nextLine = remainingLines[remainingLinesIndex] || "";
          const code = nextLine.substr(0, mapping.generatedColumn - lastGeneratedColumn);
          remainingLines[remainingLinesIndex] = nextLine.substr(mapping.generatedColumn - lastGeneratedColumn);
          lastGeneratedColumn = mapping.generatedColumn;
          addMappingWithCode(lastMapping, code); // No more remaining code, continue

          lastMapping = mapping;
          return;
        }
      } // We add the generated code until the first mapping
      // to the SourceNode without any mapping.
      // Each line is added as separate string.


      while (lastGeneratedLine < mapping.generatedLine) {
        node.add(shiftNextLine());
        lastGeneratedLine++;
      }

      if (lastGeneratedColumn < mapping.generatedColumn) {
        nextLine = remainingLines[remainingLinesIndex] || "";
        node.add(nextLine.substr(0, mapping.generatedColumn));
        remainingLines[remainingLinesIndex] = nextLine.substr(mapping.generatedColumn);
        lastGeneratedColumn = mapping.generatedColumn;
      }

      lastMapping = mapping;
    }, this); // We have processed all mappings.

    if (remainingLinesIndex < remainingLines.length) {
      if (lastMapping) {
        // Associate the remaining code in the current line with "lastMapping"
        addMappingWithCode(lastMapping, shiftNextLine());
      } // and add the remaining lines without any mapping


      node.add(remainingLines.splice(remainingLinesIndex).join(""));
    } // Copy sourcesContent into SourceNode


    aSourceMapConsumer.sources.forEach(function (sourceFile) {
      const content = aSourceMapConsumer.sourceContentFor(sourceFile);

      if (content != null) {
        if (aRelativePath != null) {
          sourceFile = util.join(aRelativePath, sourceFile);
        }

        node.setSourceContent(sourceFile, content);
      }
    });
    return node;

    function addMappingWithCode(mapping, code) {
      if (mapping === null || mapping.source === undefined) {
        node.add(code);
      } else {
        const source = aRelativePath ? util.join(aRelativePath, mapping.source) : mapping.source;
        node.add(new SourceNode(mapping.originalLine, mapping.originalColumn, source, code, mapping.name));
      }
    }
  }
  /**
   * Add a chunk of generated JS to this source node.
   *
   * @param aChunk A string snippet of generated JS code, another instance of
   *        SourceNode, or an array where each member is one of those things.
   */


  add(aChunk) {
    if (Array.isArray(aChunk)) {
      aChunk.forEach(function (chunk) {
        this.add(chunk);
      }, this);
    } else if (aChunk[isSourceNode] || typeof aChunk === "string") {
      if (aChunk) {
        this.children.push(aChunk);
      }
    } else {
      throw new TypeError("Expected a SourceNode, string, or an array of SourceNodes and strings. Got " + aChunk);
    }

    return this;
  }
  /**
   * Add a chunk of generated JS to the beginning of this source node.
   *
   * @param aChunk A string snippet of generated JS code, another instance of
   *        SourceNode, or an array where each member is one of those things.
   */


  prepend(aChunk) {
    if (Array.isArray(aChunk)) {
      for (let i = aChunk.length - 1; i >= 0; i--) {
        this.prepend(aChunk[i]);
      }
    } else if (aChunk[isSourceNode] || typeof aChunk === "string") {
      this.children.unshift(aChunk);
    } else {
      throw new TypeError("Expected a SourceNode, string, or an array of SourceNodes and strings. Got " + aChunk);
    }

    return this;
  }
  /**
   * Walk over the tree of JS snippets in this node and its children. The
   * walking function is called once for each snippet of JS and is passed that
   * snippet and the its original associated source's line/column location.
   *
   * @param aFn The traversal function.
   */


  walk(aFn) {
    let chunk;

    for (let i = 0, len = this.children.length; i < len; i++) {
      chunk = this.children[i];

      if (chunk[isSourceNode]) {
        chunk.walk(aFn);
      } else if (chunk !== "") {
        aFn(chunk, {
          source: this.source,
          line: this.line,
          column: this.column,
          name: this.name
        });
      }
    }
  }
  /**
   * Like `String.prototype.join` except for SourceNodes. Inserts `aStr` between
   * each of `this.children`.
   *
   * @param aSep The separator.
   */


  join(aSep) {
    let newChildren;
    let i;
    const len = this.children.length;

    if (len > 0) {
      newChildren = [];

      for (i = 0; i < len - 1; i++) {
        newChildren.push(this.children[i]);
        newChildren.push(aSep);
      }

      newChildren.push(this.children[i]);
      this.children = newChildren;
    }

    return this;
  }
  /**
   * Call String.prototype.replace on the very right-most source snippet. Useful
   * for trimming whitespace from the end of a source node, etc.
   *
   * @param aPattern The pattern to replace.
   * @param aReplacement The thing to replace the pattern with.
   */


  replaceRight(aPattern, aReplacement) {
    const lastChild = this.children[this.children.length - 1];

    if (lastChild[isSourceNode]) {
      lastChild.replaceRight(aPattern, aReplacement);
    } else if (typeof lastChild === "string") {
      this.children[this.children.length - 1] = lastChild.replace(aPattern, aReplacement);
    } else {
      this.children.push("".replace(aPattern, aReplacement));
    }

    return this;
  }
  /**
   * Set the source content for a source file. This will be added to the SourceMapGenerator
   * in the sourcesContent field.
   *
   * @param aSourceFile The filename of the source file
   * @param aSourceContent The content of the source file
   */


  setSourceContent(aSourceFile, aSourceContent) {
    this.sourceContents[util.toSetString(aSourceFile)] = aSourceContent;
  }
  /**
   * Walk over the tree of SourceNodes. The walking function is called for each
   * source file content and is passed the filename and source content.
   *
   * @param aFn The traversal function.
   */


  walkSourceContents(aFn) {
    for (let i = 0, len = this.children.length; i < len; i++) {
      if (this.children[i][isSourceNode]) {
        this.children[i].walkSourceContents(aFn);
      }
    }

    const sources = Object.keys(this.sourceContents);

    for (let i = 0, len = sources.length; i < len; i++) {
      aFn(util.fromSetString(sources[i]), this.sourceContents[sources[i]]);
    }
  }
  /**
   * Return the string representation of this source node. Walks over the tree
   * and concatenates all the various snippets together to one string.
   */


  toString() {
    let str = "";
    this.walk(function (chunk) {
      str += chunk;
    });
    return str;
  }
  /**
   * Returns the string representation of this source node along with a source
   * map.
   */


  toStringWithSourceMap(aArgs) {
    const generated = {
      code: "",
      line: 1,
      column: 0
    };
    const map = new SourceMapGenerator(aArgs);
    let sourceMappingActive = false;
    let lastOriginalSource = null;
    let lastOriginalLine = null;
    let lastOriginalColumn = null;
    let lastOriginalName = null;
    this.walk(function (chunk, original) {
      generated.code += chunk;

      if (original.source !== null && original.line !== null && original.column !== null) {
        if (lastOriginalSource !== original.source || lastOriginalLine !== original.line || lastOriginalColumn !== original.column || lastOriginalName !== original.name) {
          map.addMapping({
            source: original.source,
            original: {
              line: original.line,
              column: original.column
            },
            generated: {
              line: generated.line,
              column: generated.column
            },
            name: original.name
          });
        }

        lastOriginalSource = original.source;
        lastOriginalLine = original.line;
        lastOriginalColumn = original.column;
        lastOriginalName = original.name;
        sourceMappingActive = true;
      } else if (sourceMappingActive) {
        map.addMapping({
          generated: {
            line: generated.line,
            column: generated.column
          }
        });
        lastOriginalSource = null;
        sourceMappingActive = false;
      }

      for (let idx = 0, length = chunk.length; idx < length; idx++) {
        if (chunk.charCodeAt(idx) === NEWLINE_CODE) {
          generated.line++;
          generated.column = 0; // Mappings end at eol

          if (idx + 1 === length) {
            lastOriginalSource = null;
            sourceMappingActive = false;
          } else if (sourceMappingActive) {
            map.addMapping({
              source: original.source,
              original: {
                line: original.line,
                column: original.column
              },
              generated: {
                line: generated.line,
                column: generated.column
              },
              name: original.name
            });
          }
        } else {
          generated.column++;
        }
      }
    });
    this.walkSourceContents(function (sourceFile, sourceContent) {
      map.setSourceContent(sourceFile, sourceContent);
    });
    return {
      code: generated.code,
      map
    };
  }

}

exports.SourceNode = SourceNode;

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/util.js":
/***/ ((__unused_webpack_module, exports) => {

/* -*- Mode: js; js-indent-level: 2; -*- */

/*
 * Copyright 2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE or:
 * http://opensource.org/licenses/BSD-3-Clause
 */

/**
 * This is a helper function for getting values from parameter/options
 * objects.
 *
 * @param args The object we are extracting values from
 * @param name The name of the property we are getting.
 * @param defaultValue An optional value to return if the property is missing
 * from the object. If this is not specified and the property is missing, an
 * error will be thrown.
 */
function getArg(aArgs, aName, aDefaultValue) {
  if (aName in aArgs) {
    return aArgs[aName];
  } else if (arguments.length === 3) {
    return aDefaultValue;
  }

  throw new Error('"' + aName + '" is a required argument.');
}

exports.getArg = getArg;
const urlRegexp = /^(?:([\w+\-.]+):)?\/\/(?:(\w+:\w+)@)?([\w.-]*)(?::(\d+))?(.*)$/;
const dataUrlRegexp = /^data:.+\,.+$/;

function urlParse(aUrl) {
  const match = aUrl.match(urlRegexp);

  if (!match) {
    return null;
  }

  return {
    scheme: match[1],
    auth: match[2],
    host: match[3],
    port: match[4],
    path: match[5]
  };
}

exports.urlParse = urlParse;

function urlGenerate(aParsedUrl) {
  let url = "";

  if (aParsedUrl.scheme) {
    url += aParsedUrl.scheme + ":";
  }

  url += "//";

  if (aParsedUrl.auth) {
    url += aParsedUrl.auth + "@";
  }

  if (aParsedUrl.host) {
    url += aParsedUrl.host;
  }

  if (aParsedUrl.port) {
    url += ":" + aParsedUrl.port;
  }

  if (aParsedUrl.path) {
    url += aParsedUrl.path;
  }

  return url;
}

exports.urlGenerate = urlGenerate;
const MAX_CACHED_INPUTS = 32;
/**
 * Takes some function `f(input) -> result` and returns a memoized version of
 * `f`.
 *
 * We keep at most `MAX_CACHED_INPUTS` memoized results of `f` alive. The
 * memoization is a dumb-simple, linear least-recently-used cache.
 */

function lruMemoize(f) {
  const cache = [];
  return function (input) {
    for (let i = 0; i < cache.length; i++) {
      if (cache[i].input === input) {
        const temp = cache[0];
        cache[0] = cache[i];
        cache[i] = temp;
        return cache[0].result;
      }
    }

    const result = f(input);
    cache.unshift({
      input,
      result
    });

    if (cache.length > MAX_CACHED_INPUTS) {
      cache.pop();
    }

    return result;
  };
}
/**
 * Normalizes a path, or the path portion of a URL:
 *
 * - Replaces consecutive slashes with one slash.
 * - Removes unnecessary '.' parts.
 * - Removes unnecessary '<dir>/..' parts.
 *
 * Based on code in the Node.js 'path' core module.
 *
 * @param aPath The path or url to normalize.
 */


const normalize = lruMemoize(function normalize(aPath) {
  let path = aPath;
  const url = urlParse(aPath);

  if (url) {
    if (!url.path) {
      return aPath;
    }

    path = url.path;
  }

  const isAbsolute = exports.isAbsolute(path); // Split the path into parts between `/` characters. This is much faster than
  // using `.split(/\/+/g)`.

  const parts = [];
  let start = 0;
  let i = 0;

  while (true) {
    start = i;
    i = path.indexOf("/", start);

    if (i === -1) {
      parts.push(path.slice(start));
      break;
    } else {
      parts.push(path.slice(start, i));

      while (i < path.length && path[i] === "/") {
        i++;
      }
    }
  }

  let up = 0;

  for (i = parts.length - 1; i >= 0; i--) {
    const part = parts[i];

    if (part === ".") {
      parts.splice(i, 1);
    } else if (part === "..") {
      up++;
    } else if (up > 0) {
      if (part === "") {
        // The first part is blank if the path is absolute. Trying to go
        // above the root is a no-op. Therefore we can remove all '..' parts
        // directly after the root.
        parts.splice(i + 1, up);
        up = 0;
      } else {
        parts.splice(i, 2);
        up--;
      }
    }
  }

  path = parts.join("/");

  if (path === "") {
    path = isAbsolute ? "/" : ".";
  }

  if (url) {
    url.path = path;
    return urlGenerate(url);
  }

  return path;
});
exports.normalize = normalize;
/**
 * Joins two paths/URLs.
 *
 * @param aRoot The root path or URL.
 * @param aPath The path or URL to be joined with the root.
 *
 * - If aPath is a URL or a data URI, aPath is returned, unless aPath is a
 *   scheme-relative URL: Then the scheme of aRoot, if any, is prepended
 *   first.
 * - Otherwise aPath is a path. If aRoot is a URL, then its path portion
 *   is updated with the result and aRoot is returned. Otherwise the result
 *   is returned.
 *   - If aPath is absolute, the result is aPath.
 *   - Otherwise the two paths are joined with a slash.
 * - Joining for example 'http://' and 'www.example.com' is also supported.
 */

function join(aRoot, aPath) {
  if (aRoot === "") {
    aRoot = ".";
  }

  if (aPath === "") {
    aPath = ".";
  }

  const aPathUrl = urlParse(aPath);
  const aRootUrl = urlParse(aRoot);

  if (aRootUrl) {
    aRoot = aRootUrl.path || "/";
  } // `join(foo, '//www.example.org')`


  if (aPathUrl && !aPathUrl.scheme) {
    if (aRootUrl) {
      aPathUrl.scheme = aRootUrl.scheme;
    }

    return urlGenerate(aPathUrl);
  }

  if (aPathUrl || aPath.match(dataUrlRegexp)) {
    return aPath;
  } // `join('http://', 'www.example.com')`


  if (aRootUrl && !aRootUrl.host && !aRootUrl.path) {
    aRootUrl.host = aPath;
    return urlGenerate(aRootUrl);
  }

  const joined = aPath.charAt(0) === "/" ? aPath : normalize(aRoot.replace(/\/+$/, "") + "/" + aPath);

  if (aRootUrl) {
    aRootUrl.path = joined;
    return urlGenerate(aRootUrl);
  }

  return joined;
}

exports.join = join;

exports.isAbsolute = function (aPath) {
  return aPath.charAt(0) === "/" || urlRegexp.test(aPath);
};
/**
 * Make a path relative to a URL or another path.
 *
 * @param aRoot The root path or URL.
 * @param aPath The path or URL to be made relative to aRoot.
 */


function relative(aRoot, aPath) {
  if (aRoot === "") {
    aRoot = ".";
  }

  aRoot = aRoot.replace(/\/$/, ""); // It is possible for the path to be above the root. In this case, simply
  // checking whether the root is a prefix of the path won't work. Instead, we
  // need to remove components from the root one by one, until either we find
  // a prefix that fits, or we run out of components to remove.

  let level = 0;

  while (aPath.indexOf(aRoot + "/") !== 0) {
    const index = aRoot.lastIndexOf("/");

    if (index < 0) {
      return aPath;
    } // If the only part of the root that is left is the scheme (i.e. http://,
    // file:///, etc.), one or more slashes (/), or simply nothing at all, we
    // have exhausted all components, so the path is not relative to the root.


    aRoot = aRoot.slice(0, index);

    if (aRoot.match(/^([^\/]+:\/)?\/*$/)) {
      return aPath;
    }

    ++level;
  } // Make sure we add a "../" for each component we removed from the root.


  return Array(level + 1).join("../") + aPath.substr(aRoot.length + 1);
}

exports.relative = relative;

const supportsNullProto = function () {
  const obj = Object.create(null);
  return !("__proto__" in obj);
}();

function identity(s) {
  return s;
}
/**
 * Because behavior goes wacky when you set `__proto__` on objects, we
 * have to prefix all the strings in our set with an arbitrary character.
 *
 * See https://github.com/mozilla/source-map/pull/31 and
 * https://github.com/mozilla/source-map/issues/30
 *
 * @param String aStr
 */


function toSetString(aStr) {
  if (isProtoString(aStr)) {
    return "$" + aStr;
  }

  return aStr;
}

exports.toSetString = supportsNullProto ? identity : toSetString;

function fromSetString(aStr) {
  if (isProtoString(aStr)) {
    return aStr.slice(1);
  }

  return aStr;
}

exports.fromSetString = supportsNullProto ? identity : fromSetString;

function isProtoString(s) {
  if (!s) {
    return false;
  }

  const length = s.length;

  if (length < 9
  /* "__proto__".length */
  ) {
    return false;
  }
  /* eslint-disable no-multi-spaces */


  if (s.charCodeAt(length - 1) !== 95
  /* '_' */
  || s.charCodeAt(length - 2) !== 95
  /* '_' */
  || s.charCodeAt(length - 3) !== 111
  /* 'o' */
  || s.charCodeAt(length - 4) !== 116
  /* 't' */
  || s.charCodeAt(length - 5) !== 111
  /* 'o' */
  || s.charCodeAt(length - 6) !== 114
  /* 'r' */
  || s.charCodeAt(length - 7) !== 112
  /* 'p' */
  || s.charCodeAt(length - 8) !== 95
  /* '_' */
  || s.charCodeAt(length - 9) !== 95
  /* '_' */
  ) {
    return false;
  }
  /* eslint-enable no-multi-spaces */


  for (let i = length - 10; i >= 0; i--) {
    if (s.charCodeAt(i) !== 36
    /* '$' */
    ) {
      return false;
    }
  }

  return true;
}
/**
 * Comparator between two mappings where the original positions are compared.
 *
 * Optionally pass in `true` as `onlyCompareGenerated` to consider two
 * mappings with the same original source/line/column, but different generated
 * line and column the same. Useful when searching for a mapping with a
 * stubbed out mapping.
 */


function compareByOriginalPositions(mappingA, mappingB, onlyCompareOriginal) {
  let cmp = strcmp(mappingA.source, mappingB.source);

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalLine - mappingB.originalLine;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalColumn - mappingB.originalColumn;

  if (cmp !== 0 || onlyCompareOriginal) {
    return cmp;
  }

  cmp = mappingA.generatedColumn - mappingB.generatedColumn;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.generatedLine - mappingB.generatedLine;

  if (cmp !== 0) {
    return cmp;
  }

  return strcmp(mappingA.name, mappingB.name);
}

exports.compareByOriginalPositions = compareByOriginalPositions;
/**
 * Comparator between two mappings with deflated source and name indices where
 * the generated positions are compared.
 *
 * Optionally pass in `true` as `onlyCompareGenerated` to consider two
 * mappings with the same generated line and column, but different
 * source/name/original line and column the same. Useful when searching for a
 * mapping with a stubbed out mapping.
 */

function compareByGeneratedPositionsDeflated(mappingA, mappingB, onlyCompareGenerated) {
  let cmp = mappingA.generatedLine - mappingB.generatedLine;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.generatedColumn - mappingB.generatedColumn;

  if (cmp !== 0 || onlyCompareGenerated) {
    return cmp;
  }

  cmp = strcmp(mappingA.source, mappingB.source);

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalLine - mappingB.originalLine;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalColumn - mappingB.originalColumn;

  if (cmp !== 0) {
    return cmp;
  }

  return strcmp(mappingA.name, mappingB.name);
}

exports.compareByGeneratedPositionsDeflated = compareByGeneratedPositionsDeflated;

function strcmp(aStr1, aStr2) {
  if (aStr1 === aStr2) {
    return 0;
  }

  if (aStr1 === null) {
    return 1; // aStr2 !== null
  }

  if (aStr2 === null) {
    return -1; // aStr1 !== null
  }

  if (aStr1 > aStr2) {
    return 1;
  }

  return -1;
}
/**
 * Comparator between two mappings with inflated source and name strings where
 * the generated positions are compared.
 */


function compareByGeneratedPositionsInflated(mappingA, mappingB) {
  let cmp = mappingA.generatedLine - mappingB.generatedLine;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.generatedColumn - mappingB.generatedColumn;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = strcmp(mappingA.source, mappingB.source);

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalLine - mappingB.originalLine;

  if (cmp !== 0) {
    return cmp;
  }

  cmp = mappingA.originalColumn - mappingB.originalColumn;

  if (cmp !== 0) {
    return cmp;
  }

  return strcmp(mappingA.name, mappingB.name);
}

exports.compareByGeneratedPositionsInflated = compareByGeneratedPositionsInflated;
/**
 * Strip any JSON XSSI avoidance prefix from the string (as documented
 * in the source maps specification), and then parse the string as
 * JSON.
 */

function parseSourceMapInput(str) {
  return JSON.parse(str.replace(/^\)]}'[^\n]*\n/, ""));
}

exports.parseSourceMapInput = parseSourceMapInput;
/**
 * Compute the URL of a source given the the source root, the source's
 * URL, and the source map's URL.
 */

function computeSourceURL(sourceRoot, sourceURL, sourceMapURL) {
  sourceURL = sourceURL || "";

  if (sourceRoot) {
    // This follows what Chrome does.
    if (sourceRoot[sourceRoot.length - 1] !== "/" && sourceURL[0] !== "/") {
      sourceRoot += "/";
    } // The spec says:
    //   Line 4: An optional source root, useful for relocating source
    //   files on a server or removing repeated values in the
    //   “sources” entry.  This value is prepended to the individual
    //   entries in the “source” field.


    sourceURL = sourceRoot + sourceURL;
  } // Historically, SourceMapConsumer did not take the sourceMapURL as
  // a parameter.  This mode is still somewhat supported, which is why
  // this code block is conditional.  However, it's preferable to pass
  // the source map URL to SourceMapConsumer, so that this function
  // can implement the source URL resolution algorithm as outlined in
  // the spec.  This block is basically the equivalent of:
  //    new URL(sourceURL, sourceMapURL).toString()
  // ... except it avoids using URL, which wasn't available in the
  // older releases of node still supported by this library.
  //
  // The spec says:
  //   If the sources are not absolute URLs after prepending of the
  //   “sourceRoot”, the sources are resolved relative to the
  //   SourceMap (like resolving script src in a html document).


  if (sourceMapURL) {
    const parsed = urlParse(sourceMapURL);

    if (!parsed) {
      throw new Error("sourceMapURL could not be parsed");
    }

    if (parsed.path) {
      // Strip the last path component, but keep the "/".
      const index = parsed.path.lastIndexOf("/");

      if (index >= 0) {
        parsed.path = parsed.path.substring(0, index + 1);
      }
    }

    sourceURL = join(urlGenerate(parsed), sourceURL);
  }

  return normalize(sourceURL);
}

exports.computeSourceURL = computeSourceURL;

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/lib/wasm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const readWasm = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/read-wasm.js");
/**
 * Provide the JIT with a nice shape / hidden class.
 */


function Mapping() {
  this.generatedLine = 0;
  this.generatedColumn = 0;
  this.lastGeneratedColumn = null;
  this.source = null;
  this.originalLine = null;
  this.originalColumn = null;
  this.name = null;
}

let cachedWasm = null;

module.exports = function wasm() {
  if (cachedWasm) {
    return cachedWasm;
  }

  const callbackStack = [];
  cachedWasm = readWasm().then(buffer => {
    return WebAssembly.instantiate(buffer, {
      env: {
        mapping_callback(generatedLine, generatedColumn, hasLastGeneratedColumn, lastGeneratedColumn, hasOriginal, source, originalLine, originalColumn, hasName, name) {
          const mapping = new Mapping(); // JS uses 1-based line numbers, wasm uses 0-based.

          mapping.generatedLine = generatedLine + 1;
          mapping.generatedColumn = generatedColumn;

          if (hasLastGeneratedColumn) {
            // JS uses inclusive last generated column, wasm uses exclusive.
            mapping.lastGeneratedColumn = lastGeneratedColumn - 1;
          }

          if (hasOriginal) {
            mapping.source = source; // JS uses 1-based line numbers, wasm uses 0-based.

            mapping.originalLine = originalLine + 1;
            mapping.originalColumn = originalColumn;

            if (hasName) {
              mapping.name = name;
            }
          }

          callbackStack[callbackStack.length - 1](mapping);
        },

        start_all_generated_locations_for() {
          console.time("all_generated_locations_for");
        },

        end_all_generated_locations_for() {
          console.timeEnd("all_generated_locations_for");
        },

        start_compute_column_spans() {
          console.time("compute_column_spans");
        },

        end_compute_column_spans() {
          console.timeEnd("compute_column_spans");
        },

        start_generated_location_for() {
          console.time("generated_location_for");
        },

        end_generated_location_for() {
          console.timeEnd("generated_location_for");
        },

        start_original_location_for() {
          console.time("original_location_for");
        },

        end_original_location_for() {
          console.timeEnd("original_location_for");
        },

        start_parse_mappings() {
          console.time("parse_mappings");
        },

        end_parse_mappings() {
          console.timeEnd("parse_mappings");
        },

        start_sort_by_generated_location() {
          console.time("sort_by_generated_location");
        },

        end_sort_by_generated_location() {
          console.timeEnd("sort_by_generated_location");
        },

        start_sort_by_original_location() {
          console.time("sort_by_original_location");
        },

        end_sort_by_original_location() {
          console.timeEnd("sort_by_original_location");
        }

      }
    });
  }).then(Wasm => {
    return {
      exports: Wasm.instance.exports,
      withMappingCallback: (mappingCallback, f) => {
        callbackStack.push(mappingCallback);

        try {
          f();
        } finally {
          callbackStack.pop();
        }
      }
    };
  }).then(null, e => {
    cachedWasm = null;
    throw e;
  });
  return cachedWasm;
};

/***/ }),

/***/ "./node_modules/.f/_/source-map/0.7.3/source-map/source-map.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

/*
 * Copyright 2009-2011 Mozilla Foundation and contributors
 * Licensed under the New BSD license. See LICENSE.txt or:
 * http://opensource.org/licenses/BSD-3-Clause
 */
exports.SourceMapGenerator = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-map-generator.js").SourceMapGenerator;
exports.SourceMapConsumer = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-map-consumer.js").SourceMapConsumer;
exports.SourceNode = __webpack_require__("./node_modules/.f/_/source-map/0.7.3/source-map/lib/source-node.js").SourceNode;

/***/ }),

/***/ "./node_modules/.f/_/spdx-correct/3.1.1/spdx-correct/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/*
Copyright spdx-correct.js contributors

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
var parse = __webpack_require__("./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/index.js");

var spdxLicenseIds = __webpack_require__("./node_modules/.f/_/spdx-license-ids/3.0.7/spdx-license-ids/index.json");

function valid(string) {
  try {
    parse(string);
    return true;
  } catch (error) {
    return false;
  }
} // Common transpositions of license identifier acronyms


var transpositions = [['APGL', 'AGPL'], ['Gpl', 'GPL'], ['GLP', 'GPL'], ['APL', 'Apache'], ['ISD', 'ISC'], ['GLP', 'GPL'], ['IST', 'ISC'], ['Claude', 'Clause'], [' or later', '+'], [' International', ''], ['GNU', 'GPL'], ['GUN', 'GPL'], ['+', ''], ['GNU GPL', 'GPL'], ['GNU/GPL', 'GPL'], ['GNU GLP', 'GPL'], ['GNU General Public License', 'GPL'], ['Gnu public license', 'GPL'], ['GNU Public License', 'GPL'], ['GNU GENERAL PUBLIC LICENSE', 'GPL'], ['MTI', 'MIT'], ['Mozilla Public License', 'MPL'], ['Universal Permissive License', 'UPL'], ['WTH', 'WTF'], ['-License', '']];
var TRANSPOSED = 0;
var CORRECT = 1; // Simple corrections to nearly valid identifiers.

var transforms = [// e.g. 'mit'
function (argument) {
  return argument.toUpperCase();
}, // e.g. 'MIT '
function (argument) {
  return argument.trim();
}, // e.g. 'M.I.T.'
function (argument) {
  return argument.replace(/\./g, '');
}, // e.g. 'Apache- 2.0'
function (argument) {
  return argument.replace(/\s+/g, '');
}, // e.g. 'CC BY 4.0''
function (argument) {
  return argument.replace(/\s+/g, '-');
}, // e.g. 'LGPLv2.1'
function (argument) {
  return argument.replace('v', '-');
}, // e.g. 'Apache 2.0'
function (argument) {
  return argument.replace(/,?\s*(\d)/, '-$1');
}, // e.g. 'GPL 2'
function (argument) {
  return argument.replace(/,?\s*(\d)/, '-$1.0');
}, // e.g. 'Apache Version 2.0'
function (argument) {
  return argument.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, '-$2');
}, // e.g. 'Apache Version 2'
function (argument) {
  return argument.replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, '-$2.0');
}, // e.g. 'ZLIB'
function (argument) {
  return argument[0].toUpperCase() + argument.slice(1);
}, // e.g. 'MPL/2.0'
function (argument) {
  return argument.replace('/', '-');
}, // e.g. 'Apache 2'
function (argument) {
  return argument.replace(/\s*V\s*(\d)/, '-$1').replace(/(\d)$/, '$1.0');
}, // e.g. 'GPL-2.0', 'GPL-3.0'
function (argument) {
  if (argument.indexOf('3.0') !== -1) {
    return argument + '-or-later';
  } else {
    return argument + '-only';
  }
}, // e.g. 'GPL-2.0-'
function (argument) {
  return argument + 'only';
}, // e.g. 'GPL2'
function (argument) {
  return argument.replace(/(\d)$/, '-$1.0');
}, // e.g. 'BSD 3'
function (argument) {
  return argument.replace(/(-| )?(\d)$/, '-$2-Clause');
}, // e.g. 'BSD clause 3'
function (argument) {
  return argument.replace(/(-| )clause(-| )(\d)/, '-$3-Clause');
}, // e.g. 'New BSD license'
function (argument) {
  return argument.replace(/\b(Modified|New|Revised)(-| )?BSD((-| )License)?/i, 'BSD-3-Clause');
}, // e.g. 'Simplified BSD license'
function (argument) {
  return argument.replace(/\bSimplified(-| )?BSD((-| )License)?/i, 'BSD-2-Clause');
}, // e.g. 'Free BSD license'
function (argument) {
  return argument.replace(/\b(Free|Net)(-| )?BSD((-| )License)?/i, 'BSD-2-Clause-$1BSD');
}, // e.g. 'Clear BSD license'
function (argument) {
  return argument.replace(/\bClear(-| )?BSD((-| )License)?/i, 'BSD-3-Clause-Clear');
}, // e.g. 'Old BSD License'
function (argument) {
  return argument.replace(/\b(Old|Original)(-| )?BSD((-| )License)?/i, 'BSD-4-Clause');
}, // e.g. 'BY-NC-4.0'
function (argument) {
  return 'CC-' + argument;
}, // e.g. 'BY-NC'
function (argument) {
  return 'CC-' + argument + '-4.0';
}, // e.g. 'Attribution-NonCommercial'
function (argument) {
  return argument.replace('Attribution', 'BY').replace('NonCommercial', 'NC').replace('NoDerivatives', 'ND').replace(/ (\d)/, '-$1').replace(/ ?International/, '');
}, // e.g. 'Attribution-NonCommercial'
function (argument) {
  return 'CC-' + argument.replace('Attribution', 'BY').replace('NonCommercial', 'NC').replace('NoDerivatives', 'ND').replace(/ (\d)/, '-$1').replace(/ ?International/, '') + '-4.0';
}];
var licensesWithVersions = spdxLicenseIds.map(function (id) {
  var match = /^(.*)-\d+\.\d+$/.exec(id);
  return match ? [match[0], match[1]] : [id, null];
}).reduce(function (objectMap, item) {
  var key = item[1];
  objectMap[key] = objectMap[key] || [];
  objectMap[key].push(item[0]);
  return objectMap;
}, {});
var licensesWithOneVersion = Object.keys(licensesWithVersions).map(function makeEntries(key) {
  return [key, licensesWithVersions[key]];
}).filter(function identifySoleVersions(item) {
  return (// Licenses has just one valid version suffix.
    item[1].length === 1 && item[0] !== null && // APL will be considered Apache, rather than APL-1.0
    item[0] !== 'APL'
  );
}).map(function createLastResorts(item) {
  return [item[0], item[1][0]];
});
licensesWithVersions = undefined; // If all else fails, guess that strings containing certain substrings
// meant to identify certain licenses.

var lastResorts = [['UNLI', 'Unlicense'], ['WTF', 'WTFPL'], ['2 CLAUSE', 'BSD-2-Clause'], ['2-CLAUSE', 'BSD-2-Clause'], ['3 CLAUSE', 'BSD-3-Clause'], ['3-CLAUSE', 'BSD-3-Clause'], ['AFFERO', 'AGPL-3.0-or-later'], ['AGPL', 'AGPL-3.0-or-later'], ['APACHE', 'Apache-2.0'], ['ARTISTIC', 'Artistic-2.0'], ['Affero', 'AGPL-3.0-or-later'], ['BEER', 'Beerware'], ['BOOST', 'BSL-1.0'], ['BSD', 'BSD-2-Clause'], ['CDDL', 'CDDL-1.1'], ['ECLIPSE', 'EPL-1.0'], ['FUCK', 'WTFPL'], ['GNU', 'GPL-3.0-or-later'], ['LGPL', 'LGPL-3.0-or-later'], ['GPLV1', 'GPL-1.0-only'], ['GPL-1', 'GPL-1.0-only'], ['GPLV2', 'GPL-2.0-only'], ['GPL-2', 'GPL-2.0-only'], ['GPL', 'GPL-3.0-or-later'], ['MIT +NO-FALSE-ATTRIBS', 'MITNFA'], ['MIT', 'MIT'], ['MPL', 'MPL-2.0'], ['X11', 'X11'], ['ZLIB', 'Zlib']].concat(licensesWithOneVersion);
var SUBSTRING = 0;
var IDENTIFIER = 1;

var validTransformation = function (identifier) {
  for (var i = 0; i < transforms.length; i++) {
    var transformed = transforms[i](identifier).trim();

    if (transformed !== identifier && valid(transformed)) {
      return transformed;
    }
  }

  return null;
};

var validLastResort = function (identifier) {
  var upperCased = identifier.toUpperCase();

  for (var i = 0; i < lastResorts.length; i++) {
    var lastResort = lastResorts[i];

    if (upperCased.indexOf(lastResort[SUBSTRING]) > -1) {
      return lastResort[IDENTIFIER];
    }
  }

  return null;
};

var anyCorrection = function (identifier, check) {
  for (var i = 0; i < transpositions.length; i++) {
    var transposition = transpositions[i];
    var transposed = transposition[TRANSPOSED];

    if (identifier.indexOf(transposed) > -1) {
      var corrected = identifier.replace(transposed, transposition[CORRECT]);
      var checked = check(corrected);

      if (checked !== null) {
        return checked;
      }
    }
  }

  return null;
};

module.exports = function (identifier, options) {
  options = options || {};
  var upgrade = options.upgrade === undefined ? true : !!options.upgrade;

  function postprocess(value) {
    return upgrade ? upgradeGPLs(value) : value;
  }

  var validArugment = typeof identifier === 'string' && identifier.trim().length !== 0;

  if (!validArugment) {
    throw Error('Invalid argument. Expected non-empty string.');
  }

  identifier = identifier.trim();

  if (valid(identifier)) {
    return postprocess(identifier);
  }

  var noPlus = identifier.replace(/\+$/, '').trim();

  if (valid(noPlus)) {
    return postprocess(noPlus);
  }

  var transformed = validTransformation(identifier);

  if (transformed !== null) {
    return postprocess(transformed);
  }

  transformed = anyCorrection(identifier, function (argument) {
    if (valid(argument)) {
      return argument;
    }

    return validTransformation(argument);
  });

  if (transformed !== null) {
    return postprocess(transformed);
  }

  transformed = validLastResort(identifier);

  if (transformed !== null) {
    return postprocess(transformed);
  }

  transformed = anyCorrection(identifier, validLastResort);

  if (transformed !== null) {
    return postprocess(transformed);
  }

  return null;
};

function upgradeGPLs(value) {
  if (['GPL-1.0', 'LGPL-1.0', 'AGPL-1.0', 'GPL-2.0', 'LGPL-2.0', 'AGPL-2.0', 'LGPL-2.1'].indexOf(value) !== -1) {
    return value + '-only';
  } else if (['GPL-1.0+', 'GPL-2.0+', 'GPL-3.0+', 'LGPL-2.0+', 'LGPL-2.1+', 'LGPL-3.0+', 'AGPL-1.0+', 'AGPL-3.0+'].indexOf(value) !== -1) {
    return value.replace(/\+$/, '-or-later');
  } else if (['GPL-3.0', 'LGPL-3.0', 'AGPL-3.0'].indexOf(value) !== -1) {
    return value + '-or-later';
  } else {
    return value;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var scan = __webpack_require__("./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/scan.js");

var parse = __webpack_require__("./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/parse.js");

module.exports = function (source) {
  return parse(scan(source));
};

/***/ }),

/***/ "./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/parse.js":
/***/ ((module) => {

"use strict";
 // The ABNF grammar in the spec is totally ambiguous.
//
// This parser follows the operator precedence defined in the
// `Order of Precedence and Parentheses` section.

module.exports = function (tokens) {
  var index = 0;

  function hasMore() {
    return index < tokens.length;
  }

  function token() {
    return hasMore() ? tokens[index] : null;
  }

  function next() {
    if (!hasMore()) {
      throw new Error();
    }

    index++;
  }

  function parseOperator(operator) {
    var t = token();

    if (t && t.type === 'OPERATOR' && operator === t.string) {
      next();
      return t.string;
    }
  }

  function parseWith() {
    if (parseOperator('WITH')) {
      var t = token();

      if (t && t.type === 'EXCEPTION') {
        next();
        return t.string;
      }

      throw new Error('Expected exception after `WITH`');
    }
  }

  function parseLicenseRef() {
    // TODO: Actually, everything is concatenated into one string
    // for backward-compatibility but it could be better to return
    // a nice structure.
    var begin = index;
    var string = '';
    var t = token();

    if (t.type === 'DOCUMENTREF') {
      next();
      string += 'DocumentRef-' + t.string + ':';

      if (!parseOperator(':')) {
        throw new Error('Expected `:` after `DocumentRef-...`');
      }
    }

    t = token();

    if (t.type === 'LICENSEREF') {
      next();
      string += 'LicenseRef-' + t.string;
      return {
        license: string
      };
    }

    index = begin;
  }

  function parseLicense() {
    var t = token();

    if (t && t.type === 'LICENSE') {
      next();
      var node = {
        license: t.string
      };

      if (parseOperator('+')) {
        node.plus = true;
      }

      var exception = parseWith();

      if (exception) {
        node.exception = exception;
      }

      return node;
    }
  }

  function parseParenthesizedExpression() {
    var left = parseOperator('(');

    if (!left) {
      return;
    }

    var expr = parseExpression();

    if (!parseOperator(')')) {
      throw new Error('Expected `)`');
    }

    return expr;
  }

  function parseAtom() {
    return parseParenthesizedExpression() || parseLicenseRef() || parseLicense();
  }

  function makeBinaryOpParser(operator, nextParser) {
    return function parseBinaryOp() {
      var left = nextParser();

      if (!left) {
        return;
      }

      if (!parseOperator(operator)) {
        return left;
      }

      var right = parseBinaryOp();

      if (!right) {
        throw new Error('Expected expression');
      }

      return {
        left: left,
        conjunction: operator.toLowerCase(),
        right: right
      };
    };
  }

  var parseAnd = makeBinaryOpParser('AND', parseAtom);
  var parseExpression = makeBinaryOpParser('OR', parseAnd);
  var node = parseExpression();

  if (!node || hasMore()) {
    throw new Error('Syntax error');
  }

  return node;
};

/***/ }),

/***/ "./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/scan.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var licenses = [].concat(__webpack_require__("./node_modules/.f/_/spdx-license-ids/3.0.7/spdx-license-ids/index.json")).concat(__webpack_require__("./node_modules/.f/_/spdx-license-ids/3.0.7/spdx-license-ids/deprecated.json"));

var exceptions = __webpack_require__("./node_modules/.f/_/spdx-exceptions/2.3.0/spdx-exceptions/index.json");

module.exports = function (source) {
  var index = 0;

  function hasMore() {
    return index < source.length;
  } // `value` can be a regexp or a string.
  // If it is recognized, the matching source string is returned and
  // the index is incremented. Otherwise `undefined` is returned.


  function read(value) {
    if (value instanceof RegExp) {
      var chars = source.slice(index);
      var match = chars.match(value);

      if (match) {
        index += match[0].length;
        return match[0];
      }
    } else {
      if (source.indexOf(value, index) === index) {
        index += value.length;
        return value;
      }
    }
  }

  function skipWhitespace() {
    read(/[ ]*/);
  }

  function operator() {
    var string;
    var possibilities = ['WITH', 'AND', 'OR', '(', ')', ':', '+'];

    for (var i = 0; i < possibilities.length; i++) {
      string = read(possibilities[i]);

      if (string) {
        break;
      }
    }

    if (string === '+' && index > 1 && source[index - 2] === ' ') {
      throw new Error('Space before `+`');
    }

    return string && {
      type: 'OPERATOR',
      string: string
    };
  }

  function idstring() {
    return read(/[A-Za-z0-9-.]+/);
  }

  function expectIdstring() {
    var string = idstring();

    if (!string) {
      throw new Error('Expected idstring at offset ' + index);
    }

    return string;
  }

  function documentRef() {
    if (read('DocumentRef-')) {
      var string = expectIdstring();
      return {
        type: 'DOCUMENTREF',
        string: string
      };
    }
  }

  function licenseRef() {
    if (read('LicenseRef-')) {
      var string = expectIdstring();
      return {
        type: 'LICENSEREF',
        string: string
      };
    }
  }

  function identifier() {
    var begin = index;
    var string = idstring();

    if (licenses.indexOf(string) !== -1) {
      return {
        type: 'LICENSE',
        string: string
      };
    } else if (exceptions.indexOf(string) !== -1) {
      return {
        type: 'EXCEPTION',
        string: string
      };
    }

    index = begin;
  } // Tries to read the next token. Returns `undefined` if no token is
  // recognized.


  function parseToken() {
    // Ordering matters
    return operator() || documentRef() || licenseRef() || identifier();
  }

  var tokens = [];

  while (hasMore()) {
    skipWhitespace();

    if (!hasMore()) {
      break;
    }

    var token = parseToken();

    if (!token) {
      throw new Error('Unexpected `' + source[index] + '` at offset ' + index);
    }

    tokens.push(token);
  }

  return tokens;
};

/***/ }),

/***/ "./node_modules/.f/_/ssri/6.0.1/ssri/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const crypto = __webpack_require__("crypto");

const figgyPudding = __webpack_require__("./node_modules/.f/_/figgy-pudding/3.5.2/figgy-pudding/index.js");

const Transform = __webpack_require__("stream").Transform;

const SPEC_ALGORITHMS = ['sha256', 'sha384', 'sha512'];
const BASE64_REGEX = /^[a-z0-9+/]+(?:=?=?)$/i;
const SRI_REGEX = /^([^-]+)-([^?]+)([?\S*]*)$/;
const STRICT_SRI_REGEX = /^([^-]+)-([A-Za-z0-9+/=]{44,88})(\?[\x21-\x7E]*)*$/;
const VCHAR_REGEX = /^[\x21-\x7E]+$/;
const SsriOpts = figgyPudding({
  algorithms: {
    default: ['sha512']
  },
  error: {
    default: false
  },
  integrity: {},
  options: {
    default: []
  },
  pickAlgorithm: {
    default: () => getPrioritizedHash
  },
  Promise: {
    default: () => Promise
  },
  sep: {
    default: ' '
  },
  single: {
    default: false
  },
  size: {},
  strict: {
    default: false
  }
});

class Hash {
  get isHash() {
    return true;
  }

  constructor(hash, opts) {
    opts = SsriOpts(opts);
    const strict = !!opts.strict;
    this.source = hash.trim(); // 3.1. Integrity metadata (called "Hash" by ssri)
    // https://w3c.github.io/webappsec-subresource-integrity/#integrity-metadata-description

    const match = this.source.match(strict ? STRICT_SRI_REGEX : SRI_REGEX);

    if (!match) {
      return;
    }

    if (strict && !SPEC_ALGORITHMS.some(a => a === match[1])) {
      return;
    }

    this.algorithm = match[1];
    this.digest = match[2];
    const rawOpts = match[3];
    this.options = rawOpts ? rawOpts.slice(1).split('?') : [];
  }

  hexDigest() {
    return this.digest && Buffer.from(this.digest, 'base64').toString('hex');
  }

  toJSON() {
    return this.toString();
  }

  toString(opts) {
    opts = SsriOpts(opts);

    if (opts.strict) {
      // Strict mode enforces the standard as close to the foot of the
      // letter as it can.
      if (!( // The spec has very restricted productions for algorithms.
      // https://www.w3.org/TR/CSP2/#source-list-syntax
      SPEC_ALGORITHMS.some(x => x === this.algorithm) && // Usually, if someone insists on using a "different" base64, we
      // leave it as-is, since there's multiple standards, and the
      // specified is not a URL-safe variant.
      // https://www.w3.org/TR/CSP2/#base64_value
      this.digest.match(BASE64_REGEX) && // Option syntax is strictly visual chars.
      // https://w3c.github.io/webappsec-subresource-integrity/#grammardef-option-expression
      // https://tools.ietf.org/html/rfc5234#appendix-B.1
      (this.options || []).every(opt => opt.match(VCHAR_REGEX)))) {
        return '';
      }
    }

    const options = this.options && this.options.length ? `?${this.options.join('?')}` : '';
    return `${this.algorithm}-${this.digest}${options}`;
  }

}

class Integrity {
  get isIntegrity() {
    return true;
  }

  toJSON() {
    return this.toString();
  }

  toString(opts) {
    opts = SsriOpts(opts);
    let sep = opts.sep || ' ';

    if (opts.strict) {
      // Entries must be separated by whitespace, according to spec.
      sep = sep.replace(/\S+/g, ' ');
    }

    return Object.keys(this).map(k => {
      return this[k].map(hash => {
        return Hash.prototype.toString.call(hash, opts);
      }).filter(x => x.length).join(sep);
    }).filter(x => x.length).join(sep);
  }

  concat(integrity, opts) {
    opts = SsriOpts(opts);
    const other = typeof integrity === 'string' ? integrity : stringify(integrity, opts);
    return parse(`${this.toString(opts)} ${other}`, opts);
  }

  hexDigest() {
    return parse(this, {
      single: true
    }).hexDigest();
  }

  match(integrity, opts) {
    opts = SsriOpts(opts);
    const other = parse(integrity, opts);
    const algo = other.pickAlgorithm(opts);
    return this[algo] && other[algo] && this[algo].find(hash => other[algo].find(otherhash => hash.digest === otherhash.digest)) || false;
  }

  pickAlgorithm(opts) {
    opts = SsriOpts(opts);
    const pickAlgorithm = opts.pickAlgorithm;
    const keys = Object.keys(this);

    if (!keys.length) {
      throw new Error(`No algorithms available for ${JSON.stringify(this.toString())}`);
    }

    return keys.reduce((acc, algo) => {
      return pickAlgorithm(acc, algo) || acc;
    });
  }

}

module.exports.parse = parse;

function parse(sri, opts) {
  opts = SsriOpts(opts);

  if (typeof sri === 'string') {
    return _parse(sri, opts);
  } else if (sri.algorithm && sri.digest) {
    const fullSri = new Integrity();
    fullSri[sri.algorithm] = [sri];
    return _parse(stringify(fullSri, opts), opts);
  } else {
    return _parse(stringify(sri, opts), opts);
  }
}

function _parse(integrity, opts) {
  // 3.4.3. Parse metadata
  // https://w3c.github.io/webappsec-subresource-integrity/#parse-metadata
  if (opts.single) {
    return new Hash(integrity, opts);
  }

  return integrity.trim().split(/\s+/).reduce((acc, string) => {
    const hash = new Hash(string, opts);

    if (hash.algorithm && hash.digest) {
      const algo = hash.algorithm;

      if (!acc[algo]) {
        acc[algo] = [];
      }

      acc[algo].push(hash);
    }

    return acc;
  }, new Integrity());
}

module.exports.stringify = stringify;

function stringify(obj, opts) {
  opts = SsriOpts(opts);

  if (obj.algorithm && obj.digest) {
    return Hash.prototype.toString.call(obj, opts);
  } else if (typeof obj === 'string') {
    return stringify(parse(obj, opts), opts);
  } else {
    return Integrity.prototype.toString.call(obj, opts);
  }
}

module.exports.fromHex = fromHex;

function fromHex(hexDigest, algorithm, opts) {
  opts = SsriOpts(opts);
  const optString = opts.options && opts.options.length ? `?${opts.options.join('?')}` : '';
  return parse(`${algorithm}-${Buffer.from(hexDigest, 'hex').toString('base64')}${optString}`, opts);
}

module.exports.fromData = fromData;

function fromData(data, opts) {
  opts = SsriOpts(opts);
  const algorithms = opts.algorithms;
  const optString = opts.options && opts.options.length ? `?${opts.options.join('?')}` : '';
  return algorithms.reduce((acc, algo) => {
    const digest = crypto.createHash(algo).update(data).digest('base64');
    const hash = new Hash(`${algo}-${digest}${optString}`, opts);

    if (hash.algorithm && hash.digest) {
      const algo = hash.algorithm;

      if (!acc[algo]) {
        acc[algo] = [];
      }

      acc[algo].push(hash);
    }

    return acc;
  }, new Integrity());
}

module.exports.fromStream = fromStream;

function fromStream(stream, opts) {
  opts = SsriOpts(opts);
  const P = opts.Promise || Promise;
  const istream = integrityStream(opts);
  return new P((resolve, reject) => {
    stream.pipe(istream);
    stream.on('error', reject);
    istream.on('error', reject);
    let sri;
    istream.on('integrity', s => {
      sri = s;
    });
    istream.on('end', () => resolve(sri));
    istream.on('data', () => {});
  });
}

module.exports.checkData = checkData;

function checkData(data, sri, opts) {
  opts = SsriOpts(opts);
  sri = parse(sri, opts);

  if (!Object.keys(sri).length) {
    if (opts.error) {
      throw Object.assign(new Error('No valid integrity hashes to check against'), {
        code: 'EINTEGRITY'
      });
    } else {
      return false;
    }
  }

  const algorithm = sri.pickAlgorithm(opts);
  const digest = crypto.createHash(algorithm).update(data).digest('base64');
  const newSri = parse({
    algorithm,
    digest
  });
  const match = newSri.match(sri, opts);

  if (match || !opts.error) {
    return match;
  } else if (typeof opts.size === 'number' && data.length !== opts.size) {
    const err = new Error(`data size mismatch when checking ${sri}.\n  Wanted: ${opts.size}\n  Found: ${data.length}`);
    err.code = 'EBADSIZE';
    err.found = data.length;
    err.expected = opts.size;
    err.sri = sri;
    throw err;
  } else {
    const err = new Error(`Integrity checksum failed when using ${algorithm}: Wanted ${sri}, but got ${newSri}. (${data.length} bytes)`);
    err.code = 'EINTEGRITY';
    err.found = newSri;
    err.expected = sri;
    err.algorithm = algorithm;
    err.sri = sri;
    throw err;
  }
}

module.exports.checkStream = checkStream;

function checkStream(stream, sri, opts) {
  opts = SsriOpts(opts);
  const P = opts.Promise || Promise;
  const checker = integrityStream(opts.concat({
    integrity: sri
  }));
  return new P((resolve, reject) => {
    stream.pipe(checker);
    stream.on('error', reject);
    checker.on('error', reject);
    let sri;
    checker.on('verified', s => {
      sri = s;
    });
    checker.on('end', () => resolve(sri));
    checker.on('data', () => {});
  });
}

module.exports.integrityStream = integrityStream;

function integrityStream(opts) {
  opts = SsriOpts(opts); // For verification

  const sri = opts.integrity && parse(opts.integrity, opts);
  const goodSri = sri && Object.keys(sri).length;
  const algorithm = goodSri && sri.pickAlgorithm(opts);
  const digests = goodSri && sri[algorithm]; // Calculating stream

  const algorithms = Array.from(new Set(opts.algorithms.concat(algorithm ? [algorithm] : [])));
  const hashes = algorithms.map(crypto.createHash);
  let streamSize = 0;
  const stream = new Transform({
    transform(chunk, enc, cb) {
      streamSize += chunk.length;
      hashes.forEach(h => h.update(chunk, enc));
      cb(null, chunk, enc);
    }

  }).on('end', () => {
    const optString = opts.options && opts.options.length ? `?${opts.options.join('?')}` : '';
    const newSri = parse(hashes.map((h, i) => {
      return `${algorithms[i]}-${h.digest('base64')}${optString}`;
    }).join(' '), opts); // Integrity verification mode

    const match = goodSri && newSri.match(sri, opts);

    if (typeof opts.size === 'number' && streamSize !== opts.size) {
      const err = new Error(`stream size mismatch when checking ${sri}.\n  Wanted: ${opts.size}\n  Found: ${streamSize}`);
      err.code = 'EBADSIZE';
      err.found = streamSize;
      err.expected = opts.size;
      err.sri = sri;
      stream.emit('error', err);
    } else if (opts.integrity && !match) {
      const err = new Error(`${sri} integrity checksum failed when using ${algorithm}: wanted ${digests} but got ${newSri}. (${streamSize} bytes)`);
      err.code = 'EINTEGRITY';
      err.found = newSri;
      err.expected = digests;
      err.algorithm = algorithm;
      err.sri = sri;
      stream.emit('error', err);
    } else {
      stream.emit('size', streamSize);
      stream.emit('integrity', newSri);
      match && stream.emit('verified', match);
    }
  });
  return stream;
}

module.exports.create = createIntegrity;

function createIntegrity(opts) {
  opts = SsriOpts(opts);
  const algorithms = opts.algorithms;
  const optString = opts.options.length ? `?${opts.options.join('?')}` : '';
  const hashes = algorithms.map(crypto.createHash);
  return {
    update: function (chunk, enc) {
      hashes.forEach(h => h.update(chunk, enc));
      return this;
    },
    digest: function (enc) {
      const integrity = algorithms.reduce((acc, algo) => {
        const digest = hashes.shift().digest('base64');
        const hash = new Hash(`${algo}-${digest}${optString}`, opts);

        if (hash.algorithm && hash.digest) {
          const algo = hash.algorithm;

          if (!acc[algo]) {
            acc[algo] = [];
          }

          acc[algo].push(hash);
        }

        return acc;
      }, new Integrity());
      return integrity;
    }
  };
}

const NODE_HASHES = new Set(crypto.getHashes()); // This is a Best Effort™ at a reasonable priority for hash algos

const DEFAULT_PRIORITY = ['md5', 'whirlpool', 'sha1', 'sha224', 'sha256', 'sha384', 'sha512', // TODO - it's unclear _which_ of these Node will actually use as its name
//        for the algorithm, so we guesswork it based on the OpenSSL names.
'sha3', 'sha3-256', 'sha3-384', 'sha3-512', 'sha3_256', 'sha3_384', 'sha3_512'].filter(algo => NODE_HASHES.has(algo));

function getPrioritizedHash(algo1, algo2) {
  return DEFAULT_PRIORITY.indexOf(algo1.toLowerCase()) >= DEFAULT_PRIORITY.indexOf(algo2.toLowerCase()) ? algo1 : algo2;
}

/***/ }),

/***/ "./node_modules/.f/_/ssri/8.0.1/ssri/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const crypto = __webpack_require__("crypto");

const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const SPEC_ALGORITHMS = ['sha256', 'sha384', 'sha512']; // TODO: this should really be a hardcoded list of algorithms we support,
// rather than [a-z0-9].

const BASE64_REGEX = /^[a-z0-9+/]+(?:=?=?)$/i;
const SRI_REGEX = /^([a-z0-9]+)-([^?]+)([?\S*]*)$/;
const STRICT_SRI_REGEX = /^([a-z0-9]+)-([A-Za-z0-9+/=]{44,88})(\?[\x21-\x7E]*)?$/;
const VCHAR_REGEX = /^[\x21-\x7E]+$/;
const defaultOpts = {
  algorithms: ['sha512'],
  error: false,
  options: [],
  pickAlgorithm: getPrioritizedHash,
  sep: ' ',
  single: false,
  strict: false
};

const ssriOpts = (opts = {}) => _objectSpread(_objectSpread({}, defaultOpts), opts);

const getOptString = options => !options || !options.length ? '' : `?${options.join('?')}`;

const _onEnd = Symbol('_onEnd');

const _getOptions = Symbol('_getOptions');

class IntegrityStream extends MiniPass {
  constructor(opts) {
    super();
    this.size = 0;
    this.opts = opts; // may be overridden later, but set now for class consistency

    this[_getOptions](); // options used for calculating stream.  can't be changed.


    const {
      algorithms = defaultOpts.algorithms
    } = opts;
    this.algorithms = Array.from(new Set(algorithms.concat(this.algorithm ? [this.algorithm] : [])));
    this.hashes = this.algorithms.map(crypto.createHash);
  }

  [_getOptions]() {
    const {
      integrity,
      size,
      options
    } = _objectSpread(_objectSpread({}, defaultOpts), this.opts); // For verification


    this.sri = integrity ? parse(integrity, this.opts) : null;
    this.expectedSize = size;
    this.goodSri = this.sri ? !!Object.keys(this.sri).length : false;
    this.algorithm = this.goodSri ? this.sri.pickAlgorithm(this.opts) : null;
    this.digests = this.goodSri ? this.sri[this.algorithm] : null;
    this.optString = getOptString(options);
  }

  emit(ev, data) {
    if (ev === 'end') this[_onEnd]();
    return super.emit(ev, data);
  }

  write(data) {
    this.size += data.length;
    this.hashes.forEach(h => h.update(data));
    return super.write(data);
  }

  [_onEnd]() {
    if (!this.goodSri) {
      this[_getOptions]();
    }

    const newSri = parse(this.hashes.map((h, i) => {
      return `${this.algorithms[i]}-${h.digest('base64')}${this.optString}`;
    }).join(' '), this.opts); // Integrity verification mode

    const match = this.goodSri && newSri.match(this.sri, this.opts);

    if (typeof this.expectedSize === 'number' && this.size !== this.expectedSize) {
      const err = new Error(`stream size mismatch when checking ${this.sri}.\n  Wanted: ${this.expectedSize}\n  Found: ${this.size}`);
      err.code = 'EBADSIZE';
      err.found = this.size;
      err.expected = this.expectedSize;
      err.sri = this.sri;
      this.emit('error', err);
    } else if (this.sri && !match) {
      const err = new Error(`${this.sri} integrity checksum failed when using ${this.algorithm}: wanted ${this.digests} but got ${newSri}. (${this.size} bytes)`);
      err.code = 'EINTEGRITY';
      err.found = newSri;
      err.expected = this.digests;
      err.algorithm = this.algorithm;
      err.sri = this.sri;
      this.emit('error', err);
    } else {
      this.emit('size', this.size);
      this.emit('integrity', newSri);
      match && this.emit('verified', match);
    }
  }

}

class Hash {
  get isHash() {
    return true;
  }

  constructor(hash, opts) {
    opts = ssriOpts(opts);
    const strict = !!opts.strict;
    this.source = hash.trim(); // set default values so that we make V8 happy to
    // always see a familiar object template.

    this.digest = '';
    this.algorithm = '';
    this.options = []; // 3.1. Integrity metadata (called "Hash" by ssri)
    // https://w3c.github.io/webappsec-subresource-integrity/#integrity-metadata-description

    const match = this.source.match(strict ? STRICT_SRI_REGEX : SRI_REGEX);

    if (!match) {
      return;
    }

    if (strict && !SPEC_ALGORITHMS.some(a => a === match[1])) {
      return;
    }

    this.algorithm = match[1];
    this.digest = match[2];
    const rawOpts = match[3];

    if (rawOpts) {
      this.options = rawOpts.slice(1).split('?');
    }
  }

  hexDigest() {
    return this.digest && Buffer.from(this.digest, 'base64').toString('hex');
  }

  toJSON() {
    return this.toString();
  }

  toString(opts) {
    opts = ssriOpts(opts);

    if (opts.strict) {
      // Strict mode enforces the standard as close to the foot of the
      // letter as it can.
      if (!( // The spec has very restricted productions for algorithms.
      // https://www.w3.org/TR/CSP2/#source-list-syntax
      SPEC_ALGORITHMS.some(x => x === this.algorithm) && // Usually, if someone insists on using a "different" base64, we
      // leave it as-is, since there's multiple standards, and the
      // specified is not a URL-safe variant.
      // https://www.w3.org/TR/CSP2/#base64_value
      this.digest.match(BASE64_REGEX) && // Option syntax is strictly visual chars.
      // https://w3c.github.io/webappsec-subresource-integrity/#grammardef-option-expression
      // https://tools.ietf.org/html/rfc5234#appendix-B.1
      this.options.every(opt => opt.match(VCHAR_REGEX)))) {
        return '';
      }
    }

    const options = this.options && this.options.length ? `?${this.options.join('?')}` : '';
    return `${this.algorithm}-${this.digest}${options}`;
  }

}

class Integrity {
  get isIntegrity() {
    return true;
  }

  toJSON() {
    return this.toString();
  }

  isEmpty() {
    return Object.keys(this).length === 0;
  }

  toString(opts) {
    opts = ssriOpts(opts);
    let sep = opts.sep || ' ';

    if (opts.strict) {
      // Entries must be separated by whitespace, according to spec.
      sep = sep.replace(/\S+/g, ' ');
    }

    return Object.keys(this).map(k => {
      return this[k].map(hash => {
        return Hash.prototype.toString.call(hash, opts);
      }).filter(x => x.length).join(sep);
    }).filter(x => x.length).join(sep);
  }

  concat(integrity, opts) {
    opts = ssriOpts(opts);
    const other = typeof integrity === 'string' ? integrity : stringify(integrity, opts);
    return parse(`${this.toString(opts)} ${other}`, opts);
  }

  hexDigest() {
    return parse(this, {
      single: true
    }).hexDigest();
  } // add additional hashes to an integrity value, but prevent
  // *changing* an existing integrity hash.


  merge(integrity, opts) {
    opts = ssriOpts(opts);
    const other = parse(integrity, opts);

    for (const algo in other) {
      if (this[algo]) {
        if (!this[algo].find(hash => other[algo].find(otherhash => hash.digest === otherhash.digest))) {
          throw new Error('hashes do not match, cannot update integrity');
        }
      } else {
        this[algo] = other[algo];
      }
    }
  }

  match(integrity, opts) {
    opts = ssriOpts(opts);
    const other = parse(integrity, opts);
    const algo = other.pickAlgorithm(opts);
    return this[algo] && other[algo] && this[algo].find(hash => other[algo].find(otherhash => hash.digest === otherhash.digest)) || false;
  }

  pickAlgorithm(opts) {
    opts = ssriOpts(opts);
    const pickAlgorithm = opts.pickAlgorithm;
    const keys = Object.keys(this);
    return keys.reduce((acc, algo) => {
      return pickAlgorithm(acc, algo) || acc;
    });
  }

}

module.exports.parse = parse;

function parse(sri, opts) {
  if (!sri) return null;
  opts = ssriOpts(opts);

  if (typeof sri === 'string') {
    return _parse(sri, opts);
  } else if (sri.algorithm && sri.digest) {
    const fullSri = new Integrity();
    fullSri[sri.algorithm] = [sri];
    return _parse(stringify(fullSri, opts), opts);
  } else {
    return _parse(stringify(sri, opts), opts);
  }
}

function _parse(integrity, opts) {
  // 3.4.3. Parse metadata
  // https://w3c.github.io/webappsec-subresource-integrity/#parse-metadata
  if (opts.single) {
    return new Hash(integrity, opts);
  }

  const hashes = integrity.trim().split(/\s+/).reduce((acc, string) => {
    const hash = new Hash(string, opts);

    if (hash.algorithm && hash.digest) {
      const algo = hash.algorithm;

      if (!acc[algo]) {
        acc[algo] = [];
      }

      acc[algo].push(hash);
    }

    return acc;
  }, new Integrity());
  return hashes.isEmpty() ? null : hashes;
}

module.exports.stringify = stringify;

function stringify(obj, opts) {
  opts = ssriOpts(opts);

  if (obj.algorithm && obj.digest) {
    return Hash.prototype.toString.call(obj, opts);
  } else if (typeof obj === 'string') {
    return stringify(parse(obj, opts), opts);
  } else {
    return Integrity.prototype.toString.call(obj, opts);
  }
}

module.exports.fromHex = fromHex;

function fromHex(hexDigest, algorithm, opts) {
  opts = ssriOpts(opts);
  const optString = getOptString(opts.options);
  return parse(`${algorithm}-${Buffer.from(hexDigest, 'hex').toString('base64')}${optString}`, opts);
}

module.exports.fromData = fromData;

function fromData(data, opts) {
  opts = ssriOpts(opts);
  const algorithms = opts.algorithms;
  const optString = getOptString(opts.options);
  return algorithms.reduce((acc, algo) => {
    const digest = crypto.createHash(algo).update(data).digest('base64');
    const hash = new Hash(`${algo}-${digest}${optString}`, opts);
    /* istanbul ignore else - it would be VERY strange if the string we
     * just calculated with an algo did not have an algo or digest.
     */

    if (hash.algorithm && hash.digest) {
      const algo = hash.algorithm;

      if (!acc[algo]) {
        acc[algo] = [];
      }

      acc[algo].push(hash);
    }

    return acc;
  }, new Integrity());
}

module.exports.fromStream = fromStream;

function fromStream(stream, opts) {
  opts = ssriOpts(opts);
  const istream = integrityStream(opts);
  return new Promise((resolve, reject) => {
    stream.pipe(istream);
    stream.on('error', reject);
    istream.on('error', reject);
    let sri;
    istream.on('integrity', s => {
      sri = s;
    });
    istream.on('end', () => resolve(sri));
    istream.on('data', () => {});
  });
}

module.exports.checkData = checkData;

function checkData(data, sri, opts) {
  opts = ssriOpts(opts);
  sri = parse(sri, opts);

  if (!sri || !Object.keys(sri).length) {
    if (opts.error) {
      throw Object.assign(new Error('No valid integrity hashes to check against'), {
        code: 'EINTEGRITY'
      });
    } else {
      return false;
    }
  }

  const algorithm = sri.pickAlgorithm(opts);
  const digest = crypto.createHash(algorithm).update(data).digest('base64');
  const newSri = parse({
    algorithm,
    digest
  });
  const match = newSri.match(sri, opts);

  if (match || !opts.error) {
    return match;
  } else if (typeof opts.size === 'number' && data.length !== opts.size) {
    const err = new Error(`data size mismatch when checking ${sri}.\n  Wanted: ${opts.size}\n  Found: ${data.length}`);
    err.code = 'EBADSIZE';
    err.found = data.length;
    err.expected = opts.size;
    err.sri = sri;
    throw err;
  } else {
    const err = new Error(`Integrity checksum failed when using ${algorithm}: Wanted ${sri}, but got ${newSri}. (${data.length} bytes)`);
    err.code = 'EINTEGRITY';
    err.found = newSri;
    err.expected = sri;
    err.algorithm = algorithm;
    err.sri = sri;
    throw err;
  }
}

module.exports.checkStream = checkStream;

function checkStream(stream, sri, opts) {
  opts = ssriOpts(opts);
  opts.integrity = sri;
  sri = parse(sri, opts);

  if (!sri || !Object.keys(sri).length) {
    return Promise.reject(Object.assign(new Error('No valid integrity hashes to check against'), {
      code: 'EINTEGRITY'
    }));
  }

  const checker = integrityStream(opts);
  return new Promise((resolve, reject) => {
    stream.pipe(checker);
    stream.on('error', reject);
    checker.on('error', reject);
    let sri;
    checker.on('verified', s => {
      sri = s;
    });
    checker.on('end', () => resolve(sri));
    checker.on('data', () => {});
  });
}

module.exports.integrityStream = integrityStream;

function integrityStream(opts = {}) {
  return new IntegrityStream(opts);
}

module.exports.create = createIntegrity;

function createIntegrity(opts) {
  opts = ssriOpts(opts);
  const algorithms = opts.algorithms;
  const optString = getOptString(opts.options);
  const hashes = algorithms.map(crypto.createHash);
  return {
    update: function (chunk, enc) {
      hashes.forEach(h => h.update(chunk, enc));
      return this;
    },
    digest: function (enc) {
      const integrity = algorithms.reduce((acc, algo) => {
        const digest = hashes.shift().digest('base64');
        const hash = new Hash(`${algo}-${digest}${optString}`, opts);
        /* istanbul ignore else - it would be VERY strange if the hash we
         * just calculated with an algo did not have an algo or digest.
         */

        if (hash.algorithm && hash.digest) {
          const algo = hash.algorithm;

          if (!acc[algo]) {
            acc[algo] = [];
          }

          acc[algo].push(hash);
        }

        return acc;
      }, new Integrity());
      return integrity;
    }
  };
}

const NODE_HASHES = new Set(crypto.getHashes()); // This is a Best Effort™ at a reasonable priority for hash algos

const DEFAULT_PRIORITY = ['md5', 'whirlpool', 'sha1', 'sha224', 'sha256', 'sha384', 'sha512', // TODO - it's unclear _which_ of these Node will actually use as its name
//        for the algorithm, so we guesswork it based on the OpenSSL names.
'sha3', 'sha3-256', 'sha3-384', 'sha3-512', 'sha3_256', 'sha3_384', 'sha3_512'].filter(algo => NODE_HASHES.has(algo));

function getPrioritizedHash(algo1, algo2) {
  return DEFAULT_PRIORITY.indexOf(algo1.toLowerCase()) >= DEFAULT_PRIORITY.indexOf(algo2.toLowerCase()) ? algo1 : algo2;
}

/***/ }),

/***/ "./node_modules/.f/_/stream-each/1.2.3/stream-each/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var eos = __webpack_require__("./node_modules/.f/_/end-of-stream/1.4.4/end-of-stream/index.js");

var shift = __webpack_require__("./node_modules/.f/_/stream-shift/1.0.1/stream-shift/index.js");

module.exports = each;

function each(stream, fn, cb) {
  var want = true;
  var error = null;
  var ended = false;
  var running = false;
  var calling = false;
  stream.on('readable', onreadable);
  onreadable();
  if (cb) eos(stream, {
    readable: true,
    writable: false
  }, done);
  return stream;

  function done(err) {
    if (!error) error = err;
    ended = true;
    if (!running) cb(error);
  }

  function onreadable() {
    if (want) read();
  }

  function afterRead(err) {
    running = false;

    if (err) {
      error = err;
      if (ended) return cb(error);
      stream.destroy(err);
      return;
    }

    if (ended) return cb(error);
    if (!calling) read();
  }

  function read() {
    while (!running && !ended) {
      want = false;
      var data = shift(stream);
      if (ended) return;

      if (data === null) {
        want = true;
        return;
      }

      running = true;
      calling = true;
      fn(data, afterRead);
      calling = false;
    }
  }
}

/***/ }),

/***/ "./node_modules/.f/_/stream-shift/1.0.1/stream-shift/index.js":
/***/ ((module) => {

module.exports = shift;

function shift(stream) {
  var rs = stream._readableState;
  if (!rs) return null;
  return rs.objectMode || typeof stream._duplexState === 'number' ? stream.read() : stream.read(getStateLength(rs));
}

function getStateLength(state) {
  if (state.buffer.length) {
    // Since node 6.3.0 state.buffer is a BufferList not an array
    if (state.buffer.head) {
      return state.buffer.head.data.length;
    }

    return state.buffer[0].length;
  }

  return state.length;
}

/***/ }),

/***/ "./node_modules/.f/_/string-width/1.0.2/string-width/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/3.0.1/strip-ansi/index.js");

var codePointAt = __webpack_require__("./node_modules/.f/_/code-point-at/1.1.0/code-point-at/index.js");

var isFullwidthCodePoint = __webpack_require__("./node_modules/.f/_/is-fullwidth-code-point/1.0.0/is-fullwidth-code-point/index.js"); // https://github.com/nodejs/io.js/blob/cff7300a578be1b10001f2d967aaedc88aee6402/lib/readline.js#L1345


module.exports = function (str) {
  if (typeof str !== 'string' || str.length === 0) {
    return 0;
  }

  var width = 0;
  str = stripAnsi(str);

  for (var i = 0; i < str.length; i++) {
    var code = codePointAt(str, i); // ignore control characters

    if (code <= 0x1f || code >= 0x7f && code <= 0x9f) {
      continue;
    } // surrogates


    if (code >= 0x10000) {
      i++;
    }

    if (isFullwidthCodePoint(code)) {
      width += 2;
    } else {
      width++;
    }
  }

  return width;
};

/***/ }),

/***/ "./node_modules/.f/_/string-width/4.2.3/string-width/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/6.0.1/strip-ansi/index.js");

const isFullwidthCodePoint = __webpack_require__("./node_modules/.f/_/is-fullwidth-code-point/3.0.0/is-fullwidth-code-point/index.js");

const emojiRegex = __webpack_require__("./node_modules/.f/_/emoji-regex/8.0.0/emoji-regex/index.js");

const stringWidth = string => {
  if (typeof string !== 'string' || string.length === 0) {
    return 0;
  }

  string = stripAnsi(string);

  if (string.length === 0) {
    return 0;
  }

  string = string.replace(emojiRegex(), '  ');
  let width = 0;

  for (let i = 0; i < string.length; i++) {
    const code = string.codePointAt(i); // Ignore control characters

    if (code <= 0x1F || code >= 0x7F && code <= 0x9F) {
      continue;
    } // Ignore combining characters


    if (code >= 0x300 && code <= 0x36F) {
      continue;
    } // Surrogates


    if (code > 0xFFFF) {
      i++;
    }

    width += isFullwidthCodePoint(code) ? 2 : 1;
  }

  return width;
};

module.exports = stringWidth; // TODO: remove this in the next major version

module.exports["default"] = stringWidth;

/***/ }),

/***/ "./node_modules/.f/_/string_decoder/1.1.1/string_decoder/lib/string_decoder.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

/*<replacement>*/

var Buffer = __webpack_require__("./node_modules/.f/_/safe-buffer/5.1.2/safe-buffer/index.js").Buffer;
/*</replacement>*/


var isEncoding = Buffer.isEncoding || function (encoding) {
  encoding = '' + encoding;

  switch (encoding && encoding.toLowerCase()) {
    case 'hex':
    case 'utf8':
    case 'utf-8':
    case 'ascii':
    case 'binary':
    case 'base64':
    case 'ucs2':
    case 'ucs-2':
    case 'utf16le':
    case 'utf-16le':
    case 'raw':
      return true;

    default:
      return false;
  }
};

function _normalizeEncoding(enc) {
  if (!enc) return 'utf8';
  var retried;

  while (true) {
    switch (enc) {
      case 'utf8':
      case 'utf-8':
        return 'utf8';

      case 'ucs2':
      case 'ucs-2':
      case 'utf16le':
      case 'utf-16le':
        return 'utf16le';

      case 'latin1':
      case 'binary':
        return 'latin1';

      case 'base64':
      case 'ascii':
      case 'hex':
        return enc;

      default:
        if (retried) return; // undefined

        enc = ('' + enc).toLowerCase();
        retried = true;
    }
  }
}

; // Do not cache `Buffer.isEncoding` when checking encoding names as some
// modules monkey-patch it to support additional encodings

function normalizeEncoding(enc) {
  var nenc = _normalizeEncoding(enc);

  if (typeof nenc !== 'string' && (Buffer.isEncoding === isEncoding || !isEncoding(enc))) throw new Error('Unknown encoding: ' + enc);
  return nenc || enc;
} // StringDecoder provides an interface for efficiently splitting a series of
// buffers into a series of JS strings without breaking apart multi-byte
// characters.


exports.StringDecoder = StringDecoder;

function StringDecoder(encoding) {
  this.encoding = normalizeEncoding(encoding);
  var nb;

  switch (this.encoding) {
    case 'utf16le':
      this.text = utf16Text;
      this.end = utf16End;
      nb = 4;
      break;

    case 'utf8':
      this.fillLast = utf8FillLast;
      nb = 4;
      break;

    case 'base64':
      this.text = base64Text;
      this.end = base64End;
      nb = 3;
      break;

    default:
      this.write = simpleWrite;
      this.end = simpleEnd;
      return;
  }

  this.lastNeed = 0;
  this.lastTotal = 0;
  this.lastChar = Buffer.allocUnsafe(nb);
}

StringDecoder.prototype.write = function (buf) {
  if (buf.length === 0) return '';
  var r;
  var i;

  if (this.lastNeed) {
    r = this.fillLast(buf);
    if (r === undefined) return '';
    i = this.lastNeed;
    this.lastNeed = 0;
  } else {
    i = 0;
  }

  if (i < buf.length) return r ? r + this.text(buf, i) : this.text(buf, i);
  return r || '';
};

StringDecoder.prototype.end = utf8End; // Returns only complete characters in a Buffer

StringDecoder.prototype.text = utf8Text; // Attempts to complete a partial non-UTF-8 character using bytes from a Buffer

StringDecoder.prototype.fillLast = function (buf) {
  if (this.lastNeed <= buf.length) {
    buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed);
    return this.lastChar.toString(this.encoding, 0, this.lastTotal);
  }

  buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, buf.length);
  this.lastNeed -= buf.length;
}; // Checks the type of a UTF-8 byte, whether it's ASCII, a leading byte, or a
// continuation byte. If an invalid byte is detected, -2 is returned.


function utf8CheckByte(byte) {
  if (byte <= 0x7F) return 0;else if (byte >> 5 === 0x06) return 2;else if (byte >> 4 === 0x0E) return 3;else if (byte >> 3 === 0x1E) return 4;
  return byte >> 6 === 0x02 ? -1 : -2;
} // Checks at most 3 bytes at the end of a Buffer in order to detect an
// incomplete multi-byte UTF-8 character. The total number of bytes (2, 3, or 4)
// needed to complete the UTF-8 character (if applicable) are returned.


function utf8CheckIncomplete(self, buf, i) {
  var j = buf.length - 1;
  if (j < i) return 0;
  var nb = utf8CheckByte(buf[j]);

  if (nb >= 0) {
    if (nb > 0) self.lastNeed = nb - 1;
    return nb;
  }

  if (--j < i || nb === -2) return 0;
  nb = utf8CheckByte(buf[j]);

  if (nb >= 0) {
    if (nb > 0) self.lastNeed = nb - 2;
    return nb;
  }

  if (--j < i || nb === -2) return 0;
  nb = utf8CheckByte(buf[j]);

  if (nb >= 0) {
    if (nb > 0) {
      if (nb === 2) nb = 0;else self.lastNeed = nb - 3;
    }

    return nb;
  }

  return 0;
} // Validates as many continuation bytes for a multi-byte UTF-8 character as
// needed or are available. If we see a non-continuation byte where we expect
// one, we "replace" the validated continuation bytes we've seen so far with
// a single UTF-8 replacement character ('\ufffd'), to match v8's UTF-8 decoding
// behavior. The continuation byte check is included three times in the case
// where all of the continuation bytes for a character exist in the same buffer.
// It is also done this way as a slight performance increase instead of using a
// loop.


function utf8CheckExtraBytes(self, buf, p) {
  if ((buf[0] & 0xC0) !== 0x80) {
    self.lastNeed = 0;
    return '\ufffd';
  }

  if (self.lastNeed > 1 && buf.length > 1) {
    if ((buf[1] & 0xC0) !== 0x80) {
      self.lastNeed = 1;
      return '\ufffd';
    }

    if (self.lastNeed > 2 && buf.length > 2) {
      if ((buf[2] & 0xC0) !== 0x80) {
        self.lastNeed = 2;
        return '\ufffd';
      }
    }
  }
} // Attempts to complete a multi-byte UTF-8 character using bytes from a Buffer.


function utf8FillLast(buf) {
  var p = this.lastTotal - this.lastNeed;
  var r = utf8CheckExtraBytes(this, buf, p);
  if (r !== undefined) return r;

  if (this.lastNeed <= buf.length) {
    buf.copy(this.lastChar, p, 0, this.lastNeed);
    return this.lastChar.toString(this.encoding, 0, this.lastTotal);
  }

  buf.copy(this.lastChar, p, 0, buf.length);
  this.lastNeed -= buf.length;
} // Returns all complete UTF-8 characters in a Buffer. If the Buffer ended on a
// partial character, the character's bytes are buffered until the required
// number of bytes are available.


function utf8Text(buf, i) {
  var total = utf8CheckIncomplete(this, buf, i);
  if (!this.lastNeed) return buf.toString('utf8', i);
  this.lastTotal = total;
  var end = buf.length - (total - this.lastNeed);
  buf.copy(this.lastChar, 0, end);
  return buf.toString('utf8', i, end);
} // For UTF-8, a replacement character is added when ending on a partial
// character.


function utf8End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';
  if (this.lastNeed) return r + '\ufffd';
  return r;
} // UTF-16LE typically needs two bytes per character, but even if we have an even
// number of bytes available, we need to check if we end on a leading/high
// surrogate. In that case, we need to wait for the next two bytes in order to
// decode the last character properly.


function utf16Text(buf, i) {
  if ((buf.length - i) % 2 === 0) {
    var r = buf.toString('utf16le', i);

    if (r) {
      var c = r.charCodeAt(r.length - 1);

      if (c >= 0xD800 && c <= 0xDBFF) {
        this.lastNeed = 2;
        this.lastTotal = 4;
        this.lastChar[0] = buf[buf.length - 2];
        this.lastChar[1] = buf[buf.length - 1];
        return r.slice(0, -1);
      }
    }

    return r;
  }

  this.lastNeed = 1;
  this.lastTotal = 2;
  this.lastChar[0] = buf[buf.length - 1];
  return buf.toString('utf16le', i, buf.length - 1);
} // For UTF-16LE we do not explicitly append special replacement characters if we
// end on a partial character, we simply let v8 handle that.


function utf16End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';

  if (this.lastNeed) {
    var end = this.lastTotal - this.lastNeed;
    return r + this.lastChar.toString('utf16le', 0, end);
  }

  return r;
}

function base64Text(buf, i) {
  var n = (buf.length - i) % 3;
  if (n === 0) return buf.toString('base64', i);
  this.lastNeed = 3 - n;
  this.lastTotal = 3;

  if (n === 1) {
    this.lastChar[0] = buf[buf.length - 1];
  } else {
    this.lastChar[0] = buf[buf.length - 2];
    this.lastChar[1] = buf[buf.length - 1];
  }

  return buf.toString('base64', i, buf.length - n);
}

function base64End(buf) {
  var r = buf && buf.length ? this.write(buf) : '';
  if (this.lastNeed) return r + this.lastChar.toString('base64', 0, 3 - this.lastNeed);
  return r;
} // Pass bytes on through for single-byte encodings (e.g. ascii, latin1, hex)


function simpleWrite(buf) {
  return buf.toString(this.encoding);
}

function simpleEnd(buf) {
  return buf && buf.length ? this.write(buf) : '';
}

/***/ }),

/***/ "./node_modules/.f/_/strip-ansi/3.0.1/strip-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var ansiRegex = __webpack_require__("./node_modules/.f/_/ansi-regex/2.1.1/ansi-regex/index.js")();

module.exports = function (str) {
  return typeof str === 'string' ? str.replace(ansiRegex, '') : str;
};

/***/ }),

/***/ "./node_modules/.f/_/strip-ansi/4.0.0/strip-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ansiRegex = __webpack_require__("./node_modules/.f/_/ansi-regex/3.0.0/ansi-regex/index.js");

module.exports = input => typeof input === 'string' ? input.replace(ansiRegex(), '') : input;

/***/ }),

/***/ "./node_modules/.f/_/strip-ansi/6.0.1/strip-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const ansiRegex = __webpack_require__("./node_modules/.f/_/ansi-regex/5.0.1/ansi-regex/index.js");

module.exports = string => typeof string === 'string' ? string.replace(ansiRegex(), '') : string;

/***/ }),

/***/ "./node_modules/.f/_/strip-bom/4.0.0/strip-bom/index.js":
/***/ ((module) => {

"use strict";


module.exports = string => {
  if (typeof string !== 'string') {
    throw new TypeError(`Expected a string, got ${typeof string}`);
  } // Catches EFBBBF (UTF-8 BOM) because the buffer-to-string
  // conversion translates it to FEFF (UTF-16 BOM)


  if (string.charCodeAt(0) === 0xFEFF) {
    return string.slice(1);
  }

  return string;
};

/***/ }),

/***/ "./node_modules/.f/_/strip-final-newline/2.0.0/strip-final-newline/index.js":
/***/ ((module) => {

"use strict";


module.exports = input => {
  const LF = typeof input === 'string' ? '\n' : '\n'.charCodeAt();
  const CR = typeof input === 'string' ? '\r' : '\r'.charCodeAt();

  if (input[input.length - 1] === LF) {
    input = input.slice(0, input.length - 1);
  }

  if (input[input.length - 1] === CR) {
    input = input.slice(0, input.length - 1);
  }

  return input;
};

/***/ }),

/***/ "./node_modules/.f/_/supports-color/7.2.0/supports-color/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const os = __webpack_require__("os");

const tty = __webpack_require__("tty");

const hasFlag = __webpack_require__("./node_modules/.f/_/has-flag/4.0.0/has-flag/index.js");

const {
  env
} = process;
let forceColor;

if (hasFlag('no-color') || hasFlag('no-colors') || hasFlag('color=false') || hasFlag('color=never')) {
  forceColor = 0;
} else if (hasFlag('color') || hasFlag('colors') || hasFlag('color=true') || hasFlag('color=always')) {
  forceColor = 1;
}

if ('FORCE_COLOR' in env) {
  if (env.FORCE_COLOR === 'true') {
    forceColor = 1;
  } else if (env.FORCE_COLOR === 'false') {
    forceColor = 0;
  } else {
    forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
  }
}

function translateLevel(level) {
  if (level === 0) {
    return false;
  }

  return {
    level,
    hasBasic: true,
    has256: level >= 2,
    has16m: level >= 3
  };
}

function supportsColor(haveStream, streamIsTTY) {
  if (forceColor === 0) {
    return 0;
  }

  if (hasFlag('color=16m') || hasFlag('color=full') || hasFlag('color=truecolor')) {
    return 3;
  }

  if (hasFlag('color=256')) {
    return 2;
  }

  if (haveStream && !streamIsTTY && forceColor === undefined) {
    return 0;
  }

  const min = forceColor || 0;

  if (env.TERM === 'dumb') {
    return min;
  }

  if (process.platform === 'win32') {
    // Windows 10 build 10586 is the first Windows release that supports 256 colors.
    // Windows 10 build 14931 is the first release that supports 16m/TrueColor.
    const osRelease = os.release().split('.');

    if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
      return Number(osRelease[2]) >= 14931 ? 3 : 2;
    }

    return 1;
  }

  if ('CI' in env) {
    if (['TRAVIS', 'CIRCLECI', 'APPVEYOR', 'GITLAB_CI', 'GITHUB_ACTIONS', 'BUILDKITE'].some(sign => sign in env) || env.CI_NAME === 'codeship') {
      return 1;
    }

    return min;
  }

  if ('TEAMCITY_VERSION' in env) {
    return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
  }

  if (env.COLORTERM === 'truecolor') {
    return 3;
  }

  if ('TERM_PROGRAM' in env) {
    const version = parseInt((env.TERM_PROGRAM_VERSION || '').split('.')[0], 10);

    switch (env.TERM_PROGRAM) {
      case 'iTerm.app':
        return version >= 3 ? 3 : 2;

      case 'Apple_Terminal':
        return 2;
      // No default
    }
  }

  if (/-256(color)?$/i.test(env.TERM)) {
    return 2;
  }

  if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
    return 1;
  }

  if ('COLORTERM' in env) {
    return 1;
  }

  return min;
}

function getSupportLevel(stream) {
  const level = supportsColor(stream, stream && stream.isTTY);
  return translateLevel(level);
}

module.exports = {
  supportsColor: getSupportLevel,
  stdout: translateLevel(supportsColor(true, tty.isatty(1))),
  stderr: translateLevel(supportsColor(true, tty.isatty(2)))
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
 // high-level commands

exports.c = exports.create = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/create.js");
exports.r = exports.replace = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/replace.js");
exports.t = exports.list = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/list.js");
exports.u = exports.update = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/update.js");
exports.x = exports.extract = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/extract.js"); // classes

exports.Pack = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pack.js");
exports.Unpack = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/unpack.js");
exports.Parse = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/parse.js");
exports.ReadEntry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/read-entry.js");
exports.WriteEntry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/write-entry.js");
exports.Header = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/header.js");
exports.Pax = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pax.js");
exports.types = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/types.js");

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // Buffer in node 4.x < 4.5.0 doesn't have working Buffer.from
// or Buffer.alloc, and Buffer in node 10 deprecated the ctor.
// .M, this is fine .\^/M..

let B = Buffer;
/* istanbul ignore next */

if (!B.alloc) {
  B = __webpack_require__("./node_modules/.f/_/safe-buffer/5.2.1/safe-buffer/index.js").Buffer;
}

module.exports = B;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/create.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -c

const hlo = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js");

const Pack = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pack.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js");

const t = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/list.js");

const path = __webpack_require__("path");

const c = module.exports = (opt_, files, cb) => {
  if (typeof files === 'function') cb = files;
  if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  return opt.file && opt.sync ? createFileSync(opt, files) : opt.file ? createFile(opt, files, cb) : opt.sync ? createSync(opt, files) : create(opt, files);
};

const createFileSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  const stream = new fsm.WriteStreamSync(opt.file, {
    mode: opt.mode || 0o666
  });
  p.pipe(stream);
  addFilesSync(p, files);
};

const createFile = (opt, files, cb) => {
  const p = new Pack(opt);
  const stream = new fsm.WriteStream(opt.file, {
    mode: opt.mode || 0o666
  });
  p.pipe(stream);
  const promise = new Promise((res, rej) => {
    stream.on('error', rej);
    stream.on('close', res);
    p.on('error', rej);
  });
  addFilesAsync(p, files);
  return cb ? promise.then(cb, cb) : promise;
};

const addFilesSync = (p, files) => {
  files.forEach(file => {
    if (file.charAt(0) === '@') t({
      file: path.resolve(p.cwd, file.substr(1)),
      sync: true,
      noResume: true,
      onentry: entry => p.add(entry)
    });else p.add(file);
  });
  p.end();
};

const addFilesAsync = (p, files) => {
  while (files.length) {
    const file = files.shift();
    if (file.charAt(0) === '@') return t({
      file: path.resolve(p.cwd, file.substr(1)),
      noResume: true,
      onentry: entry => p.add(entry)
    }).then(_ => addFilesAsync(p, files));else p.add(file);
  }

  p.end();
};

const createSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  addFilesSync(p, files);
  return p;
};

const create = (opt, files) => {
  const p = new Pack(opt);
  addFilesAsync(p, files);
  return p;
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/extract.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -x

const hlo = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js");

const Unpack = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/unpack.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js");

const path = __webpack_require__("path");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js");

const x = module.exports = (opt_, files, cb) => {
  if (typeof opt_ === 'function') cb = opt_, files = null, opt_ = {};else if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (typeof files === 'function') cb = files, files = null;
  if (!files) files = [];else files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  if (files.length) filesFilter(opt, files);
  return opt.file && opt.sync ? extractFileSync(opt) : opt.file ? extractFile(opt, cb) : opt.sync ? extractSync(opt) : extract(opt);
}; // construct a filter that limits the file entries listed
// include child entries if a dir is included


const filesFilter = (opt, files) => {
  const map = new Map(files.map(f => [stripSlash(f), true]));
  const filter = opt.filter;

  const mapHas = (file, r) => {
    const root = r || path.parse(file).root || '.';
    const ret = file === root ? false : map.has(file) ? map.get(file) : mapHas(path.dirname(file), root);
    map.set(file, ret);
    return ret;
  };

  opt.filter = filter ? (file, entry) => filter(file, entry) && mapHas(stripSlash(file)) : file => mapHas(stripSlash(file));
};

const extractFileSync = opt => {
  const u = new Unpack.Sync(opt);
  const file = opt.file;
  let threw = true;
  let fd;
  const stat = fs.statSync(file); // This trades a zero-byte read() syscall for a stat
  // However, it will usually result in less memory allocation

  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const stream = new fsm.ReadStreamSync(file, {
    readSize: readSize,
    size: stat.size
  });
  stream.pipe(u);
};

const extractFile = (opt, cb) => {
  const u = new Unpack(opt);
  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const file = opt.file;
  const p = new Promise((resolve, reject) => {
    u.on('error', reject);
    u.on('close', resolve); // This trades a zero-byte read() syscall for a stat
    // However, it will usually result in less memory allocation

    fs.stat(file, (er, stat) => {
      if (er) reject(er);else {
        const stream = new fsm.ReadStream(file, {
          readSize: readSize,
          size: stat.size
        });
        stream.on('error', reject);
        stream.pipe(u);
      }
    });
  });
  return cb ? p.then(cb, cb) : p;
};

const extractSync = opt => {
  return new Unpack.Sync(opt);
};

const extract = opt => {
  return new Unpack(opt);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/header.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // parse a 512-byte header block to a data object, or vice-versa
// encode returns `true` if a pax extended header is needed, because
// the data could not be faithfully encoded in a simple header.
// (Also, check header.needPax to see if it needs a pax header.)

const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js");

const types = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/types.js");

const pathModule = __webpack_require__("path").posix;

const large = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/large-numbers.js");

const SLURP = Symbol('slurp');
const TYPE = Symbol('type');

class Header {
  constructor(data, off, ex, gex) {
    this.cksumValid = false;
    this.needPax = false;
    this.nullBlock = false;
    this.block = null;
    this.path = null;
    this.mode = null;
    this.uid = null;
    this.gid = null;
    this.size = null;
    this.mtime = null;
    this.cksum = null;
    this[TYPE] = '0';
    this.linkpath = null;
    this.uname = null;
    this.gname = null;
    this.devmaj = 0;
    this.devmin = 0;
    this.atime = null;
    this.ctime = null;
    if (Buffer.isBuffer(data)) this.decode(data, off || 0, ex, gex);else if (data) this.set(data);
  }

  decode(buf, off, ex, gex) {
    if (!off) off = 0;
    if (!buf || !(buf.length >= off + 512)) throw new Error('need 512 bytes for header');
    this.path = decString(buf, off, 100);
    this.mode = decNumber(buf, off + 100, 8);
    this.uid = decNumber(buf, off + 108, 8);
    this.gid = decNumber(buf, off + 116, 8);
    this.size = decNumber(buf, off + 124, 12);
    this.mtime = decDate(buf, off + 136, 12);
    this.cksum = decNumber(buf, off + 148, 12); // if we have extended or global extended headers, apply them now
    // See https://github.com/npm/node-tar/pull/187

    this[SLURP](ex);
    this[SLURP](gex, true); // old tar versions marked dirs as a file with a trailing /

    this[TYPE] = decString(buf, off + 156, 1);
    if (this[TYPE] === '') this[TYPE] = '0';
    if (this[TYPE] === '0' && this.path.substr(-1) === '/') this[TYPE] = '5'; // tar implementations sometimes incorrectly put the stat(dir).size
    // as the size in the tarball, even though Directory entries are
    // not able to have any body at all.  In the very rare chance that
    // it actually DOES have a body, we weren't going to do anything with
    // it anyway, and it'll just be a warning about an invalid header.

    if (this[TYPE] === '5') this.size = 0;
    this.linkpath = decString(buf, off + 157, 100);

    if (buf.slice(off + 257, off + 265).toString() === 'ustar\u000000') {
      this.uname = decString(buf, off + 265, 32);
      this.gname = decString(buf, off + 297, 32);
      this.devmaj = decNumber(buf, off + 329, 8);
      this.devmin = decNumber(buf, off + 337, 8);

      if (buf[off + 475] !== 0) {
        // definitely a prefix, definitely >130 chars.
        const prefix = decString(buf, off + 345, 155);
        this.path = prefix + '/' + this.path;
      } else {
        const prefix = decString(buf, off + 345, 130);
        if (prefix) this.path = prefix + '/' + this.path;
        this.atime = decDate(buf, off + 476, 12);
        this.ctime = decDate(buf, off + 488, 12);
      }
    }

    let sum = 8 * 0x20;

    for (let i = off; i < off + 148; i++) {
      sum += buf[i];
    }

    for (let i = off + 156; i < off + 512; i++) {
      sum += buf[i];
    }

    this.cksumValid = sum === this.cksum;
    if (this.cksum === null && sum === 8 * 0x20) this.nullBlock = true;
  }

  [SLURP](ex, global) {
    for (let k in ex) {
      // we slurp in everything except for the path attribute in
      // a global extended header, because that's weird.
      if (ex[k] !== null && ex[k] !== undefined && !(global && k === 'path')) this[k] = ex[k];
    }
  }

  encode(buf, off) {
    if (!buf) {
      buf = this.block = Buffer.alloc(512);
      off = 0;
    }

    if (!off) off = 0;
    if (!(buf.length >= off + 512)) throw new Error('need 512 bytes for header');
    const prefixSize = this.ctime || this.atime ? 130 : 155;
    const split = splitPrefix(this.path || '', prefixSize);
    const path = split[0];
    const prefix = split[1];
    this.needPax = split[2];
    this.needPax = encString(buf, off, 100, path) || this.needPax;
    this.needPax = encNumber(buf, off + 100, 8, this.mode) || this.needPax;
    this.needPax = encNumber(buf, off + 108, 8, this.uid) || this.needPax;
    this.needPax = encNumber(buf, off + 116, 8, this.gid) || this.needPax;
    this.needPax = encNumber(buf, off + 124, 12, this.size) || this.needPax;
    this.needPax = encDate(buf, off + 136, 12, this.mtime) || this.needPax;
    buf[off + 156] = this[TYPE].charCodeAt(0);
    this.needPax = encString(buf, off + 157, 100, this.linkpath) || this.needPax;
    buf.write('ustar\u000000', off + 257, 8);
    this.needPax = encString(buf, off + 265, 32, this.uname) || this.needPax;
    this.needPax = encString(buf, off + 297, 32, this.gname) || this.needPax;
    this.needPax = encNumber(buf, off + 329, 8, this.devmaj) || this.needPax;
    this.needPax = encNumber(buf, off + 337, 8, this.devmin) || this.needPax;
    this.needPax = encString(buf, off + 345, prefixSize, prefix) || this.needPax;
    if (buf[off + 475] !== 0) this.needPax = encString(buf, off + 345, 155, prefix) || this.needPax;else {
      this.needPax = encString(buf, off + 345, 130, prefix) || this.needPax;
      this.needPax = encDate(buf, off + 476, 12, this.atime) || this.needPax;
      this.needPax = encDate(buf, off + 488, 12, this.ctime) || this.needPax;
    }
    let sum = 8 * 0x20;

    for (let i = off; i < off + 148; i++) {
      sum += buf[i];
    }

    for (let i = off + 156; i < off + 512; i++) {
      sum += buf[i];
    }

    this.cksum = sum;
    encNumber(buf, off + 148, 8, this.cksum);
    this.cksumValid = true;
    return this.needPax;
  }

  set(data) {
    for (let i in data) {
      if (data[i] !== null && data[i] !== undefined) this[i] = data[i];
    }
  }

  get type() {
    return types.name.get(this[TYPE]) || this[TYPE];
  }

  get typeKey() {
    return this[TYPE];
  }

  set type(type) {
    if (types.code.has(type)) this[TYPE] = types.code.get(type);else this[TYPE] = type;
  }

}

const splitPrefix = (p, prefixSize) => {
  const pathSize = 100;
  let pp = p;
  let prefix = '';
  let ret;
  const root = pathModule.parse(p).root || '.';
  if (Buffer.byteLength(pp) < pathSize) ret = [pp, prefix, false];else {
    // first set prefix to the dir, and path to the base
    prefix = pathModule.dirname(pp);
    pp = pathModule.basename(pp);

    do {
      // both fit!
      if (Buffer.byteLength(pp) <= pathSize && Buffer.byteLength(prefix) <= prefixSize) ret = [pp, prefix, false]; // prefix fits in prefix, but path doesn't fit in path
      else if (Buffer.byteLength(pp) > pathSize && Buffer.byteLength(prefix) <= prefixSize) ret = [pp.substr(0, pathSize - 1), prefix, true];else {
        // make path take a bit from prefix
        pp = pathModule.join(pathModule.basename(prefix), pp);
        prefix = pathModule.dirname(prefix);
      }
    } while (prefix !== root && !ret); // at this point, found no resolution, just truncate


    if (!ret) ret = [p.substr(0, pathSize - 1), '', true];
  }
  return ret;
};

const decString = (buf, off, size) => buf.slice(off, off + size).toString('utf8').replace(/\0.*/, '');

const decDate = (buf, off, size) => numToDate(decNumber(buf, off, size));

const numToDate = num => num === null ? null : new Date(num * 1000);

const decNumber = (buf, off, size) => buf[off] & 0x80 ? large.parse(buf.slice(off, off + size)) : decSmallNumber(buf, off, size);

const nanNull = value => isNaN(value) ? null : value;

const decSmallNumber = (buf, off, size) => nanNull(parseInt(buf.slice(off, off + size).toString('utf8').replace(/\0.*$/, '').trim(), 8)); // the maximum encodable as a null-terminated octal, by field size


const MAXNUM = {
  12: 0o77777777777,
  8: 0o7777777
};

const encNumber = (buf, off, size, number) => number === null ? false : number > MAXNUM[size] || number < 0 ? (large.encode(number, buf.slice(off, off + size)), true) : (encSmallNumber(buf, off, size, number), false);

const encSmallNumber = (buf, off, size, number) => buf.write(octalString(number, size), off, size, 'ascii');

const octalString = (number, size) => padOctal(Math.floor(number).toString(8), size);

const padOctal = (string, size) => (string.length === size - 1 ? string : new Array(size - string.length - 1).join('0') + string + ' ') + '\0';

const encDate = (buf, off, size, date) => date === null ? false : encNumber(buf, off, size, date.getTime() / 1000); // enough to fill the longest string we've got


const NULLS = new Array(156).join('\0'); // pad with nulls, return true if it's longer or non-ascii

const encString = (buf, off, size, string) => string === null ? false : (buf.write(string + NULLS, off, size, 'utf8'), string.length !== Buffer.byteLength(string) || string.length > size);

module.exports = Header;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js":
/***/ ((module) => {

"use strict";
 // turn tar(1) style args like `C` into the more verbose things like `cwd`

const argmap = new Map([['C', 'cwd'], ['f', 'file'], ['z', 'gzip'], ['P', 'preservePaths'], ['U', 'unlink'], ['strip-components', 'strip'], ['stripComponents', 'strip'], ['keep-newer', 'newer'], ['keepNewer', 'newer'], ['keep-newer-files', 'newer'], ['keepNewerFiles', 'newer'], ['k', 'keep'], ['keep-existing', 'keep'], ['keepExisting', 'keep'], ['m', 'noMtime'], ['no-mtime', 'noMtime'], ['p', 'preserveOwner'], ['L', 'follow'], ['h', 'follow']]);

const parse = module.exports = opt => opt ? Object.keys(opt).map(k => [argmap.has(k) ? argmap.get(k) : k, opt[k]]).reduce((set, kv) => (set[kv[0]] = kv[1], set), Object.create(null)) : {};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/large-numbers.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";
 // Tar can encode large and negative numbers using a leading byte of
// 0xff for negative, and 0x80 for positive.

const encode = exports.encode = (num, buf) => {
  if (!Number.isSafeInteger(num)) // The number is so large that javascript cannot represent it with integer
    // precision.
    throw TypeError('cannot encode number outside of javascript safe integer range');else if (num < 0) encodeNegative(num, buf);else encodePositive(num, buf);
  return buf;
};

const encodePositive = (num, buf) => {
  buf[0] = 0x80;

  for (var i = buf.length; i > 1; i--) {
    buf[i - 1] = num & 0xff;
    num = Math.floor(num / 0x100);
  }
};

const encodeNegative = (num, buf) => {
  buf[0] = 0xff;
  var flipped = false;
  num = num * -1;

  for (var i = buf.length; i > 1; i--) {
    var byte = num & 0xff;
    num = Math.floor(num / 0x100);
    if (flipped) buf[i - 1] = onesComp(byte);else if (byte === 0) buf[i - 1] = 0;else {
      flipped = true;
      buf[i - 1] = twosComp(byte);
    }
  }
};

const parse = exports.parse = buf => {
  var post = buf[buf.length - 1];
  var pre = buf[0];
  var value;
  if (pre === 0x80) value = pos(buf.slice(1, buf.length));else if (pre === 0xff) value = twos(buf);else throw TypeError('invalid base256 encoding');
  if (!Number.isSafeInteger(value)) // The number is so large that javascript cannot represent it with integer
    // precision.
    throw TypeError('parsed number outside of javascript safe integer range');
  return value;
};

const twos = buf => {
  var len = buf.length;
  var sum = 0;
  var flipped = false;

  for (var i = len - 1; i > -1; i--) {
    var byte = buf[i];
    var f;
    if (flipped) f = onesComp(byte);else if (byte === 0) f = byte;else {
      flipped = true;
      f = twosComp(byte);
    }
    if (f !== 0) sum -= f * Math.pow(256, len - i - 1);
  }

  return sum;
};

const pos = buf => {
  var len = buf.length;
  var sum = 0;

  for (var i = len - 1; i > -1; i--) {
    var byte = buf[i];
    if (byte !== 0) sum += byte * Math.pow(256, len - i - 1);
  }

  return sum;
};

const onesComp = byte => (0xff ^ byte) & 0xff;

const twosComp = byte => (0xff ^ byte) + 1 & 0xff;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/list.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js"); // XXX: This shares a lot in common with extract.js
// maybe some DRY opportunity here?
// tar -t


const hlo = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js");

const Parser = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/parse.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js");

const path = __webpack_require__("path");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js");

const t = module.exports = (opt_, files, cb) => {
  if (typeof opt_ === 'function') cb = opt_, files = null, opt_ = {};else if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (typeof files === 'function') cb = files, files = null;
  if (!files) files = [];else files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  if (files.length) filesFilter(opt, files);
  if (!opt.noResume) onentryFunction(opt);
  return opt.file && opt.sync ? listFileSync(opt) : opt.file ? listFile(opt, cb) : list(opt);
};

const onentryFunction = opt => {
  const onentry = opt.onentry;
  opt.onentry = onentry ? e => {
    onentry(e);
    e.resume();
  } : e => e.resume();
}; // construct a filter that limits the file entries listed
// include child entries if a dir is included


const filesFilter = (opt, files) => {
  const map = new Map(files.map(f => [stripSlash(f), true]));
  const filter = opt.filter;

  const mapHas = (file, r) => {
    const root = r || path.parse(file).root || '.';
    const ret = file === root ? false : map.has(file) ? map.get(file) : mapHas(path.dirname(file), root);
    map.set(file, ret);
    return ret;
  };

  opt.filter = filter ? (file, entry) => filter(file, entry) && mapHas(stripSlash(file)) : file => mapHas(stripSlash(file));
};

const listFileSync = opt => {
  const p = list(opt);
  const file = opt.file;
  let threw = true;
  let fd;

  try {
    const stat = fs.statSync(file);
    const readSize = opt.maxReadSize || 16 * 1024 * 1024;

    if (stat.size < readSize) {
      p.end(fs.readFileSync(file));
    } else {
      let pos = 0;
      const buf = Buffer.allocUnsafe(readSize);
      fd = fs.openSync(file, 'r');

      while (pos < stat.size) {
        let bytesRead = fs.readSync(fd, buf, 0, readSize, pos);
        pos += bytesRead;
        p.write(buf.slice(0, bytesRead));
      }

      p.end();
    }

    threw = false;
  } finally {
    if (threw && fd) try {
      fs.closeSync(fd);
    } catch (er) {}
  }
};

const listFile = (opt, cb) => {
  const parse = new Parser(opt);
  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const file = opt.file;
  const p = new Promise((resolve, reject) => {
    parse.on('error', reject);
    parse.on('end', resolve);
    fs.stat(file, (er, stat) => {
      if (er) reject(er);else {
        const stream = new fsm.ReadStream(file, {
          readSize: readSize,
          size: stat.size
        });
        stream.on('error', reject);
        stream.pipe(parse);
      }
    });
  });
  return cb ? p.then(cb, cb) : p;
};

const list = opt => new Parser(opt);

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/mkdir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // wrapper around mkdirp for tar's needs.
// TODO: This should probably be a class, not functionally
// passing around state in a gazillion args.

const mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/0.5.5/mkdirp/index.js");

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const chownr = __webpack_require__("./node_modules/.f/_/chownr/1.1.4/chownr/chownr.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

class SymlinkError extends Error {
  constructor(symlink, path) {
    super('Cannot extract through symbolic link');
    this.path = path;
    this.symlink = symlink;
  }

  get name() {
    return 'SylinkError';
  }

}

class CwdError extends Error {
  constructor(path, code) {
    super(code + ': Cannot cd into \'' + path + '\'');
    this.path = path;
    this.code = code;
  }

  get name() {
    return 'CwdError';
  }

}

const cGet = (cache, key) => cache.get(normPath(key));

const cSet = (cache, key, val) => cache.set(normPath(key), val);

const checkCwd = (dir, cb) => {
  fs.stat(dir, (er, st) => {
    if (er || !st.isDirectory()) er = new CwdError(dir, er && er.code || 'ENOTDIR');
    cb(er);
  });
};

module.exports = (dir, opt, cb) => {
  dir = normPath(dir); // if there's any overlap between mask and mode,
  // then we'll need an explicit chmod

  const umask = opt.umask;
  const mode = opt.mode | 0o0700;
  const needChmod = (mode & umask) !== 0;
  const uid = opt.uid;
  const gid = opt.gid;
  const doChown = typeof uid === 'number' && typeof gid === 'number' && (uid !== opt.processUid || gid !== opt.processGid);
  const preserve = opt.preserve;
  const unlink = opt.unlink;
  const cache = opt.cache;
  const cwd = normPath(opt.cwd);

  const done = (er, created) => {
    if (er) cb(er);else {
      cSet(cache, dir, true);
      if (created && doChown) chownr(created, uid, gid, er => done(er));else if (needChmod) fs.chmod(dir, mode, cb);else cb();
    }
  };

  if (cache && cGet(cache, dir) === true) return done();
  if (dir === cwd) return checkCwd(dir, done);
  if (preserve) return mkdirp(dir, mode, done);
  const sub = normPath(path.relative(cwd, dir));
  const parts = sub.split('/');
  mkdir_(cwd, parts, mode, cache, unlink, cwd, null, done);
};

const mkdir_ = (base, parts, mode, cache, unlink, cwd, created, cb) => {
  if (!parts.length) return cb(null, created);
  const p = parts.shift();
  const part = normPath(path.resolve(base + '/' + p));
  if (cGet(cache, part)) return mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);
  fs.mkdir(part, mode, onmkdir(part, parts, mode, cache, unlink, cwd, created, cb));
};

const onmkdir = (part, parts, mode, cache, unlink, cwd, created, cb) => er => {
  if (er) {
    fs.lstat(part, (statEr, st) => {
      if (statEr) {
        statEr.path = statEr.path && normPath(statEr.path);
        cb(statEr);
      } else if (st.isDirectory()) mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);else if (unlink) fs.unlink(part, er => {
        if (er) return cb(er);
        fs.mkdir(part, mode, onmkdir(part, parts, mode, cache, unlink, cwd, created, cb));
      });else if (st.isSymbolicLink()) return cb(new SymlinkError(part, part + '/' + parts.join('/')));else cb(er);
    });
  } else {
    created = created || part;
    mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);
  }
};

const checkCwdSync = dir => {
  let ok = false;
  let code = 'ENOTDIR';

  try {
    ok = fs.statSync(dir).isDirectory();
  } catch (er) {
    code = er.code;
  } finally {
    if (!ok) throw new CwdError(dir, code);
  }
};

module.exports.sync = (dir, opt) => {
  dir = normPath(dir); // if there's any overlap between mask and mode,
  // then we'll need an explicit chmod

  const umask = opt.umask;
  const mode = opt.mode | 0o0700;
  const needChmod = (mode & umask) !== 0;
  const uid = opt.uid;
  const gid = opt.gid;
  const doChown = typeof uid === 'number' && typeof gid === 'number' && (uid !== opt.processUid || gid !== opt.processGid);
  const preserve = opt.preserve;
  const unlink = opt.unlink;
  const cache = opt.cache;
  const cwd = normPath(opt.cwd);

  const done = created => {
    cSet(cache, dir, true);
    if (created && doChown) chownr.sync(created, uid, gid);
    if (needChmod) fs.chmodSync(dir, mode);
  };

  if (cache && cGet(cache, dir) === true) return done();

  if (dir === cwd) {
    checkCwdSync(cwd);
    return done();
  }

  if (preserve) return done(mkdirp.sync(dir, mode));
  const sub = normPath(path.relative(cwd, dir));
  const parts = sub.split('/');
  let created = null;

  for (let p = parts.shift(), part = cwd; p && (part += '/' + p); p = parts.shift()) {
    part = normPath(path.resolve(part));
    if (cGet(cache, part)) continue;

    try {
      fs.mkdirSync(part, mode);
      created = created || part;
      cSet(cache, part, true);
    } catch (er) {
      const st = fs.lstatSync(part);

      if (st.isDirectory()) {
        cSet(cache, part, true);
        continue;
      } else if (unlink) {
        fs.unlinkSync(part);
        fs.mkdirSync(part, mode);
        created = created || part;
        cSet(cache, part, true);
        continue;
      } else if (st.isSymbolicLink()) return new SymlinkError(part, part + '/' + parts.join('/'));
    }
  }

  return done(created);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/mode-fix.js":
/***/ ((module) => {

"use strict";


module.exports = (mode, isDir) => {
  mode &= 0o7777; // if dirs are readable, then they should be listable

  if (isDir) {
    if (mode & 0o400) mode |= 0o100;
    if (mode & 0o40) mode |= 0o10;
    if (mode & 0o4) mode |= 0o1;
  }

  return mode;
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js":
/***/ ((module) => {

// on windows, either \ or / are valid directory separators.
// on unix, \ is a valid character in filenames.
// so, on windows, and only on windows, we replace all \ chars with /,
// so that we can use / as our one and only directory separator char.
const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
module.exports = platform !== 'win32' ? p => p : p => p && p.replace(/\\/g, '/');

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/pack.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js"); // A readable tar stream creator
// Technically, this is a transform stream that you write paths into,
// and tar format comes out of.
// The `add()` method is like `write()` but returns this,
// and end() return `this` as well, so you can
// do `new Pack(opt).add('files').add('dir').end().pipe(output)
// You could also do something like:
// streamOfPaths().pipe(new Pack()).pipe(new fs.WriteStream('out.tar'))


class PackJob {
  constructor(path, absolute) {
    this.path = path || './';
    this.absolute = absolute;
    this.entry = null;
    this.stat = null;
    this.readdir = null;
    this.pending = false;
    this.ignore = false;
    this.piped = false;
  }

}

const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const zlib = __webpack_require__("./node_modules/.f/_/minizlib/1.3.3/minizlib/index.js");

const ReadEntry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/read-entry.js");

const WriteEntry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/write-entry.js");

const WriteEntrySync = WriteEntry.Sync;
const WriteEntryTar = WriteEntry.Tar;

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/3.1.1/yallist/yallist.js");

const EOF = Buffer.alloc(1024);
const ONSTAT = Symbol('onStat');
const ENDED = Symbol('ended');
const QUEUE = Symbol('queue');
const CURRENT = Symbol('current');
const PROCESS = Symbol('process');
const PROCESSING = Symbol('processing');
const PROCESSJOB = Symbol('processJob');
const JOBS = Symbol('jobs');
const JOBDONE = Symbol('jobDone');
const ADDFSENTRY = Symbol('addFSEntry');
const ADDTARENTRY = Symbol('addTarEntry');
const STAT = Symbol('stat');
const READDIR = Symbol('readdir');
const ONREADDIR = Symbol('onreaddir');
const PIPE = Symbol('pipe');
const ENTRY = Symbol('entry');
const ENTRYOPT = Symbol('entryOpt');
const WRITEENTRYCLASS = Symbol('writeEntryClass');
const WRITE = Symbol('write');
const ONDRAIN = Symbol('ondrain');

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const warner = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/warn-mixin.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

const Pack = warner(class Pack extends MiniPass {
  constructor(opt) {
    super(opt);
    opt = opt || Object.create(null);
    this.opt = opt;
    this.cwd = opt.cwd || process.cwd();
    this.maxReadSize = opt.maxReadSize;
    this.preservePaths = !!opt.preservePaths;
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.prefix = normPath(opt.prefix || '');
    this.linkCache = opt.linkCache || new Map();
    this.statCache = opt.statCache || new Map();
    this.readdirCache = opt.readdirCache || new Map();
    this[WRITEENTRYCLASS] = WriteEntry;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    this.zip = null;

    if (opt.gzip) {
      if (typeof opt.gzip !== 'object') opt.gzip = {};
      this.zip = new zlib.Gzip(opt.gzip);
      this.zip.on('data', chunk => super.write(chunk));
      this.zip.on('end', _ => super.end());
      this.zip.on('drain', _ => this[ONDRAIN]());
      this.on('resume', _ => this.zip.resume());
    } else this.on('drain', this[ONDRAIN]);

    this.portable = !!opt.portable;
    this.noDirRecurse = !!opt.noDirRecurse;
    this.follow = !!opt.follow;
    this.noMtime = !!opt.noMtime;
    this.mtime = opt.mtime || null;
    this.filter = typeof opt.filter === 'function' ? opt.filter : _ => true;
    this[QUEUE] = new Yallist();
    this[JOBS] = 0;
    this.jobs = +opt.jobs || 4;
    this[PROCESSING] = false;
    this[ENDED] = false;
  }

  [WRITE](chunk) {
    return super.write(chunk);
  }

  add(path) {
    this.write(path);
    return this;
  }

  end(path) {
    if (path) this.write(path);
    this[ENDED] = true;
    this[PROCESS]();
    return this;
  }

  write(path) {
    if (this[ENDED]) throw new Error('write after end');
    if (path instanceof ReadEntry) this[ADDTARENTRY](path);else this[ADDFSENTRY](path);
    return this.flowing;
  }

  [ADDTARENTRY](p) {
    const absolute = normPath(path.resolve(this.cwd, p.path)); // in this case, we don't have to wait for the stat

    if (!this.filter(p.path, p)) p.resume();else {
      const job = new PackJob(p.path, absolute, false);
      job.entry = new WriteEntryTar(p, this[ENTRYOPT](job));
      job.entry.on('end', _ => this[JOBDONE](job));
      this[JOBS] += 1;
      this[QUEUE].push(job);
    }
    this[PROCESS]();
  }

  [ADDFSENTRY](p) {
    const absolute = normPath(path.resolve(this.cwd, p));
    this[QUEUE].push(new PackJob(p, absolute));
    this[PROCESS]();
  }

  [STAT](job) {
    job.pending = true;
    this[JOBS] += 1;
    const stat = this.follow ? 'stat' : 'lstat';
    fs[stat](job.absolute, (er, stat) => {
      job.pending = false;
      this[JOBS] -= 1;
      if (er) this.emit('error', er);else this[ONSTAT](job, stat);
    });
  }

  [ONSTAT](job, stat) {
    this.statCache.set(job.absolute, stat);
    job.stat = stat; // now we have the stat, we can filter it.

    if (!this.filter(job.path, stat)) job.ignore = true;
    this[PROCESS]();
  }

  [READDIR](job) {
    job.pending = true;
    this[JOBS] += 1;
    fs.readdir(job.absolute, (er, entries) => {
      job.pending = false;
      this[JOBS] -= 1;
      if (er) return this.emit('error', er);
      this[ONREADDIR](job, entries);
    });
  }

  [ONREADDIR](job, entries) {
    this.readdirCache.set(job.absolute, entries);
    job.readdir = entries;
    this[PROCESS]();
  }

  [PROCESS]() {
    if (this[PROCESSING]) return;
    this[PROCESSING] = true;

    for (let w = this[QUEUE].head; w !== null && this[JOBS] < this.jobs; w = w.next) {
      this[PROCESSJOB](w.value);

      if (w.value.ignore) {
        const p = w.next;
        this[QUEUE].removeNode(w);
        w.next = p;
      }
    }

    this[PROCESSING] = false;

    if (this[ENDED] && !this[QUEUE].length && this[JOBS] === 0) {
      if (this.zip) this.zip.end(EOF);else {
        super.write(EOF);
        super.end();
      }
    }
  }

  get [CURRENT]() {
    return this[QUEUE] && this[QUEUE].head && this[QUEUE].head.value;
  }

  [JOBDONE](job) {
    this[QUEUE].shift();
    this[JOBS] -= 1;
    this[PROCESS]();
  }

  [PROCESSJOB](job) {
    if (job.pending) return;

    if (job.entry) {
      if (job === this[CURRENT] && !job.piped) this[PIPE](job);
      return;
    }

    if (!job.stat) {
      if (this.statCache.has(job.absolute)) this[ONSTAT](job, this.statCache.get(job.absolute));else this[STAT](job);
    }

    if (!job.stat) return; // filtered out!

    if (job.ignore) return;

    if (!this.noDirRecurse && job.stat.isDirectory() && !job.readdir) {
      if (this.readdirCache.has(job.absolute)) this[ONREADDIR](job, this.readdirCache.get(job.absolute));else this[READDIR](job);
      if (!job.readdir) return;
    } // we know it doesn't have an entry, because that got checked above


    job.entry = this[ENTRY](job);

    if (!job.entry) {
      job.ignore = true;
      return;
    }

    if (job === this[CURRENT] && !job.piped) this[PIPE](job);
  }

  [ENTRYOPT](job) {
    return {
      onwarn: (msg, data) => {
        this.warn(msg, data);
      },
      noPax: this.noPax,
      cwd: this.cwd,
      absolute: job.absolute,
      preservePaths: this.preservePaths,
      maxReadSize: this.maxReadSize,
      strict: this.strict,
      portable: this.portable,
      linkCache: this.linkCache,
      statCache: this.statCache,
      noMtime: this.noMtime,
      mtime: this.mtime,
      prefix: this.prefix
    };
  }

  [ENTRY](job) {
    this[JOBS] += 1;

    try {
      return new this[WRITEENTRYCLASS](job.path, this[ENTRYOPT](job)).on('end', () => this[JOBDONE](job)).on('error', er => this.emit('error', er));
    } catch (er) {
      this.emit('error', er);
    }
  }

  [ONDRAIN]() {
    if (this[CURRENT] && this[CURRENT].entry) this[CURRENT].entry.resume();
  } // like .pipe() but using super, because our write() is special


  [PIPE](job) {
    job.piped = true;
    if (job.readdir) job.readdir.forEach(entry => {
      const p = job.path;
      const base = p === './' ? '' : p.replace(/\/*$/, '/');
      this[ADDFSENTRY](base + entry);
    });
    const source = job.entry;
    const zip = this.zip;
    if (zip) source.on('data', chunk => {
      if (!zip.write(chunk)) source.pause();
    });else source.on('data', chunk => {
      if (!super.write(chunk)) source.pause();
    });
  }

  pause() {
    if (this.zip) this.zip.pause();
    return super.pause();
  }

});

class PackSync extends Pack {
  constructor(opt) {
    super(opt);
    this[WRITEENTRYCLASS] = WriteEntrySync;
  } // pause/resume are no-ops in sync streams.


  pause() {}

  resume() {}

  [STAT](job) {
    const stat = this.follow ? 'statSync' : 'lstatSync';
    this[ONSTAT](job, fs[stat](job.absolute));
  }

  [READDIR](job, stat) {
    this[ONREADDIR](job, fs.readdirSync(job.absolute));
  } // gotta get it all in this tick


  [PIPE](job) {
    const source = job.entry;
    const zip = this.zip;
    if (job.readdir) job.readdir.forEach(entry => {
      const p = job.path;
      const base = p === './' ? '' : p.replace(/\/*$/, '/');
      this[ADDFSENTRY](base + entry);
    });
    if (zip) source.on('data', chunk => {
      zip.write(chunk);
    });else source.on('data', chunk => {
      super[WRITE](chunk);
    });
  }

}

Pack.Sync = PackSync;
module.exports = Pack;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/parse.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // this[BUFFER] is the remainder of a chunk if we're waiting for
// the full 512 bytes of a header to come in.  We will Buffer.concat()
// it to the next write(), which is a mem copy, but a small one.
//
// this[QUEUE] is a Yallist of entries that haven't been emitted
// yet this can only get filled up if the user keeps write()ing after
// a write() returns false, or does a write() with more than one entry
//
// We don't buffer chunks, we always parse them and either create an
// entry, or push it into the active entry.  The ReadEntry class knows
// to throw data away if .ignore=true
//
// Shift entry off the buffer when it emits 'end', and emit 'entry' for
// the next one in the list.
//
// At any time, we're pushing body chunks into the entry at WRITEENTRY,
// and waiting for 'end' on the entry at READENTRY
//
// ignored entries get .resume() called on them straight away

const warner = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/warn-mixin.js");

const path = __webpack_require__("path");

const Header = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/header.js");

const EE = __webpack_require__("events");

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/3.1.1/yallist/yallist.js");

const maxMetaEntrySize = 1024 * 1024;

const Entry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/read-entry.js");

const Pax = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pax.js");

const zlib = __webpack_require__("./node_modules/.f/_/minizlib/1.3.3/minizlib/index.js");

const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js");

const gzipHeader = Buffer.from([0x1f, 0x8b]);
const STATE = Symbol('state');
const WRITEENTRY = Symbol('writeEntry');
const READENTRY = Symbol('readEntry');
const NEXTENTRY = Symbol('nextEntry');
const PROCESSENTRY = Symbol('processEntry');
const EX = Symbol('extendedHeader');
const GEX = Symbol('globalExtendedHeader');
const META = Symbol('meta');
const EMITMETA = Symbol('emitMeta');
const BUFFER = Symbol('buffer');
const QUEUE = Symbol('queue');
const ENDED = Symbol('ended');
const EMITTEDEND = Symbol('emittedEnd');
const EMIT = Symbol('emit');
const UNZIP = Symbol('unzip');
const CONSUMECHUNK = Symbol('consumeChunk');
const CONSUMECHUNKSUB = Symbol('consumeChunkSub');
const CONSUMEBODY = Symbol('consumeBody');
const CONSUMEMETA = Symbol('consumeMeta');
const CONSUMEHEADER = Symbol('consumeHeader');
const CONSUMING = Symbol('consuming');
const BUFFERCONCAT = Symbol('bufferConcat');
const MAYBEEND = Symbol('maybeEnd');
const WRITING = Symbol('writing');
const ABORTED = Symbol('aborted');
const DONE = Symbol('onDone');

const noop = _ => true;

module.exports = warner(class Parser extends EE {
  constructor(opt) {
    opt = opt || {};
    super(opt);
    if (opt.ondone) this.on(DONE, opt.ondone);else this.on(DONE, _ => {
      this.emit('prefinish');
      this.emit('finish');
      this.emit('end');
      this.emit('close');
    });
    this.strict = !!opt.strict;
    this.maxMetaEntrySize = opt.maxMetaEntrySize || maxMetaEntrySize;
    this.filter = typeof opt.filter === 'function' ? opt.filter : noop; // have to set this so that streams are ok piping into it

    this.writable = true;
    this.readable = false;
    this[QUEUE] = new Yallist();
    this[BUFFER] = null;
    this[READENTRY] = null;
    this[WRITEENTRY] = null;
    this[STATE] = 'begin';
    this[META] = '';
    this[EX] = null;
    this[GEX] = null;
    this[ENDED] = false;
    this[UNZIP] = null;
    this[ABORTED] = false;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    if (typeof opt.onentry === 'function') this.on('entry', opt.onentry);
  }

  [CONSUMEHEADER](chunk, position) {
    let header;

    try {
      header = new Header(chunk, position, this[EX], this[GEX]);
    } catch (er) {
      return this.warn('invalid entry', er);
    }

    if (header.nullBlock) this[EMIT]('nullBlock');else if (!header.cksumValid) this.warn('invalid entry', header);else if (!header.path) this.warn('invalid: path is required', header);else {
      const type = header.type;
      if (/^(Symbolic)?Link$/.test(type) && !header.linkpath) this.warn('invalid: linkpath required', header);else if (!/^(Symbolic)?Link$/.test(type) && header.linkpath) this.warn('invalid: linkpath forbidden', header);else {
        const entry = this[WRITEENTRY] = new Entry(header, this[EX], this[GEX]);

        if (entry.meta) {
          if (entry.size > this.maxMetaEntrySize) {
            entry.ignore = true;
            this[EMIT]('ignoredEntry', entry);
            this[STATE] = 'ignore';
          } else if (entry.size > 0) {
            this[META] = '';
            entry.on('data', c => this[META] += c);
            this[STATE] = 'meta';
          }
        } else {
          this[EX] = null;
          entry.ignore = entry.ignore || !this.filter(entry.path, entry);

          if (entry.ignore) {
            this[EMIT]('ignoredEntry', entry);
            this[STATE] = entry.remain ? 'ignore' : 'begin';
          } else {
            if (entry.remain) this[STATE] = 'body';else {
              this[STATE] = 'begin';
              entry.end();
            }

            if (!this[READENTRY]) {
              this[QUEUE].push(entry);
              this[NEXTENTRY]();
            } else this[QUEUE].push(entry);
          }
        }
      }
    }
  }

  [PROCESSENTRY](entry) {
    let go = true;

    if (!entry) {
      this[READENTRY] = null;
      go = false;
    } else if (Array.isArray(entry)) this.emit.apply(this, entry);else {
      this[READENTRY] = entry;
      this.emit('entry', entry);

      if (!entry.emittedEnd) {
        entry.on('end', _ => this[NEXTENTRY]());
        go = false;
      }
    }

    return go;
  }

  [NEXTENTRY]() {
    do {} while (this[PROCESSENTRY](this[QUEUE].shift()));

    if (!this[QUEUE].length) {
      // At this point, there's nothing in the queue, but we may have an
      // entry which is being consumed (readEntry).
      // If we don't, then we definitely can handle more data.
      // If we do, and either it's flowing, or it has never had any data
      // written to it, then it needs more.
      // The only other possibility is that it has returned false from a
      // write() call, so we wait for the next drain to continue.
      const re = this[READENTRY];
      const drainNow = !re || re.flowing || re.size === re.remain;

      if (drainNow) {
        if (!this[WRITING]) this.emit('drain');
      } else re.once('drain', _ => this.emit('drain'));
    }
  }

  [CONSUMEBODY](chunk, position) {
    // write up to but no  more than writeEntry.blockRemain
    const entry = this[WRITEENTRY];
    const br = entry.blockRemain;
    const c = br >= chunk.length && position === 0 ? chunk : chunk.slice(position, position + br);
    entry.write(c);

    if (!entry.blockRemain) {
      this[STATE] = 'begin';
      this[WRITEENTRY] = null;
      entry.end();
    }

    return c.length;
  }

  [CONSUMEMETA](chunk, position) {
    const entry = this[WRITEENTRY];
    const ret = this[CONSUMEBODY](chunk, position); // if we finished, then the entry is reset

    if (!this[WRITEENTRY]) this[EMITMETA](entry);
    return ret;
  }

  [EMIT](ev, data, extra) {
    if (!this[QUEUE].length && !this[READENTRY]) this.emit(ev, data, extra);else this[QUEUE].push([ev, data, extra]);
  }

  [EMITMETA](entry) {
    this[EMIT]('meta', this[META]);

    switch (entry.type) {
      case 'ExtendedHeader':
      case 'OldExtendedHeader':
        this[EX] = Pax.parse(this[META], this[EX], false);
        break;

      case 'GlobalExtendedHeader':
        this[GEX] = Pax.parse(this[META], this[GEX], true);
        break;

      case 'NextFileHasLongPath':
      case 'OldGnuLongPath':
        this[EX] = this[EX] || Object.create(null);
        this[EX].path = this[META].replace(/\0.*/, '');
        break;

      case 'NextFileHasLongLinkpath':
        this[EX] = this[EX] || Object.create(null);
        this[EX].linkpath = this[META].replace(/\0.*/, '');
        break;

      /* istanbul ignore next */

      default:
        throw new Error('unknown meta: ' + entry.type);
    }
  }

  abort(msg, error) {
    this[ABORTED] = true;
    this.warn(msg, error);
    this.emit('abort', error);
    this.emit('error', error);
  }

  write(chunk) {
    if (this[ABORTED]) return; // first write, might be gzipped

    if (this[UNZIP] === null && chunk) {
      if (this[BUFFER]) {
        chunk = Buffer.concat([this[BUFFER], chunk]);
        this[BUFFER] = null;
      }

      if (chunk.length < gzipHeader.length) {
        this[BUFFER] = chunk;
        return true;
      }

      for (let i = 0; this[UNZIP] === null && i < gzipHeader.length; i++) {
        if (chunk[i] !== gzipHeader[i]) this[UNZIP] = false;
      }

      if (this[UNZIP] === null) {
        const ended = this[ENDED];
        this[ENDED] = false;
        this[UNZIP] = new zlib.Unzip();
        this[UNZIP].on('data', chunk => this[CONSUMECHUNK](chunk));
        this[UNZIP].on('error', er => this.abort(er.message, er));
        this[UNZIP].on('end', _ => {
          this[ENDED] = true;
          this[CONSUMECHUNK]();
        });
        this[WRITING] = true;
        const ret = this[UNZIP][ended ? 'end' : 'write'](chunk);
        this[WRITING] = false;
        return ret;
      }
    }

    this[WRITING] = true;
    if (this[UNZIP]) this[UNZIP].write(chunk);else this[CONSUMECHUNK](chunk);
    this[WRITING] = false; // return false if there's a queue, or if the current entry isn't flowing

    const ret = this[QUEUE].length ? false : this[READENTRY] ? this[READENTRY].flowing : true; // if we have no queue, then that means a clogged READENTRY

    if (!ret && !this[QUEUE].length) this[READENTRY].once('drain', _ => this.emit('drain'));
    return ret;
  }

  [BUFFERCONCAT](c) {
    if (c && !this[ABORTED]) this[BUFFER] = this[BUFFER] ? Buffer.concat([this[BUFFER], c]) : c;
  }

  [MAYBEEND]() {
    if (this[ENDED] && !this[EMITTEDEND] && !this[ABORTED] && !this[CONSUMING]) {
      this[EMITTEDEND] = true;
      const entry = this[WRITEENTRY];

      if (entry && entry.blockRemain) {
        const have = this[BUFFER] ? this[BUFFER].length : 0;
        this.warn('Truncated input (needed ' + entry.blockRemain + ' more bytes, only ' + have + ' available)', entry);
        if (this[BUFFER]) entry.write(this[BUFFER]);
        entry.end();
      }

      this[EMIT](DONE);
    }
  }

  [CONSUMECHUNK](chunk) {
    if (this[CONSUMING]) {
      this[BUFFERCONCAT](chunk);
    } else if (!chunk && !this[BUFFER]) {
      this[MAYBEEND]();
    } else {
      this[CONSUMING] = true;

      if (this[BUFFER]) {
        this[BUFFERCONCAT](chunk);
        const c = this[BUFFER];
        this[BUFFER] = null;
        this[CONSUMECHUNKSUB](c);
      } else {
        this[CONSUMECHUNKSUB](chunk);
      }

      while (this[BUFFER] && this[BUFFER].length >= 512 && !this[ABORTED]) {
        const c = this[BUFFER];
        this[BUFFER] = null;
        this[CONSUMECHUNKSUB](c);
      }

      this[CONSUMING] = false;
    }

    if (!this[BUFFER] || this[ENDED]) this[MAYBEEND]();
  }

  [CONSUMECHUNKSUB](chunk) {
    // we know that we are in CONSUMING mode, so anything written goes into
    // the buffer.  Advance the position and put any remainder in the buffer.
    let position = 0;
    let length = chunk.length;

    while (position + 512 <= length && !this[ABORTED]) {
      switch (this[STATE]) {
        case 'begin':
          this[CONSUMEHEADER](chunk, position);
          position += 512;
          break;

        case 'ignore':
        case 'body':
          position += this[CONSUMEBODY](chunk, position);
          break;

        case 'meta':
          position += this[CONSUMEMETA](chunk, position);
          break;

        /* istanbul ignore next */

        default:
          throw new Error('invalid state: ' + this[STATE]);
      }
    }

    if (position < length) {
      if (this[BUFFER]) this[BUFFER] = Buffer.concat([chunk.slice(position), this[BUFFER]]);else this[BUFFER] = chunk.slice(position);
    }
  }

  end(chunk) {
    if (!this[ABORTED]) {
      if (this[UNZIP]) this[UNZIP].end(chunk);else {
        this[ENDED] = true;
        this.write(chunk);
      }
    }
  }

});

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/path-reservations.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// A path exclusive reservation system
// reserve([list, of, paths], fn)
// When the fn is first in line for all its paths, it
// is called with a cb that clears the reservation.
//
// Used by async unpack to avoid clobbering paths in use,
// while still allowing maximal safe parallelization.
const assert = __webpack_require__("assert");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

const stripSlashes = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js");

const {
  join
} = __webpack_require__("path");

const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
const isWindows = platform === 'win32';

module.exports = () => {
  // path => [function or Set]
  // A Set object means a directory reservation
  // A fn is a direct reservation on that path
  const queues = new Map(); // fn => {paths:[path,...], dirs:[path, ...]}

  const reservations = new Map(); // return a set of parent dirs for a given path
  // '/a/b/c/d' -> ['/', '/a', '/a/b', '/a/b/c', '/a/b/c/d']

  const getDirs = path => {
    const dirs = path.split('/').slice(0, -1).reduce((set, path) => {
      if (set.length) path = normPath(join(set[set.length - 1], path));
      set.push(path || '/');
      return set;
    }, []);
    return dirs;
  }; // functions currently running


  const running = new Set(); // return the queues for each path the function cares about
  // fn => {paths, dirs}

  const getQueues = fn => {
    const res = reservations.get(fn);
    /* istanbul ignore if - unpossible */

    if (!res) throw new Error('function does not have any path reservations');
    return {
      paths: res.paths.map(path => queues.get(path)),
      dirs: [...res.dirs].map(path => queues.get(path))
    };
  }; // check if fn is first in line for all its paths, and is
  // included in the first set for all its dir queues


  const check = fn => {
    const {
      paths,
      dirs
    } = getQueues(fn);
    return paths.every(q => q[0] === fn) && dirs.every(q => q[0] instanceof Set && q[0].has(fn));
  }; // run the function if it's first in line and not already running


  const run = fn => {
    if (running.has(fn) || !check(fn)) return false;
    running.add(fn);
    fn(() => clear(fn));
    return true;
  };

  const clear = fn => {
    if (!running.has(fn)) return false;
    const {
      paths,
      dirs
    } = reservations.get(fn);
    const next = new Set();
    paths.forEach(path => {
      const q = queues.get(path);
      assert.equal(q[0], fn);
      if (q.length === 1) queues.delete(path);else {
        q.shift();
        if (typeof q[0] === 'function') next.add(q[0]);else q[0].forEach(fn => next.add(fn));
      }
    });
    dirs.forEach(dir => {
      const q = queues.get(dir);
      assert(q[0] instanceof Set);

      if (q[0].size === 1 && q.length === 1) {
        queues.delete(dir);
      } else if (q[0].size === 1) {
        q.shift(); // must be a function or else the Set would've been reused

        next.add(q[0]);
      } else q[0].delete(fn);
    });
    running.delete(fn);
    next.forEach(fn => run(fn));
    return true;
  };

  const reserve = (paths, fn) => {
    // collide on matches across case and unicode normalization
    // On windows, thanks to the magic of 8.3 shortnames, it is fundamentally
    // impossible to determine whether two paths refer to the same thing on
    // disk, without asking the kernel for a shortname.
    // So, we just pretend that every path matches every other path here,
    // effectively removing all parallelization on windows.
    paths = isWindows ? ['win32 parallelization disabled'] : paths.map(p => {
      return stripSlashes(normPath(join(p))).normalize('NFKD').toLowerCase();
    });
    const dirs = new Set(paths.map(path => getDirs(path)).reduce((a, b) => a.concat(b)));
    reservations.set(fn, {
      dirs,
      paths
    });
    paths.forEach(path => {
      const q = queues.get(path);
      if (!q) queues.set(path, [fn]);else q.push(fn);
    });
    dirs.forEach(dir => {
      const q = queues.get(dir);
      if (!q) queues.set(dir, [new Set([fn])]);else if (q[q.length - 1] instanceof Set) q[q.length - 1].add(fn);else q.push(new Set([fn]));
    });
    return run(fn);
  };

  return {
    check,
    reserve
  };
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/pax.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js");

const Header = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/header.js");

const path = __webpack_require__("path");

class Pax {
  constructor(obj, global) {
    this.atime = obj.atime || null;
    this.charset = obj.charset || null;
    this.comment = obj.comment || null;
    this.ctime = obj.ctime || null;
    this.gid = obj.gid || null;
    this.gname = obj.gname || null;
    this.linkpath = obj.linkpath || null;
    this.mtime = obj.mtime || null;
    this.path = obj.path || null;
    this.size = obj.size || null;
    this.uid = obj.uid || null;
    this.uname = obj.uname || null;
    this.dev = obj.dev || null;
    this.ino = obj.ino || null;
    this.nlink = obj.nlink || null;
    this.global = global || false;
  }

  encode() {
    const body = this.encodeBody();
    if (body === '') return null;
    const bodyLen = Buffer.byteLength(body); // round up to 512 bytes
    // add 512 for header

    const bufLen = 512 * Math.ceil(1 + bodyLen / 512);
    const buf = Buffer.allocUnsafe(bufLen); // 0-fill the header section, it might not hit every field

    for (let i = 0; i < 512; i++) {
      buf[i] = 0;
    }

    new Header({
      // XXX split the path
      // then the path should be PaxHeader + basename, but less than 99,
      // prepend with the dirname
      path: ('PaxHeader/' + path.basename(this.path)).slice(0, 99),
      mode: this.mode || 0o644,
      uid: this.uid || null,
      gid: this.gid || null,
      size: bodyLen,
      mtime: this.mtime || null,
      type: this.global ? 'GlobalExtendedHeader' : 'ExtendedHeader',
      linkpath: '',
      uname: this.uname || '',
      gname: this.gname || '',
      devmaj: 0,
      devmin: 0,
      atime: this.atime || null,
      ctime: this.ctime || null
    }).encode(buf);
    buf.write(body, 512, bodyLen, 'utf8'); // null pad after the body

    for (let i = bodyLen + 512; i < buf.length; i++) {
      buf[i] = 0;
    }

    return buf;
  }

  encodeBody() {
    return this.encodeField('path') + this.encodeField('ctime') + this.encodeField('atime') + this.encodeField('dev') + this.encodeField('ino') + this.encodeField('nlink') + this.encodeField('charset') + this.encodeField('comment') + this.encodeField('gid') + this.encodeField('gname') + this.encodeField('linkpath') + this.encodeField('mtime') + this.encodeField('size') + this.encodeField('uid') + this.encodeField('uname');
  }

  encodeField(field) {
    if (this[field] === null || this[field] === undefined) return '';
    const v = this[field] instanceof Date ? this[field].getTime() / 1000 : this[field];
    const s = ' ' + (field === 'dev' || field === 'ino' || field === 'nlink' ? 'SCHILY.' : '') + field + '=' + v + '\n';
    const byteLen = Buffer.byteLength(s); // the digits includes the length of the digits in ascii base-10
    // so if it's 9 characters, then adding 1 for the 9 makes it 10
    // which makes it 11 chars.

    let digits = Math.floor(Math.log(byteLen) / Math.log(10)) + 1;
    if (byteLen + digits >= Math.pow(10, digits)) digits += 1;
    const len = digits + byteLen;
    return len + s;
  }

}

Pax.parse = (string, ex, g) => new Pax(merge(parseKV(string), ex), g);

const merge = (a, b) => b ? Object.keys(a).reduce((s, k) => (s[k] = a[k], s), b) : a;

const parseKV = string => string.replace(/\n$/, '').split('\n').reduce(parseKVLine, Object.create(null));

const parseKVLine = (set, line) => {
  const n = parseInt(line, 10); // XXX Values with \n in them will fail this.
  // Refactor to not be a naive line-by-line parse.

  if (n !== Buffer.byteLength(line) + 1) return set;
  line = line.substr((n + ' ').length);
  const kv = line.split('=');
  const k = kv.shift().replace(/^SCHILY\.(dev|ino|nlink)/, '$1');
  if (!k) return set;
  const v = kv.join('=');
  set[k] = /^([A-Z]+\.)?([mac]|birth|creation)time$/.test(k) ? new Date(v * 1000) : /^[0-9]+$/.test(v) ? +v : v;
  return set;
};

module.exports = Pax;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/read-entry.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const types = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/types.js");

const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

const SLURP = Symbol('slurp');
module.exports = class ReadEntry extends MiniPass {
  constructor(header, ex, gex) {
    super(); // read entries always start life paused.  this is to avoid the
    // situation where Minipass's auto-ending empty streams results
    // in an entry ending before we're ready for it.

    this.pause();
    this.extended = ex;
    this.globalExtended = gex;
    this.header = header;
    this.startBlockSize = 512 * Math.ceil(header.size / 512);
    this.blockRemain = this.startBlockSize;
    this.remain = header.size;
    this.type = header.type;
    this.meta = false;
    this.ignore = false;

    switch (this.type) {
      case 'File':
      case 'OldFile':
      case 'Link':
      case 'SymbolicLink':
      case 'CharacterDevice':
      case 'BlockDevice':
      case 'Directory':
      case 'FIFO':
      case 'ContiguousFile':
      case 'GNUDumpDir':
        break;

      case 'NextFileHasLongLinkpath':
      case 'NextFileHasLongPath':
      case 'OldGnuLongPath':
      case 'GlobalExtendedHeader':
      case 'ExtendedHeader':
      case 'OldExtendedHeader':
        this.meta = true;
        break;
      // NOTE: gnutar and bsdtar treat unrecognized types as 'File'
      // it may be worth doing the same, but with a warning.

      default:
        this.ignore = true;
    }

    this.path = normPath(header.path);
    this.mode = header.mode;
    if (this.mode) this.mode = this.mode & 0o7777;
    this.uid = header.uid;
    this.gid = header.gid;
    this.uname = header.uname;
    this.gname = header.gname;
    this.size = header.size;
    this.mtime = header.mtime;
    this.atime = header.atime;
    this.ctime = header.ctime;
    this.linkpath = normPath(header.linkpath);
    this.uname = header.uname;
    this.gname = header.gname;
    if (ex) this[SLURP](ex);
    if (gex) this[SLURP](gex, true);
  }

  write(data) {
    const writeLen = data.length;
    if (writeLen > this.blockRemain) throw new Error('writing more to entry than is appropriate');
    const r = this.remain;
    const br = this.blockRemain;
    this.remain = Math.max(0, r - writeLen);
    this.blockRemain = Math.max(0, br - writeLen);
    if (this.ignore) return true;
    if (r >= writeLen) return super.write(data); // r < writeLen

    return super.write(data.slice(0, r));
  }

  [SLURP](ex, global) {
    for (let k in ex) {
      // we slurp in everything except for the path attribute in
      // a global extended header, because that's weird.
      if (ex[k] !== null && ex[k] !== undefined && !(global && k === 'path')) this[k] = k === 'path' || k === 'linkpath' ? normPath(ex[k]) : ex[k];
    }
  }

};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/replace.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js"); // tar -r


const hlo = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js");

const Pack = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pack.js");

const Parse = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/parse.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js");

const t = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/list.js");

const path = __webpack_require__("path"); // starting at the head of the file, read a Header
// If the checksum is invalid, that's our position to start writing
// If it is, jump forward by the specified size (round up to 512)
// and try again.
// Write the new Pack stream starting there.


const Header = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/header.js");

const r = module.exports = (opt_, files, cb) => {
  const opt = hlo(opt_);
  if (!opt.file) throw new TypeError('file is required');
  if (opt.gzip) throw new TypeError('cannot append to compressed archives');
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  return opt.sync ? replaceSync(opt, files) : replace(opt, files, cb);
};

const replaceSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  let threw = true;
  let fd;
  let position;

  try {
    try {
      fd = fs.openSync(opt.file, 'r+');
    } catch (er) {
      if (er.code === 'ENOENT') fd = fs.openSync(opt.file, 'w+');else throw er;
    }

    const st = fs.fstatSync(fd);
    const headBuf = Buffer.alloc(512);

    POSITION: for (position = 0; position < st.size; position += 512) {
      for (let bufPos = 0, bytes = 0; bufPos < 512; bufPos += bytes) {
        bytes = fs.readSync(fd, headBuf, bufPos, headBuf.length - bufPos, position + bufPos);
        if (position === 0 && headBuf[0] === 0x1f && headBuf[1] === 0x8b) throw new Error('cannot append to compressed archives');
        if (!bytes) break POSITION;
      }

      let h = new Header(headBuf);
      if (!h.cksumValid) break;
      let entryBlockSize = 512 * Math.ceil(h.size / 512);
      if (position + entryBlockSize + 512 > st.size) break; // the 512 for the header we just parsed will be added as well
      // also jump ahead all the blocks for the body

      position += entryBlockSize;
      if (opt.mtimeCache) opt.mtimeCache.set(h.path, h.mtime);
    }

    threw = false;
    streamSync(opt, p, position, fd, files);
  } finally {
    if (threw) try {
      fs.closeSync(fd);
    } catch (er) {}
  }
};

const streamSync = (opt, p, position, fd, files) => {
  const stream = new fsm.WriteStreamSync(opt.file, {
    fd: fd,
    start: position
  });
  p.pipe(stream);
  addFilesSync(p, files);
};

const replace = (opt, files, cb) => {
  files = Array.from(files);
  const p = new Pack(opt);

  const getPos = (fd, size, cb_) => {
    const cb = (er, pos) => {
      if (er) fs.close(fd, _ => cb_(er));else cb_(null, pos);
    };

    let position = 0;
    if (size === 0) return cb(null, 0);
    let bufPos = 0;
    const headBuf = Buffer.alloc(512);

    const onread = (er, bytes) => {
      if (er) return cb(er);
      bufPos += bytes;
      if (bufPos < 512 && bytes) return fs.read(fd, headBuf, bufPos, headBuf.length - bufPos, position + bufPos, onread);
      if (position === 0 && headBuf[0] === 0x1f && headBuf[1] === 0x8b) return cb(new Error('cannot append to compressed archives')); // truncated header

      if (bufPos < 512) return cb(null, position);
      const h = new Header(headBuf);
      if (!h.cksumValid) return cb(null, position);
      const entryBlockSize = 512 * Math.ceil(h.size / 512);
      if (position + entryBlockSize + 512 > size) return cb(null, position);
      position += entryBlockSize + 512;
      if (position >= size) return cb(null, position);
      if (opt.mtimeCache) opt.mtimeCache.set(h.path, h.mtime);
      bufPos = 0;
      fs.read(fd, headBuf, 0, 512, position, onread);
    };

    fs.read(fd, headBuf, 0, 512, position, onread);
  };

  const promise = new Promise((resolve, reject) => {
    p.on('error', reject);
    let flag = 'r+';

    const onopen = (er, fd) => {
      if (er && er.code === 'ENOENT' && flag === 'r+') {
        flag = 'w+';
        return fs.open(opt.file, flag, onopen);
      }

      if (er) return reject(er);
      fs.fstat(fd, (er, st) => {
        if (er) return fs.close(fd, () => reject(er));
        getPos(fd, st.size, (er, position) => {
          if (er) return reject(er);
          const stream = new fsm.WriteStream(opt.file, {
            fd: fd,
            start: position
          });
          p.pipe(stream);
          stream.on('error', reject);
          stream.on('close', resolve);
          addFilesAsync(p, files);
        });
      });
    };

    fs.open(opt.file, flag, onopen);
  });
  return cb ? promise.then(cb, cb) : promise;
};

const addFilesSync = (p, files) => {
  files.forEach(file => {
    if (file.charAt(0) === '@') t({
      file: path.resolve(p.cwd, file.substr(1)),
      sync: true,
      noResume: true,
      onentry: entry => p.add(entry)
    });else p.add(file);
  });
  p.end();
};

const addFilesAsync = (p, files) => {
  while (files.length) {
    const file = files.shift();
    if (file.charAt(0) === '@') return t({
      file: path.resolve(p.cwd, file.substr(1)),
      noResume: true,
      onentry: entry => p.add(entry)
    }).then(_ => addFilesAsync(p, files));else p.add(file);
  }

  p.end();
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/strip-absolute-path.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// unix absolute paths are also absolute on win32, so we use this for both
const {
  isAbsolute,
  parse
} = __webpack_require__("path").win32; // returns [root, stripped]
// Note that windows will think that //x/y/z/a has a "root" of //x/y, and in
// those cases, we want to sanitize it to x/y/z/a, not z/a, so we strip /
// explicitly if it's the first character.
// drive-specific relative paths on Windows get their root stripped off even
// though they are not absolute, so `c:../foo` becomes ['c:', '../foo']


module.exports = path => {
  let r = '';
  let parsed = parse(path);

  while (isAbsolute(path) || parsed.root) {
    // windows will think that //x/y/z has a "root" of //x/y/
    // but strip the //?/C:/ off of //?/C:/path
    const root = path.charAt(0) === '/' && path.slice(0, 4) !== '//?/' ? '/' : parsed.root;
    path = path.substr(root.length);
    r += root;
    parsed = parse(path);
  }

  return [r, path];
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js":
/***/ ((module) => {

// this is the only approach that was significantly faster than using
// str.replace(/\/+$/, '') for strings ending with a lot of / chars and
// containing multiple / chars.
const batchStrings = ['/'.repeat(1024), '/'.repeat(512), '/'.repeat(256), '/'.repeat(128), '/'.repeat(64), '/'.repeat(32), '/'.repeat(16), '/'.repeat(8), '/'.repeat(4), '/'.repeat(2), '/'];

module.exports = str => {
  for (const s of batchStrings) {
    while (str.length >= s.length && str.slice(-1 * s.length) === s) str = str.slice(0, -1 * s.length);
  }

  return str;
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/types.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";
 // map types from key to human-friendly name

exports.name = new Map([['0', 'File'], // same as File
['', 'OldFile'], ['1', 'Link'], ['2', 'SymbolicLink'], // Devices and FIFOs aren't fully supported
// they are parsed, but skipped when unpacking
['3', 'CharacterDevice'], ['4', 'BlockDevice'], ['5', 'Directory'], ['6', 'FIFO'], // same as File
['7', 'ContiguousFile'], // pax headers
['g', 'GlobalExtendedHeader'], ['x', 'ExtendedHeader'], // vendor-specific stuff
// skip
['A', 'SolarisACL'], // like 5, but with data, which should be skipped
['D', 'GNUDumpDir'], // metadata only, skip
['I', 'Inode'], // data = link path of next file
['K', 'NextFileHasLongLinkpath'], // data = path of next file
['L', 'NextFileHasLongPath'], // skip
['M', 'ContinuationFile'], // like L
['N', 'OldGnuLongPath'], // skip
['S', 'SparseFile'], // skip
['V', 'TapeVolumeHeader'], // like x
['X', 'OldExtendedHeader']]); // map the other direction

exports.code = new Map(Array.from(exports.name).map(kv => [kv[1], kv[0]]));

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/unpack.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // the PEND/UNPEND stuff tracks whether we're ready to emit end/close yet.
// but the path reservations are required to avoid race conditions where
// parallelized unpack ops may mess with one another, due to dependencies
// (like a Link depending on its target) or destructive operations (like
// clobbering an fs object to create one of a different type.)

const assert = __webpack_require__("assert");

const EE = __webpack_require__("events").EventEmitter;

const Parser = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/parse.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/1.2.7/fs-minipass/index.js");

const path = __webpack_require__("path");

const mkdir = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/mkdir.js");

const mkdirSync = mkdir.sync;

const wc = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/winchars.js");

const stripAbsolutePath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-absolute-path.js");

const pathReservations = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/path-reservations.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js");

const ONENTRY = Symbol('onEntry');
const CHECKFS = Symbol('checkFs');
const CHECKFS2 = Symbol('checkFs2');
const PRUNECACHE = Symbol('pruneCache');
const ISREUSABLE = Symbol('isReusable');
const MAKEFS = Symbol('makeFs');
const FILE = Symbol('file');
const DIRECTORY = Symbol('directory');
const LINK = Symbol('link');
const SYMLINK = Symbol('symlink');
const HARDLINK = Symbol('hardlink');
const UNSUPPORTED = Symbol('unsupported');
const UNKNOWN = Symbol('unknown');
const CHECKPATH = Symbol('checkPath');
const MKDIR = Symbol('mkdir');
const ONERROR = Symbol('onError');
const PENDING = Symbol('pending');
const PEND = Symbol('pend');
const UNPEND = Symbol('unpend');
const ENDED = Symbol('ended');
const MAYBECLOSE = Symbol('maybeClose');
const SKIP = Symbol('skip');
const DOCHOWN = Symbol('doChown');
const UID = Symbol('uid');
const GID = Symbol('gid');
const CHECKED_CWD = Symbol('checkedCwd');

const crypto = __webpack_require__("crypto");

const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
const isWindows = platform === 'win32'; // Unlinks on Windows are not atomic.
//
// This means that if you have a file entry, followed by another
// file entry with an identical name, and you cannot re-use the file
// (because it's a hardlink, or because unlink:true is set, or it's
// Windows, which does not have useful nlink values), then the unlink
// will be committed to the disk AFTER the new file has been written
// over the old one, deleting the new file.
//
// To work around this, on Windows systems, we rename the file and then
// delete the renamed file.  It's a sloppy kludge, but frankly, I do not
// know of a better way to do this, given windows' non-atomic unlink
// semantics.
//
// See: https://github.com/npm/node-tar/issues/183

/* istanbul ignore next */

const unlinkFile = (path, cb) => {
  if (!isWindows) return fs.unlink(path, cb);
  const name = path + '.DELETE.' + crypto.randomBytes(16).toString('hex');
  fs.rename(path, name, er => {
    if (er) return cb(er);
    fs.unlink(name, cb);
  });
};
/* istanbul ignore next */


const unlinkFileSync = path => {
  if (!isWindows) return fs.unlinkSync(path);
  const name = path + '.DELETE.' + crypto.randomBytes(16).toString('hex');
  fs.renameSync(path, name);
  fs.unlinkSync(name);
}; // this.gid, entry.gid, this.processUid


const uint32 = (a, b, c) => a === a >>> 0 ? a : b === b >>> 0 ? b : c; // clear the cache if it's a case-insensitive unicode-squashing match.
// we can't know if the current file system is case-sensitive or supports
// unicode fully, so we check for similarity on the maximally compatible
// representation.  Err on the side of pruning, since all it's doing is
// preventing lstats, and it's not the end of the world if we get a false
// positive.
// Note that on windows, we always drop the entire cache whenever a
// symbolic link is encountered, because 8.3 filenames are impossible
// to reason about, and collisions are hazards rather than just failures.


const cacheKeyNormalize = path => stripSlash(normPath(path)).normalize('NFKD').toLowerCase();

const pruneCache = (cache, abs) => {
  abs = cacheKeyNormalize(abs);

  for (const path of cache.keys()) {
    const pnorm = cacheKeyNormalize(path);
    if (pnorm === abs || pnorm.indexOf(abs + '/') === 0) cache.delete(path);
  }
};

const dropCache = cache => {
  for (const key of cache.keys()) cache.delete(key);
};

class Unpack extends Parser {
  constructor(opt) {
    if (!opt) opt = {};

    opt.ondone = _ => {
      this[ENDED] = true;
      this[MAYBECLOSE]();
    };

    super(opt);
    this[CHECKED_CWD] = false;
    this.reservations = pathReservations();
    this.transform = typeof opt.transform === 'function' ? opt.transform : null;
    this.writable = true;
    this.readable = false;
    this[PENDING] = 0;
    this[ENDED] = false;
    this.dirCache = opt.dirCache || new Map();

    if (typeof opt.uid === 'number' || typeof opt.gid === 'number') {
      // need both or neither
      if (typeof opt.uid !== 'number' || typeof opt.gid !== 'number') throw new TypeError('cannot set owner without number uid and gid');
      if (opt.preserveOwner) throw new TypeError('cannot preserve owner in archive and also set owner explicitly');
      this.uid = opt.uid;
      this.gid = opt.gid;
      this.setOwner = true;
    } else {
      this.uid = null;
      this.gid = null;
      this.setOwner = false;
    } // default true for root


    if (opt.preserveOwner === undefined && typeof opt.uid !== 'number') this.preserveOwner = process.getuid && process.getuid() === 0;else this.preserveOwner = !!opt.preserveOwner;
    this.processUid = (this.preserveOwner || this.setOwner) && process.getuid ? process.getuid() : null;
    this.processGid = (this.preserveOwner || this.setOwner) && process.getgid ? process.getgid() : null; // mostly just for testing, but useful in some cases.
    // Forcibly trigger a chown on every entry, no matter what

    this.forceChown = opt.forceChown === true; // turn ><?| in filenames into 0xf000-higher encoded forms

    this.win32 = !!opt.win32 || isWindows; // do not unpack over files that are newer than what's in the archive

    this.newer = !!opt.newer; // do not unpack over ANY files

    this.keep = !!opt.keep; // do not set mtime/atime of extracted entries

    this.noMtime = !!opt.noMtime; // allow .., absolute path entries, and unpacking through symlinks
    // without this, warn and skip .., relativize absolutes, and error
    // on symlinks in extraction path

    this.preservePaths = !!opt.preservePaths; // unlink files and links before writing. This breaks existing hard
    // links, and removes symlink directories rather than erroring

    this.unlink = !!opt.unlink;
    this.cwd = normPath(path.resolve(opt.cwd || process.cwd()));
    this.strip = +opt.strip || 0;
    this.processUmask = process.umask();
    this.umask = typeof opt.umask === 'number' ? opt.umask : this.processUmask; // default mode for dirs created as parents

    this.dmode = opt.dmode || 0o0777 & ~this.umask;
    this.fmode = opt.fmode || 0o0666 & ~this.umask;
    this.on('entry', entry => this[ONENTRY](entry));
  }

  [MAYBECLOSE]() {
    if (this[ENDED] && this[PENDING] === 0) {
      this.emit('prefinish');
      this.emit('finish');
      this.emit('end');
      this.emit('close');
    }
  }

  [CHECKPATH](entry) {
    if (this.strip) {
      const parts = normPath(entry.path).split('/');
      if (parts.length < this.strip) return false;
      entry.path = parts.slice(this.strip).join('/');

      if (entry.type === 'Link') {
        const linkparts = normPath(entry.linkpath).split('/');
        if (linkparts.length >= this.strip) entry.linkpath = linkparts.slice(this.strip).join('/');else return false;
      }
    }

    if (!this.preservePaths) {
      const p = normPath(entry.path);
      const parts = p.split('/');

      if (parts.includes('..') || isWindows && /^[a-z]:\.\.$/i.test(parts[0])) {
        this.warn(`path contains '..'`, p);
        return false;
      } // strip off the root


      const s = stripAbsolutePath(p);

      if (s[0]) {
        entry.path = s[1];
        this.warn(`stripping ${s[0]} from absolute path`, p);
      }
    }

    if (path.isAbsolute(entry.path)) entry.absolute = normPath(path.resolve(entry.path));else entry.absolute = normPath(path.resolve(this.cwd, entry.path)); // if we somehow ended up with a path that escapes the cwd, and we are
    // not in preservePaths mode, then something is fishy!  This should have
    // been prevented above, so ignore this for coverage.

    /* istanbul ignore if - defense in depth */

    if (!this.preservePaths && entry.absolute.indexOf(this.cwd + '/') !== 0 && entry.absolute !== this.cwd) {
      this.warn('TAR_ENTRY_ERROR', 'path escaped extraction target', {
        entry,
        path: normPath(entry.path),
        resolvedPath: entry.absolute,
        cwd: this.cwd
      });
      return false;
    } // an archive can set properties on the extraction directory, but it
    // may not replace the cwd with a different kind of thing entirely.


    if (entry.absolute === this.cwd && entry.type !== 'Directory' && entry.type !== 'GNUDumpDir') return false; // only encode : chars that aren't drive letter indicators

    if (this.win32) {
      const {
        root: aRoot
      } = path.win32.parse(entry.absolute);
      entry.absolute = aRoot + wc.encode(entry.absolute.substr(aRoot.length));
      const {
        root: pRoot
      } = path.win32.parse(entry.path);
      entry.path = pRoot + wc.encode(entry.path.substr(pRoot.length));
    }

    return true;
  }

  [ONENTRY](entry) {
    if (!this[CHECKPATH](entry)) return entry.resume();
    assert.equal(typeof entry.absolute, 'string');

    switch (entry.type) {
      case 'Directory':
      case 'GNUDumpDir':
        if (entry.mode) entry.mode = entry.mode | 0o700;

      case 'File':
      case 'OldFile':
      case 'ContiguousFile':
      case 'Link':
      case 'SymbolicLink':
        return this[CHECKFS](entry);

      case 'CharacterDevice':
      case 'BlockDevice':
      case 'FIFO':
        return this[UNSUPPORTED](entry);
    }
  }

  [ONERROR](er, entry) {
    // Cwd has to exist, or else nothing works. That's serious.
    // Other errors are warnings, which raise the error in strict
    // mode, but otherwise continue on.
    if (er.name === 'CwdError') this.emit('error', er);else {
      this.warn(er.message, er);
      this[UNPEND]();
      entry.resume();
    }
  }

  [MKDIR](dir, mode, cb) {
    mkdir(normPath(dir), {
      uid: this.uid,
      gid: this.gid,
      processUid: this.processUid,
      processGid: this.processGid,
      umask: this.processUmask,
      preserve: this.preservePaths,
      unlink: this.unlink,
      cache: this.dirCache,
      cwd: this.cwd,
      mode: mode
    }, cb);
  }

  [DOCHOWN](entry) {
    // in preserve owner mode, chown if the entry doesn't match process
    // in set owner mode, chown if setting doesn't match process
    return this.forceChown || this.preserveOwner && (typeof entry.uid === 'number' && entry.uid !== this.processUid || typeof entry.gid === 'number' && entry.gid !== this.processGid) || typeof this.uid === 'number' && this.uid !== this.processUid || typeof this.gid === 'number' && this.gid !== this.processGid;
  }

  [UID](entry) {
    return uint32(this.uid, entry.uid, this.processUid);
  }

  [GID](entry) {
    return uint32(this.gid, entry.gid, this.processGid);
  }

  [FILE](entry, fullyDone) {
    const mode = entry.mode & 0o7777 || this.fmode;
    const stream = new fsm.WriteStream(entry.absolute, {
      mode: mode,
      autoClose: false
    });
    stream.on('error', er => {
      if (stream.fd) fs.close(stream.fd, () => {}); // flush all the data out so that we aren't left hanging
      // if the error wasn't actually fatal.  otherwise the parse
      // is blocked, and we never proceed.

      /* istanbul ignore next */

      stream.write = () => true;

      this[ONERROR](er, entry);
      fullyDone();
    });
    let actions = 1;

    const done = er => {
      if (er) {
        /* istanbul ignore else - we should always have a fd by now */
        if (stream.fd) fs.close(stream.fd, () => {});
        this[ONERROR](er, entry);
        fullyDone();
        return;
      }

      if (--actions === 0) {
        fs.close(stream.fd, er => {
          fullyDone();
          /* istanbul ignore next */

          er ? this[ONERROR](er, entry) : this[UNPEND]();
        });
      }
    };

    stream.on('finish', _ => {
      // if futimes fails, try utimes
      // if utimes fails, fail with the original error
      // same for fchown/chown
      const abs = entry.absolute;
      const fd = stream.fd;

      if (entry.mtime && !this.noMtime) {
        actions++;
        const atime = entry.atime || new Date();
        const mtime = entry.mtime;
        fs.futimes(fd, atime, mtime, er => er ? fs.utimes(abs, atime, mtime, er2 => done(er2 && er)) : done());
      }

      if (this[DOCHOWN](entry)) {
        actions++;
        const uid = this[UID](entry);
        const gid = this[GID](entry);
        fs.fchown(fd, uid, gid, er => er ? fs.chown(abs, uid, gid, er2 => done(er2 && er)) : done());
      }

      done();
    });
    const tx = this.transform ? this.transform(entry) || entry : entry;

    if (tx !== entry) {
      tx.on('error', er => this[ONERROR](er, entry));
      entry.pipe(tx);
    }

    tx.pipe(stream);
  }

  [DIRECTORY](entry, fullyDone) {
    const mode = entry.mode & 0o7777 || this.dmode;
    this[MKDIR](entry.absolute, mode, er => {
      if (er) {
        fullyDone();
        return this[ONERROR](er, entry);
      }

      let actions = 1;

      const done = _ => {
        if (--actions === 0) {
          fullyDone();
          this[UNPEND]();
          entry.resume();
        }
      };

      if (entry.mtime && !this.noMtime) {
        actions++;
        fs.utimes(entry.absolute, entry.atime || new Date(), entry.mtime, done);
      }

      if (this[DOCHOWN](entry)) {
        actions++;
        fs.chown(entry.absolute, this[UID](entry), this[GID](entry), done);
      }

      done();
    });
  }

  [UNSUPPORTED](entry) {
    this.warn('unsupported entry type: ' + entry.type, entry);
    entry.resume();
  }

  [SYMLINK](entry, done) {
    this[LINK](entry, entry.linkpath, 'symlink', done);
  }

  [HARDLINK](entry, done) {
    const linkpath = normPath(path.resolve(this.cwd, entry.linkpath));
    this[LINK](entry, linkpath, 'link', done);
  }

  [PEND]() {
    this[PENDING]++;
  }

  [UNPEND]() {
    this[PENDING]--;
    this[MAYBECLOSE]();
  }

  [SKIP](entry) {
    this[UNPEND]();
    entry.resume();
  } // Check if we can reuse an existing filesystem entry safely and
  // overwrite it, rather than unlinking and recreating
  // Windows doesn't report a useful nlink, so we just never reuse entries


  [ISREUSABLE](entry, st) {
    return entry.type === 'File' && !this.unlink && st.isFile() && st.nlink <= 1 && !isWindows;
  } // check if a thing is there, and if so, try to clobber it


  [CHECKFS](entry) {
    this[PEND]();
    const paths = [entry.path];
    if (entry.linkpath) paths.push(entry.linkpath);
    this.reservations.reserve(paths, done => this[CHECKFS2](entry, done));
  }

  [PRUNECACHE](entry) {
    // if we are not creating a directory, and the path is in the dirCache,
    // then that means we are about to delete the directory we created
    // previously, and it is no longer going to be a directory, and neither
    // is any of its children.
    // If a symbolic link is encountered, all bets are off.  There is no
    // reasonable way to sanitize the cache in such a way we will be able to
    // avoid having filesystem collisions.  If this happens with a non-symlink
    // entry, it'll just fail to unpack, but a symlink to a directory, using an
    // 8.3 shortname or certain unicode attacks, can evade detection and lead
    // to arbitrary writes to anywhere on the system.
    if (entry.type === 'SymbolicLink') dropCache(this.dirCache);else if (entry.type !== 'Directory') pruneCache(this.dirCache, entry.absolute);
  }

  [CHECKFS2](entry, fullyDone) {
    this[PRUNECACHE](entry);

    const done = er => {
      this[PRUNECACHE](entry);
      fullyDone(er);
    };

    const checkCwd = () => {
      this[MKDIR](this.cwd, this.dmode, er => {
        if (er) {
          this[ONERROR](er, entry);
          done();
          return;
        }

        this[CHECKED_CWD] = true;
        start();
      });
    };

    const start = () => {
      if (entry.absolute !== this.cwd) {
        const parent = normPath(path.dirname(entry.absolute));

        if (parent !== this.cwd) {
          return this[MKDIR](parent, this.dmode, er => {
            if (er) {
              this[ONERROR](er, entry);
              done();
              return;
            }

            afterMakeParent();
          });
        }
      }

      afterMakeParent();
    };

    const afterMakeParent = () => {
      fs.lstat(entry.absolute, (lstatEr, st) => {
        if (st && (this.keep || this.newer && st.mtime > entry.mtime)) {
          this[SKIP](entry);
          done();
          return;
        }

        if (lstatEr || this[ISREUSABLE](entry, st)) return this[MAKEFS](null, entry, done);

        if (st.isDirectory()) {
          if (entry.type === 'Directory') {
            const needChmod = !this.noChmod && entry.mode && (st.mode & 0o7777) !== entry.mode;

            const afterChmod = er => this[MAKEFS](er, entry, done);

            if (!needChmod) return afterChmod();
            return fs.chmod(entry.absolute, entry.mode, afterChmod);
          } // Not a dir entry, have to remove it.
          // NB: the only way to end up with an entry that is the cwd
          // itself, in such a way that == does not detect, is a
          // tricky windows absolute path with UNC or 8.3 parts (and
          // preservePaths:true, or else it will have been stripped).
          // In that case, the user has opted out of path protections
          // explicitly, so if they blow away the cwd, c'est la vie.


          if (entry.absolute !== this.cwd) {
            return fs.rmdir(entry.absolute, er => this[MAKEFS](er, entry, done));
          }
        } // not a dir, and not reusable
        // don't remove if the cwd, we want that error


        if (entry.absolute === this.cwd) return this[MAKEFS](null, entry, done);
        unlinkFile(entry.absolute, er => this[MAKEFS](er, entry, done));
      });
    };

    if (this[CHECKED_CWD]) start();else checkCwd();
  }

  [MAKEFS](er, entry, done) {
    if (er) return this[ONERROR](er, entry);

    switch (entry.type) {
      case 'File':
      case 'OldFile':
      case 'ContiguousFile':
        return this[FILE](entry, done);

      case 'Link':
        return this[HARDLINK](entry, done);

      case 'SymbolicLink':
        return this[SYMLINK](entry, done);

      case 'Directory':
      case 'GNUDumpDir':
        return this[DIRECTORY](entry, done);
    }
  }

  [LINK](entry, linkpath, link, done) {
    // XXX: get the type ('symlink' or 'junction') for windows
    fs[link](linkpath, entry.absolute, er => {
      if (er) return this[ONERROR](er, entry);
      done();
      this[UNPEND]();
      entry.resume();
    });
  }

}

const callSync = fn => {
  try {
    return [null, fn()];
  } catch (er) {
    return [er, null];
  }
};

class UnpackSync extends Unpack {
  [MAKEFS](er, entry) {
    return super[MAKEFS](er, entry,
    /* istanbul ignore next */
    () => {});
  }

  [CHECKFS](entry) {
    this[PRUNECACHE](entry);

    if (!this[CHECKED_CWD]) {
      const er = this[MKDIR](this.cwd, this.dmode);
      if (er) return this[ONERROR](er, entry);
      this[CHECKED_CWD] = true;
    } // don't bother to make the parent if the current entry is the cwd,
    // we've already checked it.


    if (entry.absolute !== this.cwd) {
      const parent = normPath(path.dirname(entry.absolute));

      if (parent !== this.cwd) {
        const mkParent = this[MKDIR](parent, this.dmode);
        if (mkParent) return this[ONERROR](mkParent, entry);
      }
    }

    const [lstatEr, st] = callSync(() => fs.lstatSync(entry.absolute));
    if (st && (this.keep || this.newer && st.mtime > entry.mtime)) return this[SKIP](entry);
    if (lstatEr || this[ISREUSABLE](entry, st)) return this[MAKEFS](null, entry);

    if (st.isDirectory()) {
      if (entry.type === 'Directory') {
        const needChmod = !this.noChmod && entry.mode && (st.mode & 0o7777) !== entry.mode;
        const [er] = needChmod ? callSync(() => {
          fs.chmodSync(entry.absolute, entry.mode);
        }) : [];
        return this[MAKEFS](er, entry);
      } // not a dir entry, have to remove it


      const [er] = callSync(() => fs.rmdirSync(entry.absolute));
      this[MAKEFS](er, entry);
    } // not a dir, and not reusable.
    // don't remove if it's the cwd, since we want that error.


    const [er] = entry.absolute === this.cwd ? [] : callSync(() => unlinkFileSync(entry.absolute));
    this[MAKEFS](er, entry);
  }

  [FILE](entry, done) {
    const mode = entry.mode & 0o7777 || this.fmode;

    const oner = er => {
      let closeError;

      try {
        fs.closeSync(fd);
      } catch (e) {
        closeError = e;
      }

      if (er || closeError) this[ONERROR](er || closeError, entry);
      done();
    };

    let stream;
    let fd;

    try {
      fd = fs.openSync(entry.absolute, 'w', mode);
    } catch (er) {
      return oner(er);
    }

    const tx = this.transform ? this.transform(entry) || entry : entry;

    if (tx !== entry) {
      tx.on('error', er => this[ONERROR](er, entry));
      entry.pipe(tx);
    }

    tx.on('data', chunk => {
      try {
        fs.writeSync(fd, chunk, 0, chunk.length);
      } catch (er) {
        oner(er);
      }
    });
    tx.on('end', _ => {
      let er = null; // try both, falling futimes back to utimes
      // if either fails, handle the first error

      if (entry.mtime && !this.noMtime) {
        const atime = entry.atime || new Date();
        const mtime = entry.mtime;

        try {
          fs.futimesSync(fd, atime, mtime);
        } catch (futimeser) {
          try {
            fs.utimesSync(entry.absolute, atime, mtime);
          } catch (utimeser) {
            er = futimeser;
          }
        }
      }

      if (this[DOCHOWN](entry)) {
        const uid = this[UID](entry);
        const gid = this[GID](entry);

        try {
          fs.fchownSync(fd, uid, gid);
        } catch (fchowner) {
          try {
            fs.chownSync(entry.absolute, uid, gid);
          } catch (chowner) {
            er = er || fchowner;
          }
        }
      }

      oner(er);
    });
  }

  [DIRECTORY](entry, done) {
    const mode = entry.mode & 0o7777 || this.dmode;
    const er = this[MKDIR](entry.absolute, mode);

    if (er) {
      this[ONERROR](er, entry);
      done();
      return;
    }

    if (entry.mtime && !this.noMtime) {
      try {
        fs.utimesSync(entry.absolute, entry.atime || new Date(), entry.mtime);
      } catch (er) {}
    }

    if (this[DOCHOWN](entry)) {
      try {
        fs.chownSync(entry.absolute, this[UID](entry), this[GID](entry));
      } catch (er) {}
    }

    done();
    entry.resume();
  }

  [MKDIR](dir, mode) {
    try {
      return mkdir.sync(normPath(dir), {
        uid: this.uid,
        gid: this.gid,
        processUid: this.processUid,
        processGid: this.processGid,
        umask: this.processUmask,
        preserve: this.preservePaths,
        unlink: this.unlink,
        cache: this.dirCache,
        cwd: this.cwd,
        mode: mode
      });
    } catch (er) {
      return er;
    }
  }

  [LINK](entry, linkpath, link, done) {
    try {
      fs[link + 'Sync'](linkpath, entry.absolute);
      done();
      entry.resume();
    } catch (er) {
      return this[ONERROR](er, entry);
    }
  }

}

Unpack.Sync = UnpackSync;
module.exports = Unpack;

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/update.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -u

const hlo = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/high-level-opt.js");

const r = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/replace.js"); // just call tar.r with the filter and mtimeCache


const u = module.exports = (opt_, files, cb) => {
  const opt = hlo(opt_);
  if (!opt.file) throw new TypeError('file is required');
  if (opt.gzip) throw new TypeError('cannot append to compressed archives');
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  mtimeFilter(opt);
  return r(opt, files, cb);
};

const mtimeFilter = opt => {
  const filter = opt.filter;
  if (!opt.mtimeCache) opt.mtimeCache = new Map();
  opt.filter = filter ? (path, stat) => filter(path, stat) && !(opt.mtimeCache.get(path) > stat.mtime) : (path, stat) => !(opt.mtimeCache.get(path) > stat.mtime);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/warn-mixin.js":
/***/ ((module) => {

"use strict";


module.exports = Base => class extends Base {
  warn(msg, data) {
    if (!this.strict) this.emit('warn', msg, data);else if (data instanceof Error) this.emit('error', data);else {
      const er = new Error(msg);
      er.data = data;
      this.emit('error', er);
    }
  }

};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/winchars.js":
/***/ ((module) => {

"use strict";
 // When writing files on Windows, translate the characters to their
// 0xf000 higher-encoded versions.

const raw = ['|', '<', '>', '?', ':'];
const win = raw.map(char => String.fromCharCode(0xf000 + char.charCodeAt(0)));
const toWin = new Map(raw.map((char, i) => [char, win[i]]));
const toRaw = new Map(win.map((char, i) => [char, raw[i]]));
module.exports = {
  encode: s => raw.reduce((s, c) => s.split(c).join(toWin.get(c)), s),
  decode: s => win.reduce((s, c) => s.split(c).join(toRaw.get(c)), s)
};

/***/ }),

/***/ "./node_modules/.f/_/tar/4.4.19/tar/lib/write-entry.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Buffer = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/buffer.js");

const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/2.9.0/minipass/index.js");

const Pax = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/pax.js");

const Header = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/header.js");

const ReadEntry = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/read-entry.js");

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const normPath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/normalize-windows-path.js");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-trailing-slashes.js");

const prefixPath = (path, prefix) => {
  if (!prefix) return path;
  path = normPath(path).replace(/^\.(\/|$)/, '');
  return stripSlash(prefix) + '/' + path;
};

const maxReadSize = 16 * 1024 * 1024;
const PROCESS = Symbol('process');
const FILE = Symbol('file');
const DIRECTORY = Symbol('directory');
const SYMLINK = Symbol('symlink');
const HARDLINK = Symbol('hardlink');
const HEADER = Symbol('header');
const READ = Symbol('read');
const LSTAT = Symbol('lstat');
const ONLSTAT = Symbol('onlstat');
const ONREAD = Symbol('onread');
const ONREADLINK = Symbol('onreadlink');
const OPENFILE = Symbol('openfile');
const ONOPENFILE = Symbol('onopenfile');
const CLOSE = Symbol('close');
const MODE = Symbol('mode');
const AWAITDRAIN = Symbol('awaitDrain');
const ONDRAIN = Symbol('ondrain');
const PREFIX = Symbol('prefix');
const HAD_ERROR = Symbol('hadError');

const warner = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/warn-mixin.js");

const winchars = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/winchars.js");

const stripAbsolutePath = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/strip-absolute-path.js");

const modeFix = __webpack_require__("./node_modules/.f/_/tar/4.4.19/tar/lib/mode-fix.js");

const WriteEntry = warner(class WriteEntry extends MiniPass {
  constructor(p, opt) {
    opt = opt || {};
    super(opt);
    if (typeof p !== 'string') throw new TypeError('path is required');
    this.path = normPath(p); // suppress atime, ctime, uid, gid, uname, gname

    this.portable = !!opt.portable; // until node has builtin pwnam functions, this'll have to do

    this.myuid = process.getuid && process.getuid() || 0;
    this.myuser = process.env.USER || '';
    this.maxReadSize = opt.maxReadSize || maxReadSize;
    this.linkCache = opt.linkCache || new Map();
    this.statCache = opt.statCache || new Map();
    this.preservePaths = !!opt.preservePaths;
    this.cwd = normPath(opt.cwd || process.cwd());
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.noMtime = !!opt.noMtime;
    this.mtime = opt.mtime || null;
    this.prefix = opt.prefix ? normPath(opt.prefix) : null;
    this.fd = null;
    this.blockLen = null;
    this.blockRemain = null;
    this.buf = null;
    this.offset = null;
    this.length = null;
    this.pos = null;
    this.remain = null;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);

    if (!this.preservePaths) {
      const s = stripAbsolutePath(this.path);

      if (s[0]) {
        this.warn('stripping ' + s[0] + ' from absolute path', this.path);
        this.path = s[1];
      }
    }

    this.win32 = !!opt.win32 || process.platform === 'win32';

    if (this.win32) {
      // force the \ to / normalization, since we might not *actually*
      // be on windows, but want \ to be considered a path separator.
      this.path = winchars.decode(this.path.replace(/\\/g, '/'));
      p = p.replace(/\\/g, '/');
    }

    this.absolute = normPath(opt.absolute || path.resolve(this.cwd, p));
    if (this.path === '') this.path = './';
    if (this.statCache.has(this.absolute)) this[ONLSTAT](this.statCache.get(this.absolute));else this[LSTAT]();
  }

  emit(ev, ...data) {
    if (ev === 'error') this[HAD_ERROR] = true;
    return super.emit(ev, ...data);
  }

  [LSTAT]() {
    fs.lstat(this.absolute, (er, stat) => {
      if (er) return this.emit('error', er);
      this[ONLSTAT](stat);
    });
  }

  [ONLSTAT](stat) {
    this.statCache.set(this.absolute, stat);
    this.stat = stat;
    if (!stat.isFile()) stat.size = 0;
    this.type = getType(stat);
    this.emit('stat', stat);
    this[PROCESS]();
  }

  [PROCESS]() {
    switch (this.type) {
      case 'File':
        return this[FILE]();

      case 'Directory':
        return this[DIRECTORY]();

      case 'SymbolicLink':
        return this[SYMLINK]();
      // unsupported types are ignored.

      default:
        return this.end();
    }
  }

  [MODE](mode) {
    return modeFix(mode, this.type === 'Directory');
  }

  [PREFIX](path) {
    return prefixPath(path, this.prefix);
  }

  [HEADER]() {
    if (this.type === 'Directory' && this.portable) this.noMtime = true;
    this.header = new Header({
      path: this[PREFIX](this.path),
      // only apply the prefix to hard links.
      linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
      // only the permissions and setuid/setgid/sticky bitflags
      // not the higher-order bits that specify file type
      mode: this[MODE](this.stat.mode),
      uid: this.portable ? null : this.stat.uid,
      gid: this.portable ? null : this.stat.gid,
      size: this.stat.size,
      mtime: this.noMtime ? null : this.mtime || this.stat.mtime,
      type: this.type,
      uname: this.portable ? null : this.stat.uid === this.myuid ? this.myuser : '',
      atime: this.portable ? null : this.stat.atime,
      ctime: this.portable ? null : this.stat.ctime
    });

    if (this.header.encode() && !this.noPax) {
      super.write(new Pax({
        atime: this.portable ? null : this.header.atime,
        ctime: this.portable ? null : this.header.ctime,
        gid: this.portable ? null : this.header.gid,
        mtime: this.noMtime ? null : this.mtime || this.header.mtime,
        path: this[PREFIX](this.path),
        linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
        size: this.header.size,
        uid: this.portable ? null : this.header.uid,
        uname: this.portable ? null : this.header.uname,
        dev: this.portable ? null : this.stat.dev,
        ino: this.portable ? null : this.stat.ino,
        nlink: this.portable ? null : this.stat.nlink
      }).encode());
    }

    super.write(this.header.block);
  }

  [DIRECTORY]() {
    if (this.path.substr(-1) !== '/') this.path += '/';
    this.stat.size = 0;
    this[HEADER]();
    this.end();
  }

  [SYMLINK]() {
    fs.readlink(this.absolute, (er, linkpath) => {
      if (er) return this.emit('error', er);
      this[ONREADLINK](linkpath);
    });
  }

  [ONREADLINK](linkpath) {
    this.linkpath = normPath(linkpath);
    this[HEADER]();
    this.end();
  }

  [HARDLINK](linkpath) {
    this.type = 'Link';
    this.linkpath = normPath(path.relative(this.cwd, linkpath));
    this.stat.size = 0;
    this[HEADER]();
    this.end();
  }

  [FILE]() {
    if (this.stat.nlink > 1) {
      const linkKey = this.stat.dev + ':' + this.stat.ino;

      if (this.linkCache.has(linkKey)) {
        const linkpath = this.linkCache.get(linkKey);
        if (linkpath.indexOf(this.cwd) === 0) return this[HARDLINK](linkpath);
      }

      this.linkCache.set(linkKey, this.absolute);
    }

    this[HEADER]();
    if (this.stat.size === 0) return this.end();
    this[OPENFILE]();
  }

  [OPENFILE]() {
    fs.open(this.absolute, 'r', (er, fd) => {
      if (er) return this.emit('error', er);
      this[ONOPENFILE](fd);
    });
  }

  [ONOPENFILE](fd) {
    this.fd = fd;
    if (this[HAD_ERROR]) return this[CLOSE]();
    this.blockLen = 512 * Math.ceil(this.stat.size / 512);
    this.blockRemain = this.blockLen;
    const bufLen = Math.min(this.blockLen, this.maxReadSize);
    this.buf = Buffer.allocUnsafe(bufLen);
    this.offset = 0;
    this.pos = 0;
    this.remain = this.stat.size;
    this.length = this.buf.length;
    this[READ]();
  }

  [READ]() {
    const {
      fd,
      buf,
      offset,
      length,
      pos
    } = this;
    fs.read(fd, buf, offset, length, pos, (er, bytesRead) => {
      if (er) {
        // ignoring the error from close(2) is a bad practice, but at
        // this point we already have an error, don't need another one
        return this[CLOSE](() => this.emit('error', er));
      }

      this[ONREAD](bytesRead);
    });
  }

  [CLOSE](cb) {
    fs.close(this.fd, cb);
  }

  [ONREAD](bytesRead) {
    if (bytesRead <= 0 && this.remain > 0) {
      const er = new Error('encountered unexpected EOF');
      er.path = this.absolute;
      er.syscall = 'read';
      er.code = 'EOF';
      return this[CLOSE](() => this.emit('error', er));
    }

    if (bytesRead > this.remain) {
      const er = new Error('did not encounter expected EOF');
      er.path = this.absolute;
      er.syscall = 'read';
      er.code = 'EOF';
      return this[CLOSE](() => this.emit('error', er));
    } // null out the rest of the buffer, if we could fit the block padding
    // at the end of this loop, we've incremented bytesRead and this.remain
    // to be incremented up to the blockRemain level, as if we had expected
    // to get a null-padded file, and read it until the end.  then we will
    // decrement both remain and blockRemain by bytesRead, and know that we
    // reached the expected EOF, without any null buffer to append.


    if (bytesRead === this.remain) {
      for (let i = bytesRead; i < this.length && bytesRead < this.blockRemain; i++) {
        this.buf[i + this.offset] = 0;
        bytesRead++;
        this.remain++;
      }
    }

    const writeBuf = this.offset === 0 && bytesRead === this.buf.length ? this.buf : this.buf.slice(this.offset, this.offset + bytesRead);
    const flushed = this.write(writeBuf);
    if (!flushed) this[AWAITDRAIN](() => this[ONDRAIN]());else this[ONDRAIN]();
  }

  [AWAITDRAIN](cb) {
    this.once('drain', cb);
  }

  write(writeBuf) {
    if (this.blockRemain < writeBuf.length) {
      const er = new Error('writing more data than expected');
      er.path = this.absolute;
      return this.emit('error', er);
    }

    this.remain -= writeBuf.length;
    this.blockRemain -= writeBuf.length;
    this.pos += writeBuf.length;
    this.offset += writeBuf.length;
    return super.write(writeBuf);
  }

  [ONDRAIN]() {
    if (!this.remain) {
      if (this.blockRemain) super.write(Buffer.alloc(this.blockRemain));
      return this[CLOSE](
      /* istanbul ignore next - legacy */
      er => er ? this.emit('error', er) : this.end());
    }

    if (this.offset >= this.length) {
      // if we only have a smaller bit left to read, alloc a smaller buffer
      // otherwise, keep it the same length it was before.
      this.buf = Buffer.allocUnsafe(Math.min(this.blockRemain, this.buf.length));
      this.offset = 0;
    }

    this.length = this.buf.length - this.offset;
    this[READ]();
  }

});

class WriteEntrySync extends WriteEntry {
  constructor(path, opt) {
    super(path, opt);
  }

  [LSTAT]() {
    this[ONLSTAT](fs.lstatSync(this.absolute));
  }

  [SYMLINK]() {
    this[ONREADLINK](fs.readlinkSync(this.absolute));
  }

  [OPENFILE]() {
    this[ONOPENFILE](fs.openSync(this.absolute, 'r'));
  }

  [READ]() {
    let threw = true;

    try {
      const {
        fd,
        buf,
        offset,
        length,
        pos
      } = this;
      const bytesRead = fs.readSync(fd, buf, offset, length, pos);
      this[ONREAD](bytesRead);
      threw = false;
    } finally {
      // ignoring the error from close(2) is a bad practice, but at
      // this point we already have an error, don't need another one
      if (threw) {
        try {
          this[CLOSE](() => {});
        } catch (er) {}
      }
    }
  }

  [AWAITDRAIN](cb) {
    cb();
  }

  [CLOSE](cb) {
    fs.closeSync(this.fd);
    cb();
  }

}

const WriteEntryTar = warner(class WriteEntryTar extends MiniPass {
  constructor(readEntry, opt) {
    opt = opt || {};
    super(opt);
    this.preservePaths = !!opt.preservePaths;
    this.portable = !!opt.portable;
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.noMtime = !!opt.noMtime;
    this.readEntry = readEntry;
    this.type = readEntry.type;
    if (this.type === 'Directory' && this.portable) this.noMtime = true;
    this.prefix = opt.prefix || null;
    this.path = normPath(readEntry.path);
    this.mode = this[MODE](readEntry.mode);
    this.uid = this.portable ? null : readEntry.uid;
    this.gid = this.portable ? null : readEntry.gid;
    this.uname = this.portable ? null : readEntry.uname;
    this.gname = this.portable ? null : readEntry.gname;
    this.size = readEntry.size;
    this.mtime = this.noMtime ? null : opt.mtime || readEntry.mtime;
    this.atime = this.portable ? null : readEntry.atime;
    this.ctime = this.portable ? null : readEntry.ctime;
    this.linkpath = normPath(readEntry.linkpath);
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);

    if (!this.preservePaths) {
      const s = stripAbsolutePath(this.path);

      if (s[0]) {
        this.warn('stripping ' + s[0] + ' from absolute path', this.path);
        this.path = s[1];
      }
    }

    this.remain = readEntry.size;
    this.blockRemain = readEntry.startBlockSize;
    this.header = new Header({
      path: this[PREFIX](this.path),
      linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
      // only the permissions and setuid/setgid/sticky bitflags
      // not the higher-order bits that specify file type
      mode: this.mode,
      uid: this.portable ? null : this.uid,
      gid: this.portable ? null : this.gid,
      size: this.size,
      mtime: this.noMtime ? null : this.mtime,
      type: this.type,
      uname: this.portable ? null : this.uname,
      atime: this.portable ? null : this.atime,
      ctime: this.portable ? null : this.ctime
    });
    if (this.header.encode() && !this.noPax) super.write(new Pax({
      atime: this.portable ? null : this.atime,
      ctime: this.portable ? null : this.ctime,
      gid: this.portable ? null : this.gid,
      mtime: this.noMtime ? null : this.mtime,
      path: this[PREFIX](this.path),
      linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
      size: this.size,
      uid: this.portable ? null : this.uid,
      uname: this.portable ? null : this.uname,
      dev: this.portable ? null : this.readEntry.dev,
      ino: this.portable ? null : this.readEntry.ino,
      nlink: this.portable ? null : this.readEntry.nlink
    }).encode());
    super.write(this.header.block);
    readEntry.pipe(this);
  }

  [PREFIX](path) {
    return prefixPath(path, this.prefix);
  }

  [MODE](mode) {
    return modeFix(mode, this.type === 'Directory');
  }

  write(data) {
    const writeLen = data.length;
    if (writeLen > this.blockRemain) throw new Error('writing more to entry than is appropriate');
    this.blockRemain -= writeLen;
    return super.write(data);
  }

  end() {
    if (this.blockRemain) super.write(Buffer.alloc(this.blockRemain));
    return super.end();
  }

});
WriteEntry.Sync = WriteEntrySync;
WriteEntry.Tar = WriteEntryTar;

const getType = stat => stat.isFile() ? 'File' : stat.isDirectory() ? 'Directory' : stat.isSymbolicLink() ? 'SymbolicLink' : 'Unsupported';

module.exports = WriteEntry;

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
 // high-level commands

exports.c = exports.create = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/create.js");
exports.r = exports.replace = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/replace.js");
exports.t = exports.list = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/list.js");
exports.u = exports.update = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/update.js");
exports.x = exports.extract = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/extract.js"); // classes

exports.Pack = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pack.js");
exports.Unpack = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/unpack.js");
exports.Parse = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/parse.js");
exports.ReadEntry = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/read-entry.js");
exports.WriteEntry = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/write-entry.js");
exports.Header = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/header.js");
exports.Pax = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pax.js");
exports.types = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/types.js");

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/create.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -c

const hlo = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js");

const Pack = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pack.js");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const t = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/list.js");

const path = __webpack_require__("path");

module.exports = (opt_, files, cb) => {
  if (typeof files === 'function') cb = files;
  if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  return opt.file && opt.sync ? createFileSync(opt, files) : opt.file ? createFile(opt, files, cb) : opt.sync ? createSync(opt, files) : create(opt, files);
};

const createFileSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  const stream = new fsm.WriteStreamSync(opt.file, {
    mode: opt.mode || 0o666
  });
  p.pipe(stream);
  addFilesSync(p, files);
};

const createFile = (opt, files, cb) => {
  const p = new Pack(opt);
  const stream = new fsm.WriteStream(opt.file, {
    mode: opt.mode || 0o666
  });
  p.pipe(stream);
  const promise = new Promise((res, rej) => {
    stream.on('error', rej);
    stream.on('close', res);
    p.on('error', rej);
  });
  addFilesAsync(p, files);
  return cb ? promise.then(cb, cb) : promise;
};

const addFilesSync = (p, files) => {
  files.forEach(file => {
    if (file.charAt(0) === '@') {
      t({
        file: path.resolve(p.cwd, file.substr(1)),
        sync: true,
        noResume: true,
        onentry: entry => p.add(entry)
      });
    } else p.add(file);
  });
  p.end();
};

const addFilesAsync = (p, files) => {
  while (files.length) {
    const file = files.shift();

    if (file.charAt(0) === '@') {
      return t({
        file: path.resolve(p.cwd, file.substr(1)),
        noResume: true,
        onentry: entry => p.add(entry)
      }).then(_ => addFilesAsync(p, files));
    } else p.add(file);
  }

  p.end();
};

const createSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  addFilesSync(p, files);
  return p;
};

const create = (opt, files) => {
  const p = new Pack(opt);
  addFilesAsync(p, files);
  return p;
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/extract.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -x

const hlo = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js");

const Unpack = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/unpack.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const path = __webpack_require__("path");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js");

module.exports = (opt_, files, cb) => {
  if (typeof opt_ === 'function') cb = opt_, files = null, opt_ = {};else if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (typeof files === 'function') cb = files, files = null;
  if (!files) files = [];else files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  if (files.length) filesFilter(opt, files);
  return opt.file && opt.sync ? extractFileSync(opt) : opt.file ? extractFile(opt, cb) : opt.sync ? extractSync(opt) : extract(opt);
}; // construct a filter that limits the file entries listed
// include child entries if a dir is included


const filesFilter = (opt, files) => {
  const map = new Map(files.map(f => [stripSlash(f), true]));
  const filter = opt.filter;

  const mapHas = (file, r) => {
    const root = r || path.parse(file).root || '.';
    const ret = file === root ? false : map.has(file) ? map.get(file) : mapHas(path.dirname(file), root);
    map.set(file, ret);
    return ret;
  };

  opt.filter = filter ? (file, entry) => filter(file, entry) && mapHas(stripSlash(file)) : file => mapHas(stripSlash(file));
};

const extractFileSync = opt => {
  const u = new Unpack.Sync(opt);
  const file = opt.file;
  const stat = fs.statSync(file); // This trades a zero-byte read() syscall for a stat
  // However, it will usually result in less memory allocation

  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const stream = new fsm.ReadStreamSync(file, {
    readSize: readSize,
    size: stat.size
  });
  stream.pipe(u);
};

const extractFile = (opt, cb) => {
  const u = new Unpack(opt);
  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const file = opt.file;
  const p = new Promise((resolve, reject) => {
    u.on('error', reject);
    u.on('close', resolve); // This trades a zero-byte read() syscall for a stat
    // However, it will usually result in less memory allocation

    fs.stat(file, (er, stat) => {
      if (er) reject(er);else {
        const stream = new fsm.ReadStream(file, {
          readSize: readSize,
          size: stat.size
        });
        stream.on('error', reject);
        stream.pipe(u);
      }
    });
  });
  return cb ? p.then(cb, cb) : p;
};

const extractSync = opt => new Unpack.Sync(opt);

const extract = opt => new Unpack(opt);

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/get-write-flag.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Get the appropriate flag to use for creating files
// We use fmap on Windows platforms for files less than
// 512kb.  This is a fairly low limit, but avoids making
// things slower in some cases.  Since most of what this
// library is used for is extracting tarballs of many
// relatively small files in npm packages and the like,
// it can be a big boost on Windows platforms.
// Only supported in Node v12.9.0 and above.
const platform = process.env.__FAKE_PLATFORM__ || process.platform;
const isWindows = platform === 'win32';

const fs = global.__FAKE_TESTING_FS__ || __webpack_require__("fs");
/* istanbul ignore next */


const {
  O_CREAT,
  O_TRUNC,
  O_WRONLY,
  UV_FS_O_FILEMAP = 0
} = fs.constants;
const fMapEnabled = isWindows && !!UV_FS_O_FILEMAP;
const fMapLimit = 512 * 1024;
const fMapFlag = UV_FS_O_FILEMAP | O_TRUNC | O_CREAT | O_WRONLY;
module.exports = !fMapEnabled ? () => 'w' : size => size < fMapLimit ? fMapFlag : 'w';

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/header.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // parse a 512-byte header block to a data object, or vice-versa
// encode returns `true` if a pax extended header is needed, because
// the data could not be faithfully encoded in a simple header.
// (Also, check header.needPax to see if it needs a pax header.)

const types = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/types.js");

const pathModule = __webpack_require__("path").posix;

const large = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/large-numbers.js");

const SLURP = Symbol('slurp');
const TYPE = Symbol('type');

class Header {
  constructor(data, off, ex, gex) {
    this.cksumValid = false;
    this.needPax = false;
    this.nullBlock = false;
    this.block = null;
    this.path = null;
    this.mode = null;
    this.uid = null;
    this.gid = null;
    this.size = null;
    this.mtime = null;
    this.cksum = null;
    this[TYPE] = '0';
    this.linkpath = null;
    this.uname = null;
    this.gname = null;
    this.devmaj = 0;
    this.devmin = 0;
    this.atime = null;
    this.ctime = null;
    if (Buffer.isBuffer(data)) this.decode(data, off || 0, ex, gex);else if (data) this.set(data);
  }

  decode(buf, off, ex, gex) {
    if (!off) off = 0;
    if (!buf || !(buf.length >= off + 512)) throw new Error('need 512 bytes for header');
    this.path = decString(buf, off, 100);
    this.mode = decNumber(buf, off + 100, 8);
    this.uid = decNumber(buf, off + 108, 8);
    this.gid = decNumber(buf, off + 116, 8);
    this.size = decNumber(buf, off + 124, 12);
    this.mtime = decDate(buf, off + 136, 12);
    this.cksum = decNumber(buf, off + 148, 12); // if we have extended or global extended headers, apply them now
    // See https://github.com/npm/node-tar/pull/187

    this[SLURP](ex);
    this[SLURP](gex, true); // old tar versions marked dirs as a file with a trailing /

    this[TYPE] = decString(buf, off + 156, 1);
    if (this[TYPE] === '') this[TYPE] = '0';
    if (this[TYPE] === '0' && this.path.substr(-1) === '/') this[TYPE] = '5'; // tar implementations sometimes incorrectly put the stat(dir).size
    // as the size in the tarball, even though Directory entries are
    // not able to have any body at all.  In the very rare chance that
    // it actually DOES have a body, we weren't going to do anything with
    // it anyway, and it'll just be a warning about an invalid header.

    if (this[TYPE] === '5') this.size = 0;
    this.linkpath = decString(buf, off + 157, 100);

    if (buf.slice(off + 257, off + 265).toString() === 'ustar\u000000') {
      this.uname = decString(buf, off + 265, 32);
      this.gname = decString(buf, off + 297, 32);
      this.devmaj = decNumber(buf, off + 329, 8);
      this.devmin = decNumber(buf, off + 337, 8);

      if (buf[off + 475] !== 0) {
        // definitely a prefix, definitely >130 chars.
        const prefix = decString(buf, off + 345, 155);
        this.path = prefix + '/' + this.path;
      } else {
        const prefix = decString(buf, off + 345, 130);
        if (prefix) this.path = prefix + '/' + this.path;
        this.atime = decDate(buf, off + 476, 12);
        this.ctime = decDate(buf, off + 488, 12);
      }
    }

    let sum = 8 * 0x20;

    for (let i = off; i < off + 148; i++) sum += buf[i];

    for (let i = off + 156; i < off + 512; i++) sum += buf[i];

    this.cksumValid = sum === this.cksum;
    if (this.cksum === null && sum === 8 * 0x20) this.nullBlock = true;
  }

  [SLURP](ex, global) {
    for (const k in ex) {
      // we slurp in everything except for the path attribute in
      // a global extended header, because that's weird.
      if (ex[k] !== null && ex[k] !== undefined && !(global && k === 'path')) this[k] = ex[k];
    }
  }

  encode(buf, off) {
    if (!buf) {
      buf = this.block = Buffer.alloc(512);
      off = 0;
    }

    if (!off) off = 0;
    if (!(buf.length >= off + 512)) throw new Error('need 512 bytes for header');
    const prefixSize = this.ctime || this.atime ? 130 : 155;
    const split = splitPrefix(this.path || '', prefixSize);
    const path = split[0];
    const prefix = split[1];
    this.needPax = split[2];
    this.needPax = encString(buf, off, 100, path) || this.needPax;
    this.needPax = encNumber(buf, off + 100, 8, this.mode) || this.needPax;
    this.needPax = encNumber(buf, off + 108, 8, this.uid) || this.needPax;
    this.needPax = encNumber(buf, off + 116, 8, this.gid) || this.needPax;
    this.needPax = encNumber(buf, off + 124, 12, this.size) || this.needPax;
    this.needPax = encDate(buf, off + 136, 12, this.mtime) || this.needPax;
    buf[off + 156] = this[TYPE].charCodeAt(0);
    this.needPax = encString(buf, off + 157, 100, this.linkpath) || this.needPax;
    buf.write('ustar\u000000', off + 257, 8);
    this.needPax = encString(buf, off + 265, 32, this.uname) || this.needPax;
    this.needPax = encString(buf, off + 297, 32, this.gname) || this.needPax;
    this.needPax = encNumber(buf, off + 329, 8, this.devmaj) || this.needPax;
    this.needPax = encNumber(buf, off + 337, 8, this.devmin) || this.needPax;
    this.needPax = encString(buf, off + 345, prefixSize, prefix) || this.needPax;
    if (buf[off + 475] !== 0) this.needPax = encString(buf, off + 345, 155, prefix) || this.needPax;else {
      this.needPax = encString(buf, off + 345, 130, prefix) || this.needPax;
      this.needPax = encDate(buf, off + 476, 12, this.atime) || this.needPax;
      this.needPax = encDate(buf, off + 488, 12, this.ctime) || this.needPax;
    }
    let sum = 8 * 0x20;

    for (let i = off; i < off + 148; i++) sum += buf[i];

    for (let i = off + 156; i < off + 512; i++) sum += buf[i];

    this.cksum = sum;
    encNumber(buf, off + 148, 8, this.cksum);
    this.cksumValid = true;
    return this.needPax;
  }

  set(data) {
    for (const i in data) {
      if (data[i] !== null && data[i] !== undefined) this[i] = data[i];
    }
  }

  get type() {
    return types.name.get(this[TYPE]) || this[TYPE];
  }

  get typeKey() {
    return this[TYPE];
  }

  set type(type) {
    if (types.code.has(type)) this[TYPE] = types.code.get(type);else this[TYPE] = type;
  }

}

const splitPrefix = (p, prefixSize) => {
  const pathSize = 100;
  let pp = p;
  let prefix = '';
  let ret;
  const root = pathModule.parse(p).root || '.';
  if (Buffer.byteLength(pp) < pathSize) ret = [pp, prefix, false];else {
    // first set prefix to the dir, and path to the base
    prefix = pathModule.dirname(pp);
    pp = pathModule.basename(pp);

    do {
      // both fit!
      if (Buffer.byteLength(pp) <= pathSize && Buffer.byteLength(prefix) <= prefixSize) ret = [pp, prefix, false]; // prefix fits in prefix, but path doesn't fit in path
      else if (Buffer.byteLength(pp) > pathSize && Buffer.byteLength(prefix) <= prefixSize) ret = [pp.substr(0, pathSize - 1), prefix, true];else {
        // make path take a bit from prefix
        pp = pathModule.join(pathModule.basename(prefix), pp);
        prefix = pathModule.dirname(prefix);
      }
    } while (prefix !== root && !ret); // at this point, found no resolution, just truncate


    if (!ret) ret = [p.substr(0, pathSize - 1), '', true];
  }
  return ret;
};

const decString = (buf, off, size) => buf.slice(off, off + size).toString('utf8').replace(/\0.*/, '');

const decDate = (buf, off, size) => numToDate(decNumber(buf, off, size));

const numToDate = num => num === null ? null : new Date(num * 1000);

const decNumber = (buf, off, size) => buf[off] & 0x80 ? large.parse(buf.slice(off, off + size)) : decSmallNumber(buf, off, size);

const nanNull = value => isNaN(value) ? null : value;

const decSmallNumber = (buf, off, size) => nanNull(parseInt(buf.slice(off, off + size).toString('utf8').replace(/\0.*$/, '').trim(), 8)); // the maximum encodable as a null-terminated octal, by field size


const MAXNUM = {
  12: 0o77777777777,
  8: 0o7777777
};

const encNumber = (buf, off, size, number) => number === null ? false : number > MAXNUM[size] || number < 0 ? (large.encode(number, buf.slice(off, off + size)), true) : (encSmallNumber(buf, off, size, number), false);

const encSmallNumber = (buf, off, size, number) => buf.write(octalString(number, size), off, size, 'ascii');

const octalString = (number, size) => padOctal(Math.floor(number).toString(8), size);

const padOctal = (string, size) => (string.length === size - 1 ? string : new Array(size - string.length - 1).join('0') + string + ' ') + '\0';

const encDate = (buf, off, size, date) => date === null ? false : encNumber(buf, off, size, date.getTime() / 1000); // enough to fill the longest string we've got


const NULLS = new Array(156).join('\0'); // pad with nulls, return true if it's longer or non-ascii

const encString = (buf, off, size, string) => string === null ? false : (buf.write(string + NULLS, off, size, 'utf8'), string.length !== Buffer.byteLength(string) || string.length > size);

module.exports = Header;

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js":
/***/ ((module) => {

"use strict";
 // turn tar(1) style args like `C` into the more verbose things like `cwd`

const argmap = new Map([['C', 'cwd'], ['f', 'file'], ['z', 'gzip'], ['P', 'preservePaths'], ['U', 'unlink'], ['strip-components', 'strip'], ['stripComponents', 'strip'], ['keep-newer', 'newer'], ['keepNewer', 'newer'], ['keep-newer-files', 'newer'], ['keepNewerFiles', 'newer'], ['k', 'keep'], ['keep-existing', 'keep'], ['keepExisting', 'keep'], ['m', 'noMtime'], ['no-mtime', 'noMtime'], ['p', 'preserveOwner'], ['L', 'follow'], ['h', 'follow']]);

module.exports = opt => opt ? Object.keys(opt).map(k => [argmap.has(k) ? argmap.get(k) : k, opt[k]]).reduce((set, kv) => (set[kv[0]] = kv[1], set), Object.create(null)) : {};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/large-numbers.js":
/***/ ((module) => {

"use strict";
 // Tar can encode large and negative numbers using a leading byte of
// 0xff for negative, and 0x80 for positive.

const encode = (num, buf) => {
  if (!Number.isSafeInteger(num)) // The number is so large that javascript cannot represent it with integer
    // precision.
    throw Error('cannot encode number outside of javascript safe integer range');else if (num < 0) encodeNegative(num, buf);else encodePositive(num, buf);
  return buf;
};

const encodePositive = (num, buf) => {
  buf[0] = 0x80;

  for (var i = buf.length; i > 1; i--) {
    buf[i - 1] = num & 0xff;
    num = Math.floor(num / 0x100);
  }
};

const encodeNegative = (num, buf) => {
  buf[0] = 0xff;
  var flipped = false;
  num = num * -1;

  for (var i = buf.length; i > 1; i--) {
    var byte = num & 0xff;
    num = Math.floor(num / 0x100);
    if (flipped) buf[i - 1] = onesComp(byte);else if (byte === 0) buf[i - 1] = 0;else {
      flipped = true;
      buf[i - 1] = twosComp(byte);
    }
  }
};

const parse = buf => {
  const pre = buf[0];
  const value = pre === 0x80 ? pos(buf.slice(1, buf.length)) : pre === 0xff ? twos(buf) : null;
  if (value === null) throw Error('invalid base256 encoding');
  if (!Number.isSafeInteger(value)) // The number is so large that javascript cannot represent it with integer
    // precision.
    throw Error('parsed number outside of javascript safe integer range');
  return value;
};

const twos = buf => {
  var len = buf.length;
  var sum = 0;
  var flipped = false;

  for (var i = len - 1; i > -1; i--) {
    var byte = buf[i];
    var f;
    if (flipped) f = onesComp(byte);else if (byte === 0) f = byte;else {
      flipped = true;
      f = twosComp(byte);
    }
    if (f !== 0) sum -= f * Math.pow(256, len - i - 1);
  }

  return sum;
};

const pos = buf => {
  var len = buf.length;
  var sum = 0;

  for (var i = len - 1; i > -1; i--) {
    var byte = buf[i];
    if (byte !== 0) sum += byte * Math.pow(256, len - i - 1);
  }

  return sum;
};

const onesComp = byte => (0xff ^ byte) & 0xff;

const twosComp = byte => (0xff ^ byte) + 1 & 0xff;

module.exports = {
  encode,
  parse
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/list.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // XXX: This shares a lot in common with extract.js
// maybe some DRY opportunity here?
// tar -t

const hlo = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js");

const Parser = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/parse.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const path = __webpack_require__("path");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js");

module.exports = (opt_, files, cb) => {
  if (typeof opt_ === 'function') cb = opt_, files = null, opt_ = {};else if (Array.isArray(opt_)) files = opt_, opt_ = {};
  if (typeof files === 'function') cb = files, files = null;
  if (!files) files = [];else files = Array.from(files);
  const opt = hlo(opt_);
  if (opt.sync && typeof cb === 'function') throw new TypeError('callback not supported for sync tar functions');
  if (!opt.file && typeof cb === 'function') throw new TypeError('callback only supported with file option');
  if (files.length) filesFilter(opt, files);
  if (!opt.noResume) onentryFunction(opt);
  return opt.file && opt.sync ? listFileSync(opt) : opt.file ? listFile(opt, cb) : list(opt);
};

const onentryFunction = opt => {
  const onentry = opt.onentry;
  opt.onentry = onentry ? e => {
    onentry(e);
    e.resume();
  } : e => e.resume();
}; // construct a filter that limits the file entries listed
// include child entries if a dir is included


const filesFilter = (opt, files) => {
  const map = new Map(files.map(f => [stripSlash(f), true]));
  const filter = opt.filter;

  const mapHas = (file, r) => {
    const root = r || path.parse(file).root || '.';
    const ret = file === root ? false : map.has(file) ? map.get(file) : mapHas(path.dirname(file), root);
    map.set(file, ret);
    return ret;
  };

  opt.filter = filter ? (file, entry) => filter(file, entry) && mapHas(stripSlash(file)) : file => mapHas(stripSlash(file));
};

const listFileSync = opt => {
  const p = list(opt);
  const file = opt.file;
  let threw = true;
  let fd;

  try {
    const stat = fs.statSync(file);
    const readSize = opt.maxReadSize || 16 * 1024 * 1024;
    if (stat.size < readSize) p.end(fs.readFileSync(file));else {
      let pos = 0;
      const buf = Buffer.allocUnsafe(readSize);
      fd = fs.openSync(file, 'r');

      while (pos < stat.size) {
        const bytesRead = fs.readSync(fd, buf, 0, readSize, pos);
        pos += bytesRead;
        p.write(buf.slice(0, bytesRead));
      }

      p.end();
    }
    threw = false;
  } finally {
    if (threw && fd) {
      try {
        fs.closeSync(fd);
      } catch (er) {}
    }
  }
};

const listFile = (opt, cb) => {
  const parse = new Parser(opt);
  const readSize = opt.maxReadSize || 16 * 1024 * 1024;
  const file = opt.file;
  const p = new Promise((resolve, reject) => {
    parse.on('error', reject);
    parse.on('end', resolve);
    fs.stat(file, (er, stat) => {
      if (er) reject(er);else {
        const stream = new fsm.ReadStream(file, {
          readSize: readSize,
          size: stat.size
        });
        stream.on('error', reject);
        stream.pipe(parse);
      }
    });
  });
  return cb ? p.then(cb, cb) : p;
};

const list = opt => new Parser(opt);

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/mkdir.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // wrapper around mkdirp for tar's needs.
// TODO: This should probably be a class, not functionally
// passing around state in a gazillion args.

const mkdirp = __webpack_require__("./node_modules/.f/_/mkdirp/1.0.4/mkdirp/index.js");

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const chownr = __webpack_require__("./node_modules/.f/_/chownr/2.0.0/chownr/chownr.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js");

class SymlinkError extends Error {
  constructor(symlink, path) {
    super('Cannot extract through symbolic link');
    this.path = path;
    this.symlink = symlink;
  }

  get name() {
    return 'SylinkError';
  }

}

class CwdError extends Error {
  constructor(path, code) {
    super(code + ': Cannot cd into \'' + path + '\'');
    this.path = path;
    this.code = code;
  }

  get name() {
    return 'CwdError';
  }

}

const cGet = (cache, key) => cache.get(normPath(key));

const cSet = (cache, key, val) => cache.set(normPath(key), val);

const checkCwd = (dir, cb) => {
  fs.stat(dir, (er, st) => {
    if (er || !st.isDirectory()) er = new CwdError(dir, er && er.code || 'ENOTDIR');
    cb(er);
  });
};

module.exports = (dir, opt, cb) => {
  dir = normPath(dir); // if there's any overlap between mask and mode,
  // then we'll need an explicit chmod

  const umask = opt.umask;
  const mode = opt.mode | 0o0700;
  const needChmod = (mode & umask) !== 0;
  const uid = opt.uid;
  const gid = opt.gid;
  const doChown = typeof uid === 'number' && typeof gid === 'number' && (uid !== opt.processUid || gid !== opt.processGid);
  const preserve = opt.preserve;
  const unlink = opt.unlink;
  const cache = opt.cache;
  const cwd = normPath(opt.cwd);

  const done = (er, created) => {
    if (er) cb(er);else {
      cSet(cache, dir, true);
      if (created && doChown) chownr(created, uid, gid, er => done(er));else if (needChmod) fs.chmod(dir, mode, cb);else cb();
    }
  };

  if (cache && cGet(cache, dir) === true) return done();
  if (dir === cwd) return checkCwd(dir, done);
  if (preserve) return mkdirp(dir, {
    mode
  }).then(made => done(null, made), done);
  const sub = normPath(path.relative(cwd, dir));
  const parts = sub.split('/');
  mkdir_(cwd, parts, mode, cache, unlink, cwd, null, done);
};

const mkdir_ = (base, parts, mode, cache, unlink, cwd, created, cb) => {
  if (!parts.length) return cb(null, created);
  const p = parts.shift();
  const part = normPath(path.resolve(base + '/' + p));
  if (cGet(cache, part)) return mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);
  fs.mkdir(part, mode, onmkdir(part, parts, mode, cache, unlink, cwd, created, cb));
};

const onmkdir = (part, parts, mode, cache, unlink, cwd, created, cb) => er => {
  if (er) {
    fs.lstat(part, (statEr, st) => {
      if (statEr) {
        statEr.path = statEr.path && normPath(statEr.path);
        cb(statEr);
      } else if (st.isDirectory()) mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);else if (unlink) {
        fs.unlink(part, er => {
          if (er) return cb(er);
          fs.mkdir(part, mode, onmkdir(part, parts, mode, cache, unlink, cwd, created, cb));
        });
      } else if (st.isSymbolicLink()) return cb(new SymlinkError(part, part + '/' + parts.join('/')));else cb(er);
    });
  } else {
    created = created || part;
    mkdir_(part, parts, mode, cache, unlink, cwd, created, cb);
  }
};

const checkCwdSync = dir => {
  let ok = false;
  let code = 'ENOTDIR';

  try {
    ok = fs.statSync(dir).isDirectory();
  } catch (er) {
    code = er.code;
  } finally {
    if (!ok) throw new CwdError(dir, code);
  }
};

module.exports.sync = (dir, opt) => {
  dir = normPath(dir); // if there's any overlap between mask and mode,
  // then we'll need an explicit chmod

  const umask = opt.umask;
  const mode = opt.mode | 0o0700;
  const needChmod = (mode & umask) !== 0;
  const uid = opt.uid;
  const gid = opt.gid;
  const doChown = typeof uid === 'number' && typeof gid === 'number' && (uid !== opt.processUid || gid !== opt.processGid);
  const preserve = opt.preserve;
  const unlink = opt.unlink;
  const cache = opt.cache;
  const cwd = normPath(opt.cwd);

  const done = created => {
    cSet(cache, dir, true);
    if (created && doChown) chownr.sync(created, uid, gid);
    if (needChmod) fs.chmodSync(dir, mode);
  };

  if (cache && cGet(cache, dir) === true) return done();

  if (dir === cwd) {
    checkCwdSync(cwd);
    return done();
  }

  if (preserve) return done(mkdirp.sync(dir, mode));
  const sub = normPath(path.relative(cwd, dir));
  const parts = sub.split('/');
  let created = null;

  for (let p = parts.shift(), part = cwd; p && (part += '/' + p); p = parts.shift()) {
    part = normPath(path.resolve(part));
    if (cGet(cache, part)) continue;

    try {
      fs.mkdirSync(part, mode);
      created = created || part;
      cSet(cache, part, true);
    } catch (er) {
      const st = fs.lstatSync(part);

      if (st.isDirectory()) {
        cSet(cache, part, true);
        continue;
      } else if (unlink) {
        fs.unlinkSync(part);
        fs.mkdirSync(part, mode);
        created = created || part;
        cSet(cache, part, true);
        continue;
      } else if (st.isSymbolicLink()) return new SymlinkError(part, part + '/' + parts.join('/'));
    }
  }

  return done(created);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/mode-fix.js":
/***/ ((module) => {

"use strict";


module.exports = (mode, isDir, portable) => {
  mode &= 0o7777; // in portable mode, use the minimum reasonable umask
  // if this system creates files with 0o664 by default
  // (as some linux distros do), then we'll write the
  // archive with 0o644 instead.  Also, don't ever create
  // a file that is not readable/writable by the owner.

  if (portable) mode = (mode | 0o600) & ~0o22; // if dirs are readable, then they should be listable

  if (isDir) {
    if (mode & 0o400) mode |= 0o100;
    if (mode & 0o40) mode |= 0o10;
    if (mode & 0o4) mode |= 0o1;
  }

  return mode;
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-unicode.js":
/***/ ((module) => {

// warning: extremely hot code path.
// This has been meticulously optimized for use
// within npm install on large package trees.
// Do not edit without careful benchmarking.
const normalizeCache = Object.create(null);
const {
  hasOwnProperty
} = Object.prototype;

module.exports = s => {
  if (!hasOwnProperty.call(normalizeCache, s)) normalizeCache[s] = s.normalize('NFKD');
  return normalizeCache[s];
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js":
/***/ ((module) => {

// on windows, either \ or / are valid directory separators.
// on unix, \ is a valid character in filenames.
// so, on windows, and only on windows, we replace all \ chars with /,
// so that we can use / as our one and only directory separator char.
const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
module.exports = platform !== 'win32' ? p => p : p => p && p.replace(/\\/g, '/');

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/pack.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // A readable tar stream creator
// Technically, this is a transform stream that you write paths into,
// and tar format comes out of.
// The `add()` method is like `write()` but returns this,
// and end() return `this` as well, so you can
// do `new Pack(opt).add('files').add('dir').end().pipe(output)
// You could also do something like:
// streamOfPaths().pipe(new Pack()).pipe(new fs.WriteStream('out.tar'))

class PackJob {
  constructor(path, absolute) {
    this.path = path || './';
    this.absolute = absolute;
    this.entry = null;
    this.stat = null;
    this.readdir = null;
    this.pending = false;
    this.ignore = false;
    this.piped = false;
  }

}

const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const zlib = __webpack_require__("./node_modules/.f/_/minizlib/2.1.2/minizlib/index.js");

const ReadEntry = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/read-entry.js");

const WriteEntry = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/write-entry.js");

const WriteEntrySync = WriteEntry.Sync;
const WriteEntryTar = WriteEntry.Tar;

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/4.0.0/yallist/yallist.js");

const EOF = Buffer.alloc(1024);
const ONSTAT = Symbol('onStat');
const ENDED = Symbol('ended');
const QUEUE = Symbol('queue');
const CURRENT = Symbol('current');
const PROCESS = Symbol('process');
const PROCESSING = Symbol('processing');
const PROCESSJOB = Symbol('processJob');
const JOBS = Symbol('jobs');
const JOBDONE = Symbol('jobDone');
const ADDFSENTRY = Symbol('addFSEntry');
const ADDTARENTRY = Symbol('addTarEntry');
const STAT = Symbol('stat');
const READDIR = Symbol('readdir');
const ONREADDIR = Symbol('onreaddir');
const PIPE = Symbol('pipe');
const ENTRY = Symbol('entry');
const ENTRYOPT = Symbol('entryOpt');
const WRITEENTRYCLASS = Symbol('writeEntryClass');
const WRITE = Symbol('write');
const ONDRAIN = Symbol('ondrain');

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const warner = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/warn-mixin.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js");

const Pack = warner(class Pack extends MiniPass {
  constructor(opt) {
    super(opt);
    opt = opt || Object.create(null);
    this.opt = opt;
    this.file = opt.file || '';
    this.cwd = opt.cwd || process.cwd();
    this.maxReadSize = opt.maxReadSize;
    this.preservePaths = !!opt.preservePaths;
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.prefix = normPath(opt.prefix || '');
    this.linkCache = opt.linkCache || new Map();
    this.statCache = opt.statCache || new Map();
    this.readdirCache = opt.readdirCache || new Map();
    this[WRITEENTRYCLASS] = WriteEntry;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    this.portable = !!opt.portable;
    this.zip = null;

    if (opt.gzip) {
      if (typeof opt.gzip !== 'object') opt.gzip = {};
      if (this.portable) opt.gzip.portable = true;
      this.zip = new zlib.Gzip(opt.gzip);
      this.zip.on('data', chunk => super.write(chunk));
      this.zip.on('end', _ => super.end());
      this.zip.on('drain', _ => this[ONDRAIN]());
      this.on('resume', _ => this.zip.resume());
    } else this.on('drain', this[ONDRAIN]);

    this.noDirRecurse = !!opt.noDirRecurse;
    this.follow = !!opt.follow;
    this.noMtime = !!opt.noMtime;
    this.mtime = opt.mtime || null;
    this.filter = typeof opt.filter === 'function' ? opt.filter : _ => true;
    this[QUEUE] = new Yallist();
    this[JOBS] = 0;
    this.jobs = +opt.jobs || 4;
    this[PROCESSING] = false;
    this[ENDED] = false;
  }

  [WRITE](chunk) {
    return super.write(chunk);
  }

  add(path) {
    this.write(path);
    return this;
  }

  end(path) {
    if (path) this.write(path);
    this[ENDED] = true;
    this[PROCESS]();
    return this;
  }

  write(path) {
    if (this[ENDED]) throw new Error('write after end');
    if (path instanceof ReadEntry) this[ADDTARENTRY](path);else this[ADDFSENTRY](path);
    return this.flowing;
  }

  [ADDTARENTRY](p) {
    const absolute = normPath(path.resolve(this.cwd, p.path)); // in this case, we don't have to wait for the stat

    if (!this.filter(p.path, p)) p.resume();else {
      const job = new PackJob(p.path, absolute, false);
      job.entry = new WriteEntryTar(p, this[ENTRYOPT](job));
      job.entry.on('end', _ => this[JOBDONE](job));
      this[JOBS] += 1;
      this[QUEUE].push(job);
    }
    this[PROCESS]();
  }

  [ADDFSENTRY](p) {
    const absolute = normPath(path.resolve(this.cwd, p));
    this[QUEUE].push(new PackJob(p, absolute));
    this[PROCESS]();
  }

  [STAT](job) {
    job.pending = true;
    this[JOBS] += 1;
    const stat = this.follow ? 'stat' : 'lstat';
    fs[stat](job.absolute, (er, stat) => {
      job.pending = false;
      this[JOBS] -= 1;
      if (er) this.emit('error', er);else this[ONSTAT](job, stat);
    });
  }

  [ONSTAT](job, stat) {
    this.statCache.set(job.absolute, stat);
    job.stat = stat; // now we have the stat, we can filter it.

    if (!this.filter(job.path, stat)) job.ignore = true;
    this[PROCESS]();
  }

  [READDIR](job) {
    job.pending = true;
    this[JOBS] += 1;
    fs.readdir(job.absolute, (er, entries) => {
      job.pending = false;
      this[JOBS] -= 1;
      if (er) return this.emit('error', er);
      this[ONREADDIR](job, entries);
    });
  }

  [ONREADDIR](job, entries) {
    this.readdirCache.set(job.absolute, entries);
    job.readdir = entries;
    this[PROCESS]();
  }

  [PROCESS]() {
    if (this[PROCESSING]) return;
    this[PROCESSING] = true;

    for (let w = this[QUEUE].head; w !== null && this[JOBS] < this.jobs; w = w.next) {
      this[PROCESSJOB](w.value);

      if (w.value.ignore) {
        const p = w.next;
        this[QUEUE].removeNode(w);
        w.next = p;
      }
    }

    this[PROCESSING] = false;

    if (this[ENDED] && !this[QUEUE].length && this[JOBS] === 0) {
      if (this.zip) this.zip.end(EOF);else {
        super.write(EOF);
        super.end();
      }
    }
  }

  get [CURRENT]() {
    return this[QUEUE] && this[QUEUE].head && this[QUEUE].head.value;
  }

  [JOBDONE](job) {
    this[QUEUE].shift();
    this[JOBS] -= 1;
    this[PROCESS]();
  }

  [PROCESSJOB](job) {
    if (job.pending) return;

    if (job.entry) {
      if (job === this[CURRENT] && !job.piped) this[PIPE](job);
      return;
    }

    if (!job.stat) {
      if (this.statCache.has(job.absolute)) this[ONSTAT](job, this.statCache.get(job.absolute));else this[STAT](job);
    }

    if (!job.stat) return; // filtered out!

    if (job.ignore) return;

    if (!this.noDirRecurse && job.stat.isDirectory() && !job.readdir) {
      if (this.readdirCache.has(job.absolute)) this[ONREADDIR](job, this.readdirCache.get(job.absolute));else this[READDIR](job);
      if (!job.readdir) return;
    } // we know it doesn't have an entry, because that got checked above


    job.entry = this[ENTRY](job);

    if (!job.entry) {
      job.ignore = true;
      return;
    }

    if (job === this[CURRENT] && !job.piped) this[PIPE](job);
  }

  [ENTRYOPT](job) {
    return {
      onwarn: (code, msg, data) => this.warn(code, msg, data),
      noPax: this.noPax,
      cwd: this.cwd,
      absolute: job.absolute,
      preservePaths: this.preservePaths,
      maxReadSize: this.maxReadSize,
      strict: this.strict,
      portable: this.portable,
      linkCache: this.linkCache,
      statCache: this.statCache,
      noMtime: this.noMtime,
      mtime: this.mtime,
      prefix: this.prefix
    };
  }

  [ENTRY](job) {
    this[JOBS] += 1;

    try {
      return new this[WRITEENTRYCLASS](job.path, this[ENTRYOPT](job)).on('end', () => this[JOBDONE](job)).on('error', er => this.emit('error', er));
    } catch (er) {
      this.emit('error', er);
    }
  }

  [ONDRAIN]() {
    if (this[CURRENT] && this[CURRENT].entry) this[CURRENT].entry.resume();
  } // like .pipe() but using super, because our write() is special


  [PIPE](job) {
    job.piped = true;

    if (job.readdir) {
      job.readdir.forEach(entry => {
        const p = job.path;
        const base = p === './' ? '' : p.replace(/\/*$/, '/');
        this[ADDFSENTRY](base + entry);
      });
    }

    const source = job.entry;
    const zip = this.zip;

    if (zip) {
      source.on('data', chunk => {
        if (!zip.write(chunk)) source.pause();
      });
    } else {
      source.on('data', chunk => {
        if (!super.write(chunk)) source.pause();
      });
    }
  }

  pause() {
    if (this.zip) this.zip.pause();
    return super.pause();
  }

});

class PackSync extends Pack {
  constructor(opt) {
    super(opt);
    this[WRITEENTRYCLASS] = WriteEntrySync;
  } // pause/resume are no-ops in sync streams.


  pause() {}

  resume() {}

  [STAT](job) {
    const stat = this.follow ? 'statSync' : 'lstatSync';
    this[ONSTAT](job, fs[stat](job.absolute));
  }

  [READDIR](job, stat) {
    this[ONREADDIR](job, fs.readdirSync(job.absolute));
  } // gotta get it all in this tick


  [PIPE](job) {
    const source = job.entry;
    const zip = this.zip;

    if (job.readdir) {
      job.readdir.forEach(entry => {
        const p = job.path;
        const base = p === './' ? '' : p.replace(/\/*$/, '/');
        this[ADDFSENTRY](base + entry);
      });
    }

    if (zip) {
      source.on('data', chunk => {
        zip.write(chunk);
      });
    } else {
      source.on('data', chunk => {
        super[WRITE](chunk);
      });
    }
  }

}

Pack.Sync = PackSync;
module.exports = Pack;

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/parse.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // this[BUFFER] is the remainder of a chunk if we're waiting for
// the full 512 bytes of a header to come in.  We will Buffer.concat()
// it to the next write(), which is a mem copy, but a small one.
//
// this[QUEUE] is a Yallist of entries that haven't been emitted
// yet this can only get filled up if the user keeps write()ing after
// a write() returns false, or does a write() with more than one entry
//
// We don't buffer chunks, we always parse them and either create an
// entry, or push it into the active entry.  The ReadEntry class knows
// to throw data away if .ignore=true
//
// Shift entry off the buffer when it emits 'end', and emit 'entry' for
// the next one in the list.
//
// At any time, we're pushing body chunks into the entry at WRITEENTRY,
// and waiting for 'end' on the entry at READENTRY
//
// ignored entries get .resume() called on them straight away

const warner = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/warn-mixin.js");

const Header = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/header.js");

const EE = __webpack_require__("events");

const Yallist = __webpack_require__("./node_modules/.f/_/yallist/4.0.0/yallist/yallist.js");

const maxMetaEntrySize = 1024 * 1024;

const Entry = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/read-entry.js");

const Pax = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pax.js");

const zlib = __webpack_require__("./node_modules/.f/_/minizlib/2.1.2/minizlib/index.js");

const gzipHeader = Buffer.from([0x1f, 0x8b]);
const STATE = Symbol('state');
const WRITEENTRY = Symbol('writeEntry');
const READENTRY = Symbol('readEntry');
const NEXTENTRY = Symbol('nextEntry');
const PROCESSENTRY = Symbol('processEntry');
const EX = Symbol('extendedHeader');
const GEX = Symbol('globalExtendedHeader');
const META = Symbol('meta');
const EMITMETA = Symbol('emitMeta');
const BUFFER = Symbol('buffer');
const QUEUE = Symbol('queue');
const ENDED = Symbol('ended');
const EMITTEDEND = Symbol('emittedEnd');
const EMIT = Symbol('emit');
const UNZIP = Symbol('unzip');
const CONSUMECHUNK = Symbol('consumeChunk');
const CONSUMECHUNKSUB = Symbol('consumeChunkSub');
const CONSUMEBODY = Symbol('consumeBody');
const CONSUMEMETA = Symbol('consumeMeta');
const CONSUMEHEADER = Symbol('consumeHeader');
const CONSUMING = Symbol('consuming');
const BUFFERCONCAT = Symbol('bufferConcat');
const MAYBEEND = Symbol('maybeEnd');
const WRITING = Symbol('writing');
const ABORTED = Symbol('aborted');
const DONE = Symbol('onDone');
const SAW_VALID_ENTRY = Symbol('sawValidEntry');
const SAW_NULL_BLOCK = Symbol('sawNullBlock');
const SAW_EOF = Symbol('sawEOF');

const noop = _ => true;

module.exports = warner(class Parser extends EE {
  constructor(opt) {
    opt = opt || {};
    super(opt);
    this.file = opt.file || ''; // set to boolean false when an entry starts.  1024 bytes of \0
    // is technically a valid tarball, albeit a boring one.

    this[SAW_VALID_ENTRY] = null; // these BADARCHIVE errors can't be detected early. listen on DONE.

    this.on(DONE, _ => {
      if (this[STATE] === 'begin' || this[SAW_VALID_ENTRY] === false) {
        // either less than 1 block of data, or all entries were invalid.
        // Either way, probably not even a tarball.
        this.warn('TAR_BAD_ARCHIVE', 'Unrecognized archive format');
      }
    });
    if (opt.ondone) this.on(DONE, opt.ondone);else {
      this.on(DONE, _ => {
        this.emit('prefinish');
        this.emit('finish');
        this.emit('end');
        this.emit('close');
      });
    }
    this.strict = !!opt.strict;
    this.maxMetaEntrySize = opt.maxMetaEntrySize || maxMetaEntrySize;
    this.filter = typeof opt.filter === 'function' ? opt.filter : noop; // have to set this so that streams are ok piping into it

    this.writable = true;
    this.readable = false;
    this[QUEUE] = new Yallist();
    this[BUFFER] = null;
    this[READENTRY] = null;
    this[WRITEENTRY] = null;
    this[STATE] = 'begin';
    this[META] = '';
    this[EX] = null;
    this[GEX] = null;
    this[ENDED] = false;
    this[UNZIP] = null;
    this[ABORTED] = false;
    this[SAW_NULL_BLOCK] = false;
    this[SAW_EOF] = false;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    if (typeof opt.onentry === 'function') this.on('entry', opt.onentry);
  }

  [CONSUMEHEADER](chunk, position) {
    if (this[SAW_VALID_ENTRY] === null) this[SAW_VALID_ENTRY] = false;
    let header;

    try {
      header = new Header(chunk, position, this[EX], this[GEX]);
    } catch (er) {
      return this.warn('TAR_ENTRY_INVALID', er);
    }

    if (header.nullBlock) {
      if (this[SAW_NULL_BLOCK]) {
        this[SAW_EOF] = true; // ending an archive with no entries.  pointless, but legal.

        if (this[STATE] === 'begin') this[STATE] = 'header';
        this[EMIT]('eof');
      } else {
        this[SAW_NULL_BLOCK] = true;
        this[EMIT]('nullBlock');
      }
    } else {
      this[SAW_NULL_BLOCK] = false;
      if (!header.cksumValid) this.warn('TAR_ENTRY_INVALID', 'checksum failure', {
        header
      });else if (!header.path) this.warn('TAR_ENTRY_INVALID', 'path is required', {
        header
      });else {
        const type = header.type;
        if (/^(Symbolic)?Link$/.test(type) && !header.linkpath) this.warn('TAR_ENTRY_INVALID', 'linkpath required', {
          header
        });else if (!/^(Symbolic)?Link$/.test(type) && header.linkpath) this.warn('TAR_ENTRY_INVALID', 'linkpath forbidden', {
          header
        });else {
          const entry = this[WRITEENTRY] = new Entry(header, this[EX], this[GEX]); // we do this for meta & ignored entries as well, because they
          // are still valid tar, or else we wouldn't know to ignore them

          if (!this[SAW_VALID_ENTRY]) {
            if (entry.remain) {
              // this might be the one!
              const onend = () => {
                if (!entry.invalid) this[SAW_VALID_ENTRY] = true;
              };

              entry.on('end', onend);
            } else this[SAW_VALID_ENTRY] = true;
          }

          if (entry.meta) {
            if (entry.size > this.maxMetaEntrySize) {
              entry.ignore = true;
              this[EMIT]('ignoredEntry', entry);
              this[STATE] = 'ignore';
              entry.resume();
            } else if (entry.size > 0) {
              this[META] = '';
              entry.on('data', c => this[META] += c);
              this[STATE] = 'meta';
            }
          } else {
            this[EX] = null;
            entry.ignore = entry.ignore || !this.filter(entry.path, entry);

            if (entry.ignore) {
              // probably valid, just not something we care about
              this[EMIT]('ignoredEntry', entry);
              this[STATE] = entry.remain ? 'ignore' : 'header';
              entry.resume();
            } else {
              if (entry.remain) this[STATE] = 'body';else {
                this[STATE] = 'header';
                entry.end();
              }

              if (!this[READENTRY]) {
                this[QUEUE].push(entry);
                this[NEXTENTRY]();
              } else this[QUEUE].push(entry);
            }
          }
        }
      }
    }
  }

  [PROCESSENTRY](entry) {
    let go = true;

    if (!entry) {
      this[READENTRY] = null;
      go = false;
    } else if (Array.isArray(entry)) this.emit.apply(this, entry);else {
      this[READENTRY] = entry;
      this.emit('entry', entry);

      if (!entry.emittedEnd) {
        entry.on('end', _ => this[NEXTENTRY]());
        go = false;
      }
    }

    return go;
  }

  [NEXTENTRY]() {
    do {} while (this[PROCESSENTRY](this[QUEUE].shift()));

    if (!this[QUEUE].length) {
      // At this point, there's nothing in the queue, but we may have an
      // entry which is being consumed (readEntry).
      // If we don't, then we definitely can handle more data.
      // If we do, and either it's flowing, or it has never had any data
      // written to it, then it needs more.
      // The only other possibility is that it has returned false from a
      // write() call, so we wait for the next drain to continue.
      const re = this[READENTRY];
      const drainNow = !re || re.flowing || re.size === re.remain;

      if (drainNow) {
        if (!this[WRITING]) this.emit('drain');
      } else re.once('drain', _ => this.emit('drain'));
    }
  }

  [CONSUMEBODY](chunk, position) {
    // write up to but no  more than writeEntry.blockRemain
    const entry = this[WRITEENTRY];
    const br = entry.blockRemain;
    const c = br >= chunk.length && position === 0 ? chunk : chunk.slice(position, position + br);
    entry.write(c);

    if (!entry.blockRemain) {
      this[STATE] = 'header';
      this[WRITEENTRY] = null;
      entry.end();
    }

    return c.length;
  }

  [CONSUMEMETA](chunk, position) {
    const entry = this[WRITEENTRY];
    const ret = this[CONSUMEBODY](chunk, position); // if we finished, then the entry is reset

    if (!this[WRITEENTRY]) this[EMITMETA](entry);
    return ret;
  }

  [EMIT](ev, data, extra) {
    if (!this[QUEUE].length && !this[READENTRY]) this.emit(ev, data, extra);else this[QUEUE].push([ev, data, extra]);
  }

  [EMITMETA](entry) {
    this[EMIT]('meta', this[META]);

    switch (entry.type) {
      case 'ExtendedHeader':
      case 'OldExtendedHeader':
        this[EX] = Pax.parse(this[META], this[EX], false);
        break;

      case 'GlobalExtendedHeader':
        this[GEX] = Pax.parse(this[META], this[GEX], true);
        break;

      case 'NextFileHasLongPath':
      case 'OldGnuLongPath':
        this[EX] = this[EX] || Object.create(null);
        this[EX].path = this[META].replace(/\0.*/, '');
        break;

      case 'NextFileHasLongLinkpath':
        this[EX] = this[EX] || Object.create(null);
        this[EX].linkpath = this[META].replace(/\0.*/, '');
        break;

      /* istanbul ignore next */

      default:
        throw new Error('unknown meta: ' + entry.type);
    }
  }

  abort(error) {
    this[ABORTED] = true;
    this.emit('abort', error); // always throws, even in non-strict mode

    this.warn('TAR_ABORT', error, {
      recoverable: false
    });
  }

  write(chunk) {
    if (this[ABORTED]) return; // first write, might be gzipped

    if (this[UNZIP] === null && chunk) {
      if (this[BUFFER]) {
        chunk = Buffer.concat([this[BUFFER], chunk]);
        this[BUFFER] = null;
      }

      if (chunk.length < gzipHeader.length) {
        this[BUFFER] = chunk;
        return true;
      }

      for (let i = 0; this[UNZIP] === null && i < gzipHeader.length; i++) {
        if (chunk[i] !== gzipHeader[i]) this[UNZIP] = false;
      }

      if (this[UNZIP] === null) {
        const ended = this[ENDED];
        this[ENDED] = false;
        this[UNZIP] = new zlib.Unzip();
        this[UNZIP].on('data', chunk => this[CONSUMECHUNK](chunk));
        this[UNZIP].on('error', er => this.abort(er));
        this[UNZIP].on('end', _ => {
          this[ENDED] = true;
          this[CONSUMECHUNK]();
        });
        this[WRITING] = true;
        const ret = this[UNZIP][ended ? 'end' : 'write'](chunk);
        this[WRITING] = false;
        return ret;
      }
    }

    this[WRITING] = true;
    if (this[UNZIP]) this[UNZIP].write(chunk);else this[CONSUMECHUNK](chunk);
    this[WRITING] = false; // return false if there's a queue, or if the current entry isn't flowing

    const ret = this[QUEUE].length ? false : this[READENTRY] ? this[READENTRY].flowing : true; // if we have no queue, then that means a clogged READENTRY

    if (!ret && !this[QUEUE].length) this[READENTRY].once('drain', _ => this.emit('drain'));
    return ret;
  }

  [BUFFERCONCAT](c) {
    if (c && !this[ABORTED]) this[BUFFER] = this[BUFFER] ? Buffer.concat([this[BUFFER], c]) : c;
  }

  [MAYBEEND]() {
    if (this[ENDED] && !this[EMITTEDEND] && !this[ABORTED] && !this[CONSUMING]) {
      this[EMITTEDEND] = true;
      const entry = this[WRITEENTRY];

      if (entry && entry.blockRemain) {
        // truncated, likely a damaged file
        const have = this[BUFFER] ? this[BUFFER].length : 0;
        this.warn('TAR_BAD_ARCHIVE', `Truncated input (needed ${entry.blockRemain} more bytes, only ${have} available)`, {
          entry
        });
        if (this[BUFFER]) entry.write(this[BUFFER]);
        entry.end();
      }

      this[EMIT](DONE);
    }
  }

  [CONSUMECHUNK](chunk) {
    if (this[CONSUMING]) this[BUFFERCONCAT](chunk);else if (!chunk && !this[BUFFER]) this[MAYBEEND]();else {
      this[CONSUMING] = true;

      if (this[BUFFER]) {
        this[BUFFERCONCAT](chunk);
        const c = this[BUFFER];
        this[BUFFER] = null;
        this[CONSUMECHUNKSUB](c);
      } else this[CONSUMECHUNKSUB](chunk);

      while (this[BUFFER] && this[BUFFER].length >= 512 && !this[ABORTED] && !this[SAW_EOF]) {
        const c = this[BUFFER];
        this[BUFFER] = null;
        this[CONSUMECHUNKSUB](c);
      }

      this[CONSUMING] = false;
    }
    if (!this[BUFFER] || this[ENDED]) this[MAYBEEND]();
  }

  [CONSUMECHUNKSUB](chunk) {
    // we know that we are in CONSUMING mode, so anything written goes into
    // the buffer.  Advance the position and put any remainder in the buffer.
    let position = 0;
    const length = chunk.length;

    while (position + 512 <= length && !this[ABORTED] && !this[SAW_EOF]) {
      switch (this[STATE]) {
        case 'begin':
        case 'header':
          this[CONSUMEHEADER](chunk, position);
          position += 512;
          break;

        case 'ignore':
        case 'body':
          position += this[CONSUMEBODY](chunk, position);
          break;

        case 'meta':
          position += this[CONSUMEMETA](chunk, position);
          break;

        /* istanbul ignore next */

        default:
          throw new Error('invalid state: ' + this[STATE]);
      }
    }

    if (position < length) {
      if (this[BUFFER]) this[BUFFER] = Buffer.concat([chunk.slice(position), this[BUFFER]]);else this[BUFFER] = chunk.slice(position);
    }
  }

  end(chunk) {
    if (!this[ABORTED]) {
      if (this[UNZIP]) this[UNZIP].end(chunk);else {
        this[ENDED] = true;
        this.write(chunk);
      }
    }
  }

});

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/path-reservations.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// A path exclusive reservation system
// reserve([list, of, paths], fn)
// When the fn is first in line for all its paths, it
// is called with a cb that clears the reservation.
//
// Used by async unpack to avoid clobbering paths in use,
// while still allowing maximal safe parallelization.
const assert = __webpack_require__("assert");

const normalize = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-unicode.js");

const stripSlashes = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js");

const {
  join
} = __webpack_require__("path");

const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
const isWindows = platform === 'win32';

module.exports = () => {
  // path => [function or Set]
  // A Set object means a directory reservation
  // A fn is a direct reservation on that path
  const queues = new Map(); // fn => {paths:[path,...], dirs:[path, ...]}

  const reservations = new Map(); // return a set of parent dirs for a given path
  // '/a/b/c/d' -> ['/', '/a', '/a/b', '/a/b/c', '/a/b/c/d']

  const getDirs = path => {
    const dirs = path.split('/').slice(0, -1).reduce((set, path) => {
      if (set.length) path = join(set[set.length - 1], path);
      set.push(path || '/');
      return set;
    }, []);
    return dirs;
  }; // functions currently running


  const running = new Set(); // return the queues for each path the function cares about
  // fn => {paths, dirs}

  const getQueues = fn => {
    const res = reservations.get(fn);
    /* istanbul ignore if - unpossible */

    if (!res) throw new Error('function does not have any path reservations');
    return {
      paths: res.paths.map(path => queues.get(path)),
      dirs: [...res.dirs].map(path => queues.get(path))
    };
  }; // check if fn is first in line for all its paths, and is
  // included in the first set for all its dir queues


  const check = fn => {
    const {
      paths,
      dirs
    } = getQueues(fn);
    return paths.every(q => q[0] === fn) && dirs.every(q => q[0] instanceof Set && q[0].has(fn));
  }; // run the function if it's first in line and not already running


  const run = fn => {
    if (running.has(fn) || !check(fn)) return false;
    running.add(fn);
    fn(() => clear(fn));
    return true;
  };

  const clear = fn => {
    if (!running.has(fn)) return false;
    const {
      paths,
      dirs
    } = reservations.get(fn);
    const next = new Set();
    paths.forEach(path => {
      const q = queues.get(path);
      assert.equal(q[0], fn);
      if (q.length === 1) queues.delete(path);else {
        q.shift();
        if (typeof q[0] === 'function') next.add(q[0]);else q[0].forEach(fn => next.add(fn));
      }
    });
    dirs.forEach(dir => {
      const q = queues.get(dir);
      assert(q[0] instanceof Set);
      if (q[0].size === 1 && q.length === 1) queues.delete(dir);else if (q[0].size === 1) {
        q.shift(); // must be a function or else the Set would've been reused

        next.add(q[0]);
      } else q[0].delete(fn);
    });
    running.delete(fn);
    next.forEach(fn => run(fn));
    return true;
  };

  const reserve = (paths, fn) => {
    // collide on matches across case and unicode normalization
    // On windows, thanks to the magic of 8.3 shortnames, it is fundamentally
    // impossible to determine whether two paths refer to the same thing on
    // disk, without asking the kernel for a shortname.
    // So, we just pretend that every path matches every other path here,
    // effectively removing all parallelization on windows.
    paths = isWindows ? ['win32 parallelization disabled'] : paths.map(p => {
      // don't need normPath, because we skip this entirely for windows
      return normalize(stripSlashes(join(p))).toLowerCase();
    });
    const dirs = new Set(paths.map(path => getDirs(path)).reduce((a, b) => a.concat(b)));
    reservations.set(fn, {
      dirs,
      paths
    });
    paths.forEach(path => {
      const q = queues.get(path);
      if (!q) queues.set(path, [fn]);else q.push(fn);
    });
    dirs.forEach(dir => {
      const q = queues.get(dir);
      if (!q) queues.set(dir, [new Set([fn])]);else if (q[q.length - 1] instanceof Set) q[q.length - 1].add(fn);else q.push(new Set([fn]));
    });
    return run(fn);
  };

  return {
    check,
    reserve
  };
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/pax.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Header = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/header.js");

const path = __webpack_require__("path");

class Pax {
  constructor(obj, global) {
    this.atime = obj.atime || null;
    this.charset = obj.charset || null;
    this.comment = obj.comment || null;
    this.ctime = obj.ctime || null;
    this.gid = obj.gid || null;
    this.gname = obj.gname || null;
    this.linkpath = obj.linkpath || null;
    this.mtime = obj.mtime || null;
    this.path = obj.path || null;
    this.size = obj.size || null;
    this.uid = obj.uid || null;
    this.uname = obj.uname || null;
    this.dev = obj.dev || null;
    this.ino = obj.ino || null;
    this.nlink = obj.nlink || null;
    this.global = global || false;
  }

  encode() {
    const body = this.encodeBody();
    if (body === '') return null;
    const bodyLen = Buffer.byteLength(body); // round up to 512 bytes
    // add 512 for header

    const bufLen = 512 * Math.ceil(1 + bodyLen / 512);
    const buf = Buffer.allocUnsafe(bufLen); // 0-fill the header section, it might not hit every field

    for (let i = 0; i < 512; i++) buf[i] = 0;

    new Header({
      // XXX split the path
      // then the path should be PaxHeader + basename, but less than 99,
      // prepend with the dirname
      path: ('PaxHeader/' + path.basename(this.path)).slice(0, 99),
      mode: this.mode || 0o644,
      uid: this.uid || null,
      gid: this.gid || null,
      size: bodyLen,
      mtime: this.mtime || null,
      type: this.global ? 'GlobalExtendedHeader' : 'ExtendedHeader',
      linkpath: '',
      uname: this.uname || '',
      gname: this.gname || '',
      devmaj: 0,
      devmin: 0,
      atime: this.atime || null,
      ctime: this.ctime || null
    }).encode(buf);
    buf.write(body, 512, bodyLen, 'utf8'); // null pad after the body

    for (let i = bodyLen + 512; i < buf.length; i++) buf[i] = 0;

    return buf;
  }

  encodeBody() {
    return this.encodeField('path') + this.encodeField('ctime') + this.encodeField('atime') + this.encodeField('dev') + this.encodeField('ino') + this.encodeField('nlink') + this.encodeField('charset') + this.encodeField('comment') + this.encodeField('gid') + this.encodeField('gname') + this.encodeField('linkpath') + this.encodeField('mtime') + this.encodeField('size') + this.encodeField('uid') + this.encodeField('uname');
  }

  encodeField(field) {
    if (this[field] === null || this[field] === undefined) return '';
    const v = this[field] instanceof Date ? this[field].getTime() / 1000 : this[field];
    const s = ' ' + (field === 'dev' || field === 'ino' || field === 'nlink' ? 'SCHILY.' : '') + field + '=' + v + '\n';
    const byteLen = Buffer.byteLength(s); // the digits includes the length of the digits in ascii base-10
    // so if it's 9 characters, then adding 1 for the 9 makes it 10
    // which makes it 11 chars.

    let digits = Math.floor(Math.log(byteLen) / Math.log(10)) + 1;
    if (byteLen + digits >= Math.pow(10, digits)) digits += 1;
    const len = digits + byteLen;
    return len + s;
  }

}

Pax.parse = (string, ex, g) => new Pax(merge(parseKV(string), ex), g);

const merge = (a, b) => b ? Object.keys(a).reduce((s, k) => (s[k] = a[k], s), b) : a;

const parseKV = string => string.replace(/\n$/, '').split('\n').reduce(parseKVLine, Object.create(null));

const parseKVLine = (set, line) => {
  const n = parseInt(line, 10); // XXX Values with \n in them will fail this.
  // Refactor to not be a naive line-by-line parse.

  if (n !== Buffer.byteLength(line) + 1) return set;
  line = line.substr((n + ' ').length);
  const kv = line.split('=');
  const k = kv.shift().replace(/^SCHILY\.(dev|ino|nlink)/, '$1');
  if (!k) return set;
  const v = kv.join('=');
  set[k] = /^([A-Z]+\.)?([mac]|birth|creation)time$/.test(k) ? new Date(v * 1000) : /^[0-9]+$/.test(v) ? +v : v;
  return set;
};

module.exports = Pax;

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/read-entry.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js");

const SLURP = Symbol('slurp');
module.exports = class ReadEntry extends MiniPass {
  constructor(header, ex, gex) {
    super(); // read entries always start life paused.  this is to avoid the
    // situation where Minipass's auto-ending empty streams results
    // in an entry ending before we're ready for it.

    this.pause();
    this.extended = ex;
    this.globalExtended = gex;
    this.header = header;
    this.startBlockSize = 512 * Math.ceil(header.size / 512);
    this.blockRemain = this.startBlockSize;
    this.remain = header.size;
    this.type = header.type;
    this.meta = false;
    this.ignore = false;

    switch (this.type) {
      case 'File':
      case 'OldFile':
      case 'Link':
      case 'SymbolicLink':
      case 'CharacterDevice':
      case 'BlockDevice':
      case 'Directory':
      case 'FIFO':
      case 'ContiguousFile':
      case 'GNUDumpDir':
        break;

      case 'NextFileHasLongLinkpath':
      case 'NextFileHasLongPath':
      case 'OldGnuLongPath':
      case 'GlobalExtendedHeader':
      case 'ExtendedHeader':
      case 'OldExtendedHeader':
        this.meta = true;
        break;
      // NOTE: gnutar and bsdtar treat unrecognized types as 'File'
      // it may be worth doing the same, but with a warning.

      default:
        this.ignore = true;
    }

    this.path = normPath(header.path);
    this.mode = header.mode;
    if (this.mode) this.mode = this.mode & 0o7777;
    this.uid = header.uid;
    this.gid = header.gid;
    this.uname = header.uname;
    this.gname = header.gname;
    this.size = header.size;
    this.mtime = header.mtime;
    this.atime = header.atime;
    this.ctime = header.ctime;
    this.linkpath = normPath(header.linkpath);
    this.uname = header.uname;
    this.gname = header.gname;
    if (ex) this[SLURP](ex);
    if (gex) this[SLURP](gex, true);
  }

  write(data) {
    const writeLen = data.length;
    if (writeLen > this.blockRemain) throw new Error('writing more to entry than is appropriate');
    const r = this.remain;
    const br = this.blockRemain;
    this.remain = Math.max(0, r - writeLen);
    this.blockRemain = Math.max(0, br - writeLen);
    if (this.ignore) return true;
    if (r >= writeLen) return super.write(data); // r < writeLen

    return super.write(data.slice(0, r));
  }

  [SLURP](ex, global) {
    for (const k in ex) {
      // we slurp in everything except for the path attribute in
      // a global extended header, because that's weird.
      if (ex[k] !== null && ex[k] !== undefined && !(global && k === 'path')) this[k] = k === 'path' || k === 'linkpath' ? normPath(ex[k]) : ex[k];
    }
  }

};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/replace.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -r

const hlo = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js");

const Pack = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pack.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const t = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/list.js");

const path = __webpack_require__("path"); // starting at the head of the file, read a Header
// If the checksum is invalid, that's our position to start writing
// If it is, jump forward by the specified size (round up to 512)
// and try again.
// Write the new Pack stream starting there.


const Header = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/header.js");

module.exports = (opt_, files, cb) => {
  const opt = hlo(opt_);
  if (!opt.file) throw new TypeError('file is required');
  if (opt.gzip) throw new TypeError('cannot append to compressed archives');
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  return opt.sync ? replaceSync(opt, files) : replace(opt, files, cb);
};

const replaceSync = (opt, files) => {
  const p = new Pack.Sync(opt);
  let threw = true;
  let fd;
  let position;

  try {
    try {
      fd = fs.openSync(opt.file, 'r+');
    } catch (er) {
      if (er.code === 'ENOENT') fd = fs.openSync(opt.file, 'w+');else throw er;
    }

    const st = fs.fstatSync(fd);
    const headBuf = Buffer.alloc(512);

    POSITION: for (position = 0; position < st.size; position += 512) {
      for (let bufPos = 0, bytes = 0; bufPos < 512; bufPos += bytes) {
        bytes = fs.readSync(fd, headBuf, bufPos, headBuf.length - bufPos, position + bufPos);
        if (position === 0 && headBuf[0] === 0x1f && headBuf[1] === 0x8b) throw new Error('cannot append to compressed archives');
        if (!bytes) break POSITION;
      }

      const h = new Header(headBuf);
      if (!h.cksumValid) break;
      const entryBlockSize = 512 * Math.ceil(h.size / 512);
      if (position + entryBlockSize + 512 > st.size) break; // the 512 for the header we just parsed will be added as well
      // also jump ahead all the blocks for the body

      position += entryBlockSize;
      if (opt.mtimeCache) opt.mtimeCache.set(h.path, h.mtime);
    }

    threw = false;
    streamSync(opt, p, position, fd, files);
  } finally {
    if (threw) {
      try {
        fs.closeSync(fd);
      } catch (er) {}
    }
  }
};

const streamSync = (opt, p, position, fd, files) => {
  const stream = new fsm.WriteStreamSync(opt.file, {
    fd: fd,
    start: position
  });
  p.pipe(stream);
  addFilesSync(p, files);
};

const replace = (opt, files, cb) => {
  files = Array.from(files);
  const p = new Pack(opt);

  const getPos = (fd, size, cb_) => {
    const cb = (er, pos) => {
      if (er) fs.close(fd, _ => cb_(er));else cb_(null, pos);
    };

    let position = 0;
    if (size === 0) return cb(null, 0);
    let bufPos = 0;
    const headBuf = Buffer.alloc(512);

    const onread = (er, bytes) => {
      if (er) return cb(er);
      bufPos += bytes;

      if (bufPos < 512 && bytes) {
        return fs.read(fd, headBuf, bufPos, headBuf.length - bufPos, position + bufPos, onread);
      }

      if (position === 0 && headBuf[0] === 0x1f && headBuf[1] === 0x8b) return cb(new Error('cannot append to compressed archives')); // truncated header

      if (bufPos < 512) return cb(null, position);
      const h = new Header(headBuf);
      if (!h.cksumValid) return cb(null, position);
      const entryBlockSize = 512 * Math.ceil(h.size / 512);
      if (position + entryBlockSize + 512 > size) return cb(null, position);
      position += entryBlockSize + 512;
      if (position >= size) return cb(null, position);
      if (opt.mtimeCache) opt.mtimeCache.set(h.path, h.mtime);
      bufPos = 0;
      fs.read(fd, headBuf, 0, 512, position, onread);
    };

    fs.read(fd, headBuf, 0, 512, position, onread);
  };

  const promise = new Promise((resolve, reject) => {
    p.on('error', reject);
    let flag = 'r+';

    const onopen = (er, fd) => {
      if (er && er.code === 'ENOENT' && flag === 'r+') {
        flag = 'w+';
        return fs.open(opt.file, flag, onopen);
      }

      if (er) return reject(er);
      fs.fstat(fd, (er, st) => {
        if (er) return fs.close(fd, () => reject(er));
        getPos(fd, st.size, (er, position) => {
          if (er) return reject(er);
          const stream = new fsm.WriteStream(opt.file, {
            fd: fd,
            start: position
          });
          p.pipe(stream);
          stream.on('error', reject);
          stream.on('close', resolve);
          addFilesAsync(p, files);
        });
      });
    };

    fs.open(opt.file, flag, onopen);
  });
  return cb ? promise.then(cb, cb) : promise;
};

const addFilesSync = (p, files) => {
  files.forEach(file => {
    if (file.charAt(0) === '@') {
      t({
        file: path.resolve(p.cwd, file.substr(1)),
        sync: true,
        noResume: true,
        onentry: entry => p.add(entry)
      });
    } else p.add(file);
  });
  p.end();
};

const addFilesAsync = (p, files) => {
  while (files.length) {
    const file = files.shift();

    if (file.charAt(0) === '@') {
      return t({
        file: path.resolve(p.cwd, file.substr(1)),
        noResume: true,
        onentry: entry => p.add(entry)
      }).then(_ => addFilesAsync(p, files));
    } else p.add(file);
  }

  p.end();
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/strip-absolute-path.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// unix absolute paths are also absolute on win32, so we use this for both
const {
  isAbsolute,
  parse
} = __webpack_require__("path").win32; // returns [root, stripped]
// Note that windows will think that //x/y/z/a has a "root" of //x/y, and in
// those cases, we want to sanitize it to x/y/z/a, not z/a, so we strip /
// explicitly if it's the first character.
// drive-specific relative paths on Windows get their root stripped off even
// though they are not absolute, so `c:../foo` becomes ['c:', '../foo']


module.exports = path => {
  let r = '';
  let parsed = parse(path);

  while (isAbsolute(path) || parsed.root) {
    // windows will think that //x/y/z has a "root" of //x/y/
    // but strip the //?/C:/ off of //?/C:/path
    const root = path.charAt(0) === '/' && path.slice(0, 4) !== '//?/' ? '/' : parsed.root;
    path = path.substr(root.length);
    r += root;
    parsed = parse(path);
  }

  return [r, path];
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js":
/***/ ((module) => {

// warning: extremely hot code path.
// This has been meticulously optimized for use
// within npm install on large package trees.
// Do not edit without careful benchmarking.
module.exports = str => {
  let i = str.length - 1;
  let slashesStart = -1;

  while (i > -1 && str.charAt(i) === '/') {
    slashesStart = i;
    i--;
  }

  return slashesStart === -1 ? str : str.slice(0, slashesStart);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/types.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";
 // map types from key to human-friendly name

exports.name = new Map([['0', 'File'], // same as File
['', 'OldFile'], ['1', 'Link'], ['2', 'SymbolicLink'], // Devices and FIFOs aren't fully supported
// they are parsed, but skipped when unpacking
['3', 'CharacterDevice'], ['4', 'BlockDevice'], ['5', 'Directory'], ['6', 'FIFO'], // same as File
['7', 'ContiguousFile'], // pax headers
['g', 'GlobalExtendedHeader'], ['x', 'ExtendedHeader'], // vendor-specific stuff
// skip
['A', 'SolarisACL'], // like 5, but with data, which should be skipped
['D', 'GNUDumpDir'], // metadata only, skip
['I', 'Inode'], // data = link path of next file
['K', 'NextFileHasLongLinkpath'], // data = path of next file
['L', 'NextFileHasLongPath'], // skip
['M', 'ContinuationFile'], // like L
['N', 'OldGnuLongPath'], // skip
['S', 'SparseFile'], // skip
['V', 'TapeVolumeHeader'], // like x
['X', 'OldExtendedHeader']]); // map the other direction

exports.code = new Map(Array.from(exports.name).map(kv => [kv[1], kv[0]]));

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/unpack.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // the PEND/UNPEND stuff tracks whether we're ready to emit end/close yet.
// but the path reservations are required to avoid race conditions where
// parallelized unpack ops may mess with one another, due to dependencies
// (like a Link depending on its target) or destructive operations (like
// clobbering an fs object to create one of a different type.)

const assert = __webpack_require__("assert");

const Parser = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/parse.js");

const fs = __webpack_require__("fs");

const fsm = __webpack_require__("./node_modules/.f/_/fs-minipass/2.1.0/fs-minipass/index.js");

const path = __webpack_require__("path");

const mkdir = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/mkdir.js");

const wc = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/winchars.js");

const pathReservations = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/path-reservations.js");

const stripAbsolutePath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-absolute-path.js");

const normPath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js");

const normalize = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-unicode.js");

const ONENTRY = Symbol('onEntry');
const CHECKFS = Symbol('checkFs');
const CHECKFS2 = Symbol('checkFs2');
const PRUNECACHE = Symbol('pruneCache');
const ISREUSABLE = Symbol('isReusable');
const MAKEFS = Symbol('makeFs');
const FILE = Symbol('file');
const DIRECTORY = Symbol('directory');
const LINK = Symbol('link');
const SYMLINK = Symbol('symlink');
const HARDLINK = Symbol('hardlink');
const UNSUPPORTED = Symbol('unsupported');
const CHECKPATH = Symbol('checkPath');
const MKDIR = Symbol('mkdir');
const ONERROR = Symbol('onError');
const PENDING = Symbol('pending');
const PEND = Symbol('pend');
const UNPEND = Symbol('unpend');
const ENDED = Symbol('ended');
const MAYBECLOSE = Symbol('maybeClose');
const SKIP = Symbol('skip');
const DOCHOWN = Symbol('doChown');
const UID = Symbol('uid');
const GID = Symbol('gid');
const CHECKED_CWD = Symbol('checkedCwd');

const crypto = __webpack_require__("crypto");

const getFlag = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/get-write-flag.js");

const platform = process.env.TESTING_TAR_FAKE_PLATFORM || process.platform;
const isWindows = platform === 'win32'; // Unlinks on Windows are not atomic.
//
// This means that if you have a file entry, followed by another
// file entry with an identical name, and you cannot re-use the file
// (because it's a hardlink, or because unlink:true is set, or it's
// Windows, which does not have useful nlink values), then the unlink
// will be committed to the disk AFTER the new file has been written
// over the old one, deleting the new file.
//
// To work around this, on Windows systems, we rename the file and then
// delete the renamed file.  It's a sloppy kludge, but frankly, I do not
// know of a better way to do this, given windows' non-atomic unlink
// semantics.
//
// See: https://github.com/npm/node-tar/issues/183

/* istanbul ignore next */

const unlinkFile = (path, cb) => {
  if (!isWindows) return fs.unlink(path, cb);
  const name = path + '.DELETE.' + crypto.randomBytes(16).toString('hex');
  fs.rename(path, name, er => {
    if (er) return cb(er);
    fs.unlink(name, cb);
  });
};
/* istanbul ignore next */


const unlinkFileSync = path => {
  if (!isWindows) return fs.unlinkSync(path);
  const name = path + '.DELETE.' + crypto.randomBytes(16).toString('hex');
  fs.renameSync(path, name);
  fs.unlinkSync(name);
}; // this.gid, entry.gid, this.processUid


const uint32 = (a, b, c) => a === a >>> 0 ? a : b === b >>> 0 ? b : c; // clear the cache if it's a case-insensitive unicode-squashing match.
// we can't know if the current file system is case-sensitive or supports
// unicode fully, so we check for similarity on the maximally compatible
// representation.  Err on the side of pruning, since all it's doing is
// preventing lstats, and it's not the end of the world if we get a false
// positive.
// Note that on windows, we always drop the entire cache whenever a
// symbolic link is encountered, because 8.3 filenames are impossible
// to reason about, and collisions are hazards rather than just failures.


const cacheKeyNormalize = path => normalize(stripSlash(normPath(path))).toLowerCase();

const pruneCache = (cache, abs) => {
  abs = cacheKeyNormalize(abs);

  for (const path of cache.keys()) {
    const pnorm = cacheKeyNormalize(path);
    if (pnorm === abs || pnorm.indexOf(abs + '/') === 0) cache.delete(path);
  }
};

const dropCache = cache => {
  for (const key of cache.keys()) cache.delete(key);
};

class Unpack extends Parser {
  constructor(opt) {
    if (!opt) opt = {};

    opt.ondone = _ => {
      this[ENDED] = true;
      this[MAYBECLOSE]();
    };

    super(opt);
    this[CHECKED_CWD] = false;
    this.reservations = pathReservations();
    this.transform = typeof opt.transform === 'function' ? opt.transform : null;
    this.writable = true;
    this.readable = false;
    this[PENDING] = 0;
    this[ENDED] = false;
    this.dirCache = opt.dirCache || new Map();

    if (typeof opt.uid === 'number' || typeof opt.gid === 'number') {
      // need both or neither
      if (typeof opt.uid !== 'number' || typeof opt.gid !== 'number') throw new TypeError('cannot set owner without number uid and gid');

      if (opt.preserveOwner) {
        throw new TypeError('cannot preserve owner in archive and also set owner explicitly');
      }

      this.uid = opt.uid;
      this.gid = opt.gid;
      this.setOwner = true;
    } else {
      this.uid = null;
      this.gid = null;
      this.setOwner = false;
    } // default true for root


    if (opt.preserveOwner === undefined && typeof opt.uid !== 'number') this.preserveOwner = process.getuid && process.getuid() === 0;else this.preserveOwner = !!opt.preserveOwner;
    this.processUid = (this.preserveOwner || this.setOwner) && process.getuid ? process.getuid() : null;
    this.processGid = (this.preserveOwner || this.setOwner) && process.getgid ? process.getgid() : null; // mostly just for testing, but useful in some cases.
    // Forcibly trigger a chown on every entry, no matter what

    this.forceChown = opt.forceChown === true; // turn ><?| in filenames into 0xf000-higher encoded forms

    this.win32 = !!opt.win32 || isWindows; // do not unpack over files that are newer than what's in the archive

    this.newer = !!opt.newer; // do not unpack over ANY files

    this.keep = !!opt.keep; // do not set mtime/atime of extracted entries

    this.noMtime = !!opt.noMtime; // allow .., absolute path entries, and unpacking through symlinks
    // without this, warn and skip .., relativize absolutes, and error
    // on symlinks in extraction path

    this.preservePaths = !!opt.preservePaths; // unlink files and links before writing. This breaks existing hard
    // links, and removes symlink directories rather than erroring

    this.unlink = !!opt.unlink;
    this.cwd = normPath(path.resolve(opt.cwd || process.cwd()));
    this.strip = +opt.strip || 0; // if we're not chmodding, then we don't need the process umask

    this.processUmask = opt.noChmod ? 0 : process.umask();
    this.umask = typeof opt.umask === 'number' ? opt.umask : this.processUmask; // default mode for dirs created as parents

    this.dmode = opt.dmode || 0o0777 & ~this.umask;
    this.fmode = opt.fmode || 0o0666 & ~this.umask;
    this.on('entry', entry => this[ONENTRY](entry));
  } // a bad or damaged archive is a warning for Parser, but an error
  // when extracting.  Mark those errors as unrecoverable, because
  // the Unpack contract cannot be met.


  warn(code, msg, data = {}) {
    if (code === 'TAR_BAD_ARCHIVE' || code === 'TAR_ABORT') data.recoverable = false;
    return super.warn(code, msg, data);
  }

  [MAYBECLOSE]() {
    if (this[ENDED] && this[PENDING] === 0) {
      this.emit('prefinish');
      this.emit('finish');
      this.emit('end');
      this.emit('close');
    }
  }

  [CHECKPATH](entry) {
    if (this.strip) {
      const parts = normPath(entry.path).split('/');
      if (parts.length < this.strip) return false;
      entry.path = parts.slice(this.strip).join('/');

      if (entry.type === 'Link') {
        const linkparts = normPath(entry.linkpath).split('/');
        if (linkparts.length >= this.strip) entry.linkpath = linkparts.slice(this.strip).join('/');else return false;
      }
    }

    if (!this.preservePaths) {
      const p = normPath(entry.path);
      const parts = p.split('/');

      if (parts.includes('..') || isWindows && /^[a-z]:\.\.$/i.test(parts[0])) {
        this.warn('TAR_ENTRY_ERROR', `path contains '..'`, {
          entry,
          path: p
        });
        return false;
      } // strip off the root


      const [root, stripped] = stripAbsolutePath(p);

      if (root) {
        entry.path = stripped;
        this.warn('TAR_ENTRY_INFO', `stripping ${root} from absolute path`, {
          entry,
          path: p
        });
      }
    }

    if (path.isAbsolute(entry.path)) entry.absolute = normPath(path.resolve(entry.path));else entry.absolute = normPath(path.resolve(this.cwd, entry.path)); // if we somehow ended up with a path that escapes the cwd, and we are
    // not in preservePaths mode, then something is fishy!  This should have
    // been prevented above, so ignore this for coverage.

    /* istanbul ignore if - defense in depth */

    if (!this.preservePaths && entry.absolute.indexOf(this.cwd + '/') !== 0 && entry.absolute !== this.cwd) {
      this.warn('TAR_ENTRY_ERROR', 'path escaped extraction target', {
        entry,
        path: normPath(entry.path),
        resolvedPath: entry.absolute,
        cwd: this.cwd
      });
      return false;
    } // an archive can set properties on the extraction directory, but it
    // may not replace the cwd with a different kind of thing entirely.


    if (entry.absolute === this.cwd && entry.type !== 'Directory' && entry.type !== 'GNUDumpDir') return false; // only encode : chars that aren't drive letter indicators

    if (this.win32) {
      const {
        root: aRoot
      } = path.win32.parse(entry.absolute);
      entry.absolute = aRoot + wc.encode(entry.absolute.substr(aRoot.length));
      const {
        root: pRoot
      } = path.win32.parse(entry.path);
      entry.path = pRoot + wc.encode(entry.path.substr(pRoot.length));
    }

    return true;
  }

  [ONENTRY](entry) {
    if (!this[CHECKPATH](entry)) return entry.resume();
    assert.equal(typeof entry.absolute, 'string');

    switch (entry.type) {
      case 'Directory':
      case 'GNUDumpDir':
        if (entry.mode) entry.mode = entry.mode | 0o700;

      case 'File':
      case 'OldFile':
      case 'ContiguousFile':
      case 'Link':
      case 'SymbolicLink':
        return this[CHECKFS](entry);

      case 'CharacterDevice':
      case 'BlockDevice':
      case 'FIFO':
      default:
        return this[UNSUPPORTED](entry);
    }
  }

  [ONERROR](er, entry) {
    // Cwd has to exist, or else nothing works. That's serious.
    // Other errors are warnings, which raise the error in strict
    // mode, but otherwise continue on.
    if (er.name === 'CwdError') this.emit('error', er);else {
      this.warn('TAR_ENTRY_ERROR', er, {
        entry
      });
      this[UNPEND]();
      entry.resume();
    }
  }

  [MKDIR](dir, mode, cb) {
    mkdir(normPath(dir), {
      uid: this.uid,
      gid: this.gid,
      processUid: this.processUid,
      processGid: this.processGid,
      umask: this.processUmask,
      preserve: this.preservePaths,
      unlink: this.unlink,
      cache: this.dirCache,
      cwd: this.cwd,
      mode: mode,
      noChmod: this.noChmod
    }, cb);
  }

  [DOCHOWN](entry) {
    // in preserve owner mode, chown if the entry doesn't match process
    // in set owner mode, chown if setting doesn't match process
    return this.forceChown || this.preserveOwner && (typeof entry.uid === 'number' && entry.uid !== this.processUid || typeof entry.gid === 'number' && entry.gid !== this.processGid) || typeof this.uid === 'number' && this.uid !== this.processUid || typeof this.gid === 'number' && this.gid !== this.processGid;
  }

  [UID](entry) {
    return uint32(this.uid, entry.uid, this.processUid);
  }

  [GID](entry) {
    return uint32(this.gid, entry.gid, this.processGid);
  }

  [FILE](entry, fullyDone) {
    const mode = entry.mode & 0o7777 || this.fmode;
    const stream = new fsm.WriteStream(entry.absolute, {
      flags: getFlag(entry.size),
      mode: mode,
      autoClose: false
    });
    stream.on('error', er => {
      if (stream.fd) fs.close(stream.fd, () => {}); // flush all the data out so that we aren't left hanging
      // if the error wasn't actually fatal.  otherwise the parse
      // is blocked, and we never proceed.

      stream.write = () => true;

      this[ONERROR](er, entry);
      fullyDone();
    });
    let actions = 1;

    const done = er => {
      if (er) {
        /* istanbul ignore else - we should always have a fd by now */
        if (stream.fd) fs.close(stream.fd, () => {});
        this[ONERROR](er, entry);
        fullyDone();
        return;
      }

      if (--actions === 0) {
        fs.close(stream.fd, er => {
          if (er) this[ONERROR](er, entry);else this[UNPEND]();
          fullyDone();
        });
      }
    };

    stream.on('finish', _ => {
      // if futimes fails, try utimes
      // if utimes fails, fail with the original error
      // same for fchown/chown
      const abs = entry.absolute;
      const fd = stream.fd;

      if (entry.mtime && !this.noMtime) {
        actions++;
        const atime = entry.atime || new Date();
        const mtime = entry.mtime;
        fs.futimes(fd, atime, mtime, er => er ? fs.utimes(abs, atime, mtime, er2 => done(er2 && er)) : done());
      }

      if (this[DOCHOWN](entry)) {
        actions++;
        const uid = this[UID](entry);
        const gid = this[GID](entry);
        fs.fchown(fd, uid, gid, er => er ? fs.chown(abs, uid, gid, er2 => done(er2 && er)) : done());
      }

      done();
    });
    const tx = this.transform ? this.transform(entry) || entry : entry;

    if (tx !== entry) {
      tx.on('error', er => {
        this[ONERROR](er, entry);
        fullyDone();
      });
      entry.pipe(tx);
    }

    tx.pipe(stream);
  }

  [DIRECTORY](entry, fullyDone) {
    const mode = entry.mode & 0o7777 || this.dmode;
    this[MKDIR](entry.absolute, mode, er => {
      if (er) {
        this[ONERROR](er, entry);
        fullyDone();
        return;
      }

      let actions = 1;

      const done = _ => {
        if (--actions === 0) {
          fullyDone();
          this[UNPEND]();
          entry.resume();
        }
      };

      if (entry.mtime && !this.noMtime) {
        actions++;
        fs.utimes(entry.absolute, entry.atime || new Date(), entry.mtime, done);
      }

      if (this[DOCHOWN](entry)) {
        actions++;
        fs.chown(entry.absolute, this[UID](entry), this[GID](entry), done);
      }

      done();
    });
  }

  [UNSUPPORTED](entry) {
    entry.unsupported = true;
    this.warn('TAR_ENTRY_UNSUPPORTED', `unsupported entry type: ${entry.type}`, {
      entry
    });
    entry.resume();
  }

  [SYMLINK](entry, done) {
    this[LINK](entry, entry.linkpath, 'symlink', done);
  }

  [HARDLINK](entry, done) {
    const linkpath = normPath(path.resolve(this.cwd, entry.linkpath));
    this[LINK](entry, linkpath, 'link', done);
  }

  [PEND]() {
    this[PENDING]++;
  }

  [UNPEND]() {
    this[PENDING]--;
    this[MAYBECLOSE]();
  }

  [SKIP](entry) {
    this[UNPEND]();
    entry.resume();
  } // Check if we can reuse an existing filesystem entry safely and
  // overwrite it, rather than unlinking and recreating
  // Windows doesn't report a useful nlink, so we just never reuse entries


  [ISREUSABLE](entry, st) {
    return entry.type === 'File' && !this.unlink && st.isFile() && st.nlink <= 1 && !isWindows;
  } // check if a thing is there, and if so, try to clobber it


  [CHECKFS](entry) {
    this[PEND]();
    const paths = [entry.path];
    if (entry.linkpath) paths.push(entry.linkpath);
    this.reservations.reserve(paths, done => this[CHECKFS2](entry, done));
  }

  [PRUNECACHE](entry) {
    // if we are not creating a directory, and the path is in the dirCache,
    // then that means we are about to delete the directory we created
    // previously, and it is no longer going to be a directory, and neither
    // is any of its children.
    // If a symbolic link is encountered, all bets are off.  There is no
    // reasonable way to sanitize the cache in such a way we will be able to
    // avoid having filesystem collisions.  If this happens with a non-symlink
    // entry, it'll just fail to unpack, but a symlink to a directory, using an
    // 8.3 shortname or certain unicode attacks, can evade detection and lead
    // to arbitrary writes to anywhere on the system.
    if (entry.type === 'SymbolicLink') dropCache(this.dirCache);else if (entry.type !== 'Directory') pruneCache(this.dirCache, entry.absolute);
  }

  [CHECKFS2](entry, fullyDone) {
    this[PRUNECACHE](entry);

    const done = er => {
      this[PRUNECACHE](entry);
      fullyDone(er);
    };

    const checkCwd = () => {
      this[MKDIR](this.cwd, this.dmode, er => {
        if (er) {
          this[ONERROR](er, entry);
          done();
          return;
        }

        this[CHECKED_CWD] = true;
        start();
      });
    };

    const start = () => {
      if (entry.absolute !== this.cwd) {
        const parent = normPath(path.dirname(entry.absolute));

        if (parent !== this.cwd) {
          return this[MKDIR](parent, this.dmode, er => {
            if (er) {
              this[ONERROR](er, entry);
              done();
              return;
            }

            afterMakeParent();
          });
        }
      }

      afterMakeParent();
    };

    const afterMakeParent = () => {
      fs.lstat(entry.absolute, (lstatEr, st) => {
        if (st && (this.keep || this.newer && st.mtime > entry.mtime)) {
          this[SKIP](entry);
          done();
          return;
        }

        if (lstatEr || this[ISREUSABLE](entry, st)) return this[MAKEFS](null, entry, done);

        if (st.isDirectory()) {
          if (entry.type === 'Directory') {
            const needChmod = !this.noChmod && entry.mode && (st.mode & 0o7777) !== entry.mode;

            const afterChmod = er => this[MAKEFS](er, entry, done);

            if (!needChmod) return afterChmod();
            return fs.chmod(entry.absolute, entry.mode, afterChmod);
          } // Not a dir entry, have to remove it.
          // NB: the only way to end up with an entry that is the cwd
          // itself, in such a way that == does not detect, is a
          // tricky windows absolute path with UNC or 8.3 parts (and
          // preservePaths:true, or else it will have been stripped).
          // In that case, the user has opted out of path protections
          // explicitly, so if they blow away the cwd, c'est la vie.


          if (entry.absolute !== this.cwd) {
            return fs.rmdir(entry.absolute, er => this[MAKEFS](er, entry, done));
          }
        } // not a dir, and not reusable
        // don't remove if the cwd, we want that error


        if (entry.absolute === this.cwd) return this[MAKEFS](null, entry, done);
        unlinkFile(entry.absolute, er => this[MAKEFS](er, entry, done));
      });
    };

    if (this[CHECKED_CWD]) start();else checkCwd();
  }

  [MAKEFS](er, entry, done) {
    if (er) {
      this[ONERROR](er, entry);
      done();
      return;
    }

    switch (entry.type) {
      case 'File':
      case 'OldFile':
      case 'ContiguousFile':
        return this[FILE](entry, done);

      case 'Link':
        return this[HARDLINK](entry, done);

      case 'SymbolicLink':
        return this[SYMLINK](entry, done);

      case 'Directory':
      case 'GNUDumpDir':
        return this[DIRECTORY](entry, done);
    }
  }

  [LINK](entry, linkpath, link, done) {
    // XXX: get the type ('symlink' or 'junction') for windows
    fs[link](linkpath, entry.absolute, er => {
      if (er) this[ONERROR](er, entry);else {
        this[UNPEND]();
        entry.resume();
      }
      done();
    });
  }

}

const callSync = fn => {
  try {
    return [null, fn()];
  } catch (er) {
    return [er, null];
  }
};

class UnpackSync extends Unpack {
  [MAKEFS](er, entry) {
    return super[MAKEFS](er, entry, () => {});
  }

  [CHECKFS](entry) {
    this[PRUNECACHE](entry);

    if (!this[CHECKED_CWD]) {
      const er = this[MKDIR](this.cwd, this.dmode);
      if (er) return this[ONERROR](er, entry);
      this[CHECKED_CWD] = true;
    } // don't bother to make the parent if the current entry is the cwd,
    // we've already checked it.


    if (entry.absolute !== this.cwd) {
      const parent = normPath(path.dirname(entry.absolute));

      if (parent !== this.cwd) {
        const mkParent = this[MKDIR](parent, this.dmode);
        if (mkParent) return this[ONERROR](mkParent, entry);
      }
    }

    const [lstatEr, st] = callSync(() => fs.lstatSync(entry.absolute));
    if (st && (this.keep || this.newer && st.mtime > entry.mtime)) return this[SKIP](entry);
    if (lstatEr || this[ISREUSABLE](entry, st)) return this[MAKEFS](null, entry);

    if (st.isDirectory()) {
      if (entry.type === 'Directory') {
        const needChmod = !this.noChmod && entry.mode && (st.mode & 0o7777) !== entry.mode;
        const [er] = needChmod ? callSync(() => {
          fs.chmodSync(entry.absolute, entry.mode);
        }) : [];
        return this[MAKEFS](er, entry);
      } // not a dir entry, have to remove it


      const [er] = callSync(() => fs.rmdirSync(entry.absolute));
      this[MAKEFS](er, entry);
    } // not a dir, and not reusable.
    // don't remove if it's the cwd, since we want that error.


    const [er] = entry.absolute === this.cwd ? [] : callSync(() => unlinkFileSync(entry.absolute));
    this[MAKEFS](er, entry);
  }

  [FILE](entry, done) {
    const mode = entry.mode & 0o7777 || this.fmode;

    const oner = er => {
      let closeError;

      try {
        fs.closeSync(fd);
      } catch (e) {
        closeError = e;
      }

      if (er || closeError) this[ONERROR](er || closeError, entry);
      done();
    };

    let fd;

    try {
      fd = fs.openSync(entry.absolute, getFlag(entry.size), mode);
    } catch (er) {
      return oner(er);
    }

    const tx = this.transform ? this.transform(entry) || entry : entry;

    if (tx !== entry) {
      tx.on('error', er => this[ONERROR](er, entry));
      entry.pipe(tx);
    }

    tx.on('data', chunk => {
      try {
        fs.writeSync(fd, chunk, 0, chunk.length);
      } catch (er) {
        oner(er);
      }
    });
    tx.on('end', _ => {
      let er = null; // try both, falling futimes back to utimes
      // if either fails, handle the first error

      if (entry.mtime && !this.noMtime) {
        const atime = entry.atime || new Date();
        const mtime = entry.mtime;

        try {
          fs.futimesSync(fd, atime, mtime);
        } catch (futimeser) {
          try {
            fs.utimesSync(entry.absolute, atime, mtime);
          } catch (utimeser) {
            er = futimeser;
          }
        }
      }

      if (this[DOCHOWN](entry)) {
        const uid = this[UID](entry);
        const gid = this[GID](entry);

        try {
          fs.fchownSync(fd, uid, gid);
        } catch (fchowner) {
          try {
            fs.chownSync(entry.absolute, uid, gid);
          } catch (chowner) {
            er = er || fchowner;
          }
        }
      }

      oner(er);
    });
  }

  [DIRECTORY](entry, done) {
    const mode = entry.mode & 0o7777 || this.dmode;
    const er = this[MKDIR](entry.absolute, mode);

    if (er) {
      this[ONERROR](er, entry);
      done();
      return;
    }

    if (entry.mtime && !this.noMtime) {
      try {
        fs.utimesSync(entry.absolute, entry.atime || new Date(), entry.mtime);
      } catch (er) {}
    }

    if (this[DOCHOWN](entry)) {
      try {
        fs.chownSync(entry.absolute, this[UID](entry), this[GID](entry));
      } catch (er) {}
    }

    done();
    entry.resume();
  }

  [MKDIR](dir, mode) {
    try {
      return mkdir.sync(normPath(dir), {
        uid: this.uid,
        gid: this.gid,
        processUid: this.processUid,
        processGid: this.processGid,
        umask: this.processUmask,
        preserve: this.preservePaths,
        unlink: this.unlink,
        cache: this.dirCache,
        cwd: this.cwd,
        mode: mode
      });
    } catch (er) {
      return er;
    }
  }

  [LINK](entry, linkpath, link, done) {
    try {
      fs[link + 'Sync'](linkpath, entry.absolute);
      done();
      entry.resume();
    } catch (er) {
      return this[ONERROR](er, entry);
    }
  }

}

Unpack.Sync = UnpackSync;
module.exports = Unpack;

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/update.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
 // tar -u

const hlo = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/high-level-opt.js");

const r = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/replace.js"); // just call tar.r with the filter and mtimeCache


module.exports = (opt_, files, cb) => {
  const opt = hlo(opt_);
  if (!opt.file) throw new TypeError('file is required');
  if (opt.gzip) throw new TypeError('cannot append to compressed archives');
  if (!files || !Array.isArray(files) || !files.length) throw new TypeError('no files or directories specified');
  files = Array.from(files);
  mtimeFilter(opt);
  return r(opt, files, cb);
};

const mtimeFilter = opt => {
  const filter = opt.filter;
  if (!opt.mtimeCache) opt.mtimeCache = new Map();
  opt.filter = filter ? (path, stat) => filter(path, stat) && !(opt.mtimeCache.get(path) > stat.mtime) : (path, stat) => !(opt.mtimeCache.get(path) > stat.mtime);
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/warn-mixin.js":
/***/ ((module) => {

"use strict";


module.exports = Base => class extends Base {
  warn(code, message, data = {}) {
    if (this.file) data.file = this.file;
    if (this.cwd) data.cwd = this.cwd;
    data.code = message instanceof Error && message.code || code;
    data.tarCode = code;

    if (!this.strict && data.recoverable !== false) {
      if (message instanceof Error) {
        data = Object.assign(message, data);
        message = message.message;
      }

      this.emit('warn', data.tarCode, message, data);
    } else if (message instanceof Error) this.emit('error', Object.assign(message, data));else this.emit('error', Object.assign(new Error(`${code}: ${message}`), data));
  }

};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/winchars.js":
/***/ ((module) => {

"use strict";
 // When writing files on Windows, translate the characters to their
// 0xf000 higher-encoded versions.

const raw = ['|', '<', '>', '?', ':'];
const win = raw.map(char => String.fromCharCode(0xf000 + char.charCodeAt(0)));
const toWin = new Map(raw.map((char, i) => [char, win[i]]));
const toRaw = new Map(win.map((char, i) => [char, raw[i]]));
module.exports = {
  encode: s => raw.reduce((s, c) => s.split(c).join(toWin.get(c)), s),
  decode: s => win.reduce((s, c) => s.split(c).join(toRaw.get(c)), s)
};

/***/ }),

/***/ "./node_modules/.f/_/tar/6.1.11/tar/lib/write-entry.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const MiniPass = __webpack_require__("./node_modules/.f/_/minipass/3.1.6/minipass/index.js");

const Pax = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/pax.js");

const Header = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/header.js");

const fs = __webpack_require__("fs");

const path = __webpack_require__("path");

const normPath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/normalize-windows-path.js");

const stripSlash = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-trailing-slashes.js");

const prefixPath = (path, prefix) => {
  if (!prefix) return normPath(path);
  path = normPath(path).replace(/^\.(\/|$)/, '');
  return stripSlash(prefix) + '/' + path;
};

const maxReadSize = 16 * 1024 * 1024;
const PROCESS = Symbol('process');
const FILE = Symbol('file');
const DIRECTORY = Symbol('directory');
const SYMLINK = Symbol('symlink');
const HARDLINK = Symbol('hardlink');
const HEADER = Symbol('header');
const READ = Symbol('read');
const LSTAT = Symbol('lstat');
const ONLSTAT = Symbol('onlstat');
const ONREAD = Symbol('onread');
const ONREADLINK = Symbol('onreadlink');
const OPENFILE = Symbol('openfile');
const ONOPENFILE = Symbol('onopenfile');
const CLOSE = Symbol('close');
const MODE = Symbol('mode');
const AWAITDRAIN = Symbol('awaitDrain');
const ONDRAIN = Symbol('ondrain');
const PREFIX = Symbol('prefix');
const HAD_ERROR = Symbol('hadError');

const warner = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/warn-mixin.js");

const winchars = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/winchars.js");

const stripAbsolutePath = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/strip-absolute-path.js");

const modeFix = __webpack_require__("./node_modules/.f/_/tar/6.1.11/tar/lib/mode-fix.js");

const WriteEntry = warner(class WriteEntry extends MiniPass {
  constructor(p, opt) {
    opt = opt || {};
    super(opt);
    if (typeof p !== 'string') throw new TypeError('path is required');
    this.path = normPath(p); // suppress atime, ctime, uid, gid, uname, gname

    this.portable = !!opt.portable; // until node has builtin pwnam functions, this'll have to do

    this.myuid = process.getuid && process.getuid() || 0;
    this.myuser = process.env.USER || '';
    this.maxReadSize = opt.maxReadSize || maxReadSize;
    this.linkCache = opt.linkCache || new Map();
    this.statCache = opt.statCache || new Map();
    this.preservePaths = !!opt.preservePaths;
    this.cwd = normPath(opt.cwd || process.cwd());
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.noMtime = !!opt.noMtime;
    this.mtime = opt.mtime || null;
    this.prefix = opt.prefix ? normPath(opt.prefix) : null;
    this.fd = null;
    this.blockLen = null;
    this.blockRemain = null;
    this.buf = null;
    this.offset = null;
    this.length = null;
    this.pos = null;
    this.remain = null;
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    let pathWarn = false;

    if (!this.preservePaths) {
      const [root, stripped] = stripAbsolutePath(this.path);

      if (root) {
        this.path = stripped;
        pathWarn = root;
      }
    }

    this.win32 = !!opt.win32 || process.platform === 'win32';

    if (this.win32) {
      // force the \ to / normalization, since we might not *actually*
      // be on windows, but want \ to be considered a path separator.
      this.path = winchars.decode(this.path.replace(/\\/g, '/'));
      p = p.replace(/\\/g, '/');
    }

    this.absolute = normPath(opt.absolute || path.resolve(this.cwd, p));
    if (this.path === '') this.path = './';

    if (pathWarn) {
      this.warn('TAR_ENTRY_INFO', `stripping ${pathWarn} from absolute path`, {
        entry: this,
        path: pathWarn + this.path
      });
    }

    if (this.statCache.has(this.absolute)) this[ONLSTAT](this.statCache.get(this.absolute));else this[LSTAT]();
  }

  emit(ev, ...data) {
    if (ev === 'error') this[HAD_ERROR] = true;
    return super.emit(ev, ...data);
  }

  [LSTAT]() {
    fs.lstat(this.absolute, (er, stat) => {
      if (er) return this.emit('error', er);
      this[ONLSTAT](stat);
    });
  }

  [ONLSTAT](stat) {
    this.statCache.set(this.absolute, stat);
    this.stat = stat;
    if (!stat.isFile()) stat.size = 0;
    this.type = getType(stat);
    this.emit('stat', stat);
    this[PROCESS]();
  }

  [PROCESS]() {
    switch (this.type) {
      case 'File':
        return this[FILE]();

      case 'Directory':
        return this[DIRECTORY]();

      case 'SymbolicLink':
        return this[SYMLINK]();
      // unsupported types are ignored.

      default:
        return this.end();
    }
  }

  [MODE](mode) {
    return modeFix(mode, this.type === 'Directory', this.portable);
  }

  [PREFIX](path) {
    return prefixPath(path, this.prefix);
  }

  [HEADER]() {
    if (this.type === 'Directory' && this.portable) this.noMtime = true;
    this.header = new Header({
      path: this[PREFIX](this.path),
      // only apply the prefix to hard links.
      linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
      // only the permissions and setuid/setgid/sticky bitflags
      // not the higher-order bits that specify file type
      mode: this[MODE](this.stat.mode),
      uid: this.portable ? null : this.stat.uid,
      gid: this.portable ? null : this.stat.gid,
      size: this.stat.size,
      mtime: this.noMtime ? null : this.mtime || this.stat.mtime,
      type: this.type,
      uname: this.portable ? null : this.stat.uid === this.myuid ? this.myuser : '',
      atime: this.portable ? null : this.stat.atime,
      ctime: this.portable ? null : this.stat.ctime
    });

    if (this.header.encode() && !this.noPax) {
      super.write(new Pax({
        atime: this.portable ? null : this.header.atime,
        ctime: this.portable ? null : this.header.ctime,
        gid: this.portable ? null : this.header.gid,
        mtime: this.noMtime ? null : this.mtime || this.header.mtime,
        path: this[PREFIX](this.path),
        linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
        size: this.header.size,
        uid: this.portable ? null : this.header.uid,
        uname: this.portable ? null : this.header.uname,
        dev: this.portable ? null : this.stat.dev,
        ino: this.portable ? null : this.stat.ino,
        nlink: this.portable ? null : this.stat.nlink
      }).encode());
    }

    super.write(this.header.block);
  }

  [DIRECTORY]() {
    if (this.path.substr(-1) !== '/') this.path += '/';
    this.stat.size = 0;
    this[HEADER]();
    this.end();
  }

  [SYMLINK]() {
    fs.readlink(this.absolute, (er, linkpath) => {
      if (er) return this.emit('error', er);
      this[ONREADLINK](linkpath);
    });
  }

  [ONREADLINK](linkpath) {
    this.linkpath = normPath(linkpath);
    this[HEADER]();
    this.end();
  }

  [HARDLINK](linkpath) {
    this.type = 'Link';
    this.linkpath = normPath(path.relative(this.cwd, linkpath));
    this.stat.size = 0;
    this[HEADER]();
    this.end();
  }

  [FILE]() {
    if (this.stat.nlink > 1) {
      const linkKey = this.stat.dev + ':' + this.stat.ino;

      if (this.linkCache.has(linkKey)) {
        const linkpath = this.linkCache.get(linkKey);
        if (linkpath.indexOf(this.cwd) === 0) return this[HARDLINK](linkpath);
      }

      this.linkCache.set(linkKey, this.absolute);
    }

    this[HEADER]();
    if (this.stat.size === 0) return this.end();
    this[OPENFILE]();
  }

  [OPENFILE]() {
    fs.open(this.absolute, 'r', (er, fd) => {
      if (er) return this.emit('error', er);
      this[ONOPENFILE](fd);
    });
  }

  [ONOPENFILE](fd) {
    this.fd = fd;
    if (this[HAD_ERROR]) return this[CLOSE]();
    this.blockLen = 512 * Math.ceil(this.stat.size / 512);
    this.blockRemain = this.blockLen;
    const bufLen = Math.min(this.blockLen, this.maxReadSize);
    this.buf = Buffer.allocUnsafe(bufLen);
    this.offset = 0;
    this.pos = 0;
    this.remain = this.stat.size;
    this.length = this.buf.length;
    this[READ]();
  }

  [READ]() {
    const {
      fd,
      buf,
      offset,
      length,
      pos
    } = this;
    fs.read(fd, buf, offset, length, pos, (er, bytesRead) => {
      if (er) {
        // ignoring the error from close(2) is a bad practice, but at
        // this point we already have an error, don't need another one
        return this[CLOSE](() => this.emit('error', er));
      }

      this[ONREAD](bytesRead);
    });
  }

  [CLOSE](cb) {
    fs.close(this.fd, cb);
  }

  [ONREAD](bytesRead) {
    if (bytesRead <= 0 && this.remain > 0) {
      const er = new Error('encountered unexpected EOF');
      er.path = this.absolute;
      er.syscall = 'read';
      er.code = 'EOF';
      return this[CLOSE](() => this.emit('error', er));
    }

    if (bytesRead > this.remain) {
      const er = new Error('did not encounter expected EOF');
      er.path = this.absolute;
      er.syscall = 'read';
      er.code = 'EOF';
      return this[CLOSE](() => this.emit('error', er));
    } // null out the rest of the buffer, if we could fit the block padding
    // at the end of this loop, we've incremented bytesRead and this.remain
    // to be incremented up to the blockRemain level, as if we had expected
    // to get a null-padded file, and read it until the end.  then we will
    // decrement both remain and blockRemain by bytesRead, and know that we
    // reached the expected EOF, without any null buffer to append.


    if (bytesRead === this.remain) {
      for (let i = bytesRead; i < this.length && bytesRead < this.blockRemain; i++) {
        this.buf[i + this.offset] = 0;
        bytesRead++;
        this.remain++;
      }
    }

    const writeBuf = this.offset === 0 && bytesRead === this.buf.length ? this.buf : this.buf.slice(this.offset, this.offset + bytesRead);
    const flushed = this.write(writeBuf);
    if (!flushed) this[AWAITDRAIN](() => this[ONDRAIN]());else this[ONDRAIN]();
  }

  [AWAITDRAIN](cb) {
    this.once('drain', cb);
  }

  write(writeBuf) {
    if (this.blockRemain < writeBuf.length) {
      const er = new Error('writing more data than expected');
      er.path = this.absolute;
      return this.emit('error', er);
    }

    this.remain -= writeBuf.length;
    this.blockRemain -= writeBuf.length;
    this.pos += writeBuf.length;
    this.offset += writeBuf.length;
    return super.write(writeBuf);
  }

  [ONDRAIN]() {
    if (!this.remain) {
      if (this.blockRemain) super.write(Buffer.alloc(this.blockRemain));
      return this[CLOSE](er => er ? this.emit('error', er) : this.end());
    }

    if (this.offset >= this.length) {
      // if we only have a smaller bit left to read, alloc a smaller buffer
      // otherwise, keep it the same length it was before.
      this.buf = Buffer.allocUnsafe(Math.min(this.blockRemain, this.buf.length));
      this.offset = 0;
    }

    this.length = this.buf.length - this.offset;
    this[READ]();
  }

});

class WriteEntrySync extends WriteEntry {
  [LSTAT]() {
    this[ONLSTAT](fs.lstatSync(this.absolute));
  }

  [SYMLINK]() {
    this[ONREADLINK](fs.readlinkSync(this.absolute));
  }

  [OPENFILE]() {
    this[ONOPENFILE](fs.openSync(this.absolute, 'r'));
  }

  [READ]() {
    let threw = true;

    try {
      const {
        fd,
        buf,
        offset,
        length,
        pos
      } = this;
      const bytesRead = fs.readSync(fd, buf, offset, length, pos);
      this[ONREAD](bytesRead);
      threw = false;
    } finally {
      // ignoring the error from close(2) is a bad practice, but at
      // this point we already have an error, don't need another one
      if (threw) {
        try {
          this[CLOSE](() => {});
        } catch (er) {}
      }
    }
  }

  [AWAITDRAIN](cb) {
    cb();
  }

  [CLOSE](cb) {
    fs.closeSync(this.fd);
    cb();
  }

}

const WriteEntryTar = warner(class WriteEntryTar extends MiniPass {
  constructor(readEntry, opt) {
    opt = opt || {};
    super(opt);
    this.preservePaths = !!opt.preservePaths;
    this.portable = !!opt.portable;
    this.strict = !!opt.strict;
    this.noPax = !!opt.noPax;
    this.noMtime = !!opt.noMtime;
    this.readEntry = readEntry;
    this.type = readEntry.type;
    if (this.type === 'Directory' && this.portable) this.noMtime = true;
    this.prefix = opt.prefix || null;
    this.path = normPath(readEntry.path);
    this.mode = this[MODE](readEntry.mode);
    this.uid = this.portable ? null : readEntry.uid;
    this.gid = this.portable ? null : readEntry.gid;
    this.uname = this.portable ? null : readEntry.uname;
    this.gname = this.portable ? null : readEntry.gname;
    this.size = readEntry.size;
    this.mtime = this.noMtime ? null : opt.mtime || readEntry.mtime;
    this.atime = this.portable ? null : readEntry.atime;
    this.ctime = this.portable ? null : readEntry.ctime;
    this.linkpath = normPath(readEntry.linkpath);
    if (typeof opt.onwarn === 'function') this.on('warn', opt.onwarn);
    let pathWarn = false;

    if (!this.preservePaths) {
      const [root, stripped] = stripAbsolutePath(this.path);

      if (root) {
        this.path = stripped;
        pathWarn = root;
      }
    }

    this.remain = readEntry.size;
    this.blockRemain = readEntry.startBlockSize;
    this.header = new Header({
      path: this[PREFIX](this.path),
      linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
      // only the permissions and setuid/setgid/sticky bitflags
      // not the higher-order bits that specify file type
      mode: this.mode,
      uid: this.portable ? null : this.uid,
      gid: this.portable ? null : this.gid,
      size: this.size,
      mtime: this.noMtime ? null : this.mtime,
      type: this.type,
      uname: this.portable ? null : this.uname,
      atime: this.portable ? null : this.atime,
      ctime: this.portable ? null : this.ctime
    });

    if (pathWarn) {
      this.warn('TAR_ENTRY_INFO', `stripping ${pathWarn} from absolute path`, {
        entry: this,
        path: pathWarn + this.path
      });
    }

    if (this.header.encode() && !this.noPax) {
      super.write(new Pax({
        atime: this.portable ? null : this.atime,
        ctime: this.portable ? null : this.ctime,
        gid: this.portable ? null : this.gid,
        mtime: this.noMtime ? null : this.mtime,
        path: this[PREFIX](this.path),
        linkpath: this.type === 'Link' ? this[PREFIX](this.linkpath) : this.linkpath,
        size: this.size,
        uid: this.portable ? null : this.uid,
        uname: this.portable ? null : this.uname,
        dev: this.portable ? null : this.readEntry.dev,
        ino: this.portable ? null : this.readEntry.ino,
        nlink: this.portable ? null : this.readEntry.nlink
      }).encode());
    }

    super.write(this.header.block);
    readEntry.pipe(this);
  }

  [PREFIX](path) {
    return prefixPath(path, this.prefix);
  }

  [MODE](mode) {
    return modeFix(mode, this.type === 'Directory', this.portable);
  }

  write(data) {
    const writeLen = data.length;
    if (writeLen > this.blockRemain) throw new Error('writing more to entry than is appropriate');
    this.blockRemain -= writeLen;
    return super.write(data);
  }

  end() {
    if (this.blockRemain) super.write(Buffer.alloc(this.blockRemain));
    return super.end();
  }

});
WriteEntry.Sync = WriteEntrySync;
WriteEntry.Tar = WriteEntryTar;

const getType = stat => stat.isFile() ? 'File' : stat.isDirectory() ? 'Directory' : stat.isSymbolicLink() ? 'SymbolicLink' : 'Unsupported';

module.exports = WriteEntry;

/***/ }),

/***/ "./node_modules/.f/_/through/2.3.8/through/index.js":
/***/ ((module, exports, __webpack_require__) => {

var Stream = __webpack_require__("stream"); // through
//
// a stream that does nothing but re-emit the input.
// useful for aggregating a series of changing but not ending streams into one stream)


exports = module.exports = through;
through.through = through; //create a readable writable stream.

function through(write, end, opts) {
  write = write || function (data) {
    this.queue(data);
  };

  end = end || function () {
    this.queue(null);
  };

  var ended = false,
      destroyed = false,
      buffer = [],
      _ended = false;
  var stream = new Stream();
  stream.readable = stream.writable = true;
  stream.paused = false; //  stream.autoPause   = !(opts && opts.autoPause   === false)

  stream.autoDestroy = !(opts && opts.autoDestroy === false);

  stream.write = function (data) {
    write.call(this, data);
    return !stream.paused;
  };

  function drain() {
    while (buffer.length && !stream.paused) {
      var data = buffer.shift();
      if (null === data) return stream.emit('end');else stream.emit('data', data);
    }
  }

  stream.queue = stream.push = function (data) {
    //    console.error(ended)
    if (_ended) return stream;
    if (data === null) _ended = true;
    buffer.push(data);
    drain();
    return stream;
  }; //this will be registered as the first 'end' listener
  //must call destroy next tick, to make sure we're after any
  //stream piped from here.
  //this is only a problem if end is not emitted synchronously.
  //a nicer way to do this is to make sure this is the last listener for 'end'


  stream.on('end', function () {
    stream.readable = false;
    if (!stream.writable && stream.autoDestroy) process.nextTick(function () {
      stream.destroy();
    });
  });

  function _end() {
    stream.writable = false;
    end.call(stream);
    if (!stream.readable && stream.autoDestroy) stream.destroy();
  }

  stream.end = function (data) {
    if (ended) return;
    ended = true;
    if (arguments.length) stream.write(data);

    _end(); // will emit or queue


    return stream;
  };

  stream.destroy = function () {
    if (destroyed) return;
    destroyed = true;
    ended = true;
    buffer.length = 0;
    stream.writable = stream.readable = false;
    stream.emit('close');
    return stream;
  };

  stream.pause = function () {
    if (stream.paused) return;
    stream.paused = true;
    return stream;
  };

  stream.resume = function () {
    if (stream.paused) {
      stream.paused = false;
      stream.emit('resume');
    }

    drain(); //may have become paused again,
    //as drain emits 'data'.

    if (!stream.paused) stream.emit('drain');
    return stream;
  };

  return stream;
}

/***/ }),

/***/ "./node_modules/.f/_/through2/2.0.5/through2/through2.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Transform = __webpack_require__("./node_modules/.f/_/readable-stream/2.3.7/readable-stream/readable.js").Transform,
    inherits = __webpack_require__("util").inherits,
    xtend = __webpack_require__("./node_modules/.f/_/xtend/4.0.2/xtend/immutable.js");

function DestroyableTransform(opts) {
  Transform.call(this, opts);
  this._destroyed = false;
}

inherits(DestroyableTransform, Transform);

DestroyableTransform.prototype.destroy = function (err) {
  if (this._destroyed) return;
  this._destroyed = true;
  var self = this;
  process.nextTick(function () {
    if (err) self.emit('error', err);
    self.emit('close');
  });
}; // a noop _transform function


function noop(chunk, enc, callback) {
  callback(null, chunk);
} // create a new export function, used by both the main export and
// the .ctor export, contains common logic for dealing with arguments


function through2(construct) {
  return function (options, transform, flush) {
    if (typeof options == 'function') {
      flush = transform;
      transform = options;
      options = {};
    }

    if (typeof transform != 'function') transform = noop;
    if (typeof flush != 'function') flush = null;
    return construct(options, transform, flush);
  };
} // main export, just make me a transform stream!


module.exports = through2(function (options, transform, flush) {
  var t2 = new DestroyableTransform(options);
  t2._transform = transform;
  if (flush) t2._flush = flush;
  return t2;
}); // make me a reusable prototype that I can `new`, or implicitly `new`
// with a constructor call

module.exports.ctor = through2(function (options, transform, flush) {
  function Through2(override) {
    if (!(this instanceof Through2)) return new Through2(override);
    this.options = xtend(options, override);
    DestroyableTransform.call(this, this.options);
  }

  inherits(Through2, DestroyableTransform);
  Through2.prototype._transform = transform;
  if (flush) Through2.prototype._flush = flush;
  return Through2;
});
module.exports.obj = through2(function (options, transform, flush) {
  var t2 = new DestroyableTransform(xtend({
    objectMode: true,
    highWaterMark: 16
  }, options));
  t2._transform = transform;
  if (flush) t2._flush = flush;
  return t2;
});

/***/ }),

/***/ "./node_modules/.f/_/through2/3.0.2/through2/through2.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var Transform = __webpack_require__("./node_modules/.f/_/readable-stream/3.6.0/readable-stream/readable.js").Transform,
    inherits = __webpack_require__("./node_modules/.f/_/inherits/2.0.4/inherits/inherits.js");

function DestroyableTransform(opts) {
  Transform.call(this, opts);
  this._destroyed = false;
}

inherits(DestroyableTransform, Transform);

DestroyableTransform.prototype.destroy = function (err) {
  if (this._destroyed) return;
  this._destroyed = true;
  var self = this;
  process.nextTick(function () {
    if (err) self.emit('error', err);
    self.emit('close');
  });
}; // a noop _transform function


function noop(chunk, enc, callback) {
  callback(null, chunk);
} // create a new export function, used by both the main export and
// the .ctor export, contains common logic for dealing with arguments


function through2(construct) {
  return function (options, transform, flush) {
    if (typeof options == 'function') {
      flush = transform;
      transform = options;
      options = {};
    }

    if (typeof transform != 'function') transform = noop;
    if (typeof flush != 'function') flush = null;
    return construct(options, transform, flush);
  };
} // main export, just make me a transform stream!


module.exports = through2(function (options, transform, flush) {
  var t2 = new DestroyableTransform(options);
  t2._transform = transform;
  if (flush) t2._flush = flush;
  return t2;
}); // make me a reusable prototype that I can `new`, or implicitly `new`
// with a constructor call

module.exports.ctor = through2(function (options, transform, flush) {
  function Through2(override) {
    if (!(this instanceof Through2)) return new Through2(override);
    this.options = Object.assign({}, options, override);
    DestroyableTransform.call(this, this.options);
  }

  inherits(Through2, DestroyableTransform);
  Through2.prototype._transform = transform;
  if (flush) Through2.prototype._flush = flush;
  return Through2;
});
module.exports.obj = through2(function (options, transform, flush) {
  var t2 = new DestroyableTransform(Object.assign({
    objectMode: true,
    highWaterMark: 16
  }, options));
  t2._transform = transform;
  if (flush) t2._flush = flush;
  return t2;
});

/***/ }),

/***/ "./node_modules/.f/_/tslib/2.1.0/tslib/tslib.es6.js":
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "__extends": () => (/* binding */ __extends),
/* harmony export */   "__assign": () => (/* binding */ __assign),
/* harmony export */   "__rest": () => (/* binding */ __rest),
/* harmony export */   "__decorate": () => (/* binding */ __decorate),
/* harmony export */   "__param": () => (/* binding */ __param),
/* harmony export */   "__metadata": () => (/* binding */ __metadata),
/* harmony export */   "__awaiter": () => (/* binding */ __awaiter),
/* harmony export */   "__generator": () => (/* binding */ __generator),
/* harmony export */   "__createBinding": () => (/* binding */ __createBinding),
/* harmony export */   "__exportStar": () => (/* binding */ __exportStar),
/* harmony export */   "__values": () => (/* binding */ __values),
/* harmony export */   "__read": () => (/* binding */ __read),
/* harmony export */   "__spread": () => (/* binding */ __spread),
/* harmony export */   "__spreadArrays": () => (/* binding */ __spreadArrays),
/* harmony export */   "__spreadArray": () => (/* binding */ __spreadArray),
/* harmony export */   "__await": () => (/* binding */ __await),
/* harmony export */   "__asyncGenerator": () => (/* binding */ __asyncGenerator),
/* harmony export */   "__asyncDelegator": () => (/* binding */ __asyncDelegator),
/* harmony export */   "__asyncValues": () => (/* binding */ __asyncValues),
/* harmony export */   "__makeTemplateObject": () => (/* binding */ __makeTemplateObject),
/* harmony export */   "__importStar": () => (/* binding */ __importStar),
/* harmony export */   "__importDefault": () => (/* binding */ __importDefault),
/* harmony export */   "__classPrivateFieldGet": () => (/* binding */ __classPrivateFieldGet),
/* harmony export */   "__classPrivateFieldSet": () => (/* binding */ __classPrivateFieldSet)
/* harmony export */ });
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

/* global Reflect, Promise */
var extendStatics = function (d, b) {
  extendStatics = Object.setPrototypeOf || {
    __proto__: []
  } instanceof Array && function (d, b) {
    d.__proto__ = b;
  } || function (d, b) {
    for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
  };

  return extendStatics(d, b);
};

function __extends(d, b) {
  if (typeof b !== "function" && b !== null) throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
  extendStatics(d, b);

  function __() {
    this.constructor = d;
  }

  d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}
var __assign = function () {
  __assign = Object.assign || function __assign(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};
function __rest(s, e) {
  var t = {};

  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
}
function __decorate(decorators, target, key, desc) {
  var c = arguments.length,
      r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
      d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function __param(paramIndex, decorator) {
  return function (target, key) {
    decorator(target, key, paramIndex);
  };
}
function __metadata(metadataKey, metadataValue) {
  if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
}
function __awaiter(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
}
function __generator(thisArg, body) {
  var _ = {
    label: 0,
    sent: function () {
      if (t[0] & 1) throw t[1];
      return t[1];
    },
    trys: [],
    ops: []
  },
      f,
      y,
      t,
      g;
  return g = {
    next: verb(0),
    "throw": verb(1),
    "return": verb(2)
  }, typeof Symbol === "function" && (g[Symbol.iterator] = function () {
    return this;
  }), g;

  function verb(n) {
    return function (v) {
      return step([n, v]);
    };
  }

  function step(op) {
    if (f) throw new TypeError("Generator is already executing.");

    while (_) try {
      if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
      if (y = 0, t) op = [op[0] & 2, t.value];

      switch (op[0]) {
        case 0:
        case 1:
          t = op;
          break;

        case 4:
          _.label++;
          return {
            value: op[1],
            done: false
          };

        case 5:
          _.label++;
          y = op[1];
          op = [0];
          continue;

        case 7:
          op = _.ops.pop();

          _.trys.pop();

          continue;

        default:
          if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
            _ = 0;
            continue;
          }

          if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
            _.label = op[1];
            break;
          }

          if (op[0] === 6 && _.label < t[1]) {
            _.label = t[1];
            t = op;
            break;
          }

          if (t && _.label < t[2]) {
            _.label = t[2];

            _.ops.push(op);

            break;
          }

          if (t[2]) _.ops.pop();

          _.trys.pop();

          continue;
      }

      op = body.call(thisArg, _);
    } catch (e) {
      op = [6, e];
      y = 0;
    } finally {
      f = t = 0;
    }

    if (op[0] & 5) throw op[1];
    return {
      value: op[0] ? op[1] : void 0,
      done: true
    };
  }
}
var __createBinding = Object.create ? function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  Object.defineProperty(o, k2, {
    enumerable: true,
    get: function () {
      return m[k];
    }
  });
} : function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  o[k2] = m[k];
};
function __exportStar(m, o) {
  for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p)) __createBinding(o, m, p);
}
function __values(o) {
  var s = typeof Symbol === "function" && Symbol.iterator,
      m = s && o[s],
      i = 0;
  if (m) return m.call(o);
  if (o && typeof o.length === "number") return {
    next: function () {
      if (o && i >= o.length) o = void 0;
      return {
        value: o && o[i++],
        done: !o
      };
    }
  };
  throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
}
function __read(o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
      r,
      ar = [],
      e;

  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }

  return ar;
}
/** @deprecated */

function __spread() {
  for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));

  return ar;
}
/** @deprecated */

function __spreadArrays() {
  for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;

  for (var r = Array(s), k = 0, i = 0; i < il; i++) for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++) r[k] = a[j];

  return r;
}
function __spreadArray(to, from) {
  for (var i = 0, il = from.length, j = to.length; i < il; i++, j++) to[j] = from[i];

  return to;
}
function __await(v) {
  return this instanceof __await ? (this.v = v, this) : new __await(v);
}
function __asyncGenerator(thisArg, _arguments, generator) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var g = generator.apply(thisArg, _arguments || []),
      i,
      q = [];
  return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () {
    return this;
  }, i;

  function verb(n) {
    if (g[n]) i[n] = function (v) {
      return new Promise(function (a, b) {
        q.push([n, v, a, b]) > 1 || resume(n, v);
      });
    };
  }

  function resume(n, v) {
    try {
      step(g[n](v));
    } catch (e) {
      settle(q[0][3], e);
    }
  }

  function step(r) {
    r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r);
  }

  function fulfill(value) {
    resume("next", value);
  }

  function reject(value) {
    resume("throw", value);
  }

  function settle(f, v) {
    if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]);
  }
}
function __asyncDelegator(o) {
  var i, p;
  return i = {}, verb("next"), verb("throw", function (e) {
    throw e;
  }), verb("return"), i[Symbol.iterator] = function () {
    return this;
  }, i;

  function verb(n, f) {
    i[n] = o[n] ? function (v) {
      return (p = !p) ? {
        value: __await(o[n](v)),
        done: n === "return"
      } : f ? f(v) : v;
    } : f;
  }
}
function __asyncValues(o) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var m = o[Symbol.asyncIterator],
      i;
  return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () {
    return this;
  }, i);

  function verb(n) {
    i[n] = o[n] && function (v) {
      return new Promise(function (resolve, reject) {
        v = o[n](v), settle(resolve, reject, v.done, v.value);
      });
    };
  }

  function settle(resolve, reject, d, v) {
    Promise.resolve(v).then(function (v) {
      resolve({
        value: v,
        done: d
      });
    }, reject);
  }
}
function __makeTemplateObject(cooked, raw) {
  if (Object.defineProperty) {
    Object.defineProperty(cooked, "raw", {
      value: raw
    });
  } else {
    cooked.raw = raw;
  }

  return cooked;
}
;

var __setModuleDefault = Object.create ? function (o, v) {
  Object.defineProperty(o, "default", {
    enumerable: true,
    value: v
  });
} : function (o, v) {
  o["default"] = v;
};

function __importStar(mod) {
  if (mod && mod.__esModule) return mod;
  var result = {};
  if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);

  __setModuleDefault(result, mod);

  return result;
}
function __importDefault(mod) {
  return mod && mod.__esModule ? mod : {
    default: mod
  };
}
function __classPrivateFieldGet(receiver, privateMap) {
  if (!privateMap.has(receiver)) {
    throw new TypeError("attempted to get private field on non-instance");
  }

  return privateMap.get(receiver);
}
function __classPrivateFieldSet(receiver, privateMap, value) {
  if (!privateMap.has(receiver)) {
    throw new TypeError("attempted to set private field on non-instance");
  }

  privateMap.set(receiver, value);
  return value;
}

/***/ }),

/***/ "./node_modules/.f/_/typedarray/0.0.6/typedarray/index.js":
/***/ ((__unused_webpack_module, exports) => {

var undefined = void 0; // Paranoia
// Beyond this value, index getters/setters (i.e. array[0], array[1]) are so slow to
// create, and consume so much memory, that the browser appears frozen.

var MAX_ARRAY_LENGTH = 1e5; // Approximations of internal ECMAScript conversion functions

var ECMAScript = function () {
  // Stash a copy in case other scripts modify these
  var opts = Object.prototype.toString,
      ophop = Object.prototype.hasOwnProperty;
  return {
    // Class returns internal [[Class]] property, used to avoid cross-frame instanceof issues:
    Class: function (v) {
      return opts.call(v).replace(/^\[object *|\]$/g, '');
    },
    HasProperty: function (o, p) {
      return p in o;
    },
    HasOwnProperty: function (o, p) {
      return ophop.call(o, p);
    },
    IsCallable: function (o) {
      return typeof o === 'function';
    },
    ToInt32: function (v) {
      return v >> 0;
    },
    ToUint32: function (v) {
      return v >>> 0;
    }
  };
}(); // Snapshot intrinsics


var LN2 = Math.LN2,
    abs = Math.abs,
    floor = Math.floor,
    log = Math.log,
    min = Math.min,
    pow = Math.pow,
    round = Math.round; // ES5: lock down object properties

function configureProperties(obj) {
  if (getOwnPropNames && defineProp) {
    var props = getOwnPropNames(obj),
        i;

    for (i = 0; i < props.length; i += 1) {
      defineProp(obj, props[i], {
        value: obj[props[i]],
        writable: false,
        enumerable: false,
        configurable: false
      });
    }
  }
} // emulate ES5 getter/setter API using legacy APIs
// http://blogs.msdn.com/b/ie/archive/2010/09/07/transitioning-existing-code-to-the-es5-getter-setter-apis.aspx
// (second clause tests for Object.defineProperty() in IE<9 that only supports extending DOM prototypes, but
// note that IE<9 does not support __defineGetter__ or __defineSetter__ so it just renders the method harmless)


var defineProp;

if (Object.defineProperty && function () {
  try {
    Object.defineProperty({}, 'x', {});
    return true;
  } catch (e) {
    return false;
  }
}()) {
  defineProp = Object.defineProperty;
} else {
  defineProp = function (o, p, desc) {
    if (!o === Object(o)) throw new TypeError("Object.defineProperty called on non-object");

    if (ECMAScript.HasProperty(desc, 'get') && Object.prototype.__defineGetter__) {
      Object.prototype.__defineGetter__.call(o, p, desc.get);
    }

    if (ECMAScript.HasProperty(desc, 'set') && Object.prototype.__defineSetter__) {
      Object.prototype.__defineSetter__.call(o, p, desc.set);
    }

    if (ECMAScript.HasProperty(desc, 'value')) {
      o[p] = desc.value;
    }

    return o;
  };
}

var getOwnPropNames = Object.getOwnPropertyNames || function (o) {
  if (o !== Object(o)) throw new TypeError("Object.getOwnPropertyNames called on non-object");
  var props = [],
      p;

  for (p in o) {
    if (ECMAScript.HasOwnProperty(o, p)) {
      props.push(p);
    }
  }

  return props;
}; // ES5: Make obj[index] an alias for obj._getter(index)/obj._setter(index, value)
// for index in 0 ... obj.length


function makeArrayAccessors(obj) {
  if (!defineProp) {
    return;
  }

  if (obj.length > MAX_ARRAY_LENGTH) throw new RangeError("Array too large for polyfill");

  function makeArrayAccessor(index) {
    defineProp(obj, index, {
      'get': function () {
        return obj._getter(index);
      },
      'set': function (v) {
        obj._setter(index, v);
      },
      enumerable: true,
      configurable: false
    });
  }

  var i;

  for (i = 0; i < obj.length; i += 1) {
    makeArrayAccessor(i);
  }
} // Internal conversion functions:
//    pack<Type>()   - take a number (interpreted as Type), output a byte array
//    unpack<Type>() - take a byte array, output a Type-like number


function as_signed(value, bits) {
  var s = 32 - bits;
  return value << s >> s;
}

function as_unsigned(value, bits) {
  var s = 32 - bits;
  return value << s >>> s;
}

function packI8(n) {
  return [n & 0xff];
}

function unpackI8(bytes) {
  return as_signed(bytes[0], 8);
}

function packU8(n) {
  return [n & 0xff];
}

function unpackU8(bytes) {
  return as_unsigned(bytes[0], 8);
}

function packU8Clamped(n) {
  n = round(Number(n));
  return [n < 0 ? 0 : n > 0xff ? 0xff : n & 0xff];
}

function packI16(n) {
  return [n >> 8 & 0xff, n & 0xff];
}

function unpackI16(bytes) {
  return as_signed(bytes[0] << 8 | bytes[1], 16);
}

function packU16(n) {
  return [n >> 8 & 0xff, n & 0xff];
}

function unpackU16(bytes) {
  return as_unsigned(bytes[0] << 8 | bytes[1], 16);
}

function packI32(n) {
  return [n >> 24 & 0xff, n >> 16 & 0xff, n >> 8 & 0xff, n & 0xff];
}

function unpackI32(bytes) {
  return as_signed(bytes[0] << 24 | bytes[1] << 16 | bytes[2] << 8 | bytes[3], 32);
}

function packU32(n) {
  return [n >> 24 & 0xff, n >> 16 & 0xff, n >> 8 & 0xff, n & 0xff];
}

function unpackU32(bytes) {
  return as_unsigned(bytes[0] << 24 | bytes[1] << 16 | bytes[2] << 8 | bytes[3], 32);
}

function packIEEE754(v, ebits, fbits) {
  var bias = (1 << ebits - 1) - 1,
      s,
      e,
      f,
      ln,
      i,
      bits,
      str,
      bytes;

  function roundToEven(n) {
    var w = floor(n),
        f = n - w;
    if (f < 0.5) return w;
    if (f > 0.5) return w + 1;
    return w % 2 ? w + 1 : w;
  } // Compute sign, exponent, fraction


  if (v !== v) {
    // NaN
    // http://dev.w3.org/2006/webapi/WebIDL/#es-type-mapping
    e = (1 << ebits) - 1;
    f = pow(2, fbits - 1);
    s = 0;
  } else if (v === Infinity || v === -Infinity) {
    e = (1 << ebits) - 1;
    f = 0;
    s = v < 0 ? 1 : 0;
  } else if (v === 0) {
    e = 0;
    f = 0;
    s = 1 / v === -Infinity ? 1 : 0;
  } else {
    s = v < 0;
    v = abs(v);

    if (v >= pow(2, 1 - bias)) {
      e = min(floor(log(v) / LN2), 1023);
      f = roundToEven(v / pow(2, e) * pow(2, fbits));

      if (f / pow(2, fbits) >= 2) {
        e = e + 1;
        f = 1;
      }

      if (e > bias) {
        // Overflow
        e = (1 << ebits) - 1;
        f = 0;
      } else {
        // Normalized
        e = e + bias;
        f = f - pow(2, fbits);
      }
    } else {
      // Denormalized
      e = 0;
      f = roundToEven(v / pow(2, 1 - bias - fbits));
    }
  } // Pack sign, exponent, fraction


  bits = [];

  for (i = fbits; i; i -= 1) {
    bits.push(f % 2 ? 1 : 0);
    f = floor(f / 2);
  }

  for (i = ebits; i; i -= 1) {
    bits.push(e % 2 ? 1 : 0);
    e = floor(e / 2);
  }

  bits.push(s ? 1 : 0);
  bits.reverse();
  str = bits.join(''); // Bits to bytes

  bytes = [];

  while (str.length) {
    bytes.push(parseInt(str.substring(0, 8), 2));
    str = str.substring(8);
  }

  return bytes;
}

function unpackIEEE754(bytes, ebits, fbits) {
  // Bytes to bits
  var bits = [],
      i,
      j,
      b,
      str,
      bias,
      s,
      e,
      f;

  for (i = bytes.length; i; i -= 1) {
    b = bytes[i - 1];

    for (j = 8; j; j -= 1) {
      bits.push(b % 2 ? 1 : 0);
      b = b >> 1;
    }
  }

  bits.reverse();
  str = bits.join(''); // Unpack sign, exponent, fraction

  bias = (1 << ebits - 1) - 1;
  s = parseInt(str.substring(0, 1), 2) ? -1 : 1;
  e = parseInt(str.substring(1, 1 + ebits), 2);
  f = parseInt(str.substring(1 + ebits), 2); // Produce number

  if (e === (1 << ebits) - 1) {
    return f !== 0 ? NaN : s * Infinity;
  } else if (e > 0) {
    // Normalized
    return s * pow(2, e - bias) * (1 + f / pow(2, fbits));
  } else if (f !== 0) {
    // Denormalized
    return s * pow(2, -(bias - 1)) * (f / pow(2, fbits));
  } else {
    return s < 0 ? -0 : 0;
  }
}

function unpackF64(b) {
  return unpackIEEE754(b, 11, 52);
}

function packF64(v) {
  return packIEEE754(v, 11, 52);
}

function unpackF32(b) {
  return unpackIEEE754(b, 8, 23);
}

function packF32(v) {
  return packIEEE754(v, 8, 23);
} //
// 3 The ArrayBuffer Type
//


(function () {
  /** @constructor */
  var ArrayBuffer = function ArrayBuffer(length) {
    length = ECMAScript.ToInt32(length);
    if (length < 0) throw new RangeError('ArrayBuffer size is not a small enough positive integer');
    this.byteLength = length;
    this._bytes = [];
    this._bytes.length = length;
    var i;

    for (i = 0; i < this.byteLength; i += 1) {
      this._bytes[i] = 0;
    }

    configureProperties(this);
  };

  exports.ArrayBuffer = exports.ArrayBuffer || ArrayBuffer; //
  // 4 The ArrayBufferView Type
  //
  // NOTE: this constructor is not exported

  /** @constructor */

  var ArrayBufferView = function ArrayBufferView() {//this.buffer = null;
    //this.byteOffset = 0;
    //this.byteLength = 0;
  }; //
  // 5 The Typed Array View Types
  //


  function makeConstructor(bytesPerElement, pack, unpack) {
    // Each TypedArray type requires a distinct constructor instance with
    // identical logic, which this produces.
    var ctor;

    ctor = function (buffer, byteOffset, length) {
      var array, sequence, i, s;

      if (!arguments.length || typeof arguments[0] === 'number') {
        // Constructor(unsigned long length)
        this.length = ECMAScript.ToInt32(arguments[0]);
        if (length < 0) throw new RangeError('ArrayBufferView size is not a small enough positive integer');
        this.byteLength = this.length * this.BYTES_PER_ELEMENT;
        this.buffer = new ArrayBuffer(this.byteLength);
        this.byteOffset = 0;
      } else if (typeof arguments[0] === 'object' && arguments[0].constructor === ctor) {
        // Constructor(TypedArray array)
        array = arguments[0];
        this.length = array.length;
        this.byteLength = this.length * this.BYTES_PER_ELEMENT;
        this.buffer = new ArrayBuffer(this.byteLength);
        this.byteOffset = 0;

        for (i = 0; i < this.length; i += 1) {
          this._setter(i, array._getter(i));
        }
      } else if (typeof arguments[0] === 'object' && !(arguments[0] instanceof ArrayBuffer || ECMAScript.Class(arguments[0]) === 'ArrayBuffer')) {
        // Constructor(sequence<type> array)
        sequence = arguments[0];
        this.length = ECMAScript.ToUint32(sequence.length);
        this.byteLength = this.length * this.BYTES_PER_ELEMENT;
        this.buffer = new ArrayBuffer(this.byteLength);
        this.byteOffset = 0;

        for (i = 0; i < this.length; i += 1) {
          s = sequence[i];

          this._setter(i, Number(s));
        }
      } else if (typeof arguments[0] === 'object' && (arguments[0] instanceof ArrayBuffer || ECMAScript.Class(arguments[0]) === 'ArrayBuffer')) {
        // Constructor(ArrayBuffer buffer,
        //             optional unsigned long byteOffset, optional unsigned long length)
        this.buffer = buffer;
        this.byteOffset = ECMAScript.ToUint32(byteOffset);

        if (this.byteOffset > this.buffer.byteLength) {
          throw new RangeError("byteOffset out of range");
        }

        if (this.byteOffset % this.BYTES_PER_ELEMENT) {
          // The given byteOffset must be a multiple of the element
          // size of the specific type, otherwise an exception is raised.
          throw new RangeError("ArrayBuffer length minus the byteOffset is not a multiple of the element size.");
        }

        if (arguments.length < 3) {
          this.byteLength = this.buffer.byteLength - this.byteOffset;

          if (this.byteLength % this.BYTES_PER_ELEMENT) {
            throw new RangeError("length of buffer minus byteOffset not a multiple of the element size");
          }

          this.length = this.byteLength / this.BYTES_PER_ELEMENT;
        } else {
          this.length = ECMAScript.ToUint32(length);
          this.byteLength = this.length * this.BYTES_PER_ELEMENT;
        }

        if (this.byteOffset + this.byteLength > this.buffer.byteLength) {
          throw new RangeError("byteOffset and length reference an area beyond the end of the buffer");
        }
      } else {
        throw new TypeError("Unexpected argument type(s)");
      }

      this.constructor = ctor;
      configureProperties(this);
      makeArrayAccessors(this);
    };

    ctor.prototype = new ArrayBufferView();
    ctor.prototype.BYTES_PER_ELEMENT = bytesPerElement;
    ctor.prototype._pack = pack;
    ctor.prototype._unpack = unpack;
    ctor.BYTES_PER_ELEMENT = bytesPerElement; // getter type (unsigned long index);

    ctor.prototype._getter = function (index) {
      if (arguments.length < 1) throw new SyntaxError("Not enough arguments");
      index = ECMAScript.ToUint32(index);

      if (index >= this.length) {
        return undefined;
      }

      var bytes = [],
          i,
          o;

      for (i = 0, o = this.byteOffset + index * this.BYTES_PER_ELEMENT; i < this.BYTES_PER_ELEMENT; i += 1, o += 1) {
        bytes.push(this.buffer._bytes[o]);
      }

      return this._unpack(bytes);
    }; // NONSTANDARD: convenience alias for getter: type get(unsigned long index);


    ctor.prototype.get = ctor.prototype._getter; // setter void (unsigned long index, type value);

    ctor.prototype._setter = function (index, value) {
      if (arguments.length < 2) throw new SyntaxError("Not enough arguments");
      index = ECMAScript.ToUint32(index);

      if (index >= this.length) {
        return undefined;
      }

      var bytes = this._pack(value),
          i,
          o;

      for (i = 0, o = this.byteOffset + index * this.BYTES_PER_ELEMENT; i < this.BYTES_PER_ELEMENT; i += 1, o += 1) {
        this.buffer._bytes[o] = bytes[i];
      }
    }; // void set(TypedArray array, optional unsigned long offset);
    // void set(sequence<type> array, optional unsigned long offset);


    ctor.prototype.set = function (index, value) {
      if (arguments.length < 1) throw new SyntaxError("Not enough arguments");
      var array, sequence, offset, len, i, s, d, byteOffset, byteLength, tmp;

      if (typeof arguments[0] === 'object' && arguments[0].constructor === this.constructor) {
        // void set(TypedArray array, optional unsigned long offset);
        array = arguments[0];
        offset = ECMAScript.ToUint32(arguments[1]);

        if (offset + array.length > this.length) {
          throw new RangeError("Offset plus length of array is out of range");
        }

        byteOffset = this.byteOffset + offset * this.BYTES_PER_ELEMENT;
        byteLength = array.length * this.BYTES_PER_ELEMENT;

        if (array.buffer === this.buffer) {
          tmp = [];

          for (i = 0, s = array.byteOffset; i < byteLength; i += 1, s += 1) {
            tmp[i] = array.buffer._bytes[s];
          }

          for (i = 0, d = byteOffset; i < byteLength; i += 1, d += 1) {
            this.buffer._bytes[d] = tmp[i];
          }
        } else {
          for (i = 0, s = array.byteOffset, d = byteOffset; i < byteLength; i += 1, s += 1, d += 1) {
            this.buffer._bytes[d] = array.buffer._bytes[s];
          }
        }
      } else if (typeof arguments[0] === 'object' && typeof arguments[0].length !== 'undefined') {
        // void set(sequence<type> array, optional unsigned long offset);
        sequence = arguments[0];
        len = ECMAScript.ToUint32(sequence.length);
        offset = ECMAScript.ToUint32(arguments[1]);

        if (offset + len > this.length) {
          throw new RangeError("Offset plus length of array is out of range");
        }

        for (i = 0; i < len; i += 1) {
          s = sequence[i];

          this._setter(offset + i, Number(s));
        }
      } else {
        throw new TypeError("Unexpected argument type(s)");
      }
    }; // TypedArray subarray(long begin, optional long end);


    ctor.prototype.subarray = function (start, end) {
      function clamp(v, min, max) {
        return v < min ? min : v > max ? max : v;
      }

      start = ECMAScript.ToInt32(start);
      end = ECMAScript.ToInt32(end);

      if (arguments.length < 1) {
        start = 0;
      }

      if (arguments.length < 2) {
        end = this.length;
      }

      if (start < 0) {
        start = this.length + start;
      }

      if (end < 0) {
        end = this.length + end;
      }

      start = clamp(start, 0, this.length);
      end = clamp(end, 0, this.length);
      var len = end - start;

      if (len < 0) {
        len = 0;
      }

      return new this.constructor(this.buffer, this.byteOffset + start * this.BYTES_PER_ELEMENT, len);
    };

    return ctor;
  }

  var Int8Array = makeConstructor(1, packI8, unpackI8);
  var Uint8Array = makeConstructor(1, packU8, unpackU8);
  var Uint8ClampedArray = makeConstructor(1, packU8Clamped, unpackU8);
  var Int16Array = makeConstructor(2, packI16, unpackI16);
  var Uint16Array = makeConstructor(2, packU16, unpackU16);
  var Int32Array = makeConstructor(4, packI32, unpackI32);
  var Uint32Array = makeConstructor(4, packU32, unpackU32);
  var Float32Array = makeConstructor(4, packF32, unpackF32);
  var Float64Array = makeConstructor(8, packF64, unpackF64);
  exports.Int8Array = exports.Int8Array || Int8Array;
  exports.Uint8Array = exports.Uint8Array || Uint8Array;
  exports.Uint8ClampedArray = exports.Uint8ClampedArray || Uint8ClampedArray;
  exports.Int16Array = exports.Int16Array || Int16Array;
  exports.Uint16Array = exports.Uint16Array || Uint16Array;
  exports.Int32Array = exports.Int32Array || Int32Array;
  exports.Uint32Array = exports.Uint32Array || Uint32Array;
  exports.Float32Array = exports.Float32Array || Float32Array;
  exports.Float64Array = exports.Float64Array || Float64Array;
})(); //
// 6 The DataView View Type
//


(function () {
  function r(array, index) {
    return ECMAScript.IsCallable(array.get) ? array.get(index) : array[index];
  }

  var IS_BIG_ENDIAN = function () {
    var u16array = new exports.Uint16Array([0x1234]),
        u8array = new exports.Uint8Array(u16array.buffer);
    return r(u8array, 0) === 0x12;
  }(); // Constructor(ArrayBuffer buffer,
  //             optional unsigned long byteOffset,
  //             optional unsigned long byteLength)

  /** @constructor */


  var DataView = function DataView(buffer, byteOffset, byteLength) {
    if (arguments.length === 0) {
      buffer = new exports.ArrayBuffer(0);
    } else if (!(buffer instanceof exports.ArrayBuffer || ECMAScript.Class(buffer) === 'ArrayBuffer')) {
      throw new TypeError("TypeError");
    }

    this.buffer = buffer || new exports.ArrayBuffer(0);
    this.byteOffset = ECMAScript.ToUint32(byteOffset);

    if (this.byteOffset > this.buffer.byteLength) {
      throw new RangeError("byteOffset out of range");
    }

    if (arguments.length < 3) {
      this.byteLength = this.buffer.byteLength - this.byteOffset;
    } else {
      this.byteLength = ECMAScript.ToUint32(byteLength);
    }

    if (this.byteOffset + this.byteLength > this.buffer.byteLength) {
      throw new RangeError("byteOffset and length reference an area beyond the end of the buffer");
    }

    configureProperties(this);
  };

  function makeGetter(arrayType) {
    return function (byteOffset, littleEndian) {
      byteOffset = ECMAScript.ToUint32(byteOffset);

      if (byteOffset + arrayType.BYTES_PER_ELEMENT > this.byteLength) {
        throw new RangeError("Array index out of range");
      }

      byteOffset += this.byteOffset;
      var uint8Array = new exports.Uint8Array(this.buffer, byteOffset, arrayType.BYTES_PER_ELEMENT),
          bytes = [],
          i;

      for (i = 0; i < arrayType.BYTES_PER_ELEMENT; i += 1) {
        bytes.push(r(uint8Array, i));
      }

      if (Boolean(littleEndian) === Boolean(IS_BIG_ENDIAN)) {
        bytes.reverse();
      }

      return r(new arrayType(new exports.Uint8Array(bytes).buffer), 0);
    };
  }

  DataView.prototype.getUint8 = makeGetter(exports.Uint8Array);
  DataView.prototype.getInt8 = makeGetter(exports.Int8Array);
  DataView.prototype.getUint16 = makeGetter(exports.Uint16Array);
  DataView.prototype.getInt16 = makeGetter(exports.Int16Array);
  DataView.prototype.getUint32 = makeGetter(exports.Uint32Array);
  DataView.prototype.getInt32 = makeGetter(exports.Int32Array);
  DataView.prototype.getFloat32 = makeGetter(exports.Float32Array);
  DataView.prototype.getFloat64 = makeGetter(exports.Float64Array);

  function makeSetter(arrayType) {
    return function (byteOffset, value, littleEndian) {
      byteOffset = ECMAScript.ToUint32(byteOffset);

      if (byteOffset + arrayType.BYTES_PER_ELEMENT > this.byteLength) {
        throw new RangeError("Array index out of range");
      } // Get bytes


      var typeArray = new arrayType([value]),
          byteArray = new exports.Uint8Array(typeArray.buffer),
          bytes = [],
          i,
          byteView;

      for (i = 0; i < arrayType.BYTES_PER_ELEMENT; i += 1) {
        bytes.push(r(byteArray, i));
      } // Flip if necessary


      if (Boolean(littleEndian) === Boolean(IS_BIG_ENDIAN)) {
        bytes.reverse();
      } // Write them


      byteView = new exports.Uint8Array(this.buffer, byteOffset, arrayType.BYTES_PER_ELEMENT);
      byteView.set(bytes);
    };
  }

  DataView.prototype.setUint8 = makeSetter(exports.Uint8Array);
  DataView.prototype.setInt8 = makeSetter(exports.Int8Array);
  DataView.prototype.setUint16 = makeSetter(exports.Uint16Array);
  DataView.prototype.setInt16 = makeSetter(exports.Int16Array);
  DataView.prototype.setUint32 = makeSetter(exports.Uint32Array);
  DataView.prototype.setInt32 = makeSetter(exports.Int32Array);
  DataView.prototype.setFloat32 = makeSetter(exports.Float32Array);
  DataView.prototype.setFloat64 = makeSetter(exports.Float64Array);
  exports.DataView = exports.DataView || DataView;
})();

/***/ }),

/***/ "./node_modules/.f/_/uid-number/0.0.6/uid-number/get-uid-gid.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/* module decorator */ module = __webpack_require__.nmd(module);
if (module !== __webpack_require__.c[__webpack_require__.s]) {
  throw new Error("This file should not be loaded with require()");
}

if (!process.getuid || !process.getgid) {
  throw new Error("this file should not be called without uid/gid support");
}

var argv = process.argv.slice(2),
    user = argv[0] || process.getuid(),
    group = argv[1] || process.getgid();
if (!isNaN(user)) user = +user;
if (!isNaN(group)) group = +group;
console.error([user, group]);

try {
  process.setgid(group);
  process.setuid(user);
  console.log(JSON.stringify({
    uid: +process.getuid(),
    gid: +process.getgid()
  }));
} catch (ex) {
  console.log(JSON.stringify({
    error: ex.message,
    errno: ex.errno
  }));
}

/***/ }),

/***/ "./node_modules/.f/_/uid-number/0.0.6/uid-number/uid-number.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = uidNumber; // This module calls into get-uid-gid.js, which sets the
// uid and gid to the supplied argument, in order to find out their
// numeric value.  This can't be done in the main node process,
// because otherwise node would be running as that user from this
// point on.

var child_process = __webpack_require__("child_process"),
    path = __webpack_require__("path"),
    uidSupport = process.getuid && process.setuid,
    uidCache = {},
    gidCache = {};

function uidNumber(uid, gid, cb) {
  if (!uidSupport) return cb();
  if (typeof cb !== "function") cb = gid, gid = null;
  if (typeof cb !== "function") cb = uid, uid = null;
  if (gid == null) gid = process.getgid();
  if (uid == null) uid = process.getuid();
  if (!isNaN(gid)) gid = gidCache[gid] = +gid;
  if (!isNaN(uid)) uid = uidCache[uid] = +uid;
  if (uidCache.hasOwnProperty(uid)) uid = uidCache[uid];
  if (gidCache.hasOwnProperty(gid)) gid = gidCache[gid];

  if (typeof gid === "number" && typeof uid === "number") {
    return process.nextTick(cb.bind(null, null, uid, gid));
  }

  var getter = /*require.resolve*/("./node_modules/.f/_/uid-number/0.0.6/uid-number/get-uid-gid.js");

  child_process.execFile(process.execPath, [getter, uid, gid], function (code, out, stderr) {
    if (code) {
      var er = new Error("could not get uid/gid\n" + stderr);
      er.code = code;
      return cb(er);
    }

    try {
      out = JSON.parse(out + "");
    } catch (ex) {
      return cb(ex);
    }

    if (out.error) {
      var er = new Error(out.error);
      er.errno = out.errno;
      return cb(er);
    }

    if (isNaN(out.uid) || isNaN(out.gid)) return cb(new Error("Could not get uid/gid: " + JSON.stringify(out)));
    cb(null, uidCache[uid] = +out.uid, gidCache[gid] = +out.gid);
  });
}

/***/ }),

/***/ "./node_modules/.f/_/umask/1.1.0/umask/index.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var util = __webpack_require__("util");

function toString(val) {
  val = val.toString(8);

  while (val.length < 4) {
    val = "0" + val;
  }

  return val;
}

var defaultUmask = 18; // 0022;

var defaultUmaskString = toString(defaultUmask);

function validate(data, k, val) {
  // must be either an integer or an octal string.
  if (typeof val === "number" && !isNaN(val)) {
    data[k] = val;
    return true;
  }

  if (typeof val === "string") {
    if (val.charAt(0) !== "0") {
      return false;
    }

    data[k] = parseInt(val, 8);
    return true;
  }

  return false;
}

function convert_fromString(val, cb) {
  if (typeof val === "string") {
    // check for octal string first
    if (val.charAt(0) === '0' && /^[0-7]+$/.test(val)) {
      val = parseInt(val, 8);
    } else if (val.charAt(0) !== '0' && /^[0-9]+$/.test(val)) {
      // legacy support for decimal strings
      val = parseInt(val, 10);
    } else {
      return cb(new Error(util.format("Expected octal string, got %j, defaulting to %j", val, defaultUmaskString)), defaultUmask);
    }
  } else if (typeof val !== "number") {
    return cb(new Error(util.format("Expected number or octal string, got %j, defaulting to %j", val, defaultUmaskString)), defaultUmask);
  }

  val = Math.floor(val);

  if (val < 0 || val > 511) {
    return cb(new Error(util.format("Must be in range 0..511 (0000..0777), got %j", val)), defaultUmask);
  }

  cb(null, val);
}

function fromString(val, cb) {
  // synchronous callback, no zalgo
  convert_fromString(val, cb || function (err, result) {
    /*jslint unparam:true*/
    val = result;
  });
  return val;
}

exports.toString = toString;
exports.fromString = fromString;
exports.validate = validate;

/***/ }),

/***/ "./node_modules/.f/_/unique-filename/1.1.1/unique-filename/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var path = __webpack_require__("path");

var uniqueSlug = __webpack_require__("./node_modules/.f/_/unique-slug/2.0.2/unique-slug/index.js");

module.exports = function (filepath, prefix, uniq) {
  return path.join(filepath, (prefix ? prefix + '-' : '') + uniqueSlug(uniq));
};

/***/ }),

/***/ "./node_modules/.f/_/unique-slug/2.0.2/unique-slug/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var MurmurHash3 = __webpack_require__("./node_modules/.f/_/imurmurhash/0.1.4/imurmurhash/imurmurhash.js");

module.exports = function (uniq) {
  if (uniq) {
    var hash = new MurmurHash3(uniq);
    return ('00000000' + hash.result().toString(16)).substr(-8);
  } else {
    return (Math.random().toString(16) + '0000000').substr(2, 8);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/util-deprecate/1.0.2/util-deprecate/node.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * For Node.js, simply re-export the core `util.deprecate` function.
 */
module.exports = __webpack_require__("util").deprecate;

/***/ }),

/***/ "./node_modules/.f/_/validate-npm-package-license/3.0.4/validate-npm-package-license/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var parse = __webpack_require__("./node_modules/.f/_/spdx-expression-parse/3.0.1/spdx-expression-parse/index.js");

var correct = __webpack_require__("./node_modules/.f/_/spdx-correct/3.1.1/spdx-correct/index.js");

var genericWarning = 'license should be ' + 'a valid SPDX license expression (without "LicenseRef"), ' + '"UNLICENSED", or ' + '"SEE LICENSE IN <filename>"';
var fileReferenceRE = /^SEE LICEN[CS]E IN (.+)$/;

function startsWith(prefix, string) {
  return string.slice(0, prefix.length) === prefix;
}

function usesLicenseRef(ast) {
  if (ast.hasOwnProperty('license')) {
    var license = ast.license;
    return startsWith('LicenseRef', license) || startsWith('DocumentRef', license);
  } else {
    return usesLicenseRef(ast.left) || usesLicenseRef(ast.right);
  }
}

module.exports = function (argument) {
  var ast;

  try {
    ast = parse(argument);
  } catch (e) {
    var match;

    if (argument === 'UNLICENSED' || argument === 'UNLICENCED') {
      return {
        validForOldPackages: true,
        validForNewPackages: true,
        unlicensed: true
      };
    } else if (match = fileReferenceRE.exec(argument)) {
      return {
        validForOldPackages: true,
        validForNewPackages: true,
        inFile: match[1]
      };
    } else {
      var result = {
        validForOldPackages: false,
        validForNewPackages: false,
        warnings: [genericWarning]
      };

      if (argument.trim().length !== 0) {
        var corrected = correct(argument);

        if (corrected) {
          result.warnings.push('license is similar to the valid expression "' + corrected + '"');
        }
      }

      return result;
    }
  }

  if (usesLicenseRef(ast)) {
    return {
      validForNewPackages: false,
      validForOldPackages: false,
      spdx: true,
      warnings: [genericWarning]
    };
  } else {
    return {
      validForNewPackages: true,
      validForOldPackages: true,
      spdx: true
    };
  }
};

/***/ }),

/***/ "./node_modules/.f/_/validate-npm-package-name/3.0.0/validate-npm-package-name/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var scopedPackagePattern = new RegExp('^(?:@([^/]+?)[/])?([^/]+?)$');

var builtins = __webpack_require__("./node_modules/.f/_/builtins/1.0.3/builtins/builtins.json");

var blacklist = ['node_modules', 'favicon.ico'];

var validate = module.exports = function (name) {
  var warnings = [];
  var errors = [];

  if (name === null) {
    errors.push('name cannot be null');
    return done(warnings, errors);
  }

  if (name === undefined) {
    errors.push('name cannot be undefined');
    return done(warnings, errors);
  }

  if (typeof name !== 'string') {
    errors.push('name must be a string');
    return done(warnings, errors);
  }

  if (!name.length) {
    errors.push('name length must be greater than zero');
  }

  if (name.match(/^\./)) {
    errors.push('name cannot start with a period');
  }

  if (name.match(/^_/)) {
    errors.push('name cannot start with an underscore');
  }

  if (name.trim() !== name) {
    errors.push('name cannot contain leading or trailing spaces');
  } // No funny business


  blacklist.forEach(function (blacklistedName) {
    if (name.toLowerCase() === blacklistedName) {
      errors.push(blacklistedName + ' is a blacklisted name');
    }
  }); // Generate warnings for stuff that used to be allowed
  // core module names like http, events, util, etc

  builtins.forEach(function (builtin) {
    if (name.toLowerCase() === builtin) {
      warnings.push(builtin + ' is a core module name');
    }
  }); // really-long-package-names-------------------------------such--length-----many---wow
  // the thisisareallyreallylongpackagenameitshouldpublishdowenowhavealimittothelengthofpackagenames-poch.

  if (name.length > 214) {
    warnings.push('name can no longer contain more than 214 characters');
  } // mIxeD CaSe nAMEs


  if (name.toLowerCase() !== name) {
    warnings.push('name can no longer contain capital letters');
  }

  if (/[~'!()*]/.test(name.split('/').slice(-1)[0])) {
    warnings.push('name can no longer contain special characters ("~\'!()*")');
  }

  if (encodeURIComponent(name) !== name) {
    // Maybe it's a scoped package name, like @user/package
    var nameMatch = name.match(scopedPackagePattern);

    if (nameMatch) {
      var user = nameMatch[1];
      var pkg = nameMatch[2];

      if (encodeURIComponent(user) === user && encodeURIComponent(pkg) === pkg) {
        return done(warnings, errors);
      }
    }

    errors.push('name can only contain URL-friendly characters');
  }

  return done(warnings, errors);
};

validate.scopedPackagePattern = scopedPackagePattern;

var done = function (warnings, errors) {
  var result = {
    validForNewPackages: errors.length === 0 && warnings.length === 0,
    validForOldPackages: errors.length === 0,
    warnings: warnings,
    errors: errors
  };
  if (!result.warnings.length) delete result.warnings;
  if (!result.errors.length) delete result.errors;
  return result;
};

/***/ }),

/***/ "./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/get-default-logger.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const VisualLogger = __webpack_require__("./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/visual-logger.js");

const {
  isCI
} = __webpack_require__("./node_modules/.f/_/ci-info/3.2.0/ci-info/index.js");

let logger;

const getLogger = () => {
  if (!logger) {
    logger = new VisualLogger();

    if (isCI) {
      logger.info("visual-exec: CI env detected");
      logger.setItemType("none");
    }
  }

  return logger;
};

module.exports = getLogger;

/***/ }),

/***/ "./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/visual-exec.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable no-magic-numbers,no-eval,prefer-template */

const xsh = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const getDefaultLogger = __webpack_require__("./node_modules/.f/_/visual-exec/0.1.14/visual-exec/lib/get-default-logger.js");

const VisualLogger = __webpack_require__("./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/visual-logger.js");

const hasAnsi = __webpack_require__("./node_modules/.f/_/has-ansi/4.0.1/has-ansi/index.js");

const stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/6.0.1/strip-ansi/index.js");

xsh.Promise = Promise;
const ONE_MB = 1024 * 1024;
const TEN_MB = 10 * ONE_MB;

class VisualExec {
  constructor({
    command,
    cwd = process.cwd(),
    visualLogger,
    spinner = VisualLogger.spinners[1],
    displayTitle = undefined,
    logLabel = undefined,
    outputLabel = undefined,
    outputLevel = "verbose",
    maxBuffer = TEN_MB,
    forceStderr = true,
    checkStdoutError = true
  }) {
    this._title = displayTitle || this._makeTitle(command);
    this._logLabel = logLabel || this._title;
    this._outputLabel = outputLabel || this._title;
    this._command = command;
    this._cwd = cwd || process.cwd();
    this._logger = visualLogger || getDefaultLogger();
    this._outputLevel = outputLevel;
    this._spinner = spinner;
    this._maxBuffer = maxBuffer;
    this._forceStderr = forceStderr;
    this._checkStdoutError = checkStdoutError === true ? /error|warn|fatal|unhandled|reject|exception|failure|fail|failed/i : checkStdoutError;
    this._startTime = Date.now();
  }

  _makeTitle(command) {
    if (typeof command !== "string") {
      command = "user command";
    }

    return `Running ${command}`;
  }
  /* eslint-disable max-statements */


  _updateDigest(item, buf) {
    const newBuf = item.buf + buf;
    const lines = newBuf.split("\n").map(x => x && x.trim()).filter(x => x);
    const stripLines = lines.map(x => hasAnsi(x) ? stripAnsi(x) : x);
    let length = 0; // gather as many lines from the end as possible that will fit in a single line, using
    // strings without ansi code to get real length

    let ix = stripLines.length - 1;

    for (; ix >= 0; ix--) {
      const line = stripLines[ix];

      if (line) {
        if (length + line.length < 100) {
          length += line.length;
        } else {
          break;
        }
      }
    }

    let msgs = ix >= 0 ? lines.slice(ix + 1) : lines;

    if (msgs.length === 0) {
      // even the last line is too long, save it, and display last line as is
      item.buf = lines[lines.length - 1] || ""; // set some reasonable limit to avoid visual digest getting clobberred

      if (item.buf.length > 120) {
        // truncte stripped line only to avoid breaking ansi code
        item.buf = stripLines[stripLines.length - 1].substr(0, 100);
      }

      msgs = [item.buf];
    } else {
      item.buf = msgs.join("\n");
    }

    if (buf.endsWith("\n")) {
      item.buf += "\n";
    }

    this._logger.updateItem(item.name, {
      msg: msgs.join(chalk.blue.inverse("\\n")),
      _save: false,
      _render: false
    });
  }

  show(child) {
    this._stdoutKey = Symbol("visual-exec-stdout");
    this._stderrKey = Symbol("visual-exec-stderr");

    this._logger.addItem({
      name: this._stdoutKey,
      color: "green",
      display: `=== ${this._title}\nstdout`,
      spinner: this._spinner
    });

    this._logger.addItem({
      name: this._stderrKey,
      color: "red",
      display: `stderr`
    });

    const stdoutDigest = {
      name: this._stdoutKey,
      buf: ""
    };
    const stderrDigest = {
      name: this._stderrKey,
      buf: ""
    };

    this._updateStdout = buf => this._updateDigest(stdoutDigest, buf);

    this._updateStderr = buf => this._updateDigest(stderrDigest, buf);

    child.stdout.on("data", this._updateStdout);
    child.stderr.on("data", this._updateStderr);
    this._child = child;
    return child.promise.catch(err => {
      this.logResult(err);
      throw err;
    }).then(output => {
      this.logResult(null, output);
      return output;
    });
  }

  logResult(err, output) {
    const child = this._child;

    this._logger.removeItem(this._stdoutKey);

    this._logger.removeItem(this._stderrKey);

    child.stdout.removeListener("data", this._updateStdout);
    child.stderr.removeListener("data", this._updateStderr);

    if (err) {
      this._logger.error(`${chalk.red("Failed")} ${this._logLabel} - ${chalk.red(err.message)}`);

      output = err.output;
    } else {
      const time = ((Date.now() - this._startTime) / 1000).toFixed(2);
      const dispTime = `${chalk.magenta(time)}secs`;

      this._logger.info(`Done ${this._logLabel} ${dispTime} ${chalk.green("exit code 0")}`);
    }

    this.logFinalOutput(err, output);
  }

  checkForErrors(text) {
    return this._checkStdoutError && text && text.match(this._checkStdoutError);
  }

  logFinalOutput(err, output) {
    const level = err || this._forceStderr && output.stderr || this.checkForErrors(output.stdout) ? "error" : this._outputLevel;

    if (!output || !output.stdout && !output.stderr) {
      this._logger[level](`${chalk.green("No output")} from ${this._outputLabel}`);

      return;
    }

    const colorize = t => t.replace(/ERR!/g, chalk.red("ERR!"));

    const logs = [chalk.green(">>>"), `Start of output from ${this._outputLabel} ===`];

    if (output.stdout) {
      logs.push(`\n${colorize(output.stdout)}`);
    }

    if (output.stderr) {
      logs.push(chalk.red("\n=== stderr ===\n") + colorize(output.stderr));
    }

    logs.push(chalk.blue("\n<<<"), `End of output from ${this._outputLabel} ---`);

    this._logger.prefix(false)[level](...logs);
  }

  execute(command) {
    this._startTime = Date.now();
    const child = xsh.exec({
      silent: true,
      cwd: this._cwd,
      env: Object.assign({}, process.env, {
        PWD: this._cwd
      }),
      maxBuffer: this._maxBuffer
    }, command || this._command);
    return this.show(child);
  }

}

module.exports = VisualExec;

/***/ }),

/***/ "./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/default-output.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const logUpdate = __webpack_require__("./node_modules/.f/_/log-update/4.0.0/log-update/index.js");

module.exports = {
  isTTY: () => process.stdout.isTTY,
  write: x => process.stdout.write(x),
  visual: {
    write: logUpdate,
    clear: logUpdate.clear
  }
};

/***/ }),

/***/ "./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/visual-logger.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable prefer-spread, one-var, max-statements, no-magic-numbers */

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const assert = __webpack_require__("assert");

const util = __webpack_require__("util");

const chalk = __webpack_require__("./node_modules/.f/_/chalk/4.1.2/chalk/source/index.js");

const defaultOutput = __webpack_require__("./node_modules/.f/_/visual-logger/1.1.3/visual-logger/lib/default-output.js");

const Levels = {
  debug: 10,
  verbose: 20,
  info: 30,
  warn: 40,
  error: 50,
  fyi: 60,
  none: 100
};
const LevelColors = {
  debug: "blue",
  verbose: "cyan",
  info: "",
  warn: "yellow",
  error: "red",
  fyi: "magenta",
  none: ""
};
const LogItemTypes = {
  normal: 9,
  simple: 1,
  none: 0
};
const DEFAULT_SPINNER_INTERVAL = 100;
const SPIN_OFF = 0;
const SPIN_STARTED = 1;
const SPIN_RUNNING = 2;

class VisualLogger {
  constructor(options) {
    options = _objectSpread({
      renderFps: 30
    }, options);
    this._options = options;
    this._items = [];
    this._itemOptions = {};
    this._lines = [];
    this._logLevel = Levels.info;
    this._itemType = LogItemTypes.normal;
    this._logData = [];
    this._output = options.output || defaultOutput;
    this._maxDots = options.maxDots !== undefined ? options.maxDots : 80;
    this._updatesPerDot = Number.isFinite(options.updatesPerDot) ? options.updatesPerDot : 5;
    this._dotUpdates = 0;
    this.color = options.color === undefined ? true : Boolean(options.color);
    assert(options.renderFps >= 1 && options.renderFps < 1000, `VisualLogger renderFps must be >= 1 and < 1000 `);
    this._renderInterval = Math.floor(1000.0 / options.renderFps + 0.5);
    this._spinTimers = {};
  }

  get logData() {
    return this._logData;
  }

  get color() {
    return this._color;
  }

  set color(enable) {
    this._color = enable;
    this.setPrefix();
  }

  static get spinners() {
    return ["|/-\\", "⠁⠁⠉⠙⠚⠒⠂⠂⠒⠲⠴⠤⠄⠄⠤⠠⠠⠤⠦⠖⠒⠐⠐⠒⠓⠋⠉⠈⠈", "⢹⢺⢼⣸⣇⡧⡗⡏", "⣾⣽⣻⢿⡿⣟⣯⣷"];
  }

  static get Levels() {
    return Levels;
  }

  static get LogItemTypes() {
    return LogItemTypes;
  }

  _getItemKeys() {
    return Object.keys(this._itemOptions).concat(Object.getOwnPropertySymbols(this._itemOptions));
  }

  addItem(options) {
    const name = options.name;
    if (this._items.indexOf(name) >= 0) return this;

    this._getItemKeys().forEach(k => {
      const itemOpt = this._itemOptions[k];
      return itemOpt._spinning && (itemOpt._spinning = SPIN_STARTED);
    });

    options = _objectSpread({
      spinInterval: DEFAULT_SPINNER_INTERVAL
    }, options);

    if (!options.color) {
      options.color = "white";
    }

    options._display = this._colorize(options.color, options.display || name);
    options._msg = this._renderLineMsg(options, "");
    this._itemOptions[name] = options;

    this._startItemSpinner(options);

    this._items.push(name);

    this._lines.push(this._renderLine(options));

    return this;
  }

  setItemType(flag) {
    if (!flag) {
      this._itemType = LogItemTypes.none;
    } else {
      this._itemType = LogItemTypes[flag] || LogItemTypes.none;
    }

    if (this._itemType === LogItemTypes.normal && !this._output.isTTY()) {
      this._itemType = LogItemTypes.simple;
    }

    if (this._itemType === LogItemTypes.simple) {
      this._dots = 0;
    }

    return this;
  }

  hasItem(name) {
    return Boolean(this._itemOptions[name]);
  }

  removeItem(name) {
    const options = this._itemOptions[name];
    if (!options) return this;
    this.clearItems();

    const x = this._items.indexOf(name);

    this._items.splice(x, 1);

    this._lines.splice(x, 1);

    delete this._itemOptions[name];

    this._stopItemSpinner(options);

    this._renderOutput();

    return this;
  }

  _colorize(color, str) {
    if (this._color) {
      return chalk[color](str);
    }

    return str;
  }

  setPrefix(prefixStr) {
    this._colorPrefix = {};
    const prefix = this._defaultPrefix = prefixStr === undefined ? "> " : prefixStr;
    this._chalkLevel = chalk.level;
    Object.keys(LevelColors).forEach(level => {
      const color = LevelColors[level];

      if (color && this._color && this._chalkLevel > 0) {
        this._colorPrefix[level] = this._colorize(color, prefix);
      } else {
        this._colorPrefix[level] = prefix;
      }
    });
    return this;
  }

  prefix(x) {
    this._prefix = x;
    return this;
  }

  debug() {
    return this._log("debug", arguments);
  }

  verbose() {
    return this._log("verbose", arguments);
  }

  info() {
    return this._log("info", arguments);
  }

  log() {
    return this._log("info", arguments);
  }

  warn() {
    return this._log("warn", arguments);
  }

  error() {
    return this._log("error", arguments);
  }

  fyi() {
    return this._log("fyi", arguments);
  }

  _nextSpin(options) {
    if (!options.spinner || !options._spinning) {
      return false;
    }

    if (options._spinning === SPIN_STARTED || !Number.isInteger(options.spinIx)) {
      options.spinIx = 0;
      options._spinning = SPIN_RUNNING;
    } else {
      options.spinIx++;
    }

    if (options.spinIx >= options.spinner.length) {
      options.spinIx = 0;
    }

    return true;
  }

  updateItem(name, data) {
    const options = this._itemOptions[name];
    if (!options) return this;

    const itemIdx = this._items.indexOf(name);

    if (data !== undefined) {
      this._renderLineMsg(options, data);

      if (options.save !== false && data._save !== false) {
        this._save(options._msg);
      }

      if (data._render === false) return this;
    }

    if (this._shouldLogItem()) {
      if (data === undefined && !this._nextSpin(options)) {
        // if item doesn't have spinner and there's no data, then there's nothing to show
        return this;
      }

      this._lines[itemIdx] = this._renderLine(options);

      this._renderOutput();
    } else {
      this._lines[itemIdx] = options._msg;

      this._writeSimpleDot();
    }

    return this;
  }

  clearItems() {
    if (this._shouldLogItem() && this._lines.length > 0) {
      this._output.visual.clear();
    } else {
      this._checkSimpleDots();
    }

    return this;
  }

  freezeItems(showItems) {
    this._getItemKeys().forEach(k => {
      this._stopItemSpinner(this._itemOptions[k]);
    });

    this._output.visual.clear();

    this._resetSimpleDots();

    if (showItems) this._output.write(`${this._lines.join("\n")}\n`);
    this._backupItemType = this._itemType;
    this._itemType = 0;
    return this;
  }

  unfreezeItems() {
    if (this._backupItemType) {
      this._itemType = this._backupItemType;
      this._backupItemType = undefined;

      for (const name in this._itemOptions) {
        this._startItemSpinner(this._itemOptions[name]);
      }
    }

    return this;
  }

  shutdown(showItems) {
    this.freezeItems(showItems);
    clearTimeout(this._renderTimer);
  }

  _checkSimpleDots() {
    if (this._itemType === LogItemTypes.simple && this._dots >= this._maxDots) {
      this._dots = 0;

      this._output.write("\n");
    }
  }

  _resetSimpleDots() {
    if (this._dots > 0) {
      this._dots = 0;

      this._output.write("\n");
    }
  }

  _writeSimpleDot() {
    if (this._itemType === LogItemTypes.simple) {
      this._dotUpdates++;

      if (this._dotUpdates === this._updatesPerDot) {
        this._dotUpdates = 0;
        this._dots++;

        this._output.write(".");

        this._checkSimpleDots();
      }
    }
  }

  _isAllSpinItemsStop(spinTimer) {
    const spinItems = this._getItemKeys().filter(k => {
      return this._itemOptions[k].spinInterval === spinTimer.spinInterval;
    });

    return spinItems.every(k => {
      return !this._itemOptions[k]._spinning;
    });
  }

  _startSpinTimer(options) {
    const {
      spinInterval
    } = options;
    let spinTimer = this._spinTimers[spinInterval];

    if (!spinTimer) {
      spinTimer = this._spinTimers[spinInterval] = {
        spinInterval
      };
    }

    if (!spinTimer.timer && this._shouldLogItem()) {
      spinTimer.timer = setInterval(() => {
        let update = 0;

        this._getItemKeys().forEach(name => {
          const itemOpt = this._itemOptions[name];

          if (itemOpt._spinning && itemOpt.spinInterval === spinInterval) {
            this._nextSpin(itemOpt);

            const itemIdx = this._items.indexOf(itemOpt.name);

            this._lines[itemIdx] = this._renderLine(itemOpt);
            update++;
          }
        });

        return update && this._renderOutput();
      }, spinInterval).unref();
    }
  }

  _stopSpinTimer(options) {
    const {
      spinInterval
    } = options;
    const spinTimer = this._spinTimers[spinInterval];

    if (!spinTimer) {
      return;
    }

    if (this._isAllSpinItemsStop(spinTimer)) {
      clearInterval(spinTimer.timer);
      this._spinTimers[spinInterval] = {
        spinInterval
      };
    }
  }

  _startItemSpinner(options) {
    if (this._shouldLogItem() && !options._spinning) {
      let spinner = options.spinner;

      if (spinner === true) {
        spinner = VisualLogger.spinners[1];
      } else if (spinner >= 0 && spinner < VisualLogger.spinners.length) {
        spinner = VisualLogger.spinners[spinner];
      }

      options.spinner = spinner;

      if (options.spinner) {
        options._spinning = SPIN_STARTED;
        options.spinIx = 0;

        this._startSpinTimer(options);
      }
    }
  }

  _stopItemSpinner(options) {
    options._spinning = SPIN_OFF;

    this._stopSpinTimer(options);

    return this;
  }

  _renderOutput() {
    if (!this._renderTimer && this._shouldLogItem() && this._lines.length > 0) {
      this._renderTimer = setTimeout(() => {
        this._renderTimer = null;

        this._output.visual.write(this._lines.join("\n"));
      }, this._renderInterval).unref();
    }

    return this;
  }

  _renderLine(options) {
    const spin = options.spinner && Number.isInteger(options.spinIx) ? `${options.spinner[options.spinIx]} ` : "";
    return `${spin}${options._msg}`;
  }

  _renderLineMsg(options, data) {
    let display, msg;

    if (typeof data === "string") {
      msg = data;
    } else {
      msg = data.msg;
      display = data.display && this._colorize(options.color, data.display);
    }

    options._msg = `${display || options._display}: ${msg}`;
    return options._msg;
  }

  _save(line) {
    if (this._options.saveLogs !== false) {
      this._logData.push(line);
    }
  }

  _genLog(level, args) {
    let prefix;

    if (this._prefix !== undefined) {
      prefix = this._prefix || "";
      this.prefix();
    } else {
      //
      // In case chalk color support level changed, potentially by some user code,
      // then update the default prefix colors again
      //
      if (this._chalkLevel !== chalk.level) {
        this.setPrefix(this._defaultPrefix);
      }

      prefix = this._colorPrefix[level];
    }

    const str = `${prefix}${util.format.apply(util, args)}`;

    this._save(str);

    return str;
  }

  _log(l, args) {
    const str = this._genLog(l, args);

    if (Levels[l] >= this._logLevel) {
      this.clearItems();

      this._resetSimpleDots();

      this._output.write(`${str}\n`);

      this._renderOutput();
    }

    return this;
  }

  _shouldLogItem() {
    return this._itemType === LogItemTypes.normal && this._logLevel <= VisualLogger.Levels.info;
  }

}

module.exports = VisualLogger;

/***/ }),

/***/ "./node_modules/.f/_/which/1.3.1/which/which.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = which;
which.sync = whichSync;
var isWindows = process.platform === 'win32' || process.env.OSTYPE === 'cygwin' || process.env.OSTYPE === 'msys';

var path = __webpack_require__("path");

var COLON = isWindows ? ';' : ':';

var isexe = __webpack_require__("./node_modules/.f/_/isexe/2.0.0/isexe/index.js");

function getNotFoundError(cmd) {
  var er = new Error('not found: ' + cmd);
  er.code = 'ENOENT';
  return er;
}

function getPathInfo(cmd, opt) {
  var colon = opt.colon || COLON;
  var pathEnv = opt.path || process.env.PATH || '';
  var pathExt = [''];
  pathEnv = pathEnv.split(colon);
  var pathExtExe = '';

  if (isWindows) {
    pathEnv.unshift(process.cwd());
    pathExtExe = opt.pathExt || process.env.PATHEXT || '.EXE;.CMD;.BAT;.COM';
    pathExt = pathExtExe.split(colon); // Always test the cmd itself first.  isexe will check to make sure
    // it's found in the pathExt set.

    if (cmd.indexOf('.') !== -1 && pathExt[0] !== '') pathExt.unshift('');
  } // If it has a slash, then we don't bother searching the pathenv.
  // just check the file itself, and that's it.


  if (cmd.match(/\//) || isWindows && cmd.match(/\\/)) pathEnv = [''];
  return {
    env: pathEnv,
    ext: pathExt,
    extExe: pathExtExe
  };
}

function which(cmd, opt, cb) {
  if (typeof opt === 'function') {
    cb = opt;
    opt = {};
  }

  var info = getPathInfo(cmd, opt);
  var pathEnv = info.env;
  var pathExt = info.ext;
  var pathExtExe = info.extExe;
  var found = [];

  (function F(i, l) {
    if (i === l) {
      if (opt.all && found.length) return cb(null, found);else return cb(getNotFoundError(cmd));
    }

    var pathPart = pathEnv[i];
    if (pathPart.charAt(0) === '"' && pathPart.slice(-1) === '"') pathPart = pathPart.slice(1, -1);
    var p = path.join(pathPart, cmd);

    if (!pathPart && /^\.[\\\/]/.test(cmd)) {
      p = cmd.slice(0, 2) + p;
    }

    ;

    (function E(ii, ll) {
      if (ii === ll) return F(i + 1, l);
      var ext = pathExt[ii];
      isexe(p + ext, {
        pathExt: pathExtExe
      }, function (er, is) {
        if (!er && is) {
          if (opt.all) found.push(p + ext);else return cb(null, p + ext);
        }

        return E(ii + 1, ll);
      });
    })(0, pathExt.length);
  })(0, pathEnv.length);
}

function whichSync(cmd, opt) {
  opt = opt || {};
  var info = getPathInfo(cmd, opt);
  var pathEnv = info.env;
  var pathExt = info.ext;
  var pathExtExe = info.extExe;
  var found = [];

  for (var i = 0, l = pathEnv.length; i < l; i++) {
    var pathPart = pathEnv[i];
    if (pathPart.charAt(0) === '"' && pathPart.slice(-1) === '"') pathPart = pathPart.slice(1, -1);
    var p = path.join(pathPart, cmd);

    if (!pathPart && /^\.[\\\/]/.test(cmd)) {
      p = cmd.slice(0, 2) + p;
    }

    for (var j = 0, ll = pathExt.length; j < ll; j++) {
      var cur = p + pathExt[j];
      var is;

      try {
        is = isexe.sync(cur, {
          pathExt: pathExtExe
        });

        if (is) {
          if (opt.all) found.push(cur);else return cur;
        }
      } catch (ex) {}
    }
  }

  if (opt.all && found.length) return found;
  if (opt.nothrow) return null;
  throw getNotFoundError(cmd);
}

/***/ }),

/***/ "./node_modules/.f/_/which/2.0.2/which/which.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

const isWindows = process.platform === 'win32' || process.env.OSTYPE === 'cygwin' || process.env.OSTYPE === 'msys';

const path = __webpack_require__("path");

const COLON = isWindows ? ';' : ':';

const isexe = __webpack_require__("./node_modules/.f/_/isexe/2.0.0/isexe/index.js");

const getNotFoundError = cmd => Object.assign(new Error(`not found: ${cmd}`), {
  code: 'ENOENT'
});

const getPathInfo = (cmd, opt) => {
  const colon = opt.colon || COLON; // If it has a slash, then we don't bother searching the pathenv.
  // just check the file itself, and that's it.

  const pathEnv = cmd.match(/\//) || isWindows && cmd.match(/\\/) ? [''] : [// windows always checks the cwd first
  ...(isWindows ? [process.cwd()] : []), ...(opt.path || process.env.PATH ||
  /* istanbul ignore next: very unusual */
  '').split(colon)];
  const pathExtExe = isWindows ? opt.pathExt || process.env.PATHEXT || '.EXE;.CMD;.BAT;.COM' : '';
  const pathExt = isWindows ? pathExtExe.split(colon) : [''];

  if (isWindows) {
    if (cmd.indexOf('.') !== -1 && pathExt[0] !== '') pathExt.unshift('');
  }

  return {
    pathEnv,
    pathExt,
    pathExtExe
  };
};

const which = (cmd, opt, cb) => {
  if (typeof opt === 'function') {
    cb = opt;
    opt = {};
  }

  if (!opt) opt = {};
  const {
    pathEnv,
    pathExt,
    pathExtExe
  } = getPathInfo(cmd, opt);
  const found = [];

  const step = i => new Promise((resolve, reject) => {
    if (i === pathEnv.length) return opt.all && found.length ? resolve(found) : reject(getNotFoundError(cmd));
    const ppRaw = pathEnv[i];
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
    const pCmd = path.join(pathPart, cmd);
    const p = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;
    resolve(subStep(p, i, 0));
  });

  const subStep = (p, i, ii) => new Promise((resolve, reject) => {
    if (ii === pathExt.length) return resolve(step(i + 1));
    const ext = pathExt[ii];
    isexe(p + ext, {
      pathExt: pathExtExe
    }, (er, is) => {
      if (!er && is) {
        if (opt.all) found.push(p + ext);else return resolve(p + ext);
      }

      return resolve(subStep(p, i, ii + 1));
    });
  });

  return cb ? step(0).then(res => cb(null, res), cb) : step(0);
};

const whichSync = (cmd, opt) => {
  opt = opt || {};
  const {
    pathEnv,
    pathExt,
    pathExtExe
  } = getPathInfo(cmd, opt);
  const found = [];

  for (let i = 0; i < pathEnv.length; i++) {
    const ppRaw = pathEnv[i];
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw;
    const pCmd = path.join(pathPart, cmd);
    const p = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd : pCmd;

    for (let j = 0; j < pathExt.length; j++) {
      const cur = p + pathExt[j];

      try {
        const is = isexe.sync(cur, {
          pathExt: pathExtExe
        });

        if (is) {
          if (opt.all) found.push(cur);else return cur;
        }
      } catch (ex) {}
    }
  }

  if (opt.all && found.length) return found;
  if (opt.nothrow) return null;
  throw getNotFoundError(cmd);
};

module.exports = which;
which.sync = whichSync;

/***/ }),

/***/ "./node_modules/.f/_/wide-align/1.1.3/wide-align/align.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var stringWidth = __webpack_require__("./node_modules/.f/_/string-width/1.0.2/string-width/index.js");

exports.center = alignCenter;
exports.left = alignLeft;
exports.right = alignRight; // lodash's way of generating pad characters.

function createPadding(width) {
  var result = '';
  var string = ' ';
  var n = width;

  do {
    if (n % 2) {
      result += string;
    }

    n = Math.floor(n / 2);
    string += string;
  } while (n);

  return result;
}

function alignLeft(str, width) {
  var trimmed = str.trimRight();
  if (trimmed.length === 0 && str.length >= width) return str;
  var padding = '';
  var strWidth = stringWidth(trimmed);

  if (strWidth < width) {
    padding = createPadding(width - strWidth);
  }

  return trimmed + padding;
}

function alignRight(str, width) {
  var trimmed = str.trimLeft();
  if (trimmed.length === 0 && str.length >= width) return str;
  var padding = '';
  var strWidth = stringWidth(trimmed);

  if (strWidth < width) {
    padding = createPadding(width - strWidth);
  }

  return padding + trimmed;
}

function alignCenter(str, width) {
  var trimmed = str.trim();
  if (trimmed.length === 0 && str.length >= width) return str;
  var padLeft = '';
  var padRight = '';
  var strWidth = stringWidth(trimmed);

  if (strWidth < width) {
    var padLeftBy = parseInt((width - strWidth) / 2, 10);
    padLeft = createPadding(padLeftBy);
    padRight = createPadding(width - (strWidth + padLeftBy));
  }

  return padLeft + trimmed + padRight;
}

/***/ }),

/***/ "./node_modules/.f/_/wrap-ansi/6.2.0/wrap-ansi/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const stringWidth = __webpack_require__("./node_modules/.f/_/string-width/4.2.3/string-width/index.js");

const stripAnsi = __webpack_require__("./node_modules/.f/_/strip-ansi/6.0.1/strip-ansi/index.js");

const ansiStyles = __webpack_require__("./node_modules/.f/_/ansi-styles/4.3.0/ansi-styles/index.js");

const ESCAPES = new Set(['\u001B', '\u009B']);
const END_CODE = 39;

const wrapAnsi = code => `${ESCAPES.values().next().value}[${code}m`; // Calculate the length of words split on ' ', ignoring
// the extra characters added by ansi escape codes


const wordLengths = string => string.split(' ').map(character => stringWidth(character)); // Wrap a long word across multiple rows
// Ansi escape codes do not count towards length


const wrapWord = (rows, word, columns) => {
  const characters = [...word];
  let isInsideEscape = false;
  let visible = stringWidth(stripAnsi(rows[rows.length - 1]));

  for (const [index, character] of characters.entries()) {
    const characterLength = stringWidth(character);

    if (visible + characterLength <= columns) {
      rows[rows.length - 1] += character;
    } else {
      rows.push(character);
      visible = 0;
    }

    if (ESCAPES.has(character)) {
      isInsideEscape = true;
    } else if (isInsideEscape && character === 'm') {
      isInsideEscape = false;
      continue;
    }

    if (isInsideEscape) {
      continue;
    }

    visible += characterLength;

    if (visible === columns && index < characters.length - 1) {
      rows.push('');
      visible = 0;
    }
  } // It's possible that the last row we copy over is only
  // ansi escape characters, handle this edge-case


  if (!visible && rows[rows.length - 1].length > 0 && rows.length > 1) {
    rows[rows.length - 2] += rows.pop();
  }
}; // Trims spaces from a string ignoring invisible sequences


const stringVisibleTrimSpacesRight = str => {
  const words = str.split(' ');
  let last = words.length;

  while (last > 0) {
    if (stringWidth(words[last - 1]) > 0) {
      break;
    }

    last--;
  }

  if (last === words.length) {
    return str;
  }

  return words.slice(0, last).join(' ') + words.slice(last).join('');
}; // The wrap-ansi module can be invoked in either 'hard' or 'soft' wrap mode
//
// 'hard' will never allow a string to take up more than columns characters
//
// 'soft' allows long words to expand past the column length


const exec = (string, columns, options = {}) => {
  if (options.trim !== false && string.trim() === '') {
    return '';
  }

  let pre = '';
  let ret = '';
  let escapeCode;
  const lengths = wordLengths(string);
  let rows = [''];

  for (const [index, word] of string.split(' ').entries()) {
    if (options.trim !== false) {
      rows[rows.length - 1] = rows[rows.length - 1].trimLeft();
    }

    let rowLength = stringWidth(rows[rows.length - 1]);

    if (index !== 0) {
      if (rowLength >= columns && (options.wordWrap === false || options.trim === false)) {
        // If we start with a new word but the current row length equals the length of the columns, add a new row
        rows.push('');
        rowLength = 0;
      }

      if (rowLength > 0 || options.trim === false) {
        rows[rows.length - 1] += ' ';
        rowLength++;
      }
    } // In 'hard' wrap mode, the length of a line is never allowed to extend past 'columns'


    if (options.hard && lengths[index] > columns) {
      const remainingColumns = columns - rowLength;
      const breaksStartingThisLine = 1 + Math.floor((lengths[index] - remainingColumns - 1) / columns);
      const breaksStartingNextLine = Math.floor((lengths[index] - 1) / columns);

      if (breaksStartingNextLine < breaksStartingThisLine) {
        rows.push('');
      }

      wrapWord(rows, word, columns);
      continue;
    }

    if (rowLength + lengths[index] > columns && rowLength > 0 && lengths[index] > 0) {
      if (options.wordWrap === false && rowLength < columns) {
        wrapWord(rows, word, columns);
        continue;
      }

      rows.push('');
    }

    if (rowLength + lengths[index] > columns && options.wordWrap === false) {
      wrapWord(rows, word, columns);
      continue;
    }

    rows[rows.length - 1] += word;
  }

  if (options.trim !== false) {
    rows = rows.map(stringVisibleTrimSpacesRight);
  }

  pre = rows.join('\n');

  for (const [index, character] of [...pre].entries()) {
    ret += character;

    if (ESCAPES.has(character)) {
      const code = parseFloat(/\d[^m]*/.exec(pre.slice(index, index + 4)));
      escapeCode = code === END_CODE ? null : code;
    }

    const code = ansiStyles.codes.get(Number(escapeCode));

    if (escapeCode && code) {
      if (pre[index + 1] === '\n') {
        ret += wrapAnsi(code);
      } else if (character === '\n') {
        ret += wrapAnsi(escapeCode);
      }
    }
  }

  return ret;
}; // For each newline, invoke the method separately


module.exports = (string, columns, options) => {
  return String(string).normalize().replace(/\r\n/g, '\n').split('\n').map(line => exec(line, columns, options)).join('\n');
};

/***/ }),

/***/ "./node_modules/.f/_/wrappy/1.0.2/wrappy/wrappy.js":
/***/ ((module) => {

// Returns a wrapper function that returns a wrapped callback
// The wrapper function should do some stuff, and return a
// presumably different callback function.
// This makes sure that own properties are retained, so that
// decorations and such are not lost along the way.
module.exports = wrappy;

function wrappy(fn, cb) {
  if (fn && cb) return wrappy(fn)(cb);
  if (typeof fn !== 'function') throw new TypeError('need wrapper function');
  Object.keys(fn).forEach(function (k) {
    wrapper[k] = fn[k];
  });
  return wrapper;

  function wrapper() {
    var args = new Array(arguments.length);

    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i];
    }

    var ret = fn.apply(this, args);
    var cb = args[args.length - 1];

    if (typeof ret === 'function' && ret !== cb) {
      Object.keys(cb).forEach(function (k) {
        ret[k] = cb[k];
      });
    }

    return ret;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/xaa/1.7.0/xaa/dist/xaa.js":
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * @packageDocumentation
 * @module index
 */

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.wrap = exports["try"] = exports.tryCatch = exports.filter = exports.each = exports.map = exports.runTimeout = exports.timeout = exports.TimeoutRunner = exports.delay = exports.TimeoutError = exports.defer = exports.makeDefer = exports.Defer = void 0;
/* eslint-disable max-statements, @typescript-eslint/ban-types */

const assert_1 = __importDefault(__webpack_require__("assert"));

const util_1 = __webpack_require__("util");

const setTimeoutPromise = util_1.promisify(setTimeout);
/**
 * Defer object for fulfilling a promise later in other events
 *
 * To use, use `xaa.makeDefer` or its alias `xaa.defeer`.
 *
 */

class Defer {
  /**
   * construct Defer
   *
   * @param ThePromise optional promise constructor
   */
  constructor(ThePromise = global.Promise) {
    this.promise = new ThePromise((resolve, reject) => {
      this.resolve = resolve;
      this.reject = reject;
    });
  }
  /**
   * node.js callback for the deferred promise
   *
   * @param err - error
   * @param args - result
   * @returns nothing
   */


  done(err, ...args) {
    // Not declaring (err, result) explicitly for standard node.js callback.
    // we can't be sure if user's API expects callback that
    // should have a second arg for result.
    if (err) this.reject(err);else this.resolve(args[0]);
  }

}

exports.Defer = Defer;
/**
 * Create a promise Defer object
 *
 * Sample:
 *
 * ```js
 * async function waitEvent() {
 *   const defer = xaa.makeDefer();
 *   someThing.on("event", (data) => defer.resolve(data))
 *   return defer.promise;
 * }
 * ```
 *
 * @param Promise - optional Promise constructor.
 * @returns Defer instance
 */

function makeDefer(Promise = global.Promise) {
  return new Defer(Promise);
}

exports.makeDefer = makeDefer;
exports.defer = makeDefer;
/**
 * The error xaa.timeout will throw if operation timed out
 */

class TimeoutError extends Error {
  constructor(msg) {
    super(msg);
    this.name = "TimeoutError";
    assert_1.default(msg);
  }

}

exports.TimeoutError = TimeoutError;

async function delay(delayMs, valOrFunc) {
  await setTimeoutPromise(delayMs);
  return typeof valOrFunc === "function" ?
  /* lazily */
  valOrFunc() : valOrFunc;
}

exports.delay = delay;
/**
 * TimeoutRunner for running tasks (promises) with a timeout
 *
 * Please use `xaa.timeout` or `xaa.runTimeout` APIs instead.
 */

class TimeoutRunner {
  constructor(maxMs, rejectMsg) {
    this.maxMs = maxMs;
    this.rejectMsg = rejectMsg;
    this.defer = makeDefer();
    this.timeout = setTimeout(() => this.defer.reject(new TimeoutError(rejectMsg)), maxMs);
  }
  /**
   * check if runner has failed with error
   *
   * @returns has error flag
   */


  hasError() {
    return this.hasOwnProperty("error");
  }
  /**
   * check if runner has finished with result
   *
   * @returns has result flag
   */


  hasResult() {
    return this.hasOwnProperty("result");
  }
  /**
   * Run tasks
   *
   * @param tasks - Promise or function that returns Promise, or array of them.
   * @returns Promise to wait for tasks to complete, or timeout error.
   */


  async run(tasks) {
    const process = async x => typeof x === "function" ? x() : x; // Cast below is due in part to https://github.com/microsoft/TypeScript/issues/17002


    const arrTasks = !Array.isArray(tasks) ? process(tasks) : Promise.all(tasks.map(process));

    try {
      const r = await Promise.race([arrTasks, this.defer.promise]);
      this.clear();
      this.result = r;
      return r;
    } catch (err) {
      this.clear();
      this.error = err;
      throw err;
    }
  }
  /**
   * Cancel the operation and reject with msg
   *
   * @param msg - cancel message
   */


  cancel(msg = "xaa TimeoutRunner operation cancelled") {
    this.clear();
    this.defer.reject(new TimeoutError(msg));
  }
  /** Explicitly clear the setTimeout handle */


  clear() {
    if (this.timeout) {
      clearTimeout(this.timeout);
      this.timeout = null;
    }
  }
  /**
   * Check if runner is done
   *
   * @returns is done flag
   */


  isDone() {
    return this.hasResult() || this.hasError();
  }

}

exports.TimeoutRunner = TimeoutRunner;
/**
 * Create a TimeoutRunner to run tasks (promises) with timeout
 *
 * Sample:
 *
 * ```js
 * await xaa.timeout(1000, "timeout fetching data").run(() => fetch(url))
 * ```
 *
 * with promises:
 *
 * ```js
 * await xaa.timout(1000).run([promise1, promise2])
 * ```
 *
 * @param maxMs - number of milliseconds to allow tasks to run
 * @param rejectMsg - message to reject with when timeout triggers
 * @returns TimeoutRunner object
 */

function timeout(maxMs, rejectMsg = "xaa TimeoutRunner operation timed out") {
  return new TimeoutRunner(maxMs, rejectMsg);
}

exports.timeout = timeout;

async function runTimeout(tasks, maxMs, rejectMsg) {
  return await timeout(maxMs, rejectMsg).run(tasks);
}

exports.runTimeout = runTimeout;
/**
 * create map context
 *
 * @param array - array to map
 * @returns map context
 */

function createMapContext(array) {
  return {
    array,
    failed: false,

    assertNoFailure() {
      if (this.failed) {
        throw new Error("assertNoFailure");
      }
    }

  };
}
/**
 * async map for array that supports concurrency
 *
 * Use by xaa.map internally.
 *
 * @param array array to map, if any item is promise-like, it will be resolved first.
 * @param func mapper callback
 * @param options MapOptions
 * @returns promise with mapped result
 */


function multiMap(array, func, options) {
  const awaited = new Array(array.length);
  let error;
  let completedCount = 0;
  let freeSlots = options.concurrency;
  let index = 0;
  const context = createMapContext(array);
  const defer = makeDefer();

  const fail = err => {
    context.failed = true;

    if (!error) {
      error = err; // Safe because of the following line:

      error.partial = awaited;
      defer.reject(error);
    }
  };

  const mapNext = () => {
    // important to check this here, so an empty input array immediately
    // gets resolved with an empty result.
    if (!error && completedCount === array.length) {
      return defer.resolve(awaited);
    }

    if (error || freeSlots <= 0 || index >= array.length) {
      return null;
    }

    freeSlots--;
    const pendingIx = index++;

    const save = x => {
      completedCount++;
      freeSlots++;
      awaited[pendingIx] = x;
      mapNext();
    };

    const handleRet = res => {
      if (res && res.then) {
        res.then(save, fail);
        return mapNext();
      } else {
        return save(res);
      }
    };

    const item = array[pendingIx];

    if (item && item.then) {
      return item.then(val => {
        return handleRet(func.call(options.thisArg, val, pendingIx, context));
      }, fail);
    } else {
      try {
        return handleRet(func.call(options.thisArg, item, pendingIx, context));
      } catch (err) {
        return fail(err);
      }
    }
  }; //
  // Should not use setTimeout for next:
  //
  // Top level code in async functions before any await statements, execute synchronously.
  //
  // Similar to that setting up promises is sync, and then the
  // fulfilment of them is async, meaning their .then are called.
  //


  mapNext();
  return defer.promise;
}
/**
 * async map array with concurrency
 *
 * - intended to be similar to `bluebird.map`
 *
 * @param array array to map, if any item is promise-like, it will be resolved first.
 * @param func - callback to map values from the array
 * @param options - MapOptions
 * @returns promise with mapped result
 */


async function map(array, func, options = {
  concurrency: 1
}) {
  assert_1.default(Array.isArray(array), `xaa.map expecting an array but got ${typeof array}`);

  if (array.length < 1) {
    return [];
  }

  if (options.concurrency > 1) {
    return multiMap(array, func, options);
  } else {
    const awaited = new Array(array.length);
    const context = createMapContext(array);

    for (let i = 0; i < array.length; i++) {
      try {
        let item = array[i];

        if (item && item.then) {
          item = await item;
        }

        awaited[i] = await func.call(options.thisArg, item, i, context);
      } catch (err) {
        context.failed = true;
        err.partial = awaited;
        throw err;
      }
    }

    return awaited;
  }
}

exports.map = map;
/**
 * async version of array.forEach
 * - iterate through array and await call func with each element and index
 *
 * Sample:
 *
 * ```js
 * await xaa.each([1, 2, 3], async val => await xaa.delay(val))
 * ```
 *
 * @param array array to each
 * @param func callback for each
 */

async function each(array, func) {
  for (let i = 0; i < array.length; i++) {
    await func(array[i], i);
  }
}

exports.each = each;
/**
 * async filter array
 *
 * Sample:
 *
 * ```js
 * await xaa.filter([1, 2, 3], async val => await validateResult(val))
 * ```
 *
 * Beware: concurrency is fixed to 1.
 *
 * @param array array to filter
 * @param func callback for filter
 * @returns filtered result
 */

async function filter(array, func) {
  const filtered = [];

  for (let i = 0; i < array.length; i++) {
    const x = await func(array[i], i);
    if (x) filtered.push(array[i]);
  }

  return filtered;
}

exports.filter = filter;
/**
 * try to call and await a function and if it throws, then return `valOrFunc`.
 *
 * - if `valOrFunc` is a function, then return `await valOrFunc(err)`
 *
 * @param func function to try
 * @param valOrFunc value, or callback to get value, to return if `func` throws
 * @returns awaited result, `valOrFunc`, or `await valOrFunc(err)`.
 */

async function tryCatch(func, valOrFunc) {
  try {
    return await func();
  } catch (err) {
    return typeof valOrFunc === "function" ? valOrFunc(err) : valOrFunc;
  }
}

exports.tryCatch = tryCatch;
exports["try"] = tryCatch;
/**
 * Wrap the calling of a function into async/await (promise) context
 * - intended to be similar to `bluebird.try`
 *
 * @param func function to wrap in async context
 * @param args arguments to pass to `func`
 * @returns result from `func`
 */

async function wrap(func, ...args2) {
  return func(...args2);
}

exports.wrap = wrap;

/***/ }),

/***/ "./node_modules/.f/_/xenv-config/1.3.1/xenv-config/lib/xenv-config.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

/* eslint-disable prefer-spread */

const assert = __webpack_require__("assert");

const typeGetters = {
  string: x => `${x}`,
  number: x => parseInt(x, 10),
  float: x => parseFloat(x),
  boolean: (x, flagName) => {
    assert(typeof x === "string", `xenv-config: [${flagName}] trying to convert non-string env value ${x} to boolean.`);
    x = x.toLowerCase();
    return x === "true" || x === "yes" || x === "1" || x === "on";
  },
  truthy: x => !!x,
  json: x => JSON.parse(x)
};

const getEnvName = (optKey, opt, env) => {
  if (!opt.hasOwnProperty("env")) return undefined;
  let name;

  if (Array.isArray(opt.env)) {
    name = opt.env.find(x => env.hasOwnProperty(x));
  } else {
    name = opt.env === true ? optKey : opt.env;
  }

  if (name && env.hasOwnProperty(name)) {
    return name;
  }

  return undefined;
};

const xenvConfig = (spec, userConfig, options) => {
  const env = options && options._env || process.env;
  const merge = options && options.merge || Object.assign;
  userConfig = userConfig || {};
  const trace = {};

  const getType = opt => {
    const tod = opt.hasOwnProperty("default") && typeof opt.default;
    const type = opt.type || tod !== "function" && tod || "string";
    return type === "object" ? "json" : type;
  };

  const getGetter = opt => {
    const type = getType(opt);
    return typeGetters[type] || typeGetters.string;
  };

  const getters = {
    env: (opt, k) => {
      const name = getEnvName(k, opt, env);

      if (name) {
        const envVal = env[name];
        return {
          trace: {
            src: "env",
            name
          },
          value: opt.envMap && opt.envMap.hasOwnProperty(envVal) ? opt.envMap[envVal] : getGetter(opt)(envVal, k)
        };
      }

      return undefined;
    },
    option: (opt, k) => {
      if (userConfig.hasOwnProperty(k)) {
        return {
          trace: {
            src: "option"
          },
          value: userConfig[k]
        };
      }

      return undefined;
    },
    default: opt => {
      if (opt.hasOwnProperty("default")) {
        return {
          trace: {
            src: "default"
          },
          value: typeof opt.default === "function" ? opt.default() : opt.default
        };
      }

      return undefined;
    }
  };
  const sources = options && options.sources || ["env", "option"];
  sources.push("default");
  const config = Object.keys(spec).reduce((cfg, k) => {
    const opt = spec[k];
    const type = getType(opt);
    let found;

    if (type !== "json") {
      sources.find(s => found = getters[s](opt, k));
    } else {
      const mapped = sources.map(s => getters[s](opt, k)).filter(x => x);

      if (mapped.length > 0) {
        found = {
          trace: {
            src: mapped.map(x => x.trace.src).join(",")
          },
          value: merge.apply(null, [{}].concat(mapped.map(x => x.value).reverse()))
        };
      }
    }

    if (!found) return cfg;
    trace[k] = found.trace;
    cfg[k] = opt.post ? opt.post(found.value, found.trace) : found.value;
    return cfg;
  }, {});
  Object.defineProperty(config, "__$trace__", {
    enumerable: false,
    writable: false,
    value: trace
  });
  return config;
};

module.exports = xenvConfig;

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/env-path.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const pathDelim = Path.delimiter;
/* istanbul ignore next */

const defaultEnvKey = process.platform === "win32" ? "Path" : "PATH";

function findEnvKey(env, key) {
  if (!key || !env.hasOwnProperty(key)) {
    for (const x of Object.keys(env)) {
      if (x.toLowerCase() === "path") {
        key = x;
        break;
      }
    }
  }

  return key;
}

const envKey = findEnvKey(process.env, defaultEnvKey);

function check(env) {
  // allow calls like this: envPath.add("addition_path", "existing_path");
  if (typeof env === "string") {
    env = {
      [envKey]: env
    };
  } else if (!env) {
    env = process.env;
  }

  return env;
}

function addToFront(p, env) {
  env = check(env);
  let update = env[envKey] || "";

  if (typeof p === "string" && p && update.indexOf(p) !== 0) {
    update = update.trim();
    const paths = update.split(pathDelim).filter(x => x && x !== p);
    paths.unshift(p);
    update = paths.join(pathDelim);
  }

  env[envKey] = update;
  return update;
}

function addToEnd(p, env) {
  env = check(env);
  let update = env[envKey] || "";

  if (typeof p === "string" && p) {
    update = update.trim();
    const paths = update.split(pathDelim).filter(x => x && x !== p);
    paths.push(p);
    update = paths.join(pathDelim);
  }

  env[envKey] = update;
  return update;
}

function add(p, env) {
  env = check(env);
  let update = env[envKey] || "";

  if (typeof p === "string" && p) {
    update = update.trim();
    const paths = update.split(pathDelim).filter(x => x);

    if (paths.indexOf(p) < 0) {
      paths.push(p);
      update = paths.join(pathDelim);
    }
  }

  env[envKey] = update;
  return update;
}

module.exports = {
  addToFront,
  addToEnd,
  add,
  envKey,
  findEnvKey
};

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/env.js":
/***/ ((module) => {

"use strict";


const get = (name, valWhenUndef) => {
  const x = process.env[name];
  return x === undefined ? valWhenUndef : x;
};

const getAsBool = (name, valWhenUndef) => {
  const x = process.env[name];

  if (x === undefined) {
    if (typeof valWhenUndef === "boolean") {
      return valWhenUndef;
    }

    return false;
  }

  const b = x.toLowerCase();
  return b === "true" || b === "1" || b === "yes" || b === "on";
};

const getAsInt = (name, valWhenUndef) => {
  let n = NaN;
  const x = process.env[name];

  if (x !== undefined) {
    n = +x;
    if (!isNaN(n)) return n;
  }

  if (typeof valWhenUndef === "number") {
    return valWhenUndef;
  }

  return n;
};

module.exports = {
  get: get,
  getAsBool,
  getAsInt
};

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/esc-bs.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");
/* istanbul ignore next */


module.exports = Path.sep === "\\" ? x => x.replace(/\\/g, "\\\\") : x => x;

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/exec.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const shell = __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/shell.js");

const util = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/util.js");

const assert = __webpack_require__("assert");

function exec() {
  const error = (cmd, code, output) => {
    const err = new Error(`shell cmd '${cmd}' exit code ${code}`);
    err.output = output;
    err.code = code;
    return err;
  };

  const len = arguments.length;
  let cb;
  let options;
  const cmdFragments = [];

  for (let i = 0; i < len; i++) {
    const arg = arguments[i];
    const tof = typeof arg;

    if (tof === "string" || Array.isArray(arg)) {
      cmdFragments.push(arg);
    } else if (tof === "function") {
      assert(i + 1 === len, "xsh.exec: callback must be the last argument");
      cb = arg;
    } else if (arg.constructor.name === "Boolean" || arg.constructor.name === "Object") {
      assert(i === 0 || len - i === 1 || len - i === 2, "xsh.exec: options must be the first, last, or second to last argument");
      options = arg;
    } else {
      throw new Error("xsh.exec: command fragment must be an array or string");
    }
  }

  if (!options) {
    options = {
      silent: false
    };
  } else if (options.constructor.name === "Boolean") {
    options = {
      silent: options
    };
  }

  if (cmdFragments.length < 1) {
    throw new Error("xsh.exec: expects at least one command fragment");
  }

  let s = "";
  const cmd = cmdFragments.reduce((a, x) => {
    if (Array.isArray(x)) {
      x = x.join(" ");
    }

    a = `${a}${s}${x}`;
    s = " ";
    return a;
  }, "");

  const doExec = xcb => shell.exec(cmd, Object.assign({
    async: true
  }, options), (code, stdout, stderr) => {
    const output = {
      stdout,
      stderr
    };
    const err = code === 0 ? null : error(cmd, code, output);
    xcb(err, output);
  });

  if (cb) {
    return doExec(cb);
  }

  let child;
  assert(util.Promise, "xsh.exec: No Promise available - see doc on setting one");
  const promise = new util.Promise((resolve, reject) => {
    child = doExec((err, output) => err ? reject(err) : resolve(output));
  });
  return {
    then: (a, b) => promise.then(a, b),
    catch: a => promise.catch(a),
    promise,
    child,
    stdout: child.stdout,
    stderr: child.stderr
  };
}

module.exports = exec;

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const util = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/util.js");

const xsh = {
  exec: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/exec.js"),
  env: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/env.js"),
  envPath: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/env-path.js"),
  mkCmd: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/mkcmd.js"),
  pathCwd: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/path-cwd.js"),
  pathCwdNm: __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/path-cwd-nm.js"),
  $: __webpack_require__("./node_modules/.f/_/shcmd/0.8.4/shcmd/shell.js")
};
Object.defineProperty(xsh, "Promise", {
  set: p => {
    util.Promise = p || Promise;
  },
  get: () => util.Promise
});
module.exports = xsh;

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/mkcmd.js":
/***/ ((module) => {

"use strict";


function mkCmd(a) {
  return Array.isArray(a) ? a.join(" ") : Array.prototype.slice.call(arguments).join(" ");
}

module.exports = mkCmd;

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/path-cwd-nm.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const pathCwd = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/path-cwd.js");

const Path = __webpack_require__("path");

const escBs = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/esc-bs.js");

const normNm = escBs(Path.normalize("/node_modules/"));
const normNmReplacer = Path.normalize("/~/");

const makeNmRegex = () => escBs(Path.resolve("node_modules"));

module.exports = {
  remove: (p, flags) => {
    const nmRegex = new RegExp(makeNmRegex(), flags || "");
    p = p.replace(nmRegex, "");
    return pathCwd.remove(p, flags);
  },
  replace: (p, str, flags) => {
    if (typeof str !== "string") {
      str = Path.join(`CWD`, `~`);
    }

    const nmRegex = new RegExp(makeNmRegex(), flags || "");
    p = pathCwd.replace(p.replace(nmRegex, str), null, flags);
    return p.replace(new RegExp(normNm, flags), normNmReplacer);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/path-cwd.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const Path = __webpack_require__("path");

const escBs = __webpack_require__("./node_modules/.f/_/xsh/0.4.5/xsh/lib/esc-bs.js");

module.exports = {
  remove: (p, flags, stripSlash) => {
    const cwd = process.cwd();

    if (stripSlash) {
      const regex = new RegExp(escBs(Path.join(cwd, Path.sep)), flags);
      p = p.replace(regex, "");
    }

    if (p.indexOf(cwd) >= 0) {
      const regex = new RegExp(escBs(cwd), flags);
      return p.replace(regex, "");
    }

    return p;
  },
  replace: (p, str, flags) => {
    if (typeof str !== "string") {
      str = "CWD";
    }

    const regex = new RegExp(escBs(process.cwd()), flags);
    return p.replace(regex, str);
  }
};

/***/ }),

/***/ "./node_modules/.f/_/xsh/0.4.5/xsh/lib/util.js":
/***/ ((module) => {

"use strict";


module.exports = {
  Promise
};

/***/ }),

/***/ "./node_modules/.f/_/xtend/4.0.2/xtend/immutable.js":
/***/ ((module) => {

module.exports = extend;
var hasOwnProperty = Object.prototype.hasOwnProperty;

function extend() {
  var target = {};

  for (var i = 0; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
}

/***/ }),

/***/ "./node_modules/.f/_/y18n/4.0.1/y18n/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fs = __webpack_require__("fs");

var path = __webpack_require__("path");

var util = __webpack_require__("util");

function Y18N(opts) {
  // configurable options.
  opts = opts || {};
  this.directory = opts.directory || './locales';
  this.updateFiles = typeof opts.updateFiles === 'boolean' ? opts.updateFiles : true;
  this.locale = opts.locale || 'en';
  this.fallbackToLanguage = typeof opts.fallbackToLanguage === 'boolean' ? opts.fallbackToLanguage : true; // internal stuff.

  this.cache = Object.create(null);
  this.writeQueue = [];
}

Y18N.prototype.__ = function () {
  if (typeof arguments[0] !== 'string') {
    return this._taggedLiteral.apply(this, arguments);
  }

  var args = Array.prototype.slice.call(arguments);
  var str = args.shift();

  var cb = function () {}; // start with noop.


  if (typeof args[args.length - 1] === 'function') cb = args.pop();

  cb = cb || function () {}; // noop.


  if (!this.cache[this.locale]) this._readLocaleFile(); // we've observed a new string, update the language file.

  if (!this.cache[this.locale][str] && this.updateFiles) {
    this.cache[this.locale][str] = str; // include the current directory and locale,
    // since these values could change before the
    // write is performed.

    this._enqueueWrite([this.directory, this.locale, cb]);
  } else {
    cb();
  }

  return util.format.apply(util, [this.cache[this.locale][str] || str].concat(args));
};

Y18N.prototype._taggedLiteral = function (parts) {
  var args = arguments;
  var str = '';
  parts.forEach(function (part, i) {
    var arg = args[i + 1];
    str += part;

    if (typeof arg !== 'undefined') {
      str += '%s';
    }
  });
  return this.__.apply(null, [str].concat([].slice.call(arguments, 1)));
};

Y18N.prototype._enqueueWrite = function (work) {
  this.writeQueue.push(work);
  if (this.writeQueue.length === 1) this._processWriteQueue();
};

Y18N.prototype._processWriteQueue = function () {
  var _this = this;

  var work = this.writeQueue[0]; // destructure the enqueued work.

  var directory = work[0];
  var locale = work[1];
  var cb = work[2];

  var languageFile = this._resolveLocaleFile(directory, locale);

  var serializedLocale = JSON.stringify(this.cache[locale], null, 2);
  fs.writeFile(languageFile, serializedLocale, 'utf-8', function (err) {
    _this.writeQueue.shift();

    if (_this.writeQueue.length > 0) _this._processWriteQueue();
    cb(err);
  });
};

Y18N.prototype._readLocaleFile = function () {
  var localeLookup = {};

  var languageFile = this._resolveLocaleFile(this.directory, this.locale);

  try {
    localeLookup = JSON.parse(fs.readFileSync(languageFile, 'utf-8'));
  } catch (err) {
    if (err instanceof SyntaxError) {
      err.message = 'syntax error in ' + languageFile;
    }

    if (err.code === 'ENOENT') localeLookup = {};else throw err;
  }

  this.cache[this.locale] = localeLookup;
};

Y18N.prototype._resolveLocaleFile = function (directory, locale) {
  var file = path.resolve(directory, './', locale + '.json');

  if (this.fallbackToLanguage && !this._fileExistsSync(file) && ~locale.lastIndexOf('_')) {
    // attempt fallback to language only
    var languageFile = path.resolve(directory, './', locale.split('_')[0] + '.json');
    if (this._fileExistsSync(languageFile)) file = languageFile;
  }

  return file;
}; // this only exists because fs.existsSync() "will be deprecated"
// see https://nodejs.org/api/fs.html#fs_fs_existssync_path


Y18N.prototype._fileExistsSync = function (file) {
  try {
    return fs.statSync(file).isFile();
  } catch (err) {
    return false;
  }
};

Y18N.prototype.__n = function () {
  var args = Array.prototype.slice.call(arguments);
  var singular = args.shift();
  var plural = args.shift();
  var quantity = args.shift();

  var cb = function () {}; // start with noop.


  if (typeof args[args.length - 1] === 'function') cb = args.pop();
  if (!this.cache[this.locale]) this._readLocaleFile();
  var str = quantity === 1 ? singular : plural;

  if (this.cache[this.locale][singular]) {
    str = this.cache[this.locale][singular][quantity === 1 ? 'one' : 'other'];
  } // we've observed a new string, update the language file.


  if (!this.cache[this.locale][singular] && this.updateFiles) {
    this.cache[this.locale][singular] = {
      one: singular,
      other: plural
    }; // include the current directory and locale,
    // since these values could change before the
    // write is performed.

    this._enqueueWrite([this.directory, this.locale, cb]);
  } else {
    cb();
  } // if a %d placeholder is provided, add quantity
  // to the arguments expanded by util.format.


  var values = [str];
  if (~str.indexOf('%d')) values.push(quantity);
  return util.format.apply(util, values.concat(args));
};

Y18N.prototype.setLocale = function (locale) {
  this.locale = locale;
};

Y18N.prototype.getLocale = function () {
  return this.locale;
};

Y18N.prototype.updateLocale = function (obj) {
  if (!this.cache[this.locale]) this._readLocaleFile();

  for (var key in obj) {
    this.cache[this.locale][key] = obj[key];
  }
};

module.exports = function (opts) {
  var y18n = new Y18N(opts); // bind all functions to y18n, so that
  // they can be used in isolation.

  for (var key in y18n) {
    if (typeof y18n[key] === 'function') {
      y18n[key] = y18n[key].bind(y18n);
    }
  }

  return y18n;
};

/***/ }),

/***/ "./node_modules/.f/_/yallist/2.1.2/yallist/yallist.js":
/***/ ((module) => {

module.exports = Yallist;
Yallist.Node = Node;
Yallist.create = Yallist;

function Yallist(list) {
  var self = this;

  if (!(self instanceof Yallist)) {
    self = new Yallist();
  }

  self.tail = null;
  self.head = null;
  self.length = 0;

  if (list && typeof list.forEach === 'function') {
    list.forEach(function (item) {
      self.push(item);
    });
  } else if (arguments.length > 0) {
    for (var i = 0, l = arguments.length; i < l; i++) {
      self.push(arguments[i]);
    }
  }

  return self;
}

Yallist.prototype.removeNode = function (node) {
  if (node.list !== this) {
    throw new Error('removing node which does not belong to this list');
  }

  var next = node.next;
  var prev = node.prev;

  if (next) {
    next.prev = prev;
  }

  if (prev) {
    prev.next = next;
  }

  if (node === this.head) {
    this.head = next;
  }

  if (node === this.tail) {
    this.tail = prev;
  }

  node.list.length--;
  node.next = null;
  node.prev = null;
  node.list = null;
};

Yallist.prototype.unshiftNode = function (node) {
  if (node === this.head) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var head = this.head;
  node.list = this;
  node.next = head;

  if (head) {
    head.prev = node;
  }

  this.head = node;

  if (!this.tail) {
    this.tail = node;
  }

  this.length++;
};

Yallist.prototype.pushNode = function (node) {
  if (node === this.tail) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var tail = this.tail;
  node.list = this;
  node.prev = tail;

  if (tail) {
    tail.next = node;
  }

  this.tail = node;

  if (!this.head) {
    this.head = node;
  }

  this.length++;
};

Yallist.prototype.push = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    push(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.unshift = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    unshift(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.pop = function () {
  if (!this.tail) {
    return undefined;
  }

  var res = this.tail.value;
  this.tail = this.tail.prev;

  if (this.tail) {
    this.tail.next = null;
  } else {
    this.head = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.shift = function () {
  if (!this.head) {
    return undefined;
  }

  var res = this.head.value;
  this.head = this.head.next;

  if (this.head) {
    this.head.prev = null;
  } else {
    this.tail = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.head, i = 0; walker !== null; i++) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.next;
  }
};

Yallist.prototype.forEachReverse = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.prev;
  }
};

Yallist.prototype.get = function (n) {
  for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.next;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.getReverse = function (n) {
  for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.prev;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.map = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.head; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.next;
  }

  return res;
};

Yallist.prototype.mapReverse = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.tail; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.prev;
  }

  return res;
};

Yallist.prototype.reduce = function (fn, initial) {
  var acc;
  var walker = this.head;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.head) {
    walker = this.head.next;
    acc = this.head.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = 0; walker !== null; i++) {
    acc = fn(acc, walker.value, i);
    walker = walker.next;
  }

  return acc;
};

Yallist.prototype.reduceReverse = function (fn, initial) {
  var acc;
  var walker = this.tail;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.tail) {
    walker = this.tail.prev;
    acc = this.tail.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = this.length - 1; walker !== null; i--) {
    acc = fn(acc, walker.value, i);
    walker = walker.prev;
  }

  return acc;
};

Yallist.prototype.toArray = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.head; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.next;
  }

  return arr;
};

Yallist.prototype.toArrayReverse = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.tail; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.prev;
  }

  return arr;
};

Yallist.prototype.slice = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
    walker = walker.next;
  }

  for (; walker !== null && i < to; i++, walker = walker.next) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.sliceReverse = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
    walker = walker.prev;
  }

  for (; walker !== null && i > from; i--, walker = walker.prev) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.reverse = function () {
  var head = this.head;
  var tail = this.tail;

  for (var walker = head; walker !== null; walker = walker.prev) {
    var p = walker.prev;
    walker.prev = walker.next;
    walker.next = p;
  }

  this.head = tail;
  this.tail = head;
  return this;
};

function push(self, item) {
  self.tail = new Node(item, self.tail, null, self);

  if (!self.head) {
    self.head = self.tail;
  }

  self.length++;
}

function unshift(self, item) {
  self.head = new Node(item, null, self.head, self);

  if (!self.tail) {
    self.tail = self.head;
  }

  self.length++;
}

function Node(value, prev, next, list) {
  if (!(this instanceof Node)) {
    return new Node(value, prev, next, list);
  }

  this.list = list;
  this.value = value;

  if (prev) {
    prev.next = this;
    this.prev = prev;
  } else {
    this.prev = null;
  }

  if (next) {
    next.prev = this;
    this.next = next;
  } else {
    this.next = null;
  }
}

/***/ }),

/***/ "./node_modules/.f/_/yallist/3.1.1/yallist/iterator.js":
/***/ ((module) => {

"use strict";


module.exports = function (Yallist) {
  Yallist.prototype[Symbol.iterator] = function* () {
    for (let walker = this.head; walker; walker = walker.next) {
      yield walker.value;
    }
  };
};

/***/ }),

/***/ "./node_modules/.f/_/yallist/3.1.1/yallist/yallist.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = Yallist;
Yallist.Node = Node;
Yallist.create = Yallist;

function Yallist(list) {
  var self = this;

  if (!(self instanceof Yallist)) {
    self = new Yallist();
  }

  self.tail = null;
  self.head = null;
  self.length = 0;

  if (list && typeof list.forEach === 'function') {
    list.forEach(function (item) {
      self.push(item);
    });
  } else if (arguments.length > 0) {
    for (var i = 0, l = arguments.length; i < l; i++) {
      self.push(arguments[i]);
    }
  }

  return self;
}

Yallist.prototype.removeNode = function (node) {
  if (node.list !== this) {
    throw new Error('removing node which does not belong to this list');
  }

  var next = node.next;
  var prev = node.prev;

  if (next) {
    next.prev = prev;
  }

  if (prev) {
    prev.next = next;
  }

  if (node === this.head) {
    this.head = next;
  }

  if (node === this.tail) {
    this.tail = prev;
  }

  node.list.length--;
  node.next = null;
  node.prev = null;
  node.list = null;
  return next;
};

Yallist.prototype.unshiftNode = function (node) {
  if (node === this.head) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var head = this.head;
  node.list = this;
  node.next = head;

  if (head) {
    head.prev = node;
  }

  this.head = node;

  if (!this.tail) {
    this.tail = node;
  }

  this.length++;
};

Yallist.prototype.pushNode = function (node) {
  if (node === this.tail) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var tail = this.tail;
  node.list = this;
  node.prev = tail;

  if (tail) {
    tail.next = node;
  }

  this.tail = node;

  if (!this.head) {
    this.head = node;
  }

  this.length++;
};

Yallist.prototype.push = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    push(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.unshift = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    unshift(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.pop = function () {
  if (!this.tail) {
    return undefined;
  }

  var res = this.tail.value;
  this.tail = this.tail.prev;

  if (this.tail) {
    this.tail.next = null;
  } else {
    this.head = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.shift = function () {
  if (!this.head) {
    return undefined;
  }

  var res = this.head.value;
  this.head = this.head.next;

  if (this.head) {
    this.head.prev = null;
  } else {
    this.tail = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.head, i = 0; walker !== null; i++) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.next;
  }
};

Yallist.prototype.forEachReverse = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.prev;
  }
};

Yallist.prototype.get = function (n) {
  for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.next;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.getReverse = function (n) {
  for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.prev;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.map = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.head; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.next;
  }

  return res;
};

Yallist.prototype.mapReverse = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.tail; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.prev;
  }

  return res;
};

Yallist.prototype.reduce = function (fn, initial) {
  var acc;
  var walker = this.head;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.head) {
    walker = this.head.next;
    acc = this.head.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = 0; walker !== null; i++) {
    acc = fn(acc, walker.value, i);
    walker = walker.next;
  }

  return acc;
};

Yallist.prototype.reduceReverse = function (fn, initial) {
  var acc;
  var walker = this.tail;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.tail) {
    walker = this.tail.prev;
    acc = this.tail.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = this.length - 1; walker !== null; i--) {
    acc = fn(acc, walker.value, i);
    walker = walker.prev;
  }

  return acc;
};

Yallist.prototype.toArray = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.head; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.next;
  }

  return arr;
};

Yallist.prototype.toArrayReverse = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.tail; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.prev;
  }

  return arr;
};

Yallist.prototype.slice = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
    walker = walker.next;
  }

  for (; walker !== null && i < to; i++, walker = walker.next) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.sliceReverse = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
    walker = walker.prev;
  }

  for (; walker !== null && i > from; i--, walker = walker.prev) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.splice = function (start, deleteCount
/*, ...nodes */
) {
  if (start > this.length) {
    start = this.length - 1;
  }

  if (start < 0) {
    start = this.length + start;
  }

  for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
    walker = walker.next;
  }

  var ret = [];

  for (var i = 0; walker && i < deleteCount; i++) {
    ret.push(walker.value);
    walker = this.removeNode(walker);
  }

  if (walker === null) {
    walker = this.tail;
  }

  if (walker !== this.head && walker !== this.tail) {
    walker = walker.prev;
  }

  for (var i = 2; i < arguments.length; i++) {
    walker = insert(this, walker, arguments[i]);
  }

  return ret;
};

Yallist.prototype.reverse = function () {
  var head = this.head;
  var tail = this.tail;

  for (var walker = head; walker !== null; walker = walker.prev) {
    var p = walker.prev;
    walker.prev = walker.next;
    walker.next = p;
  }

  this.head = tail;
  this.tail = head;
  return this;
};

function insert(self, node, value) {
  var inserted = node === self.head ? new Node(value, null, node, self) : new Node(value, node, node.next, self);

  if (inserted.next === null) {
    self.tail = inserted;
  }

  if (inserted.prev === null) {
    self.head = inserted;
  }

  self.length++;
  return inserted;
}

function push(self, item) {
  self.tail = new Node(item, self.tail, null, self);

  if (!self.head) {
    self.head = self.tail;
  }

  self.length++;
}

function unshift(self, item) {
  self.head = new Node(item, null, self.head, self);

  if (!self.tail) {
    self.tail = self.head;
  }

  self.length++;
}

function Node(value, prev, next, list) {
  if (!(this instanceof Node)) {
    return new Node(value, prev, next, list);
  }

  this.list = list;
  this.value = value;

  if (prev) {
    prev.next = this;
    this.prev = prev;
  } else {
    this.prev = null;
  }

  if (next) {
    next.prev = this;
    this.next = next;
  } else {
    this.next = null;
  }
}

try {
  // add if support for Symbol.iterator is present
  __webpack_require__("./node_modules/.f/_/yallist/3.1.1/yallist/iterator.js")(Yallist);
} catch (er) {}

/***/ }),

/***/ "./node_modules/.f/_/yallist/4.0.0/yallist/iterator.js":
/***/ ((module) => {

"use strict";


module.exports = function (Yallist) {
  Yallist.prototype[Symbol.iterator] = function* () {
    for (let walker = this.head; walker; walker = walker.next) {
      yield walker.value;
    }
  };
};

/***/ }),

/***/ "./node_modules/.f/_/yallist/4.0.0/yallist/yallist.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


module.exports = Yallist;
Yallist.Node = Node;
Yallist.create = Yallist;

function Yallist(list) {
  var self = this;

  if (!(self instanceof Yallist)) {
    self = new Yallist();
  }

  self.tail = null;
  self.head = null;
  self.length = 0;

  if (list && typeof list.forEach === 'function') {
    list.forEach(function (item) {
      self.push(item);
    });
  } else if (arguments.length > 0) {
    for (var i = 0, l = arguments.length; i < l; i++) {
      self.push(arguments[i]);
    }
  }

  return self;
}

Yallist.prototype.removeNode = function (node) {
  if (node.list !== this) {
    throw new Error('removing node which does not belong to this list');
  }

  var next = node.next;
  var prev = node.prev;

  if (next) {
    next.prev = prev;
  }

  if (prev) {
    prev.next = next;
  }

  if (node === this.head) {
    this.head = next;
  }

  if (node === this.tail) {
    this.tail = prev;
  }

  node.list.length--;
  node.next = null;
  node.prev = null;
  node.list = null;
  return next;
};

Yallist.prototype.unshiftNode = function (node) {
  if (node === this.head) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var head = this.head;
  node.list = this;
  node.next = head;

  if (head) {
    head.prev = node;
  }

  this.head = node;

  if (!this.tail) {
    this.tail = node;
  }

  this.length++;
};

Yallist.prototype.pushNode = function (node) {
  if (node === this.tail) {
    return;
  }

  if (node.list) {
    node.list.removeNode(node);
  }

  var tail = this.tail;
  node.list = this;
  node.prev = tail;

  if (tail) {
    tail.next = node;
  }

  this.tail = node;

  if (!this.head) {
    this.head = node;
  }

  this.length++;
};

Yallist.prototype.push = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    push(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.unshift = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    unshift(this, arguments[i]);
  }

  return this.length;
};

Yallist.prototype.pop = function () {
  if (!this.tail) {
    return undefined;
  }

  var res = this.tail.value;
  this.tail = this.tail.prev;

  if (this.tail) {
    this.tail.next = null;
  } else {
    this.head = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.shift = function () {
  if (!this.head) {
    return undefined;
  }

  var res = this.head.value;
  this.head = this.head.next;

  if (this.head) {
    this.head.prev = null;
  } else {
    this.tail = null;
  }

  this.length--;
  return res;
};

Yallist.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.head, i = 0; walker !== null; i++) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.next;
  }
};

Yallist.prototype.forEachReverse = function (fn, thisp) {
  thisp = thisp || this;

  for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
    fn.call(thisp, walker.value, i, this);
    walker = walker.prev;
  }
};

Yallist.prototype.get = function (n) {
  for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.next;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.getReverse = function (n) {
  for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.prev;
  }

  if (i === n && walker !== null) {
    return walker.value;
  }
};

Yallist.prototype.map = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.head; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.next;
  }

  return res;
};

Yallist.prototype.mapReverse = function (fn, thisp) {
  thisp = thisp || this;
  var res = new Yallist();

  for (var walker = this.tail; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this));
    walker = walker.prev;
  }

  return res;
};

Yallist.prototype.reduce = function (fn, initial) {
  var acc;
  var walker = this.head;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.head) {
    walker = this.head.next;
    acc = this.head.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = 0; walker !== null; i++) {
    acc = fn(acc, walker.value, i);
    walker = walker.next;
  }

  return acc;
};

Yallist.prototype.reduceReverse = function (fn, initial) {
  var acc;
  var walker = this.tail;

  if (arguments.length > 1) {
    acc = initial;
  } else if (this.tail) {
    walker = this.tail.prev;
    acc = this.tail.value;
  } else {
    throw new TypeError('Reduce of empty list with no initial value');
  }

  for (var i = this.length - 1; walker !== null; i--) {
    acc = fn(acc, walker.value, i);
    walker = walker.prev;
  }

  return acc;
};

Yallist.prototype.toArray = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.head; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.next;
  }

  return arr;
};

Yallist.prototype.toArrayReverse = function () {
  var arr = new Array(this.length);

  for (var i = 0, walker = this.tail; walker !== null; i++) {
    arr[i] = walker.value;
    walker = walker.prev;
  }

  return arr;
};

Yallist.prototype.slice = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
    walker = walker.next;
  }

  for (; walker !== null && i < to; i++, walker = walker.next) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.sliceReverse = function (from, to) {
  to = to || this.length;

  if (to < 0) {
    to += this.length;
  }

  from = from || 0;

  if (from < 0) {
    from += this.length;
  }

  var ret = new Yallist();

  if (to < from || to < 0) {
    return ret;
  }

  if (from < 0) {
    from = 0;
  }

  if (to > this.length) {
    to = this.length;
  }

  for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
    walker = walker.prev;
  }

  for (; walker !== null && i > from; i--, walker = walker.prev) {
    ret.push(walker.value);
  }

  return ret;
};

Yallist.prototype.splice = function (start, deleteCount, ...nodes) {
  if (start > this.length) {
    start = this.length - 1;
  }

  if (start < 0) {
    start = this.length + start;
  }

  for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
    walker = walker.next;
  }

  var ret = [];

  for (var i = 0; walker && i < deleteCount; i++) {
    ret.push(walker.value);
    walker = this.removeNode(walker);
  }

  if (walker === null) {
    walker = this.tail;
  }

  if (walker !== this.head && walker !== this.tail) {
    walker = walker.prev;
  }

  for (var i = 0; i < nodes.length; i++) {
    walker = insert(this, walker, nodes[i]);
  }

  return ret;
};

Yallist.prototype.reverse = function () {
  var head = this.head;
  var tail = this.tail;

  for (var walker = head; walker !== null; walker = walker.prev) {
    var p = walker.prev;
    walker.prev = walker.next;
    walker.next = p;
  }

  this.head = tail;
  this.tail = head;
  return this;
};

function insert(self, node, value) {
  var inserted = node === self.head ? new Node(value, null, node, self) : new Node(value, node, node.next, self);

  if (inserted.next === null) {
    self.tail = inserted;
  }

  if (inserted.prev === null) {
    self.head = inserted;
  }

  self.length++;
  return inserted;
}

function push(self, item) {
  self.tail = new Node(item, self.tail, null, self);

  if (!self.head) {
    self.head = self.tail;
  }

  self.length++;
}

function unshift(self, item) {
  self.head = new Node(item, null, self.head, self);

  if (!self.tail) {
    self.tail = self.head;
  }

  self.length++;
}

function Node(value, prev, next, list) {
  if (!(this instanceof Node)) {
    return new Node(value, prev, next, list);
  }

  this.list = list;
  this.value = value;

  if (prev) {
    prev.next = this;
    this.prev = prev;
  } else {
    this.prev = null;
  }

  if (next) {
    next.prev = this;
    this.next = next;
  } else {
    this.next = null;
  }
}

try {
  // add if support for Symbol.iterator is present
  __webpack_require__("./node_modules/.f/_/yallist/4.0.0/yallist/iterator.js")(Yallist);
} catch (er) {}

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Dumper.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var Dumper, Inline, Utils;
Utils = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js");
Inline = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Inline.js");

Dumper = function () {
  function Dumper() {}

  Dumper.indentation = 4;

  Dumper.prototype.dump = function (input, inline, indent, exceptionOnInvalidType, objectEncoder) {
    var i, key, len, output, prefix, value, willBeInlined;

    if (inline == null) {
      inline = 0;
    }

    if (indent == null) {
      indent = 0;
    }

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectEncoder == null) {
      objectEncoder = null;
    }

    output = '';
    prefix = indent ? Utils.strRepeat(' ', indent) : '';

    if (inline <= 0 || typeof input !== 'object' || input instanceof Date || Utils.isEmpty(input)) {
      output += prefix + Inline.dump(input, exceptionOnInvalidType, objectEncoder);
    } else {
      if (input instanceof Array) {
        for (i = 0, len = input.length; i < len; i++) {
          value = input[i];
          willBeInlined = inline - 1 <= 0 || typeof value !== 'object' || Utils.isEmpty(value);
          output += prefix + '-' + (willBeInlined ? ' ' : "\n") + this.dump(value, inline - 1, willBeInlined ? 0 : indent + this.indentation, exceptionOnInvalidType, objectEncoder) + (willBeInlined ? "\n" : '');
        }
      } else {
        for (key in input) {
          value = input[key];
          willBeInlined = inline - 1 <= 0 || typeof value !== 'object' || Utils.isEmpty(value);
          output += prefix + Inline.dump(key, exceptionOnInvalidType, objectEncoder) + ':' + (willBeInlined ? ' ' : "\n") + this.dump(value, inline - 1, willBeInlined ? 0 : indent + this.indentation, exceptionOnInvalidType, objectEncoder) + (willBeInlined ? "\n" : '');
        }
      }
    }

    return output;
  };

  return Dumper;
}();

module.exports = Dumper;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Escaper.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var Escaper, Pattern;
Pattern = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js");

Escaper = function () {
  var ch;

  function Escaper() {}

  Escaper.LIST_ESCAPEES = ['\\', '\\\\', '\\"', '"', "\x00", "\x01", "\x02", "\x03", "\x04", "\x05", "\x06", "\x07", "\x08", "\x09", "\x0a", "\x0b", "\x0c", "\x0d", "\x0e", "\x0f", "\x10", "\x11", "\x12", "\x13", "\x14", "\x15", "\x16", "\x17", "\x18", "\x19", "\x1a", "\x1b", "\x1c", "\x1d", "\x1e", "\x1f", (ch = String.fromCharCode)(0x0085), ch(0x00A0), ch(0x2028), ch(0x2029)];
  Escaper.LIST_ESCAPED = ['\\\\', '\\"', '\\"', '\\"', "\\0", "\\x01", "\\x02", "\\x03", "\\x04", "\\x05", "\\x06", "\\a", "\\b", "\\t", "\\n", "\\v", "\\f", "\\r", "\\x0e", "\\x0f", "\\x10", "\\x11", "\\x12", "\\x13", "\\x14", "\\x15", "\\x16", "\\x17", "\\x18", "\\x19", "\\x1a", "\\e", "\\x1c", "\\x1d", "\\x1e", "\\x1f", "\\N", "\\_", "\\L", "\\P"];

  Escaper.MAPPING_ESCAPEES_TO_ESCAPED = function () {
    var i, j, mapping, ref;
    mapping = {};

    for (i = j = 0, ref = Escaper.LIST_ESCAPEES.length; 0 <= ref ? j < ref : j > ref; i = 0 <= ref ? ++j : --j) {
      mapping[Escaper.LIST_ESCAPEES[i]] = Escaper.LIST_ESCAPED[i];
    }

    return mapping;
  }();

  Escaper.PATTERN_CHARACTERS_TO_ESCAPE = new Pattern('[\\x00-\\x1f]|\xc2\x85|\xc2\xa0|\xe2\x80\xa8|\xe2\x80\xa9');
  Escaper.PATTERN_MAPPING_ESCAPEES = new Pattern(Escaper.LIST_ESCAPEES.join('|').split('\\').join('\\\\'));
  Escaper.PATTERN_SINGLE_QUOTING = new Pattern('[\\s\'":{}[\\],&*#?]|^[-?|<>=!%@`]');

  Escaper.requiresDoubleQuoting = function (value) {
    return this.PATTERN_CHARACTERS_TO_ESCAPE.test(value);
  };

  Escaper.escapeWithDoubleQuotes = function (value) {
    var result;
    result = this.PATTERN_MAPPING_ESCAPEES.replace(value, function (_this) {
      return function (str) {
        return _this.MAPPING_ESCAPEES_TO_ESCAPED[str];
      };
    }(this));
    return '"' + result + '"';
  };

  Escaper.requiresSingleQuoting = function (value) {
    return this.PATTERN_SINGLE_QUOTING.test(value);
  };

  Escaper.escapeWithSingleQuotes = function (value) {
    return "'" + value.replace(/'/g, "''") + "'";
  };

  return Escaper;
}();

module.exports = Escaper;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/DumpException.js":
/***/ ((module) => {

// Generated by CoffeeScript 1.12.4
var DumpException,
    extend = function (child, parent) {
  for (var key in parent) {
    if (hasProp.call(parent, key)) child[key] = parent[key];
  }

  function ctor() {
    this.constructor = child;
  }

  ctor.prototype = parent.prototype;
  child.prototype = new ctor();
  child.__super__ = parent.prototype;
  return child;
},
    hasProp = {}.hasOwnProperty;

DumpException = function (superClass) {
  extend(DumpException, superClass);

  function DumpException(message, parsedLine, snippet) {
    this.message = message;
    this.parsedLine = parsedLine;
    this.snippet = snippet;
  }

  DumpException.prototype.toString = function () {
    if (this.parsedLine != null && this.snippet != null) {
      return '<DumpException> ' + this.message + ' (line ' + this.parsedLine + ': \'' + this.snippet + '\')';
    } else {
      return '<DumpException> ' + this.message;
    }
  };

  return DumpException;
}(Error);

module.exports = DumpException;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseException.js":
/***/ ((module) => {

// Generated by CoffeeScript 1.12.4
var ParseException,
    extend = function (child, parent) {
  for (var key in parent) {
    if (hasProp.call(parent, key)) child[key] = parent[key];
  }

  function ctor() {
    this.constructor = child;
  }

  ctor.prototype = parent.prototype;
  child.prototype = new ctor();
  child.__super__ = parent.prototype;
  return child;
},
    hasProp = {}.hasOwnProperty;

ParseException = function (superClass) {
  extend(ParseException, superClass);

  function ParseException(message, parsedLine, snippet) {
    this.message = message;
    this.parsedLine = parsedLine;
    this.snippet = snippet;
  }

  ParseException.prototype.toString = function () {
    if (this.parsedLine != null && this.snippet != null) {
      return '<ParseException> ' + this.message + ' (line ' + this.parsedLine + ': \'' + this.snippet + '\')';
    } else {
      return '<ParseException> ' + this.message;
    }
  };

  return ParseException;
}(Error);

module.exports = ParseException;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseMore.js":
/***/ ((module) => {

// Generated by CoffeeScript 1.12.4
var ParseMore,
    extend = function (child, parent) {
  for (var key in parent) {
    if (hasProp.call(parent, key)) child[key] = parent[key];
  }

  function ctor() {
    this.constructor = child;
  }

  ctor.prototype = parent.prototype;
  child.prototype = new ctor();
  child.__super__ = parent.prototype;
  return child;
},
    hasProp = {}.hasOwnProperty;

ParseMore = function (superClass) {
  extend(ParseMore, superClass);

  function ParseMore(message, parsedLine, snippet) {
    this.message = message;
    this.parsedLine = parsedLine;
    this.snippet = snippet;
  }

  ParseMore.prototype.toString = function () {
    if (this.parsedLine != null && this.snippet != null) {
      return '<ParseMore> ' + this.message + ' (line ' + this.parsedLine + ': \'' + this.snippet + '\')';
    } else {
      return '<ParseMore> ' + this.message;
    }
  };

  return ParseMore;
}(Error);

module.exports = ParseMore;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Inline.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var DumpException,
    Escaper,
    Inline,
    ParseException,
    ParseMore,
    Pattern,
    Unescaper,
    Utils,
    indexOf = [].indexOf || function (item) {
  for (var i = 0, l = this.length; i < l; i++) {
    if (i in this && this[i] === item) return i;
  }

  return -1;
};

Pattern = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js");
Unescaper = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Unescaper.js");
Escaper = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Escaper.js");
Utils = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js");
ParseException = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseException.js");
ParseMore = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseMore.js");
DumpException = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/DumpException.js");

Inline = function () {
  function Inline() {}

  Inline.REGEX_QUOTED_STRING = '(?:"(?:[^"\\\\]*(?:\\\\.[^"\\\\]*)*)"|\'(?:[^\']*(?:\'\'[^\']*)*)\')';
  Inline.PATTERN_TRAILING_COMMENTS = new Pattern('^\\s*#.*$');
  Inline.PATTERN_QUOTED_SCALAR = new Pattern('^' + Inline.REGEX_QUOTED_STRING);
  Inline.PATTERN_THOUSAND_NUMERIC_SCALAR = new Pattern('^(-|\\+)?[0-9,]+(\\.[0-9]+)?$');
  Inline.PATTERN_SCALAR_BY_DELIMITERS = {};
  Inline.settings = {};

  Inline.configure = function (exceptionOnInvalidType, objectDecoder) {
    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = null;
    }

    if (objectDecoder == null) {
      objectDecoder = null;
    }

    this.settings.exceptionOnInvalidType = exceptionOnInvalidType;
    this.settings.objectDecoder = objectDecoder;
  };

  Inline.parse = function (value, exceptionOnInvalidType, objectDecoder) {
    var context, result;

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectDecoder == null) {
      objectDecoder = null;
    }

    this.settings.exceptionOnInvalidType = exceptionOnInvalidType;
    this.settings.objectDecoder = objectDecoder;

    if (value == null) {
      return '';
    }

    value = Utils.trim(value);

    if (0 === value.length) {
      return '';
    }

    context = {
      exceptionOnInvalidType: exceptionOnInvalidType,
      objectDecoder: objectDecoder,
      i: 0
    };

    switch (value.charAt(0)) {
      case '[':
        result = this.parseSequence(value, context);
        ++context.i;
        break;

      case '{':
        result = this.parseMapping(value, context);
        ++context.i;
        break;

      default:
        result = this.parseScalar(value, null, ['"', "'"], context);
    }

    if (this.PATTERN_TRAILING_COMMENTS.replace(value.slice(context.i), '') !== '') {
      throw new ParseException('Unexpected characters near "' + value.slice(context.i) + '".');
    }

    return result;
  };

  Inline.dump = function (value, exceptionOnInvalidType, objectEncoder) {
    var ref, result, type;

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectEncoder == null) {
      objectEncoder = null;
    }

    if (value == null) {
      return 'null';
    }

    type = typeof value;

    if (type === 'object') {
      if (value instanceof Date) {
        return value.toISOString();
      } else if (objectEncoder != null) {
        result = objectEncoder(value);

        if (typeof result === 'string' || result != null) {
          return result;
        }
      }

      return this.dumpObject(value);
    }

    if (type === 'boolean') {
      return value ? 'true' : 'false';
    }

    if (Utils.isDigits(value)) {
      return type === 'string' ? "'" + value + "'" : String(parseInt(value));
    }

    if (Utils.isNumeric(value)) {
      return type === 'string' ? "'" + value + "'" : String(parseFloat(value));
    }

    if (type === 'number') {
      return value === 2e308 ? '.Inf' : value === -2e308 ? '-.Inf' : isNaN(value) ? '.NaN' : value;
    }

    if (Escaper.requiresDoubleQuoting(value)) {
      return Escaper.escapeWithDoubleQuotes(value);
    }

    if (Escaper.requiresSingleQuoting(value)) {
      return Escaper.escapeWithSingleQuotes(value);
    }

    if ('' === value) {
      return '""';
    }

    if (Utils.PATTERN_DATE.test(value)) {
      return "'" + value + "'";
    }

    if ((ref = value.toLowerCase()) === 'null' || ref === '~' || ref === 'true' || ref === 'false') {
      return "'" + value + "'";
    }

    return value;
  };

  Inline.dumpObject = function (value, exceptionOnInvalidType, objectSupport) {
    var j, key, len1, output, val;

    if (objectSupport == null) {
      objectSupport = null;
    }

    if (value instanceof Array) {
      output = [];

      for (j = 0, len1 = value.length; j < len1; j++) {
        val = value[j];
        output.push(this.dump(val));
      }

      return '[' + output.join(', ') + ']';
    } else {
      output = [];

      for (key in value) {
        val = value[key];
        output.push(this.dump(key) + ': ' + this.dump(val));
      }

      return '{' + output.join(', ') + '}';
    }
  };

  Inline.parseScalar = function (scalar, delimiters, stringDelimiters, context, evaluate) {
    var i, joinedDelimiters, match, output, pattern, ref, ref1, strpos, tmp;

    if (delimiters == null) {
      delimiters = null;
    }

    if (stringDelimiters == null) {
      stringDelimiters = ['"', "'"];
    }

    if (context == null) {
      context = null;
    }

    if (evaluate == null) {
      evaluate = true;
    }

    if (context == null) {
      context = {
        exceptionOnInvalidType: this.settings.exceptionOnInvalidType,
        objectDecoder: this.settings.objectDecoder,
        i: 0
      };
    }

    i = context.i;

    if (ref = scalar.charAt(i), indexOf.call(stringDelimiters, ref) >= 0) {
      output = this.parseQuotedScalar(scalar, context);
      i = context.i;

      if (delimiters != null) {
        tmp = Utils.ltrim(scalar.slice(i), ' ');

        if (!(ref1 = tmp.charAt(0), indexOf.call(delimiters, ref1) >= 0)) {
          throw new ParseException('Unexpected characters (' + scalar.slice(i) + ').');
        }
      }
    } else {
      if (!delimiters) {
        output = scalar.slice(i);
        i += output.length;
        strpos = output.indexOf(' #');

        if (strpos !== -1) {
          output = Utils.rtrim(output.slice(0, strpos));
        }
      } else {
        joinedDelimiters = delimiters.join('|');
        pattern = this.PATTERN_SCALAR_BY_DELIMITERS[joinedDelimiters];

        if (pattern == null) {
          pattern = new Pattern('^(.+?)(' + joinedDelimiters + ')');
          this.PATTERN_SCALAR_BY_DELIMITERS[joinedDelimiters] = pattern;
        }

        if (match = pattern.exec(scalar.slice(i))) {
          output = match[1];
          i += output.length;
        } else {
          throw new ParseException('Malformed inline YAML string (' + scalar + ').');
        }
      }

      if (evaluate) {
        output = this.evaluateScalar(output, context);
      }
    }

    context.i = i;
    return output;
  };

  Inline.parseQuotedScalar = function (scalar, context) {
    var i, match, output;
    i = context.i;

    if (!(match = this.PATTERN_QUOTED_SCALAR.exec(scalar.slice(i)))) {
      throw new ParseMore('Malformed inline YAML string (' + scalar.slice(i) + ').');
    }

    output = match[0].substr(1, match[0].length - 2);

    if ('"' === scalar.charAt(i)) {
      output = Unescaper.unescapeDoubleQuotedString(output);
    } else {
      output = Unescaper.unescapeSingleQuotedString(output);
    }

    i += match[0].length;
    context.i = i;
    return output;
  };

  Inline.parseSequence = function (sequence, context) {
    var e, i, isQuoted, len, output, ref, value;
    output = [];
    len = sequence.length;
    i = context.i;
    i += 1;

    while (i < len) {
      context.i = i;

      switch (sequence.charAt(i)) {
        case '[':
          output.push(this.parseSequence(sequence, context));
          i = context.i;
          break;

        case '{':
          output.push(this.parseMapping(sequence, context));
          i = context.i;
          break;

        case ']':
          return output;

        case ',':
        case ' ':
        case "\n":
          break;

        default:
          isQuoted = (ref = sequence.charAt(i)) === '"' || ref === "'";
          value = this.parseScalar(sequence, [',', ']'], ['"', "'"], context);
          i = context.i;

          if (!isQuoted && typeof value === 'string' && (value.indexOf(': ') !== -1 || value.indexOf(":\n") !== -1)) {
            try {
              value = this.parseMapping('{' + value + '}');
            } catch (error) {
              e = error;
            }
          }

          output.push(value);
          --i;
      }

      ++i;
    }

    throw new ParseMore('Malformed inline YAML string ' + sequence);
  };

  Inline.parseMapping = function (mapping, context) {
    var done, i, key, len, output, shouldContinueWhileLoop, value;
    output = {};
    len = mapping.length;
    i = context.i;
    i += 1;
    shouldContinueWhileLoop = false;

    while (i < len) {
      context.i = i;

      switch (mapping.charAt(i)) {
        case ' ':
        case ',':
        case "\n":
          ++i;
          context.i = i;
          shouldContinueWhileLoop = true;
          break;

        case '}':
          return output;
      }

      if (shouldContinueWhileLoop) {
        shouldContinueWhileLoop = false;
        continue;
      }

      key = this.parseScalar(mapping, [':', ' ', "\n"], ['"', "'"], context, false);
      i = context.i;
      done = false;

      while (i < len) {
        context.i = i;

        switch (mapping.charAt(i)) {
          case '[':
            value = this.parseSequence(mapping, context);
            i = context.i;

            if (output[key] === void 0) {
              output[key] = value;
            }

            done = true;
            break;

          case '{':
            value = this.parseMapping(mapping, context);
            i = context.i;

            if (output[key] === void 0) {
              output[key] = value;
            }

            done = true;
            break;

          case ':':
          case ' ':
          case "\n":
            break;

          default:
            value = this.parseScalar(mapping, [',', '}'], ['"', "'"], context);
            i = context.i;

            if (output[key] === void 0) {
              output[key] = value;
            }

            done = true;
            --i;
        }

        ++i;

        if (done) {
          break;
        }
      }
    }

    throw new ParseMore('Malformed inline YAML string ' + mapping);
  };

  Inline.evaluateScalar = function (scalar, context) {
    var cast, date, exceptionOnInvalidType, firstChar, firstSpace, firstWord, objectDecoder, raw, scalarLower, subValue, trimmedScalar;
    scalar = Utils.trim(scalar);
    scalarLower = scalar.toLowerCase();

    switch (scalarLower) {
      case 'null':
      case '':
      case '~':
        return null;

      case 'true':
        return true;

      case 'false':
        return false;

      case '.inf':
        return 2e308;

      case '.nan':
        return 0 / 0;

      case '-.inf':
        return 2e308;

      default:
        firstChar = scalarLower.charAt(0);

        switch (firstChar) {
          case '!':
            firstSpace = scalar.indexOf(' ');

            if (firstSpace === -1) {
              firstWord = scalarLower;
            } else {
              firstWord = scalarLower.slice(0, firstSpace);
            }

            switch (firstWord) {
              case '!':
                if (firstSpace !== -1) {
                  return parseInt(this.parseScalar(scalar.slice(2)));
                }

                return null;

              case '!str':
                return Utils.ltrim(scalar.slice(4));

              case '!!str':
                return Utils.ltrim(scalar.slice(5));

              case '!!int':
                return parseInt(this.parseScalar(scalar.slice(5)));

              case '!!bool':
                return Utils.parseBoolean(this.parseScalar(scalar.slice(6)), false);

              case '!!float':
                return parseFloat(this.parseScalar(scalar.slice(7)));

              case '!!timestamp':
                return Utils.stringToDate(Utils.ltrim(scalar.slice(11)));

              default:
                if (context == null) {
                  context = {
                    exceptionOnInvalidType: this.settings.exceptionOnInvalidType,
                    objectDecoder: this.settings.objectDecoder,
                    i: 0
                  };
                }

                objectDecoder = context.objectDecoder, exceptionOnInvalidType = context.exceptionOnInvalidType;

                if (objectDecoder) {
                  trimmedScalar = Utils.rtrim(scalar);
                  firstSpace = trimmedScalar.indexOf(' ');

                  if (firstSpace === -1) {
                    return objectDecoder(trimmedScalar, null);
                  } else {
                    subValue = Utils.ltrim(trimmedScalar.slice(firstSpace + 1));

                    if (!(subValue.length > 0)) {
                      subValue = null;
                    }

                    return objectDecoder(trimmedScalar.slice(0, firstSpace), subValue);
                  }
                }

                if (exceptionOnInvalidType) {
                  throw new ParseException('Custom object support when parsing a YAML file has been disabled.');
                }

                return null;
            }

            break;

          case '0':
            if ('0x' === scalar.slice(0, 2)) {
              return Utils.hexDec(scalar);
            } else if (Utils.isDigits(scalar)) {
              return Utils.octDec(scalar);
            } else if (Utils.isNumeric(scalar)) {
              return parseFloat(scalar);
            } else {
              return scalar;
            }

            break;

          case '+':
            if (Utils.isDigits(scalar)) {
              raw = scalar;
              cast = parseInt(raw);

              if (raw === String(cast)) {
                return cast;
              } else {
                return raw;
              }
            } else if (Utils.isNumeric(scalar)) {
              return parseFloat(scalar);
            } else if (this.PATTERN_THOUSAND_NUMERIC_SCALAR.test(scalar)) {
              return parseFloat(scalar.replace(',', ''));
            }

            return scalar;

          case '-':
            if (Utils.isDigits(scalar.slice(1))) {
              if ('0' === scalar.charAt(1)) {
                return -Utils.octDec(scalar.slice(1));
              } else {
                raw = scalar.slice(1);
                cast = parseInt(raw);

                if (raw === String(cast)) {
                  return -cast;
                } else {
                  return -raw;
                }
              }
            } else if (Utils.isNumeric(scalar)) {
              return parseFloat(scalar);
            } else if (this.PATTERN_THOUSAND_NUMERIC_SCALAR.test(scalar)) {
              return parseFloat(scalar.replace(',', ''));
            }

            return scalar;

          default:
            if (date = Utils.stringToDate(scalar)) {
              return date;
            } else if (Utils.isNumeric(scalar)) {
              return parseFloat(scalar);
            } else if (this.PATTERN_THOUSAND_NUMERIC_SCALAR.test(scalar)) {
              return parseFloat(scalar.replace(',', ''));
            }

            return scalar;
        }

    }
  };

  return Inline;
}();

module.exports = Inline;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Parser.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var Inline, ParseException, ParseMore, Parser, Pattern, Utils;
Inline = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Inline.js");
Pattern = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js");
Utils = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js");
ParseException = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseException.js");
ParseMore = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Exception/ParseMore.js");

Parser = function () {
  Parser.prototype.PATTERN_FOLDED_SCALAR_ALL = new Pattern('^(?:(?<type>![^\\|>]*)\\s+)?(?<separator>\\||>)(?<modifiers>\\+|\\-|\\d+|\\+\\d+|\\-\\d+|\\d+\\+|\\d+\\-)?(?<comments> +#.*)?$');
  Parser.prototype.PATTERN_FOLDED_SCALAR_END = new Pattern('(?<separator>\\||>)(?<modifiers>\\+|\\-|\\d+|\\+\\d+|\\-\\d+|\\d+\\+|\\d+\\-)?(?<comments> +#.*)?$');
  Parser.prototype.PATTERN_SEQUENCE_ITEM = new Pattern('^\\-((?<leadspaces>\\s+)(?<value>.+?))?\\s*$');
  Parser.prototype.PATTERN_ANCHOR_VALUE = new Pattern('^&(?<ref>[^ ]+) *(?<value>.*)');
  Parser.prototype.PATTERN_COMPACT_NOTATION = new Pattern('^(?<key>' + Inline.REGEX_QUOTED_STRING + '|[^ \'"\\{\\[].*?) *\\:(\\s+(?<value>.+?))?\\s*$');
  Parser.prototype.PATTERN_MAPPING_ITEM = new Pattern('^(?<key>' + Inline.REGEX_QUOTED_STRING + '|[^ \'"\\[\\{].*?) *\\:(\\s+(?<value>.+?))?\\s*$');
  Parser.prototype.PATTERN_DECIMAL = new Pattern('\\d+');
  Parser.prototype.PATTERN_INDENT_SPACES = new Pattern('^ +');
  Parser.prototype.PATTERN_TRAILING_LINES = new Pattern('(\n*)$');
  Parser.prototype.PATTERN_YAML_HEADER = new Pattern('^\\%YAML[: ][\\d\\.]+.*\n', 'm');
  Parser.prototype.PATTERN_LEADING_COMMENTS = new Pattern('^(\\#.*?\n)+', 'm');
  Parser.prototype.PATTERN_DOCUMENT_MARKER_START = new Pattern('^\\-\\-\\-.*?\n', 'm');
  Parser.prototype.PATTERN_DOCUMENT_MARKER_END = new Pattern('^\\.\\.\\.\\s*$', 'm');
  Parser.prototype.PATTERN_FOLDED_SCALAR_BY_INDENTATION = {};
  Parser.prototype.CONTEXT_NONE = 0;
  Parser.prototype.CONTEXT_SEQUENCE = 1;
  Parser.prototype.CONTEXT_MAPPING = 2;

  function Parser(offset) {
    this.offset = offset != null ? offset : 0;
    this.lines = [];
    this.currentLineNb = -1;
    this.currentLine = '';
    this.refs = {};
  }

  Parser.prototype.parse = function (value, exceptionOnInvalidType, objectDecoder) {
    var alias, allowOverwrite, block, c, context, data, e, first, i, indent, isRef, j, k, key, l, lastKey, len, len1, len2, len3, lineCount, m, matches, mergeNode, n, name, parsed, parsedItem, parser, ref, ref1, ref2, refName, refValue, val, values;

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectDecoder == null) {
      objectDecoder = null;
    }

    this.currentLineNb = -1;
    this.currentLine = '';
    this.lines = this.cleanup(value).split("\n");
    data = null;
    context = this.CONTEXT_NONE;
    allowOverwrite = false;

    while (this.moveToNextLine()) {
      if (this.isCurrentLineEmpty()) {
        continue;
      }

      if ("\t" === this.currentLine[0]) {
        throw new ParseException('A YAML file cannot contain tabs as indentation.', this.getRealCurrentLineNb() + 1, this.currentLine);
      }

      isRef = mergeNode = false;

      if (values = this.PATTERN_SEQUENCE_ITEM.exec(this.currentLine)) {
        if (this.CONTEXT_MAPPING === context) {
          throw new ParseException('You cannot define a sequence item when in a mapping');
        }

        context = this.CONTEXT_SEQUENCE;

        if (data == null) {
          data = [];
        }

        if (values.value != null && (matches = this.PATTERN_ANCHOR_VALUE.exec(values.value))) {
          isRef = matches.ref;
          values.value = matches.value;
        }

        if (!(values.value != null) || '' === Utils.trim(values.value, ' ') || Utils.ltrim(values.value, ' ').indexOf('#') === 0) {
          if (this.currentLineNb < this.lines.length - 1 && !this.isNextLineUnIndentedCollection()) {
            c = this.getRealCurrentLineNb() + 1;
            parser = new Parser(c);
            parser.refs = this.refs;
            data.push(parser.parse(this.getNextEmbedBlock(null, true), exceptionOnInvalidType, objectDecoder));
          } else {
            data.push(null);
          }
        } else {
          if (((ref = values.leadspaces) != null ? ref.length : void 0) && (matches = this.PATTERN_COMPACT_NOTATION.exec(values.value))) {
            c = this.getRealCurrentLineNb();
            parser = new Parser(c);
            parser.refs = this.refs;
            block = values.value;
            indent = this.getCurrentLineIndentation();

            if (this.isNextLineIndented(false)) {
              block += "\n" + this.getNextEmbedBlock(indent + values.leadspaces.length + 1, true);
            }

            data.push(parser.parse(block, exceptionOnInvalidType, objectDecoder));
          } else {
            data.push(this.parseValue(values.value, exceptionOnInvalidType, objectDecoder));
          }
        }
      } else if ((values = this.PATTERN_MAPPING_ITEM.exec(this.currentLine)) && values.key.indexOf(' #') === -1) {
        if (this.CONTEXT_SEQUENCE === context) {
          throw new ParseException('You cannot define a mapping item when in a sequence');
        }

        context = this.CONTEXT_MAPPING;

        if (data == null) {
          data = {};
        }

        Inline.configure(exceptionOnInvalidType, objectDecoder);

        try {
          key = Inline.parseScalar(values.key);
        } catch (error) {
          e = error;
          e.parsedLine = this.getRealCurrentLineNb() + 1;
          e.snippet = this.currentLine;
          throw e;
        }

        if ('<<' === key) {
          mergeNode = true;
          allowOverwrite = true;

          if (((ref1 = values.value) != null ? ref1.indexOf('*') : void 0) === 0) {
            refName = values.value.slice(1);

            if (this.refs[refName] == null) {
              throw new ParseException('Reference "' + refName + '" does not exist.', this.getRealCurrentLineNb() + 1, this.currentLine);
            }

            refValue = this.refs[refName];

            if (typeof refValue !== 'object') {
              throw new ParseException('YAML merge keys used with a scalar value instead of an object.', this.getRealCurrentLineNb() + 1, this.currentLine);
            }

            if (refValue instanceof Array) {
              for (i = j = 0, len = refValue.length; j < len; i = ++j) {
                value = refValue[i];

                if (data[name = String(i)] == null) {
                  data[name] = value;
                }
              }
            } else {
              for (key in refValue) {
                value = refValue[key];

                if (data[key] == null) {
                  data[key] = value;
                }
              }
            }
          } else {
            if (values.value != null && values.value !== '') {
              value = values.value;
            } else {
              value = this.getNextEmbedBlock();
            }

            c = this.getRealCurrentLineNb() + 1;
            parser = new Parser(c);
            parser.refs = this.refs;
            parsed = parser.parse(value, exceptionOnInvalidType);

            if (typeof parsed !== 'object') {
              throw new ParseException('YAML merge keys used with a scalar value instead of an object.', this.getRealCurrentLineNb() + 1, this.currentLine);
            }

            if (parsed instanceof Array) {
              for (l = 0, len1 = parsed.length; l < len1; l++) {
                parsedItem = parsed[l];

                if (typeof parsedItem !== 'object') {
                  throw new ParseException('Merge items must be objects.', this.getRealCurrentLineNb() + 1, parsedItem);
                }

                if (parsedItem instanceof Array) {
                  for (i = m = 0, len2 = parsedItem.length; m < len2; i = ++m) {
                    value = parsedItem[i];
                    k = String(i);

                    if (!data.hasOwnProperty(k)) {
                      data[k] = value;
                    }
                  }
                } else {
                  for (key in parsedItem) {
                    value = parsedItem[key];

                    if (!data.hasOwnProperty(key)) {
                      data[key] = value;
                    }
                  }
                }
              }
            } else {
              for (key in parsed) {
                value = parsed[key];

                if (!data.hasOwnProperty(key)) {
                  data[key] = value;
                }
              }
            }
          }
        } else if (values.value != null && (matches = this.PATTERN_ANCHOR_VALUE.exec(values.value))) {
          isRef = matches.ref;
          values.value = matches.value;
        }

        if (mergeNode) {} else if (!(values.value != null) || '' === Utils.trim(values.value, ' ') || Utils.ltrim(values.value, ' ').indexOf('#') === 0) {
          if (!this.isNextLineIndented() && !this.isNextLineUnIndentedCollection()) {
            if (allowOverwrite || data[key] === void 0) {
              data[key] = null;
            }
          } else {
            c = this.getRealCurrentLineNb() + 1;
            parser = new Parser(c);
            parser.refs = this.refs;
            val = parser.parse(this.getNextEmbedBlock(), exceptionOnInvalidType, objectDecoder);

            if (allowOverwrite || data[key] === void 0) {
              data[key] = val;
            }
          }
        } else {
          val = this.parseValue(values.value, exceptionOnInvalidType, objectDecoder);

          if (allowOverwrite || data[key] === void 0) {
            data[key] = val;
          }
        }
      } else {
        lineCount = this.lines.length;

        if (1 === lineCount || 2 === lineCount && Utils.isEmpty(this.lines[1])) {
          try {
            value = Inline.parse(this.lines[0], exceptionOnInvalidType, objectDecoder);
          } catch (error) {
            e = error;
            e.parsedLine = this.getRealCurrentLineNb() + 1;
            e.snippet = this.currentLine;
            throw e;
          }

          if (typeof value === 'object') {
            if (value instanceof Array) {
              first = value[0];
            } else {
              for (key in value) {
                first = value[key];
                break;
              }
            }

            if (typeof first === 'string' && first.indexOf('*') === 0) {
              data = [];

              for (n = 0, len3 = value.length; n < len3; n++) {
                alias = value[n];
                data.push(this.refs[alias.slice(1)]);
              }

              value = data;
            }
          }

          return value;
        } else if ((ref2 = Utils.ltrim(value).charAt(0)) === '[' || ref2 === '{') {
          try {
            return Inline.parse(value, exceptionOnInvalidType, objectDecoder);
          } catch (error) {
            e = error;
            e.parsedLine = this.getRealCurrentLineNb() + 1;
            e.snippet = this.currentLine;
            throw e;
          }
        }

        throw new ParseException('Unable to parse.', this.getRealCurrentLineNb() + 1, this.currentLine);
      }

      if (isRef) {
        if (data instanceof Array) {
          this.refs[isRef] = data[data.length - 1];
        } else {
          lastKey = null;

          for (key in data) {
            lastKey = key;
          }

          this.refs[isRef] = data[lastKey];
        }
      }
    }

    if (Utils.isEmpty(data)) {
      return null;
    } else {
      return data;
    }
  };

  Parser.prototype.getRealCurrentLineNb = function () {
    return this.currentLineNb + this.offset;
  };

  Parser.prototype.getCurrentLineIndentation = function () {
    return this.currentLine.length - Utils.ltrim(this.currentLine, ' ').length;
  };

  Parser.prototype.getNextEmbedBlock = function (indentation, includeUnindentedCollection) {
    var data, indent, isItUnindentedCollection, newIndent, removeComments, removeCommentsPattern, unindentedEmbedBlock;

    if (indentation == null) {
      indentation = null;
    }

    if (includeUnindentedCollection == null) {
      includeUnindentedCollection = false;
    }

    this.moveToNextLine();

    if (indentation == null) {
      newIndent = this.getCurrentLineIndentation();
      unindentedEmbedBlock = this.isStringUnIndentedCollectionItem(this.currentLine);

      if (!this.isCurrentLineEmpty() && 0 === newIndent && !unindentedEmbedBlock) {
        throw new ParseException('Indentation problem.', this.getRealCurrentLineNb() + 1, this.currentLine);
      }
    } else {
      newIndent = indentation;
    }

    data = [this.currentLine.slice(newIndent)];

    if (!includeUnindentedCollection) {
      isItUnindentedCollection = this.isStringUnIndentedCollectionItem(this.currentLine);
    }

    removeCommentsPattern = this.PATTERN_FOLDED_SCALAR_END;
    removeComments = !removeCommentsPattern.test(this.currentLine);

    while (this.moveToNextLine()) {
      indent = this.getCurrentLineIndentation();

      if (indent === newIndent) {
        removeComments = !removeCommentsPattern.test(this.currentLine);
      }

      if (removeComments && this.isCurrentLineComment()) {
        continue;
      }

      if (this.isCurrentLineBlank()) {
        data.push(this.currentLine.slice(newIndent));
        continue;
      }

      if (isItUnindentedCollection && !this.isStringUnIndentedCollectionItem(this.currentLine) && indent === newIndent) {
        this.moveToPreviousLine();
        break;
      }

      if (indent >= newIndent) {
        data.push(this.currentLine.slice(newIndent));
      } else if (Utils.ltrim(this.currentLine).charAt(0) === '#') {} else if (0 === indent) {
        this.moveToPreviousLine();
        break;
      } else {
        throw new ParseException('Indentation problem.', this.getRealCurrentLineNb() + 1, this.currentLine);
      }
    }

    return data.join("\n");
  };

  Parser.prototype.moveToNextLine = function () {
    if (this.currentLineNb >= this.lines.length - 1) {
      return false;
    }

    this.currentLine = this.lines[++this.currentLineNb];
    return true;
  };

  Parser.prototype.moveToPreviousLine = function () {
    this.currentLine = this.lines[--this.currentLineNb];
  };

  Parser.prototype.parseValue = function (value, exceptionOnInvalidType, objectDecoder) {
    var e, foldedIndent, matches, modifiers, pos, ref, ref1, val;

    if (0 === value.indexOf('*')) {
      pos = value.indexOf('#');

      if (pos !== -1) {
        value = value.substr(1, pos - 2);
      } else {
        value = value.slice(1);
      }

      if (this.refs[value] === void 0) {
        throw new ParseException('Reference "' + value + '" does not exist.', this.currentLine);
      }

      return this.refs[value];
    }

    if (matches = this.PATTERN_FOLDED_SCALAR_ALL.exec(value)) {
      modifiers = (ref = matches.modifiers) != null ? ref : '';
      foldedIndent = Math.abs(parseInt(modifiers));

      if (isNaN(foldedIndent)) {
        foldedIndent = 0;
      }

      val = this.parseFoldedScalar(matches.separator, this.PATTERN_DECIMAL.replace(modifiers, ''), foldedIndent);

      if (matches.type != null) {
        Inline.configure(exceptionOnInvalidType, objectDecoder);
        return Inline.parseScalar(matches.type + ' ' + val);
      } else {
        return val;
      }
    }

    if ((ref1 = value.charAt(0)) === '[' || ref1 === '{' || ref1 === '"' || ref1 === "'") {
      while (true) {
        try {
          return Inline.parse(value, exceptionOnInvalidType, objectDecoder);
        } catch (error) {
          e = error;

          if (e instanceof ParseMore && this.moveToNextLine()) {
            value += "\n" + Utils.trim(this.currentLine, ' ');
          } else {
            e.parsedLine = this.getRealCurrentLineNb() + 1;
            e.snippet = this.currentLine;
            throw e;
          }
        }
      }
    } else {
      if (this.isNextLineIndented()) {
        value += "\n" + this.getNextEmbedBlock();
      }

      return Inline.parse(value, exceptionOnInvalidType, objectDecoder);
    }
  };

  Parser.prototype.parseFoldedScalar = function (separator, indicator, indentation) {
    var isCurrentLineBlank, j, len, line, matches, newText, notEOF, pattern, ref, text;

    if (indicator == null) {
      indicator = '';
    }

    if (indentation == null) {
      indentation = 0;
    }

    notEOF = this.moveToNextLine();

    if (!notEOF) {
      return '';
    }

    isCurrentLineBlank = this.isCurrentLineBlank();
    text = '';

    while (notEOF && isCurrentLineBlank) {
      if (notEOF = this.moveToNextLine()) {
        text += "\n";
        isCurrentLineBlank = this.isCurrentLineBlank();
      }
    }

    if (0 === indentation) {
      if (matches = this.PATTERN_INDENT_SPACES.exec(this.currentLine)) {
        indentation = matches[0].length;
      }
    }

    if (indentation > 0) {
      pattern = this.PATTERN_FOLDED_SCALAR_BY_INDENTATION[indentation];

      if (pattern == null) {
        pattern = new Pattern('^ {' + indentation + '}(.*)$');
        Parser.prototype.PATTERN_FOLDED_SCALAR_BY_INDENTATION[indentation] = pattern;
      }

      while (notEOF && (isCurrentLineBlank || (matches = pattern.exec(this.currentLine)))) {
        if (isCurrentLineBlank) {
          text += this.currentLine.slice(indentation);
        } else {
          text += matches[1];
        }

        if (notEOF = this.moveToNextLine()) {
          text += "\n";
          isCurrentLineBlank = this.isCurrentLineBlank();
        }
      }
    } else if (notEOF) {
      text += "\n";
    }

    if (notEOF) {
      this.moveToPreviousLine();
    }

    if ('>' === separator) {
      newText = '';
      ref = text.split("\n");

      for (j = 0, len = ref.length; j < len; j++) {
        line = ref[j];

        if (line.length === 0 || line.charAt(0) === ' ') {
          newText = Utils.rtrim(newText, ' ') + line + "\n";
        } else {
          newText += line + ' ';
        }
      }

      text = newText;
    }

    if ('+' !== indicator) {
      text = Utils.rtrim(text);
    }

    if ('' === indicator) {
      text = this.PATTERN_TRAILING_LINES.replace(text, "\n");
    } else if ('-' === indicator) {
      text = this.PATTERN_TRAILING_LINES.replace(text, '');
    }

    return text;
  };

  Parser.prototype.isNextLineIndented = function (ignoreComments) {
    var EOF, currentIndentation, ret;

    if (ignoreComments == null) {
      ignoreComments = true;
    }

    currentIndentation = this.getCurrentLineIndentation();
    EOF = !this.moveToNextLine();

    if (ignoreComments) {
      while (!EOF && this.isCurrentLineEmpty()) {
        EOF = !this.moveToNextLine();
      }
    } else {
      while (!EOF && this.isCurrentLineBlank()) {
        EOF = !this.moveToNextLine();
      }
    }

    if (EOF) {
      return false;
    }

    ret = false;

    if (this.getCurrentLineIndentation() > currentIndentation) {
      ret = true;
    }

    this.moveToPreviousLine();
    return ret;
  };

  Parser.prototype.isCurrentLineEmpty = function () {
    var trimmedLine;
    trimmedLine = Utils.trim(this.currentLine, ' ');
    return trimmedLine.length === 0 || trimmedLine.charAt(0) === '#';
  };

  Parser.prototype.isCurrentLineBlank = function () {
    return '' === Utils.trim(this.currentLine, ' ');
  };

  Parser.prototype.isCurrentLineComment = function () {
    var ltrimmedLine;
    ltrimmedLine = Utils.ltrim(this.currentLine, ' ');
    return ltrimmedLine.charAt(0) === '#';
  };

  Parser.prototype.cleanup = function (value) {
    var count, i, indent, j, l, len, len1, line, lines, ref, ref1, ref2, smallestIndent, trimmedValue;

    if (value.indexOf("\r") !== -1) {
      value = value.split("\r\n").join("\n").split("\r").join("\n");
    }

    count = 0;
    ref = this.PATTERN_YAML_HEADER.replaceAll(value, ''), value = ref[0], count = ref[1];
    this.offset += count;
    ref1 = this.PATTERN_LEADING_COMMENTS.replaceAll(value, '', 1), trimmedValue = ref1[0], count = ref1[1];

    if (count === 1) {
      this.offset += Utils.subStrCount(value, "\n") - Utils.subStrCount(trimmedValue, "\n");
      value = trimmedValue;
    }

    ref2 = this.PATTERN_DOCUMENT_MARKER_START.replaceAll(value, '', 1), trimmedValue = ref2[0], count = ref2[1];

    if (count === 1) {
      this.offset += Utils.subStrCount(value, "\n") - Utils.subStrCount(trimmedValue, "\n");
      value = trimmedValue;
      value = this.PATTERN_DOCUMENT_MARKER_END.replace(value, '');
    }

    lines = value.split("\n");
    smallestIndent = -1;

    for (j = 0, len = lines.length; j < len; j++) {
      line = lines[j];

      if (Utils.trim(line, ' ').length === 0) {
        continue;
      }

      indent = line.length - Utils.ltrim(line).length;

      if (smallestIndent === -1 || indent < smallestIndent) {
        smallestIndent = indent;
      }
    }

    if (smallestIndent > 0) {
      for (i = l = 0, len1 = lines.length; l < len1; i = ++l) {
        line = lines[i];
        lines[i] = line.slice(smallestIndent);
      }

      value = lines.join("\n");
    }

    return value;
  };

  Parser.prototype.isNextLineUnIndentedCollection = function (currentIndentation) {
    var notEOF, ret;

    if (currentIndentation == null) {
      currentIndentation = null;
    }

    if (currentIndentation == null) {
      currentIndentation = this.getCurrentLineIndentation();
    }

    notEOF = this.moveToNextLine();

    while (notEOF && this.isCurrentLineEmpty()) {
      notEOF = this.moveToNextLine();
    }

    if (false === notEOF) {
      return false;
    }

    ret = false;

    if (this.getCurrentLineIndentation() === currentIndentation && this.isStringUnIndentedCollectionItem(this.currentLine)) {
      ret = true;
    }

    this.moveToPreviousLine();
    return ret;
  };

  Parser.prototype.isStringUnIndentedCollectionItem = function () {
    return this.currentLine === '-' || this.currentLine.slice(0, 2) === '- ';
  };

  return Parser;
}();

module.exports = Parser;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js":
/***/ ((module) => {

// Generated by CoffeeScript 1.12.4
var Pattern;

Pattern = function () {
  Pattern.prototype.regex = null;
  Pattern.prototype.rawRegex = null;
  Pattern.prototype.cleanedRegex = null;
  Pattern.prototype.mapping = null;

  function Pattern(rawRegex, modifiers) {
    var _char, capturingBracketNumber, cleanedRegex, i, len, mapping, name, part, subChar;

    if (modifiers == null) {
      modifiers = '';
    }

    cleanedRegex = '';
    len = rawRegex.length;
    mapping = null;
    capturingBracketNumber = 0;
    i = 0;

    while (i < len) {
      _char = rawRegex.charAt(i);

      if (_char === '\\') {
        cleanedRegex += rawRegex.slice(i, +(i + 1) + 1 || 9e9);
        i++;
      } else if (_char === '(') {
        if (i < len - 2) {
          part = rawRegex.slice(i, +(i + 2) + 1 || 9e9);

          if (part === '(?:') {
            i += 2;
            cleanedRegex += part;
          } else if (part === '(?<') {
            capturingBracketNumber++;
            i += 2;
            name = '';

            while (i + 1 < len) {
              subChar = rawRegex.charAt(i + 1);

              if (subChar === '>') {
                cleanedRegex += '(';
                i++;

                if (name.length > 0) {
                  if (mapping == null) {
                    mapping = {};
                  }

                  mapping[name] = capturingBracketNumber;
                }

                break;
              } else {
                name += subChar;
              }

              i++;
            }
          } else {
            cleanedRegex += _char;
            capturingBracketNumber++;
          }
        } else {
          cleanedRegex += _char;
        }
      } else {
        cleanedRegex += _char;
      }

      i++;
    }

    this.rawRegex = rawRegex;
    this.cleanedRegex = cleanedRegex;
    this.regex = new RegExp(this.cleanedRegex, 'g' + modifiers.replace('g', ''));
    this.mapping = mapping;
  }

  Pattern.prototype.exec = function (str) {
    var index, matches, name, ref;
    this.regex.lastIndex = 0;
    matches = this.regex.exec(str);

    if (matches == null) {
      return null;
    }

    if (this.mapping != null) {
      ref = this.mapping;

      for (name in ref) {
        index = ref[name];
        matches[name] = matches[index];
      }
    }

    return matches;
  };

  Pattern.prototype.test = function (str) {
    this.regex.lastIndex = 0;
    return this.regex.test(str);
  };

  Pattern.prototype.replace = function (str, replacement) {
    this.regex.lastIndex = 0;
    return str.replace(this.regex, replacement);
  };

  Pattern.prototype.replaceAll = function (str, replacement, limit) {
    var count;

    if (limit == null) {
      limit = 0;
    }

    this.regex.lastIndex = 0;
    count = 0;

    while (this.regex.test(str) && (limit === 0 || count < limit)) {
      this.regex.lastIndex = 0;
      str = str.replace(this.regex, replacement);
      count++;
    }

    return [str, count];
  };

  return Pattern;
}();

module.exports = Pattern;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Unescaper.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var Pattern, Unescaper, Utils;
Utils = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js");
Pattern = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js");

Unescaper = function () {
  function Unescaper() {}

  Unescaper.PATTERN_ESCAPED_CHARACTER = new Pattern('\\\\([0abt\tnvfre "\\/\\\\N_LP]|x[0-9a-fA-F]{2}|u[0-9a-fA-F]{4}|U[0-9a-fA-F]{8})');

  Unescaper.unescapeSingleQuotedString = function (value) {
    return value.replace(/\'\'/g, '\'');
  };

  Unescaper.unescapeDoubleQuotedString = function (value) {
    if (this._unescapeCallback == null) {
      this._unescapeCallback = function (_this) {
        return function (str) {
          return _this.unescapeCharacter(str);
        };
      }(this);
    }

    return this.PATTERN_ESCAPED_CHARACTER.replace(value, this._unescapeCallback);
  };

  Unescaper.unescapeCharacter = function (value) {
    var ch;
    ch = String.fromCharCode;

    switch (value.charAt(1)) {
      case '0':
        return ch(0);

      case 'a':
        return ch(7);

      case 'b':
        return ch(8);

      case 't':
        return "\t";

      case "\t":
        return "\t";

      case 'n':
        return "\n";

      case 'v':
        return ch(11);

      case 'f':
        return ch(12);

      case 'r':
        return ch(13);

      case 'e':
        return ch(27);

      case ' ':
        return ' ';

      case '"':
        return '"';

      case '/':
        return '/';

      case '\\':
        return '\\';

      case 'N':
        return ch(0x0085);

      case '_':
        return ch(0x00A0);

      case 'L':
        return ch(0x2028);

      case 'P':
        return ch(0x2029);

      case 'x':
        return Utils.utf8chr(Utils.hexDec(value.substr(2, 2)));

      case 'u':
        return Utils.utf8chr(Utils.hexDec(value.substr(2, 4)));

      case 'U':
        return Utils.utf8chr(Utils.hexDec(value.substr(2, 8)));

      default:
        return '';
    }
  };

  return Unescaper;
}();

module.exports = Unescaper;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// Generated by CoffeeScript 1.12.4
var Pattern,
    Utils,
    hasProp = {}.hasOwnProperty;
Pattern = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Pattern.js");

Utils = function () {
  function Utils() {}

  Utils.REGEX_LEFT_TRIM_BY_CHAR = {};
  Utils.REGEX_RIGHT_TRIM_BY_CHAR = {};
  Utils.REGEX_SPACES = /\s+/g;
  Utils.REGEX_DIGITS = /^\d+$/;
  Utils.REGEX_OCTAL = /[^0-7]/gi;
  Utils.REGEX_HEXADECIMAL = /[^a-f0-9]/gi;
  Utils.PATTERN_DATE = new Pattern('^' + '(?<year>[0-9][0-9][0-9][0-9])' + '-(?<month>[0-9][0-9]?)' + '-(?<day>[0-9][0-9]?)' + '(?:(?:[Tt]|[ \t]+)' + '(?<hour>[0-9][0-9]?)' + ':(?<minute>[0-9][0-9])' + ':(?<second>[0-9][0-9])' + '(?:\.(?<fraction>[0-9]*))?' + '(?:[ \t]*(?<tz>Z|(?<tz_sign>[-+])(?<tz_hour>[0-9][0-9]?)' + '(?::(?<tz_minute>[0-9][0-9]))?))?)?' + '$', 'i');
  Utils.LOCAL_TIMEZONE_OFFSET = new Date().getTimezoneOffset() * 60 * 1000;

  Utils.trim = function (str, _char) {
    var regexLeft, regexRight;

    if (_char == null) {
      _char = '\\s';
    }

    regexLeft = this.REGEX_LEFT_TRIM_BY_CHAR[_char];

    if (regexLeft == null) {
      this.REGEX_LEFT_TRIM_BY_CHAR[_char] = regexLeft = new RegExp('^' + _char + '' + _char + '*');
    }

    regexLeft.lastIndex = 0;
    regexRight = this.REGEX_RIGHT_TRIM_BY_CHAR[_char];

    if (regexRight == null) {
      this.REGEX_RIGHT_TRIM_BY_CHAR[_char] = regexRight = new RegExp(_char + '' + _char + '*$');
    }

    regexRight.lastIndex = 0;
    return str.replace(regexLeft, '').replace(regexRight, '');
  };

  Utils.ltrim = function (str, _char) {
    var regexLeft;

    if (_char == null) {
      _char = '\\s';
    }

    regexLeft = this.REGEX_LEFT_TRIM_BY_CHAR[_char];

    if (regexLeft == null) {
      this.REGEX_LEFT_TRIM_BY_CHAR[_char] = regexLeft = new RegExp('^' + _char + '' + _char + '*');
    }

    regexLeft.lastIndex = 0;
    return str.replace(regexLeft, '');
  };

  Utils.rtrim = function (str, _char) {
    var regexRight;

    if (_char == null) {
      _char = '\\s';
    }

    regexRight = this.REGEX_RIGHT_TRIM_BY_CHAR[_char];

    if (regexRight == null) {
      this.REGEX_RIGHT_TRIM_BY_CHAR[_char] = regexRight = new RegExp(_char + '' + _char + '*$');
    }

    regexRight.lastIndex = 0;
    return str.replace(regexRight, '');
  };

  Utils.isEmpty = function (value) {
    return !value || value === '' || value === '0' || value instanceof Array && value.length === 0 || this.isEmptyObject(value);
  };

  Utils.isEmptyObject = function (value) {
    var k;
    return value instanceof Object && function () {
      var results;
      results = [];

      for (k in value) {
        if (!hasProp.call(value, k)) continue;
        results.push(k);
      }

      return results;
    }().length === 0;
  };

  Utils.subStrCount = function (string, subString, start, length) {
    var c, i, j, len, ref, sublen;
    c = 0;
    string = '' + string;
    subString = '' + subString;

    if (start != null) {
      string = string.slice(start);
    }

    if (length != null) {
      string = string.slice(0, length);
    }

    len = string.length;
    sublen = subString.length;

    for (i = j = 0, ref = len; 0 <= ref ? j < ref : j > ref; i = 0 <= ref ? ++j : --j) {
      if (subString === string.slice(i, sublen)) {
        c++;
        i += sublen - 1;
      }
    }

    return c;
  };

  Utils.isDigits = function (input) {
    this.REGEX_DIGITS.lastIndex = 0;
    return this.REGEX_DIGITS.test(input);
  };

  Utils.octDec = function (input) {
    this.REGEX_OCTAL.lastIndex = 0;
    return parseInt((input + '').replace(this.REGEX_OCTAL, ''), 8);
  };

  Utils.hexDec = function (input) {
    this.REGEX_HEXADECIMAL.lastIndex = 0;
    input = this.trim(input);

    if ((input + '').slice(0, 2) === '0x') {
      input = (input + '').slice(2);
    }

    return parseInt((input + '').replace(this.REGEX_HEXADECIMAL, ''), 16);
  };

  Utils.utf8chr = function (c) {
    var ch;
    ch = String.fromCharCode;

    if (0x80 > (c %= 0x200000)) {
      return ch(c);
    }

    if (0x800 > c) {
      return ch(0xC0 | c >> 6) + ch(0x80 | c & 0x3F);
    }

    if (0x10000 > c) {
      return ch(0xE0 | c >> 12) + ch(0x80 | c >> 6 & 0x3F) + ch(0x80 | c & 0x3F);
    }

    return ch(0xF0 | c >> 18) + ch(0x80 | c >> 12 & 0x3F) + ch(0x80 | c >> 6 & 0x3F) + ch(0x80 | c & 0x3F);
  };

  Utils.parseBoolean = function (input, strict) {
    var lowerInput;

    if (strict == null) {
      strict = true;
    }

    if (typeof input === 'string') {
      lowerInput = input.toLowerCase();

      if (!strict) {
        if (lowerInput === 'no') {
          return false;
        }
      }

      if (lowerInput === '0') {
        return false;
      }

      if (lowerInput === 'false') {
        return false;
      }

      if (lowerInput === '') {
        return false;
      }

      return true;
    }

    return !!input;
  };

  Utils.isNumeric = function (input) {
    this.REGEX_SPACES.lastIndex = 0;
    return typeof input === 'number' || typeof input === 'string' && !isNaN(input) && input.replace(this.REGEX_SPACES, '') !== '';
  };

  Utils.stringToDate = function (str) {
    var date, day, fraction, hour, info, minute, month, second, tz_hour, tz_minute, tz_offset, year;

    if (!(str != null ? str.length : void 0)) {
      return null;
    }

    info = this.PATTERN_DATE.exec(str);

    if (!info) {
      return null;
    }

    year = parseInt(info.year, 10);
    month = parseInt(info.month, 10) - 1;
    day = parseInt(info.day, 10);

    if (info.hour == null) {
      date = new Date(Date.UTC(year, month, day));
      return date;
    }

    hour = parseInt(info.hour, 10);
    minute = parseInt(info.minute, 10);
    second = parseInt(info.second, 10);

    if (info.fraction != null) {
      fraction = info.fraction.slice(0, 3);

      while (fraction.length < 3) {
        fraction += '0';
      }

      fraction = parseInt(fraction, 10);
    } else {
      fraction = 0;
    }

    if (info.tz != null) {
      tz_hour = parseInt(info.tz_hour, 10);

      if (info.tz_minute != null) {
        tz_minute = parseInt(info.tz_minute, 10);
      } else {
        tz_minute = 0;
      }

      tz_offset = (tz_hour * 60 + tz_minute) * 60000;

      if ('-' === info.tz_sign) {
        tz_offset *= -1;
      }
    }

    date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));

    if (tz_offset) {
      date.setTime(date.getTime() - tz_offset);
    }

    return date;
  };

  Utils.strRepeat = function (str, number) {
    var i, res;
    res = '';
    i = 0;

    while (i < number) {
      res += str;
      i++;
    }

    return res;
  };

  Utils.getStringFromFile = function (path, callback) {
    var data, fs, j, len1, name, ref, req, xhr;

    if (callback == null) {
      callback = null;
    }

    xhr = null;

    if (typeof window !== "undefined" && window !== null) {
      if (window.XMLHttpRequest) {
        xhr = new XMLHttpRequest();
      } else if (window.ActiveXObject) {
        ref = ["Msxml2.XMLHTTP.6.0", "Msxml2.XMLHTTP.3.0", "Msxml2.XMLHTTP", "Microsoft.XMLHTTP"];

        for (j = 0, len1 = ref.length; j < len1; j++) {
          name = ref[j];

          try {
            xhr = new ActiveXObject(name);
          } catch (error) {}
        }
      }
    }

    if (xhr != null) {
      if (callback != null) {
        xhr.onreadystatechange = function () {
          if (xhr.readyState === 4) {
            if (xhr.status === 200 || xhr.status === 0) {
              return callback(xhr.responseText);
            } else {
              return callback(null);
            }
          }
        };

        xhr.open('GET', path, true);
        return xhr.send(null);
      } else {
        xhr.open('GET', path, false);
        xhr.send(null);

        if (xhr.status === 200 || xhr.status === 0) {
          return xhr.responseText;
        }

        return null;
      }
    } else {
      req = undefined;
      fs = __webpack_require__("fs");

      if (callback != null) {
        return fs.readFile(path, function (err, data) {
          if (err) {
            return callback(null);
          } else {
            return callback(String(data));
          }
        });
      } else {
        data = fs.readFileSync(path);

        if (data != null) {
          return String(data);
        }

        return null;
      }
    }
  };

  return Utils;
}();

module.exports = Utils;

/***/ }),

/***/ "./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Yaml.js":
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

// Generated by CoffeeScript 1.12.4
var Dumper, Parser, Utils, Yaml;
Parser = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Parser.js");
Dumper = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Dumper.js");
Utils = __webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Utils.js");

Yaml = function () {
  function Yaml() {}

  Yaml.parse = function (input, exceptionOnInvalidType, objectDecoder) {
    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectDecoder == null) {
      objectDecoder = null;
    }

    return new Parser().parse(input, exceptionOnInvalidType, objectDecoder);
  };

  Yaml.parseFile = function (path, callback, exceptionOnInvalidType, objectDecoder) {
    var input;

    if (callback == null) {
      callback = null;
    }

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectDecoder == null) {
      objectDecoder = null;
    }

    if (callback != null) {
      return Utils.getStringFromFile(path, function (_this) {
        return function (input) {
          var result;
          result = null;

          if (input != null) {
            result = _this.parse(input, exceptionOnInvalidType, objectDecoder);
          }

          callback(result);
        };
      }(this));
    } else {
      input = Utils.getStringFromFile(path);

      if (input != null) {
        return this.parse(input, exceptionOnInvalidType, objectDecoder);
      }

      return null;
    }
  };

  Yaml.dump = function (input, inline, indent, exceptionOnInvalidType, objectEncoder) {
    var yaml;

    if (inline == null) {
      inline = 2;
    }

    if (indent == null) {
      indent = 4;
    }

    if (exceptionOnInvalidType == null) {
      exceptionOnInvalidType = false;
    }

    if (objectEncoder == null) {
      objectEncoder = null;
    }

    yaml = new Dumper();
    yaml.indentation = indent;
    return yaml.dump(input, inline, 0, exceptionOnInvalidType, objectEncoder);
  };

  Yaml.stringify = function (input, inline, indent, exceptionOnInvalidType, objectEncoder) {
    return this.dump(input, inline, indent, exceptionOnInvalidType, objectEncoder);
  };

  Yaml.load = function (path, callback, exceptionOnInvalidType, objectDecoder) {
    return this.parseFile(path, callback, exceptionOnInvalidType, objectDecoder);
  };

  return Yaml;
}();

if (typeof window !== "undefined" && window !== null) {
  window.YAML = Yaml;
}

if (typeof window === "undefined" || window === null) {
  this.YAML = Yaml;
}

module.exports = Yaml;

/***/ }),

/***/ "./node_modules/.f/_/yocto-queue/0.1.0/yocto-queue/index.js":
/***/ ((module) => {

class Node {
  /// value;
  /// next;
  constructor(value) {
    this.value = value; // TODO: Remove this when targeting Node.js 12.

    this.next = undefined;
  }

}

class Queue {
  // TODO: Use private class fields when targeting Node.js 12.
  // #_head;
  // #_tail;
  // #_size;
  constructor() {
    this.clear();
  }

  enqueue(value) {
    const node = new Node(value);

    if (this._head) {
      this._tail.next = node;
      this._tail = node;
    } else {
      this._head = node;
      this._tail = node;
    }

    this._size++;
  }

  dequeue() {
    const current = this._head;

    if (!current) {
      return;
    }

    this._head = this._head.next;
    this._size--;
    return current.value;
  }

  clear() {
    this._head = undefined;
    this._tail = undefined;
    this._size = 0;
  }

  get size() {
    return this._size;
  }

  *[Symbol.iterator]() {
    let current = this._head;

    while (current) {
      yield current.value;
      current = current.next;
    }
  }

}

module.exports = Queue;

/***/ }),

/***/ "./stubs/debug.js":
/***/ ((module) => {

"use strict";


module.exports = () => () => undefined;

/***/ }),

/***/ "./stubs/iconv-lite.js":
/***/ ((module) => {

const poof = () => {
  throw new Error("iconv-lite is not bundled");
};

module.exports = {
  encode: poof,
  decode: poof
};

/***/ }),

/***/ "./stubs/resolve-from.js":
/***/ ((module) => {

"use strict";


module.exports = function (dir, id) {
  return `no-resolve-from/${id}`;
};

/***/ }),

/***/ "./yarn/index.js":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


const parse = __webpack_require__("./yarn/lib/lockfile/parse.js")["default"];

module.exports = {
  parseYarnLock: (str, filename) => parse(str, filename).object
};

/***/ }),

/***/ "./yarn/lib/constants.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.LOCKFILE_VERSION = void 0; // lockfile version, bump whenever we make backwards incompatible changes

const LOCKFILE_VERSION = 1;
exports.LOCKFILE_VERSION = LOCKFILE_VERSION;

/***/ }),

/***/ "./yarn/lib/errors.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.SecurityError = exports.ResponseError = exports.ProcessTermError = exports.ProcessSpawnError = exports.OneTimePasswordError = exports.MessageError = void 0;

class MessageError extends Error {
  constructor(msg, code) {
    super(msg);
    this.code = code;
  }

}

exports.MessageError = MessageError;

class ProcessSpawnError extends MessageError {
  constructor(msg, code, process) {
    super(msg, code);
    this.process = process;
  }

}

exports.ProcessSpawnError = ProcessSpawnError;

class SecurityError extends MessageError {}

exports.SecurityError = SecurityError;

class ProcessTermError extends MessageError {}

exports.ProcessTermError = ProcessTermError;

class ResponseError extends Error {
  constructor(msg, responseCode) {
    super(msg);
    this.responseCode = responseCode;
  }

}

exports.ResponseError = ResponseError;

class OneTimePasswordError extends Error {}

exports.OneTimePasswordError = OneTimePasswordError;

/***/ }),

/***/ "./yarn/lib/lockfile/parse.js":
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
var __webpack_unused_export__;


__webpack_unused_export__ = ({
  value: true
});
exports["default"] = _default;

var _util = _interopRequireDefault(__webpack_require__("util"));

var _invariant = _interopRequireDefault(__webpack_require__("./node_modules/.f/_/invariant/2.2.4/invariant/invariant.js"));

var _stripBom = _interopRequireDefault(__webpack_require__("./node_modules/.f/_/strip-bom/4.0.0/strip-bom/index.js"));

var _constants = __webpack_require__("./yarn/lib/constants.js");

var _errors = __webpack_require__("./yarn/lib/errors.js");

var _map = _interopRequireDefault(__webpack_require__("./yarn/lib/util/map.js"));

var _yamljs = _interopRequireDefault(__webpack_require__("./node_modules/.f/_/yamljs/0.3.0/yamljs/lib/Yaml.js"));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    default: obj
  };
}
/* eslint quotes: 0 */


const VERSION_REGEX = /^yarn lockfile v(\d+)$/;
const TOKEN_TYPES = {
  boolean: "BOOLEAN",
  string: "STRING",
  identifier: "IDENTIFIER",
  eof: "EOF",
  colon: "COLON",
  newline: "NEWLINE",
  comment: "COMMENT",
  indent: "INDENT",
  invalid: "INVALID",
  number: "NUMBER",
  comma: "COMMA"
};
const VALID_PROP_VALUE_TOKENS = [TOKEN_TYPES.boolean, TOKEN_TYPES.string, TOKEN_TYPES.number];

function isValidPropValueToken(token) {
  return VALID_PROP_VALUE_TOKENS.indexOf(token.type) >= 0;
}

function* tokenise(input) {
  let lastNewline = false;
  let line = 1;
  let col = 0;

  function buildToken(type, value) {
    return {
      line,
      col,
      type,
      value
    };
  }

  while (input.length) {
    let chop = 0;

    if (input[0] === "\n" || input[0] === "\r") {
      chop++; // If this is a \r\n line, ignore both chars but only add one new line

      if (input[1] === "\n") {
        chop++;
      }

      line++;
      col = 0;
      yield buildToken(TOKEN_TYPES.newline);
    } else if (input[0] === "#") {
      chop++;
      let nextNewline = input.indexOf("\n", chop);

      if (nextNewline === -1) {
        nextNewline = input.length;
      }

      const val = input.substring(chop, nextNewline);
      chop = nextNewline;
      yield buildToken(TOKEN_TYPES.comment, val);
    } else if (input[0] === " ") {
      if (lastNewline) {
        let indentSize = 1;

        for (let i = 1; input[i] === " "; i++) {
          indentSize++;
        }

        if (indentSize % 2) {
          throw new TypeError("Invalid number of spaces");
        } else {
          chop = indentSize;
          yield buildToken(TOKEN_TYPES.indent, indentSize / 2);
        }
      } else {
        chop++;
      }
    } else if (input[0] === '"') {
      let i = 1;

      for (; i < input.length; i++) {
        if (input[i] === '"') {
          const isEscaped = input[i - 1] === "\\" && input[i - 2] !== "\\";

          if (!isEscaped) {
            i++;
            break;
          }
        }
      }

      const val = input.substring(0, i);
      chop = i;

      try {
        yield buildToken(TOKEN_TYPES.string, JSON.parse(val));
      } catch (err) {
        if (err instanceof SyntaxError) {
          yield buildToken(TOKEN_TYPES.invalid);
        } else {
          throw err;
        }
      }
    } else if (/^[0-9]/.test(input)) {
      const val = /^[0-9]+/.exec(input)[0];
      chop = val.length;
      yield buildToken(TOKEN_TYPES.number, +val);
    } else if (/^true/.test(input)) {
      yield buildToken(TOKEN_TYPES.boolean, true);
      chop = 4;
    } else if (/^false/.test(input)) {
      yield buildToken(TOKEN_TYPES.boolean, false);
      chop = 5;
    } else if (input[0] === ":") {
      yield buildToken(TOKEN_TYPES.colon);
      chop++;
    } else if (input[0] === ",") {
      yield buildToken(TOKEN_TYPES.comma);
      chop++;
    } else if (/^[a-zA-Z\/.-]/g.test(input)) {
      let i = 0;

      for (; i < input.length; i++) {
        const char = input[i];

        if (char === ":" || char === " " || char === "\n" || char === "\r" || char === ",") {
          break;
        }
      }

      const name = input.substring(0, i);
      chop = i;
      yield buildToken(TOKEN_TYPES.string, name);
    } else {
      yield buildToken(TOKEN_TYPES.invalid);
    }

    if (!chop) {
      // will trigger infinite recursion
      yield buildToken(TOKEN_TYPES.invalid);
    }

    col += chop;
    lastNewline = input[0] === "\n" || input[0] === "\r" && input[1] === "\n";
    input = input.slice(chop);
  }

  yield buildToken(TOKEN_TYPES.eof);
}

class Parser {
  constructor(input, fileLoc = "lockfile") {
    this.comments = [];
    this.tokens = tokenise(input);
    this.fileLoc = fileLoc;
  }

  onComment(token) {
    const value = token.value;
    (0, _invariant.default)(typeof value === "string", "expected token value to be a string");
    const comment = value.trim();
    const versionMatch = comment.match(VERSION_REGEX);

    if (versionMatch) {
      const version = +versionMatch[1];

      if (version > _constants.LOCKFILE_VERSION) {
        throw new _errors.MessageError(`Can't install from a lockfile of version ${version} as you're on an old yarn version that only supports ` + `versions up to ${_constants.LOCKFILE_VERSION}. Run \`$ yarn self-update\` to upgrade to the latest version.`);
      }
    }

    this.comments.push(comment);
  }

  next() {
    const item = this.tokens.next();
    (0, _invariant.default)(item, "expected a token");
    const {
      done,
      value
    } = item;

    if (done || !value) {
      throw new Error("No more tokens");
    } else if (value.type === TOKEN_TYPES.comment) {
      this.onComment(value);
      return this.next();
    } else {
      return this.token = value;
    }
  }

  unexpected(msg = "Unexpected token") {
    throw new SyntaxError(`${msg} ${this.token.line}:${this.token.col} in ${this.fileLoc}`);
  }

  expect(tokType) {
    if (this.token.type === tokType) {
      this.next();
    } else {
      this.unexpected();
    }
  }

  eat(tokType) {
    if (this.token.type === tokType) {
      this.next();
      return true;
    } else {
      return false;
    }
  }

  parse(indent = 0) {
    const obj = (0, _map.default)();

    while (true) {
      const propToken = this.token;

      if (propToken.type === TOKEN_TYPES.newline) {
        const nextToken = this.next();

        if (!indent) {
          // if we have 0 indentation then the next token doesn't matter
          continue;
        }

        if (nextToken.type !== TOKEN_TYPES.indent) {
          // if we have no indentation after a newline then we've gone down a level
          break;
        }

        if (nextToken.value === indent) {
          // all is good, the indent is on our level
          this.next();
        } else {
          // the indentation is less than our level
          break;
        }
      } else if (propToken.type === TOKEN_TYPES.indent) {
        if (propToken.value === indent) {
          this.next();
        } else {
          break;
        }
      } else if (propToken.type === TOKEN_TYPES.eof) {
        break;
      } else if (propToken.type === TOKEN_TYPES.string) {
        // property key
        const key = propToken.value;
        (0, _invariant.default)(key, "Expected a key");
        const keys = [key];
        this.next(); // support multiple keys

        while (this.token.type === TOKEN_TYPES.comma) {
          this.next(); // skip comma

          const keyToken = this.token;

          if (keyToken.type !== TOKEN_TYPES.string) {
            this.unexpected("Expected string");
          }

          const key = keyToken.value;
          (0, _invariant.default)(key, "Expected a key");
          keys.push(key);
          this.next();
        }

        const wasColon = this.token.type === TOKEN_TYPES.colon;

        if (wasColon) {
          this.next();
        }

        if (isValidPropValueToken(this.token)) {
          // plain value
          for (const key of keys) {
            obj[key] = this.token.value;
          }

          this.next();
        } else if (wasColon) {
          // parse object
          const val = this.parse(indent + 1);

          for (const key of keys) {
            obj[key] = val;
          }

          if (indent && this.token.type !== TOKEN_TYPES.indent) {
            break;
          }
        } else {
          this.unexpected("Invalid value type");
        }
      } else {
        this.unexpected(`Unknown token: ${_util.default.inspect(propToken)}`);
      }
    }

    return obj;
  }

}

const MERGE_CONFLICT_ANCESTOR = "|||||||";
const MERGE_CONFLICT_END = ">>>>>>>";
const MERGE_CONFLICT_SEP = "=======";
const MERGE_CONFLICT_START = "<<<<<<<";
/**
 * Extract the two versions of the lockfile from a merge conflict.
 */

function extractConflictVariants(str) {
  const variants = [[], []];
  const lines = str.split(/\r?\n/g);
  let skip = false;

  while (lines.length) {
    const line = lines.shift();

    if (line.startsWith(MERGE_CONFLICT_START)) {
      // get the first variant
      while (lines.length) {
        const conflictLine = lines.shift();

        if (conflictLine === MERGE_CONFLICT_SEP) {
          skip = false;
          break;
        } else if (skip || conflictLine.startsWith(MERGE_CONFLICT_ANCESTOR)) {
          skip = true;
          continue;
        } else {
          variants[0].push(conflictLine);
        }
      } // get the second variant


      while (lines.length) {
        const conflictLine = lines.shift();

        if (conflictLine.startsWith(MERGE_CONFLICT_END)) {
          break;
        } else {
          variants[1].push(conflictLine);
        }
      }
    } else {
      variants[0].push(line);
      variants[1].push(line);
    }
  }

  return [variants[0].join("\n"), variants[1].join("\n")];
}
/**
 * Check if a lockfile has merge conflicts.
 */


function hasMergeConflicts(str) {
  return str.includes(MERGE_CONFLICT_START) && str.includes(MERGE_CONFLICT_SEP) && str.includes(MERGE_CONFLICT_END);
}
/**
 * Parse the lockfile.
 */


function parse(str, fileLoc) {
  const parser = new Parser(str, fileLoc);
  parser.next();

  if (!fileLoc.endsWith(`.yml`)) {
    try {
      return parser.parse();
    } catch (error1) {
      try {
        return _yamljs.default.parse(str);
      } catch (error2) {
        throw error1;
      }
    }
  } else {
    const result = _yamljs.default.parse(str);

    if (typeof result === "object") {
      return result;
    } else {
      return {};
    }
  }
}
/**
 * Parse and merge the two variants in a conflicted lockfile.
 */


function parseWithConflict(str, fileLoc) {
  const variants = extractConflictVariants(str);

  try {
    return {
      type: "merge",
      object: Object.assign({}, parse(variants[0], fileLoc), parse(variants[1], fileLoc))
    };
  } catch (err) {
    if (err instanceof SyntaxError) {
      return {
        type: "conflict",
        object: {}
      };
    } else {
      throw err;
    }
  }
}

function _default(str, fileLoc = "lockfile") {
  str = (0, _stripBom.default)(str);
  return hasMergeConflicts(str) ? parseWithConflict(str, fileLoc) : {
    type: "success",
    object: parse(str, fileLoc)
  };
}

/***/ }),

/***/ "./yarn/lib/util/map.js":
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports["default"] = nullify;

function nullify(obj = {}) {
  if (Array.isArray(obj)) {
    for (const item of obj) {
      nullify(item);
    }
  } else if (obj !== null && typeof obj === "object" || typeof obj === "function") {
    Object.setPrototypeOf(obj, null); // for..in can only be applied to 'object', not 'function'

    if (typeof obj === "object") {
      for (const key in obj) {
        nullify(obj[key]);
      }
    }
  }

  return obj;
}

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib sync recursive ^\\.\\/.*$":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var map = {
	"./Find-VisualStudio.cs": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/Find-VisualStudio.cs",
	"./build": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/build.js",
	"./build.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/build.js",
	"./clean": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/clean.js",
	"./clean.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/clean.js",
	"./configure": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/configure.js",
	"./configure.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/configure.js",
	"./create-config-gypi": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/create-config-gypi.js",
	"./create-config-gypi.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/create-config-gypi.js",
	"./find-node-directory": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-node-directory.js",
	"./find-node-directory.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-node-directory.js",
	"./find-python": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-python.js",
	"./find-python.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-python.js",
	"./find-visualstudio": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-visualstudio.js",
	"./find-visualstudio.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/find-visualstudio.js",
	"./install": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/install.js",
	"./install.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/install.js",
	"./list": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/list.js",
	"./list.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/list.js",
	"./node-gyp": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/node-gyp.js",
	"./node-gyp.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/node-gyp.js",
	"./process-release": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/process-release.js",
	"./process-release.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/process-release.js",
	"./rebuild": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/rebuild.js",
	"./rebuild.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/rebuild.js",
	"./remove": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/remove.js",
	"./remove.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/remove.js",
	"./util": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js",
	"./util.js": "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/util.js"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib sync recursive ^\\.\\/.*$";

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/lib/Find-VisualStudio.cs":
/***/ (() => {



/***/ }),

/***/ "./node_modules/.f/_/shcmd/0.8.4/shcmd/src sync recursive ^\\.\\/.*$":
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var map = {
	"./cat": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cat.js",
	"./cat.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cat.js",
	"./cd": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cd.js",
	"./cd.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cd.js",
	"./chmod": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/chmod.js",
	"./chmod.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/chmod.js",
	"./common": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js",
	"./common.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/common.js",
	"./cp": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cp.js",
	"./cp.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/cp.js",
	"./dirs": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/dirs.js",
	"./dirs.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/dirs.js",
	"./echo": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/echo.js",
	"./echo.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/echo.js",
	"./error": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/error.js",
	"./error.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/error.js",
	"./exec": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec.js",
	"./exec-child": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec-child.js",
	"./exec-child.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec-child.js",
	"./exec.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/exec.js",
	"./find": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/find.js",
	"./find.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/find.js",
	"./grep": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/grep.js",
	"./grep.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/grep.js",
	"./head": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/head.js",
	"./head.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/head.js",
	"./ln": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ln.js",
	"./ln.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ln.js",
	"./ls": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ls.js",
	"./ls.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/ls.js",
	"./mkdir": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mkdir.js",
	"./mkdir.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mkdir.js",
	"./mv": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mv.js",
	"./mv.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/mv.js",
	"./popd": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/popd.js",
	"./popd.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/popd.js",
	"./pushd": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pushd.js",
	"./pushd.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pushd.js",
	"./pwd": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pwd.js",
	"./pwd.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/pwd.js",
	"./rm": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/rm.js",
	"./rm.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/rm.js",
	"./sed": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sed.js",
	"./sed.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sed.js",
	"./set": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/set.js",
	"./set.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/set.js",
	"./sort": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sort.js",
	"./sort.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/sort.js",
	"./tail": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tail.js",
	"./tail.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tail.js",
	"./tempdir": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tempdir.js",
	"./tempdir.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/tempdir.js",
	"./test": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/test.js",
	"./test.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/test.js",
	"./to": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/to.js",
	"./to.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/to.js",
	"./toEnd": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/toEnd.js",
	"./toEnd.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/toEnd.js",
	"./touch": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/touch.js",
	"./touch.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/touch.js",
	"./uniq": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/uniq.js",
	"./uniq.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/uniq.js",
	"./which": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/which.js",
	"./which.js": "./node_modules/.f/_/shcmd/0.8.4/shcmd/src/which.js"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "./node_modules/.f/_/shcmd/0.8.4/shcmd/src sync recursive ^\\.\\/.*$";

/***/ }),

/***/ "assert":
/***/ ((module) => {

"use strict";
module.exports = require("assert");

/***/ }),

/***/ "async_hooks":
/***/ ((module) => {

"use strict";
module.exports = require("async_hooks");

/***/ }),

/***/ "buffer":
/***/ ((module) => {

"use strict";
module.exports = require("buffer");

/***/ }),

/***/ "child_process":
/***/ ((module) => {

"use strict";
module.exports = require("child_process");

/***/ }),

/***/ "constants":
/***/ ((module) => {

"use strict";
module.exports = require("constants");

/***/ }),

/***/ "crypto":
/***/ ((module) => {

"use strict";
module.exports = require("crypto");

/***/ }),

/***/ "dns":
/***/ ((module) => {

"use strict";
module.exports = require("dns");

/***/ }),

/***/ "events":
/***/ ((module) => {

"use strict";
module.exports = require("events");

/***/ }),

/***/ "fs":
/***/ ((module) => {

"use strict";
module.exports = require("fs");

/***/ }),

/***/ "http":
/***/ ((module) => {

"use strict";
module.exports = require("http");

/***/ }),

/***/ "https":
/***/ ((module) => {

"use strict";
module.exports = require("https");

/***/ }),

/***/ "module":
/***/ ((module) => {

"use strict";
module.exports = require("module");

/***/ }),

/***/ "net":
/***/ ((module) => {

"use strict";
module.exports = require("net");

/***/ }),

/***/ "os":
/***/ ((module) => {

"use strict";
module.exports = require("os");

/***/ }),

/***/ "path":
/***/ ((module) => {

"use strict";
module.exports = require("path");

/***/ }),

/***/ "querystring":
/***/ ((module) => {

"use strict";
module.exports = require("querystring");

/***/ }),

/***/ "readline":
/***/ ((module) => {

"use strict";
module.exports = require("readline");

/***/ }),

/***/ "stream":
/***/ ((module) => {

"use strict";
module.exports = require("stream");

/***/ }),

/***/ "string_decoder":
/***/ ((module) => {

"use strict";
module.exports = require("string_decoder");

/***/ }),

/***/ "timers":
/***/ ((module) => {

"use strict";
module.exports = require("timers");

/***/ }),

/***/ "tls":
/***/ ((module) => {

"use strict";
module.exports = require("tls");

/***/ }),

/***/ "tty":
/***/ ((module) => {

"use strict";
module.exports = require("tty");

/***/ }),

/***/ "url":
/***/ ((module) => {

"use strict";
module.exports = require("url");

/***/ }),

/***/ "util":
/***/ ((module) => {

"use strict";
module.exports = require("util");

/***/ }),

/***/ "zlib":
/***/ ((module) => {

"use strict";
module.exports = require("zlib");

/***/ }),

/***/ "./node_modules/.f/_/builtins/1.0.3/builtins/builtins.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["assert","buffer","child_process","cluster","console","constants","crypto","dgram","dns","domain","events","fs","http","https","module","net","os","path","process","punycode","querystring","readline","repl","stream","string_decoder","timers","tls","tty","url","util","v8","vm","zlib"]');

/***/ }),

/***/ "./node_modules/.f/_/cacache/11.3.2/cacache/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"cache-version":{"content":"2","index":"5"}}');

/***/ }),

/***/ "./node_modules/.f/_/cacache/15.3.0/cacache/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"cache-version":{"content":"2","index":"5"}}');

/***/ }),

/***/ "./node_modules/.f/_/ci-info/2.0.0/ci-info/vendors.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('[{"name":"AppVeyor","constant":"APPVEYOR","env":"APPVEYOR","pr":"APPVEYOR_PULL_REQUEST_NUMBER"},{"name":"Azure Pipelines","constant":"AZURE_PIPELINES","env":"SYSTEM_TEAMFOUNDATIONCOLLECTIONURI","pr":"SYSTEM_PULLREQUEST_PULLREQUESTID"},{"name":"Bamboo","constant":"BAMBOO","env":"bamboo_planKey"},{"name":"Bitbucket Pipelines","constant":"BITBUCKET","env":"BITBUCKET_COMMIT","pr":"BITBUCKET_PR_ID"},{"name":"Bitrise","constant":"BITRISE","env":"BITRISE_IO","pr":"BITRISE_PULL_REQUEST"},{"name":"Buddy","constant":"BUDDY","env":"BUDDY_WORKSPACE_ID","pr":"BUDDY_EXECUTION_PULL_REQUEST_ID"},{"name":"Buildkite","constant":"BUILDKITE","env":"BUILDKITE","pr":{"env":"BUILDKITE_PULL_REQUEST","ne":"false"}},{"name":"CircleCI","constant":"CIRCLE","env":"CIRCLECI","pr":"CIRCLE_PULL_REQUEST"},{"name":"Cirrus CI","constant":"CIRRUS","env":"CIRRUS_CI","pr":"CIRRUS_PR"},{"name":"AWS CodeBuild","constant":"CODEBUILD","env":"CODEBUILD_BUILD_ARN"},{"name":"Codeship","constant":"CODESHIP","env":{"CI_NAME":"codeship"}},{"name":"Drone","constant":"DRONE","env":"DRONE","pr":{"DRONE_BUILD_EVENT":"pull_request"}},{"name":"dsari","constant":"DSARI","env":"DSARI"},{"name":"GitLab CI","constant":"GITLAB","env":"GITLAB_CI"},{"name":"GoCD","constant":"GOCD","env":"GO_PIPELINE_LABEL"},{"name":"Hudson","constant":"HUDSON","env":"HUDSON_URL"},{"name":"Jenkins","constant":"JENKINS","env":["JENKINS_URL","BUILD_ID"],"pr":{"any":["ghprbPullId","CHANGE_ID"]}},{"name":"Magnum CI","constant":"MAGNUM","env":"MAGNUM"},{"name":"Netlify CI","constant":"NETLIFY","env":"NETLIFY_BUILD_BASE","pr":{"env":"PULL_REQUEST","ne":"false"}},{"name":"Sail CI","constant":"SAIL","env":"SAILCI","pr":"SAIL_PULL_REQUEST_NUMBER"},{"name":"Semaphore","constant":"SEMAPHORE","env":"SEMAPHORE","pr":"PULL_REQUEST_NUMBER"},{"name":"Shippable","constant":"SHIPPABLE","env":"SHIPPABLE","pr":{"IS_PULL_REQUEST":"true"}},{"name":"Solano CI","constant":"SOLANO","env":"TDDIUM","pr":"TDDIUM_PR_ID"},{"name":"Strider CD","constant":"STRIDER","env":"STRIDER"},{"name":"TaskCluster","constant":"TASKCLUSTER","env":["TASK_ID","RUN_ID"]},{"name":"TeamCity","constant":"TEAMCITY","env":"TEAMCITY_VERSION"},{"name":"Travis CI","constant":"TRAVIS","env":"TRAVIS","pr":{"env":"TRAVIS_PULL_REQUEST","ne":"false"}}]');

/***/ }),

/***/ "./node_modules/.f/_/ci-info/3.2.0/ci-info/vendors.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('[{"name":"AppVeyor","constant":"APPVEYOR","env":"APPVEYOR","pr":"APPVEYOR_PULL_REQUEST_NUMBER"},{"name":"Azure Pipelines","constant":"AZURE_PIPELINES","env":"SYSTEM_TEAMFOUNDATIONCOLLECTIONURI","pr":"SYSTEM_PULLREQUEST_PULLREQUESTID"},{"name":"Appcircle","constant":"APPCIRCLE","env":"AC_APPCIRCLE"},{"name":"Bamboo","constant":"BAMBOO","env":"bamboo_planKey"},{"name":"Bitbucket Pipelines","constant":"BITBUCKET","env":"BITBUCKET_COMMIT","pr":"BITBUCKET_PR_ID"},{"name":"Bitrise","constant":"BITRISE","env":"BITRISE_IO","pr":"BITRISE_PULL_REQUEST"},{"name":"Buddy","constant":"BUDDY","env":"BUDDY_WORKSPACE_ID","pr":"BUDDY_EXECUTION_PULL_REQUEST_ID"},{"name":"Buildkite","constant":"BUILDKITE","env":"BUILDKITE","pr":{"env":"BUILDKITE_PULL_REQUEST","ne":"false"}},{"name":"CircleCI","constant":"CIRCLE","env":"CIRCLECI","pr":"CIRCLE_PULL_REQUEST"},{"name":"Cirrus CI","constant":"CIRRUS","env":"CIRRUS_CI","pr":"CIRRUS_PR"},{"name":"AWS CodeBuild","constant":"CODEBUILD","env":"CODEBUILD_BUILD_ARN"},{"name":"Codefresh","constant":"CODEFRESH","env":"CF_BUILD_ID","pr":{"any":["CF_PULL_REQUEST_NUMBER","CF_PULL_REQUEST_ID"]}},{"name":"Codeship","constant":"CODESHIP","env":{"CI_NAME":"codeship"}},{"name":"Drone","constant":"DRONE","env":"DRONE","pr":{"DRONE_BUILD_EVENT":"pull_request"}},{"name":"dsari","constant":"DSARI","env":"DSARI"},{"name":"GitHub Actions","constant":"GITHUB_ACTIONS","env":"GITHUB_ACTIONS","pr":{"GITHUB_EVENT_NAME":"pull_request"}},{"name":"GitLab CI","constant":"GITLAB","env":"GITLAB_CI","pr":"CI_MERGE_REQUEST_ID"},{"name":"GoCD","constant":"GOCD","env":"GO_PIPELINE_LABEL"},{"name":"LayerCI","constant":"LAYERCI","env":"LAYERCI","pr":"LAYERCI_PULL_REQUEST"},{"name":"Hudson","constant":"HUDSON","env":"HUDSON_URL"},{"name":"Jenkins","constant":"JENKINS","env":["JENKINS_URL","BUILD_ID"],"pr":{"any":["ghprbPullId","CHANGE_ID"]}},{"name":"Magnum CI","constant":"MAGNUM","env":"MAGNUM"},{"name":"Netlify CI","constant":"NETLIFY","env":"NETLIFY","pr":{"env":"PULL_REQUEST","ne":"false"}},{"name":"Nevercode","constant":"NEVERCODE","env":"NEVERCODE","pr":{"env":"NEVERCODE_PULL_REQUEST","ne":"false"}},{"name":"Render","constant":"RENDER","env":"RENDER","pr":{"IS_PULL_REQUEST":"true"}},{"name":"Sail CI","constant":"SAIL","env":"SAILCI","pr":"SAIL_PULL_REQUEST_NUMBER"},{"name":"Semaphore","constant":"SEMAPHORE","env":"SEMAPHORE","pr":"PULL_REQUEST_NUMBER"},{"name":"Screwdriver","constant":"SCREWDRIVER","env":"SCREWDRIVER","pr":{"env":"SD_PULL_REQUEST","ne":"false"}},{"name":"Shippable","constant":"SHIPPABLE","env":"SHIPPABLE","pr":{"IS_PULL_REQUEST":"true"}},{"name":"Solano CI","constant":"SOLANO","env":"TDDIUM","pr":"TDDIUM_PR_ID"},{"name":"Strider CD","constant":"STRIDER","env":"STRIDER"},{"name":"TaskCluster","constant":"TASKCLUSTER","env":["TASK_ID","RUN_ID"]},{"name":"TeamCity","constant":"TEAMCITY","env":"TEAMCITY_VERSION"},{"name":"Travis CI","constant":"TRAVIS","env":"TRAVIS","pr":{"env":"TRAVIS_PULL_REQUEST","ne":"false"}},{"name":"Vercel","constant":"VERCEL","env":"NOW_BUILDER"},{"name":"Visual Studio App Center","constant":"APPCENTER","env":"APPCENTER_BUILD_ID"}]');

/***/ }),

/***/ "./node_modules/.f/_/is-core-module/2.2.0/is-core-module/core.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"assert":true,"assert/strict":">= 15","async_hooks":">= 8","buffer_ieee754":"< 0.9.7","buffer":true,"child_process":true,"cluster":true,"console":true,"constants":true,"crypto":true,"_debug_agent":">= 1 && < 8","_debugger":"< 8","dgram":true,"diagnostics_channel":">= 15.1","dns":true,"dns/promises":">= 15","domain":">= 0.7.12","events":true,"freelist":"< 6","fs":true,"fs/promises":[">= 10 && < 10.1",">= 14"],"_http_agent":">= 0.11.1","_http_client":">= 0.11.1","_http_common":">= 0.11.1","_http_incoming":">= 0.11.1","_http_outgoing":">= 0.11.1","_http_server":">= 0.11.1","http":true,"http2":">= 8.8","https":true,"inspector":">= 8.0.0","_linklist":"< 8","module":true,"net":true,"node-inspect/lib/_inspect":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_client":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_repl":">= 7.6.0 && < 12","os":true,"path":true,"path/posix":">= 15.3","path/win32":">= 15.3","perf_hooks":">= 8.5","process":">= 1","punycode":true,"querystring":true,"readline":true,"repl":true,"smalloc":">= 0.11.5 && < 3","_stream_duplex":">= 0.9.4","_stream_transform":">= 0.9.4","_stream_wrap":">= 1.4.1","_stream_passthrough":">= 0.9.4","_stream_readable":">= 0.9.4","_stream_writable":">= 0.9.4","stream":true,"stream/promises":">= 15","string_decoder":true,"sys":[">= 0.6 && < 0.7",">= 0.8"],"timers":true,"timers/promises":">= 15","_tls_common":">= 0.11.13","_tls_legacy":">= 0.11.3 && < 10","_tls_wrap":">= 0.11.3","tls":true,"trace_events":">= 10","tty":true,"url":true,"util":true,"util/types":">= 15.3","v8/tools/arguments":">= 10 && < 12","v8/tools/codemap":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/consarray":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/csvparser":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/logreader":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/profile_view":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/splaytree":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8":">= 1","vm":true,"wasi":">= 13.4 && < 13.5","worker_threads":">= 11.7","zlib":true}');

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/4.0.1/make-fetch-happen/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"name":"make-fetch-happen","version":"4.0.1","description":"Opinionated, caching, retrying fetch client","main":"index.js","files":["*.js","lib"],"scripts":{"prerelease":"npm t","release":"standard-version -s","postrelease":"npm publish && git push --follow-tags","pretest":"standard","test":"tap --coverage --nyc-arg=--all --timeout=35 -J test/*.js","update-coc":"weallbehave -o . && git add CODE_OF_CONDUCT.md && git commit -m \'docs(coc): updated CODE_OF_CONDUCT.md\'","update-contrib":"weallcontribute -o . && git add CONTRIBUTING.md && git commit -m \'docs(contributing): updated CONTRIBUTING.md\'"},"repository":"https://github.com/zkat/make-fetch-happen","keywords":["http","request","fetch","mean girls","caching","cache","subresource integrity"],"author":{"name":"Kat Marchán","email":"kzm@zkat.tech","twitter":"maybekatz"},"license":"ISC","dependencies":{"agentkeepalive":"^3.4.1","cacache":"^11.0.1","http-cache-semantics":"^3.8.1","http-proxy-agent":"^2.1.0","https-proxy-agent":"^2.2.1","lru-cache":"^4.1.2","mississippi":"^3.0.0","node-fetch-npm":"^2.0.2","promise-retry":"^1.1.1","socks-proxy-agent":"^4.0.0","ssri":"^6.0.0"},"devDependencies":{"bluebird":"^3.5.1","mkdirp":"^0.5.1","nock":"^9.2.3","npmlog":"^4.1.2","require-inject":"^1.4.2","rimraf":"^2.6.2","safe-buffer":"^5.1.1","standard":"^11.0.1","standard-version":"^4.3.0","tacks":"^1.2.6","tap":"^11.1.3","weallbehave":"^1.0.0","weallcontribute":"^1.0.7"},"_fyn":{},"_from":"make-fetch-happen@jchip/make-fetch-happen","_id":"make-fetch-happen@4.0.1"}');

/***/ }),

/***/ "./node_modules/.f/_/make-fetch-happen/9.1.0/make-fetch-happen/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"name":"make-fetch-happen","version":"9.1.0","description":"Opinionated, caching, retrying fetch client","main":"lib/index.js","files":["lib"],"scripts":{"preversion":"npm t","postversion":"npm publish","prepublishOnly":"git push --follow-tags","test":"tap","posttest":"npm run lint","eslint":"eslint","lint":"npm run eslint -- lib test","lintfix":"npm run lint -- --fix"},"repository":"https://github.com/npm/make-fetch-happen","keywords":["http","request","fetch","mean girls","caching","cache","subresource integrity"],"author":{"name":"Kat Marchán","email":"kzm@zkat.tech","twitter":"maybekatz"},"license":"ISC","dependencies":{"agentkeepalive":"^4.1.3","cacache":"^15.2.0","http-cache-semantics":"^4.1.0","http-proxy-agent":"^4.0.1","https-proxy-agent":"^5.0.0","is-lambda":"^1.0.1","lru-cache":"^6.0.0","minipass":"^3.1.3","minipass-collect":"^1.0.2","minipass-fetch":"^1.3.2","minipass-flush":"^1.0.5","minipass-pipeline":"^1.2.4","negotiator":"^0.6.2","promise-retry":"^2.0.1","socks-proxy-agent":"^6.0.0","ssri":"^8.0.0"},"devDependencies":{"eslint":"^7.26.0","eslint-plugin-import":"^2.23.2","eslint-plugin-node":"^11.1.0","eslint-plugin-promise":"^5.1.0","eslint-plugin-standard":"^5.0.0","mkdirp":"^1.0.4","nock":"^13.0.11","npmlog":"^5.0.0","require-inject":"^1.4.2","rimraf":"^3.0.2","safe-buffer":"^5.2.1","standard-version":"^9.3.0","tap":"^15.0.9"},"engines":{"node":">= 10"},"tap":{"color":1,"files":"test/*.js","check-coverage":true},"_fyn":{},"_from":"make-fetch-happen@^9.1.0","_id":"make-fetch-happen@9.1.0"}');

/***/ }),

/***/ "./node_modules/.f/_/minipass-fetch/1.4.1/minipass-fetch/package.json":
/***/ ((module) => {

"use strict";
module.exports = {"version":"1.4.1"};

/***/ }),

/***/ "./node_modules/.f/_/node-gyp/8.4.1/node-gyp/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"name":"node-gyp","description":"Node.js native addon build tool","license":"MIT","keywords":["native","addon","module","c","c++","bindings","gyp"],"version":"8.4.1","installVersion":9,"author":"Nathan Rajlich <nathan@tootallnate.net> (http://tootallnate.net)","repository":{"type":"git","url":"git://github.com/nodejs/node-gyp.git"},"preferGlobal":true,"bin":"./bin/node-gyp.js","main":"./lib/node-gyp.js","dependencies":{"env-paths":"^2.2.0","glob":"^7.1.4","graceful-fs":"^4.2.6","make-fetch-happen":"^9.1.0","nopt":"^5.0.0","npmlog":"^6.0.0","rimraf":"^3.0.2","semver":"^7.3.5","tar":"^6.1.2","which":"^2.0.2"},"engines":{"node":">= 10.12.0"},"devDependencies":{"bindings":"^1.5.0","nan":"^2.14.2","require-inject":"^1.4.4","standard":"^14.3.4","tap":"^12.7.0"},"scripts":{"lint":"standard */*.js test/**/*.js","test":"npm run lint && tap --timeout=120 test/test-*"},"_fyn":{},"_from":"node-gyp@^8.4.1","_id":"node-gyp@8.4.1"}');

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/typos.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"topLevel":{"dependancies":"dependencies","dependecies":"dependencies","depdenencies":"dependencies","devEependencies":"devDependencies","depends":"dependencies","dev-dependencies":"devDependencies","devDependences":"devDependencies","devDepenencies":"devDependencies","devdependencies":"devDependencies","repostitory":"repository","repo":"repository","prefereGlobal":"preferGlobal","hompage":"homepage","hampage":"homepage","autohr":"author","autor":"author","contributers":"contributors","publicationConfig":"publishConfig","script":"scripts"},"bugs":{"web":"url","name":"url"},"script":{"server":"start","tests":"test"}}');

/***/ }),

/***/ "./node_modules/.f/_/normalize-package-data/2.5.0/normalize-package-data/lib/warning_messages.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"repositories":"\'repositories\' (plural) Not supported. Please pick one as the \'repository\' field","missingRepository":"No repository field.","brokenGitUrl":"Probably broken git url: %s","nonObjectScripts":"scripts must be an object","nonStringScript":"script values must be string commands","nonArrayFiles":"Invalid \'files\' member","invalidFilename":"Invalid filename in \'files\' list: %s","nonArrayBundleDependencies":"Invalid \'bundleDependencies\' list. Must be array of package names","nonStringBundleDependency":"Invalid bundleDependencies member: %s","nonDependencyBundleDependency":"Non-dependency in bundleDependencies: %s","nonObjectDependencies":"%s field must be an object","nonStringDependency":"Invalid dependency: %s %s","deprecatedArrayDependencies":"specifying %s as array is deprecated","deprecatedModules":"modules field is deprecated","nonArrayKeywords":"keywords should be an array of strings","nonStringKeyword":"keywords should be an array of strings","conflictingName":"%s is also the name of a node core module.","nonStringDescription":"\'description\' field should be a string","missingDescription":"No description","missingReadme":"No README data","missingLicense":"No license field.","nonEmailUrlBugsString":"Bug string field must be url, email, or {email,url}","nonUrlBugsUrlField":"bugs.url field must be a string url. Deleted.","nonEmailBugsEmailField":"bugs.email field must be a string email. Deleted.","emptyNormalizedBugs":"Normalized value of bugs field is an empty object. Deleted.","nonUrlHomepage":"homepage field must be a string url. Deleted.","invalidLicense":"license should be a valid SPDX license expression","typo":"%s should probably be %s."}');

/***/ }),

/***/ "./node_modules/.f/_/npm-registry-fetch/3.8.0/npm-registry-fetch/package.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"name":"npm-registry-fetch","version":"3.8.0","description":"Fetch-based http client for use with npm registry APIs","main":"index.js","files":["*.js","lib"],"scripts":{"prerelease":"npm t","postrelease":"npm publish && git push --follow-tags","pretest":"standard","release":"standard-version -s","test":"tap -J --coverage test/*.js","update-coc":"weallbehave -o . && git add CODE_OF_CONDUCT.md && git commit -m \'docs(coc): updated CODE_OF_CONDUCT.md\'","update-contrib":"weallcontribute -o . && git add CONTRIBUTING.md && git commit -m \'docs(contributing): updated CONTRIBUTING.md\'"},"repository":"https://github.com/npm/registry-fetch","keywords":["npm","registry","fetch"],"author":{"name":"Kat Marchán","email":"kzm@sykosomatic.org","twitter":"maybekatz"},"license":"ISC","dependencies":{"JSONStream":"^1.3.4","bluebird":"^3.5.1","figgy-pudding":"^3.4.1","lru-cache":"^4.1.3","make-fetch-happen":"^4.0.1","npm-package-arg":"^6.1.0"},"devDependencies":{"cacache":"^11.0.2","get-stream":"^4.0.0","mkdirp":"^0.5.1","nock":"^9.4.3","npmlog":"^4.1.2","rimraf":"^2.6.2","ssri":"^6.0.0","standard":"^11.0.1","standard-version":"^4.4.0","tap":"^12.0.1","weallbehave":"^1.2.0","weallcontribute":"^1.0.8"},"config":{"nyc":{"exclude":["node_modules/**","test/**"]}},"_fyn":{},"_from":"npm-registry-fetch@jchip/npm-registry-fetch","_id":"npm-registry-fetch@3.8.0"}');

/***/ }),

/***/ "./node_modules/.f/_/resolve/1.19.0/resolve/lib/core.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"assert":true,"assert/strict":">= 15","async_hooks":">= 8","buffer_ieee754":"< 0.9.7","buffer":true,"child_process":true,"cluster":true,"console":true,"constants":true,"crypto":true,"_debug_agent":">= 1 && < 8","_debugger":"< 8","dgram":true,"diagnostics_channel":">= 15.1","dns":true,"dns/promises":">= 15","domain":">= 0.7.12","events":true,"freelist":"< 6","fs":true,"fs/promises":[">= 10 && < 10.1",">= 14"],"_http_agent":">= 0.11.1","_http_client":">= 0.11.1","_http_common":">= 0.11.1","_http_incoming":">= 0.11.1","_http_outgoing":">= 0.11.1","_http_server":">= 0.11.1","http":true,"http2":">= 8.8","https":true,"inspector":">= 8.0.0","_linklist":"< 8","module":true,"net":true,"node-inspect/lib/_inspect":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_client":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_repl":">= 7.6.0 && < 12","os":true,"path":true,"perf_hooks":">= 8.5","process":">= 1","punycode":true,"querystring":true,"readline":true,"repl":true,"smalloc":">= 0.11.5 && < 3","_stream_duplex":">= 0.9.4","_stream_transform":">= 0.9.4","_stream_wrap":">= 1.4.1","_stream_passthrough":">= 0.9.4","_stream_readable":">= 0.9.4","_stream_writable":">= 0.9.4","stream":true,"stream/promises":">= 15","string_decoder":true,"sys":[">= 0.6 && < 0.7",">= 0.8"],"timers":true,"timers/promises":">= 15","_tls_common":">= 0.11.13","_tls_legacy":">= 0.11.3 && < 10","_tls_wrap":">= 0.11.3","tls":true,"trace_events":">= 10","tty":true,"url":true,"util":true,"v8/tools/arguments":">= 10 && < 12","v8/tools/codemap":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/consarray":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/csvparser":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/logreader":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/profile_view":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/splaytree":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8":">= 1","vm":true,"wasi":">= 13.4 && < 13.5","worker_threads":">= 11.7","zlib":true}');

/***/ }),

/***/ "./node_modules/.f/_/spdx-exceptions/2.3.0/spdx-exceptions/index.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["389-exception","Autoconf-exception-2.0","Autoconf-exception-3.0","Bison-exception-2.2","Bootloader-exception","Classpath-exception-2.0","CLISP-exception-2.0","DigiRule-FOSS-exception","eCos-exception-2.0","Fawkes-Runtime-exception","FLTK-exception","Font-exception-2.0","freertos-exception-2.0","GCC-exception-2.0","GCC-exception-3.1","gnu-javamail-exception","GPL-3.0-linking-exception","GPL-3.0-linking-source-exception","GPL-CC-1.0","i2p-gpl-java-exception","Libtool-exception","Linux-syscall-note","LLVM-exception","LZMA-exception","mif-exception","Nokia-Qt-exception-1.1","OCaml-LGPL-linking-exception","OCCT-exception-1.0","OpenJDK-assembly-exception-1.0","openvpn-openssl-exception","PS-or-PDF-font-exception-20170817","Qt-GPL-exception-1.0","Qt-LGPL-exception-1.1","Qwt-exception-1.0","Swift-exception","u-boot-exception-2.0","Universal-FOSS-exception-1.0","WxWindows-exception-3.1"]');

/***/ }),

/***/ "./node_modules/.f/_/spdx-license-ids/3.0.7/spdx-license-ids/deprecated.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["AGPL-1.0","AGPL-3.0","BSD-2-Clause-FreeBSD","BSD-2-Clause-NetBSD","GFDL-1.1","GFDL-1.2","GFDL-1.3","GPL-1.0","GPL-2.0","GPL-2.0-with-GCC-exception","GPL-2.0-with-autoconf-exception","GPL-2.0-with-bison-exception","GPL-2.0-with-classpath-exception","GPL-2.0-with-font-exception","GPL-3.0","GPL-3.0-with-GCC-exception","GPL-3.0-with-autoconf-exception","LGPL-2.0","LGPL-2.1","LGPL-3.0","Nunit","StandardML-NJ","eCos-2.0","wxWindows"]');

/***/ }),

/***/ "./node_modules/.f/_/spdx-license-ids/3.0.7/spdx-license-ids/index.json":
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["0BSD","AAL","ADSL","AFL-1.1","AFL-1.2","AFL-2.0","AFL-2.1","AFL-3.0","AGPL-1.0-only","AGPL-1.0-or-later","AGPL-3.0-only","AGPL-3.0-or-later","AMDPLPA","AML","AMPAS","ANTLR-PD","ANTLR-PD-fallback","APAFML","APL-1.0","APSL-1.0","APSL-1.1","APSL-1.2","APSL-2.0","Abstyles","Adobe-2006","Adobe-Glyph","Afmparse","Aladdin","Apache-1.0","Apache-1.1","Apache-2.0","Artistic-1.0","Artistic-1.0-Perl","Artistic-1.0-cl8","Artistic-2.0","BSD-1-Clause","BSD-2-Clause","BSD-2-Clause-Patent","BSD-2-Clause-Views","BSD-3-Clause","BSD-3-Clause-Attribution","BSD-3-Clause-Clear","BSD-3-Clause-LBNL","BSD-3-Clause-No-Nuclear-License","BSD-3-Clause-No-Nuclear-License-2014","BSD-3-Clause-No-Nuclear-Warranty","BSD-3-Clause-Open-MPI","BSD-4-Clause","BSD-4-Clause-UC","BSD-Protection","BSD-Source-Code","BSL-1.0","BUSL-1.1","Bahyph","Barr","Beerware","BitTorrent-1.0","BitTorrent-1.1","BlueOak-1.0.0","Borceux","CAL-1.0","CAL-1.0-Combined-Work-Exception","CATOSL-1.1","CC-BY-1.0","CC-BY-2.0","CC-BY-2.5","CC-BY-3.0","CC-BY-3.0-AT","CC-BY-3.0-US","CC-BY-4.0","CC-BY-NC-1.0","CC-BY-NC-2.0","CC-BY-NC-2.5","CC-BY-NC-3.0","CC-BY-NC-4.0","CC-BY-NC-ND-1.0","CC-BY-NC-ND-2.0","CC-BY-NC-ND-2.5","CC-BY-NC-ND-3.0","CC-BY-NC-ND-3.0-IGO","CC-BY-NC-ND-4.0","CC-BY-NC-SA-1.0","CC-BY-NC-SA-2.0","CC-BY-NC-SA-2.5","CC-BY-NC-SA-3.0","CC-BY-NC-SA-4.0","CC-BY-ND-1.0","CC-BY-ND-2.0","CC-BY-ND-2.5","CC-BY-ND-3.0","CC-BY-ND-4.0","CC-BY-SA-1.0","CC-BY-SA-2.0","CC-BY-SA-2.0-UK","CC-BY-SA-2.5","CC-BY-SA-3.0","CC-BY-SA-3.0-AT","CC-BY-SA-4.0","CC-PDDC","CC0-1.0","CDDL-1.0","CDDL-1.1","CDLA-Permissive-1.0","CDLA-Sharing-1.0","CECILL-1.0","CECILL-1.1","CECILL-2.0","CECILL-2.1","CECILL-B","CECILL-C","CERN-OHL-1.1","CERN-OHL-1.2","CERN-OHL-P-2.0","CERN-OHL-S-2.0","CERN-OHL-W-2.0","CNRI-Jython","CNRI-Python","CNRI-Python-GPL-Compatible","CPAL-1.0","CPL-1.0","CPOL-1.02","CUA-OPL-1.0","Caldera","ClArtistic","Condor-1.1","Crossword","CrystalStacker","Cube","D-FSL-1.0","DOC","DSDP","Dotseqn","ECL-1.0","ECL-2.0","EFL-1.0","EFL-2.0","EPICS","EPL-1.0","EPL-2.0","EUDatagrid","EUPL-1.0","EUPL-1.1","EUPL-1.2","Entessa","ErlPL-1.1","Eurosym","FSFAP","FSFUL","FSFULLR","FTL","Fair","Frameworx-1.0","FreeImage","GFDL-1.1-invariants-only","GFDL-1.1-invariants-or-later","GFDL-1.1-no-invariants-only","GFDL-1.1-no-invariants-or-later","GFDL-1.1-only","GFDL-1.1-or-later","GFDL-1.2-invariants-only","GFDL-1.2-invariants-or-later","GFDL-1.2-no-invariants-only","GFDL-1.2-no-invariants-or-later","GFDL-1.2-only","GFDL-1.2-or-later","GFDL-1.3-invariants-only","GFDL-1.3-invariants-or-later","GFDL-1.3-no-invariants-only","GFDL-1.3-no-invariants-or-later","GFDL-1.3-only","GFDL-1.3-or-later","GL2PS","GLWTPL","GPL-1.0-only","GPL-1.0-or-later","GPL-2.0-only","GPL-2.0-or-later","GPL-3.0-only","GPL-3.0-or-later","Giftware","Glide","Glulxe","HPND","HPND-sell-variant","HTMLTIDY","HaskellReport","Hippocratic-2.1","IBM-pibs","ICU","IJG","IPA","IPL-1.0","ISC","ImageMagick","Imlib2","Info-ZIP","Intel","Intel-ACPI","Interbase-1.0","JPNIC","JSON","JasPer-2.0","LAL-1.2","LAL-1.3","LGPL-2.0-only","LGPL-2.0-or-later","LGPL-2.1-only","LGPL-2.1-or-later","LGPL-3.0-only","LGPL-3.0-or-later","LGPLLR","LPL-1.0","LPL-1.02","LPPL-1.0","LPPL-1.1","LPPL-1.2","LPPL-1.3a","LPPL-1.3c","Latex2e","Leptonica","LiLiQ-P-1.1","LiLiQ-R-1.1","LiLiQ-Rplus-1.1","Libpng","Linux-OpenIB","MIT","MIT-0","MIT-CMU","MIT-advertising","MIT-enna","MIT-feh","MIT-open-group","MITNFA","MPL-1.0","MPL-1.1","MPL-2.0","MPL-2.0-no-copyleft-exception","MS-PL","MS-RL","MTLL","MakeIndex","MirOS","Motosoto","MulanPSL-1.0","MulanPSL-2.0","Multics","Mup","NASA-1.3","NBPL-1.0","NCGL-UK-2.0","NCSA","NGPL","NIST-PD","NIST-PD-fallback","NLOD-1.0","NLPL","NOSL","NPL-1.0","NPL-1.1","NPOSL-3.0","NRL","NTP","NTP-0","Naumen","Net-SNMP","NetCDF","Newsletr","Nokia","Noweb","O-UDA-1.0","OCCT-PL","OCLC-2.0","ODC-By-1.0","ODbL-1.0","OFL-1.0","OFL-1.0-RFN","OFL-1.0-no-RFN","OFL-1.1","OFL-1.1-RFN","OFL-1.1-no-RFN","OGC-1.0","OGL-Canada-2.0","OGL-UK-1.0","OGL-UK-2.0","OGL-UK-3.0","OGTSL","OLDAP-1.1","OLDAP-1.2","OLDAP-1.3","OLDAP-1.4","OLDAP-2.0","OLDAP-2.0.1","OLDAP-2.1","OLDAP-2.2","OLDAP-2.2.1","OLDAP-2.2.2","OLDAP-2.3","OLDAP-2.4","OLDAP-2.5","OLDAP-2.6","OLDAP-2.7","OLDAP-2.8","OML","OPL-1.0","OSET-PL-2.1","OSL-1.0","OSL-1.1","OSL-2.0","OSL-2.1","OSL-3.0","OpenSSL","PDDL-1.0","PHP-3.0","PHP-3.01","PSF-2.0","Parity-6.0.0","Parity-7.0.0","Plexus","PolyForm-Noncommercial-1.0.0","PolyForm-Small-Business-1.0.0","PostgreSQL","Python-2.0","QPL-1.0","Qhull","RHeCos-1.1","RPL-1.1","RPL-1.5","RPSL-1.0","RSA-MD","RSCPL","Rdisc","Ruby","SAX-PD","SCEA","SGI-B-1.0","SGI-B-1.1","SGI-B-2.0","SHL-0.5","SHL-0.51","SISSL","SISSL-1.2","SMLNJ","SMPPL","SNIA","SPL-1.0","SSH-OpenSSH","SSH-short","SSPL-1.0","SWL","Saxpath","Sendmail","Sendmail-8.23","SimPL-2.0","Sleepycat","Spencer-86","Spencer-94","Spencer-99","SugarCRM-1.1.3","TAPR-OHL-1.0","TCL","TCP-wrappers","TMate","TORQUE-1.1","TOSL","TU-Berlin-1.0","TU-Berlin-2.0","UCL-1.0","UPL-1.0","Unicode-DFS-2015","Unicode-DFS-2016","Unicode-TOU","Unlicense","VOSTROM","VSL-1.0","Vim","W3C","W3C-19980720","W3C-20150513","WTFPL","Watcom-1.0","Wsuipa","X11","XFree86-1.1","XSkat","Xerox","Xnet","YPL-1.0","YPL-1.1","ZPL-1.1","ZPL-2.0","ZPL-2.1","Zed","Zend-2.0","Zimbra-1.3","Zimbra-1.4","Zlib","blessing","bzip2-1.0.5","bzip2-1.0.6","copyleft-next-0.3.0","copyleft-next-0.3.1","curl","diffmark","dvipdfm","eGenix","etalab-2.0","gSOAP-1.3b","gnuplot","iMatix","libpng-2.0","libselinux-1.0","libtiff","mpich2","psfrag","psutils","xinetd","xpp","zlib-acknowledgement"]');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			id: moduleId,
/******/ 			loaded: false,
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = __webpack_module_cache__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/node module decorator */
/******/ 	(() => {
/******/ 		__webpack_require__.nmd = (module) => {
/******/ 			module.paths = [];
/******/ 			if (!module.children) module.children = [];
/******/ 			return module;
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// module cache are used so entry inlining is disabled
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	var __webpack_exports__ = __webpack_require__(__webpack_require__.s = "./cli/main.js");
/******/ 	module.exports = __webpack_exports__;
/******/ 	
/******/ })()
;